Adobe FrameMaker-10 Object Model JS: Table of Contents

Adobe FrameMaker-10 Object Model

Contents

JavaScript Reference Guide

Scripting is one of the most powerful features in FrameMaker. It can save lots of time: almost anything you can do with the user interface, you can do with scripts, and there are even a few things you can do in scripting that you cannot do from within the user interface. The contents on the right is categorized by function; in the index at the bottom, you can find all objects in alphabetical order. Each object description lists its elements, properties, and methods.

This entire site was entirely created automatically! Oh wow - read more!

Adobe FrameMaker-10.0

JavaScript Base Classes

ScriptUI Classes
Jongware, 5-Nov-2011 v3.0.3g Contents :: Index


Adobe FrameMaker-10 Object Model JS: About these pages

Adobe FrameMaker 10

About these pages

The ExtendScript Toolkit Editor comes with a built-in Help function, which displays all objects accessible in JavaScript for InDesign, Bridge, Illustrator, and Photoshop. It does so by sending a request to the target program to output an XML data file, containing the prototypes and definitions for all of its scriptable components. This XML file is saved in a cache (presumably because it's a lengthy operation) and subsequentially displayed when requested. If it detects a new plugin, the request is sent again and the XML file is rebuilt from scratch. That means that online help for any new scriptable plugin commands are available immediately for your new scripts. Amazing!

XML is a very readable data format ... if you're a bithead like me! But wouldn't it be nice to be able to format this help text just as you like, and be readable (and searchable!) in your favourite program, such as your web browser? Well, the XML format has a unique advantage over just about any other data file. It's highly structured, and this content can be manipulated using XSLT — the Extensible Stylesheet Language Transformations language, as defined by the World Wide Web Consortium (W3C). An XSLT stylesheet can sort and manipulate XML input, insert all kinds of extra data (such as, oh, a copyright manifest at the top of every output), and write the result to one or more output files. What has that to do with these 750 pages of HTML? I didn't create a single one of them. (This page is created 'All By Hand'TM — but it's not part of Adobe's XML files.)

So I wrote an XSLT stylesheet to read, parse, split, and sort the huge input file, and to output it as formatted and hyperlinked HTML pages. This was no mean task at all — the input file is over 113,000 lines long, and the latest version of the style sheet contains just under a thousand lines. All in all, it took me more than 50 hours of hard work to create the output you see before you. But wait! couldn't I just have search-and-replaced the XML commands into HTML? Sure — manually sorting and such, but still doable. But if I ever want to change something — say, I want 4 columns of index instead of 3, or I don't want to use tables anymore, but real CSS3 columns — all I have to do is re-write a (small) part of the XSLT style sheet and let the Saxon XSLT interpreter go over the XML again. If my installation of InDesign is upgraded with some scriptable plugin, all I have to do is run Saxon again. Since the XML help for CS4 has the same formatting, I can run Saxon again on its help file. And there you have it! Another entirely new set of more than 750 files, all properly indexed and hyperlinked, without me doing any more than changing how it should look!a

Understanding XML is easy, especially if you are well-versed in HTML. If the latter, you should really know about XHTML — the well-formatted younger brother of that plain old tack-together-with-sticky-tape that grew so bloated over the years. XML is even more so structured, and the step over shouldn't be difficult. XSLT is something quite else. First off, it's defined in terms of XML (meaning: you can run an XSLT style sheet over an XSLT style sheet, for example to format it for printing or viewing). It's a programming language, but it doesn't work in the do-this-then-that sequential steps; instead, it's a procedural language, and it describes what to do on each and every XML element it encounters in the input XML document. Writing your first XSLT style sheet can be frustrating (usually, because your first attempts don't appear to do anything at all) until you get into the proper mind set. Soon you will be scanning every folder on your computer for XML files to examine! (Mac OS X users: a .plist configuration file is also XML; lots of other files in that system are as well.)

So, why did I work so hard on writing the sheet for this? Well, it was fun to create something new — a good reason in itself. Besides, I needed the training. As a typesetter, one of my upcoming jobs includes a dictionary that is being assembled as Excel data. I experimented with a small data set, exporting it from Excel as XML, and then converting it to plain text, sorting entries and concatenating duplicates all in one go. After that I reckoned, "INX" — InDesign's compatibility file format — "is also an XML file", and went on to include all necessary formatting, from pages and paragraphs, right up to the style and formatting of individual words. Saxon still didn't break into a sweat — and now all I have to do if the complete data comes in, is export it to XML, run my sheet over it to create an INX output file, and open that one with InDesign. The publisher will be amazed if he receives a complete set of proofs within a couple of hours (let's be generous), no matter if it's a hundred pages of output or a thousand. How does that sound for page throughput!?

Acknowledgements

The first CHM conversion of the files for CS3 was done by fellow scripting enthousiast ABC GREEN. Additionally, he helped me set up my system to compile other versions as well. Thanks, mate!

The FrameMaker version is suggested by Rick Quatro (http://frameautomation.com) who kindly sent me the appropriate data file to create it. Thanks!

Note

a Due to a hard disk crash of my Windows machine I lost all of my installed programs. Fortunately, my good friend René Kramer (1967-2010) was able to rescue most (if not all) of my data. Thanks, René - that bottle of whiskey was well earned. Enjoy it, whereever you are.

So this version is not created with Saxon on a Windows computer. Working on my Mac, I downloaded Kernow for Saxon. The older version 1.4 comes complete with a Java interface and Saxon 8B, and to my surprise (and relief) it took just a few clicks to re-generate the entire Help set anew. I said it before and I'll say it again: Support Open Source Software!

Jongware, 31-Oct-2011 v3.0.3f Contents :: Index


Adobe FrameMaker-10 Object Model JS: Table of Contents, Adobe FrameMaker-10.0

Adobe FrameMaker-10 Object Model

Contents

Adobe FrameMaker-10.0

Adobe FrameMaker-10.0

JavaScript Base Classes

ScriptUI Classes

AFrame

Arc

AttrCondExpr

Attribute

AttributeDef

AttributeDefs

Attributes

AttributesEx

BodyPage

Book

BookComponent

CMSConnection

CMSObject

Cell

CharFmt

Color

CombinedFont

CombinedFontDefn

CombinedFonts

Command

CompareRet

CondFmt

Constants

Doc

Element

ElementCatalogEntries

ElementCatalogEntry

ElementDef

ElementLoc

ElementRange

Ellipse

FCodes

FilterArgs

Flow

FmtChangeList

FmtRule

FmtRuleClause

Fn

Font

FontEnc

Fonts

Globals

Group

HiddenPage

Inset

Ints

Line

Marker

MarkerType

MasterPage

Math

Menu

MenuItemSeparator

Metrics

Pgf

PgfFmt

Point

Points

Polygon

Polyline

PropIdent

PropVal

PropVals

Rectangle

RefPage

RoundRect

Row

Rubi

RulingFmt

Strings

SubCol

Tab

Tabs

Tbl

TblFmt

TextFrame

TextItem

TextItems

TextLine

TextLoc

TextRange

TiApiClient

TiFlow

TiText

TiTextTable

TypedVal

TypedVals

UBytes

UInts

UnanchoredFrame

Var

VarFmt

XRef

XRefFmt

app


Adobe FrameMaker-10 Object Model JS: AFrame

Class

AFrame

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
AFrameIsCropped | bool | readwrite | Indicates whether the anchored frame is cropped or not. Possible values are: 0 - (Default) Indicates the frame is not cropped. 1 - Indicates the frame is cropped.
AFrameIsFloating | bool | readwrite | Indicates whether the anchored frame is set to be floatable or not. Possible values are: 0 - (Default) Indicates the frame is not floatable. 1 - Indicates the frame is floatable.
Alignment | int | readwrite | Indicates how the anchored frame is aligned. Possible values are: • Constants.FV_ALIGN_LEFT (0) • Constants.FV_ALIGN_CENTER (1) • Constants.FV_ALIGN_RIGHT (2) • Constants.FV_ALIGN_INSIDE (3) • Constants.FV_ALIGN_OUTSIDE (4)
AnchorType | int | readwrite | Indicates the location where the frame is anchored. Possible values are: • Constants.FV_ANCHOR_INLINE (1) • Constants.FV_ANCHOR_TOP (2) • Constants.FV_ANCHOR_BELOW (3) • Constants.FV_ANCHOR_BOTTOM (4) • Constants.FV_ANCHOR_SUBCOL_LEFT (5) • Constants.FV_ANCHOR_SUBCOL_RIGHT (6) • Constants.FV_ANCHOR_SUBCOL_NEAREST (7) • Constants.FV_ANCHOR_SUBCOL_FARTHEST (8) • Constants.FV_ANCHOR_SUBCOL_INSIDE (9) • Constants.FV_ANCHOR_SUBCOL_OUTSIDE (10) • Constants.FV_ANCHOR_TEXTFRAME_LEFT (11) • Constants.FV_ANCHOR_TEXTFRAME_RIGHT (12) • Constants.FV_ANCHOR_TEXTFRAME_NEAREST (13) • Constants.FV_ANCHOR_TEXTFRAME_FARTHEST (14) • Constants.FV_ANCHOR_TEXTFRAME_INSIDE (15) • Constants.FV_ANCHOR_TEXTFRAME_OUTSIDE (16) • Constants.FV_ANCHOR_RUN_INTO_PARAGRAPH (17)
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BaselineOffset | int | readwrite | Baseline Offset
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Element | Element | readonly | If the anchored frame is in a structured flow in a FrameMaker document, Element indicates the element containing the anchored frame.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FirstGraphicInFrame | FMObject | readonly | Contains the first object in the anchored frame.
FirstGraphicInFrame | FMObject | readonly | Contains the first object in the anchored frame.
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
InTextFrame | TextFrame | readonly | Indicates the text frame in which the anchored frame is placed.
InTextObj | FMObject | readonly | Indicates the column or text frame in which the anchored frame is placed.
LastGraphicInFrame | FMObject | readonly | Contains the last object in the anchored frame.
LastGraphicInFrame | FMObject | readonly | Contains the last object in the anchored frame.
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextAFrame | AFrame | readonly | Contains the next anchored frame in the text frame.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevAFrame | AFrame | readonly | Contains the previous anchored frame in the text frame.
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
SideOffset | int | readwrite | Denotes the near side offset.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TextLoc | TextLoc | readonly | Contains the location of the anchor symbol.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () The Delete() method is used to delete an object from a document. When you delete an object that contains another object, all child objects are also deleted with the parent object. For example, if you delete a frame, all objects within the frame are also deleted.
The Delete() method does not take any arguments.
The method returns FE_SUCCESS on success, else returns one of the following values in FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadDelete (-17)
Specified object could not be deleted.
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadParameter (-43)
Function call specified an invalid parameter.
Constants.FE_NotMenu (72)
Object is a menu item but the document to delete does not belong to the menu.

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)

Element of

AFrame.NextAFrame

AFrame.PrevAFrame

SubCol.FirstAFrame

SubCol.LastAFrame

TextFrame.FirstAFrame

TextFrame.LastAFrame

Return

AFrame Doc.NewAnchoredAFrame ([textloc: TextLoc])


Adobe FrameMaker-10 Object Model JS: Arc

Class

Arc

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Specifies the angle of the object's rotation.
ArrowBaseAngle | int | readwrite | Indicates the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Specifies the factor by which arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is set to False.
ArrowScaleHead | int | readwrite | Set to True if the arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Specifies the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the Arrowhead style. Possible values are: • Constants.FV_ARROW_STICK (0x01) • Constants.FV_ARROW_HOLLOW (0x02) • Constants.FV_ARROW_FILLED (0x03)
BorderWidth | int | readwrite | Specifies the border width in points. The permissible range is 0.015 point to 360 point.
Color | Color | readwrite | Indicates the spot color.
DTheta | int | readwrite | Denotes the arc angle length in degrees. The permissible range is –360 degrees to +360 degrees.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a Metrics object. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern. The patterns are denoted by numbers between 0 and 15. The following constants are provided for the fill patterns 0, 7 and 15: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Specifies the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Else, set to False.
GraphicIsSelected | int | readwrite | Set to True if the graphic object is selected, else set to False.
GroupParent | Group | readwrite | Indicates the group to which the object belongs. Anchored and unanchored frames do not have this property.
HeadArrow | int | readwrite | Set to True if line has an arrowhead, set to False otherwise.
Height | int | readwrite | Specifies the height of the object in points. The permissible range is from 0.125 pt to 3600 pt.
LineCap | int | readwrite | Indicates the type of line end. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent, in inches. The permissible range is from –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set the LocX property for anchored frames.
LocY | int | readwrite | Specifies the distance of the object from the top of the parent frame, in inches. The permissible range is from –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You CANNOT set the LocY property for anchored frames.
NextGraphicInDoc | FMObject | readonly | Indicates the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Indicates the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Specifies the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | Contains a list of strings, each string expressing an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text .You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Indicates the pen pattern, denoted by numbers between 0 and 7. Constants are provided for some of the fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Specifies the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Indicates the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. Possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the beginning of the line. Set to False, otherwise.
Theta | int | readwrite | Specifies the start angle in degrees. The permissible range is 0 degrees to 360 degrees.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Denotes the internal identifier of the graphic object.
Width | int | readwrite | Specifies the width of the object in points. The permissible range is 0.125 point to 3600 point.

Methods

Instances

int Delete () Deletes the Arc object.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the Arc object.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the Arc object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the Arc object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Arc Doc.NewArc ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: AttrCondExpr

Class

AttrCondExpr

QuickLinks

 ApplyAttributeExpression, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
AttrCondExprIsActive | bool | readwrite | Set to True if this expression is applied to the document. (Application will mean filtering the document according the constraints in the expression). Set to False, otherwise.
AttrCondExprStr | string | readwrite | The AttrCondExpr expression in string format.
NextAttrCondExprInDoc | AttrCondExpr | readonly | Indicates the pointer to the next AttrCondExpr object in the document.

Methods

Instances

int ApplyAttributeExpression () ApplyAttributeExpression() is the method to apply the attribute expression to the document.
The method returns FE_Success on success.

PropVals GetProps () The GetProps() method gets the properties of the specified attribute expression.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the attribute expression is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified attribute expression.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

AttrCondExpr.NextAttrCondExprInDoc

Doc.FirstAttrCondExprInDoc

Return

AttrCondExpr Doc.GetNamedAttrCondExpr ([name: string])

AttrCondExpr Doc.NewNamedAttrCondExpr ([name: string])


Adobe FrameMaker-10 Object Model JS: Attribute

Class

Attribute

QuickLinks

 Attribute

Properties

Property | Type | Access | Description
allow | uint | readwrite | Allow error as special case to suppress reporting by validation.
name | string | readwrite | The name of the attribute.
valflags | uint | readwrite | The validation error flags. This property is read only.
values | Strings | readwrite | The attribute value.

Methods

Constructor

Attribute Attribute ([name: string][, values: Strings][, valflags: uint][, allow: uint]) Describes a single attribute.

Parameter | Type | Description
name | string | Attribute name. (Optional)
values | Strings | Attribute values. (Optional)
valflags | uint | Validation error flags. (Optional)
allow | uint | Allow error as special case. (Optional)

Element of

TypedVal.asval

Used in:

number Attributes.push ([value: Attribute])

Return

Attribute Attribute.Attribute ([name: string][, values: Strings][, valflags: uint][, allow: uint])

Attribute Attributes.pop ()


Adobe FrameMaker-10 Object Model JS: AttributeDef

Class

AttributeDef

QuickLinks

 AttributeDef

Properties

Property | Type | Access | Description
attrType | int | readwrite | Denotes the attribute value’s type. The value is one of: • Constants.FV_AT_STRING (0) - Any arbitratry text string. • Constants.FV_AT_STRINGS (1) - One or more arbitrary text strings. • Constants.FV_AT_CHOICES (2) - A value from a list of choices. • Constants.FV_AT_INTEGER (3) - A signed whole number (optionally restricted to a range of values). • Constants.FV_AT_INTEGERS (4) - One or more integers (optionally restricted to a range of values). • Constants.FV_AT_REAL (5) - A real number (optionally restricted to a range of values). • Constants. FV_AT_REALS (6) - One or more real numbers (optionally restricted to a range of values). • Constants.FV_AT_UNIQUE_ID (7) - A string that uniquely identifies an element. • Constants.FV_AT_UNIQUE_IDREF (8) - A reference to a UniqueID attribute. • Constants.FV_AT_UNIQUE_IDREFS (9) - One or more references to a UniqueID attribute.
choices | Strings | readwrite | The choices from which to select, if the Type parameter is set to Constants.FV_AT_CHOICES (2).
defValues | Strings | readwrite | Defalut value of the attribute.
flags | uint | readwrite | The flag value determines whether an attribute is hidden, read-only or neither. The following are the values that an attribute can have: • Constants.FV_AF_READ_ONLY (0x0001) - The attribute value is read-only. • Constants.FV_AF_HIDDEN (0x0002) - The attribute value is hidden. • NULL - The attribute value is neither read-only nor hidden.
name | string | readwrite | Name of the attribute
rangeMax | string | readwrite | The maximmum permissible value, if any.
rangeMin | string | readwrite | The minimum permissible value, if any.
required | int | readwrite | Set to True if the attribute is required. Else, set to False.

Methods

Constructor

AttributeDef AttributeDef ([name: string][, required: int][, flags: uint][, attrType: int][, choices: Strings][, defValues: Strings][, rangeMin: string][, rangeMax: string][, Constants.FV_AF_READ_ONLY(0x0001): The attribute value is read-only.][, Constants.FV_AF_HIDDEN(0x0002): The attribute value is hidden.][, NULL: The attribute value is neither read-only nor hidden.][, Constants.FV_AT_STRING(0): Any arbitrary text string.][, Constants.FV_AT_STRINGS(1): One or more arbitrary text strings.][, Constants.FV_AT_CHOICES(2): A value from a list of choices.][, Constants.FV_AT_INTEGER(3): A signed whole number (optionally restricted to a range of values).][, Constants.FV_AT_INTEGERS(4): One or more integers (optionally restricted to a range of values).][, Constants.FV_AT_REAL(5): A real number (optionally restricted to a range of values).][, Constants.FV_AT_REALS(6): One or more real numbers (optionally restricted to a range of values).][, Constants.FV_AT_UNIQUE_ID(7): A string that uniquely identifies the element.][, Constants.FV_AT_UNIQUE_IDREF(8): A reference to a UniqueID attribute.][, Constants.FV_AT_UNIQUE_IDREFS(9): One or more references to a UniqueID attribute.]) Describes a single attribute function.

Parameter | Type | Description
name | string | Attribute name. (Optional)
required | int | True if the attribute is required; False otherwise. (Optional)
flags | uint | One of read-only, hidden or neither. (Optional)
attrType | int | The attribute type. (Optional)
choices | Strings | The list of choices if attrType is set to Constants.FV_AT_CHOICES(2) (Optional)
defValues | Strings | The default value, if attribute is not mandatory. (Optional)
rangeMin | string | The minimum allowed value (if any) (Optional)
rangeMax | string | The maximum allowed value (if any) (Optional)
Constants.FV_AF_READ_ONLY(0x0001) | The attribute value is read-only. | (Optional)
Constants.FV_AF_HIDDEN(0x0002) | The attribute value is hidden. | (Optional)
NULL | The attribute value is neither read-only nor hidden. | (Optional)
Constants.FV_AT_STRING(0) | Any arbitrary text string. | (Optional)
Constants.FV_AT_STRINGS(1) | One or more arbitrary text strings. | (Optional)
Constants.FV_AT_CHOICES(2) | A value from a list of choices. | (Optional)
Constants.FV_AT_INTEGER(3) | A signed whole number (optionally restricted to a range of values). | (Optional)
Constants.FV_AT_INTEGERS(4) | One or more integers (optionally restricted to a range of values). | (Optional)
Constants.FV_AT_REAL(5) | A real number (optionally restricted to a range of values). | (Optional)
Constants.FV_AT_REALS(6) | One or more real numbers (optionally restricted to a range of values). | (Optional)
Constants.FV_AT_UNIQUE_ID(7) | A string that uniquely identifies the element. | (Optional)
Constants.FV_AT_UNIQUE_IDREF(8) | A reference to a UniqueID attribute. | (Optional)
Constants.FV_AT_UNIQUE_IDREFS(9) | One or more references to a UniqueID attribute. | (Optional)

Used in:

number AttributeDefs.push ([value: AttributeDef])

Return

AttributeDef AttributeDef.AttributeDef ([name: string][, required: int][, flags: uint][, attrType: int][, choices: Strings][, defValues: Strings][, rangeMin: string][, rangeMax: string][, Constants.FV_AF_READ_ONLY(0x0001): The attribute value is read-only.][, Constants.FV_AF_HIDDEN(0x0002): The attribute value is hidden.][, NULL: The attribute value is neither read-only nor hidden.][, Constants.FV_AT_STRING(0): Any arbitrary text string.][, Constants.FV_AT_STRINGS(1): One or more arbitrary text strings.][, Constants.FV_AT_CHOICES(2): A value from a list of choices.][, Constants.FV_AT_INTEGER(3): A signed whole number (optionally restricted to a range of values).][, Constants.FV_AT_INTEGERS(4): One or more integers (optionally restricted to a range of values).][, Constants.FV_AT_REAL(5): A real number (optionally restricted to a range of values).][, Constants.FV_AT_REALS(6): One or more real numbers (optionally restricted to a range of values).][, Constants.FV_AT_UNIQUE_ID(7): A string that uniquely identifies the element.][, Constants.FV_AT_UNIQUE_IDREF(8): A reference to a UniqueID attribute.][, Constants.FV_AT_UNIQUE_IDREFS(9): One or more references to a UniqueID attribute.])

AttributeDef AttributeDefs.pop ()


Adobe FrameMaker-10 Object Model JS: AttributeDefs

Class

AttributeDefs

An Array of AttributeDef objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

AttributeDefs concat ([value: AttributeDefs]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | AttributeDefs | Can also be arrays. (Optional)

AttributeDef pop () Removes the last element from the array.

number push ([value: AttributeDef]) Returns the new length of the array.

Parameter | Type | Description
value | AttributeDef | Value to push into the array. (Optional)

Element of

ElementDef.AttributeDefs

TypedVal.adsval

Used in:

AttributeDefs AttributeDefs.concat ([value: AttributeDefs])

Return

AttributeDefs AttributeDefs.concat ([value: AttributeDefs])

AttributeDefs ElementDef.GetAttributeDefs ()


Adobe FrameMaker-10 Object Model JS: Attributes

Class

Attributes

An Array of Attribute objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array.

Methods

Instances

Attributes concat ([value: Attributes]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | Attributes | Can also be arrays. (Optional)

Attribute pop () Removes the last element from the array.

number push ([value: Attribute]) Returns the new length of the array.

Parameter | Type | Description
value | Attribute | Value to push into the array. (Optional)

Element of

Element.Attributes

Used in:

Attributes Attributes.concat ([value: Attributes])

Return

Attributes Attributes.concat ([value: Attributes])

Attributes Element.GetAttributes ()


Adobe FrameMaker-10 Object Model JS: AttributesEx

Class

AttributesEx

An Array of AttributeEx objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array.

Methods

Instances

AttributesEx concat ([value: AttributesEx]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array as the result of concatenation, with the given values to the end of the original array.

Parameter | Type | Description
value | AttributesEx | Can also be arrays. (Optional)

AttributeEx pop () Removes the last element from the array.

number push ([value: AttributeEx]) Returns the new length of the array.

Parameter | Type | Description
value | AttributeEx | Value to push into the array. (Optional)

Element of

Element.AttributesEx

Used in:

AttributesEx AttributesEx.concat ([value: AttributesEx])

Return

AttributesEx AttributesEx.concat ([value: AttributesEx])


Adobe FrameMaker-10 Object Model JS: BodyPage

Class

BodyPage

QuickLinks

 ApplyPageLayout, Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
MasterPage | string | readwrite | Denotes the name of the master page background for the body page if the PageBackground property is set to Constants.FV_BGD_OTHER (0x02). The value is null if the PageBackground property is set to either Constants.FV_BGD_DEFAULT (0x00) or Constants.FV_BGD_NONE (0x01).
PageBackground | int | readwrite | Indicates the type of master page background. The possible values are: • Constants.FV_BGD_DEFAULT (0x00): The page has a Left or Right master page background if the document is double-sided, or a Right master page background if the document is single-sided. • Constants.FV_BGD_NONE (0x01): The page has no master page background. • Constants.FV_BGD_OTHER (0x02): The page has the custom master page background specified by the MasterPage property. To determine whether a body page has a Left or a Right master page background, when its PageBackground property is set to Constants.FV_BGD_DEFAULT (0x00), query its PageIsRecto property.
PageFrame | UnanchoredFrame | readonly | Denotes the page frame for the page.
PageHeight | int | readonly | Indicates the height of the page.
PageIsRecto | int | readonly | Set to True if the page is a Right page; Set to False if the page is a Left page.
PageNext | BodyPage | readonly | Denotes the next body page in the document.
PageNum | int | readonly | Contains the current page number.
PageNumString | string | readonly | Contains the page number string.
PagePrev | BodyPage | readonly | Denotes the previous body page in the document.
PageWidth | int | readonly | Denotes the width of the page.
PointPageNum | int | readonly | Indicates the point page number.

Methods

Instances

int ApplyPageLayout ([srcPage: PageObject]) The ApplyPageLayout() method applies the layout of one page to another page.
The method returns FE_Success on success, and sets FA_errno with one of the following values on error:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation or fmbatch is running.
Constants.FE_BadOperation (-27)
Parameters specified an invalid operation.
Constants.FE_BadParameter (-43)
The specified parameter has an invalid value.
Constants.FE_SystemError (-42)
System Error.

Parameter | Type | Description
srcPage | PageObject | The page to which the layout is to be applied. (Optional)

int Delete () Deletes the specified Body Page.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified Body Page.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the Body Page is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified Body Page.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

BodyPage.PageNext

BodyPage.PagePrev

Doc.FirstBodyPageInDoc

Doc.LastBodyPageInDoc

Used in:

BodyPage Doc.NewSeriesBodyPage ([previous: BodyPage])

Return

BodyPage Doc.NewSeriesBodyPage ([previous: BodyPage])


Adobe FrameMaker-10 Object Model JS: Book

Class

Book

QuickLinks

 Close, Compare, Export, GetProps, GetUniqueObject, Import, NewBookComponentInHierarchy, NewBookComponentOfTypeInHierarchy, NewSeriesBookComponent, NewSeriesObject, ObjectValid, Save, SetProps, SilentPrintDoc, SimpleGenerate, SimpleImportElementDefs, SimpleImportFormats, SimpleSave, UpdateBook

Properties

Property | Type | Access | Description
AcrobatBookmarkDisplayTags | int | readwrite | Set to True if the IncludeParagraphTagsinBookmarkText property is set to True (the paragraph tag is added before the paragraph text in each bookmark); Set to False otherwise.
BookDontUpdateReferences | int | readwrite | Set to False if FrameMaker is set to update cross-references when it opens the book; Set to True, otherwise.
BookIsModified | int | readonly | Set to True if the book has been modified; Set to False, otherwise.
BookIsSelected | int | readwrite | Set to True if the book icon in the book window is selected; Set to False otherwise.
BookIsViewOnly | int | readwrite | Set to True if the book is view-only; set to False otherwise.
CustomElementList | Strings | readwrite | Contains the list of tags to display when ElementCatalogDisplay is set to Constants.FV_ELCAT_CUSTOM (0x04).
DocAcrobatColumnArticleThreads | int | readwrite | Set to True if you want separate article threads for each column; set to False if you want separate article threads for each text frame. The DocPDFNoArticleThread property must be set to FALSE, when setting this option.
DocAcrobatDefaultsChanged | int | readwrite | Set to True if the default heuristics for determining the paragraph level are disabled; Set to False, otherwise.
DocAcrobatElementList | Strings | readwrite | Contains a list of the element tags and context labels to include in bookmarks. The DocPDFElementList property applies only to structured FrameMaker documents.
DocAcrobatElements | int | readwrite | Set to True if elements rather than paragraphs are used for bookmarks; Set to False otherwise. The DocPDFElements property applies only to structured FrameMaker documents.
DocAcrobatNoArticleThreads | int | readwrite | Set to True if you do not want article threads in the resulting PDF; Set to False otherwise.
ElementCatalog | ElementCatalogEntries | readonly | Contains a list of elements in the Element Catalog.
ElementCatalogDisplay | int | readwrite | Catalog display options. Show tags for: • Constants.FV_ELCAT_STRICT (0x00): Valid children for working from start to finish. • Constants.FV_ELCAT_LOOSE (0x01): Valid children for working in any order. • Constants.FV_ELCAT_CHILDREN (0x02): Children allowed anywhere in parent. • Constants.FV_ELCAT_ALL (0x03): All elements. • Constants.FV_ELCAT_CUSTOM (0x04): List of tags specified by the CustomElementList property.
ElementSelection | ElementRange | readwrite | Indicates the currently selected element range in the book.
FileExtensionOverride | string | readwrite | Denotes the filename extension to use when saving the document as XML. Typically, this property is used to save XHTML with a .htm extension rather than .xml. This setting should be set in the structure application for the document's DOCTYPE.
FirstComponentInBook | BookComponent | readwrite | Denotes the first component in the book.
FirstElementDefInDoc | ElementDef | readonly | Denotes the first element definition in the list of element definitions in the document (FO_ElementDef ID).
FirstFmtChangeListInDoc | FmtChangeList | readwrite | Specifies the ID of the first format change list in the list of format change lists in the book.
FirstSelectedComponentInBook | BookComponent | readwrite | Denotes the first selected component in the book.
GenerateAcrobatInfo | int | readwrite | Set to True if the GenerateAdobeAcrobatData property is set to True. Else, set to False. To generate PDF data, you must set the other document print properties as follows: • PrintToFile - True • PrintThumbnails - False • PrintSeps - False • PrintBlankPages - True • PrintLastSheetFirst - False • PrintNumCopies - 1 • PrintOddPages - True • PrintEvenPages - True • PrintScale - 100%
HighestLevelElement | Element | readonly | Denotes the top most element for a structured book/document.
IsIconified | int | readwrite | Set to True if the book window is iconified; set to False otherwise.
IsInFront | int | readwrite | Set to True if the book window is in front of other windows in the FrameMaker product session; Set to False otherwise.
IsOnScreen | int | readwrite | Set to True if the document is visible on the screen; Set to False otherwise. Note: The IsOnScreen property is always True for books, and setting it to False has no effect.
Label | string | readwrite | Denotes the title in the book window title bar.
Name | string | readwrite | Indicates the path of the book.
NewElemAttrDisplay | int | readwrite | Specifies the attribute display properties for new elements. The permissible values are: • Constants.FV_ATTR_DISP_NONE (1): Do not display attributes. • Constants.FV_ATTR_DISP_REQSPEC (2): Display required and specified attributes. • Constants.FV_ATTR_DISP_ALL (3): Display all attributes.
NewElemAttrEditing | int | readwrite | Specifies when the Edit Attributes dialog box appears for new elements. The permissible values are: • Constants.FV_ATTR_EDIT_NONE (0) • Constants.FV_ATTR_EDIT_REQUIRED (1) • Constants.FV_ATTR_EDIT_ALWAYS (2)
NextOpenBookInSession | Book | readonly | Denotes the next open book in FrameMaker session's list of open books.
PDFAllNamedDestinations | int | readwrite | Set to True if the generated PDF document should include Named Destinations for every paragraph and FrameMaker structure element in the book. This results in a larger PDF filesize. If set to False, the generated PDF document will have Named Destinations only for those paragraphs and objects that have already been marked with PDFDestsMarked set to True.
PDFBookmark | bool | readwrite | Set to True if FrameMaker is set to generate bookmarks when saving as PDF. Set to False, otherwise.
PDFBookmarksOpenLevel | int | readwrite | Denotes the level of bookmarks to be expanded when Acrobat opens the generated PDF document. The value can be any integer, or one of the following constants: • Constants.FV_PDFBookmarksOpenDefaultLevel (-1) • Constants.FV_PDFBookmarksOpenAllLevels (-2) • Constants.FV_PDFBookmarksOpenNoneLevel (-3) If you specify an integer that is greater than the number of levels in the Bookmarks Settings, the Constants.PDFBookmarksOpenAllLevels (-2) value takes effect.
PDFConvertCMYKtoRGB | int | readwrite | When set to True, the PDFConvertCMYKtoRGB property corresponds with the setting "Convert CMYK colors to RGB" in the Save As PDF dialog box.
PDFDestsMarked | int | readwrite | Set to True if the document has paragraphs or elements marked through the MarkedForNamedDestination property. One of two things must occur in order for this property to be True: 1. The document must have been created and opened in FrameMaker 6.0 or later. 2. The PDF FileSize Optimization client must have been run over it to mark all paragraphs or elements that are targets of hypertext links.
PDFDistillerAbsent | int | readonly | A value of 1 indicates that there is no Acrobat Distiller available. Any other value indicates that Acrobat Distiller is available.
PDFDocInfo | Strings | readwrite | Contains a list of strings expressing values to be set in the PDF Document Info dictionary when you save the book as PDF. Each dictionary entry is expressed as a pair of strings; the first string expresses the field name, and the second string expresses the field value.
PDFEndPage | string | readwrite | Denotes the last page in the range of pages to be printed, in the FrameMaker numbering style.
PDFGenerateForReview | int | readwrite | This property is used to generate a PDF for review workflow that is getting review comments in PDF and importing them back to FrameMaker document. The property helps in importing back the comments correctly. When this flag is turned ON, the behavior is same as if the "Generate for review only" checkbox is ON in the PDF setup dialog.
PDFJobOption | string | readwrite | Specifies the name of the Distiller Job Options. If the specified name does not exist in the Distiller Job Options list, then the first Distiller Job Option in the list is used.
PDFJobOptionsAbsent | int | readonly | A value of 1 indicates that PDF Job Options are not available. Any other value indicates that PDF Job Options are available.
PDFOpenPage | string | readwrite | Denotes the PDF page number, in the FrameMaker numbering style, at which Acrobat opens the generated PDF document.
PDFPageHeight | int | readwrite | Denotes the page height for the generated PDF document.
PDFPageWidth | int | readwrite | Indicates the page width for the generated PDF document.
PDFPrintPageRange | int | readwrite | Specifies the page range for generating the PDF document. If set, the PDF file contains only the specified pages. Else, FrameMaker generates PDF for the entire document or book.
PDFRegistrationMarks | int | readwrite | Contains the registration marks for the generated PDF. The permissible values are: • Constants.FV_PDFRegistrationMarksNone (0) • Constants.FV_PDFRegistrationMarksWestern (1) • Constants.FV_PDFRegistrationMarksTombo (2)
PDFSeparateFiles | int | readwrite | Set to True, if a separate PDF file should be generated for each document in a book; Set to False otherwise. This property can be set for single documents, but is ignored in that case.
PDFStartPage | string | readwrite | Denotes the first page of the printing page range, in the FrameMaker numbering style.
PDFZoomFactor | int | readwrite | When the PDFZoomType property is set to Constants.FV_PDFZoomNone (0), the PDFZoomFactor property denotes the zoom percentage of the PDF document (metric 25% to 1600%). If the value is negative or zero, the value of Constants.FV_PDFZoomDefault (1) takes effect.
PDFZoomType | int | readwrite | Denotes the PDF zoom setting at which Acrobat opens the generated PDF document. Permissible values are: • Constants.FV_PDFZoomNone (0) • Constants.FV_PDFZoomDefault (1) • Constants.FV_PDFZoomPage (2) • Constants.FV_PDFZoomWidth (3) • Constants.FV_PDFZoomHeight (4) If a value other than these is specified, Constants.FV_PDFZoomDefault (1) takes effect.
PrintBlankPages | int | readwrite | Set to True if the PageRounding property is set to allow empty pages at the end of documents; set to False otherwise.
PrintCollated | int | readwrite | Set to True if Collate is enabled; Set to False otherwise.
PrintDownloadAsianFonts | int | readwrite |
PrintDownloadTrueTypeAsType1 | int | readwrite |
PrintEmulsion | int | readwrite | Denotes the direction of the print emulsion. The possible value are: • Constants.FV_EMUL_UP (0) - Emulsion side up • Constants.FV_EMUL_DOWN (1) - Emulsion side down
PrintEvenPages | int | readwrite | Set to True if Print Even-Numbered Pages is enabled.
PrintFileName | string | readwrite | Specifies the filename to print to. You can set the filename to be the default filename by specifying the PrintFileName value as null.
PrintImaging | int | readwrite | Denotes the type of print imaging. The permissible values are: • Constants.FV_IMG_POSITIVE (0) • Constants.FV_IMG_NEGATIVE (1)
PrintLastSheetFirst | int | readwrite | Set to True to print the last sheet first. Else, set to False.
PrintLowRes | int | readwrite | Set to True to print in low resolution. Else, set to False.
PrintNumCopies | int | readwrite | Denotes the number of copies to print.
PrintOddPages | int | readwrite | Set to True if Print Odd-Numbered Pages is enabled.
PrintPaperHeight | int | readwrite | Specifies the height of the printing paper.
PrintPaperWidth | int | readwrite | Indicates the width of the printing paper.
PrintRegistrationMarks | int | readwrite | Set to True if Registration Marks is enabled; Set to False otherwise.
PrintScale | int | readwrite | Denotes the Print scale factor expressed as a percentage metric (0% to 100%). For print scale percentages, the value 1<<16 or 0x10000 specifies 100%.
PrintSeps | int | readwrite | Set to True if Print Separations is enabled.
PrintToFile | int | readwrite | Set to True if Print Only to File is enabled.
PrinterName | string | readwrite | This property has no effect.
ScreenHeight | int | readwrite | Denotes the height of the book window in pixels.
ScreenWidth | int | readwrite | Denotes the width of the book window in pixels.
ScreenX | int | readwrite | Specifies the offset of the book window in pixels from the left side of the screen (or the left of the FrameMaker product application window). If you set a value that results in the book window being off the screen, that value is ignored and the old value is retained.
ScreenY | int | readwrite | Indicates the offset of the book window in pixels from the top of the screen (or the top of the FrameMaker product application window ). If you set a value that results in the book window being off the screen, that value is ignored and the old value is retained.
SeparateInclusions | int | readwrite | Set to True if inclusions are listed separately in the element catalog; set to False otherwise.
ShowElementDescriptiveNames | bool | readwrite | Set to True to show descriptive names for elements; Set to False, otherwise. The ShowElementDescriptiveNames property is applicable only for structured FrameMaker.
SkipBlankSeps | int | readwrite | Set to True if Skip Blank Separations (do not print blank color separations) is enabled.
StatusLine | string | readwrite | String that appears in the book status bar. Querying this string returns the status string.
StructuredApplication | string | readwrite | Contains the name of the structured application that is associated with the book. If the book has no associated structure application, GetString() returns an empty string.
TypeOfDisplayText | int | readwrite | Specifies the type of text snippet to display for each icon in the book window. The two possible values are: • Constants.FV_BK_FILENAME (1)- displays the book component's filename • Constants.FV_BK_TEXT (2) - displays the first paragraph of the component's first flow.
UseInitialStructure | int | readwrite | Set to True if FrameMaker inserts the initial structure for new elements; set to False otherwise.
UseInitialStructureOfAutoInsertedElements | bool | readwrite | If set to True, auto-insertion rules will be processed recursively. For example: If an element is inserted automatically, and auto-insertion rules exist for this element, in the element definition, then those rules would also be processed.
ViewOnlyDeadCodes | UInts | readwrite | Contains a list of F-codes that cannot be executed in the book.
ViewOnlyWinBorders | int | readwrite | Set to True if the book has normal window borders; Set to False if the book's border buttons are suppressed.
ViewOnlyWinMenubar | int | readwrite |
ViewOnlyWinPopup | int | readwrite | Set to True if the book window pop-up menu is available; set to False otherwise.
XmlDocType | string | readwrite | Contains the DOCTYPE parameter from the source XML.
XmlEncoding | string | readwrite | Specifies the encoding parameter of the XML Declaration for the source XML. The string is empty if no encoding is specified. If this property is set, the XML Declaration contains the encoding parameter with this value on Save As XML.
XmlFileEncoding | string | readwrite | Specifies the encoding that is detected for the source XML book. If no encoding is specified for the source XML, XmlEncoding is an empty string. In that case, if this value is set, it determines the encoding to use when saving as XML. If XmlEncoding has a value, this string may be empty.
XmlPublicId | string | readwrite | Contains the DOCTYPE public identifier for the source XML document.
XmlStandAlone | int | readwrite | Indicates an integer that specifies the XML standalone parameter for the XML document, that is the source of the current document. The permissible values are: • Constants.FV_XML_STANDALONE_YES (1) • Constants.FV_XML_STANDALONE_NO (2) • Constants.FV_XML_STANDALONE_NONE (3) • Constants.FV_XML_STANDALONE_NODEC (4) The standalone parameter is declared in the XML Declaration. For a file with no XML declaration, the value is Constants.FV_XML_STANDALONE_NODEC (4). For an XML declaration with no standalone parameter, this value is Constants.FV_XML_STANDALONE_NONE (3).
XmlStyleSheet | string | readwrite | Specifies the XML stylesheet processing instruction to write out to XML when saving the book as XML. Note; The ESTK does not verify that you are using the correct syntax in this string. The string you set should not include the PI delimiters, <? and ?>. For example, the string you supply for my.css may be: "type=\"text\\css\" href=\"my.css\"" Only use this string to set a specific stylesheet specification. GetString() always returns null for this parameter. To get the list of stylesheet specifications associated with a book, use XmlStyleSheetList.
XmlStyleSheetList | Strings | readwrite | Contains a list of stylesheet processing instructions for the current book. One book can have more than one stylesheet specification associated with it. Note: The ESTK does not verify that you are using the correct syntax in these strings. The strings should not include the PI delimiters, <? and ?>. For example, the string you supply for my.css may be: "type=\"text\\css\" href=\"my.css\"" Setting a list as the value to the XmlStyleSheetList property completely overwrites the preceding list.
XmlSystemId | string | readwrite | Contains the DOCTYPE system identifier for the source XML document.
XmlUseBOM | int | readwrite | Indicates whether a byte order mark was detected when opening the source XML. The permissible values are: • Constants.FV_XML_USEBOM_YES (1) • Constants.FV_XML_USEBOM_NO (2) • Constants.FV_XML_USEBOM_UTF8 (3) • Constants.FV_XML_USEBOM_UTF16BE (4) • Constants.FV_XML_USEBOM_UTF16LE (5) • Constants.FV_XML_USEBOM_UTF32BE (6) • Constants.FV_XML_USEBOM_UTF32LE (7) When saving as XML, if this property is set to Constants.FV_XML_USEBOM_YES (1), FrameMaker writes a byte order mark in the resulting XML.
XmlVersion | string | readwrite | Depicts the XML Version that is specified in the XML Declaration when the file is opened. If no XML version is specified, GetString() returns an empty string. If this string contains an invalid XML declaration, a parsing error occurs when the book is saved as XML.
XmlWellFormed | int | readwrite | Indicates whether the source XML is qualified as well formed. The permissible values are: • Constants.FV_XML_WELLFORMED_YES (1) • Constants.FV_XML_WELLFORMED_NO (2)

Methods

Instances

int Close ([flags: int]) Closes a document, book, dialog box, or Frame session.
The flags parameter specifies whether to abort or to close open documents or books if they have unsaved changes. Set the Constants.FF_CLOSE_MODIFIED flag to True (1) to close open documents and books regardless of their state.
The method sets FE_Success on success. On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_DocModified (-8)
The document was modified and the flags parameter was set to 0.

Parameter | Type | Description
flags | int | The Close() method closes the document or book. Flags specify whether to abort or to close open documents or books if they have unsaved changes. Set the FF_CLOSE_MODIFIED flag to True (1) to close open documents and books regardless of their state. (Optional)

CompareRet Compare ([newerDoc: Doc][, flags: int][, insertCondTag: string][, deleteCondTag: string][, replaceText: string][, compareThreshold: int]) The Compare() method compares the differences between two versions of files and stores the result in a CompareRet data object.
You can OR the following values into the flags parameter:
Flag
Meaning
Constants.FF_CMP_SUMMARY_ONLY (0x01)
Generate a summary document, but not a composite document.
Constants.FF_CMP_CHANGE_BARS (0x02)
Turn on change bars in the composite document.
Constants.FF_CMP_HYPERLINKS (0x04)
Put hypertext links in the summary document.
Constants.FF_CMP_SUMKIT (0x08)
Open the summary document.
Constants.FF_CMP_COMPKIT (0x10)
Open the composite document.

The returned CompareRet object contains the pointers to the summary and composite results documents.
The method returns the comparison results in the CompareRet object on success. On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadCompare (-35)
Older and newer documents are not the same types of files.
Constants.FE_CompareTypes (-34)
One of the files is not a FrameMaker document or book or one file is a book and the other is a document.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the operation.

Parameter | Type | Description
newerDoc | Doc | The newer version of the document or book. (Optional)
flags | int | Bit flags that specify how to generate the summary and composite documents. Specify 0 for the default flags. (Optional)
insertCondTag | string | Indicates the condition tag to apply to insertions shown in the composite document. To specify a blank insert condition tag, enter the value null. (Optional)
deleteCondTag | string | Denotes the condition tag to apply to deletions shown in the composite document. To specify a blank delete condition tag, enter the value null. (Optional)
replaceText | string | Text to appear in place of the deleted text. To not specify any replacement text, enter the value null. (Optional)
compareThreshold | int | Threshold expresses the percentage of words that can change before paragraphs are considered not equal. If two paragraphs are equal, word differences between them are shown within a paragraph in the composite document. If the compareThreshold property is set to 0, the Compare() method uses the default value of 75. If the compareThreshold property is set to any other value, the Compare() method uses the setting in the FrameMaker configuration files. (Optional)

int Export (fileName: string, exportParams: PropVals, exportReturnParams: PropVals)

Parameter | Type | Description
fileName | string |
exportParams | PropVals |
exportReturnParams | PropVals |

PropVals GetProps () Retrieves the properties of the specified Book.
See GetProps under the AFrame class for more information.

Object GetUniqueObject ([objType: int][, unique: int]) The GetUniqueObject() method retrieves the object from its persistent unique identifier (UID). The FrameMaker product assigns a UID to each object in a document or book that is not identified by a name. The UID, unlike the object's ID, does not change from one session to another.
The GetUniqueObject() method returns the object on success. On failure, it sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document or book.
Constants.FE_TypeUnNamed (-19)
Objects of the specified type are not identified by UIDs.
Constants.FE_NameNotFound (-20)
Object with specified UID could not be found.

Parameter | Type | Description
objType | int | The type of object (for example, FO_Pgf). (Optional)
unique | int | The unique ID of the object. (Optional)

Object Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals]) The Import() method imports text or graphics into a document.
Import() allows you to specify a script (property list) specifying how to import text or graphics and how to deal with error and warning conditions.
For example, you can specify whether to import a file by reference or by copy.
If you import a file by reference, Import() creates an inset. The following list summarizes the types of files you can import with Import() and the types of inset objects it creates when you import them by reference:

• Graphics - FO_Inset

• Text - FO_TiText, FO_TiTextTable

• Frame binary document - FO_TiFlow

• MIF - FO_TiFlow

When importing a graphic, you can specify that it be imported at its default resolution by setting the Constants.FS_GraphicDpi (15) property to 0 and setting the Constants.FS_FitGraphicInSelectedRect (14) property to False. If the graphic has no default resolution, it is imported at 72 dpi
To get a property list to specify for the importParamsp parameter, use GetImportDefaultParams() or create the list from scratch.
Always initialize the pointer to the property list that you specify for importReturnParamspp to null before you call Import().
The following are the list of properties that can be imported:
Property
Meaning
Constants.FS_AlertUserAboutFailure (2)
Alert user if an unexpected condition, such as an unrecognized file type, occurs. Set to either True or False

• True - Notify user when unexpected conditions occur.

• False - Do not notify user when unexpected conditions occur.

Constants.FS_DisallowDoc (8)
Disallow importing FrameMaker binary documents. Set to either True or False.

• True - Do not allow importing FrameMaker binary documents.

• False - Allow importing FrameMaker binary documents.

Constants.FS_DisallowFilterTypes (11)
Disallow importing filterable files. Set to either True or False.

• True - Do not allow importing filterable files.

• False - Allow importing filterable files.

Constants.FS_DisallowMIF (7)
Disallow importing MIF files. Set to either True or False.

• True - Do not allow importing MIF files.

• False - Allow importing MIF files.

Constants.FS_DisallowGraphicTypes (9)
Disallow importing graphic files. Set to either True or False.

• True - Do not allow importing graphic files.

• False - Allow importing graphic files.

Constants.FS_DisallowMacEditions (10)
Disallow importing Macintosh editions of files. Set to either True or False.

• True - Do not allow importing Macintosh editions of files.

• False - Allow importing Macintosh editions of files.

Constants.FS_DisallowPlainText (12)
Disallow importing Text Only files. Set to either True or False.

• True - Do not allow importing Text Only files.

• False - Allow importing Text Only files.

Constants.FS_DisallowSgml (33)
Disallow importing SGML documents. Set to either True or False.

• True - Do not allow importing SGML documents.

• False - Allow importing SGML documents.

Constants.FS_DisallowXml (43)
Disallow importing XML documents. Set to either True or False.

• True - Do not allow importing XML documents.

• False - Allow importing XML documents.

Constants.FS_DontNotifyAPIClients (3)
Notify other clients of the import operation. Set to either True or False.

• True - Do not notify other clients of the import operation.

• False - Notify other clients of the import operation.

Constants.FS_FileTypeHint (34)
If the file is filterable, this property is a string that enables FrameMaker to automatically call the correct filter to filter the file.
If the file is not filterable, this property contains the value null.
Constants.FS_FileIsSgmlDoc (32)
File is an SGML document. The possible values are:

• Constants.FV_DoOK (1) - Import it anyway.

• Constants.FV_DoCancel (0) - Cancel the import operation.

• Constants.FV_DoShowDialog (4) - Show a dialog box and let the user decide.

Constants.FS_FileIsXmlDoc (37)
File is an XML document. The possible values are:

• Constants.FV_DoOK (1) - Import it anyway.

• Constants.FV_DoCancel (0) - Cancel the import operation.

• Constants.FV_DoShowDialog (4) - Show a dialog box and let the user decide.

Constants.FS_ForceImportAsText (17)
Import the file as a Text Only document, even if it is a MIF file or a filterable file. Set to either True or False.

• True - Import it as a Text Only file.

• False - Import it in a format based on its type.

Constants.FS_HowToImport (4)
Import file by reference or copy. The possible values are:

• Constants.FV_DoByRef (5) - Import file by reference.

• Constants.FV_DoByCopy (6) - Import file by copy.

• Constants.FV_DoUserChoice (7) - Allow user to choose how to import the file.

Constants.FS_ImportAsType (36)
Specify the format of the file to import. Possible values are:

• Constants.FV_AUTORECOGNIZE (0x00) - Default value; recognize the file type aoutmatically.

• Constants.FV_TYPE_BINARY (0x01) - A FrameMaker binary file.

• Constants.FV_TYPE_MIF (0x02) - A MIF file.

• Constants.FV_TYPE_TEXT (0x03) - A file containing plain text.

• Constants.FV_TYPE_SGML (0x04) - An SGML file.

• Constants.FV_TYPE_XML (0x05) - An XML file.

• Constants.FV_TYPE_FILTER (0xFF) - Use a filter to import this file. You must specify a valid file type hint for the Constants.FS_FileTypeHint (34) property.

Constants.FS_ManualUpdate (5)
Update inset manually. Set to either True or False.

• True - Update inset automatically.

• False - Do not update inset manually.

Constants.FS_SgmlImportApplication (35)
Retained for compatibility with older versions of FrameMaker. Use the Constants.FS_StructuredImportApplication (35) property instead.
Constants.FS_StructuredImportApplication (35)
String specifying the name of the structure application to use when importing an XML or SGML file. This property takes precedence over any other structure application specification. If the specified application does not exist, the calling function will fail.
If this property is not set, then the value of this property is null.
Constants.FS_ShowBrowser (1)
Display the Import dialog box. Set to either True or False.

• True - Display the Import dialog box.

• False - Do not display the Import dialog box.

Constants.FS_TextInsetName (6)
Denotes the Inset name. If not set, the value of this property is null.

The syntax of the string passed to the Constants.FS_FileTypeHint (34) is as follows:
record_vers vendor format_id platform filter_vers filter_name
The fields in the record are not separated by spaces. Spaces are significant data except those that appear in the filter_name field.
For example:
0001PGRFPICTMAC61.0 Built-in PICT reader0001ORBLSVGIAll Platform SVG reader for 7.0
Each field of the record (except filter_name) specifies a four-byte code. If a code contains fewer than four alphanumeric characters, the remaining bytes must be filled out with spaces.
record_vers specifies the version of the record, currently 0001.
vendor is a code specifying the filter's vendor. The code is a string of four characters. The following table lists the possible codes
Code
Meaning
PGRF
Built-in Frame filters.
FAPI
External Frame FDK client filter.
FFLT
External Frame filters.
IMAG
External ImageMark filters.
XTND
External XTND filters.

format_id is a code specifying the format that the filter translates. The code is a string of four characters. The following are the possible codes:
Code
Meaning
CDR
CorelDRAW
CGM
Computer Graphics Metafile
DIB
Device-independent bitmap (Windows)
DRW
Micrografx CAD
DXF
Autodesk Drawing eXchange file (CAD files)
EMF
Enhanced Metafile (Windows)
EPSB
Encapsulated PostScript Binary (Windows)
EPSD
Encapsulated PostScript with Desktop Control Separations (DCS)
EPSF
Encapsulated PostScript (Macintosh)
EPSI
Encapsulated PostScript Interchange
FRMI
FrameImage
FRMV
FrameVector
G4IM
CCITT Group 4 to Image
GEM
GEM file (Windows)
GIF
Graphics Interchange Format (Compuserve)
HPGL
Hewlett-Packard Graphics Language
IGES
Initial Graphics Exchange Specification (CAD files)
IMG4
Image to CCITT Group 4 (UNIX)
MooV
QuickTime Movie
OLE
Object Linking and Embedding Client (Microsoft)
PCX
PC Paintbrush
PICT
QuickDraw PICT
PNTG
MacPaint
SNRF
Sun Raster File
SRGB
SGI RGB
SVGI
Scalable Vector Graphics
TIFF
Tag Image File Format
WMF
Windows Metafile
WPG
WordPerfect Graphics
XWD
X Windows System Window Dump file

platform is a code specifying the platform on which the filter was run. The code is a string of four characters. The following are the possible codes:
Code
Meaning
MAC6
Macintosh 68000 series
MACP
Power Macintosh
WINT
Windows NT
WIN3
Windows 3.1
WIN4
Windows 95
OS/2
IBM OS/2
UNIX
Generic X/11 (Sun, HP)

filter_vers is a string of four characters identifying the version of the filter on that platform. For example, version 1.0 of a filter is represented by the string 1.0.
filter_name is a text string (up to 31 characters long) that describes the filter.
Import() uses the following properties only for importing FrameMaker documents and MIF files:
Property
Meaning
Constants.FS_FileIsMakerDoc (18)
File is a FrameMaker binary document or a MIF file. The possible values are:
• Constants.FV_DoOK (1) - Import it anyway.

• Constants.FV_DoCancel (0) - Cancel the import operation.

• Constants.FV_DoShowDialog (4) - Show a dialog box and let the user decide.

Constants.FS_FormatImportedText (22)
Format the imported text. The possible values are:

• Constants.FV_EnclosingDoc (1) - Use formatting in the enclosing document.

• Constants.FV_PlainText (2) - Format the imported text as plain text.

• Constants.FV_SourceDoc (0) - Use formatting from the source documents.

Constants.FS_ImportFlowPageSpace (21)
If Constants.FS_UseMainFlow (19) is False, then Constants.FS_ImportFlowPageSpace (21) indicates the type of pages to search for the flow specified by the Constants.FS_ImportFlowTag (20) property. The possible values are:

• Constants.FV_BodyPage (10) - Search body pages.

• Constants.FV_ReferencePage (9) - Search reference pages.

Constants.FS_ImportFlowTag (20)
If Constants.FS_UseMainFlow (19) is False, then Constants.FS_ImportFlowTag (20) indicates the name of the flow to import. If this value is not set, the default value is null.
Constants.FS_RemoveManualPageBreaks (23)
Remove manual page breaks if FS_FormatImportedTest is set to Constants.FV_EnclosingDoc (1). Set to either True or False.

• True - Remove manual page breaks.

• False - Do not remove manual page breaks.

Constants.FS_RemoveOverrides (24)
Remove format overrides if Constants.FS_FormatImportedTest (TBD) is set to Constants.FV_EnclosingDoc (1). Set to either True or False.

• True - Remove format overrides.

• False - Do not remove format overrides.

Constants.FS_UseMainFlow (19)
Import text from specified document's main flow. Set to either True or False.

• True - Import the text from the main flow.

• False - Do not import the text from the main flow.

Import() uses the following properties only for importing graphics files:
Property
Meaning
Constants.FS_FileIsGraphic (13)
File is a graphic file. The possible values are:

• Constants.FV_DoOK (1) - Import it.

• Constants.FV_DoCancel (0) - Cancel import operation.

• Constants.FV_DoShowDialog (4) - Display a dialog box and let the user decide.

Constants.FS_FitGraphicInSelectedRect (14)
Fit the graphic in the selected graphic frame. Set to either True or False.

• True - Fit the graphic in the frame.

• False - Do not fit the graphic in the frame.

Constants.FS_GraphicDpi (15)
Integer specifying dots per inch (DPI) at which to import the graphic. The default value is 72 (to specify 72 DPI).
Constants.FS_InsetRasterDpi (TBD)
Denotes the read-only value to indicate the DPI of the bitmap facet when importing SVG data.
Constants.FS_RasterDpi (38)
Specifies the DPI for the bitmap facet when importing SVG data. This corresponds to any of the DPI settings in the Imported Graphic Scaling dialog box.
Constants.FS_RasterImageHeight (40)
Specifies the height of the rectangle in which to import the graphic, when importing SVG data.
You should always specify this value in points. This property corresponds to the height for the Fit in Selected Rectangle setting in the Imported Graphic Scaling dialog box.
Constants.FS_RasterImageWidth (39)
Specifies the width of the rectangle in which to import the graphic, when importing SVG data.
You should always specify this value in points. This property corresponds to the width for the Fit in Selected Rectangle setting in the Imported Graphic Scaling dialog box.
Constants.FS_ShowRasterDpiDialog (41)
For importing SVG data, show the Imported Graphic Scaling dialog box. Default is 1 (one). The values are:

• 1 (one) or any non-zero value: Display the Imported Graphic Scaling dialog box.

• 0 (zero): Do not display the Imported Graphic Scaling dialog box.

Import() uses the following properties only for importing ASCII text files:
Property
Meaning
Constants.FS_CellSeparator (29)
If Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8), then this property denotes the delimiter or separator used to parse the text into cells. The default value is null.
Constants.FS_FileIsText (16)
File is a Text Only file. The possible values are:

• Constants.FV_TextFile_EOLisEOP (12) - Import the file and convert each end-of-line into a paragraph break.

• Constants.FV_TextFile_EOLisNotEOP (13) - Import the file but do not convert each end-of-line into a paragraph break.

• Constants.FV_DoImportAsTable (8) - Import the file into a table.

• Constants.FV_DoCancel (0) - Cancel the import operation.

Constants.FS_ImportTblTag (25)
Specifies the table format to use, if Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8). The default value is null.
Constants.FS_LeaveHeadingRowsEmpty (27)
Leave the heading rows empty if Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8). Constants.FS_LeaveHeadingRowsEmpty (27) is set to either True or False.

• True - Leave heading rows empty.

• False - Do not leave heading rows empty.

Constants.FS_NumCellSeparators (30)
Denotes the number of spaces to use as a separator, if Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8), and Constants.FS_CellSeparator (29) is set to a space (' '). The default value is 1.
Constants.FS_NumColumns (31)
Specifies the number of columns in the table, if Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8), and Constants.FS_TreatParaAsRow (28) is False. The default value is 1.
Constants.FS_TblNumHeadingRows (26)
Specifies the number of heading rows in the table, if Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8). The default value is 1.
Constants.FS_TreatParaAsRow (28)
Convert each line in the text file into a row of table cells and use Constants.FS_CellSeparator (29) and Constants.FS_NumCellSeparators (30) to determine how to divide the line into separate cells, if Constants.FS_FileIsText (16) is set to Constants.FV_DoImportAsTable (8). Constants.FS_TreatParaAsRow (28) is set to either True or False.

• True - Convert each line into a row of table cells.

• False - Convert each line into a table cell instead.

When you import text into a table, in addition to setting Constants.FS_FileIsText (16) to Constants.FV_DoImportAsTable (8), you must specify a value for the Constants.FS_ImportTblTag (25) property. If you set the Constants.FS_TreatParaAsRow (28) property to True, you must also specify a value for the Constants.FS_CellSeparator (29) property.
The property list returned by GetImportDefaultParams() does not specify values for the Constants.FS_ImportTblTag (25) and Constants.FS_CellSeparator (29) properties.
If you use the property list to import a table and do not specify a value for Constants.FS_ImportTblTag (25), Import() fails and sets FA_errno to Constants.FE_BadParameter (-43).
If you set Constants.FS_TreatParaAsRow (28) to True and do not specify a cell separator by setting Constants.FS_CellSeparator (29), Import() fails and sets FA_errno to Constants.FE_BadParameter (-43).
If GetImportDefaultParams() fails, the Import() method sets the len field of the returned PropVals structure to 0.
After you finish with the property list returned by GetImportDefaultParams(), use DeallocatePropVals() to deallocate it.
The Import() method returns the object that was imported, on success.
Import() returns 0 on success, if it imports a copy or a graphic inset.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_SystemError (-42)
System error, such as an unreadable file or insufficient memory.
Constants.FE_BadParameter (-43)
The property list contained an invalid parameter.
Constants.FE_BadFileType (-83)
The specified file exists, but it does not have the correct file type.
Constants.FE_MissingFile (-84)
The specified file does not exist.
Constants.FE_NoSuchFlow (-82)
The script specifies an import flow that does not exist.
Constants.FE_FailedState (-45)
Internal error.
Constants.FE_CircularReference (-81)
Importing the specified file causes a circular reference.
Constants.FE_FileClosedByClients (TBD)
The file was closed by a client before it could be imported.

The property list returned to importReturnParamspp has the following properties:
Property
Meaning
Constants.FS_ImportedFileName (1)
A string specifying the source file's path. If you scripted Constants.FS_ShowBrowser (1), this path can be different from the one you specified in the Import script.
Constants.FS_ImportNativeError (2)
The error condition; normally the same value as FA_errno. If the file is imported successfully, Constants.FS_ImportNativeError (2) is set to Constants.FE_Success (0).
Constants.FS_ImportStatus (3)
A bit field indicating what happened when the file was imported. See the following table for more information.

Both the Constants.FS_ImportNativeError (2) property and the FA_errno global variable indicate the result of a call to the Import() method. The following table lists the possible status flags and the reasons associated with them:
Status Flag
Reason

• Constants.FE_BadParameter (-43)

• Constants.FE_BadFileType (-83)

• Constants.FE_MissingFile (-84)

• Constants.FE_FailedState (-45)

• Constants.FE_CanceledByClient (-86) (file was not imported)

• Constants.FV_BadImportFileName (16) - The specified source filename is invalid.

• Constants.FV_BadImportFileType (17) - The Import script specified a file type different from the source file's actual type.

• Constants.FV_BadImportScriptValue (18) - The Import script contained an invalid property value.

• Constants.FV_BadTextFileTypeHint (29) - The file was a text file, and the string in Constants.FS_FileTypeHint (34) was not a valid import hint string.

• Constants.FV_MissingScript: Import() was called without a script.

• Constants.FV_DisallowedImportType (21) - Source file's type is disallowed by script.

• Constants.FV_NoMainFlow (22) - A script was specified to import the main flow, but the source file does not have a main flow.

• Constants.FV_NoFlowWithSpecifiedName (23) - A script was specified with a flow name that does not exist.

• Constants.FV_InsertionPointNotInText (24) - The insertion point in the enclosing document is not in the text.

• Constants.FV_InsufficientMemory (27) - There is insufficient memory to import the source file.

• Constants.FV_BadEnclosingDocId (28) - There is no open document with the specified ID.

• Constants.FV_ImportFileNotReadable (48) - The specified source file is unreadable.

Constants.FE_Success (0)

• Constants.FV_ImportedByCopy (0) - The source file was imported by copy.

• Constants.FV_ImportTextTable (TBD) - The source file is a text file, which was imported into a table.

• Constants.FV_ImportedMIF (3) - The source file is a MIF file.

• Constants.FV_ImportedMakerDoc (4) - The source file is a FASL file.

• Constants.FV_ImportedFilteredFile (5) - The source file was filtered.

• Constants.FV_ImportedGraphicFile (6) - The source file is a graphics file.

• Constants.FV_ImportedSgmlDoc (8) - The source file is an SGML document.

• Constants.FV_ImportedXmlDoc (9) - The source file is an XML document.

Constants.FE_Canceled (-44)

• Constants.FV_CancelFileText (32) - The file is text, so the user or the Import script canceled the Import operation.

• Constants.FV_CancelFileGraphic (36) - The source file is a graphic, so the user or the Import script canceled the Import operation.

• Constants.FV_CancelFileMacEdition (TBD) - The source file is a Macintosh Edition, so the Import script canceled the Import operation

• Constants.FV_CancelFileDoc (33) - The file is a FASL file, so the user or the script canceled the Import operation.

• Constants.FV_CancelFileSgml (40) - The file is an SGML document, so the user or the script canceled the Import operation

• Constants.FV_CancelFileXml (41) - The file is an XML document, so the user or the script canceled the Import operation.

• Constants.FV_CancelFileMIF (34) - The source file is a MIF file, so the user or the script canceled the Import operation.

• Constants.FV_CancelFileFilterable (35) - The source file is a filterable file, so the user or the script canceled the Import operation.

• Constants.FV_InsertionPointInFootnote (26) - The insertion point was in a footnote and the import script specified to import the file as a table, so the file could not be imported.

• Constants.FV_InsertionPointInTableCell (25) - The insertion point was in a table cell and the import script specified to import the file as a table, so the file could not be imported

• Constants.FV_UserCanceledImport (37) - The user canceled the Import operation.

• Constants.FV_UserCanceledImportBrowser (TBD): The user canceled the Import browser

To determine whether a particular Constants.FS_ImportStatus (3) bit is set, use CheckStatus().

Parameter | Type | Description
textLocP | TextLoc | The text location at which to import the file. (Optional)
filename | string | The full path of the file to import. (Optional)
importParams | PropVals | A property list specifying how to import the file and how to respond to errors and other conditions. To use the default list, specify null. (Optional)
importReturnParams | PropVals | A property list that provides information about how FrameMaker imported the file. This parameter must be initialized before you call Import(). (Optional)

Element NewBookComponentInHierarchy ([compName: string][, elemLoc: ElementLoc]) The NewBookComponentInHierarchy() method inserts a book component at a specified position in a FrameMaker structured book, and returns the component that was newly added, on success.
The method returns the element that was added, on success. On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadBookId (-66)
Invalid book.
Constants.FE_BadCompPath (-68)
Component name specified for compName is invalid.
Constants.FE_BadNew (-23)
The object cannot be created.
Constants.FE_BookUnStructured (-67)
The specified book is unstructured.

Parameter | Type | Description
compName | string | The name of the component to add. (Optional)
elemLoc | ElementLoc | The position at which to add the new component. (Optional)

BookComponent NewBookComponentOfTypeInHierarchy ([compName: string][, compType: int][, elemLoc: ElementLoc]) TBD

Parameter | Type | Description
compName | string | TBD (Optional)
compType | int | TBD (Optional)
elemLoc | ElementLoc | TBD (Optional)

BookComponent NewSeriesBookComponent ([previous: Object]) The NewSeriesBookComponent() method creates a Book Component.
The method allows you to specify the position in the series at which to add the new object.
See the NewSeriesObject method for more information.

Parameter | Type | Description
previous | Object | The location of the object in the series after which to add the new Book Component. To add a paragraph at the start of a flow, specify the location of the flow. To add a Book Component at the beginning of any other series, specify 0. (Optional)

Object NewSeriesObject ([objType: int][, previous: Object]) The NewSeriesObject() method creates a series object. Series objects include the following object types:

• BodyPage

• BookComponent

• Pgf

The method allows you to specify the position in the series at which to add the new object.
The method returns the location of the new object, on success. If the method fails, it sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid book.
Constants.FE_BadNew (-23)
Object cannot be created.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_NotBodyPage (-24)
The previous parameter must specify the location of a body page.
Constants.FE_NotPgf (-25)
The previous parameter must specify the location of a paragraph.
Constants.FE_NotBookComponent (-26)
The previous parameter must specify the location of a book component.

Parameter | Type | Description
objType | int | The type of object to create (for example, FO_BodyPage or FO_Pgf). (Optional)
previous | Object | The location of the object in the series after which to add the new object. To add a paragraph at the start of a flow, specify the location of the flow. To add an object at the beginning of any other series, specify 0. (Optional)

int ObjectValid () Indicates whether the specified book is valid. Returns True if the specified book is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Object Save ([saveAsName: string][, saveParams: PropVals][, saveReturnParams: PropVals]) The Save() method saves a book. The method allows you to script the way FrameMaker saves the file and to specify responses to warnings and messages that arise while the file is being saved.
You can save a file under its current name or save it as a new file.
The property list for the saveParams parameter is as follows:
Property
Meaning
Constants.FS_SavedFileName (1)
A string that specifies the full path of the saved file.
Constants.FS_SaveNativeError (2)
The error condition. If the file is saved successfully, this property is set to FE_Success.
Constants.FS_SaveStatus (3)
A bit field indicating what happened when the file was saved.

After you finish with the property lists you use to call Save(), use DeallocatePropVals() to deallocate the memory they use.
The method returns the document it saved, on success.
On failure the method sets FA_errno to one of the following values:
Error
Reason

• Constants.FE_Canceled (-44)

• Constants.FE_CanceledByClient (-86)

• Constants.FV_FileNotWritable (33) - File was not writable.

• Constants.FV_BadSaveFileName (34) - The specified filename is not allowed by the operating system.

• Constants.FV_BadFileId (35) - The file’s operating system ID was bad.

• Constants.FV_CancelSaveFileIsInUse (50) - The file is in use and the user did not or could not reset the lock. Or the file is in use, and the Constants.FS_FileIsInUse (17) parameter is set to Constants.FV_DoCancel (0), or it is set to Constants.FV_ResetLockAndContinue (7) but FrameMaker could not reset the lock.

• Constants.FV_CancelSaveModDateChanged (52) - The file has changed since the last time it was opened or saved in the current session.

• Constants.FV_LockCouldntBeReset (2) - File lock could not be reset.

• Constants.FV_LockWasReset (0) - File lock was reset.

• Constants.FV_LockNotReset (1) - File lock was not reset.

• Constants.FV_FileIsViewOnly (4) - File was View Only.

• Constants.FV_NonPortableSaveName (37) - File had a name that is not portable (Macintosh only).

• Constants.FV_NonPortableFileRefs (38) - Referenced graphics files had filenames that are not portable (Macintosh only).

Constants.FE_WrongProduct (-60)
The specified file contains structure and the current product interface is not Structured FrameMaker.
Constants.FE_FailedState (-45)
Constants.FE_BadParameter (-43)
The filename was invalid.
Constants.FE_FilterFailed (-89)
Constants.FV_InvalidSaveFilter (42) - The filter specified by Constants.FS_SaveFileTypeHint (16) is not installed, or the syntax for Constants.FS_SaveFileTypeHint (16) is invalid.

Parameter | Type | Description
saveAsName | string | The path for saving the document or book. (Optional)
saveParams | PropVals | A property list that tells FrameMaker how to save the file and how to respond to errors and other conditions. Use GetSaveDefaultParams() or AllocatePropVals() to create and allocate memory for this property list. To use the default list, specify null. (Optional)
saveReturnParams | PropVals | A property list that returns information about how the FrameMaker product saved the file. (Optional)

Void SetProps ([setVal: PropVals]) Sets the value of the specified property of the Book.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value to set. (Optional)

int SilentPrintDoc () The SilentPrintDoc() method prints a document or a book using the default print settings. Default print settings are the settings that appear in the Print dialog box when the user attempts to print a document.
SilentPrintDoc() initializes the print page size and printer name if they do not have values.
On success, the method returns FE_Success. On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_SystemError (-42)
Could not open or close the printer file.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.

int SimpleGenerate ([interactive: int][, makeVisible: int]) The SimpleGenerate() method generates files for a book.
The method performs the same operation as choosing Update Book from the book Edit menu.
You must set up the book and its generated files before calling SimpleGenerate().
The method returns FE_Success on success, and assigns FA_errno with one of the following values on failure:
Error
Reason
Constants.FE_BadOperation (-27)
The book is not self-consistent (book generates data in one file that is source data for another generated file, or page count continually changes for this operation); there is a duplicate file in the book; all files in the book are generated files.
Constants.FE_BadParameter (-43)
Not a valid book.
Constants.FE_SystemError (-42)
Could not allocate memory, or could not open or save one of the files in the book.

Parameter | Type | Description
interactive | int | Set the interactive property to True to display messages and warnings; set the property to False to suppress display of messages and warnings. (Optional)
makeVisible | int | Specifies whether to display the generated files. Set to True to display the files, or to False to suppress displaying the files. (Optional)

int SimpleImportElementDefs ([fromDocOrBook: Doc|Book][, importFlags: int]) The SimpleImportElementDefs()method imports element definitions and the format change list catalog from an EDD or FrameMaker document or book to another FrameMaker document or book.
You can OR the following flags into the importFlags parameter:
Flag
Meaning
Constants.FF_IED_REMOVE_OVERRIDES (0x0001)
Clear format overrides.
Constants.FF_IED_REMOVE_BOOK_INFO (0x0002)
Clears formatting inherited from a parent book, if the element definitions are being imported from a document.
Constants.FF_IED_DO_NOT_IMPORT_EDD (0x0004)
If the source document is an EDD, setting this value does NOT treat it as an EDD; instead the method just imports its element catalog.
Constants.FF_IED_NO_NOTIFY (0x0008)
Do not issue the Constants.FA_Note_PreImportElemDefs (64) or Constants.FA_Note_PostImportElemDefs (65) notifications.

The method returns FE_Success on success. If the method fails, it assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current product version is not Structured FrameMaker.
Constants.FE_BadDocId (-2)
Invalid book or document.

Parameter | Type | Description
fromDocOrBook | Doc|Book | The document or book from which to import element definitions. (Optional)
importFlags | int | Specifies how to import formats. (Optional)

int SimpleImportFormats ([fromDoc: Doc][, formatFlags: int]) The SimpleImportFormats() method imports formats from a document to a document or a book.
If you import formats to a book, SimpleImportFormats() imports formats to each book component for which the ImportFmtInclude property is set to True.
You can OR the following values into the formatFlags parameter to specify the formats to import.
Flag
What to Import
Constants.FF_UFF_COLOR (0x0100)
Colors
Constants.FF_UFF_COMBINED_FONTS (0x0800)
Combined fonts
Constants.FF_UFF_COND (0x0010)
Conditions
Constants.FF_UFF_DOCUMENT_PROPS (0x0400)
Document properties
Constants.FF_UFF_FONT (0x0002)
Character Catalog formats
Constants.FF_UFF_MATH (0x0200)
Equation settings
Constants.FF_UFF_PAGE (0x0004)
Page layouts
Constants.FF_UFF_PGF (0x0001)
Paragraph Catalog formats
Constants.FF_UFF_REFPAGE (0x0020)
Reference pages
Constants.FF_UFF_REMOVE_EXCEPTIONS (0x8000)
Remove exception formats from target documents
Constants.FF_UFF_REMOVE_PAGE_BREAKS (0x4000)
Remove all forced page breaks from target documents
Constants.FF_UFF_TABLE (0x0008)
Table Catalog formats
Constants.FF_UFF_VAR (0x0040)
Variable formats
Constants.FF_UFF_XREF (0x0080)
Cross-reference formats

The method returns FE_Success on success. If the method fails, it sets FA_errno with one of the following values:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support books.
Constants.FE_BadDocId (-2)
Invalid book or document.
Constants.FE_Canceled (-44)
User canceled the operation.
Constants.FE_FailedState (-45)
FrameMaker failed to open one or more of the book's document files during the import operation.

Parameter | Type | Description
fromDoc | Doc | The document from which the formats are to be imported. (Optional)
formatFlags | int | Bit field specifying the formats to be imported. Specify 0 for the default flags. (Optional)

Book SimpleSave ([saveAsName: string][, interactive: int]) The SimpleSave() method saves a book.
If you set the interactive parameter to False and you specify the book's current name for saveAsName, FrameMaker saves the book under its current name.
If you specify another filename for saveAsName, FrameMaker saves the book to that filename.
If you specify an empty string (""), FrameMaker does not save the file. Instead it sets FA_errno to Constants.FE_BadParameter (-43).
If you set the interactive parameter to True, FrameMaker displays the Save dialog box and allows the user to choose a filename. The book's current name appears as the default file name.
The SimpleSave() method returns the book it saved, on success.
On failure, the method sets FA_errno, to one of the following values:
Error
Reason

• Constants.FE_Canceled (-44)

• Constants.FE_CanceledByClient (-86)

• Constants.FV_FileNotWritable (33) - File was not writable.

• Constants.FV_BadSaveFileName (34) - The specified file name is not allowed by the operating system.

• Constants.FV_BadFileId (35) - The file’s operating system ID was bad.

• Constants.FV_CancelSaveFileIsInUse (50) - The file is in use and the user did not or could not reset the lock. Or the file is in use, and the Constants.FS_FileIsInUse (17) parameter is set to Constants.FV_DoCancel (0), or it is set to Constants.FV_ResetLockAndContinue (7) but FrameMaker could not reset the lock.

• Constants.FV_CancelSaveModDateChanged (52) - The file has changed since the last time it was opened or saved in the current session.

• Constants.FV_LockCouldntBeReset (2) - File lock could not be reset.

• Constants.FV_LockWasReset (0) - File lock was reset.

• Constants.FV_LockNotReset (1) - File lock was not reset.

• Constants.FV_FileIsViewOnly (4) - File was View Only.

• Constants.FV_NonPortableSaveName (37) - File had a name that is not portable (Macintosh only).

• Constants.FV_NonPortableFileRefs (38) - Referenced graphics files had filenames that are not portable (Macintosh only).

Constants.FE_WrongProduct (-60)
The specified file contains structure and the current product interface is not Structured FrameMaker.
Constants.FE_FailedState (-45)
Constants.FE_BadParameter (-43)
The filename was invalid.
Constants.FE_FilterFailed (-89)
Constants.FV_InvalidSaveFilter (42) - The filter specified by Constants.FS_SaveFileTypeHint (16) is not installed, or the syntax for Constants.FS_SaveFileTypeHint (16) is invalid.

Parameter | Type | Description
saveAsName | string | The absolute path in which to save the document or book. (Optional)
interactive | int | Specifies whether FrameMaker displays messages and warnings to the user. Set this parameter to True to display messages and warnings. (Optional)

int UpdateBook ([updateParams: PropVals][, updateReturnParams: PropVals]) The UpdateBook() method updates a book.
The method allows you to specify a script (property list) specifying how to update the book and how to deal with error and warning conditions.
For example, you can specify whether to abort or to continue updating a book if it contains view-only documents.
Always initialize the pointer to the property list that you specify for updateReturnParamspp to null before you call UpdateBook().
To get a property list to specify for the updateParamsp parameter, use GetUpdateBookDefaultParams() or create the list from scratch.
The following are the properties that you can use in the property list:
Property
Meaning
Constants.FS_AlertUserAboutFailure (2)
Alert user with warnings and messages if necessary. Set this parameter to True or False as desired.

• True - Notify user when unexpected conditions occur.

• False - Do not notify user when unexpected conditions occur.

Constants.FS_AllowInconsistentNumProps (6)
Allow the FrameMaker product to update numbering, text insets and other properties of all the FrameMaker documents in the book, even if there are documents in the book with numbering properties that do not match the properties specified in the book. The permissible values are as follows:

• Constants.FV_DoOK (1) - Update numbering even if there are inconsistent properties in the book.

• Constants.FV_DoCancel (0) - Cancel the update operation when FrameMaker encounters a document with inconsistent numbering properties.

• Constants.FV_DoShowDialog (4) - Show a dialog box and let the user decide.

Constants.FS_AllowNonFMFiles (1)
Allow the FrameMaker product to update numbering, text insets, and other properties of all the FrameMaker documents in the book, even if there are documents in the book that were not created by FrameMaker. The permissible values are as follows:

• Constants.FV_DoOK (1) - Update the book even if the book contains files not created by FrameMaker.

• Constants.FV_DoCancel (0) - Cancel the update operation when it encounters a document not created by FrameMaker.

• Constants.FV_DoShowDialog (4) - Show a dialog box and let the user decide.

Constants.FS_AllowViewOnlyFiles (3)
Allow the FrameMaker product to update view-only documents in the book. The permissible values are as follows:

• Constants.FV_DoOK (1) - Update the view-only documents.

• Constants.FV_DoCancel (0) - Cancel the entire update operation when it encounters a view-only document.

• Constants.FV_DoShowDialog (4) - Show a dialog box and let the user decide.

Constants.FS_MakeVisible (5)
Make newly generated files (lists and indexes) visible. Takes the value True or False.

• True - Make visible.

• False - Do not make visible.

Constants.FS_ShowBookErrorLog (4)
Display the book error log for this update operation. Takes the value True or False.

• False - Do not display the error log; all warnings and errors are redirected to the console.

• True - Display the error log.

Constants.FS_UpdateBookGeneratedFiles (7)
Update generated files such as TOC, lists, and indexes. Only update those generated files that have GenerateInclude set to True in their associated FO_BookComponent objects. Takes the value True or False.

• True - Update generated files.

• False - Do not update generated files.

Constants.FS_UpdateBookMasterPages (12)
Update automatic assignment of master pages in all the documents of the book. Takes the value True or False.

• True - Update master pages.

• False - Do not update master pages.

Constants.FS_UpdateBookNumbering (8)
Update numbering in all the documents of the book. Takes the value True or False.

• True - Update numbering.

• False - Do not update numbering.

Constants.FS_UpdateBookOleLinks (9)
Update OLE links in all the documents of the book. Takes the value True or False.

• True - Update OLE links.

• False - Do not update OLE links.

Constants.FS_UpdateBookTextReferences (10)
Update text insets in all the documents of the book. Takes the value True or False.

• True - Update text insets.

• False - Do not update text insets.

Constants.FS_UpdateBookXRefs (11)
Update cross-references in all the documents of the book. Takes the value True or False.

• True - Update cross-references.

• False - Do not update cross-references.

The property list to which updateReturnParams is set, has the following property:
Property
Meaning
Constants.FS_UpdateBookStatus (1)
A bit field to indicate what happened during the update.

To determine if a particular Constants.FS_UpdateBookStatus (1) bit is set, use CheckStatus().
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid book
Constants.FE_BadOperation ()

• Constants.FV_BookNotSelfConsistent (0) - The book is not self-consistent (book generates data in one file that is source data for another generated file, or page count continually changes for this operation).

• Constants.FV_DuplicateFileInBook (1) - One or more files in the book is a duplicate of another file.

• Constants.FV_NoNonGeneratedFilesInBook (2) - The only files in the book are generated files.

Constants.FE_BadParameter (-43)

• Constants.FV_BadUpdateBookFileId (64) - Specified book is invalid.

• Constants.FV_BadUpdateBookScriptValue (65) - The update book script contains an invalid property value.

Constants.FE_Canceled (-44)Constants.FE_CanceledByClient (-86)

• Constants.FV_CancelInconsistentNumPropsInFileInBook (34) - One or more of the book's document files has numbering properties that are inconsistent with the properties stored in the book.

• Constants.FV_CancelNonFMFileInBook (32) - One or more of the book's document files is not a FrameMaker file.

• Constants.FV_CancelViewOnlyFileInBook (33) - One or more of the book's document files is view-only.

• Constants.FV_UserCanceledUpdateBook (35) - The user canceled the update operation.

Constants.FE_SystemError (-42)

• Constants.FV_FileInBookNotOpened (96) - One or more files in the book could not be opened.

• Constants.FV_FileInBookNotSaved (97) - One or more files in the book could not be saved.

• Constants.FV_TooManyWindowsUpdateBook (98) - Not enough memory. Too many windows were open.

Parameter | Type | Description
updateParams | PropVals | A property list specifying how to update the book and how to respond to errors and other conditions. To use the default list, specify null. (Optional)
updateReturnParams | PropVals | A property list that provides information about how the FrameMaker product updated the book. This parameter must be initialized before you call UpdateBook(). (Optional)

Element of

Book.NextOpenBookInSession

BookComponent.BookParent

app.ActiveBook

app.FirstOpenBook

Return

Book Book.SimpleSave ([saveAsName: string][, interactive: int])

Book app.GetNamedBook ([name: string])

Book app.NewNamedBook ([name: string])


Adobe FrameMaker-10 Object Model JS: BookComponent

Class

BookComponent

QuickLinks

 Delete, GetProps, MoveComponent, ObjectValid, SetProps

Properties

Property | Type | Access | Description
BookComponentFileType | int | readonly | Determines the file type of the document. The possible values are: • Constants.FV_BK_FM (0x8) - FrameMaker document • Constants.FV_BK_MIF (0x10) - MIF document • Constants.FV_BK_XML (0x20) - XML document • Constants.FV_BK_XML (0x20) - Ditamap
BookComponentIsFolderWithTemplate | int | readonly | Determines whether a template is associated with a book. Returns True if the BookComponent is a folder and a template is associated with the component. Returns False, otherwise.
BookComponentIsFolderWithoutTemplate | int | readonly | Determines whether a template is not associated with a book. Returns True if the BookComponent is a folder and a template is not associated. Returns False otherwise.
BookComponentIsGeneratable | int | readonly | Set to True if the book component is a generated file (BookComponentType is not set to Constants.FV_BK_NOT_GENERATABLE (16)); set to False, otherwise.
BookComponentParent | BookComponent | readonly | Denotes the parent of the current book element.
BookComponentTemplatePath | string | readwrite | The path to the file that is used as a template for a folder.
BookComponentTitle | string | readwrite | The name of a folder or a group component.
BookComponentType | int | readwrite | Depicts the type of the book component. The possible values are: • Constants.FV_BK_TOC (0) - Table of contents. • Constants.FV_BK_LIST_FIGURE (1) - List of figures. • Constants.FV_BK_LIST_TABLE (2) - List of tables. • Constants.FV_BK_LIST_PGF (3) - List of paragraphs. • Constants.FV_BK_LIST_MARKER (4) - List of markers. • Constants.FV_BK_LIST_MARKER_ALPHA (5) - Alphabetical list of markers. • Constants.FV_BK_LIST_PGF_ALPHA (6) - Alphabetical list of paragraphs. • Constants.FV_BK_INDEX_STAN (7) - Standard index • Constants.FV_BK_INDEX_AUTHOR (8) - Index of authors. • Constants.FV_BK_INDEX_SUBJECT (9) - Subject index. • Constants.FV_BK_INDEX_MARKER (10) - Index of markers. • Constants.FV_BK_LIST_FORMATS (11) - List of formats • Constants.FV_BK_LIST_REFERENCES (12) - List of references. • Constants.FV_BK_INDEX_FORMATS (13) - Index of formats. • Constants.FV_BK_INDEX_REFERENCES (14) - Index of references. • Constants.FV_BK_NOT_GENERATABLE (16) - Book component is not a generated file.
BookParent | Book | readonly | Specifies the book that contains the component (Constants.FO_BookID).
ChapNumComputeMethod | int | readwrite | The component document's chapter numbering type. The possible values are: • Constants.FV_NUM_READ_FROM_FILE (0x00) - Use the numbering properties from the document associated with this book component. • Constants.FV_NUM_CONTINUE (0x01) - Continue numbering from the previous chapter. • Constants.FV_NUM_RESTART (0x02) - Use the value specified for the ChapterNumber property. • Constants.FV_NUM_SAME (0x03) - Use the same chapter number as for the previous file.
ChapterNumStyle | int | readwrite | Denotes the chapter numbering style. The possible value are: • Constants.FV_NUMSTYLE_NUMERIC (0x00) - Arabic • Constants.FV_NUMSTYLE_ROMAN_UC (0x01) - Roman, uppercase • Constants.FV_NUMSTYLE_ROMAN_LC (0x02)- Roman,lowercase • Constants.FV_NUMSTYLE_ALPHA_UC (0x03) - Alphabetic, uppercase • Constants.FV_NUMSTYLE_ALPHA_LC (0x04) - Alphabetic, lowercase • Constants.FV_NUMSTYLE_KANJI (0x05) - Kanji • Constants.FV_NUMSTYLE_ZENKAKU (0x06) - Zenkaku • Constants.FV_NUMSTYLE_ZENKAKU_UC (0x07) - Zenkaku, uppercase • Constants.FV_NUMSTYLE_ZENKAKU_LC (0x08) - Zenkaku, lowercase • Constants.FV_NUMSTYLE_KANJI_KAZU (0x09) - Kazu • Constants.FV_NUMSTYLE_DAIJI (0x0a) - Daiji • Constants.FV_NUMSTYLE_TEXT (0x0b)- Text. This property is only for volume/chapter numbers.
ChapterNumText | string | readwrite | If the ChapNumStyle property is set to Constants.FV_NUMSTYLE_TEXT (0x0b), use the string specified in the ChapterNumText property as the chapter number.
ChapterNumber | int | readwrite | If the ChapNumComputeMethod property is set to Constants.FV_NUM_RESTART (0x02), use the ChapterNumber property as the chapter number.
ComponentDisplayText | string | readwrite | Specifies the text that displays in the book window when the value of the TypeOfDisplayText property is set to Constants.FV_BK_TEXT (2). Set the ComponentDisplayText property to an empty string ("") to allow FrameMaker to automatically update the text line with normal information.
ComponentElement | Element | readonly | Specifies the component element (FO_Element ID).
ComponentIsDitaMap | bool | readonly | Determines whether a book component is a ditamap. Set to True if the book component is a ditamap; set to False otherwise.
ComponentIsSelected | int | readwrite | Set to True if the component is selected in the book window; otherwise set to False.
ComponentType | int | readonly | Indicates whether the component is a folder, group, or a document. The value is one of: • Constants.FV_BK_FOLDER (0x02) - Folder • Constants.FV_BK_GROUP (0x40) - Group • Constants.FV_BK_FM (0x8) - FrameMaker document • Constants.FV_BK_MIF (0x10) - MIF document • Constants.FV_BK_XML (0x20) - XML document
CorrespondingXmlPath | string | readwrite |
ExcludeBookComponent | int | readwrite | Specifies the component to exclude when printing the book.
ExtractElementTags | Strings | readwrite | List of element tags that are used to set up a generatable file (for example, table of contents, list of figures, or list of tables).
ExtractTags | Strings | readwrite | List of paragraph tags or markers type names that are used to set up a generatable file (for example, table of contents, list of figures, standard index or index of authors).
FirstComponentInBookComponent | BookComponent | readwrite | Denotes the first component of the hierarchy for which the current component is the parent.
FirstPageNum | int | readwrite | Number for the first page in the component; used when the PageNumComputeMethod property is set to Constants.FV_NUM_RESTART (0x02).
FnCustNumString | string | readwrite | Indicates the characters for custom document footnote numbers.
FnFirstNum | string | readwrite | Number for the first footnote in the component; used when the FnNumComputeMethod property is set to Constants.FV_NUM_RESTART (0x02).
FnNumComputeMethod | int | readwrite | The component document's footnote numbering type. The possible values are: • Constants.FV_NUM_READ_FROM_FILE (0x00) - Use the numbering properties from the document associated with this book component. • Constants.FV_NUM_CONTINUE (0x01) - Continue numbering from the previous file. • Constants.FV_NUM_RESTART (0x02) - Use the number specified by the FnFirstNum property. • Constants.FV_NUM_PER_PAGE (0x03) - Restart numbering on each page.
FnNumStyle | int | readwrite | Footnote numbering style. The possible values are: • Constants.FV_FN_NUM_NUMERIC (0x00) - Arabic • Constants.FV_FN_NUM_ROMAN_UC (0x01) - Roman uppercase • Constants.FV_FN_NUM_ROMAN_LC (0x02) - Roman lowercase • Constants.FV_FN_NUM_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_FN_NUM_ALPHA_LC (0x04) - Alphabetic lowercase • Constants.FV_FN_NUM_CUSTOM (0x05) - Custom numbering • Constants.FV_FN_NUM_KANJI (0x06) - Kanji characters • Constants.FV_FN_NUM_ZENKAKU (0x07) - Zenkaku • Constants.FV_FN_NUM_ZENKAKU_UC (0x08) - Zenkaku uppercase • Constants.FV_FN_NUM_ZENKAKU_LC (0x09) - Zenkaku lowercase • Constants.FV_FN_NUM_KANJI_KAZU (0x0A) - Kazu • Constants.FV_FN_NUM_DAIJI (0x0B) - Daiji
GenerateInclude | int | readwrite | Set to True if the document appears in the scroll list of files to be generated by the Generate/Update command for the book; otherwise set to False.
ImportFmtInclude | int | readwrite | Set to True if the book component is included in the list of components to be updated with imported formats or element definitions, when the user or a client executes Import Formats or Import Element Definitions; otherwise set to False.
InsertLinks | int | readwrite | Set to True if hypertext links are automatically inserted in generated files; otherwise set to False.
Name | string | readwrite | Indicates the path of the document that the component represents.
NextBookComponentInDFSOrder | BookComponent | readonly | Denotes the pointer to traverse through book components in a hierarchal manner (top to bottom).
NextComponentInBook | BookComponent | readwrite | Specifies the next component in the book file.
NextSelectedComponentInBook | BookComponent | readonly | Specifies the next selected component in the book window.
PageNumComputeMethod | int | readwrite | The component document's page numbering type. The possible values are: • Constants.FV_NUM_READ_FROM_FILE (0x00) - Use the numbering properties from the document associated with this book component. • Constants.FV_NUM_CONTINUE (0x01) - Continue the numbering from the previous file. • Constants.FV_NUM_RESTART (0x02) - Restart numbering at the value specified by the FirstPageNum property.
PageNumStyle | int | readwrite | Page numbering style. The possible values are: • Constants.FV_PAGE_NUM_NUMERIC (0x00) - Arabic • Constants.FV_PAGE_NUM_ROMAN_UC (0x01) - Roman uppercase • Constants.FV_PAGE_NUM_ROMAN_LC (0x02) - Roman lowercase • Constants.FV_PAGE_NUM_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_PAGE_NUM_ALPHA_LC (0x04) - Alphabetic lowercase • Constants.FV_PAGE_NUM_KANJI (0x05) - Kanji characters • Constants.FV_PAGE_NUM_ZENKAKU (0x06) - Zenkaku • Constants.FV_PAGE_NUM_ZENKAKU_UC (0x07) - Zenkaku uppercase • Constants.FV_PAGE_NUM_ZENKAKU_LC (0x08) - Zenkaku lowercase • Constants.FV_PAGE_NUM_KANJI_KAZU (0x09) - Kazu • Constants.FV_PAGE_NUM_DAIJI (0x0a) - Daiji
PagePrefix | string | readwrite |
PageSide | int | readwrite | Specifies the page side on which to start the component document. The possible values are: • Constants.FV_BK_START_FROM_FILE (0x01) • Constants.FV_BK_START_NEXT_AVAILABLE (0x02) • Constants.FV_BK_START_LEFT (0x03) • Constants.FV_BK_START_RIGHT (0x04)
PageSuffix | string | readwrite |
PgfNumComputeMethod | int | readwrite | The type of numbering for the component document's paragraph. Possible values are: • Constants.FV_NUM_READ_FROM_FILE (0x00) - Use the numbering properties from the document associated with this book component. • Constants.FV_NUM_CONTINUE (0x01) - Continue the numbering from the previous file. • Constants.FV_NUM_RESTART (0x02) - Restart numbering at 1.
PrevBookComponentInDFSOrder | BookComponent | readonly | Denotes the pointer to traverse through book components in an heirarchial manner (bottom to top).
PrevComponentInBook | BookComponent | readwrite | Denotes the previous component in the book file.
PrintInclude | int | readwrite | Set to True if the component document is included in the list of book files to be printed; otherwise set to False.
SecNumComputeMethod | int | readwrite | Indicates the type of numbering applied to a particular book component. The value is one of: • Constants.FV_NUM_CONTINUE (0x01) • Constants.FV_NUM_RESTART (0x02) • Constants.FV_NUM_SAME (0x03)
SectionNumStyle | int | readwrite | Denotes the section numbering style. Possible values are: • Constants.FV_PAGE_NUM_NUMERIC (0x00) - Arabic • Constants.FV_PAGE_NUM_ROMAN_UC (0x01) - Roman uppercase • Constants.FV_PAGE_NUM_ROMAN_LC (0x02) - Roman lowercase • Constants.FV_PAGE_NUM_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_PAGE_NUM_ALPHA_LC (0x04) - Alphabetic lowercase • Constants.FV_PAGE_NUM_KANJI (0x05) - Kanji characters • Constants.FV_PAGE_NUM_ZENKAKU (0x06) - Zenkaku • Constants.FV_PAGE_NUM_ZENKAKU_UC (0x07) - Zenkaku uppercase • Constants.FV_PAGE_NUM_ZENKAKU_LC (0x08) - Zenkaku lowercase • Constants.FV_PAGE_NUM_KANJI_KAZU (0x09) - Kazu • Constants.FV_PAGE_NUM_DAIJI (0x0a) - Daiji
SectionNumText | string | readwrite | The text to use for the SectionNumber property.
SectionNumber | int | readwrite | Denotes the section number of the specified component.
SubsecNumComputeMethod | int | readwrite | Indicates the type of numbering applied to a particular book component. The value is one of: • Constants.FV_NUM_CONTINUE (0x01) • Constants.FV_NUM_RESTART (0x02) • Constants.FV_NUM_SAME (0x03)
SubsectionNumStyle | int | readwrite | Denotes the subsection numbering style. Possible values are: • Constants.FV_PAGE_NUM_NUMERIC (0x00) - Arabic • Constants.FV_PAGE_NUM_ROMAN_UC (0x01) - Roman uppercase • Constants.FV_PAGE_NUM_ROMAN_LC (0x02) - Roman lowercase • Constants.FV_PAGE_NUM_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_PAGE_NUM_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_PAGE_NUM_ALPHA_LC (0x04) - Alphabetic lowercase • Constants.FV_PAGE_NUM_KANJI (0x05) - Kanji characters • Constants.FV_PAGE_NUM_ZENKAKU (0x06) - Zenkaku • Constants.FV_PAGE_NUM_ZENKAKU_UC (0x07) - Zenkaku uppercase • Constants.FV_PAGE_NUM_ZENKAKU_LC (0x08) - Zenkaku lowercase • Constants.FV_PAGE_NUM_KANJI_KAZU (0x09) - Kazu • Constants.FV_PAGE_NUM_DAIJI (0x0a) - Daiji
SubsectionNumText | string | readwrite | The text to use for the SubsectionNumber property.
SubsectionNumber | int | readwrite | Denotes the subsection number of the specified component.
TblFnCustNumString | string | readwrite | Specifies the characters for custom table footnote numbers.
TblFnNumComputeMethod | int | readwrite | The numbering type of the component document's table footnote. Possible values are: • Constants.FV_NUM_READ_FROM_FILE (0x00) - Use the numbering properties from the document associated with this book component. • Constants.FV_NUM_RESTART (0x02) - Start at 1.
TblFnNumStyle | int | readwrite | Table footnote numbering style. The possible values are: • Constants.FV_FN_NUM_NUMERIC (0x00) - Arabic • Constants.FV_FN_NUM_ROMAN_UC (0x01) - Roman uppercase • Constants.FV_FN_NUM_ROMAN_LC (0x02) - Roman lowercase • Constants.FV_FN_NUM_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_FN_NUM_ALPHA_LC (0x04) - Alphabetic lowercase • Constants.FV_FN_NUM_CUSTOM (0x05)- Custom numbering • Constants.FV_FN_NUM_KANJI (0x06) - Kanji characters • Constants.FV_FN_NUM_ZENKAKU (0x07) - Zenkaku • Constants.FV_FN_NUM_ZENKAKU_UC (0x08) - Zenkaku uppercase • Constants.FV_FN_NUM_ZENKAKU_LC (0x09) - Zenkaku lowercase • Constants.FV_FN_NUM_KANJI_KAZU (0x0A) - Kazu • Constants.FV_FN_NUM_DAIJI (0x0B) - Daiji
Unique | int | readwrite | Represents the Unique ID of the book component.
VolNumComputeMethod | int | readwrite | The component document's volume numbering type. The possible values are: • Constants.FV_NUM_READ_FROM_FILE (0x00) - Use the numbering properties from the document associated with this book component. • Constants.FV_NUM_CONTINUE (0x01) - Continue numbering from the previous volume. • Constants.FV_NUM_RESTART (0x02) - Use the value specified for the VolumeNumber property. • Constants.FV_NUM_SAME (0x03) - Use the same volume number as for the previous file.
VolumeNumStyle | int | readwrite | The volume numbering style. The possible values are: • Constants.FV_NUMSTYLE_NUMERIC (0x00) - Arabic • Constants.FV_NUMSTYLE_ROMAN_UC (0x01) - Roman uppercase • Constants.FV_NUMSTYLE_ROMAN_LC (0x02) - Roman lowercase • Constants.FV_NUMSTYLE_ALPHA_UC (0x03) - Alphabetic uppercase • Constants.FV_NUMSTYLE_ALPHA_LC (0x04) - Alphabetic lowercase • Constants.FV_NUMSTYLE_KANJI (0x05) - Kanji • Constants.FV_NUMSTYLE_ZENKAKU (0x06) - Zenkaku • Constants.FV_NUMSTYLE_ZENKAKU_UC (0x07) - Zenkaku uppercase • Constants.FV_NUMSTYLE_ZENKAKU_LC (0x08) - Zenkaku lowercase • Constants.FV_NUMSTYLE_KANJI_KAZU (0x09) - Kazu • Constants.FV_NUMSTYLE_DAIJI (0x0a) - Daiji • Constants.FV_NUMSTYLE_TEXT (0x0b) - Text
VolumeNumText | string | readwrite | If the VolNumStyle property is set to Constants.FV_NUMSTYLE_TEXT (0x0b), use the string specified in the VolumeNumText property as the chapter number.
VolumeNumber | int | readwrite | If the VolNumComputeMethod property is set to Constants.FV_NUM_RESTART (0x02), use the value specified in the VolumeNumber property as the volume number.
XmlApplicationForBookComponent | string | readwrite | The application name for the XML that is set as template for the folder.

Methods

Instances

int Delete () Deletes the specified BookComponent object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the specified BookComponent object.
See GetProps under the AFrame class for more information.

Void MoveComponent ([moveAction: int]) Moves a particular book component up and down in the book components sequence. In addition , you can promote and demote operations of a component in a hierarchy using this method.

Parameter | Type | Description
moveAction | int | TBD (Optional)

int ObjectValid () Indicates whether a BookComponent object is valid. Returns True if the specified book component is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the property of the BookComponent object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to be set. (Optional)

Element of

Book.FirstComponentInBook

Book.FirstSelectedComponentInBook

BookComponent.BookComponentParent

BookComponent.FirstComponentInBookComponent

BookComponent.NextBookComponentInDFSOrder

BookComponent.NextComponentInBook

BookComponent.NextSelectedComponentInBook

BookComponent.PrevBookComponentInDFSOrder

BookComponent.PrevComponentInBook

Element.BookComponent

Return

BookComponent Book.NewBookComponentOfTypeInHierarchy ([compName: string][, compType: int][, elemLoc: ElementLoc])

BookComponent Book.NewSeriesBookComponent ([previous: Object])


Adobe FrameMaker-10 Object Model JS: CMSConnection

Class

CMSConnection

QuickLinks

 CMSLogout, GetCMSObjectFromPath, GetProps, ObjectValid, SetProps

Methods

Instances

Void CMSLogout ()

CMSObject GetCMSObjectFromPath (urlPath: string)

Parameter | Type | Description
urlPath | string |

PropVals GetProps ()

int ObjectValid ()

Void SetProps (setVal: PropVals)

Parameter | Type | Description
setVal | PropVals |

Return

CMSConnection global.CMSLogin (setVal: TypedVal)


Adobe FrameMaker-10 Object Model JS: CMSObject

Class

CMSObject

QuickLinks

 CMSCancelCheckout, CMSCheckin, CMSCheckout, CMSDelete, CMSDownloadObject, CMSOpenFile, CMSUploadObject, GetProps, ObjectValid, SetProps

Methods

Instances

int CMSCancelCheckout ()

int CMSCheckin (checkinParam: TypedVal)

Parameter | Type | Description
checkinParam | TypedVal |

int CMSCheckout (rootWithDescendants: bool)

Parameter | Type | Description
rootWithDescendants | bool |

int CMSDelete (deleteParams: TypedVal)

Parameter | Type | Description
deleteParams | TypedVal |

string CMSDownloadObject ()

Object CMSOpenFile (openParams: TypedVal)

Parameter | Type | Description
openParams | TypedVal |

int CMSUploadObject (localFilePath: string)

Parameter | Type | Description
localFilePath | string |

PropVals GetProps ()

int ObjectValid ()

Void SetProps (setVal: PropVals)

Parameter | Type | Description
setVal | PropVals |

Return

CMSObject CMSConnection.GetCMSObjectFromPath (urlPath: string)


Adobe FrameMaker-10 Object Model JS: Cell

Class

Cell

QuickLinks

 GetProps, GetText, ObjectValid, SetProps, StraddleCells, UnStraddleCells

Properties

Property | Type | Access | Description
CellAboveInCol | Cell | readonly | Denotes the cell above the current cell (FO_CellID).
CellAngle | int | readwrite | Indicates the angle of rotation of the cell.
CellBelowInCol | Cell | readonly | Denotes the cell below the current cell (FO_CellID).
CellColNum | int | readonly | Represents the cell's column number.
CellDefaultBottomRuling | RulingFmt | readonly | Indicates the cell's default bottom ruling (FO_RulingFmt ID).
CellDefaultLeftRuling | RulingFmt | readonly | Specifies the cell's default left ruling (FO_RulingFmt ID).
CellDefaultRightRuling | RulingFmt | readonly | Indicates the cell's default right ruling (FO_RulingFmt ID).
CellDefaultTopRuling | RulingFmt | readonly | Represents the cell's default top ruling (FO_RulingFmt ID).
CellIsShown | int | readonly | Returns True if the cell is conditional and is visible; returns False otherwise.
CellIsStraddled | int | readonly | Returns True if the cell is in a straddle but is not the first cell; returns False if the cell is the first cell in a straddle, or is not in a straddle.
CellNumColsStraddled | int | readonly | Specifies the number of columns in the straddle, if the cell is the first cell in a horizontal straddle; Otherwise the value is 1.
CellNumRowsStraddled | int | readonly | Specifies the number of rows in the straddle, if the cell is the first cell in a vertical straddle; Otherwise the value is 1.
CellOverrideBottomRuling | RulingFmt | readwrite | Represents the cell's bottom ruling (FO_RulingFmt ID), if there is an override. The value is null if there is no override.
CellOverrideFill | int | readwrite | Indicates the cell's fill pattern. The value is null if there is no override fill pattern.
CellOverrideLeftRuling | RulingFmt | readwrite | Indicates the cell's left ruling (FO_RulingFmt ID), if there is an override. The value is null if there is no override.
CellOverrideRightRuling | RulingFmt | readwrite | Specifies the cell's right ruling (FO_RulingFmt ID), if there is an override. The value is null if there is no override.
CellOverrideShading | Color | readwrite | Denotes the cell's spot color (FO_Color ID). The value is null if there is no override shading.
CellOverrideTopRuling | RulingFmt | readwrite | Denotes the cell's top ruling (FO_RulingFmt ID), if there is an override. The value is null if there is no override.
CellRow | Row | readonly | Denotes the row containing the cell (FO_RowID).
CellUseOverrideBRuling | int | readwrite | Set to True if the cell's bottom ruling (specified by the CellOverrideBottomRuling property) overrides the default ruling specified by the table format; set to False otherwise.
CellUseOverrideFill | int | readwrite | Set to True if the cell's fill pattern (specified by the CellOverrideFill property) overrides the default fill pattern specified by the table format; set to False otherwise.
CellUseOverrideLRuling | int | readwrite | Set to True if the cell's left ruling (specified by the CellOverrideLeftRuling property) overrides the ruling specified by the table format; set to False otherwise.
CellUseOverrideRRuling | int | readwrite | Set to True if the cell's right ruling (specified by the CellOverrideRightRuling property) overrides the ruling specified by the table format; set to False otherwise.
CellUseOverrideShading | int | readwrite | Set to True if the cell's shading (specified by the CellOverrideShading property) overrides the default shading specified by the table format; set to False otherwise.
CellUseOverrideTRuling | int | readwrite | Set to True if the cell's top ruling (specified by the CellOverrideTopRuling property) overrides the default top ruling specified by the table format; set to False otherwise.
ContentHeight | int | readonly | Denotes the distance between the top of the cell and the baseline of the last line in the cell.
Element | Element | readonly | Denotes the element containing the cell, if the cell is in a FrameMaker document.
FirstPgf | Pgf | readonly | Represents the first paragraph in the cell (FO_Pgf ID).
HighestLevelElement | Element | readonly |
InTextFrame | TextFrame | readonly | Represents the text frame containing the cell (FO_TextFrame ID).
InTextObj | SubCol | readonly | Represents the text object containing the cell (FO_SubCol ID).
LastPgf | Pgf | readonly | Indicates the last paragraph in the cell (FO_Pgf ID).
NextCell | Cell | readwrite | Represents the next cell in the text frame (FO_Cell ID).
NextCellInRow | Cell | readonly | Denotes the next cell in current row from left to right (FO_Cell ID).
NextCellInTbl | Cell | readonly | Represents the next cell from left to right (FO_Cell ID). If the cell is at the end of a row, the next cell is the first cell in the next row.
Overflowed | int | readonly | Specifies whether the text in the cell overflows. Set to True if the row Height Limit Maximum is too low to display all the text in the cell; set to False otherwise.
PrevCell | Cell | readonly | Denotes the previous cell in the text frame (FO_Cell ID).
PrevCellInRow | Cell | readonly | Represents the previous cell in the current row (FO_Cell ID).
Unique | int | readonly | Represents the cell's unique ID.

Methods

Instances

PropVals GetProps () Retrieves the properties of the specified cell object.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) The GetText() method gets the text from the following types of objects:

• Cell

• Element

• Flow

• Fn

• Pgf

• SubCol

• TextFrame

• TextLine

• TiApiClient

• TiFlow

• TiText

• TiTextTable

• XRef

Call this method on the document as follows:
document.GetText(flags)
GetText() returns an object containing an array of text items. Each text item contains either a string of text, an object that appears within the text (such as a table or an anchored frame), an indicator that the text properties have changed, or the object that organizes the text (such as a paragraph or a text column).
Use the DeallocateTextItems() method to deallocate the memory used by the TextItems structure returned by GetText() when you have finished using it.
To get specific types of text items, OR the constants that represent them (for example, use a bitwise OR to combine FTI_FlowBegin and FTI_String) into flags. To get all types of text items, specify -1.
The method returns a TextItems object containing the array of text items of the requested text types.
TextItem.dataType can be one of the following constants:
Text Item Type
Text Item Represents
Text Item Data
FTI_CharPropsChange
A change in the text properties
Flags indicating which properties have changed (see the following table).
FTI_ElementBegin
The beginning of a container structural element
FO_Element
FTI_ElementEnd
The end of a container structural element
FO_Element
FTI_ElemPrefixBegin
The beginning of an element’s prefix
FO_Element
FTI_ElemPrefixEnd
The end of an element’s prefix
FO_Element
FTI_ElemSuffixBegin
The beginning of an element’s suffix
FO_Element
FTI_ElemSuffixEnd
The end of an element’s suffix
FO_Element
FTI_FlowBegin
The beginning of a flow
FO_Flow
FTI_FlowEnd
The end of a flow
FO_Flow
FTI_FnAnchor
A footnote
FO_Fn
FTI_FrameAnchor
An anchored frame
FO_AFrame
FTI_LineBegin
The beginning of a line
-
FTI_LineEnd
The end of a line and the line end type
If the line end is a normal line end, the value is 0;
if it is a forced line end, the FTI_HardLineEnd flag is set;
if it is a hyphen line end, the FTI_HyphenLineEnd flag is set
FTI_MarkerAnchor
A Marker
FO_Marker
FTI_PageBegin
The beginning of a page
FO_Page
FTI_PageEnd
The end of a page
FO_Page
FTI_PgfBegin
The beginning of a paragraph
FO_Pgf
FTI_PgfEnd
The end of a paragraph
FO_Pgf
FTI_String
A string of characters with the same condition and character format.
A character string
FTI_SubColBegin
The beginning of a column
FO_SubCol
FTI_SubColEnd
The end of a column
FO_SubCol
FTI_TblAnchor
A Table
FO_Tbl
FTI_TextFrameBegin
The beginning of a text frame
FO_TextFrame
FTI_TextFrameEnd
The end of a text frame
FO_TextFrame
FTI_TextInsetBegin
The beginning of a text inset
FO_TiApiClient, FO_TiFlow, FO_TiText, or FO_TiTextTable
FTI_TextInsetEnd
The end of a text inset
FO_TiApiClient, FO_TiFlow, FO_TiText, or FO_TiTextTable
FTI_TextObjId
The object to which the offsets of all the text items are relative
FO_Pgf or FO_TextLine
FTI_VarBegin
The beginning of a variable
FO_Var
FTI_VarEnd
The end of a variable
FO_Var
FTI_XRefBegin
The beginning of a cross-reference
FO_XRef
FTI_XRefEnd
The end of a cross-reference
FO_XRef

The following table lists the bit flags that a client can bitwise AND with the idata field of a Constants.FTI_CharPropsChange (0x00200000) text item. For example, to determine if the font family changed, bitwise AND the Constants.FTF_FAMILY (0x80000000) flag with the idata field.
Flags
Meaning
FTF_ALL
OR of all the flags
FTF_ANGLE
The font angle has changed.
FTF_CAPITALIZATION
The capitalization has changed.
FTF_CHANGEBAR
The change bars have changed.
FTF_CHARTAG
The Character Catalog format has changed.
FTF_COLOR
The color has changed.
FTF_CONDITIONTAG
The condition tag has changed.
FTF_ENCODING
The text encoding has changed,
FTF_FAMILY
The font family has changed.
FTF_IIF
An internal flag having to do with Asian text. input. If there is a non-zero value for this flag, a front-end processor is controlling that text and you should not modify the associated text item.
FTF_KERNX
The kern-x characteristic has changed.
FTF_KERNY
The kern-x characteristic has changed.
FTF_LANGUAGE
Character language has changed.
FTF_OUTLINE
The outline characteristic has changed.
FTF_OVERLINE
The overline characteristic has changed.
FTF_PAIRKERN
The pair kerning has changed.
FTF_POSITION
The character position has changed.
FTF_SHADOW
The shadow characteristic has changed.
FTF_SIZE
The font size has changed.
FTF_SPREAD
The font spread has changed.
FTF_STRETCH
The font stretch value has changed.
FTF_STRIKETHROUGH
The strikethrough characteristic has changed.
FTF_TSUME
The Tsume setting has changed.
FTF_UNDERLINING
The underlining has changed.
FTF_VARIATION
The font variation has changed.
FTF_WEIGHT
The font weight has changed.

On success, the method returns a TextItems structure containing the array of text items of the requested types.
On failure, the method sets the len field of the returned TextItems structure to 0, and returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_NotTextObject (-41)
Object specified for the text range is not an object that contains text.

If you call GetText() for an object (FO_Element object), the returned information depends on the type of element, as shown:
Value
Information Returned
Constants.FV_FO_CONTAINER (1)
All the text items from the beginning to the end of the element.
Constants.FV_FO_SYS_VAR (2)
All the text items from the beginning to the end of the variable.
Constants.FV_FO_XREF (3)
All the text items from the beginning to the end of the cross reference.
Constants.FV_FO_FOOTNOTE (5)
All the text items from the beginning to the end of the footnote.
Constants.FV_FO_TBL_TITLE (9)
All the text items from the beginning to the end of the table title.
Constants.FV_FO_TBL_CELL (14)
All the text items from the beginning to the end of the cell.
Constants.FV_FO_TBL_HEADING (10)
Nothing. GetText() failed.
Constants.FV_FO_TBL_BODY (11)
Constants.FV_FO_TBL_FOOTING (12)
Constants.FV_FO_MARKER (4)
Constants.FV_FO_TBL (8)
Constants.FV_FO_GRAPHIC (6)
Constants.FV_FO_EQN (7)
Constants.FV_FO_TBL_ROW (13)

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Indicates whether a cell object is valid. Returns True if the cell object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the desired property of the cell object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to set. (Optional)

int StraddleCells ([heightInRows: int][, widthInCols: int]) The StraddleCells() method straddles the specified cells in a table.
The cells you straddle must all be from the same type of row. You cannot straddle a set of cells that are in both heading and body rows or footing and body rows. Also, the cells you straddle must be unstraddled. You cannot use this function to further straddle cells that are already straddled.
The StraddleCells() method returns FE_Success on success.
The method assigns one of the following values to FA_errno, on failure:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support tables.
Constants.FE_BadOperation (-27)
Parameters specify an action that is invalid.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.
Constants.FE_BadObjId (-3)
Invalid cell.

Parameter | Type | Description
heightInRows | int | Denotes the number of cells to straddle vertically. (Optional)
widthInCols | int | Indicates the number of cells to straddle horizontally. (Optional)

int UnStraddleCells ([heightInRows: int][, widthInCols: int]) The UnStraddleCells() method unstraddles the specified cells in a table.
The UnStraddleCells() method returns FE_Success on success.The method assigns one of the following values to FA_errno, on failure:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support tables.
Constants.FE_BadOperation (-27)
Parameters specify an action that is invalid.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.
Constants.FE_BadObjId (-3)
Invalid cell.

Parameter | Type | Description
heightInRows | int | The number of cells to unstraddle vertically. (Optional)
widthInCols | int | The number of cells to unstraddle horizontally. (Optional)

Element of

Cell.CellAboveInCol

Cell.CellBelowInCol

Cell.NextCell

Cell.NextCellInRow

Cell.NextCellInTbl

Cell.PrevCell

Cell.PrevCellInRow

Row.FirstCellInRow

SubCol.FirstCell

SubCol.LastCell

TextFrame.FirstCell

TextFrame.LastCell


Adobe FrameMaker-10 Object Model JS: CharFmt

Class

CharFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
BkColor | FMObject | readwrite | Denotes the text background color. If this property is applied on a paragraph format, it denotes the background color of the whole paragraph; if it is applied on a character format, it denotes the background color of the text over which the character format is applied.
Capitalization | int | readwrite | The capitalization type. The possible values are: • Constants.FV_CAPITAL_CASE_NORM (0) - Normal capitalization (mixed uppercase and lowercase) • Constants.FV_CAPITAL_CASE_SMALL (1) - Small caps • Constants.FV_CAPITAL_CASE_LOWER (2) - Lowercase letters only • Constants.FV_CAPITAL_CASE_UPPER (3) - Uppercase letters only
ChangeBar | int | readwrite | Returns True if Change Bars are on.
CharTag | string | readwrite | Denotes the character format's tag name.
Color | Color | readwrite | Indicates the spot color ((FO_Color ID).
CombinedFontFamily | CombinedFontDefn | readwrite | Denotes the combined font definition (FO_CombinedFontDefn).
FontAngle | int | readwrite | Represents the font angle (specifies an index into the array of font angles provided by the session property FontAngleNames).
FontEncodingName | string | readonly | Indicates the encoding of the font.
FontFamily | int | readwrite | Specifies the font family (specifies an index into the array of font families provided by the session property FontFamilyNames).
FontPlatformName | string | readwrite | Name that uniquely identifies a font on a specific platform. For combined fonts, the name is the Asian font name.
FontPostScriptName | string | readwrite | Name given to a font when it is sent to a PostScript printer. For combined fonts, the name is the Asian font name.
FontSize | int | readwrite | Denotes the font size (2 point to 400 point).
FontVariation | int | readwrite | Indicates the font variation (specifies an index into the array of font variations provided by the session property FontVariationNames).
FontWeight | int | readwrite | Indicates the font weight (specifies an index into the array of font weights provided by the session property FontWeightNames).
KernX | int | readwrite | Horizontal kern value for manual kerning expressed as a percentage of an em (metric –1000% to 1000%). A positive value moves a character right and a negative value moves a character left.
KernY | int | readwrite | Vertical kern value for manual kerning expressed as a percentage of an em (metric –1000% to 1000%). A positive value moves characters up and a negative value moves characters down.
Language | int | readwrite | Denotes the hyphenation and spell-checking language to use. The possible languages are: • Constants.FV_LANG_NOLANGUAGE (0x00) • Constants.FV_LANG_ENGLISH (0x01) • Constants.FV_LANG_BRITISH (0x02) • Constants.FV_LANG_GERMAN (0x03) • Constants.FV_LANG_SWISS_GERMAN (0x04) • Constants.FV_LANG_FRENCH (0x05) • Constants.FV_LANG_CANADIAN_FRENCH (0x06) • Constants.FV_LANG_SPANISH (0x07) • Constants.FV_LANG_CATALAN (0x08) • Constants.FV_LANG_ITALIAN (0x09) • Constants.FV_LANG_FINNISH (0x10) • Constants.FV_LANG_SWEDISH (0x11) • Constants.FV_LANG_JAPANESE (0x12) • Constants.FV_LANG_TRADITIONAL_CHINESE (0x13) • Constants.FV_LANG_SIMPLIFIED_CHINESE (0x14) • Constants.FV_LANG_KOREAN (0x15) • Constants.FV_LANG_PORTUGUESE (0x0A) • Constants.FV_LANG_BRAZILIAN (0x0B) • Constants.FV_LANG_DANISH (0x0C) • Constants.FV_LANG_DUTCH (0x0D) • Constants.FV_LANG_NORWEGIAN (0x0E) • Constants.FV_LANG_NYNORSK (0x0F)
Name | string | readwrite | Specifies the character format's name.
NextCharFmtInDoc | CharFmt | readonly | Denotes the next character format in the document (FO_CharFmt ID).
Overline | int | readwrite | Returns True if Overline is enabled; returns False otherwise.
PairKern | int | readwrite | Returns True if PairKern is enabled; returns False otherwise.
Position | int | readwrite | Denotes the vertical position of the character. Possible values are: • Constants.FV_POS_NORM (0) - Normal • Constants.FV_POS_SUPER (1) - Superscript • Constants.FV_POS_SUB (2) - Subscript
ReviewTime | int | readwrite |
ReviewerName | string | readwrite |
Spread | int | readwrite |
Stretch | int | readwrite | Denotes the character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
Strikethrough | int | readwrite | Returns True if Strikethrough is enabled; otherwise returns False.
Underlining | int | readwrite | Indicates the character tracking expressed as a percentage of an em (metric –100% to 1000%).
UseBkColor | bool | readwrite | The UseBkColor is a Boolean flag which indicates whether the BkColor property is set or not. A value of 1 indicates the text has some background color. A value of 0 indicates a transparent background. When the UseBkColor property is set to 0, the BkColor value is not used.
UseCapitalization | int | readwrite | Returns True if the Capitalization property overrides the default value; returns False if the "As Is" setting is used.
UseChangeBar | int | readwrite | Returns True if the ChangeBar property overrides the default value; returns False if the "As Is" setting is used.
UseColor | int | readwrite | Returns True if the Color property overrides the default value; returns False if the "As Is" setting is used.
UseFontAngle | int | readwrite | Returns True if the FontAngle property overrides the default value; returns False if the "As Is" setting is used.
UseFontFamily | int | readwrite | Returns True if the FontFamily property overrides the default value; returns False if the "As Is" setting is used.
UseFontSize | int | readwrite | Returns True if the FontSize property overrides the default value; returns False if the "As Is" setting is used.
UseFontVariation | int | readwrite | Returns True if the FontVariation property overrides the default value; returns False if the "As Is" setting is used.
UseFontWeight | int | readwrite | Returns True if the FontWeight property overrides the default value; returns False if the "As Is" setting is used.
UseKernX | int | readwrite | Returns True if the KernX property overrides the default value; returns False if the "As Is" setting is used.
UseKernY | int | readwrite | Returns True if the KernY property overrides the default value; returns False if the "As Is" setting is used.
UseOverline | int | readwrite | Returns True if the Overline property overrides the default value; returns False if the "As Is" setting is used.
UsePairKern | int | readwrite | Returns True if the PairKern property overrides the default value; returns False if the "As Is" setting is used.
UsePosition | int | readwrite | Returns True if the Position property overrides the default value; returns False if the "As Is" setting is used.
UseSpread | int | readwrite |
UseStretch | int | readwrite | Returns True if the Stretch property overrides the default value; returns False if the "As Is" setting is used.
UseStrikethrough | int | readwrite | Returns True if the Strikethrough property overrides the default value; returns False if the "As Is" setting is used.
UseUnderlining | int | readwrite | Returns True if the Underlining property overrides the default value; returns False if the "As Is" setting is used.
WesternFontPlatformName | string | readwrite | Name that uniquely identifies the Roman component of a combined font on a specific platform.
WesternFontPostScriptName | string | readwrite | Name given to the Roman component of a combined font when it is sent to a PostScript printer.

Methods

Instances

int Delete () Deletes the specified CharFmt object.
See Delete under the AFrame class for more information.

PropVals GetProps () Get the properties of the specified CharFmt object.
See GetProps under the AFrame class for more information.

int ObjectValid () Indicates whether the specified CharFmt object is valid. Returns True if the CharFmt object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the value of the property for the specified CharFmt object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to set. (Optional)

Element of

CharFmt.NextCharFmtInDoc

Doc.FirstCharFmtInDoc

Return

CharFmt Doc.GetNamedCharFmt ([name: string])

CharFmt Doc.NewNamedCharFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: Color

Class

Color

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Black | int | readwrite | Represents the percentage of black (metric 0% to 100%).
ColorOverprint | int | readwrite | Overprint setting for the color. Possible values are: • Constants.FV_COLOR_KNOCKOUT (0x00) • Constants.FV_COLOR_OVERPRINT (0x01)
ColorPrintCtl | int | readwrite | Indicates the type of color printing used in the document. Possible values are: • Constants.FV_PRINT_SPOT (0x0) • Constants.FV_PRINT_PROCESS (0x1) • Constants.FV_PRINT_NO (0x2)
ColorTintPercent | int | readwrite | Specifies the percentage of the TintBaseColor to use for tinting. Possible values are the tint percentage (0% to 100%) or Constants.FV_COLOR_NOT_TINTED (0x7fffffff) if the color is not a tint.
ColorViewCtl | int | readwrite | A 12-bit number for spot color views. The least significant 2 bits are View 1, the next 2 bits are View 2, and so on. The values of each 2-bit setting are one of the following: • Constants.FV_SEP_NORMAL (0x0) • Constants.FV_SEP_NONE (0x1) • Constants.FV_SEP_WHITE (0x2)
Cyan | int | readwrite | Indicates the percentage of cyan (metric 0% to 100%).
FamilyName | string | readwrite | Color library name. Note that you must specify the full ink name, including any trademark symbols. For example, use "MUNSELL\xa8 Book of Color’ for "MUNSELL® Book of Color."
InkName | string | readwrite | Specifies the name of the color library pigment. Use this name instead of Pantone.
Magenta | int | readwrite | Represents the percentage of magenta (metric 0% to 100%).
Name | string | readwrite | Denotes the name of the color.
NextColorInDoc | Color | readonly | Indicates the next color in the document (FO_Color ID).
ReservedColor | int | readwrite | Color names reserved by FrameMaker. The values are: • Constants.FV_COLOR_NOT_RESERVED (0) • Constants.FV_COLOR_CYAN (1) • Constants.FV_COLOR_MAGENTA (2) • Constants.FV_COLOR_YELLOW (3) • Constants.FV_COLOR_BLACK (4) • Constants.FV_COLOR_WHITE (5) • Constants.FV_COLOR_RED (6) • Constants.FV_COLOR_GREEN (7) • Constants.FV_COLOR_BLUE (8)
TintBaseColor | Color | readwrite | Denotes the color from which the tint is derived (FO_Color ID), or Constants.FV_NO_BASE_COLOR (0x00) if the color is not a tint.
Yellow | int | readwrite | Percentage of yellow (metric 0% to 100%).

Methods

Instances

int Delete () Deletes the specified color object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the specified color object.
See GetProps under the AFrame class for more information.

int ObjectValid () Determines whether a color object is valid. Returns True if the Color object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the value of the property for the color object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to be set. (Optional)

Element of

AFrame.Color

Arc.Color

Cell.CellOverrideShading

CharFmt.Color

Color.NextColorInDoc

Color.TintBaseColor

CondFmt.BkColor

CondFmt.SepOverride

Doc.ChangeBarColor

Doc.Color

Doc.FirstColorInDoc

Doc.SepOverride

Doc.TrackChangesAddedColor

Doc.TrackChangesDeletedColor

Ellipse.Color

FmtChangeList.Color

Group.Color

Inset.Color

Line.Color

Math.Color

Pgf.BkColor

Pgf.Color

PgfFmt.BkColor

PgfFmt.Color

Polygon.Color

Polyline.Color

Rectangle.Color

RoundRect.Color

Row.SepOverride

RulingFmt.RulingSep

Tbl.TblBodyFirstColor

Tbl.TblBodyNextColor

Tbl.TblHFColor

TblFmt.TblBodyFirstColor

TblFmt.TblBodyNextColor

TblFmt.TblHFColor

TextFrame.Color

TextLine.Color

UnanchoredFrame.Color

Return

Color Doc.GetNamedColor ([name: string])

Color Doc.NewNamedColor ([name: string])


Adobe FrameMaker-10 Object Model JS: CombinedFont

Class

CombinedFont

QuickLinks

 CombinedFont

Properties

Property | Type | Access | Description
angle | uint | readwrite | Index of the font angle.
combinedFont | CombinedFontDefn | readwrite | ID of the combined font.
variation | uint | readwrite | Index of the font variation.
weight | uint | readwrite | Index of the font weight.

Methods

Constructor

CombinedFont CombinedFont ([combinedFont: CombinedFontDefn][, variation: uint][, weight: uint][, angle: uint]) CombinedFont specifies a set of font characteristics for a combined font. The combinedFont field specifies a CombinedFont object. From this object you can get information about the combined font such as the base and Western font families, or the combined font name.

Parameter | Type | Description
combinedFont | CombinedFontDefn | CombinedFont object. (Optional)
variation | uint | Index of the font variation. (Optional)
weight | uint | Index of the font weight. (Optional)
angle | uint | Index of the font angle. (Optional)

Used in:

number CombinedFonts.push ([value: CombinedFont])

Return

CombinedFont CombinedFont.CombinedFont ([combinedFont: CombinedFontDefn][, variation: uint][, weight: uint][, angle: uint])

CombinedFont CombinedFonts.pop ()


Adobe FrameMaker-10 Object Model JS: CombinedFontDefn

Class

CombinedFontDefn

QuickLinks

 CombinedFamilyFonts, Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
BaseFamily | int | readwrite | Asian font family (specifies index into the arrays of font families provided by the session property, FontFamilyNames)
FontEncodingName | string | readonly | Specifies the combined font's encoding, based on the BaseFamily property.
Name | string | readwrite | Indicates the name of the combined font.
NextCombinedFontDefnInDoc | CombinedFontDefn | readonly | Represents the next combined font definition instance in the document (FO_CombinedFontDefn ID).
UserString | string | readwrite | Represents a string that your client can set as the value for the FO_CombinedFontDefn object.
WesternFamily | int | readwrite | Specifies the western font family (specifies index into the arrays of font families provided by the session property, FontFamilyNames).
WesternShift | int | readwrite | Indicates the baseline offset of Roman text expressed as a percentage of base font size (metric 1% to 1000%).
WesternSize | int | readwrite | Represents the scaling factor for Roman text expressed as a percentage of base font size (metric 1% to 1000%).

Methods

Instances

CombinedFonts CombinedFamilyFonts () Returns the permutations of angles, variations, and weights available for a specified combined font definition.
The method does not take any arguments.
The CombinedFamilyFonts() method returns a CombinedFonts object that provides a list of the permutations of angles, variations, and weights available for the specified combined font definition.

int Delete () Deletes the specified CombinedFonts object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the specified CombinedFonts object.
See GetProps under the AFrame class for more information.

int ObjectValid () Indicates whether a CombinedFonts object is valid. Returns True if the CombinedFonts object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the value of the desired property of the CombinedFonts object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to be set. (Optional)

Element of

CharFmt.CombinedFontFamily

CombinedFont.combinedFont

CombinedFontDefn.NextCombinedFontDefnInDoc

Doc.CombinedFontFamily

Doc.FirstCombinedFontDefnInDoc

FmtChangeList.CombinedFontFamily

Pgf.CombinedFontFamily

PgfFmt.CombinedFontFamily

Used in:

CombinedFont CombinedFont.CombinedFont ([combinedFont: CombinedFontDefn][, variation: uint][, weight: uint][, angle: uint])

Return

CombinedFontDefn Doc.GetNamedCombinedFontDefn ([name: string])

CombinedFontDefn Doc.NewNamedCombinedFontDefn ([name: string])


Adobe FrameMaker-10 Object Model JS: CombinedFonts

Class

CombinedFonts

An Array of CombinedFont objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array.

Methods

Instances

CombinedFonts concat ([value: CombinedFonts]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | CombinedFonts | Can also be arrays. (Optional)

CombinedFont pop () Removes the last element from the array.

number push ([value: CombinedFont]) Returns the new length of the array.

Parameter | Type | Description
value | CombinedFont | The value to push into the array (Optional)

Used in:

CombinedFonts CombinedFonts.concat ([value: CombinedFonts])

Return

CombinedFonts CombinedFontDefn.CombinedFamilyFonts ()

CombinedFonts CombinedFonts.concat ([value: CombinedFonts])


Adobe FrameMaker-10 Object Model JS: Command

Class

Command

QuickLinks

 Delete, Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
CanHaveCheckMark | int | readwrite | Returns True if the menu item can have a check mark. If the menu item is defined by FrameMaker, you can read this property, but not set it.
CheckMarkIsOn | int | readwrite | Returns True if the menu item can have a check mark and the check mark is on. If the menu item is defined by FrameMaker, you can read this property, but not set it.
CommandNum | int | readwrite | Represents the integer that you specified for the cmd parameter of DefineAndAddCommand() or DefineCommand(). When the user executes the command, FrameMaker passes this integer to your client's Command() function. If the menu item is defined by FrameMaker, you can read this property, but not set it.
EnabledWhen | int | readwrite | The context in which the menu item is enabled.. If the menu item is defined by FrameMaker, you can read this property, but not set it. The following are the values that the EnabledWhen property can have and the corresponding contexts in which a menu item is active. • Constants.FV_ENABLE_OBJ_PROPS (8) - The insertion point is in text, a table, or a math object, or a graphic object is selected. • Constants.FV_ENABLE_IN_TABLE (9) - The insertion point or selection is in any part of a table. • Constants.FV_ENABLE_IN_TABLE_TITLE (10) - The insertion point or selection is in the table title. • Constants.FV_ENABLE_IN_CELL_TEXT (11) - The insertion point or selection is in a table cell. • Constants.FV_ENABLE_IS_CELL (12) - A single cell in a table is selected. • Constants.FV_ENABLE_IS_CELLS (13) - One or more cells in a table are selected.
ExpandOMaticParent | Command | readonly | Denotes the virtual parent object, if the menu item is an expandomatic menu item.
Fcode | uint | readonly | Specifies an f-code that FrameMaker executes when the user chooses the menu item or presses the keyboard shortcut.
Fcodes | UInts | readonly | The list of f-codes that the FrameMaker product executes when the user chooses the menu item or presses the keyboard shortcut. Normally, the first f-code in the list is the same as the f-code specified by the Fcode property.
HasShiftOrUnshiftCommand | int | readwrite | Specifies whether a command has an accompanying shift command or unshift command. The value is one of: • Constants.FV_ITEM_HAS_SHIFT_COMMAND (1) • Constants.FV_ITEM_HAS_UNSHIFT_COMMAND (2) • Constants.FV_ITEM_HAS_NO_SHIFT_OR_UNSHIFT_COMMAND (3)
HelpLink | string | readwrite | The hypertext link to call when the user requests context-sensitive help for the command. If you set the HelpLink property, specify the destination file and an optional page number or linkname. For example, specify foo.doc:lastpage. Do not specify hypertext commands such as gotopage. FrameMaker automatically prefixes the appropriate hypertext command to the HelpLink string when the user requests context-sensitive help. If the destination file is not in the client directory, FrameMaker looks for the file in the FrameMaker product help directory. The HelpLink property is valid only for commands created by clients, and is not valid for commands created directly by FrameMaker.
KeyboardShortcutLabel | string | readwrite | The keyboard shortcut string that appears on the menu. This string need not be one of the actual shortcuts specified by the KeyboardShortcuts property.
KeyboardShortcuts | Strings | readwrite | The list of keyboard shortcuts that the user can press to execute the command. To add a shortcut, append it to the list. ESTK does not allow you to delete shortcuts from the list.
Label | string | readwrite | Indicates the dialog box title.
Labels | Strings | readwrite | If the command is a menu item, the Labels property depicts the list of labels the menu item can have in different contexts. If the menu item has only one label in all contexts, Labels specifies only the string for that specific label. If the menu item has different labels in different contexts, Labels specifies pairs of strings with the following format: Context,Label where Label specifies the menu item label and Context specifies the context in which the label appears on the menu.
MenuItemIsEnabled | int | readonly | Returns True if the menu or menu item is enabled. Returns False if the menu or menu item is disabled (dimmed).
MenuItemType | int | readonly | The type of command or menu item. The value is one of: • Constants.FV_MENUITEM_FRAME (1) - the command is a menu item defined by FrameMaker. • Constants.FV_MENUITEM_API (2) - the command is a menu item defined by a client. • Constants.FV_MENUITEM_MACRO (3) - the menu item is not a command; it calls a macro. • Constants.FV_MENUITEM_EXPANDOMATIC (4) - the menu item is an expandomatic menu item (such as !ShowParagraphTags) defined by FrameMaker.
Mode | int | readonly | The mode in which keyboard shortcuts are recorded. The value is one of: • Constants.FV_MODE_MATH (1) • Constants.FV_MODE_NONMATH (2) • Constants.FV_MODE_ALL (3)
Name | string | readonly | Represents the name of the command, menu, or menu item separator.
NextCommandInSession | Command | readonly | Represents the next command in the list of commands in the session.
NextMenuItemInMenu | FMObject | readwrite | Indicates the next menu item, menu, or separator in the menu.
NextMenuItemInSession | FMObject | readonly | Specifies the next menu item, menu, or separator in the list of menu items, menus, and separators in the session.
PrevMenuItemInMenu | FMObject | readwrite | Specifies the previous menu item, menu, or separator in the list of menu items, menus, and separators in the session.
ShiftOrUnshiftCommand | Command | readwrite | If the HasShiftOrUnshiftCommand property is set to Constants.FV_ITEM_HAS_SHIFT_COMMAND (1), the ShiftOrUnshiftCommand property, represents the command to use when the user holds down the Shift key. If the HasShiftOrUnshiftCommand property is set to Constants.FV_ITEM_HAS_UNSHIFT_COMMAND (2), the ShiftOrUnshiftCommand denotes the command to use when the user is not holding down the Shift key.

Methods

Instances

int Delete () Deletes the specified Command object.
See Delete under the AFrame class for more information.

int Delete () Deletes the specified Command object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the specified Command object.
See GetProps under the AFrame class for more information.

int ObjectValid () Identifies whether a Command object is valid or not. Returns True if the Command object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the value of the specified Command property.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to set. (Optional)

Element of

Command.ExpandOMaticParent

Command.NextCommandInSession

Command.ShiftOrUnshiftCommand

app.FirstCommandInSession

Return

Command app.GetNamedCommand ([name: string])

Command app.NewNamedCommand ([name: string])


Adobe FrameMaker-10 Object Model JS: CompareRet

Class

CompareRet

QuickLinks

 CompareRet

Properties

Property | Type | Access | Description
comp | Doc | readwrite | Specifies the composite document.
sum | Doc | readwrite | Specifies the summary document.

Methods

Constructor

CompareRet CompareRet ([sum: Doc][, comp: Doc]) CompareRet provides the results of a call to the Compare() method. The method returns a CompareRet object with the summary and composite documents.

Parameter | Type | Description
sum | Doc | Summary Document. (Optional)
comp | Doc | Composite Document. (Optional)

Return

CompareRet Book.Compare ([newerDoc: Doc][, flags: int][, insertCondTag: string][, deleteCondTag: string][, replaceText: string][, compareThreshold: int])

CompareRet CompareRet.CompareRet ([sum: Doc][, comp: Doc])

CompareRet Doc.Compare ([newerDoc: Doc][, flags: int][, insertCondTag: string][, deleteCondTag: string][, replaceText: string][, compareThreshold: int])


Adobe FrameMaker-10 Object Model JS: CondFmt

Class

CondFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
BkColor | Color | readwrite | BkColor is the text background color property whose value is the color to be used. If this property is applied on a paragraph format, the color is applied as the background color of the whole paragraph. If this property is applied on a character format, the color is applied as the background color of the text over which the character format is applied.
CondFmtIsShown | int | readwrite | Returns True if the condition is shown. To hide text with a specified condition, set this property and the ShowAll property of the Doc object to False.
Name | string | readwrite | Denotes the name of the condition format.
NextCondFmtInDoc | CondFmt | readonly | Denotes the next condition format in the document (FO_CondFmt ID).
SepOverride | Color | readwrite | Indicates the color separation format override (FO_Color ID).
StyleOverride | int | readwrite | The style condition indicators for conditional text. The possible values are: • Constants.FV_CN_NO_OVERRIDE (0) • Constants.FV_CN_OVERLINE (1) • Constants.FV_CN_STRIKETHROUGH (2) • Constants.FV_CN_SINGLE_UNDERLINE (3) • Constants.FV_CN_DOUBLE_UNDERLINE (4) • Constants.FV_CN_CHANGEBAR (5) • Constants.FV_CN_NUMERIC_UNDERLINE (6) • Constants.FV_CN_NMRIC_AND_CHNGBAR (7)
UseBkColor | bool | readwrite | The UseBkColor is a Boolean flag which indicates whether the BkColor is set or not. UseBkColor=1 indicates the text has some background color. UseBkColor=0 indicates transparent background. When UseBkColor=0, the BkColor value is not used.
UseSepOverride | int | readwrite | Returns True if color specified by the SepOverride property is used instead of the default color.

Methods

Instances

int Delete () Deletes the specified CondFmt object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the specified CondFmt object.
See GetProps under the AFrame class for more information.

int ObjectValid () Identifies whether a CondFmt object is valid or not. Returns True if the CondFmt object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the value of the specified CondFmt object property.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The value of the property to set. (Optional)

Element of

CondFmt.NextCondFmtInDoc

Doc.FirstCondFmtInDoc

Return

CondFmt Doc.GetNamedCondFmt ([name: string])

CondFmt Doc.NewNamedCondFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: Constants

Enumeration

Constants

Value

Name | Description | Value
Constants.FA_COMPONENT_DEMOTE |  | int 4
Constants.FA_COMPONENT_MOVEDOWN |  | int 2
Constants.FA_COMPONENT_MOVEUP |  | int 1
Constants.FA_COMPONENT_PROMOTE |  | int 3
Constants.FA_Init_DocReport |  | int 4
Constants.FA_Init_First |  | int 1
Constants.FA_Init_Subsequent |  | int 2
Constants.FA_Init_TakeControl |  | int 3
Constants.FA_Note_AI_Supported_File |  | int 137
Constants.FA_Note_Alert |  | int 85
Constants.FA_Note_AssignId |  | int 115
Constants.FA_Note_BackToUser |  | int 34
Constants.FA_Note_BodyPageAdded |  | int 50
Constants.FA_Note_BodyPageDeleted |  | int 51
Constants.FA_Note_ClientCall |  | int 13
Constants.FA_Note_ConsoleMessage |  | int 88
Constants.FA_Note_CursorChange |  | int 91
Constants.FA_Note_DITAOptions |  | int 116
Constants.FA_Note_Dialog |  | int 84
Constants.FA_Note_Dialog_Create |  | int 127
Constants.FA_Note_DirtyBook |  | int 25
Constants.FA_Note_DirtyDoc |  | int 12
Constants.FA_Note_DisplayClientTiDialog |  | int 35
Constants.FA_Note_DisplayClientXRefDialog |  | int 108
Constants.FA_Note_ECMInternal |  | int 66
Constants.FA_Note_Enable_Disable_DITA_Menu_Commands |  | int 126
Constants.FA_Note_FileOpen |  | int 94
Constants.FA_Note_FilterFileToFile |  | int 75
Constants.FA_Note_FilterIn |  | int 14
Constants.FA_Note_FilterOut |  | int 15
Constants.FA_Note_FontSubstitution |  | int 92
Constants.FA_Note_GenerateFM |  | int 112
Constants.FA_Note_Help |  | int 89
Constants.FA_Note_InsertConRef |  | int 111
Constants.FA_Note_InsertTopicRef |  | int 110
Constants.FA_Note_NewBookmapFile |  | int 118
Constants.FA_Note_NewConceptFile |  | int 121
Constants.FA_Note_NewDitamapFile |  | int 117
Constants.FA_Note_NewGlossEntryFile |  | int 123
Constants.FA_Note_NewReferenceFile |  | int 122
Constants.FA_Note_NewTaskFile |  | int 120
Constants.FA_Note_NewTopicFile |  | int 119
Constants.FA_Note_Not_AI_Supported_File |  | int 136
Constants.FA_Note_Not_RSC_Supported_File |  | int 103
Constants.FA_Note_Not_SWF_File |  | int 125
Constants.FA_Note_Not_U3DCommand |  | int 102
Constants.FA_Note_Num |  | int 139
Constants.FA_Note_OpenAllTopicrefs |  | int 113
Constants.FA_Note_Open_Dtd |  | int 132
Constants.FA_Note_Open_EDD_For_App |  | int 134
Constants.FA_Note_Open_Schema |  | int 133
Constants.FA_Note_Palette |  | int 86
Constants.FA_Note_PostActiveDocChange |  | int 105
Constants.FA_Note_PostAutoSaveDoc |  | int 33
Constants.FA_Note_PostBookComponentOpen |  | int 77
Constants.FA_Note_PostChangeElement |  | int 55
Constants.FA_Note_PostCopyElement |  | int 61
Constants.FA_Note_PostDistill |  | int 74
Constants.FA_Note_PostDragElement |  | int 59
Constants.FA_Note_PostExport |  | int 68
Constants.FA_Note_PostFileType |  | int 10
Constants.FA_Note_PostFunction |  | int 43
Constants.FA_Note_PostGenerate |  | int 79
Constants.FA_Note_PostGoToXrefSrc |  | int 81
Constants.FA_Note_PostHypertext |  | int 47
Constants.FA_Note_PostImport |  | int 39
Constants.FA_Note_PostImportElemDefs |  | int 65
Constants.FA_Note_PostInlineTypeIn |  | int 70
Constants.FA_Note_PostInsertElement |  | int 53
Constants.FA_Note_PostMouseCommand |  | int 45
Constants.FA_Note_PostOpenBook |  | int 17
Constants.FA_Note_PostOpenBookMIF |  | int 19
Constants.FA_Note_PostOpenDoc |  | int 2
Constants.FA_Note_PostOpenMIF |  | int 4
Constants.FA_Note_PostOpenSGML |  | int 83
Constants.FA_Note_PostOpenXML |  | int 96
Constants.FA_Note_PostPrint |  | int 49
Constants.FA_Note_PostQuitBook |  | int 41
Constants.FA_Note_PostQuitDoc |  | int 40
Constants.FA_Note_PostQuitSession |  | int 27
Constants.FA_Note_PostRevertBook |  | int 31
Constants.FA_Note_PostRevertDoc |  | int 29
Constants.FA_Note_PostSaveAsPDFDialog |  | int 72
Constants.FA_Note_PostSaveBook |  | int 21
Constants.FA_Note_PostSaveBookMIF |  | int 23
Constants.FA_Note_PostSaveDoc |  | int 6
Constants.FA_Note_PostSaveMIF |  | int 8
Constants.FA_Note_PostSaveSGML |  | int 100
Constants.FA_Note_PostSaveXML |  | int 98
Constants.FA_Note_PostSetAttrValue |  | int 63
Constants.FA_Note_PostSetPropertyValue |  | int 135
Constants.FA_Note_PostUpdateXRefs |  | int 107
Constants.FA_Note_PostWrapElement |  | int 57
Constants.FA_Note_Poster_Applied |  | int 138
Constants.FA_Note_PreAutoSaveDoc |  | int 32
Constants.FA_Note_PreBookComponentOpen |  | int 76
Constants.FA_Note_PreChangeElement |  | int 54
Constants.FA_Note_PreCopyElement |  | int 60
Constants.FA_Note_PreDistill |  | int 73
Constants.FA_Note_PreDragElement |  | int 58
Constants.FA_Note_PreExport |  | int 67
Constants.FA_Note_PreFileType |  | int 9
Constants.FA_Note_PreFunction |  | int 42
Constants.FA_Note_PreGenerate |  | int 78
Constants.FA_Note_PreGoToXrefSrc |  | int 80
Constants.FA_Note_PreHypertext |  | int 46
Constants.FA_Note_PreImport |  | int 38
Constants.FA_Note_PreImportElemDefs |  | int 64
Constants.FA_Note_PreInlineTypeIn |  | int 69
Constants.FA_Note_PreInsertElement |  | int 52
Constants.FA_Note_PreMouseCommand |  | int 44
Constants.FA_Note_PreOpenBook |  | int 16
Constants.FA_Note_PreOpenBookMIF |  | int 18
Constants.FA_Note_PreOpenDoc |  | int 1
Constants.FA_Note_PreOpenMIF |  | int 3
Constants.FA_Note_PreOpenSGML |  | int 82
Constants.FA_Note_PreOpenXML |  | int 95
Constants.FA_Note_PrePrint |  | int 48
Constants.FA_Note_PreQuitBook |  | int 24
Constants.FA_Note_PreQuitDoc |  | int 11
Constants.FA_Note_PreQuitSession |  | int 26
Constants.FA_Note_PreRevertBook |  | int 30
Constants.FA_Note_PreRevertDoc |  | int 28
Constants.FA_Note_PreSaveAsPDFDialog |  | int 71
Constants.FA_Note_PreSaveBook |  | int 20
Constants.FA_Note_PreSaveBookMIF |  | int 22
Constants.FA_Note_PreSaveDoc |  | int 5
Constants.FA_Note_PreSaveMIF |  | int 7
Constants.FA_Note_PreSaveSGML |  | int 99
Constants.FA_Note_PreSaveXML |  | int 97
Constants.FA_Note_PreSetAttrValue |  | int 62
Constants.FA_Note_PreUpdateXRefs |  | int 106
Constants.FA_Note_PreWrapElement |  | int 56
Constants.FA_Note_QuitModelessDialog |  | int 109
Constants.FA_Note_RSC_Supported_File |  | int 104
Constants.FA_Note_Read_Struct_App |  | int 130
Constants.FA_Note_SWF_File |  | int 124
Constants.FA_Note_SetAttrValue |  | int 128
Constants.FA_Note_Struct_Wizard |  | int 131
Constants.FA_Note_ToolBar |  | int 87
Constants.FA_Note_U3DCommand |  | int 101
Constants.FA_Note_URL |  | int 90
Constants.FA_Note_UndoCheckpoint |  | int 93
Constants.FA_Note_UpdateAllClientTi |  | int 36
Constants.FA_Note_UpdateClientTi |  | int 37
Constants.FA_Note_UpdateRefs |  | int 114
Constants.FA_Note_UpdateRefs_On_Save |  | int 129
Constants.FDK_LIBRARY_VERSION |  | int 0x09000000
Constants.FE_AcceptRejectCalledOnWrongPreviewState |  | int -110
Constants.FE_AsianSystemRequired |  | int -90
Constants.FE_BadBaseColor |  | int -97
Constants.FE_BadBookId |  | int -66
Constants.FE_BadCompPath |  | int -68
Constants.FE_BadCompare |  | int -35
Constants.FE_BadContainer |  | int -104
Constants.FE_BadDelete |  | int -17
Constants.FE_BadDocId |  | int -2
Constants.FE_BadElementDefId |  | int -28
Constants.FE_BadElementId |  | int -29
Constants.FE_BadElementSelection |  | int -69
Constants.FE_BadFamilyName |  | int -98
Constants.FE_BadFileType |  | int -83
Constants.FE_BadInkName |  | int -99
Constants.FE_BadInsertPos |  | int -65
Constants.FE_BadMenuBar |  | int -77
Constants.FE_BadName |  | int -33
Constants.FE_BadNew |  | int -23
Constants.FE_BadNewFrame |  | int -14
Constants.FE_BadNewGroup |  | int -15
Constants.FE_BadNewSibling |  | int -16
Constants.FE_BadNotificationNum |  | int -30
Constants.FE_BadObjId |  | int -3
Constants.FE_BadOperation |  | int -27
Constants.FE_BadPageDelete |  | int -18
Constants.FE_BadParameter |  | int -43
Constants.FE_BadPropNum |  | int -4
Constants.FE_BadPropType |  | int -5
Constants.FE_BadRange |  | int -36
Constants.FE_BadRefElementId |  | int -64
Constants.FE_BadRefFlowId |  | int -62
Constants.FE_BadSaveFileName |  | int -50
Constants.FE_BadSelectionForOperation |  | int -59
Constants.FE_BadShortcut |  | int -76
Constants.FE_BadTemplatePath |  | int -105
Constants.FE_BadXRefSrcDocId |  | int -103
Constants.FE_BadXmlApplication |  | int -106
Constants.FE_BookComponentAlreadyHasTrackedEdits |  | int -109
Constants.FE_BookStructured |  | int -61
Constants.FE_BookUnStructured |  | int -67
Constants.FE_Busy |  | int -88
Constants.FE_Canceled |  | int -44
Constants.FE_CanceledByClient |  | int -86
Constants.FE_CantSmooth |  | int -38
Constants.FE_CantUpdateMacEdition |  | int -85
Constants.FE_CircularReference |  | int -81
Constants.FE_CompareTypes |  | int -34
Constants.FE_DocAlreadyHasTrackedEdits |  | int -108
Constants.FE_DocModified |  | int -8
Constants.FE_DupName |  | int -32
Constants.FE_EmptyTextObject |  | int -87
Constants.FE_FailedExportedFileInvalid |  | int -111
Constants.FE_FailedState |  | int -45
Constants.FE_FileClosedByClient |  | int -70
Constants.FE_FilterFailed |  | int -89
Constants.FE_FlowStructured |  | int -63
Constants.FE_GenRuleAmbiguous |  | int -55
Constants.FE_GenRuleConnectorExpected |  | int -57
Constants.FE_GenRuleItemExpected |  | int -51
Constants.FE_GenRuleLeftBracketExpected |  | int -53
Constants.FE_GenRuleMixedConnectors |  | int -52
Constants.FE_GenRuleRightBracketExpected |  | int -54
Constants.FE_GenRuleSyntaxError |  | int -56
Constants.FE_GroupSelect |  | int -9
Constants.FE_HiddenPage |  | int -40
Constants.FE_InternalErrorFailedToWriteInsets |  | int -94
Constants.FE_InvAttribute |  | int -80
Constants.FE_InvAttributeDef |  | int -79
Constants.FE_InvalidAttrExpr |  | int -107
Constants.FE_InvalidString |  | int -58
Constants.FE_LanguageNotAvailable |  | int -96
Constants.FE_MissingFile |  | int -84
Constants.FE_NameNotFound |  | int -20
Constants.FE_NoColorFamily |  | int -92
Constants.FE_NoSuchFlow |  | int -82
Constants.FE_NotApiCommand |  | int -74
Constants.FE_NotBodyPage |  | int -24
Constants.FE_NotBookComponent |  | int -26
Constants.FE_NotCommand |  | int -73
Constants.FE_NotFound |  | int -95
Constants.FE_NotFrame |  | int -12
Constants.FE_NotGraphic |  | int -11
Constants.FE_NotGroup |  | int -13
Constants.FE_NotInMenu |  | int -75
Constants.FE_NotMenu |  | int -72
Constants.FE_NotPgf |  | int -25
Constants.FE_NotPgfOrFlow |  | int -71
Constants.FE_NotTextFrame |  | int -39
Constants.FE_NotTextObject |  | int -41
Constants.FE_OffsetNotFound |  | int -21
Constants.FE_OutOfRange |  | int -7
Constants.FE_PageFrame |  | int -37
Constants.FE_PropNotSet |  | int -78
Constants.FE_ReadOnly |  | int -6
Constants.FE_ReservedColor |  | int -100
Constants.FE_SomeUnresolved |  | int -22
Constants.FE_StringTooLong |  | int -93
Constants.FE_Success |  | int 0
Constants.FE_SystemError |  | int -42
Constants.FE_TableInLockedTi |  | int -101
Constants.FE_TintedColor |  | int -91
Constants.FE_Transport |  | int -1
Constants.FE_TypeUnNamed |  | int -19
Constants.FE_ViewOnly |  | int -49
Constants.FE_WantsCustom |  | int -46
Constants.FE_WantsLandscape |  | int -47
Constants.FE_WantsPortrait |  | int -48
Constants.FE_WithinFrame |  | int -10
Constants.FE_WrongProduct |  | int -60
Constants.FE_XRefUnresolved |  | int -102
Constants.FF_ALERT_CANCEL_DEFAULT |  | int 1
Constants.FF_ALERT_CONTINUE_NOTE |  | int 2
Constants.FF_ALERT_CONTINUE_WARN |  | int 3
Constants.FF_ALERT_NO_DEFAULT |  | int 5
Constants.FF_ALERT_OK_DEFAULT |  | int 0
Constants.FF_ALERT_YES_DEFAULT |  | int 4
Constants.FF_ALERT_YES_NO_CANCEL |  | int 6
Constants.FF_ALT_KEY |  | int 0x0004
Constants.FF_ATTACH_ALL |  | int (0x0001|0x0002|0x0004|0x0008|0x0010)
Constants.FF_ATTACH_BORDER_PAGENUM |  | int 0x0002
Constants.FF_ATTACH_BORDER_PAGEUPDOWN |  | int 0x0008
Constants.FF_ATTACH_BORDER_RIGHTICONS |  | int 0x0010
Constants.FF_ATTACH_BORDER_STATUS |  | int 0x0001
Constants.FF_ATTACH_BORDER_ZOOM |  | int 0x0004
Constants.FF_ATTRDISP |  | int 86
Constants.FF_ATTRDISP_ALL |  | int 87
Constants.FF_ATTR_SEL |  | int 89
Constants.FF_BOR_EXT |  | int 72
Constants.FF_BOR_SEL |  | int 71
Constants.FF_BUBBLE_CONTEXT |  | int 49
Constants.FF_BUBBLE_COPY |  | int 55
Constants.FF_BUBBLE_EXT |  | int 54
Constants.FF_BUBBLE_EXT_CONTEXT |  | int 50
Constants.FF_BUBBLE_SEL |  | int 53
Constants.FF_CELLS_RES |  | int 25
Constants.FF_CELL_EXT |  | int 22
Constants.FF_CELL_RES |  | int 24
Constants.FF_CELL_SEL |  | int 21
Constants.FF_CLEAR_SEL |  | int 0
Constants.FF_CLOSE_MODIFIED |  | int 1
Constants.FF_CMD_KEY |  | int 0x0010
Constants.FF_CMP_ATTRIBUTES |  | int 0x20
Constants.FF_CMP_CHANGE_BARS |  | int 0x02
Constants.FF_CMP_COMPKIT |  | int 0x10
Constants.FF_CMP_HYPERLINKS |  | int 0x04
Constants.FF_CMP_SUMKIT |  | int 0x08
Constants.FF_CMP_SUMMARY_ONLY |  | int 0x01
Constants.FF_COLLAPSE_ALL |  | int 57
Constants.FF_COLLAPSE_ELEM |  | int 56
Constants.FF_CONTEXT_DRAG |  | int 73
Constants.FF_CONTEXT_DRAGTXT |  | int 4
Constants.FF_CONTEXT_DRAG_EXT |  | int 74
Constants.FF_CONTEXT_MENU |  | int 33
Constants.FF_CONTROL_KEY |  | int 0x0002
Constants.FF_COPY_TO_CLIP |  | int 13
Constants.FF_CUT_TBL_CELLS |  | int 0x0002
Constants.FF_Custom_FirstPageLeft |  | int 2
Constants.FF_Custom_FirstPageRight |  | int 1
Constants.FF_Custom_SingleSided |  | int 0
Constants.FF_DONT_APPLY_ALL_ROWS |  | int 0x0040
Constants.FF_DONT_DELETE_HIDDEN_TEXT |  | int 0x0004
Constants.FF_EDIT_ATTRIBUTE |  | int 88
Constants.FF_ELEMENT_CONTEXT |  | int 47
Constants.FF_ELEMENT_EXT |  | int 52
Constants.FF_ELEMENT_EXT_CONTEXT |  | int 48
Constants.FF_ELEMENT_SEL |  | int 51
Constants.FF_HYPERTEXT |  | int 41
Constants.FF_IED_DELETE_EMPTY_PAGES |  | int 0x0010
Constants.FF_IED_DO_NOT_IMPORT_EDD |  | int 0x0004
Constants.FF_IED_NO_NOTIFY |  | int 0x0008
Constants.FF_IED_REMOVE_BOOK_INFO |  | int 0x0002
Constants.FF_IED_REMOVE_OVERRIDES |  | int 0x0001
Constants.FF_IMAGE_BACKGROUND |  | int 0x0001
Constants.FF_IMAGE_CLIP |  | int 0x0004
Constants.FF_IMAGE_MASTER |  | int 0x0002
Constants.FF_IMAGE_NOTRIM |  | int 0x0008
Constants.FF_IMAGE_PAGEFRAME |  | int 0x000F
Constants.FF_INSERT_BELOW_RIGHT |  | int 0x0008
Constants.FF_INTERACTIVE |  | int 0x0001
Constants.FF_OBJ_CROTATE |  | int 67
Constants.FF_OBJ_EXT |  | int 63
Constants.FF_OBJ_EXT_BOR |  | int 64
Constants.FF_OBJ_Q_COPY |  | int 65
Constants.FF_OBJ_ROTATE |  | int 66
Constants.FF_OBJ_SEL |  | int 62
Constants.FF_OPEN_BOOK_COMP |  | int 58
Constants.FF_PASTE_CLIP_OBJ |  | int 61
Constants.FF_PASTE_CLIP_TEXT |  | int 12
Constants.FF_PASTE_SEL_TEXT |  | int 11
Constants.FF_REPLACE_CELLS |  | int 0x0020
Constants.FF_RES_ADD |  | int 84
Constants.FF_RES_DEL |  | int 85
Constants.FF_RES_MOVE |  | int 81
Constants.FF_RES_MOVE1 |  | int 82
Constants.FF_RES_VERTEX |  | int 83
Constants.FF_SELECT_WHOLE_TABLE |  | int 0x80000000
Constants.FF_SHIFT_KEY |  | int 0x0001
Constants.FF_STRIP_HYPERTEXT |  | int 0x0080
Constants.FF_STRUCTURE_MENU |  | int 34
Constants.FF_TABLE_SELALL |  | int 23
Constants.FF_TEXT_EXT |  | int 2
Constants.FF_TEXT_Q_COPY |  | int 3
Constants.FF_TEXT_SEL |  | int 1
Constants.FF_UFF_ALL |  | int 0xFFFF
Constants.FF_UFF_COLOR |  | int 0x0100
Constants.FF_UFF_COMBINED_FONTS |  | int 0x0800
Constants.FF_UFF_COND |  | int 0x0010
Constants.FF_UFF_DOCUMENT_PROPS |  | int 0x0400
Constants.FF_UFF_FBA |  | int 0x1000
Constants.FF_UFF_FONT |  | int 0x0002
Constants.FF_UFF_MATH |  | int 0x0200
Constants.FF_UFF_PAGE |  | int 0x0004
Constants.FF_UFF_PGF |  | int 0x0001
Constants.FF_UFF_REFPAGE |  | int 0x0020
Constants.FF_UFF_REMOVE_EXCEPTIONS |  | int 0x8000
Constants.FF_UFF_REMOVE_PAGE_BREAKS |  | int 0x4000
Constants.FF_UFF_TABLE |  | int 0x0008
Constants.FF_UFF_VAR |  | int 0x0040
Constants.FF_UFF_XREF |  | int 0x0080
Constants.FF_VIEWER_MENU |  | int 32
Constants.FF_VISIBLE_ONLY |  | int 0x0010
Constants.FI_PLUGIN_DESCRIPTION |  | int 4
Constants.FI_PLUGIN_FACET |  | int 6
Constants.FI_PLUGIN_FORMATID |  | int 7
Constants.FI_PLUGIN_INFORMAT |  | int 10
Constants.FI_PLUGIN_NAME |  | int 2
Constants.FI_PLUGIN_OUTFORMAT |  | int 11
Constants.FI_PLUGIN_PRODUCTNAME |  | int 1
Constants.FI_PLUGIN_PRODUCTS |  | int 5
Constants.FI_PLUGIN_SUFFIX |  | int 9
Constants.FI_PLUGIN_TYPE |  | int 3
Constants.FI_PLUGIN_VENDOR |  | int 8
Constants.FO_AFrame |  | int 23
Constants.FO_Alert |  | int 69
Constants.FO_AnchoredFrame |  | int 23
Constants.FO_Arc |  | int 11
Constants.FO_AttrCondExpr |  | int 71
Constants.FO_Bad |  | int 255
Constants.FO_BodyPage |  | int 5
Constants.FO_Book |  | int 2
Constants.FO_BookComponent |  | int 3
Constants.FO_CMSConnection |  | int (73+15)
Constants.FO_CMSObject |  | int (73+16)
Constants.FO_Cblock |  | int (73+3)
Constants.FO_Cell |  | int 39
Constants.FO_CharFmt |  | int 33
Constants.FO_Color |  | int 35
Constants.FO_CombinedFontDefn |  | int 67
Constants.FO_Command |  | int 56
Constants.FO_CondFmt |  | int 34
Constants.FO_CursorResource |  | int 70
Constants.FO_DBGroup |  | int 22
Constants.FO_DialogResource |  | int 43
Constants.FO_DitaMap |  | int (73+13)
Constants.FO_DlgBox |  | int 44
Constants.FO_DlgButton |  | int 45
Constants.FO_DlgCheckBox |  | int 47
Constants.FO_DlgEditBox |  | int 50
Constants.FO_DlgImage |  | int 53
Constants.FO_DlgLabel |  | int 52
Constants.FO_DlgListView |  | int 72
Constants.FO_DlgPopUp |  | int 48
Constants.FO_DlgRadioButton |  | int 51
Constants.FO_DlgScrollBar |  | int 54
Constants.FO_DlgScrollBox |  | int 49
Constants.FO_DlgTriBox |  | int 46
Constants.FO_Doc |  | int 4
Constants.FO_Element |  | int 42
Constants.FO_ElementDef |  | int 41
Constants.FO_Ellipse |  | int 13
Constants.FO_First_Internal |  | int 73
Constants.FO_Flow |  | int 30
Constants.FO_FmtChangeList |  | int 58
Constants.FO_FmtRule |  | int 59
Constants.FO_FmtRuleClause |  | int 60
Constants.FO_Fn |  | int 25
Constants.FO_Frame |  | int (73+2)
Constants.FO_Graphic |  | int (73+1)
Constants.FO_Group |  | int 10
Constants.FO_HiddenPage |  | int 8
Constants.FO_Inset |  | int 20
Constants.FO_Last_Graphic |  | int 22
Constants.FO_Last_Internal |  | int (73+14)
Constants.FO_Last_Page |  | int 8
Constants.FO_Line |  | int 17
Constants.FO_Marker |  | int 24
Constants.FO_MarkerType |  | int 66
Constants.FO_MasterPage |  | int 6
Constants.FO_Math |  | int 21
Constants.FO_Menu |  | int 55
Constants.FO_MenuCell |  | int (73+11)
Constants.FO_MenuItemSeparator |  | int 57
Constants.FO_Num |  | int 73
Constants.FO_Page |  | int (73+0)
Constants.FO_Pgf |  | int 31
Constants.FO_PgfFmt |  | int 32
Constants.FO_Polygon |  | int 16
Constants.FO_Polyline |  | int 15
Constants.FO_Rectangle |  | int 12
Constants.FO_RefPage |  | int 7
Constants.FO_RoundRect |  | int 14
Constants.FO_Row |  | int 38
Constants.FO_Rubi |  | int 68
Constants.FO_RulingFmt |  | int 40
Constants.FO_Session |  | int 0
Constants.FO_StringResource |  | int 1
Constants.FO_SubCell |  | int (73+7)
Constants.FO_SubCol |  | int 65
Constants.FO_SubCond |  | int (73+4)
Constants.FO_SubDash |  | int (73+6)
Constants.FO_SubPblock |  | int (73+9)
Constants.FO_SubStyle |  | int (73+5)
Constants.FO_SubTbl |  | int (73+8)
Constants.FO_SubTextDef |  | int (73+10)
Constants.FO_Tbl |  | int 36
Constants.FO_TblFmt |  | int 37
Constants.FO_TextFrame |  | int 19
Constants.FO_TextInset |  | int (73+12)
Constants.FO_TextLine |  | int 18
Constants.FO_TiApiClient |  | int 64
Constants.FO_TiFlow |  | int 61
Constants.FO_TiText |  | int 62
Constants.FO_TiTextTable |  | int 63
Constants.FO_UFrame |  | int 9
Constants.FO_UnanchoredFrame |  | int 9
Constants.FO_Var |  | int 28
Constants.FO_VarFmt |  | int 29
Constants.FO_XLast_Graphic |  | int 23
Constants.FO_XRef |  | int 26
Constants.FO_XRefFmt |  | int 27
Constants.FP_AFrameIsCropped |  | int 878
Constants.FP_AFrameIsFloating |  | int 876
Constants.FP_AcrobatBookmarkDisplayTags |  | int 2251
Constants.FP_AcrobatLevel |  | int 589
Constants.FP_ActiveAlert |  | int 105
Constants.FP_ActiveBook |  | int 52
Constants.FP_ActiveDoc |  | int 51
Constants.FP_AddMarkerTypeToStandardMarkers |  | int 150
Constants.FP_AdjHyphens |  | int 559
Constants.FP_AlertClientName |  | int 2291
Constants.FP_AlertClientUnique |  | int 2290
Constants.FP_AlertString |  | int 2292
Constants.FP_AlertType |  | int 2293
Constants.FP_Alignment |  | int 886
Constants.FP_AllowAsSpecialCase |  | int 1649
Constants.FP_AllowBaseFamilyBoldedAndObliqued |  | int 2283
Constants.FP_AllowNewFileURL |  | int 2416
Constants.FP_AllowedDataRange |  | int 1594
Constants.FP_AlsoInsert |  | int 1591
Constants.FP_AlsoInserts |  | int 1595
Constants.FP_AnchorType |  | int 875
Constants.FP_Angle |  | int 780
Constants.FP_ApplyEOPRules |  | int 2030
Constants.FP_ApplyFormatRules |  | int 93
Constants.FP_ArrowBaseAngle |  | int 746
Constants.FP_ArrowLength |  | int 748
Constants.FP_ArrowScaleFactor |  | int 747
Constants.FP_ArrowScaleHead |  | int 750
Constants.FP_ArrowTipAngle |  | int 745
Constants.FP_ArrowType |  | int 749
Constants.FP_AttrCondExprIsActive |  | int 2818
Constants.FP_AttrCondExprStr |  | int 2817
Constants.FP_AttrDisplay |  | int 1635
Constants.FP_AttributeDefs |  | int 1584
Constants.FP_AttributeValueInvalid |  | int 1667
Constants.FP_AttributeValueRequired |  | int 1666
Constants.FP_Attributes |  | int 1634
Constants.FP_AttributesEx |  | int 1670
Constants.FP_AutoBackup |  | int 50
Constants.FP_AutoChangeBars |  | int 238
Constants.FP_AutoNumChar |  | int 549
Constants.FP_AutoNumString |  | int 548
Constants.FP_AutoSave |  | int 48
Constants.FP_AutoSaveSeconds |  | int 49
Constants.FP_BIBGetAddressProc |  | int 2299
Constants.FP_BaseFamily |  | int 2282
Constants.FP_BasePointX |  | int 1116
Constants.FP_BasePointY |  | int 1117
Constants.FP_BaselineOffset |  | int 881
Constants.FP_BkColor |  | int 992
Constants.FP_BkGndColor |  | int 1502
Constants.FP_Black |  | int 1460
Constants.FP_BlockLines |  | int 561
Constants.FP_BookComponent |  | int 1628
Constants.FP_BookComponentFileType |  | int 2339
Constants.FP_BookComponentIsFolderWithTemplate |  | int 2341
Constants.FP_BookComponentIsFolderWithoutTemplate |  | int 2342
Constants.FP_BookComponentIsGeneratable |  | int 520
Constants.FP_BookComponentMissing |  | int 1662
Constants.FP_BookComponentParent |  | int 2325
Constants.FP_BookComponentTemplatePath |  | int 2327
Constants.FP_BookComponentTitle |  | int 2328
Constants.FP_BookComponentType |  | int 531
Constants.FP_BookDontUpdateReferences |  | int 494
Constants.FP_BookIsModified |  | int 492
Constants.FP_BookIsSelected |  | int 499
Constants.FP_BookIsViewOnly |  | int 497
Constants.FP_BookParent |  | int 515
Constants.FP_BooleanConditionExpression |  | int 2321
Constants.FP_BooleanConditionExpressionTag |  | int 995
Constants.FP_BooleanConditionState |  | int 2322
Constants.FP_BorderWidth |  | int 740
Constants.FP_BottomMargin |  | int 231
Constants.FP_BottomRowSelection |  | int 1342
Constants.FP_BottomSepAtIndent |  | int 2010
Constants.FP_BottomSeparator |  | int 569
Constants.FP_CTFontContext |  | int 72
Constants.FP_CanHaveCheckMark |  | int 1931
Constants.FP_Capitalization |  | int 619
Constants.FP_CellAboveInCol |  | int 1203
Constants.FP_CellAngle |  | int 1209
Constants.FP_CellBelowInCol |  | int 1204
Constants.FP_CellBelowInTbl |  | int 1200
Constants.FP_CellBottomMargin |  | int 582
Constants.FP_CellBottomMarginChange |  | int 2023
Constants.FP_CellBottomMarginFixed |  | int 2016
Constants.FP_CellColNum |  | int 1205
Constants.FP_CellDefaultBottomRuling |  | int 1215
Constants.FP_CellDefaultLeftRuling |  | int 1216
Constants.FP_CellDefaultRightRuling |  | int 1217
Constants.FP_CellDefaultTopRuling |  | int 1214
Constants.FP_CellIsShown |  | int 1218
Constants.FP_CellIsStraddled |  | int 1206
Constants.FP_CellLeftMargin |  | int 583
Constants.FP_CellLeftMarginChange |  | int 2024
Constants.FP_CellLeftMarginFixed |  | int 2017
Constants.FP_CellMarginSpacingDelta |  | int 990
Constants.FP_CellMarginsFixed |  | int 586
Constants.FP_CellNumColsStraddled |  | int 1208
Constants.FP_CellNumRowsStraddled |  | int 1207
Constants.FP_CellOverrideBottomRuling |  | int 1211
Constants.FP_CellOverrideFill |  | int 1195
Constants.FP_CellOverrideLeftRuling |  | int 1212
Constants.FP_CellOverrideRightRuling |  | int 1213
Constants.FP_CellOverrideShading |  | int 1194
Constants.FP_CellOverrideTopRuling |  | int 1210
Constants.FP_CellRightMargin |  | int 584
Constants.FP_CellRightMarginChange |  | int 2025
Constants.FP_CellRightMarginFixed |  | int 2018
Constants.FP_CellRow |  | int 1198
Constants.FP_CellTopMargin |  | int 581
Constants.FP_CellTopMarginChange |  | int 2022
Constants.FP_CellTopMarginFixed |  | int 2015
Constants.FP_CellUseOverrideBRuling |  | int 1193
Constants.FP_CellUseOverrideFill |  | int 1196
Constants.FP_CellUseOverrideLRuling |  | int 1190
Constants.FP_CellUseOverrideRRuling |  | int 1191
Constants.FP_CellUseOverrideShading |  | int 1197
Constants.FP_CellUseOverrideTRuling |  | int 1192
Constants.FP_CellVAlignment |  | int 585
Constants.FP_ChangeBar |  | int 611
Constants.FP_ChangeBarColor |  | int 262
Constants.FP_ChangeBarDistance |  | int 259
Constants.FP_ChangeBarPosition |  | int 260
Constants.FP_ChangeBarThickness |  | int 261
Constants.FP_ChapNumComputeMethod |  | int 215
Constants.FP_ChapterNumStyle |  | int 217
Constants.FP_ChapterNumText |  | int 218
Constants.FP_ChapterNumber |  | int 216
Constants.FP_CharTag |  | int 602
Constants.FP_CheckMarkIsOn |  | int 1932
Constants.FP_ColGap |  | int 234
Constants.FP_ColGapWidth |  | int 985
Constants.FP_Color |  | int 751
Constants.FP_ColorOverprint |  | int 1468
Constants.FP_ColorPrintCtl |  | int 1462
Constants.FP_ColorTintPercent |  | int 1466
Constants.FP_ColorViewCtl |  | int 1461
Constants.FP_ColumnsAreBalanced |  | int 1175
Constants.FP_CombinedFontFamily |  | int 2287
Constants.FP_CommandNum |  | int 1928
Constants.FP_Comment |  | int 1581
Constants.FP_ComponentDisplayText |  | int 532
Constants.FP_ComponentElement |  | int 1551
Constants.FP_ComponentIsDitaMap |  | int 2331
Constants.FP_ComponentIsSelected |  | int 529
Constants.FP_ComponentType |  | int 2329
Constants.FP_CondFmtIsShown |  | int 1139
Constants.FP_ContentHeight |  | int 2219
Constants.FP_ContentIsLooselyValid |  | int 1652
Constants.FP_ContentIsStrictlyValid |  | int 1651
Constants.FP_ContentMustBeEmpty |  | int 1665
Constants.FP_ContentNeededAtBegin |  | int 1653
Constants.FP_ContentNeededAtEnd |  | int 1654
Constants.FP_ContextForCSS |  | int 2162
Constants.FP_ContextLabel |  | int 2157
Constants.FP_CorrespondingXmlPath |  | int 1158
Constants.FP_CountElements |  | int 2101
Constants.FP_CurrentDoc |  | int 2401
Constants.FP_CurrentInset |  | int 240
Constants.FP_CurrentMenuSet |  | int 99
Constants.FP_CurrentPage |  | int 236
Constants.FP_CursorData |  | int 2294
Constants.FP_CursorTypes |  | int 2295
Constants.FP_CustomDelimiter |  | int 2420
Constants.FP_CustomElementList |  | int 1496
Constants.FP_Cyan |  | int 1457
Constants.FP_DTheta |  | int 830
Constants.FP_Dash |  | int 752
Constants.FP_DbAttributes |  | int 1817
Constants.FP_DbCancelButton |  | int 1811
Constants.FP_DbCheckBoxState |  | int 1807
Constants.FP_DbDefaultButton |  | int 1809
Constants.FP_DbEditable |  | int 1818
Constants.FP_DbFbCurrentDir |  | int 1814
Constants.FP_DbFbScrollBox |  | int 1813
Constants.FP_DbFbStatus |  | int 1815
Constants.FP_DbFbTextBox |  | int 1812
Constants.FP_DbFirstFocus |  | int 1808
Constants.FP_DbIdentifier |  | int 1802
Constants.FP_DbItemNum |  | int 1800
Constants.FP_DbNoHelp |  | int 1819
Constants.FP_DbOKButton |  | int 1810
Constants.FP_DbRadioButtonGroup |  | int 1806
Constants.FP_DbSbxNumLines |  | int 1805
Constants.FP_DbStuffItem |  | int 1804
Constants.FP_DbTitleLabel |  | int 1816
Constants.FP_DbType |  | int 1801
Constants.FP_DbVarLabelWidth |  | int 1803
Constants.FP_DefaultExclusions |  | int 1487
Constants.FP_DefaultFontAngle |  | int 71
Constants.FP_DefaultFontFamily |  | int 68
Constants.FP_DefaultFontVariation |  | int 69
Constants.FP_DefaultFontWeight |  | int 70
Constants.FP_DefaultInclusions |  | int 1486
Constants.FP_DescriptiveTag |  | int 1596
Constants.FP_DesktopHeight |  | int 791
Constants.FP_DesktopWidth |  | int 790
Constants.FP_DesktopX |  | int 788
Constants.FP_DesktopY |  | int 789
Constants.FP_DialogEncodingName |  | int 598
Constants.FP_Dictionary |  | int 203
Constants.FP_DisableAutofitAfterZoom |  | int 67
Constants.FP_DisplayName |  | int 78
Constants.FP_Displaying |  | int 92
Constants.FP_DoNotExportInvalidXML |  | int 2418
Constants.FP_DoNotGenerateErrorLog |  | int 819
Constants.FP_DoPostXSLTValidationOnExport |  | int 2417
Constants.FP_DocAcrobatColumnArticleThreads |  | int 2256
Constants.FP_DocAcrobatDefaultsChanged |  | int 2252
Constants.FP_DocAcrobatElementList |  | int 2254
Constants.FP_DocAcrobatElements |  | int 2253
Constants.FP_DocAcrobatNoArticleThreads |  | int 2255
Constants.FP_DocFluidFlow |  | int 147
Constants.FP_DocIsDoubleSided |  | int 226
Constants.FP_DocIsHelp |  | int 132
Constants.FP_DocIsModified |  | int 131
Constants.FP_DocIsViewOnly |  | int 133
Constants.FP_DocIsViewOnlyWinPalette |  | int 134
Constants.FP_DocOpenClientEncounteredErrors |  | int 820
Constants.FP_DocOpenType |  | int 130
Constants.FP_DocSaveFormat |  | int 2415
Constants.FP_DocSaveType |  | int 145
Constants.FP_DockDialog |  | int 2344
Constants.FP_DontShowWelcomeScreen |  | int 2408
Constants.FP_DontUpdateTextInsets |  | int 160
Constants.FP_DontUpdateXRefs |  | int 159
Constants.FP_DoubleClick |  | int 1706
Constants.FP_DownloadFonts |  | int 496
Constants.FP_ElemPrefixSuffix |  | int 2158
Constants.FP_Element |  | int 2170
Constants.FP_ElementBoundaryDisplay |  | int 1484
Constants.FP_ElementCatalog |  | int 1488
Constants.FP_ElementCatalogDisplay |  | int 1485
Constants.FP_ElementDataType |  | int 1593
Constants.FP_ElementDef |  | int 1621
Constants.FP_ElementDefType |  | int 1579
Constants.FP_ElementDescription |  | int 1597
Constants.FP_ElementInCatalog |  | int 1573
Constants.FP_ElementIsCollapsed |  | int 1627
Constants.FP_ElementIsExcludedInContext |  | int 1655
Constants.FP_ElementIsInvalidInParent |  | int 1656
Constants.FP_ElementIsInvalidInPosition |  | int 1657
Constants.FP_ElementIsTopicGroup |  | int 2338
Constants.FP_ElementIsTopicHead |  | int 2337
Constants.FP_ElementIsTopicRef |  | int 2336
Constants.FP_ElementIsUndefined |  | int 1650
Constants.FP_ElementMarkedForNamedDestination |  | int 1669
Constants.FP_ElementPgfFormat |  | int 1586
Constants.FP_ElementSelection |  | int 1494
Constants.FP_ElementType |  | int 1636
Constants.FP_ElementTypeMismatch |  | int 1658
Constants.FP_EnableAutoSpellCheck |  | int 2413
Constants.FP_EnabledWhen |  | int 1935
Constants.FP_EqnIntegralSizeLarge |  | int 348
Constants.FP_EqnIntegralSizeMed |  | int 347
Constants.FP_EqnIntegralSizeSmall |  | int 346
Constants.FP_EqnLevel1SizeLarge |  | int 354
Constants.FP_EqnLevel1SizeMed |  | int 353
Constants.FP_EqnLevel1SizeSmall |  | int 352
Constants.FP_EqnLevel2SizeLarge |  | int 357
Constants.FP_EqnLevel2SizeMed |  | int 356
Constants.FP_EqnLevel2SizeSmall |  | int 355
Constants.FP_EqnLevel3SizeLarge |  | int 360
Constants.FP_EqnLevel3SizeMed |  | int 359
Constants.FP_EqnLevel3SizeSmall |  | int 358
Constants.FP_EqnSigmaSizeLarge |  | int 351
Constants.FP_EqnSigmaSizeMed |  | int 350
Constants.FP_EqnSigmaSizeSmall |  | int 349
Constants.FP_ErrorInBookComponent |  | int 1663
Constants.FP_ExcludeBookComponent |  | int 2326
Constants.FP_Exclusions |  | int 1576
Constants.FP_ExpandOMaticParent |  | int 1934
Constants.FP_ExportFilters |  | int 2289
Constants.FP_ExtractElementTags |  | int 1552
Constants.FP_ExtractTags |  | int 516
Constants.FP_FMInterfaceEncodingName |  | int 599
Constants.FP_FM_BinDir |  | int 88
Constants.FP_FM_CurrentDir |  | int 90
Constants.FP_FM_HelpDir |  | int 103
Constants.FP_FM_HomeDir |  | int 87
Constants.FP_FM_InitDir |  | int 89
Constants.FP_FM_SgmlDir |  | int 100
Constants.FP_FM_StructureDir |  | int 2031
Constants.FP_FM_XmlDir |  | int 2032
Constants.FP_FamilyName |  | int 1464
Constants.FP_Fcode |  | int 1936
Constants.FP_Fcodes |  | int 1937
Constants.FP_FileExtensionOverride |  | int 2813
Constants.FP_FileInfoPacket |  | int 2262
Constants.FP_Fill |  | int 741
Constants.FP_FirstAFrame |  | int 974
Constants.FP_FirstAttrCondExprInDoc |  | int 2815
Constants.FP_FirstBodyPageInDoc |  | int 415
Constants.FP_FirstCell |  | int 978
Constants.FP_FirstCellInRow |  | int 1247
Constants.FP_FirstCharFmtInDoc |  | int 123
Constants.FP_FirstChildElement |  | int 1623
Constants.FP_FirstColorInDoc |  | int 127
Constants.FP_FirstCombinedFontDefnInDoc |  | int 2280
Constants.FP_FirstCommandInSession |  | int 98
Constants.FP_FirstComponentInBook |  | int 491
Constants.FP_FirstComponentInBookComponent |  | int 2324
Constants.FP_FirstCondFmtInDoc |  | int 124
Constants.FP_FirstElementDefInDoc |  | int 1483
Constants.FP_FirstFlowInDoc |  | int 121
Constants.FP_FirstFmtChangeListInDoc |  | int 1489
Constants.FP_FirstFn |  | int 976
Constants.FP_FirstFnInDoc |  | int 119
Constants.FP_FirstGraphicInDoc |  | int 112
Constants.FP_FirstGraphicInFrame |  | int 882
Constants.FP_FirstGraphicInGroup |  | int 807
Constants.FP_FirstIndent |  | int 556
Constants.FP_FirstIndentChange |  | int 2005
Constants.FP_FirstIndentIsRelative |  | int 2019
Constants.FP_FirstIndentRelPos |  | int 2020
Constants.FP_FirstMarkerInDoc |  | int 114
Constants.FP_FirstMarkerTypeInDoc |  | int 148
Constants.FP_FirstMasterPageInDoc |  | int 417
Constants.FP_FirstMenuItemInMenu |  | int 1927
Constants.FP_FirstMenuItemInSession |  | int 97
Constants.FP_FirstOpenBook |  | int 54
Constants.FP_FirstOpenDoc |  | int 53
Constants.FP_FirstPageNum |  | int 224
Constants.FP_FirstPageVerso |  | int 227
Constants.FP_FirstPgf |  | int 972
Constants.FP_FirstPgfFmtInDoc |  | int 122
Constants.FP_FirstPgfInDoc |  | int 113
Constants.FP_FirstPgfRules |  | int 1589
Constants.FP_FirstRefPageInDoc |  | int 419
Constants.FP_FirstRowInTbl |  | int 1338
Constants.FP_FirstRubiInDoc |  | int 194
Constants.FP_FirstRulingFmtInDoc |  | int 126
Constants.FP_FirstSelectedComponentInBook |  | int 493
Constants.FP_FirstSelectedGraphicInDoc |  | int 128
Constants.FP_FirstSelectedTiInDoc |  | int 142
Constants.FP_FirstSubCol |  | int 986
Constants.FP_FirstTblFmtInDoc |  | int 125
Constants.FP_FirstTblInDoc |  | int 120
Constants.FP_FirstTextFrameInFlow |  | int 1169
Constants.FP_FirstTiInDoc |  | int 141
Constants.FP_FirstVarFmtInDoc |  | int 116
Constants.FP_FirstVarInDoc |  | int 115
Constants.FP_FirstVis |  | int 1705
Constants.FP_FirstXRefFmtInDoc |  | int 118
Constants.FP_FirstXRefInDoc |  | int 117
Constants.FP_Flow |  | int 982
Constants.FP_FlowIsAutoConnect |  | int 1165
Constants.FP_FlowIsFeathered |  | int 1166
Constants.FP_FlowIsPostScript |  | int 1168
Constants.FP_FlowIsSynchronized |  | int 1163
Constants.FP_Fmt |  | int 1050
Constants.FP_FmtChangeList |  | int 2155
Constants.FP_FmtChangeListInCatalog |  | int 2021
Constants.FP_FmtChangeListTag |  | int 2154
Constants.FP_FmtRule |  | int 2159
Constants.FP_FmtRuleClause |  | int 2104
Constants.FP_FmtRuleClauses |  | int 2103
Constants.FP_FmtRuleType |  | int 2100
Constants.FP_FnAnchorString |  | int 1006
Constants.FP_FnCustNumString |  | int 285
Constants.FP_FnFirstNum |  | int 284
Constants.FP_FnFmt |  | int 283
Constants.FP_FnHeightPerCol |  | int 289
Constants.FP_FnInstancePosition |  | int 287
Constants.FP_FnInstancePrefix |  | int 294
Constants.FP_FnInstanceSuffix |  | int 288
Constants.FP_FnNum |  | int 1002
Constants.FP_FnNumComputeMethod |  | int 295
Constants.FP_FnNumStyle |  | int 290
Constants.FP_FnNumberingPerPage |  | int 291
Constants.FP_FnRefPosition |  | int 292
Constants.FP_FnRefPrefix |  | int 286
Constants.FP_FnRefSuffix |  | int 293
Constants.FP_FontAngle |  | int 607
Constants.FP_FontAngleNames |  | int 58
Constants.FP_FontEncodingName |  | int 642
Constants.FP_FontFamily |  | int 604
Constants.FP_FontFamilyAttributes |  | int 60
Constants.FP_FontFamilyFullNames |  | int 73
Constants.FP_FontFamilyNames |  | int 55
Constants.FP_FontPanoseName |  | int 641
Constants.FP_FontPlatformName |  | int 639
Constants.FP_FontPostScriptName |  | int 640
Constants.FP_FontSize |  | int 615
Constants.FP_FontSizeChange |  | int 2012
Constants.FP_FontVariation |  | int 605
Constants.FP_FontVariationNames |  | int 56
Constants.FP_FontWeight |  | int 606
Constants.FP_FontWeightNames |  | int 57
Constants.FP_FormatOverride |  | int 590
Constants.FP_FormatTag |  | int 2153
Constants.FP_FrameParent |  | int 774
Constants.FP_Functions |  | int 339
Constants.FP_GeneralRule |  | int 1575
Constants.FP_GeneralRuleErrorOffsets |  | int 1578
Constants.FP_GenerateAcrobatInfo |  | int 2250
Constants.FP_GenerateInclude |  | int 517
Constants.FP_GraphicCantBeSelected |  | int 772
Constants.FP_GraphicIsButton |  | int 773
Constants.FP_GraphicIsSelected |  | int 771
Constants.FP_Gravity |  | int 107
Constants.FP_GreekSize |  | int 63
Constants.FP_GroupParent |  | int 777
Constants.FP_HasShiftOrUnshiftCommand |  | int 1939
Constants.FP_HeadArrow |  | int 743
Constants.FP_Height |  | int 784
Constants.FP_HelpLink |  | int 1938
Constants.FP_HelpPending |  | int 102
Constants.FP_HiddenPage |  | int 421
Constants.FP_HighestLevelElement |  | int 1509
Constants.FP_HoleAtEnd |  | int 1654
Constants.FP_HoleBeforeElement |  | int 1659
Constants.FP_HorizontalSpreadLarge |  | int 342
Constants.FP_HorizontalSpreadMed |  | int 341
Constants.FP_HorizontalSpreadSmall |  | int 340
Constants.FP_HostName |  | int 81
Constants.FP_Hypertext |  | int 1943
Constants.FP_HypertextCommandText |  | int 2301
Constants.FP_HypertextDoValidate |  | int 2300
Constants.FP_HypertextParseBadParam |  | int 2305
Constants.FP_HypertextParseErr |  | int 2303
Constants.FP_HypertextParseErrMsg |  | int 2306
Constants.FP_HypertextParsedArgs |  | int 2302
Constants.FP_HypertextParsedClientName |  | int 2317
Constants.FP_HypertextParsedCmdCode |  | int 2307
Constants.FP_HypertextParsedCmdDest |  | int 2308
Constants.FP_HypertextParsedCmdDestObjID |  | int 2310
Constants.FP_HypertextParsedCmdDestObjType |  | int 2309
Constants.FP_HypertextParsedCmdMatrixColumns |  | int 2312
Constants.FP_HypertextParsedCmdMatrixRows |  | int 2311
Constants.FP_HypertextParsedDIFileName |  | int 2320
Constants.FP_HypertextParsedFlowName |  | int 2315
Constants.FP_HypertextParsedLinkName |  | int 2313
Constants.FP_HypertextParsedMessage |  | int 2319
Constants.FP_HypertextParsedPageName |  | int 2314
Constants.FP_HypertextParsedRangeName |  | int 2316
Constants.FP_HypertextParsedTitle |  | int 2318
Constants.FP_HypertextValidateErr |  | int 2304
Constants.FP_HyphMinPrefix |  | int 575
Constants.FP_HyphMinSuffix |  | int 560
Constants.FP_HyphMinWord |  | int 576
Constants.FP_Hyphenate |  | int 564
Constants.FP_IDAttrValue |  | int 1637
Constants.FP_INSETinfo |  | int 858
Constants.FP_Icon |  | int 1716
Constants.FP_IconBarOn |  | int 101
Constants.FP_ImportFilters |  | int 2288
Constants.FP_ImportFmtInclude |  | int 518
Constants.FP_ImportHint |  | int 2055
Constants.FP_InCond |  | int 1150
Constants.FP_InTableSortOperation |  | int 2833
Constants.FP_InTextFrame |  | int 1001
Constants.FP_InTextObj |  | int 1000
Constants.FP_Inclusions |  | int 1577
Constants.FP_IncrVal |  | int 1711
Constants.FP_InitStructurePattern |  | int 1585
Constants.FP_InkName |  | int 1465
Constants.FP_InsertLinks |  | int 528
Constants.FP_InsetDpi |  | int 853
Constants.FP_InsetEditor |  | int 850
Constants.FP_InsetFile |  | int 852
Constants.FP_InsetFileOrigName |  | int 2814
Constants.FP_InsetGenericData |  | int 2832
Constants.FP_InsetIsFixedSize |  | int 854
Constants.FP_InsetIsFlippedSideways |  | int 855
Constants.FP_InsetIsInverted |  | int 856
Constants.FP_InsetPosterFile |  | int 2822
Constants.FP_InsetPosterFileOrigName |  | int 2824
Constants.FP_InsetPosterIsExternal |  | int 2821
Constants.FP_InsetRasterDpi |  | int 857
Constants.FP_InsetSaveDIBFacetToFile |  | int 2823
Constants.FP_InsetURL |  | int 2407
Constants.FP_InsetUpdater |  | int 851
Constants.FP_InvalidHighestLevel |  | int 1661
Constants.FP_InvariantName |  | int 1029
Constants.FP_IsDialogDocked |  | int 2345
Constants.FP_IsDialogVisible |  | int 2346
Constants.FP_IsDitamapInResourceManager |  | int 2332
Constants.FP_IsFMRunningAsServer |  | int 2348
Constants.FP_IsFMRunningInTrialPeriod |  | int 2412
Constants.FP_IsIconified |  | int 31
Constants.FP_IsInFront |  | int 32
Constants.FP_IsOnScreen |  | int 110
Constants.FP_IsTechnicalSuiteLicensed |  | int 2410
Constants.FP_IsTextRange |  | int 2151
Constants.FP_KByteAllocationSize |  | int 106
Constants.FP_KeepWithNext |  | int 565
Constants.FP_KeepWithPrev |  | int 551
Constants.FP_KernX |  | int 616
Constants.FP_KernY |  | int 617
Constants.FP_KeyboardShortcutLabel |  | int 1929
Constants.FP_KeyboardShortcuts |  | int 1930
Constants.FP_Label |  | int 30
Constants.FP_LabelBold |  | int 1721
Constants.FP_LabelColor |  | int 1720
Constants.FP_Labels |  | int 1703
Constants.FP_Language |  | int 577
Constants.FP_LastAFrame |  | int 975
Constants.FP_LastBodyPageInDoc |  | int 416
Constants.FP_LastCell |  | int 979
Constants.FP_LastChildElement |  | int 1624
Constants.FP_LastFn |  | int 977
Constants.FP_LastGraphicInFrame |  | int 883
Constants.FP_LastGraphicInGroup |  | int 808
Constants.FP_LastMasterPageInDoc |  | int 418
Constants.FP_LastPgf |  | int 973
Constants.FP_LastPgfRules |  | int 1590
Constants.FP_LastRefPageInDoc |  | int 420
Constants.FP_LastRowInTbl |  | int 1339
Constants.FP_LastSubCol |  | int 987
Constants.FP_LastTextFrameInFlow |  | int 1170
Constants.FP_LastUpdate |  | int 2052
Constants.FP_Leading |  | int 558
Constants.FP_LeadingChange |  | int 2007
Constants.FP_LeftColNum |  | int 1343
Constants.FP_LeftIndent |  | int 555
Constants.FP_LeftIndentChange |  | int 2004
Constants.FP_LeftMargin |  | int 232
Constants.FP_LeftMasterPage |  | int 413
Constants.FP_LetterSpace |  | int 550
Constants.FP_LineAscent |  | int 1900
Constants.FP_LineBaseline |  | int 1902
Constants.FP_LineBreakAfter |  | int 177
Constants.FP_LineCap |  | int 753
Constants.FP_LineDescent |  | int 1901
Constants.FP_LineSpacing |  | int 587
Constants.FP_LineSpacingFactor |  | int 988
Constants.FP_LineSpacingFixed |  | int 2008
Constants.FP_LocX |  | int 781
Constants.FP_LocY |  | int 782
Constants.FP_Locked |  | int 588
Constants.FP_Magenta |  | int 1458
Constants.FP_MagicMarker |  | int 488
Constants.FP_MainFlowInDoc |  | int 422
Constants.FP_MarkerNames |  | int 59
Constants.FP_MarkerText |  | int 1025
Constants.FP_MarkerTypeId |  | int 1027
Constants.FP_MarkerTypeNames |  | int 149
Constants.FP_MasterPage |  | int 690
Constants.FP_MatchesContextInUserString |  | int 1642
Constants.FP_MatchingFirstPgfClauses |  | int 1638
Constants.FP_MatchingLastPgfClauses |  | int 1639
Constants.FP_MatchingObjectClauses |  | int 1632
Constants.FP_MatchingPrefixClauses |  | int 1640
Constants.FP_MatchingSuffixClauses |  | int 1641
Constants.FP_MatchingTextClauses |  | int 1631
Constants.FP_MathFullForm |  | int 865
Constants.FP_MathSize |  | int 866
Constants.FP_MaxBottomMargin |  | int 709
Constants.FP_MaxFirstIndent |  | int 472
Constants.FP_MaxFontSize |  | int 484
Constants.FP_MaxInterPgfPadding |  | int 471
Constants.FP_MaxInterlinePadding |  | int 470
Constants.FP_MaxJLetSpace |  | int 596
Constants.FP_MaxJRomSpace |  | int 593
Constants.FP_MaxLeading |  | int 482
Constants.FP_MaxLeftIndent |  | int 474
Constants.FP_MaxLeftMargin |  | int 703
Constants.FP_MaxRightIndent |  | int 476
Constants.FP_MaxRightMargin |  | int 705
Constants.FP_MaxSpace |  | int 572
Constants.FP_MaxSpaceAbove |  | int 478
Constants.FP_MaxSpaceBelow |  | int 480
Constants.FP_MaxSpread |  | int 486
Constants.FP_MaxStretch |  | int 711
Constants.FP_MaxTabPosition |  | int 701
Constants.FP_MaxTopMargin |  | int 707
Constants.FP_MaxVal |  | int 1710
Constants.FP_MenuBar |  | int 143
Constants.FP_MenuItemIsEnabled |  | int 1922
Constants.FP_MenuItemType |  | int 1933
Constants.FP_MenuType |  | int 1926
Constants.FP_Mif8bitOutput |  | int 62
Constants.FP_MifFileEntity |  | int 2828
Constants.FP_MifFileName |  | int 2829
Constants.FP_MinBottomMargin |  | int 710
Constants.FP_MinFirstIndent |  | int 473
Constants.FP_MinFontSize |  | int 485
Constants.FP_MinHang |  | int 1164
Constants.FP_MinJLetSpace |  | int 594
Constants.FP_MinJRomSpace |  | int 591
Constants.FP_MinLeading |  | int 483
Constants.FP_MinLeftIndent |  | int 475
Constants.FP_MinLeftMargin |  | int 704
Constants.FP_MinRightIndent |  | int 477
Constants.FP_MinRightMargin |  | int 706
Constants.FP_MinSpace |  | int 571
Constants.FP_MinSpaceAbove |  | int 479
Constants.FP_MinSpaceBelow |  | int 481
Constants.FP_MinSpread |  | int 487
Constants.FP_MinStretch |  | int 712
Constants.FP_MinTabPosition |  | int 702
Constants.FP_MinTopMargin |  | int 708
Constants.FP_MinVal |  | int 1709
Constants.FP_Mode |  | int 1941
Constants.FP_MoveTabs |  | int 2014
Constants.FP_Name |  | int 20
Constants.FP_Namespace |  | int 1643
Constants.FP_NamespaceScope |  | int 1644
Constants.FP_NarrowRubiSpaceForJapanese |  | int 188
Constants.FP_NarrowRubiSpaceForOther |  | int 190
Constants.FP_NewElemAttrDisplay |  | int 1490
Constants.FP_NewElemAttrEditing |  | int 1491
Constants.FP_NextAFrame |  | int 885
Constants.FP_NextAttrCondExprInDoc |  | int 2816
Constants.FP_NextBookComponentInDFSOrder |  | int 2333
Constants.FP_NextCell |  | int 1220
Constants.FP_NextCellInRow |  | int 1202
Constants.FP_NextCellInTbl |  | int 1199
Constants.FP_NextCharFmtInDoc |  | int 603
Constants.FP_NextColorInDoc |  | int 1455
Constants.FP_NextCombinedFontDefnInDoc |  | int 2281
Constants.FP_NextCommandInSession |  | int 1942
Constants.FP_NextComponentInBook |  | int 527
Constants.FP_NextCondFmtInDoc |  | int 1138
Constants.FP_NextElementDFS |  | int 2334
Constants.FP_NextElementDefInDoc |  | int 1572
Constants.FP_NextFlowInDoc |  | int 1162
Constants.FP_NextFmtChangeListInDoc |  | int 2000
Constants.FP_NextFn |  | int 1005
Constants.FP_NextFnInDoc |  | int 1003
Constants.FP_NextGraphicInDoc |  | int 786
Constants.FP_NextGraphicInFrame |  | int 776
Constants.FP_NextGraphicInGroup |  | int 779
Constants.FP_NextInvalidElement |  | int 1664
Constants.FP_NextMarkerInDoc |  | int 1026
Constants.FP_NextMarkerTypeInDoc |  | int 1028
Constants.FP_NextMenuItemInMenu |  | int 1923
Constants.FP_NextMenuItemInSession |  | int 1925
Constants.FP_NextOpenBookInSession |  | int 490
Constants.FP_NextOpenDocInSession |  | int 111
Constants.FP_NextPgfFmtInDoc |  | int 580
Constants.FP_NextPgfInDoc |  | int 716
Constants.FP_NextPgfInFlow |  | int 717
Constants.FP_NextRowInTbl |  | int 1245
Constants.FP_NextRubiInDoc |  | int 1469
Constants.FP_NextRulingFmtInDoc |  | int 1430
Constants.FP_NextSelectedComponentInBook |  | int 530
Constants.FP_NextSelectedGraphicInDoc |  | int 785
Constants.FP_NextSiblingElement |  | int 1626
Constants.FP_NextSubCol |  | int 2202
Constants.FP_NextTag |  | int 552
Constants.FP_NextTblFmtInDoc |  | int 1276
Constants.FP_NextTblInDoc |  | int 1337
Constants.FP_NextTextFrameInFlow |  | int 981
Constants.FP_NextTiInDoc |  | int 2050
Constants.FP_NextVarFmtInDoc |  | int 1051
Constants.FP_NextVarInDoc |  | int 1046
Constants.FP_NextXRefFmtInDoc |  | int 1074
Constants.FP_NextXRefInDoc |  | int 1072
Constants.FP_No3DInPDF |  | int 2406
Constants.FP_NoFlashInPDF |  | int 2405
Constants.FP_NoMultiMediaInPDF |  | int 2831
Constants.FP_NumAtEnd |  | int 563
Constants.FP_NumCols |  | int 235
Constants.FP_NumColumns |  | int 984
Constants.FP_NumItems |  | int 1707
Constants.FP_NumLines |  | int 1704
Constants.FP_NumNamespaces |  | int 1645
Constants.FP_NumPoints |  | int 907
Constants.FP_NumTabs |  | int 573
Constants.FP_Numbers |  | int 338
Constants.FP_Object |  | int 1630
Constants.FP_ObjectAttributes |  | int 23
Constants.FP_ObjectFmtRules |  | int 1583
Constants.FP_OldTypeNum |  | int 1024
Constants.FP_OpenAndSaveXmlBookComponentDoc |  | int 822
Constants.FP_OpenDir |  | int 80
Constants.FP_OperatingSystem |  | int 46
Constants.FP_OptJLetSpace |  | int 595
Constants.FP_OptJRomSpace |  | int 592
Constants.FP_OptSpace |  | int 557
Constants.FP_OrphanRows |  | int 1291
Constants.FP_Outline |  | int 612
Constants.FP_Overflowed |  | int 983
Constants.FP_Overline |  | int 610
Constants.FP_Overprint |  | int 756
Constants.FP_OyamojiTextRange |  | int 1470
Constants.FP_PDFAllNamedDestinations |  | int 2257
Constants.FP_PDFBookmark |  | int 2261
Constants.FP_PDFBookmarksOpenLevel |  | int 2275
Constants.FP_PDFConvertCMYKtoRGB |  | int 2274
Constants.FP_PDFDestsMarked |  | int 2258
Constants.FP_PDFDistillerAbsent |  | int 2276
Constants.FP_PDFDocInfo |  | int 2260
Constants.FP_PDFEndPage |  | int 2273
Constants.FP_PDFGenerateForReview |  | int 2279
Constants.FP_PDFJobOption |  | int 2263
Constants.FP_PDFJobOptionsAbsent |  | int 2277
Constants.FP_PDFOpenPage |  | int 2264
Constants.FP_PDFPageHeight |  | int 2270
Constants.FP_PDFPageNum |  | int 2402
Constants.FP_PDFPageWidth |  | int 2269
Constants.FP_PDFPrintPageRange |  | int 2271
Constants.FP_PDFRegistrationMarks |  | int 2268
Constants.FP_PDFSeparateFiles |  | int 2267
Constants.FP_PDFStartPage |  | int 2272
Constants.FP_PDFStructure |  | int 2259
Constants.FP_PDFStructureLevel |  | int 600
Constants.FP_PDFViewPDF |  | int 2278
Constants.FP_PDFZoomFactor |  | int 2266
Constants.FP_PDFZoomType |  | int 2265
Constants.FP_PageBackground |  | int 689
Constants.FP_PageFrame |  | int 695
Constants.FP_PageFramePage |  | int 880
Constants.FP_PageHeight |  | int 692
Constants.FP_PageIsRecto |  | int 697
Constants.FP_PageNext |  | int 694
Constants.FP_PageNum |  | int 687
Constants.FP_PageNumComputeMethod |  | int 524
Constants.FP_PageNumString |  | int 696
Constants.FP_PageNumStyle |  | int 225
Constants.FP_PagePrefix |  | int 521
Constants.FP_PagePrev |  | int 693
Constants.FP_PageRounding |  | int 229
Constants.FP_PageSide |  | int 523
Constants.FP_PageSuffix |  | int 522
Constants.FP_PageWidth |  | int 691
Constants.FP_PairKern |  | int 614
Constants.FP_Pantone |  | int 1456
Constants.FP_ParentElement |  | int 1622
Constants.FP_ParentTextFrame |  | int 2200
Constants.FP_ParseFullSpecification |  | int 2163
Constants.FP_ParsedGeneralRule |  | int 1592
Constants.FP_ParsedSpecification |  | int 2160
Constants.FP_PasswordStyle |  | int 1714
Constants.FP_Path |  | int 85
Constants.FP_Pen |  | int 742
Constants.FP_PercentDone |  | int 104
Constants.FP_PgfAlignment |  | int 547
Constants.FP_PgfCatalogReference |  | int 2001
Constants.FP_PgfIsAutoNum |  | int 562
Constants.FP_PgfMarkedForNamedDestination |  | int 722
Constants.FP_PgfNumComputeMethod |  | int 525
Constants.FP_PgfNumber |  | int 719
Constants.FP_PgfSpacingFactor |  | int 989
Constants.FP_PgfSpellChecked |  | int 720
Constants.FP_PgfSplit |  | int 721
Constants.FP_Placement |  | int 579
Constants.FP_Platform |  | int 45
Constants.FP_PointPageNum |  | int 688
Constants.FP_PointPageNumStyle |  | int 228
Constants.FP_Points |  | int 908
Constants.FP_PolyIsBezier |  | int 906
Constants.FP_Position |  | int 620
Constants.FP_PrefixRules |  | int 1587
Constants.FP_PrevAFrame |  | int 884
Constants.FP_PrevBookComponentInDFSOrder |  | int 2340
Constants.FP_PrevCell |  | int 1219
Constants.FP_PrevCellInRow |  | int 1201
Constants.FP_PrevComponentInBook |  | int 526
Constants.FP_PrevElementDFS |  | int 2335
Constants.FP_PrevFn |  | int 1004
Constants.FP_PrevGraphicInFrame |  | int 775
Constants.FP_PrevGraphicInGroup |  | int 778
Constants.FP_PrevMenuItemInMenu |  | int 1924
Constants.FP_PrevPgfInFlow |  | int 718
Constants.FP_PrevRowInTbl |  | int 1244
Constants.FP_PrevSiblingElement |  | int 1625
Constants.FP_PrevSubCol |  | int 2201
Constants.FP_PrevTextFrameInFlow |  | int 980
Constants.FP_PreviewState |  | int 2820
Constants.FP_PrintBlankPages |  | int 467
Constants.FP_PrintCollated |  | int 446
Constants.FP_PrintCols |  | int 441
Constants.FP_PrintDitavalFileName |  | int 2343
Constants.FP_PrintDownloadAsianFonts |  | int 501
Constants.FP_PrintDownloadTrueTypeAsType1 |  | int 502
Constants.FP_PrintEmulsion |  | int 466
Constants.FP_PrintEndPage |  | int 453
Constants.FP_PrintEndPageName |  | int 440
Constants.FP_PrintEndPoint |  | int 454
Constants.FP_PrintEvenPages |  | int 455
Constants.FP_PrintFileName |  | int 451
Constants.FP_PrintImaging |  | int 465
Constants.FP_PrintInclude |  | int 519
Constants.FP_PrintLastSheetFirst |  | int 456
Constants.FP_PrintLowRes |  | int 447
Constants.FP_PrintManualFeed |  | int 458
Constants.FP_PrintNumCopies |  | int 459
Constants.FP_PrintOddPages |  | int 445
Constants.FP_PrintPaperHeight |  | int 462
Constants.FP_PrintPaperWidth |  | int 461
Constants.FP_PrintRegMarkDate |  | int 469
Constants.FP_PrintRegistrationMarks |  | int 457
Constants.FP_PrintRows |  | int 442
Constants.FP_PrintScale |  | int 450
Constants.FP_PrintScope |  | int 452
Constants.FP_PrintSeps |  | int 463
Constants.FP_PrintSpotBW |  | int 498
Constants.FP_PrintStartPage |  | int 443
Constants.FP_PrintStartPageName |  | int 439
Constants.FP_PrintStartPoint |  | int 444
Constants.FP_PrintThumbnails |  | int 448
Constants.FP_PrintToFile |  | int 460
Constants.FP_PrintTomboMarks |  | int 468
Constants.FP_PrinterName |  | int 449
Constants.FP_ProcessNumber |  | int 79
Constants.FP_ProductIsDemo |  | int 66
Constants.FP_ProductIsStructured |  | int 65
Constants.FP_ProductName |  | int 42
Constants.FP_ProgId |  | int 2421
Constants.FP_Public |  | int 1030
Constants.FP_Radius |  | int 950
Constants.FP_RasterFilterDpi |  | int 2400
Constants.FP_RectangleIsSmoothed |  | int 929
Constants.FP_Reformatting |  | int 91
Constants.FP_RememberMissingFontNames |  | int 61
Constants.FP_RemoveExtraWhiteSpacesOnXMLImport |  | int 2830
Constants.FP_Required |  | int 1032
Constants.FP_ReservedColor |  | int 1463
Constants.FP_RetainUndoState |  | int 64
Constants.FP_ReviewTime |  | int 994
Constants.FP_ReviewerName |  | int 993
Constants.FP_ReviewerNameList |  | int 2825
Constants.FP_RightColNum |  | int 1344
Constants.FP_RightIndent |  | int 570
Constants.FP_RightIndentChange |  | int 2006
Constants.FP_RightMargin |  | int 233
Constants.FP_RightMasterPage |  | int 414
Constants.FP_RowIsShown |  | int 1254
Constants.FP_RowKeepWithNext |  | int 1248
Constants.FP_RowKeepWithPrev |  | int 1249
Constants.FP_RowMaxHeight |  | int 1250
Constants.FP_RowMinHeight |  | int 1251
Constants.FP_RowStart |  | int 1252
Constants.FP_RowTbl |  | int 1246
Constants.FP_RowType |  | int 1253
Constants.FP_RpcProgramNumber |  | int 77
Constants.FP_RpcPropertyName |  | int 76
Constants.FP_RubiAlignAtLineBounds |  | int 193
Constants.FP_RubiElement |  | int 2176
Constants.FP_RubiFixedSize |  | int 187
Constants.FP_RubiOverhang |  | int 192
Constants.FP_RubiSize |  | int 186
Constants.FP_RubiTextRange |  | int 1471
Constants.FP_RuleClauseType |  | int 2152
Constants.FP_RulingGap |  | int 1433
Constants.FP_RulingLines |  | int 1435
Constants.FP_RulingPenWidth |  | int 1432
Constants.FP_RulingSep |  | int 1434
Constants.FP_RunInSeparator |  | int 578
Constants.FP_Runaround |  | int 787
Constants.FP_RunaroundGap |  | int 754
Constants.FP_ScreenCaptureDocToFile |  | int 195
Constants.FP_ScreenHeight |  | int 36
Constants.FP_ScreenWidth |  | int 35
Constants.FP_ScreenX |  | int 33
Constants.FP_ScreenY |  | int 34
Constants.FP_SecNumComputeMethod |  | int 915
Constants.FP_SectionNumStyle |  | int 916
Constants.FP_SectionNumText |  | int 918
Constants.FP_SectionNumber |  | int 917
Constants.FP_SelectedRowItems |  | int 1719
Constants.FP_SelectedTbl |  | int 129
Constants.FP_Sensitivity |  | int 1708
Constants.FP_SepOverride |  | int 1140
Constants.FP_SeparateInclusions |  | int 1493
Constants.FP_ServerState |  | int 2808
Constants.FP_ServerUrl |  | int 2807
Constants.FP_Shadow |  | int 613
Constants.FP_ShiftOrUnshiftCommand |  | int 1940
Constants.FP_ShowAll |  | int 155
Constants.FP_ShowCondIndicators |  | int 156
Constants.FP_ShowElementDescriptiveNames |  | int 1501
Constants.FP_SideHeadGap |  | int 1173
Constants.FP_SideHeadPlacement |  | int 1171
Constants.FP_SideHeadRoomInFlow |  | int 1174
Constants.FP_SideHeadWidth |  | int 1172
Constants.FP_SideOffset |  | int 877
Constants.FP_Size |  | int 1712
Constants.FP_SkipBlankSeps |  | int 464
Constants.FP_SmallCapsSize |  | int 182
Constants.FP_SmallCapsStretch |  | int 185
Constants.FP_SmartQuotes |  | int 237
Constants.FP_SmartSpaces |  | int 239
Constants.FP_Snap |  | int 151
Constants.FP_SnapAngle |  | int 394
Constants.FP_SnapGridUnits |  | int 393
Constants.FP_SortingEnabled |  | int 1718
Constants.FP_SpaceAbove |  | int 553
Constants.FP_SpaceAboveChange |  | int 2002
Constants.FP_SpaceBelow |  | int 568
Constants.FP_SpaceBelowChange |  | int 2003
Constants.FP_Spacing |  | int 1167
Constants.FP_Specification |  | int 2150
Constants.FP_SpecificationForCSS |  | int 2161
Constants.FP_SpotColorView |  | int 392
Constants.FP_Spread |  | int 618
Constants.FP_SpreadChange |  | int 2013
Constants.FP_StackWarningLevel |  | int 2404
Constants.FP_Start |  | int 567
Constants.FP_State |  | int 1702
Constants.FP_StatusLine |  | int 108
Constants.FP_StopCountingAt |  | int 2102
Constants.FP_Stretch |  | int 643
Constants.FP_StretchChange |  | int 2026
Constants.FP_Strikethrough |  | int 609
Constants.FP_Strings |  | int 337
Constants.FP_StructAppAttrConfigFile |  | int 1500
Constants.FP_StructureCursorTypes |  | int 2296
Constants.FP_StructuredApplication |  | int 1495
Constants.FP_StructuredApplicationForOpen |  | int 1498
Constants.FP_StructuredApplicationList |  | int 1497
Constants.FP_StyleOverride |  | int 1142
Constants.FP_StyleOverrides |  | int 1151
Constants.FP_SubFmtRule |  | int 2156
Constants.FP_SubScriptShift |  | int 181
Constants.FP_SubScriptSize |  | int 180
Constants.FP_SubScriptStretch |  | int 184
Constants.FP_SubsecNumComputeMethod |  | int 815
Constants.FP_SubsectionNumStyle |  | int 816
Constants.FP_SubsectionNumText |  | int 818
Constants.FP_SubsectionNumber |  | int 817
Constants.FP_SuffixRules |  | int 1588
Constants.FP_SuperScriptShift |  | int 179
Constants.FP_SuperScriptSize |  | int 178
Constants.FP_SuperScriptStretch |  | int 183
Constants.FP_SuppressXMLParserWarnings |  | int 2419
Constants.FP_Symbols |  | int 334
Constants.FP_SymbolsList |  | int 335
Constants.FP_SystemVar |  | int 1049
Constants.FP_TabStops |  | int 1715
Constants.FP_TableTagging |  | int 1585
Constants.FP_Tabs |  | int 574
Constants.FP_TailArrow |  | int 744
Constants.FP_TblAlignment |  | int 1282
Constants.FP_TblBodyElement |  | int 2174
Constants.FP_TblBodyFirstColor |  | int 1299
Constants.FP_TblBodyFirstFill |  | int 1298
Constants.FP_TblBodyFirstPeriod |  | int 1301
Constants.FP_TblBodyNextColor |  | int 1304
Constants.FP_TblBodyNextFill |  | int 1302
Constants.FP_TblBodyNextPeriod |  | int 1303
Constants.FP_TblBodyRowRuling |  | int 1310
Constants.FP_TblBodyRowRulingPeriod |  | int 1294
Constants.FP_TblBodyShadeBy |  | int 1300
Constants.FP_TblBottomRuling |  | int 1306
Constants.FP_TblCatalogEntry |  | int 1292
Constants.FP_TblCellBottomMargin |  | int 1316
Constants.FP_TblCellLeftMargin |  | int 1317
Constants.FP_TblCellRightMargin |  | int 1318
Constants.FP_TblCellTopMargin |  | int 1315
Constants.FP_TblColRuling |  | int 1309
Constants.FP_TblColRulingPeriod |  | int 1293
Constants.FP_TblColWidths |  | int 1345
Constants.FP_TblElement |  | int 2171
Constants.FP_TblFnCellPosition |  | int 318
Constants.FP_TblFnCellPrefix |  | int 320
Constants.FP_TblFnCellSuffix |  | int 319
Constants.FP_TblFnCustNumString |  | int 317
Constants.FP_TblFnFmt |  | int 315
Constants.FP_TblFnNumComputeMethod |  | int 324
Constants.FP_TblFnNumStyle |  | int 316
Constants.FP_TblFnPosition |  | int 321
Constants.FP_TblFnPrefix |  | int 322
Constants.FP_TblFnSuffix |  | int 323
Constants.FP_TblFooterElement |  | int 2175
Constants.FP_TblHFColor |  | int 1297
Constants.FP_TblHFFill |  | int 1296
Constants.FP_TblHFRowRuling |  | int 1312
Constants.FP_TblHFSeparatorRuling |  | int 1311
Constants.FP_TblHeaderElement |  | int 2173
Constants.FP_TblInLockedTi |  | int 1319
Constants.FP_TblInitNumBodyRows |  | int 1286
Constants.FP_TblInitNumCols |  | int 1284
Constants.FP_TblInitNumFRows |  | int 1287
Constants.FP_TblInitNumHRows |  | int 1285
Constants.FP_TblLastBodyRuling |  | int 1295
Constants.FP_TblLeftIndent |  | int 1278
Constants.FP_TblLeftRuling |  | int 1307
Constants.FP_TblNumCols |  | int 1335
Constants.FP_TblNumRows |  | int 1336
Constants.FP_TblNumbering |  | int 1288
Constants.FP_TblOtherBodyRowRuling |  | int 1313
Constants.FP_TblOtherColRuling |  | int 1314
Constants.FP_TblPlacement |  | int 1283
Constants.FP_TblRightIndent |  | int 1279
Constants.FP_TblRightRuling |  | int 1308
Constants.FP_TblSpaceAbove |  | int 1280
Constants.FP_TblSpaceBelow |  | int 1281
Constants.FP_TblTag |  | int 1275
Constants.FP_TblTitleElement |  | int 2172
Constants.FP_TblTitleGap |  | int 1290
Constants.FP_TblTitlePosition |  | int 1289
Constants.FP_TblTitleSelected |  | int 1346
Constants.FP_TblTopRuling |  | int 1305
Constants.FP_TblWidth |  | int 1340
Constants.FP_TechSuiteInternal |  | int 2409
Constants.FP_TechSuiteInternal2 |  | int 2411
Constants.FP_Text |  | int 1701
Constants.FP_TextColor |  | int 1503
Constants.FP_TextFmtRules |  | int 1582
Constants.FP_TextIsInvalidInElement |  | int 1660
Constants.FP_TextLineType |  | int 1095
Constants.FP_TextLoc |  | int 879
Constants.FP_TextRange |  | int 1071
Constants.FP_TextSelection |  | int 109
Constants.FP_Theta |  | int 831
Constants.FP_TiAutomaticUpdate |  | int 2051
Constants.FP_TiByRows |  | int 2069
Constants.FP_TiClientData |  | int 2079
Constants.FP_TiClientName |  | int 2076
Constants.FP_TiClientSource |  | int 2077
Constants.FP_TiClientType |  | int 2078
Constants.FP_TiEOLisEOP |  | int 2065
Constants.FP_TiFile |  | int 2053
Constants.FP_TiFileModDate |  | int 2057
Constants.FP_TiFlowName |  | int 2060
Constants.FP_TiFlowPageSpace |  | int 2061
Constants.FP_TiFormat |  | int 2062
Constants.FP_TiHeadersEmpty |  | int 2068
Constants.FP_TiIsNested |  | int 2058
Constants.FP_TiIsUnresolved |  | int 2075
Constants.FP_TiLocked |  | int 2056
Constants.FP_TiMacEdition |  | int 2054
Constants.FP_TiMainFlow |  | int 2059
Constants.FP_TiNumCols |  | int 2072
Constants.FP_TiNumHeaderRows |  | int 2067
Constants.FP_TiNumSeparators |  | int 2071
Constants.FP_TiRemoveOverrides |  | int 2064
Constants.FP_TiRemovePageBreaks |  | int 2063
Constants.FP_TiSeparator |  | int 2070
Constants.FP_TiTblTag |  | int 2066
Constants.FP_TiTextEncoding |  | int 2073
Constants.FP_TintBaseColor |  | int 1467
Constants.FP_TintPercent |  | int 755
Constants.FP_TmpDir |  | int 86
Constants.FP_ToolBar |  | int 95
Constants.FP_TopMargin |  | int 230
Constants.FP_TopRowSelection |  | int 1341
Constants.FP_TopSepAtIndent |  | int 2009
Constants.FP_TopSeparator |  | int 554
Constants.FP_TopicRefAbsoluteFilePath |  | int 2347
Constants.FP_TrackChangesAddedColor |  | int 2826
Constants.FP_TrackChangesDeletedColor |  | int 2827
Constants.FP_TrackChangesOn |  | int 2819
Constants.FP_Transient |  | int 1031
Constants.FP_TrapwiseCompatibility |  | int 495
Constants.FP_Tsume |  | int 649
Constants.FP_TypeOfDisplayText |  | int 500
Constants.FP_UIColorBackground |  | int 2297
Constants.FP_UIColorRuler |  | int 2298
Constants.FP_Underlining |  | int 608
Constants.FP_UndoFDKRecording |  | int 2403
Constants.FP_Unique |  | int 21
Constants.FP_Untouchable |  | int 146
Constants.FP_UseBkColor |  | int 991
Constants.FP_UseCapitalization |  | int 636
Constants.FP_UseChangeBar |  | int 628
Constants.FP_UseColor |  | int 638
Constants.FP_UseFontAngle |  | int 624
Constants.FP_UseFontFamily |  | int 621
Constants.FP_UseFontSize |  | int 632
Constants.FP_UseFontVariation |  | int 622
Constants.FP_UseFontWeight |  | int 623
Constants.FP_UseInitialStructure |  | int 1492
Constants.FP_UseInitialStructureOfAutoInsertedElements |  | int 1499
Constants.FP_UseKernX |  | int 633
Constants.FP_UseKernY |  | int 634
Constants.FP_UseLanguage |  | int 645
Constants.FP_UseNextTag |  | int 566
Constants.FP_UseOutline |  | int 629
Constants.FP_UseOverline |  | int 627
Constants.FP_UsePairKern |  | int 631
Constants.FP_UsePosition |  | int 637
Constants.FP_UseSepOverride |  | int 1141
Constants.FP_UseShadow |  | int 630
Constants.FP_UseSpread |  | int 635
Constants.FP_UseStretch |  | int 644
Constants.FP_UseStrikethrough |  | int 626
Constants.FP_UseTsume |  | int 650
Constants.FP_UseUnderlining |  | int 625
Constants.FP_UserHomeDir |  | int 84
Constants.FP_UserLogin |  | int 83
Constants.FP_UserName |  | int 82
Constants.FP_UserSettingsDir |  | int 152
Constants.FP_UserString |  | int 22
Constants.FP_ValidHighestLevel |  | int 1574
Constants.FP_Validating |  | int 94
Constants.FP_ValidationFlags |  | int 1668
Constants.FP_VarFmt |  | int 1047
Constants.FP_Variables |  | int 336
Constants.FP_VersionMajor |  | int 43
Constants.FP_VersionMinor |  | int 44
Constants.FP_VersionRevision |  | int 41
Constants.FP_VerticalSpreadLarge |  | int 345
Constants.FP_VerticalSpreadMed |  | int 344
Constants.FP_VerticalSpreadSmall |  | int 343
Constants.FP_ViewBorders |  | int 382
Constants.FP_ViewDisplayUnits |  | int 390
Constants.FP_ViewFontSizeUnits |  | int 396
Constants.FP_ViewGrid |  | int 389
Constants.FP_ViewGridUnits |  | int 386
Constants.FP_ViewLinkBoundaries |  | int 395
Constants.FP_ViewNoGraphics |  | int 384
Constants.FP_ViewOnlyDeadCodes |  | int 140
Constants.FP_ViewOnlyMenuBar |  | int 144
Constants.FP_ViewOnlySelect |  | int 139
Constants.FP_ViewOnlyWinBorders |  | int 136
Constants.FP_ViewOnlyWinMenubar |  | int 135
Constants.FP_ViewOnlyWinPalette |  | int 134
Constants.FP_ViewOnlyWinPopup |  | int 137
Constants.FP_ViewOnlyXRef |  | int 138
Constants.FP_ViewPageScrolling |  | int 385
Constants.FP_ViewRulerUnits |  | int 391
Constants.FP_ViewRulers |  | int 383
Constants.FP_ViewTextSymbols |  | int 388
Constants.FP_Visibility |  | int 1713
Constants.FP_VolNumComputeMethod |  | int 211
Constants.FP_VolumeNumStyle |  | int 213
Constants.FP_VolumeNumText |  | int 214
Constants.FP_VolumeNumber |  | int 212
Constants.FP_WesternFamily |  | int 2284
Constants.FP_WesternFontPanoseName |  | int 648
Constants.FP_WesternFontPlatformName |  | int 646
Constants.FP_WesternFontPostScriptName |  | int 647
Constants.FP_WesternShift |  | int 2286
Constants.FP_WesternSize |  | int 2285
Constants.FP_WideRubiSpaceForJapanese |  | int 189
Constants.FP_WideRubiSpaceForOther |  | int 191
Constants.FP_Width |  | int 783
Constants.FP_WindowHandle |  | int 1717
Constants.FP_WindowSystem |  | int 47
Constants.FP_XMLStructuredApplicationList |  | int 1598
Constants.FP_XRefAltText |  | int 1153
Constants.FP_XRefClientName |  | int 1154
Constants.FP_XRefClientType |  | int 1155
Constants.FP_XRefFile |  | int 1070
Constants.FP_XRefFmt |  | int 1073
Constants.FP_XRefIsUnresolved |  | int 1077
Constants.FP_XRefResolvedWithKeyref |  | int 1156
Constants.FP_XRefRetainKeydefText |  | int 1157
Constants.FP_XRefSrcElemNonUniqueId |  | int 1152
Constants.FP_XRefSrcIsElem |  | int 1076
Constants.FP_XRefSrcText |  | int 1075
Constants.FP_XmlApplicationForBookComponent |  | int 2330
Constants.FP_XmlDocType |  | int 2810
Constants.FP_XmlEncoding |  | int 2801
Constants.FP_XmlFileEncoding |  | int 2809
Constants.FP_XmlIsBook |  | int 823
Constants.FP_XmlPublicId |  | int 2811
Constants.FP_XmlStandAlone |  | int 2802
Constants.FP_XmlStyleSheet |  | int 2803
Constants.FP_XmlStyleSheetList |  | int 2804
Constants.FP_XmlSystemId |  | int 2812
Constants.FP_XmlUseBOM |  | int 2805
Constants.FP_XmlVersion |  | int 2800
Constants.FP_XmlWellFormed |  | int 2806
Constants.FP_YakumonoType |  | int 597
Constants.FP_Yellow |  | int 1459
Constants.FP_Zoom |  | int 387
Constants.FR_CancelInsertElementOperation |  | int -10010
Constants.FR_CancelOperation |  | int -10001
Constants.FR_ClosedXRefDialog |  | int -10008
Constants.FR_DialogStayUp |  | int -10000
Constants.FR_DisplayedModalDialogForNonContainerElem |  | int -10012
Constants.FR_DisplayedModelessDialogForNonContainerElem |  | int -10009
Constants.FR_DisplayedTiDialog |  | int -10002
Constants.FR_DisplayedXRefDialog |  | int -10007
Constants.FR_ECMImportSuccess |  | int -10003
Constants.FR_HideDialogOnClose |  | int -10011
Constants.FR_ModalStayUp |  | int -10000
Constants.FR_NoOperation |  | int -10006
Constants.FR_SkipStep |  | int -10004
Constants.FR_YesOperation |  | int -10005
Constants.FS_AlertUserAboutFailure |  | int 2
Constants.FS_AllowInconsistentNumProps |  | int 6
Constants.FS_AllowNonFMFiles |  | int 1
Constants.FS_AllowViewOnlyFiles |  | int 3
Constants.FS_AutoBackupOnSave |  | int 6
Constants.FS_BeefyDoc |  | int 32
Constants.FS_BookIsInUse |  | int 18
Constants.FS_CellSeparator |  | int 29
Constants.FS_DisallowBookDoc |  | int 10
Constants.FS_DisallowBookMIF |  | int 9
Constants.FS_DisallowDoc |  | int 8
Constants.FS_DisallowFilterTypes |  | int 11
Constants.FS_DisallowGraphicTypes |  | int 9
Constants.FS_DisallowMIF |  | int 7
Constants.FS_DisallowMacEditions |  | int 10
Constants.FS_DisallowPlainText |  | int 12
Constants.FS_DisallowSgml |  | int 33
Constants.FS_DisallowXml |  | int 43
Constants.FS_DitavalCondTag |  | int 23
Constants.FS_DitavalFile |  | int 22
Constants.FS_DontNotifyAPIClients |  | int 3
Constants.FS_Export |  | int 4
Constants.FS_ExportFileName |  | int 1
Constants.FS_ExportFileTypeHint |  | int 14
Constants.FS_ExportNativeError |  | int 2
Constants.FS_ExportObjectId |  | int 7
Constants.FS_ExportObjectNeedsDpi |  | int 12
Constants.FS_ExportStatus |  | int 3
Constants.FS_ExportTextRange |  | int 6
Constants.FS_ExportType |  | int 5
Constants.FS_FileIsGraphic |  | int 13
Constants.FS_FileIsInUse |  | int 17
Constants.FS_FileIsMakerDoc |  | int 18
Constants.FS_FileIsOldVersion |  | int 20
Constants.FS_FileIsSgmlDoc |  | int 32
Constants.FS_FileIsStructured |  | int 21
Constants.FS_FileIsText |  | int 16
Constants.FS_FileIsXmlDoc |  | int 37
Constants.FS_FileType |  | int 1
Constants.FS_FileTypeHint |  | int 34
Constants.FS_FindCharFmt |  | int 3
Constants.FS_FindCharTag |  | int 5
Constants.FS_FindCondTextInCondTags |  | int 13
Constants.FS_FindCondTextNotInCondTags |  | int 14
Constants.FS_FindCustomizationFlags |  | int 15
Constants.FS_FindElementTag |  | int 2
Constants.FS_FindMarkerOfType |  | int 9
Constants.FS_FindMarkerText |  | int 10
Constants.FS_FindNamedVariable |  | int 12
Constants.FS_FindObject |  | int 8
Constants.FS_FindPgfTag |  | int 4
Constants.FS_FindTableTag |  | int 6
Constants.FS_FindText |  | int 1
Constants.FS_FindWrap |  | int 16
Constants.FS_FindXRefWithFormat |  | int 11
Constants.FS_FitGraphicInSelectedRect |  | int 14
Constants.FS_FontChangedMetric |  | int 23
Constants.FS_FontNotFoundInCatalog |  | int 28
Constants.FS_FontNotFoundInDoc |  | int 22
Constants.FS_ForceImportAsText |  | int 17
Constants.FS_ForceOpenAsText |  | int 13
Constants.FS_FormatImportedText |  | int 22
Constants.FS_GraphicDpi |  | int 15
Constants.FS_HowToImport |  | int 4
Constants.FS_ImportAsType |  | int 36
Constants.FS_ImportExportVersion |  | int 17
Constants.FS_ImportFlowPageSpace |  | int 21
Constants.FS_ImportFlowTag |  | int 20
Constants.FS_ImportNativeError |  | int 2
Constants.FS_ImportStatus |  | int 3
Constants.FS_ImportTblTag |  | int 25
Constants.FS_ImportedFileName |  | int 1
Constants.FS_InsetData |  | int 50
Constants.FS_LanguageNotAvailable |  | int 25
Constants.FS_LeaveHeadingRowsEmpty |  | int 27
Constants.FS_LockCantBeReset |  | int 19
Constants.FS_MakeIconic |  | int 6
Constants.FS_MakePageCount |  | int 7
Constants.FS_MakeVisible |  | int 5
Constants.FS_ManualUpdate |  | int 5
Constants.FS_ModDateChanged |  | int 21
Constants.FS_NameStripe |  | int 31
Constants.FS_NewDoc |  | int 29
Constants.FS_NoStructuredErrorLog |  | int 44
Constants.FS_NumCellSeparators |  | int 30
Constants.FS_NumColumns |  | int 31
Constants.FS_NumExportParams |  | int 17
Constants.FS_NumExportReturnParams |  | int 3
Constants.FS_NumImportParams |  | int 45
Constants.FS_NumImportReturnParams |  | int 3
Constants.FS_NumOpenParams |  | int 45
Constants.FS_NumOpenReturnParams |  | int 3
Constants.FS_NumSaveParams |  | int 23
Constants.FS_NumSaveReturnParams |  | int 3
Constants.FS_NumSpellParams |  | int (1007-1000+1)
Constants.FS_NumUpdateBookParams |  | int 12
Constants.FS_NumUpdateBookReturnParams |  | int 1
Constants.FS_OpenAsType |  | int 41
Constants.FS_OpenBookViewOnly |  | int 42
Constants.FS_OpenDocFluid |  | int 37
Constants.FS_OpenDocViewOnly |  | int 30
Constants.FS_OpenFileNotWritable |  | int 40
Constants.FS_OpenId |  | int 27
Constants.FS_OpenInNewWindow |  | int 26
Constants.FS_OpenNativeError |  | int 2
Constants.FS_OpenStatus |  | int 3
Constants.FS_OpenedFileName |  | int 1
Constants.FS_OutputFilePathName |  | int 1006
Constants.FS_PDFPageNum |  | int 45
Constants.FS_RasterDpi |  | int 38
Constants.FS_RasterImageHeight |  | int 40
Constants.FS_RasterImageWidth |  | int 39
Constants.FS_RefFileNotFound |  | int 24
Constants.FS_RemoveManualPageBreaks |  | int 23
Constants.FS_RemoveOverrides |  | int 24
Constants.FS_RetainNameStripe |  | int 12
Constants.FS_SaveAsModeName |  | int 5
Constants.FS_SaveFileNotWritable |  | int 20
Constants.FS_SaveFileTypeHint |  | int 16
Constants.FS_SaveMode |  | int 4
Constants.FS_SaveNativeError |  | int 2
Constants.FS_SaveStatus |  | int 3
Constants.FS_SaveTextExtraBlankLineAtEOP |  | int 10
Constants.FS_SaveTextTblSetting |  | int 9
Constants.FS_SavedFileName |  | int 1
Constants.FS_SgmlBookFileName |  | int 39
Constants.FS_ShowBookErrorLog |  | int 4
Constants.FS_ShowBrowser |  | int 1
Constants.FS_ShowRasterDpiDialog |  | int 41
Constants.FS_ShowSaveTextDialog |  | int 8
Constants.FS_SpellAction |  | int 1005
Constants.FS_SpellOptions |  | int 1000
Constants.FS_SpellWrap |  | int 1007
Constants.FS_StructuredExportApplication |  | int 16
Constants.FS_StructuredImportApplication |  | int 35
Constants.FS_StructuredOpenApplication |  | int 38
Constants.FS_StructuredSaveApplication |  | int 18
Constants.FS_TblNumHeadingRows |  | int 26
Constants.FS_TextAfterString |  | int 1003
Constants.FS_TextBeforeString |  | int 1002
Constants.FS_TextInsetName |  | int 6
Constants.FS_TreatParaAsRow |  | int 28
Constants.FS_TwoInARowString |  | int 1001
Constants.FS_UNIXpermissions |  | int 13
Constants.FS_UpdateBookGeneratedFiles |  | int 7
Constants.FS_UpdateBookMasterPages |  | int 12
Constants.FS_UpdateBookNumbering |  | int 8
Constants.FS_UpdateBookOleLinks |  | int 9
Constants.FS_UpdateBookStatus |  | int 1
Constants.FS_UpdateBookTextReferences |  | int 10
Constants.FS_UpdateBookXRefs |  | int 11
Constants.FS_UpdateBrowserDirectory |  | int 4
Constants.FS_UpdateFRVList |  | int 14
Constants.FS_UpdateTextReferences |  | int 35
Constants.FS_UpdateXRefs |  | int 36
Constants.FS_UseAutoSaveFile |  | int 15
Constants.FS_UseDefaultUNIXpermissions |  | int 11
Constants.FS_UseHTTP |  | int 51
Constants.FS_UseMainFlow |  | int 19
Constants.FS_UseRecoverFile |  | int 14
Constants.FS_VerifyInsets |  | int 45
Constants.FS_WordContainString |  | int 1004
Constants.FTF_ALL |  | int 0xFFFFFE03
Constants.FTF_ANGLE |  | int 0x10000000
Constants.FTF_CAPITALIZATION |  | int 0x00004000
Constants.FTF_CHANGEBAR |  | int 0x01000000
Constants.FTF_CHARTAG |  | int 0x00008000
Constants.FTF_COLOR |  | int 0x00010000
Constants.FTF_CONDITIONTAG |  | int 0x00000001
Constants.FTF_ENCODING |  | int 0x00000200
Constants.FTF_FAMILY |  | int 0x80000000
Constants.FTF_IIF |  | int 0x00000002
Constants.FTF_KERNX |  | int 0x00080000
Constants.FTF_KERNY |  | int 0x00040000
Constants.FTF_LANGUAGE |  | int 0x00000800
Constants.FTF_OUTLINE |  | int 0x00800000
Constants.FTF_OVERLINE |  | int 0x02000000
Constants.FTF_PAIRKERN |  | int 0x00200000
Constants.FTF_POSITION |  | int 0x00002000
Constants.FTF_SHADOW |  | int 0x00400000
Constants.FTF_SIZE |  | int 0x00100000
Constants.FTF_SPREAD |  | int 0x00020000
Constants.FTF_STRETCH |  | int 0x00001000
Constants.FTF_STRIKETHROUGH |  | int 0x04000000
Constants.FTF_TSUME |  | int 0x00000400
Constants.FTF_UNDERLINING |  | int 0x08000000
Constants.FTF_VARIATION |  | int 0x40000000
Constants.FTF_WEIGHT |  | int 0x20000000
Constants.FTI2_RubiCompositeBegin |  | int 0x80000004
Constants.FTI2_RubiCompositeEnd |  | int 0x80000008
Constants.FTI2_RubiTextBegin |  | int 0x80000001
Constants.FTI2_RubiTextEnd |  | int 0x80000002
Constants.FTI_CharPropsChange |  | int 0x00200000
Constants.FTI_ElemPrefixBegin |  | int 0x08000000
Constants.FTI_ElemPrefixEnd |  | int 0x10000000
Constants.FTI_ElemSuffixBegin |  | int 0x20000000
Constants.FTI_ElemSuffixEnd |  | int 0x40000000
Constants.FTI_ElementBegin |  | int 0x00080000
Constants.FTI_ElementEnd |  | int 0x00100000
Constants.FTI_FlowBegin |  | int 0x00000020
Constants.FTI_FlowEnd |  | int 0x00000040
Constants.FTI_FnAnchor |  | int 0x00001000
Constants.FTI_FrameAnchor |  | int 0x00000800
Constants.FTI_HardLineEnd |  | int 1
Constants.FTI_HyphenLineEnd |  | int 2
Constants.FTI_LineBegin |  | int 0x00000002
Constants.FTI_LineEnd |  | int 0x00000004
Constants.FTI_MarkerAnchor |  | int 0x00004000
Constants.FTI_PageBegin |  | int 0x00000080
Constants.FTI_PageEnd |  | int 0x00000100
Constants.FTI_PgfBegin |  | int 0x00000008
Constants.FTI_PgfEnd |  | int 0x00000010
Constants.FTI_String |  | int 0x00000001
Constants.FTI_SubColBegin |  | int 0x00000200
Constants.FTI_SubColEnd |  | int 0x00000400
Constants.FTI_TblAnchor |  | int 0x00002000
Constants.FTI_TextFrameBegin |  | int 0x00400000
Constants.FTI_TextFrameEnd |  | int 0x00800000
Constants.FTI_TextInsetBegin |  | int 0x02000000
Constants.FTI_TextInsetEnd |  | int 0x04000000
Constants.FTI_TextObjId |  | int 0x01000000
Constants.FTI_VarBegin |  | int 0x00020000
Constants.FTI_VarEnd |  | int 0x00040000
Constants.FTI_XRefBegin |  | int 0x00008000
Constants.FTI_XRefEnd |  | int 0x00010000
Constants.FT_AttributeDefs |  | int 17
Constants.FT_Attributes |  | int 18
Constants.FT_AttributesEx |  | int 21
Constants.FT_Bad |  | int 0
Constants.FT_ElementCatalog |  | int 12
Constants.FT_ElementRange |  | int 19
Constants.FT_FormatBranches |  | int 16
Constants.FT_Id |  | int 4
Constants.FT_Integer |  | int 1
Constants.FT_Ints |  | int 13
Constants.FT_Metric |  | int 2
Constants.FT_Metrics |  | int 5
Constants.FT_Num |  | int 22
Constants.FT_Points |  | int 7
Constants.FT_String |  | int 3
Constants.FT_Strings |  | int 6
Constants.FT_Tabs |  | int 8
Constants.FT_TextLoc |  | int 9
Constants.FT_TextRange |  | int 10
Constants.FT_UBytes |  | int 14
Constants.FT_UInts |  | int 15
Constants.FT_Vals |  | int 20
Constants.FV_ACCESSBAR_CLOSE |  | int 2
Constants.FV_ACCESSBAR_OPEN |  | int 1
Constants.FV_AF_FIXED |  | int 0x0004
Constants.FV_AF_HIDDEN |  | int 0x0002
Constants.FV_AF_READ_ONLY |  | int 0x0001
Constants.FV_ALIGN_CENTER |  | int 1
Constants.FV_ALIGN_INSIDE |  | int 3
Constants.FV_ALIGN_LEFT |  | int 0
Constants.FV_ALIGN_OUTSIDE |  | int 4
Constants.FV_ALIGN_RIGHT |  | int 2
Constants.FV_ALIGN_TBL_CENTER |  | int 1
Constants.FV_ALIGN_TBL_LEFT |  | int 0
Constants.FV_ALIGN_TBL_RIGHT |  | int 2
Constants.FV_ALTERNATIVE |  | int 0x04
Constants.FV_ANCHOR_BELOW |  | int 3
Constants.FV_ANCHOR_BOTTOM |  | int 4
Constants.FV_ANCHOR_INLINE |  | int 1
Constants.FV_ANCHOR_RUN_INTO_PARAGRAPH |  | int 17
Constants.FV_ANCHOR_SUBCOL_FARTHEST |  | int 8
Constants.FV_ANCHOR_SUBCOL_INSIDE |  | int 9
Constants.FV_ANCHOR_SUBCOL_LEFT |  | int 5
Constants.FV_ANCHOR_SUBCOL_NEAREST |  | int 7
Constants.FV_ANCHOR_SUBCOL_OUTSIDE |  | int 10
Constants.FV_ANCHOR_SUBCOL_RIGHT |  | int 6
Constants.FV_ANCHOR_TEXTFRAME_FARTHEST |  | int 14
Constants.FV_ANCHOR_TEXTFRAME_INSIDE |  | int 15
Constants.FV_ANCHOR_TEXTFRAME_LEFT |  | int 11
Constants.FV_ANCHOR_TEXTFRAME_NEAREST |  | int 13
Constants.FV_ANCHOR_TEXTFRAME_OUTSIDE |  | int 16
Constants.FV_ANCHOR_TEXTFRAME_RIGHT |  | int 12
Constants.FV_ANCHOR_TOP |  | int 2
Constants.FV_ANSI |  | int 3
Constants.FV_ARROW_FILLED |  | int 0x3
Constants.FV_ARROW_HOLLOW |  | int 0x2
Constants.FV_ARROW_STICK |  | int 0x1
Constants.FV_ASCII |  | int 2
Constants.FV_ATTR_DISP_ALL |  | int 3
Constants.FV_ATTR_DISP_NONE |  | int 1
Constants.FV_ATTR_DISP_REQSPEC |  | int 2
Constants.FV_ATTR_EDIT_ALWAYS |  | int 2
Constants.FV_ATTR_EDIT_NONE |  | int 0
Constants.FV_ATTR_EDIT_REQUIRED |  | int 1
Constants.FV_AT_CHOICES |  | int 2
Constants.FV_AT_INTEGER |  | int 3
Constants.FV_AT_INTEGERS |  | int 4
Constants.FV_AT_NUMTYPES |  | int 10
Constants.FV_AT_REAL |  | int 5
Constants.FV_AT_REALS |  | int 6
Constants.FV_AT_STRING |  | int 0
Constants.FV_AT_STRINGS |  | int 1
Constants.FV_AT_UNIQUE_ID |  | int 7
Constants.FV_AT_UNIQUE_IDREF |  | int 8
Constants.FV_AT_UNIQUE_IDREFS |  | int 9
Constants.FV_AUTORECOGNIZE |  | int 0x00
Constants.FV_AV_IDREF_UNRESOLVED |  | int 4
Constants.FV_AV_ID_DUPLICATE_IN_BOOK |  | int 6
Constants.FV_AV_ID_DUPLICATE_IN_DOC |  | int 5
Constants.FV_AV_INVALID_CHOICE |  | int 2
Constants.FV_AV_INVALID_FORMAT |  | int 3
Constants.FV_AV_OUT_OF_RANGE |  | int 9
Constants.FV_AV_REQUIRED |  | int 1
Constants.FV_AV_TOO_MANY_TOKENS |  | int 7
Constants.FV_AV_UNDEFINED |  | int 8
Constants.FV_Above |  | int 1240
Constants.FV_AlertOneButton |  | int 1
Constants.FV_AlertThreeButton |  | int 3
Constants.FV_AlertTwoButton |  | int 2
Constants.FV_AllElements |  | int 2
Constants.FV_AllowAllRefFilesUnFindable |  | int 11
Constants.FV_ApiClientCanceledExport |  | int 34
Constants.FV_AutoSaveFileUsed |  | int 34
Constants.FV_BGD_DEFAULT |  | int 0x00
Constants.FV_BGD_NONE |  | int 0x01
Constants.FV_BGD_OTHER |  | int 0x02
Constants.FV_BIG5 |  | int 8
Constants.FV_BK_BOOK |  | int 0x4
Constants.FV_BK_BOOKMAP |  | int 0x100
Constants.FV_BK_DITAMAP |  | int 0x80
Constants.FV_BK_FILE |  | int 0x200
Constants.FV_BK_FILENAME |  | int 1
Constants.FV_BK_FM |  | int 0x8
Constants.FV_BK_FOLDER |  | int 0x2
Constants.FV_BK_GENERAL |  | int 0x1
Constants.FV_BK_GROUP |  | int 0x40
Constants.FV_BK_INDEX_AUTHOR |  | int 8
Constants.FV_BK_INDEX_FORMATS |  | int 13
Constants.FV_BK_INDEX_MARKER |  | int 10
Constants.FV_BK_INDEX_REFERENCES |  | int 14
Constants.FV_BK_INDEX_STAN |  | int 7
Constants.FV_BK_INDEX_SUBJECT |  | int 9
Constants.FV_BK_LIST_FIGURE |  | int 1
Constants.FV_BK_LIST_FORMATS |  | int 11
Constants.FV_BK_LIST_MARKER |  | int 4
Constants.FV_BK_LIST_MARKER_ALPHA |  | int 5
Constants.FV_BK_LIST_PGF |  | int 3
Constants.FV_BK_LIST_PGF_ALPHA |  | int 6
Constants.FV_BK_LIST_REFERENCES |  | int 12
Constants.FV_BK_LIST_TABLE |  | int 2
Constants.FV_BK_MIF |  | int 0x10
Constants.FV_BK_NOT_GENERATABLE |  | int 16
Constants.FV_BK_NUM_BOOK_LIST |  | int 15
Constants.FV_BK_START_FROM_FILE |  | int 0x01
Constants.FV_BK_START_LEFT |  | int 0x03
Constants.FV_BK_START_NEXT_AVAILABLE |  | int 0x02
Constants.FV_BK_START_RIGHT |  | int 0x04
Constants.FV_BK_TEXT |  | int 2
Constants.FV_BK_TOC |  | int 0
Constants.FV_BK_XML |  | int 0x20
Constants.FV_BODY_PAGE |  | int 0x00
Constants.FV_BadEnclosingDocId |  | int 28
Constants.FV_BadExportDocId |  | int 20
Constants.FV_BadExportFileName |  | int 16
Constants.FV_BadExportObjectId |  | int 18
Constants.FV_BadExportScriptValue |  | int 21
Constants.FV_BadFileId |  | int 35
Constants.FV_BadFileName |  | int 67
Constants.FV_BadFileRefsWereMapped |  | int 46
Constants.FV_BadFileType |  | int 66
Constants.FV_BadImportFileName |  | int 16
Constants.FV_BadImportFileType |  | int 17
Constants.FV_BadImportScriptValue |  | int 18
Constants.FV_BadSaveFileName |  | int 34
Constants.FV_BadSaveObjectId |  | int 40
Constants.FV_BadSaveScriptValue |  | int 36
Constants.FV_BadScriptValue |  | int 70
Constants.FV_BadTemplate |  | int 129
Constants.FV_BadTextFileTypeHint |  | int 29
Constants.FV_BadUpdateBookFileId |  | int 64
Constants.FV_BadUpdateBookScriptValue |  | int 65
Constants.FV_BeefyDoc |  | int 40
Constants.FV_Below |  | int 1241
Constants.FV_Body |  | int 1237
Constants.FV_BodyPage |  | int 10
Constants.FV_BookNotSelfConsistent |  | int 0
Constants.FV_BrowseCmsOnly |  | int 0x00020000
Constants.FV_BrowseLocalOnly |  | int 0x00010000
Constants.FV_CAPITAL_CASE_LOWER |  | int 2
Constants.FV_CAPITAL_CASE_NORM |  | int 0
Constants.FV_CAPITAL_CASE_SMALL |  | int 1
Constants.FV_CAPITAL_CASE_UPPER |  | int 3
Constants.FV_CAP_BUTT |  | int 0x00
Constants.FV_CAP_ROUND |  | int 0x01
Constants.FV_CAP_SQUARE |  | int 0x02
Constants.FV_CB_COL_FURTHEST |  | int 0x03
Constants.FV_CB_COL_LEFT |  | int 0x00
Constants.FV_CB_COL_NEAREST |  | int 0x02
Constants.FV_CB_COL_RIGHT |  | int 0x01
Constants.FV_CB_DOUBLE_UNDERLINE |  | int 2
Constants.FV_CB_NO_UNDERLINE |  | int 0
Constants.FV_CB_NUMERIC_UNDERLINE |  | int 3
Constants.FV_CB_SINGLE_UNDERLINE |  | int 1
Constants.FV_CHAR_CATALOG |  | int 6
Constants.FV_CN_CHANGEBAR |  | int 5
Constants.FV_CN_DOUBLE_UNDERLINE |  | int 4
Constants.FV_CN_NMRIC_AND_CHNGBAR |  | int 7
Constants.FV_CN_NO_OVERRIDE |  | int 0
Constants.FV_CN_NUMERIC_UNDERLINE |  | int 6
Constants.FV_CN_OVERLINE |  | int 1
Constants.FV_CN_SINGLE_UNDERLINE |  | int 3
Constants.FV_CN_STRIKETHROUGH |  | int 2
Constants.FV_COLOR_BLACK |  | int 4
Constants.FV_COLOR_BLUE |  | int 8
Constants.FV_COLOR_CYAN |  | int 1
Constants.FV_COLOR_DARKGREY |  | int 9
Constants.FV_COLOR_DARKYELLOW |  | int 15
Constants.FV_COLOR_FORESTGREEN |  | int 11
Constants.FV_COLOR_GREEN |  | int 7
Constants.FV_COLOR_KNOCKOUT |  | int 0x00
Constants.FV_COLOR_LIGHTSALMON |  | int 14
Constants.FV_COLOR_MAGENTA |  | int 2
Constants.FV_COLOR_MAUVE |  | int 13
Constants.FV_COLOR_NOT_RESERVED |  | int 0
Constants.FV_COLOR_OVERPRINT |  | int 0x01
Constants.FV_COLOR_PALEGREEN |  | int 10
Constants.FV_COLOR_RED |  | int 6
Constants.FV_COLOR_ROYALBLUE |  | int 12
Constants.FV_COLOR_SALMON |  | int 16
Constants.FV_COLOR_WHITE |  | int 5
Constants.FV_COLOR_YELLOW |  | int 3
Constants.FV_CONTEXT_RULE |  | int 0
Constants.FV_CS_CHANGEBAR |  | int 0x10
Constants.FV_CS_DOUBLE_UNDERLINE |  | int 0x08
Constants.FV_CS_NO_OVERRIDE |  | int 0x00
Constants.FV_CS_NUMERIC_UNDERLINE |  | int 0x20
Constants.FV_CS_OVERLINE |  | int 0x01
Constants.FV_CS_SINGLE_UNDERLINE |  | int 0x04
Constants.FV_CS_STRIKETHROUGH |  | int 0x02
Constants.FV_CancelBeefyDoc |  | int 114
Constants.FV_CancelBook |  | int 108
Constants.FV_CancelBookMIF |  | int 109
Constants.FV_CancelFileBrowser |  | int 113
Constants.FV_CancelFileDoc |  | int 33
Constants.FV_CancelFileFilterable |  | int 35
Constants.FV_CancelFileGraphic |  | int 36
Constants.FV_CancelFileHasStructure |  | int 100
Constants.FV_CancelFileIsDoc |  | int 106
Constants.FV_CancelFileIsFilterable |  | int 110
Constants.FV_CancelFileIsInUse |  | int 99
Constants.FV_CancelFileIsMIF |  | int 107
Constants.FV_CancelFileIsMacEdition |  | int 39
Constants.FV_CancelFileIsOldVersion |  | int 111
Constants.FV_CancelFileIsSgml |  | int 115
Constants.FV_CancelFileIsText |  | int 98
Constants.FV_CancelFileIsXml |  | int 119
Constants.FV_CancelFileMIF |  | int 34
Constants.FV_CancelFileSgml |  | int 40
Constants.FV_CancelFileText |  | int 32
Constants.FV_CancelFileXml |  | int 41
Constants.FV_CancelFontMetricsChanged |  | int 104
Constants.FV_CancelFontsMapped |  | int 103
Constants.FV_CancelFontsMappedInCatalog |  | int 105
Constants.FV_CancelFontsWithUnavailableEncodings |  | int 116
Constants.FV_CancelImportBrowser |  | int 38
Constants.FV_CancelInconsistentNumPropsInFileInBook |  | int 34
Constants.FV_CancelLanguagesNotFound |  | int 102
Constants.FV_CancelNonFMFileInBook |  | int 32
Constants.FV_CancelOpenFileNotWritable |  | int 117
Constants.FV_CancelReferencedFilesNotFound |  | int 101
Constants.FV_CancelSaveExportedFileInvalid |  | int 53
Constants.FV_CancelSaveFileIsInUse |  | int 50
Constants.FV_CancelSaveFileNotWritable |  | int 51
Constants.FV_CancelSaveModDateChanged |  | int 52
Constants.FV_CancelTempDiskFull |  | int 118
Constants.FV_CancelUseAutoSaveFile |  | int 97
Constants.FV_CancelUseRecoverFile |  | int 96
Constants.FV_CancelViewOnlyFileInBook |  | int 33
Constants.FV_CanceledExportObjectNeedsDpi |  | int 33
Constants.FV_CantForceImportAsText |  | int 20
Constants.FV_CantForceOpenAsText |  | int 72
Constants.FV_CantNewBooks |  | int 68
Constants.FV_CantOpenBooksFluid |  | int 78
Constants.FV_CantOpenBooksViewOnly |  | int 69
Constants.FV_ChangePersonalDictionary |  | int 8
Constants.FV_CheckCurrentPage |  | int 2
Constants.FV_CheckDocument |  | int 1
Constants.FV_ChecksumDamage |  | int 77
Constants.FV_ChooseMultiOpen |  | int 0x00000010
Constants.FV_ChooseMultiSelect |  | int 0x00000008
Constants.FV_ChooseOpen |  | int 0x00000001
Constants.FV_ChooseOpenDir |  | int 0x00000004
Constants.FV_ChooseSave |  | int 0x00000002
Constants.FV_ChooseSelect |  | int 0x00000000
Constants.FV_ClearDocDictionary |  | int 7
Constants.FV_CmdAlert |  | int 8
Constants.FV_CmdAlertTitle |  | int 9
Constants.FV_CmdApplyMathRules |  | int 259
Constants.FV_CmdBeginRange |  | int 263
Constants.FV_CmdEndRange |  | int 264
Constants.FV_CmdError |  | int 1
Constants.FV_CmdExit |  | int 10
Constants.FV_CmdFCodes |  | int 256
Constants.FV_CmdGoToLink |  | int 11
Constants.FV_CmdGoToLinkFitWin |  | int 12
Constants.FV_CmdGoToNew |  | int 13
Constants.FV_CmdGoToObjectId |  | int 15
Constants.FV_CmdGoToObjectIdFitWin |  | int 16
Constants.FV_CmdGoToPage |  | int 14
Constants.FV_CmdHelpLink |  | int 262
Constants.FV_CmdInCodes |  | int 258
Constants.FV_CmdMatrix |  | int 17
Constants.FV_CmdMessage |  | int 18
Constants.FV_CmdNative |  | int 261
Constants.FV_CmdNewLink |  | int 19
Constants.FV_CmdNextPage |  | int 20
Constants.FV_CmdNoop |  | int 3
Constants.FV_CmdNotTyped |  | int 0
Constants.FV_CmdOpenLink |  | int 22
Constants.FV_CmdOpenLinkFitWin |  | int 23
Constants.FV_CmdOpenNew |  | int 24
Constants.FV_CmdOpenObjectId |  | int 25
Constants.FV_CmdOpenObjectIdFitWin |  | int 26
Constants.FV_CmdOpenPage |  | int 27
Constants.FV_CmdOpenXmlElementId |  | int 821
Constants.FV_CmdOutCodes |  | int 257
Constants.FV_CmdPopup |  | int 28
Constants.FV_CmdPreviousLink |  | int 29
Constants.FV_CmdPreviousLinkFitWin |  | int 30
Constants.FV_CmdPreviousPage |  | int 21
Constants.FV_CmdQuit |  | int 31
Constants.FV_CmdQuitAll |  | int 32
Constants.FV_CmdThesaurusLookup |  | int 260
Constants.FV_CmdUnknown |  | int 2
Constants.FV_DIALOG_DOCK_ALL |  | int 0xFF
Constants.FV_DIALOG_DOCK_BOTTOM |  | int 0x08
Constants.FV_DIALOG_DOCK_LEFT |  | int 0x01
Constants.FV_DIALOG_DOCK_NONE |  | int 0x00
Constants.FV_DIALOG_DOCK_RIGHT |  | int 0x02
Constants.FV_DOC_TYPE_BINARY |  | int 0x01
Constants.FV_DOC_TYPE_FILTER |  | int 0x04
Constants.FV_DOC_TYPE_MIF |  | int 0x03
Constants.FV_DOC_TYPE_TEXT |  | int 0x02
Constants.FV_DT_FLOAT |  | int 2
Constants.FV_DT_INTEGER |  | int 1
Constants.FV_DT_NUMTYPES |  | int 3
Constants.FV_DT_UNSPECIFIED |  | int 0
Constants.FV_DeleteEmptyPages |  | int 4
Constants.FV_DestFirstPage |  | int 2
Constants.FV_DestFluidFlow |  | int 5
Constants.FV_DestLastPage |  | int 3
Constants.FV_DestMarker |  | int 6
Constants.FV_DestMarkerNewLink |  | int 1
Constants.FV_DestNowhere |  | int 0
Constants.FV_DestObjectId |  | int 7
Constants.FV_DestPageNum |  | int 4
Constants.FV_DestXRef |  | int 8
Constants.FV_DisallowedImportType |  | int 21
Constants.FV_DisallowedType |  | int 73
Constants.FV_DlgClose |  | int -1
Constants.FV_DlgEnter |  | int -4
Constants.FV_DlgHide |  | int -10
Constants.FV_DlgInit |  | int -9
Constants.FV_DlgNeedsUpdate |  | int -8
Constants.FV_DlgNextPage |  | int -7
Constants.FV_DlgNoChange |  | int -3
Constants.FV_DlgOptActive |  | int 1
Constants.FV_DlgOptDontCare |  | int 2
Constants.FV_DlgOptNotActive |  | int 0
Constants.FV_DlgPrevPage |  | int -6
Constants.FV_DlgReset |  | int -2
Constants.FV_DlgShow |  | int -11
Constants.FV_DlgUndo |  | int -5
Constants.FV_DoByCopy |  | int 6
Constants.FV_DoByRef |  | int 5
Constants.FV_DoCancel |  | int 0
Constants.FV_DoImportAsTable |  | int 8
Constants.FV_DoNo |  | int 3
Constants.FV_DoOK |  | int 1
Constants.FV_DoShowDialog |  | int 4
Constants.FV_DoUserChoice |  | int 7
Constants.FV_DoUserPreference |  | int 12
Constants.FV_DoYes |  | int 2
Constants.FV_DocDamagedByTextFilter |  | int 74
Constants.FV_DocHeadersDamaged |  | int 75
Constants.FV_DocWrongSize |  | int 76
Constants.FV_DocumentDictionary |  | int 2
Constants.FV_DontChangePageCount |  | int 1
Constants.FV_DuplicateFileInBook |  | int 1
Constants.FV_EDT_AFTER |  | int 49
Constants.FV_EDT_ALL |  | int 43
Constants.FV_EDT_ANY |  | int 42
Constants.FV_EDT_ATTRGRPO |  | int 30
Constants.FV_EDT_BEFORE |  | int 50
Constants.FV_EDT_BETWEEN |  | int 53
Constants.FV_EDT_ELEMENT |  | int 25
Constants.FV_EDT_FIRST |  | int 44
Constants.FV_EDT_INSERTPAR |  | int 23
Constants.FV_EDT_LAST |  | int 46
Constants.FV_EDT_MIDDLE |  | int 45
Constants.FV_EDT_NOTFIRST |  | int 47
Constants.FV_EDT_NOTLAST |  | int 48
Constants.FV_EDT_ONLY |  | int 62
Constants.FV_EDT_TEXT |  | int 40
Constants.FV_EDT_TEXTONLY |  | int 41
Constants.FV_ELCAT_ALL |  | int 0x03
Constants.FV_ELCAT_CHILDREN |  | int 0x02
Constants.FV_ELCAT_CUSTOM |  | int 0x04
Constants.FV_ELCAT_LOOSE |  | int 0x01
Constants.FV_ELCAT_STRICT |  | int 0x00
Constants.FV_ELEMENT_CATALOG |  | int 8
Constants.FV_ELEM_ATTRVAL_INVALID |  | int 0x4000
Constants.FV_ELEM_ATTRVAL_REQUIRED |  | int 0x2000
Constants.FV_ELEM_BOOK_COMP_INVALID |  | int 0x1000
Constants.FV_ELEM_BOOK_COMP_MISSING |  | int 0x0800
Constants.FV_ELEM_CONTENT_LOOSELY_VALID |  | int 0x20000
Constants.FV_ELEM_CONTENT_MUST_BE_EMPTY |  | int 0x0040
Constants.FV_ELEM_CONTENT_STRICTLY_VALID |  | int 0x10000
Constants.FV_ELEM_DISP_BRACKETS |  | int 1
Constants.FV_ELEM_DISP_NONE |  | int 0
Constants.FV_ELEM_DISP_TAGS |  | int 2
Constants.FV_ELEM_EXCLUDED |  | int 0x0004
Constants.FV_ELEM_HAS_TEXT_INVALID |  | int 0x0020
Constants.FV_ELEM_INVALID_AT_POSITION |  | int 0x0010
Constants.FV_ELEM_INVALID_IN_PARENT |  | int 0x0008
Constants.FV_ELEM_INVISIBLE_ATTRVAL_INVALID |  | int 0x80000
Constants.FV_ELEM_INVISIBLE_ATTRVAL_REQUIRED |  | int 0x40000
Constants.FV_ELEM_MISSING_CONTENT_AT_BEG |  | int 0x0100
Constants.FV_ELEM_MISSING_CONTENT_AT_END |  | int 0x0200
Constants.FV_ELEM_MISSING_CONTENT_BEFORE |  | int 0x0080
Constants.FV_ELEM_NOT_VALID_AS_ROOT |  | int 0x0400
Constants.FV_ELEM_TYPE_MISMATCH |  | int 0x0002
Constants.FV_ELEM_UNDEFINED |  | int 0x0001
Constants.FV_EMUL_DOWN |  | int 1
Constants.FV_EMUL_UP |  | int 0
Constants.FV_ENABLE_ALWAYS_DISABLE |  | int 2
Constants.FV_ENABLE_ALWAYS_ENABLE |  | int 1
Constants.FV_ENABLE_BOOK_HAS_SELECTION |  | int 29
Constants.FV_ENABLE_CAN_PASTE |  | int 24
Constants.FV_ENABLE_COPY |  | int 22
Constants.FV_ENABLE_COPY_FONT |  | int 23
Constants.FV_ENABLE_DOC_OR_BOOK_HAS_SELECTION |  | int 30
Constants.FV_ENABLE_IN_CELL_TEXT |  | int 11
Constants.FV_ENABLE_IN_FLOW |  | int 21
Constants.FV_ENABLE_IN_MATH |  | int 6
Constants.FV_ENABLE_IN_PARA_TEXT |  | int 3
Constants.FV_ENABLE_IN_TABLE |  | int 9
Constants.FV_ENABLE_IN_TABLE_TITLE |  | int 10
Constants.FV_ENABLE_IN_TEXT |  | int 7
Constants.FV_ENABLE_IN_TEXT_LINE |  | int 4
Constants.FV_ENABLE_IS_AFRAME |  | int 18
Constants.FV_ENABLE_IS_CELL |  | int 12
Constants.FV_ENABLE_IS_CELLS |  | int 13
Constants.FV_ENABLE_IS_GRAPHIC_INSET |  | int 20
Constants.FV_ENABLE_IS_OBJ |  | int 15
Constants.FV_ENABLE_IS_OR_IN_FRAME |  | int 17
Constants.FV_ENABLE_IS_TABLE |  | int 14
Constants.FV_ENABLE_IS_TEXT_FRAME |  | int 16
Constants.FV_ENABLE_IS_TEXT_INSET |  | int 19
Constants.FV_ENABLE_IS_TEXT_SEL |  | int 5
Constants.FV_ENABLE_IS_VIEW_ONLY |  | int 25
Constants.FV_ENABLE_NEEDS_BOOKP_ONLY |  | int 27
Constants.FV_ENABLE_NEEDS_DOCP_ONLY |  | int 26
Constants.FV_ENABLE_NEEDS_DOCP_OR_BOOKP |  | int 28
Constants.FV_ENABLE_OBJ_PROPS |  | int 8
Constants.FV_EUC |  | int 7
Constants.FV_EUC_CNS |  | int 9
Constants.FV_EditableCopyOpened |  | int 45
Constants.FV_Element |  | int 0
Constants.FV_ElementsOfType |  | int 1
Constants.FV_EnclosingDoc |  | int 1
Constants.FV_EvCaps |  | int 0x0008
Constants.FV_EvCommand |  | int 0x0010
Constants.FV_EvControl |  | int 0x0002
Constants.FV_EvMax |  | int 0x0010
Constants.FV_EvMeta |  | int 0x0004
Constants.FV_EvOption |  | int 0x0004
Constants.FV_EvShift |  | int 0x0001
Constants.FV_ExportDocument |  | int 0
Constants.FV_ExportFileHasNewName |  | int 0
Constants.FV_ExportFileNotWritable |  | int 2
Constants.FV_ExportObject |  | int 1
Constants.FV_ExportProductIsViewer |  | int 1
Constants.FV_FAMILY_MAPPED |  | int 0x00000004
Constants.FV_FAMILY_SELECTABLE |  | int 0x00000002
Constants.FV_FAMILY_SURROGATE |  | int 0xFFFF0000
Constants.FV_FAMILY_VISIBLE |  | int 0x00000001
Constants.FV_FILL_BLACK |  | int 0
Constants.FV_FILL_CLEAR |  | int 15
Constants.FV_FILL_WHITE |  | int 7
Constants.FV_FIT_WINDOW_TO_PAGE |  | int -3
Constants.FV_FIXED_YAKUMONO |  | int 0x02
Constants.FV_FLOATING_YAKUMONO |  | int 0x00
Constants.FV_FN_NUM_ALPHA_LC |  | int 0x04
Constants.FV_FN_NUM_ALPHA_UC |  | int 0x03
Constants.FV_FN_NUM_CHINESE_NUMERIC |  | int 0x10
Constants.FV_FN_NUM_CUSTOM |  | int 0x05
Constants.FV_FN_NUM_DAIJI |  | int 0x0B
Constants.FV_FN_NUM_FULL_WIDTH |  | int 0x0C
Constants.FV_FN_NUM_FULL_WIDTH_LC |  | int 0x0E
Constants.FV_FN_NUM_FULL_WIDTH_UC |  | int 0x0D
Constants.FV_FN_NUM_KANJI |  | int 0x06
Constants.FV_FN_NUM_KANJI_KAZU |  | int 0x0A
Constants.FV_FN_NUM_NUMERIC |  | int 0x00
Constants.FV_FN_NUM_ROMAN_LC |  | int 0x02
Constants.FV_FN_NUM_ROMAN_UC |  | int 0x01
Constants.FV_FN_NUM_ZENKAKU |  | int 0x07
Constants.FV_FN_NUM_ZENKAKU_LC |  | int 0x09
Constants.FV_FN_NUM_ZENKAKU_UC |  | int 0x08
Constants.FV_FN_POS_BASELINE |  | int 0x01
Constants.FV_FN_POS_SUB |  | int 0x02
Constants.FV_FN_POS_SUPER |  | int 0x00
Constants.FV_FORMATBAR_CLOSE |  | int 5
Constants.FV_FORMATBAR_OPEN |  | int 4
Constants.FV_FO_CONTAINER |  | int 1
Constants.FV_FO_EQN |  | int 7
Constants.FV_FO_FOOTNOTE |  | int 5
Constants.FV_FO_GRAPHIC |  | int 6
Constants.FV_FO_MARKER |  | int 4
Constants.FV_FO_NUMTYPES |  | int 17
Constants.FV_FO_RUBI |  | int 16
Constants.FV_FO_RUBI_GROUP |  | int 15
Constants.FV_FO_SYS_VAR |  | int 2
Constants.FV_FO_TBL |  | int 8
Constants.FV_FO_TBL_BODY |  | int 11
Constants.FV_FO_TBL_CELL |  | int 14
Constants.FV_FO_TBL_FOOTING |  | int 12
Constants.FV_FO_TBL_HEADING |  | int 10
Constants.FV_FO_TBL_ROW |  | int 13
Constants.FV_FO_TBL_TITLE |  | int 9
Constants.FV_FO_TEXTNODE |  | int 0
Constants.FV_FO_UNSPECIFIED |  | int 0
Constants.FV_FO_XREF |  | int 3
Constants.FV_FROMCOLOR |  | int 0x02
Constants.FV_FileAlreadyOpen |  | int 48
Constants.FV_FileAlreadyOpenThisSession |  | int 65
Constants.FV_FileHadStructure |  | int 64
Constants.FV_FileHasNewName |  | int 32
Constants.FV_FileInBookNotOpened |  | int 96
Constants.FV_FileInBookNotSaved |  | int 97
Constants.FV_FileIsNotWritable |  | int 6
Constants.FV_FileIsOldVersion |  | int 41
Constants.FV_FileIsText |  | int 43
Constants.FV_FileIsViewOnly |  | int 4
Constants.FV_FileModDateChanged |  | int 7
Constants.FV_FileNotReadable |  | int 130
Constants.FV_FileNotWritable |  | int 33
Constants.FV_FileStructureStripped |  | int 42
Constants.FV_FileWasExported |  | int 49
Constants.FV_FileWasFiltered |  | int 35
Constants.FV_FileWasInUse |  | int 3
Constants.FV_FilterFailed |  | int 22
Constants.FV_FindAnchoredFrame |  | int 7
Constants.FV_FindAnyMarker |  | int 0
Constants.FV_FindAnyPub |  | int 5
Constants.FV_FindAnyRubi |  | int 11
Constants.FV_FindAnyTable |  | int 9
Constants.FV_FindAnyTextInset |  | int 3
Constants.FV_FindAnyVariable |  | int 6
Constants.FV_FindAnyXRef |  | int 1
Constants.FV_FindAttrName |  | int 1
Constants.FV_FindAttrValue |  | int 2
Constants.FV_FindAutomaticHyphen |  | int 10
Constants.FV_FindCharacterFormatOverride |  | int 13
Constants.FV_FindElemTag |  | int 0
Constants.FV_FindFootnote |  | int 8
Constants.FV_FindPgfFormatOverride |  | int 12
Constants.FV_FindTableFormatOverride |  | int 14
Constants.FV_FindUnresolvedTextInset |  | int 4
Constants.FV_FindUnresolvedXRef |  | int 2
Constants.FV_FlowUnstructured |  | int 30
Constants.FV_FontMetricsChanged |  | int 37
Constants.FV_FontsMappedInCatalog |  | int 38
Constants.FV_FontsWereMapped |  | int 36
Constants.FV_FontsWithUnavailableEncodingsUsed |  | int 53
Constants.FV_Footing |  | int 1239
Constants.FV_GB |  | int 10
Constants.FV_GRAPHIC |  | int 9
Constants.FV_GetDictionaryStrings |  | int 9
Constants.FV_HELP_CONTEXT |  | int 5
Constants.FV_HELP_HYPERTEXT |  | int 7
Constants.FV_HELP_INDEX |  | int 0
Constants.FV_HELP_INIT_CONTEXT |  | int 6
Constants.FV_HELP_KEYS |  | int 1
Constants.FV_HELP_ONLINE_MANUALS |  | int 4
Constants.FV_HELP_OVERVIEW |  | int 3
Constants.FV_HELP_SAMPLES |  | int 2
Constants.FV_HELP_WEBWORKS |  | int 8
Constants.FV_HIST |  | int 12
Constants.FV_HZ |  | int 11
Constants.FV_Heading |  | int 1238
Constants.FV_Hint_FilterName |  | int 5
Constants.FV_Hint_FilterVersion |  | int 4
Constants.FV_Hint_FormatId |  | int 2
Constants.FV_Hint_HintVersion |  | int 0
Constants.FV_Hint_Platform |  | int 3
Constants.FV_Hint_VendorId |  | int 1
Constants.FV_HypertextBadMatrixSize |  | int 250
Constants.FV_HypertextBadSyntaxPathSpec |  | int 10
Constants.FV_HypertextCantOpenDestFile |  | int 212
Constants.FV_HypertextCommandIllegalWithinPopup |  | int 273
Constants.FV_HypertextDestinationLinkNotFound |  | int 220
Constants.FV_HypertextDuplicateLinkName |  | int 221
Constants.FV_HypertextEmptyCommand |  | int 1
Constants.FV_HypertextEmptyLineInMiddleOfPopup |  | int 272
Constants.FV_HypertextExpectedANumberParam |  | int 30
Constants.FV_HypertextExtraArguments |  | int 4
Constants.FV_HypertextFcodeInvalid |  | int 280
Constants.FV_HypertextFileNotMakerDoc |  | int 211
Constants.FV_HypertextFileNotRegular |  | int 210
Constants.FV_HypertextFlowMissingLines |  | int 252
Constants.FV_HypertextHelpDirNotFound |  | int 20
Constants.FV_HypertextMatrixCommandInvalid |  | int 251
Constants.FV_HypertextMissingArguments |  | int 3
Constants.FV_HypertextMissingPopupLabelItem |  | int 271
Constants.FV_HypertextMissingPopupMarker |  | int 270
Constants.FV_HypertextNoNamedFlow |  | int 260
Constants.FV_HypertextObjectIDNotFound |  | int 241
Constants.FV_HypertextPageNameNotFound |  | int 230
Constants.FV_HypertextRecursiveFlow |  | int 261
Constants.FV_HypertextSyntaxOK |  | int 0
Constants.FV_HypertextUnanchoredPartialPath |  | int 11
Constants.FV_HypertextUnrecognizedCommand |  | int 2
Constants.FV_HypertextUnrecognizedObjectType |  | int 240
Constants.FV_HypertextUsesDefaultText |  | int 200
Constants.FV_HypertextValid |  | int 0
Constants.FV_IMG_NEGATIVE |  | int 1
Constants.FV_IMG_POSITIVE |  | int 0
Constants.FV_INCLUSION |  | int 0x08
Constants.FV_INTERACT_ROTATE |  | int 1
Constants.FV_INTERACT_ROTATE_CONSTRAIN |  | int 2
Constants.FV_ITEM_HAS_NO_SHIFT_OR_UNSHIFT_COMMAND |  | int 3
Constants.FV_ITEM_HAS_SHIFT_COMMAND |  | int 1
Constants.FV_ITEM_HAS_UNSHIFT_COMMAND |  | int 2
Constants.FV_ImportFileNotReadable |  | int 48
Constants.FV_ImportedByCopy |  | int 0
Constants.FV_ImportedFilteredFile |  | int 5
Constants.FV_ImportedGraphicFile |  | int 6
Constants.FV_ImportedMIF |  | int 3
Constants.FV_ImportedMacEdition |  | int 7
Constants.FV_ImportedMakerDoc |  | int 4
Constants.FV_ImportedSgmlDoc |  | int 8
Constants.FV_ImportedText |  | int 1
Constants.FV_ImportedTextTable |  | int 2
Constants.FV_ImportedXmlDoc |  | int 9
Constants.FV_InsertionPointInFootnote |  | int 26
Constants.FV_InsertionPointInTableCell |  | int 25
Constants.FV_InsertionPointNotInText |  | int 24
Constants.FV_InsufficientMem |  | int 3
Constants.FV_InsufficientMemory |  | int 27
Constants.FV_InvalidExportFilter |  | int 23
Constants.FV_InvalidSaveFilter |  | int 42
Constants.FV_InvalidTextRange |  | int 19
Constants.FV_IsoLatin |  | int 1
Constants.FV_JIS |  | int 5
Constants.FV_KNOCKOUT |  | int 0x00
Constants.FV_Korean |  | int 12
Constants.FV_LANG_BRAZILIAN |  | int 0x0B
Constants.FV_LANG_BRITISH |  | int 0x02
Constants.FV_LANG_BULGARIAN |  | int 0x21
Constants.FV_LANG_CANADIAN_FRENCH |  | int 0x06
Constants.FV_LANG_CATALAN |  | int 0x08
Constants.FV_LANG_CROATIAN |  | int 0x22
Constants.FV_LANG_CZECH |  | int 0x1B
Constants.FV_LANG_DANISH |  | int 0x0C
Constants.FV_LANG_DUTCH |  | int 0x0D
Constants.FV_LANG_ENGLISH |  | int 0x01
Constants.FV_LANG_ESTONIAN |  | int 0x23
Constants.FV_LANG_FINNISH |  | int 0x10
Constants.FV_LANG_FRENCH |  | int 0x05
Constants.FV_LANG_GERMAN |  | int 0x03
Constants.FV_LANG_GREEK |  | int 0x19
Constants.FV_LANG_HUNGARIAN |  | int 0x1D
Constants.FV_LANG_ITALIAN |  | int 0x09
Constants.FV_LANG_JAPANESE |  | int 0x12
Constants.FV_LANG_KOREAN |  | int 0x15
Constants.FV_LANG_LATVIAN |  | int 0x24
Constants.FV_LANG_LITHUANIAN |  | int 0x25
Constants.FV_LANG_NEW_DUTCH |  | int 0x18
Constants.FV_LANG_NEW_GERMAN |  | int 0x16
Constants.FV_LANG_NEW_SWISS_GERMAN |  | int 0x17
Constants.FV_LANG_NOLANGUAGE |  | int 0x00
Constants.FV_LANG_NORWEGIAN |  | int 0x0E
Constants.FV_LANG_NUM |  | int 0x27
Constants.FV_LANG_NYNORSK |  | int 0x0F
Constants.FV_LANG_POLISH |  | int 0x1C
Constants.FV_LANG_PORTUGUESE |  | int 0x0A
Constants.FV_LANG_ROMANIAN |  | int 0x26
Constants.FV_LANG_RUSSIAN |  | int 0x1A
Constants.FV_LANG_SIMPLIFIED_CHINESE |  | int 0x14
Constants.FV_LANG_SLOVAK |  | int 0x1F
Constants.FV_LANG_SLOVENIAN |  | int 0x20
Constants.FV_LANG_SPANISH |  | int 0x07
Constants.FV_LANG_SWEDISH |  | int 0x11
Constants.FV_LANG_SWISS_GERMAN |  | int 0x04
Constants.FV_LANG_TRADITIONAL_CHINESE |  | int 0x13
Constants.FV_LANG_TURKISH |  | int 0x1E
Constants.FV_LEVEL_RULE |  | int 1
Constants.FV_LOOSELY_VALID |  | int 0x02
Constants.FV_LanguagesWerentFound |  | int 39
Constants.FV_Left |  | int 1242
Constants.FV_ListViewActionMax |  | int 6
Constants.FV_ListViewAddColumn |  | int 2
Constants.FV_ListViewAddColumnNumParams |  | int 4
Constants.FV_ListViewAddColumnParam1 |  | int 3
Constants.FV_ListViewAddColumnParam2 |  | int 1
Constants.FV_ListViewAddColumnParam3 |  | int 1
Constants.FV_ListViewAddColumnParam4 |  | int 1
Constants.FV_ListViewAddRow |  | int 3
Constants.FV_ListViewAddRowNumParams |  | int 1
Constants.FV_ListViewAddRowParam1 |  | int 6
Constants.FV_ListViewDeleteAllRows |  | int 4
Constants.FV_ListViewDeleteAllRowsNumParams |  | int 0
Constants.FV_ListViewInit |  | int 1
Constants.FV_ListViewInitNumParams |  | int 0
Constants.FV_ListViewReSortAllRows |  | int 5
Constants.FV_ListViewReSortAllRowsNumParams |  | int 0
Constants.FV_LockCouldntBeReset |  | int 2
Constants.FV_LockNotReset |  | int 1
Constants.FV_LockWasInvalid |  | int 5
Constants.FV_LockWasReset |  | int 0
Constants.FV_MATH |  | int 3
Constants.FV_MATH_LARGE |  | int 2
Constants.FV_MATH_MEDIUM |  | int 0
Constants.FV_MATH_SMALL |  | int 1
Constants.FV_MENUITEM_API |  | int 2
Constants.FV_MENUITEM_EXPANDOMATIC |  | int 4
Constants.FV_MENUITEM_FRAME |  | int 1
Constants.FV_MENUITEM_MACRO |  | int 3
Constants.FV_MENU_ADHOCRULER |  | int 3
Constants.FV_MENU_COMPLETE |  | int 2
Constants.FV_MENU_CUSTOM |  | int 3
Constants.FV_MENU_DEFAULT |  | int 4
Constants.FV_MENU_MENUBAR |  | int 1
Constants.FV_MENU_POPUP |  | int 2
Constants.FV_MENU_QUICK |  | int 1
Constants.FV_MODE_ALL |  | int 3
Constants.FV_MODE_MATH |  | int 1
Constants.FV_MODE_NONMATH |  | int 2
Constants.FV_MONOSPACE_YAKUMONO |  | int 0x01
Constants.FV_MacANSI |  | int 4
Constants.FV_MakePageCountEven |  | int 2
Constants.FV_MakePageCountOdd |  | int 3
Constants.FV_MergeDictionaryContents |  | int 5
Constants.FV_MissingExportScript |  | int 17
Constants.FV_MissingImportScript |  | int 19
Constants.FV_MissingScript |  | int 71
Constants.FV_ModeSave |  | int 0
Constants.FV_ModeSaveAs |  | int 1
Constants.FV_NARROW |  | int 1
Constants.FV_NO_BASE_COLOR |  | int 0x00
Constants.FV_NO_ZOOM_MANGLING |  | int -1
Constants.FV_NUMSTYLE_ALPHA_LC |  | int 0x04
Constants.FV_NUMSTYLE_ALPHA_UC |  | int 0x03
Constants.FV_NUMSTYLE_CHINESE_NUMERIC |  | int 0x10
Constants.FV_NUMSTYLE_DAIJI |  | int 0x0a
Constants.FV_NUMSTYLE_FULLWIDTH |  | int 0x0c
Constants.FV_NUMSTYLE_FULLWIDTH_LC |  | int 0x0e
Constants.FV_NUMSTYLE_FULLWIDTH_UC |  | int 0x0d
Constants.FV_NUMSTYLE_KANJI |  | int 0x05
Constants.FV_NUMSTYLE_KANJI_KAZU |  | int 0x09
Constants.FV_NUMSTYLE_NUMERIC |  | int 0x00
Constants.FV_NUMSTYLE_ROMAN_LC |  | int 0x02
Constants.FV_NUMSTYLE_ROMAN_UC |  | int 0x01
Constants.FV_NUMSTYLE_TEXT |  | int 0x0b
Constants.FV_NUMSTYLE_ZENKAKU |  | int 0x06
Constants.FV_NUMSTYLE_ZENKAKU_LC |  | int 0x08
Constants.FV_NUMSTYLE_ZENKAKU_UC |  | int 0x07
Constants.FV_NUM_CONTINUE |  | int 0x01
Constants.FV_NUM_PERPAGE |  | int 0x03
Constants.FV_NUM_READ_FROM_FILE |  | int 0x00
Constants.FV_NUM_RESTART |  | int 0x02
Constants.FV_NUM_SAME |  | int 0x03
Constants.FV_NoFlowWithSpecifiedName |  | int 23
Constants.FV_NoMainFlow |  | int 22
Constants.FV_NoNonGeneratedFilesInBook |  | int 2
Constants.FV_NonPortableFileRefs |  | int 38
Constants.FV_NonPortableSaveName |  | int 37
Constants.FV_NumExportStatusFields |  | int 2
Constants.FV_NumFindElementItems |  | int 2+1
Constants.FV_NumImportStatusFields |  | int 2
Constants.FV_NumOpenStatusFields |  | int 5
Constants.FV_NumSaveStatusFields |  | int 2
Constants.FV_NumUpdateBookStatusFields |  | int 4
Constants.FV_OBJ_END_OFFSET |  | int 0x50000000
Constants.FV_OVERPRINT |  | int 0x01
Constants.FV_OVERRIDDEN_CONREF_DUCT |  | int 0x02
Constants.FV_OVERRIDDEN_DEFAULT |  | int 0x00
Constants.FV_OVERRIDDEN_KEYDEF_TO_KEYREF |  | int 0x03
Constants.FV_OVERRIDDEN_NOVALUE |  | int 0x01
Constants.FV_ObjectDataLink |  | int 7
Constants.FV_ObjectElement |  | int 5
Constants.FV_ObjectGraphic |  | int 4
Constants.FV_ObjectMarker |  | int 1
Constants.FV_ObjectPgf |  | int 2
Constants.FV_ObjectTextInset |  | int 6
Constants.FV_ObjectUnknown |  | int 0
Constants.FV_ObjectXref |  | int 3
Constants.FV_OpenEditableCopy |  | int 8
Constants.FV_OpenViewOnly |  | int 5
Constants.FV_OpenedFluid |  | int 51
Constants.FV_OpenedViewOnly |  | int 44
Constants.FV_PAGE_NUM_ALPHA_LC |  | int 0x04
Constants.FV_PAGE_NUM_ALPHA_UC |  | int 0x03
Constants.FV_PAGE_NUM_CHINESE_NUMERIC |  | int 0x10
Constants.FV_PAGE_NUM_DAIJI |  | int 0x0a
Constants.FV_PAGE_NUM_FULLWIDTH |  | int 0x0c
Constants.FV_PAGE_NUM_FULLWIDTH_LC |  | int 0x0e
Constants.FV_PAGE_NUM_FULLWIDTH_UC |  | int 0x0d
Constants.FV_PAGE_NUM_KANJI |  | int 0x05
Constants.FV_PAGE_NUM_KANJI_KAZU |  | int 0x09
Constants.FV_PAGE_NUM_NUMERIC |  | int 0x00
Constants.FV_PAGE_NUM_ROMAN_LC |  | int 0x02
Constants.FV_PAGE_NUM_ROMAN_UC |  | int 0x01
Constants.FV_PAGE_NUM_ZENKAKU |  | int 0x06
Constants.FV_PAGE_NUM_ZENKAKU_LC |  | int 0x08
Constants.FV_PAGE_NUM_ZENKAKU_UC |  | int 0x07
Constants.FV_PDFBookmarksOpenAllLevels |  | int -2
Constants.FV_PDFBookmarksOpenDefaultLevel |  | int -1
Constants.FV_PDFBookmarksOpenNoneLevel |  | int -3
Constants.FV_PDFRegistrationMarksMax |  | int 2
Constants.FV_PDFRegistrationMarksNone |  | int 0
Constants.FV_PDFRegistrationMarksTombo |  | int 2
Constants.FV_PDFRegistrationMarksWestern |  | int 1
Constants.FV_PDFZoomDefault |  | int 1
Constants.FV_PDFZoomHeight |  | int 4
Constants.FV_PDFZoomMaxValue |  | int 4
Constants.FV_PDFZoomNone |  | int 0
Constants.FV_PDFZoomPage |  | int 2
Constants.FV_PDFZoomWidth |  | int 3
Constants.FV_PGF_ANYWHERE |  | int 0x00
Constants.FV_PGF_CATALOG |  | int 7
Constants.FV_PGF_CENTER |  | int 0x03
Constants.FV_PGF_FIXED |  | int 0x00
Constants.FV_PGF_FIXED_B_MARGIN |  | int 0x02
Constants.FV_PGF_FIXED_L_MARGIN |  | int 0x01
Constants.FV_PGF_FIXED_R_MARGIN |  | int 0x04
Constants.FV_PGF_FIXED_T_MARGIN |  | int 0x08
Constants.FV_PGF_FLOATING |  | int 0x02
Constants.FV_PGF_JUSTIFIED |  | int 0x04
Constants.FV_PGF_LEFT |  | int 0x01
Constants.FV_PGF_PROPORTIONAL |  | int 0x01
Constants.FV_PGF_RIGHT |  | int 0x02
Constants.FV_PGF_RUN_IN |  | int 4
Constants.FV_PGF_SIDEBODY |  | int 0
Constants.FV_PGF_SIDEHEAD_FIRST_BASELINE |  | int 2
Constants.FV_PGF_SIDEHEAD_LAST_BASELINE |  | int 3
Constants.FV_PGF_SIDEHEAD_TOP |  | int 1
Constants.FV_PGF_STRADDLE |  | int 5
Constants.FV_PGF_STRADDLE_NORMAL_ONLY |  | int 6
Constants.FV_PGF_TOP_OF_COL |  | int 0x01
Constants.FV_PGF_TOP_OF_LEFT_PAGE |  | int 0x03
Constants.FV_PGF_TOP_OF_PAGE |  | int 0x02
Constants.FV_PGF_TOP_OF_RIGHT_PAGE |  | int 0x04
Constants.FV_PGF_V_ALIGN_BOTTOM |  | int 2
Constants.FV_PGF_V_ALIGN_MIDDLE |  | int 1
Constants.FV_PGF_V_ALIGN_TOP |  | int 0
Constants.FV_POINT_PAGE_CHINESE_NUMERIC |  | int 0x10
Constants.FV_POINT_PAGE_FULLWIDTH |  | int 0x0c
Constants.FV_POINT_PAGE_FULLWIDTH_LC |  | int 0x0e
Constants.FV_POINT_PAGE_FULLWIDTH_UC |  | int 0x0d
Constants.FV_POINT_PAGE_NUM_ALPHA_LC |  | int 0x04
Constants.FV_POINT_PAGE_NUM_ALPHA_UC |  | int 0x03
Constants.FV_POINT_PAGE_NUM_DAIJI |  | int 0x0a
Constants.FV_POINT_PAGE_NUM_KANJI |  | int 0x05
Constants.FV_POINT_PAGE_NUM_KANJI_KAZU |  | int 0x09
Constants.FV_POINT_PAGE_NUM_NUMERIC |  | int 0x00
Constants.FV_POINT_PAGE_NUM_ROMAN_LC |  | int 0x02
Constants.FV_POINT_PAGE_NUM_ROMAN_UC |  | int 0x01
Constants.FV_POINT_PAGE_NUM_ZENKAKU |  | int 0x06
Constants.FV_POINT_PAGE_NUM_ZENKAKU_LC |  | int 0x08
Constants.FV_POINT_PAGE_NUM_ZENKAKU_UC |  | int 0x07
Constants.FV_POS_NORM |  | int 0
Constants.FV_POS_SUB |  | int 2
Constants.FV_POS_SUPER |  | int 1
Constants.FV_PREVIEW_OFF_TRACK_CHANGE |  | int 0
Constants.FV_PREVIEW_ON_FINAL |  | int 2
Constants.FV_PREVIEW_ON_ORIGINAL |  | int 1
Constants.FV_PRINT_NO |  | int 0x2
Constants.FV_PRINT_PROCESS |  | int 0x1
Constants.FV_PRINT_SPOT |  | int 0x0
Constants.FV_PROPORTIONAL |  | int 2
Constants.FV_PR_ALL |  | int 1
Constants.FV_PR_DEL_EMPTY |  | int 0x01
Constants.FV_PR_DONT_CHANGE |  | int 0x04
Constants.FV_PR_DOWNLOAD_ALL |  | int 2
Constants.FV_PR_DOWNLOAD_ALL_BUT_STANDARD_13 |  | int 3
Constants.FV_PR_DOWNLOAD_ALL_BUT_STANDARD_35 |  | int 4
Constants.FV_PR_DOWNLOAD_NONE |  | int 1
Constants.FV_PR_KEEP_NUM_EVEN |  | int 0x02
Constants.FV_PR_KEEP_NUM_ODD |  | int 0x03
Constants.FV_PR_RANGE |  | int 2
Constants.FV_PlainText |  | int 2
Constants.FV_ProductIsMaker |  | int 39
Constants.FV_ProductIsViewer |  | int 32
Constants.FV_RC_CHANGELIST |  | int 2
Constants.FV_RC_CHANGELIST_TAG |  | int 3
Constants.FV_RC_SUB_FMTRULE |  | int 1
Constants.FV_RC_TAG |  | int 0
Constants.FV_REFERENCE_PAGE |  | int 0x02
Constants.FV_ROW_ANYWHERE |  | int 0
Constants.FV_ROW_BODY |  | int 1
Constants.FV_ROW_FOOTING |  | int 2
Constants.FV_ROW_HEADING |  | int 0
Constants.FV_ROW_TOP_OF_COL |  | int 1
Constants.FV_ROW_TOP_OF_LEFT_PAGE |  | int 3
Constants.FV_ROW_TOP_OF_PAGE |  | int 2
Constants.FV_ROW_TOP_OF_RIGHT_PAGE |  | int 4
Constants.FV_RecoverFileUsed |  | int 33
Constants.FV_RedoAll |  | int 4
Constants.FV_ReferencePage |  | int 9
Constants.FV_ReferencedFilesWerentFound |  | int 47
Constants.FV_ResetLockAndContinue |  | int 7
Constants.FV_Right |  | int 1243
Constants.FV_SCROLL_FACING |  | int 3
Constants.FV_SCROLL_HORIZONTAL |  | int 1
Constants.FV_SCROLL_VARIABLE |  | int 0
Constants.FV_SCROLL_VERTICAL |  | int 2
Constants.FV_SEP_NONE |  | int 0x1
Constants.FV_SEP_NORMAL |  | int 0x0
Constants.FV_SEP_WHITE |  | int 0x2
Constants.FV_SH_INSIDE |  | int 0x02
Constants.FV_SH_LEFT |  | int 0x00
Constants.FV_SH_OUTSIDE |  | int 0x03
Constants.FV_SH_RIGHT |  | int 0x01
Constants.FV_STRICTLY_VALID |  | int 0x01
Constants.FV_SaveAsNameAskUser |  | int 0
Constants.FV_SaveAsNameProvided |  | int 2
Constants.FV_SaveAsUseFileName |  | int 1
Constants.FV_SaveFmtBinary |  | int 0
Constants.FV_SaveFmtBinary100 |  | int 21
Constants.FV_SaveFmtBinary60 |  | int 11
Constants.FV_SaveFmtBinary70 |  | int 12
Constants.FV_SaveFmtBinary80 |  | int 13
Constants.FV_SaveFmtBinary90 |  | int 16
Constants.FV_SaveFmtBookWithFm |  | int 20
Constants.FV_SaveFmtBookWithXml |  | int 19
Constants.FV_SaveFmtCompositeDoc |  | int 18
Constants.FV_SaveFmtFilter |  | int 8
Constants.FV_SaveFmtInterchange |  | int 1
Constants.FV_SaveFmtInterchange100 |  | int 22
Constants.FV_SaveFmtInterchange70 |  | int 14
Constants.FV_SaveFmtInterchange80 |  | int 15
Constants.FV_SaveFmtInterchange90 |  | int 17
Constants.FV_SaveFmtPdf |  | int 9
Constants.FV_SaveFmtSgml |  | int 7
Constants.FV_SaveFmtStationery |  | int 3
Constants.FV_SaveFmtText |  | int 6
Constants.FV_SaveFmtViewOnly |  | int 4
Constants.FV_SaveFmtXml |  | int 10
Constants.FV_SaveNoAutoBackup |  | int 1
Constants.FV_SaveSkipTbls |  | int 3
Constants.FV_SaveTblColsAsPgfs |  | int 2
Constants.FV_SaveTblRowsAsPgfs |  | int 1
Constants.FV_SaveTblUserPref |  | int 0
Constants.FV_SaveUserPrefAutoBackup |  | int 2
Constants.FV_SaveYesAutoBackup |  | int 0
Constants.FV_SessionId |  | int 0
Constants.FV_SetDictionaryToNoneDictionary |  | int 6
Constants.FV_Shitf_JIS |  | int 6
Constants.FV_SourceDoc |  | int 0
Constants.FV_SpellCapitalization |  | int 2
Constants.FV_SpellExtraSpace |  | int 6
Constants.FV_SpellHyphenation |  | int 5
Constants.FV_SpellMisspelling |  | int 1
Constants.FV_SpellRepeatedLetter |  | int 4
Constants.FV_SpellRepeatedWord |  | int 3
Constants.FV_SpellSpaceAfter |  | int 7
Constants.FV_SpellSpaceBefore |  | int 8
Constants.FV_SpellStraightQuotes |  | int 9
Constants.FV_StripStructureAndOpen |  | int 10
Constants.FV_TAB_CENTER |  | int 0x2
Constants.FV_TAB_DECIMAL |  | int 0x4
Constants.FV_TAB_LEFT |  | int 0x1
Constants.FV_TAB_RELATIVE_CENTER |  | int 0x6
Constants.FV_TAB_RELATIVE_DECIMAL |  | int 0x8
Constants.FV_TAB_RELATIVE_LEFT |  | int 0x5
Constants.FV_TAB_RELATIVE_RIGHT |  | int 0x7
Constants.FV_TAB_RIGHT |  | int 0x3
Constants.FV_TBL_ANYWHERE |  | int 0
Constants.FV_TBL_CATALOG |  | int 13
Constants.FV_TBL_FLOAT |  | int 5
Constants.FV_TBL_NO_TITLE |  | int 0
Constants.FV_TBL_NUM_BY_COL |  | int 1
Constants.FV_TBL_NUM_BY_ROW |  | int 0
Constants.FV_TBL_TITLE_ABOVE |  | int 1
Constants.FV_TBL_TITLE_BELOW |  | int 2
Constants.FV_TBL_TOP_OF_COL |  | int 1
Constants.FV_TBL_TOP_OF_LEFT_PAGE |  | int 3
Constants.FV_TBL_TOP_OF_PAGE |  | int 2
Constants.FV_TBL_TOP_OF_RIGHT_PAGE |  | int 4
Constants.FV_TEMPLATE_BROWSER |  | int 11
Constants.FV_TEXTLINE_CENTER |  | int 2
Constants.FV_TEXTLINE_LEFT |  | int 0
Constants.FV_TEXTLINE_MATH |  | int 3
Constants.FV_TEXTLINE_RIGHT |  | int 1
Constants.FV_THESAURUS |  | int 10
Constants.FV_TR_BBOX |  | int 0x03
Constants.FV_TR_CONTOUR |  | int 0x02
Constants.FV_TR_NONE |  | int 0x01
Constants.FV_TYPE_BINARY |  | int 0x01
Constants.FV_TYPE_FILTER |  | int 0xFF
Constants.FV_TYPE_MIF |  | int 0x02
Constants.FV_TYPE_SGML |  | int 0x04
Constants.FV_TYPE_TEXT |  | int 0x03
Constants.FV_TYPE_XML |  | int 0x05
Constants.FV_TextFile_EOLisEOP |  | int 12
Constants.FV_TextFile_EOLisNotEOP |  | int 13
Constants.FV_TooManyWindows |  | int 128
Constants.FV_TooManyWindowsUpdateBook |  | int 98
Constants.FV_URL_CHECKED_IN |  | int 1
Constants.FV_URL_CHECKED_OUT |  | int 2
Constants.FV_UndoAll |  | int 3
Constants.FV_UnresolvedTextInsets |  | int 50
Constants.FV_UnresolvedXRefs |  | int 49
Constants.FV_Unstructured |  | int 41
Constants.FV_UpdateAllAutomaticClientTi |  | int 2
Constants.FV_UpdateAllClientTi |  | int 1
Constants.FV_UpdateAllManualClientTi |  | int 3
Constants.FV_UseCurrentSetting |  | int 0
Constants.FV_UserCanceled |  | int 112
Constants.FV_UserCanceledExport |  | int 32
Constants.FV_UserCanceledImport |  | int 37
Constants.FV_UserCanceledSave |  | int 48
Constants.FV_UserCanceledUpdateBook |  | int 35
Constants.FV_UserDictionary |  | int 1
Constants.FV_VAR_CREATION_DATE_LONG |  | int 7
Constants.FV_VAR_CREATION_DATE_SHORT |  | int 8
Constants.FV_VAR_CURRENT_DATE_LONG |  | int 3
Constants.FV_VAR_CURRENT_DATE_SHORT |  | int 4
Constants.FV_VAR_CURRENT_PAGE_NUM |  | int 1
Constants.FV_VAR_FILE_NAME_LONG |  | int 9
Constants.FV_VAR_FILE_NAME_SHORT |  | int 10
Constants.FV_VAR_HEADER_FOOTER_1 |  | int 11
Constants.FV_VAR_HEADER_FOOTER_10 |  | int 24
Constants.FV_VAR_HEADER_FOOTER_11 |  | int 25
Constants.FV_VAR_HEADER_FOOTER_12 |  | int 26
Constants.FV_VAR_HEADER_FOOTER_2 |  | int 12
Constants.FV_VAR_HEADER_FOOTER_3 |  | int 13
Constants.FV_VAR_HEADER_FOOTER_4 |  | int 14
Constants.FV_VAR_HEADER_FOOTER_5 |  | int 19
Constants.FV_VAR_HEADER_FOOTER_6 |  | int 20
Constants.FV_VAR_HEADER_FOOTER_7 |  | int 21
Constants.FV_VAR_HEADER_FOOTER_8 |  | int 22
Constants.FV_VAR_HEADER_FOOTER_9 |  | int 23
Constants.FV_VAR_MODIFICATION_DATE_LONG |  | int 5
Constants.FV_VAR_MODIFICATION_DATE_SHORT |  | int 6
Constants.FV_VAR_PAGE_COUNT |  | int 2
Constants.FV_VAR_TABLE_CONTINUATION |  | int 15
Constants.FV_VAR_TABLE_SHEET |  | int 16
Constants.FV_VAR_USER_VARIABLE |  | int 0
Constants.FV_VOS_NONE |  | int 2
Constants.FV_VOS_USER_ONLY |  | int 1
Constants.FV_VOS_YES |  | int 3
Constants.FV_VOX_ALERT |  | int 3
Constants.FV_VOX_GOTO_BEHAVIOR |  | int 1
Constants.FV_VOX_NOT_ACTIVE |  | int 0
Constants.FV_VOX_OPEN_BEHAVIOR |  | int 2
Constants.FV_WIDE |  | int 0
Constants.FV_WarnAlways |  | int 1
Constants.FV_WarnNever |  | int 0
Constants.FV_WarnOnce |  | int 2
Constants.FV_WriteDictionaryToFile |  | int 4
Constants.FV_WriteUnknownWordsToFile |  | int 3
Constants.FV_XML_STANDALONE_NO |  | int 2
Constants.FV_XML_STANDALONE_NODEC |  | int 4
Constants.FV_XML_STANDALONE_NONE |  | int 3
Constants.FV_XML_STANDALONE_YES |  | int 1
Constants.FV_XML_USEBOM_NO |  | int 2
Constants.FV_XML_USEBOM_UTF16BE |  | int 4
Constants.FV_XML_USEBOM_UTF16LE |  | int 5
Constants.FV_XML_USEBOM_UTF32BE |  | int 6
Constants.FV_XML_USEBOM_UTF32LE |  | int 7
Constants.FV_XML_USEBOM_UTF8 |  | int 3
Constants.FV_XML_USEBOM_YES |  | int 1
Constants.FV_XML_WELLFORMED_NO |  | int 2
Constants.FV_XML_WELLFORMED_YES |  | int 1
Constants.FV_ZOOM_TO_FIT_TO_WINDOW |  | int -2
Constants.oldFT_ElementFmts |  | int 11

Usage
Jongware, 5-Nov-2011 v3.0.3g Contents :: Index


Adobe FrameMaker-10 Object Model JS: Doc

Class

Doc

QuickLinks

 AddNewBuildExpr, AddText, CenterOnText, Clear, ClearAllChangebars, Close, Compare, Copy, Cut, DeleteBuildExpr, DeleteText, DeleteUnusedCharFmt, DeleteUnusedFmts, DeleteUnusedPgfFmt, DeleteUnusedTblFmt, DemoteElement, ElementLocToTextLoc, Export, Find, GetActiveBuildExpr, GetBuildExpr, GetBuildExprCatalog, GetNamedAttrCondExpr, GetNamedCharFmt, GetNamedColor, GetNamedCombinedFontDefn, GetNamedCondFmt, GetNamedElementDef, GetNamedFmtChangeList, GetNamedMarkerType, GetNamedMasterPage, GetNamedObject, GetNamedPgfFmt, GetNamedRefPage, GetNamedRulingFmt, GetNamedTblFmt, GetNamedUnanchoredFrame, GetNamedVarFmt, GetNamedXRefFmt, GetProps, GetTextForRange, GetTextForRange2, GetTextPropVal, GetTextProps, GetTextVal, GetUniqueObject, HypertextCommand, Import, MergeIntoFirst, MergeIntoLast, NewAnchoredAFrame, NewAnchoredFn, NewAnchoredFormattedObject, NewAnchoredFormattedTbl, NewAnchoredFormattedVar, NewAnchoredFormattedXRef, NewAnchoredMarker, NewAnchoredObject, NewAnchoredTbl, NewAnchoredTiApiClient, NewArc, NewEllipse, NewFlow, NewGraphicObject, NewGroup, NewInset, NewLine, NewMath, NewNamedAttrCondExpr, NewNamedCharFmt, NewNamedColor, NewNamedCombinedFontDefn, NewNamedCondFmt, NewNamedElementDef, NewNamedFmtChangeList, NewNamedMarkerType, NewNamedMasterPage, NewNamedObject, NewNamedPgfFmt, NewNamedRefPage, NewNamedRulingFmt, NewNamedTblFmt, NewNamedVarFmt, NewNamedXRefFmt, NewPolygon, NewPolyline, NewRectangle, NewRoundRect, NewSeriesBodyPage, NewSeriesObject, NewSeriesPgf, NewTable, NewTextFrame, NewTextLine, NewUnanchoredFrame, ObjectValid, Paste, PromoteElement, QuickSelect, Redisplay, Reformat, Rehyphenate, ResetEqnSettings, ResetReferenceFrames, RestartPgfNumbering, Save, ScrollToText, SetActiveBuildExpr, SetElementRange, SetProps, SetTextPropVal, SetTextProps, SetTextVal, SilentPrintDoc, SimpleImportElementDefs, SimpleImportFormats, SimpleSave, SplitElement, TextLocToElementLoc, TrackChangesAcceptAll, TrackChangesRejectAll, UnWrapElement, UndoCancel, UndoEndCheckPoint, UndoStartCheckPoint, UpdateVariables, UpdateXRef, UpdateXRefs

Properties

Property | Type | Access | Description
AcrobatBookmarkDisplayTags | int | readwrite | Set to True if Include Paragraph Tags in Bookmark Text is on (the paragraph tag is added before the paragraph text in each bookmark); False, otherwise.
AutoChangeBars | int | readwrite | Returns True if Automatic Change Bars are enabled in the document.
BooleanConditionExpression | string | readwrite | Denotes the actual conditional expression used in the document.
BooleanConditionExpressionTag | string | readwrite | Indicates the tag name of the expression applied in the document.
BooleanConditionState int readwrite Set to 1 to indicate that the conditional expression defined by the BooleanConditionExpression parameter is applied to the document.
Set to 0 to indicate that the condition is not applied to the document.
BottomMargin | int | readwrite | Indicates the bottom page margin.
Capitalization int readwrite Indicates the type of capitalization. The value is one of:

• Constants.FV_CAPITAL_CASE_NORM (0)

• Constants.FV_CAPITAL_CASE_SMALL (1)

• Constants.FV_CAPITAL_CASE_LOWER (2)

• Constants.FV_CAPITAL_CASE_UPPER (3)
ChangeBar | int | readwrite | Returns True if Changebars are enabled. Else, returns False.
ChangeBarColor | Color | readwrite | Indicates the spot color (FO_Color ID).
ChangeBarDistance | int | readwrite | Denotes the distance between change bar and text column.
ChangeBarPosition int readwrite Denotes the position of the change bars. The value is one of:

• Constants.FV_CB_COL_LEFT (0x00): Left of Column

• Constants.FV_CB_COL_RIGHT (0x01): Right of Column

• Constants.FV_CB_COL_NEAREST (0x02): Side nearest to Page Edge

• Constants.FV_CB_COL_FURTHEST (0x03): Side farthest from Page Edge
ChangeBarThickness | int | readwrite | Denotes the width of the change bars.
ChapNumComputeMethod int readwrite Denotes the component document's chapter numbering type. The possible value is one of:

• Constants.FV_NUM_CONTINUE (0x01): Continue the numbering from the previous chapter.

• Constants.FV_NUM_RESTART (0x02): Use the value specified for the ChapterNumber property.

• Constants.FV_NUM_SAME (0x03): Use the same chapter number as for the previous file.

• Constants.FV_NUM_READ_FROM_FILE (0x00): Use the numbering properties from the document associated with this book component.
ChapterNumStyle int readwrite The numbering style. The possible value is one of:

• Constants.FV_NUMSTYLE_NUMERIC (0x00): Arabic.

• Constants.FV_NUMSTYLE_ROMAN_UC (0x01): Roman, uppercase.

• Constants.FV_NUMSTYLE_ROMAN_LC (0x02): Roman,lowercase.

• Constants.FV_NUMSTYLE_ALPHA_UC (0x03): Alphabetic, uppercase.

• Constants.FV_NUMSTYLE_ALPHA_LC (0x04): Alphabetic, lowercase.

• Constants.FV_NUMSTYLE_KANJI (0x05): Kanji.

• Constants.FV_NUMSTYLE_ZENKAKU (0x06): Zenkaku.

• Constants.FV_NUMSTYLE_ZENKAKU_UC (0x07): Zenkaku, uppercase.

• Constants.FV_NUMSTYLE_ZENKAKU_LC (0x08): Zenkaku, lowercase.

• Constants.FV_NUMSTYLE_KANJI_KAZU (0x09): Kazu.

• Constants.FV_NUMSTYLE_DAIJI (0x0a): Daiji.

• Constants.FV_NUMSTYLE_TEXT (0x0b): Text.
ChapterNumText | string | readwrite | If the ChapNumStyle property is set to Constants.FV_NUMSTYLE_TEXT (0x0b), use the value of the ChapterNumText property as the chapter number.
ChapterNumber | int | readwrite | Use the value of the ChapterNumber property as the chapter number, if the ChapNumComputeMethod property is set to Constants.FV_NUM_RESTART (0x02).
CharTag | string | readwrite | Indicates the name of the character format tag.
ColGap | int | readwrite | Denotes the size of the gap between text columns
Color | Color | readwrite | Denotes the Spot color (FO_Color ID).
CombinedFontFamily | CombinedFontDefn | readwrite | Contains the Combined font definition (FO_CombinedFontDefn)
CondFmtIsShown | int | readwrite | Returns True if the document conditions are shown. Else, returns False.
CurrentPage | FMObject | readwrite | Denotes the current page [Body page, Master page or Reference page] in the document.
CustomElementList | Strings | readwrite | Contains the list of tags to display when the ElementCatalogDisplay property is set to Constants.FV_ELCAT_CUSTOM (0x04).
DefaultExclusions | Strings | readwrite | Indicates the list of exclusions inherited when a document is included in a structured book.
DefaultInclusions | Strings | readwrite | Indicates the list of inclusions inherited when a document is included in a structured book.
Dictionary | Strings | readwrite | List of words to accept when spell- checking the document.
DocAcrobatColumnArticleThreads int readwrite Set to True if you want separate article threads for each column; False if you want separate article threads for each text frame.
The DocPDFNoArticleThread property must be set to False, if the DocAcrobatColumnArticleThreads property is set to True.
DocAcrobatDefaultsChanged | int | readwrite | Set to True if the default heuristics for determining the paragraph level are disabled; False otherwise.
DocAcrobatElementList | Strings | readwrite | Denotes the list of the element tags and context labels to include in bookmarks. The DocPDFElementList property applies only to structured FrameMaker documents.
DocAcrobatElements | int | readwrite | Set to True if elements rather than paragraphs are used for bookmarks; set to False otherwise. The DocPDFElements property applies only to structured FrameMaker documents.
DocAcrobatNoArticleThreads | int | readwrite | Set to True if you do not want article threads in the resulting PDF; set to False otherwise.
DocFluidFlow | Flow | readwrite | Specifies the flow to set to fluid view. To turn this off, set the value of this property to 0.
DocIsDoubleSided | int | readwrite | Set to True if the layout of the document is a 2 sided page; False otherwise.
DocIsModified | int | readonly | Set to True if the document has been modified. While this property is read-only, you can modify a document without setting this property to True by setting the Untouchable property to True for the document before your client modifies it. Otherwise, set to False.
DocIsViewOnly | int | readwrite | Set to True if the document is View Only, else set to False.
DocOpenType int readonly Denotes the type of document opened. The possible values are:

• Constants.FV_DOC_TYPE_BINARY (0x01): Frame binary document

• Constants.FV_DOC_TYPE_TEXT (0x02): ASCII text document

• Constants.FV_DOC_TYPE_MIF (0x03): MIF document

• Constants.FV_DOC_TYPE_FILTER (0x04) : A filtered document.
DocSaveType int readonly Denotes the type of document saved. The possible values are:

• Constants.FV_DOC_TYPE_BINARY (0x01): Frame binary document

• Constants.FV_DOC_TYPE_TEXT (0x02): ASCII text document

• Constants.FV_DOC_TYPE_MIF (0x03): MIF document

• Constants.FV_DOC_TYPE_FILTER (0x04) : A filtered document.
DontUpdateTextInsets | int | readwrite | Set to True if FrameMaker is not to automatically update text insets when it opens the document.
DontUpdateXRefs | int | readwrite | Set to True if FrameMaker is not to automatically update cross-references when it opens or prints the document.
DownloadFonts | int | readwrite
ElementBoundaryDisplay int readwrite Specifies the Element Boundary Display options. The value is one of:

• Constants.FV_ELEM_DISP_NONE (0) - Do not display any element boundaries

• Constants.FV_ELEM_DISP_BRACKETS (1) - Display the bracketed boundaries

• Constants.FV_ELEM_DISP_TAGS (2) - Display the element tags
ElementCatalog | ElementCatalogEntries | readonly | Displays the list of elements in the Element Catalog.
ElementCatalogDisplay int readwrite Indicates the catalog display options. The value is one of:

• Constants.FV_ELCAT_STRICT (0x00)- Valid children for working from start to finish

• Constants.FV_ELCAT_LOOSE (0x01) - Valid children for working in any order

• Constants.FV_ELCAT_CHILDREN (0x02) - Children allowed anywhere in the parent

• Constants.FV_ELCAT_ALL (0x03) - All elements

• Constants.FV_ELCAT_CUSTOM (0x04) - The list of tags specified by the CustomElementList property.
ElementSelection | ElementRange | readwrite | Denotes the currently selected element range in the document.
EqnIntegralSizeLarge | int | readwrite | Indicates the point size of integral symbol in large equations (2 pt to 400 pt).
EqnIntegralSizeMed | int | readwrite | Indicates the point size of integral symbol in medium equations (2 pt to 400 pt).
EqnIntegralSizeSmall | int | readwrite | Indicates the point size of integral symbol in small equations (2 pt to 400 pt).
EqnLevel1SizeLarge | int | readwrite | Indicates the point size of level 1 expressions in large equations (2 pt to 400 pt).
EqnLevel1SizeMed | int | readwrite | Indicates the point size of level 1 expressions in medium equations (2 pt to 400 pt).
EqnLevel1SizeSmall | int | readwrite | Indicates the point size of level 1 expressions in small equations (2 pt to 400 pt).
EqnLevel2SizeLarge | int | readwrite | Indicates the point size of level 2 expressions in large equations (2 pt to 400 pt).
EqnLevel2SizeMed | int | readwrite | Indicates the point size of level 2 expressions in medium equations (2 pt to 400 pt).
EqnLevel2SizeSmall | int | readwrite | Indicates the point size of level 2 expressions in small equations (2 pt to 400 pt).
EqnLevel3SizeLarge | int | readwrite | Indicates the point size of level 3 expressions in large equations (2 pt to 400 pt).
EqnLevel3SizeMed | int | readwrite | Indicates the point size of level 3 expressions in medium equations (2 pt to 400 pt).
EqnLevel3SizeSmall | int | readwrite | Indicates the point size of level 3 expressions in small equations (2 pt to 400 pt).
EqnSigmaSizeLarge | int | readwrite | Indicates the point size of the sigma symbol in large equations (2 pt to 400 pt).
EqnSigmaSizeMed | int | readwrite | Indicates the point size of the sigma symbol in medium equations (2 pt to 400 pt).
EqnSigmaSizeSmall | int | readwrite | Indicates the point size of the sigma symbol in small equations (2 pt to 400 pt).
FirstAttrCondExprInDoc | AttrCondExpr | readonly | Denotes the first Attribute Conditional Expression in the list of attribute conditional expressions in the document (FO_AttrCondExpr).
FirstBodyPageInDoc | BodyPage | readonly | Denotes the first body page in the document.
FirstCharFmtInDoc | CharFmt | readonly | Indicates the first character tag in the list of the document's character tags.
FirstColorInDoc | Color | readonly | Specifies the first color in the list of document's colors.
FirstCombinedFontDefnInDoc | CombinedFontDefn | readonly | Specifies the first combined font definition in the list of the document's combined font definitions.
FirstCondFmtInDoc | CondFmt | readonly | Indicates the first condition tag in the list of the document's condition tags.
FirstElementDefInDoc | ElementDef | readonly | Denotes the first element definition in the list of element definitions in the document (FO_ElementDef ID).
FirstFlowInDoc | Flow | readonly | Denotes the first flow in the list of the document's flows.
FirstFmtChangeListInDoc | FmtChangeList | readwrite | Specifies the ID of the first format change list in the list of format change lists in the book.(FO_FmtChangeList ID).
FirstFnInDoc | Fn | readonly | Specifies the first footnote in the list of the document's footnotes.
FirstGraphicInDoc | FMObject | readonly | Indicates the first graphic object in the list of the document's graphic objects.
FirstMarkerInDoc | Marker | readonly | Denotes the first marker in the list of the document's markers.
FirstMarkerTypeInDoc | MarkerType | readonly | Specifies the first marker type in the list of the document's marker types.
FirstMasterPageInDoc | MasterPage | readonly | Denotes the first master page in the document.
FirstPageNum | int | readwrite | Indicates the page number of the first page.
FirstPageVerso | int | readwrite | Set to False for right first page; True for left first page.
FirstPgfFmtInDoc | PgfFmt | readonly | Indicates the first paragraph tag in the list of the document's paragraph tags.
FirstPgfInDoc | Pgf | readonly | Specifies the first paragraph in the list of the document's paragraphs.
FirstRefPageInDoc | RefPage | readonly | Denotes the first reference page in the document.
FirstRubiInDoc | Rubi | readonly | Specifies the first rubi composite in the list of the document's rubi composites.
FirstRulingFmtInDoc | RulingFmt | readonly | Indicates the first ruling format in the list of the document's ruling formats.
FirstSelectedGraphicInDoc | FMObject | readonly | Denotes the first selected graphic object [FO_Graphic ID] in the list of selected graphic objects in the document.
FirstSelectedTiInDoc | FMObject | readonly | Specifies the first selected text inset [(FO_TiApiClient, FO_TiText, FO_TiTextTable, or FO_TiFlow ID)]in the list of selected text insets in the document.
FirstTblFmtInDoc | TblFmt | readonly | Denotes the first table format [FO_TblFmt ID] in the list of the document's table formats.
FirstTblInDoc | Tbl | readonly | Denotes the first table [FO_Tbl ID] in the list of the document's tables.
FirstTiInDoc | FMObject | readonly | Denotes the first text inset [FO_TiApiClient, FO_TiText, FO_TiTextTable, or FO_TiFlow ID] in the list of the document's text insets.
FirstVarFmtInDoc | VarFmt | readonly | Specifies the first variable format [FO_VarFmt ID] in the list of the document's variable formats.
FirstVarInDoc | Var | readonly | Indicates the first variable [FO_Var ID] in the list of the document's variables.
FirstXRefFmtInDoc | XRefFmt | readonly | Denotes the first cross-reference format [FO_XRefFmtID] in the list of the document's cross reference formats.
FirstXRefInDoc | XRef | readonly | Specifies the first cross-reference [FO_XRef ID] in the list of the document's cross-references.
FnCustNumString | string | readwrite | Specifies the characters for custom document footnote numbers.
FnFirstNum | int | readwrite | Indicates the first document footnote number.
FnFmt | string | readwrite | Indicates the footnote paragraph tag.
FnHeightPerCol | int | readwrite | Denotes the maximum height allowed for document footnotes. The permissible range of values is 36 points to 32767 points.
FnInstancePosition int readwrite Specifies the placement of the footnote number in the footnote. The value is one of:

• Constants.FV_FN_POS_SUPER (0x00) - Superscript

• Constants.FV_FN_POS_BASELINE (0x01) - Baseline

• Constants.FV_FN_POS_SUB (0x02) - Subscript
FnInstancePrefix | string | readwrite | Indicates the prefix to appear before the document footnote number in the footnote.
FnInstanceSuffix | string | readwrite | Indicates the suffix to appear after the document footnote number in the footnote.
FnNumComputeMethod int readwrite The document's footnote numbering type. The value is one of:

• Constants.FV_NUM_CONTINUE (0x01) - Continue the numbering from the previous file.

• Constants.FV_NUM_RESTART (0x02) - Restart numbering at the value specified by the associated FO_Doc object's FnFirstNum property.

• Constants.FV_NUM_PERPAGE (0x03) - Restart numbering on each page.
FnNumStyle int readwrite Indicates the document footnote numbering style. The value is one of:

• Constants.FV_FN_NUM_NUMERIC (0x00) - Arabic

• Constants.FV_FN_NUM_ROMAN_UC (0x01) - Roman uppercase

• Constants.FV_FN_NUM_ROMAN_LC (0x02) - Roman lowercase

• Constants.FV_FN_NUM_ALPHA_UC (0x03) - Alphabetic uppercase

• Constants.FV_FN_NUM_ALPHA_LC (0x04) - Alphabetic lowercase

• Constants.FV_FN_NUM_KANJI (0x06) - Kanji characters

• Constants.FV_FN_NUM_ZENKAKU (0x07) - Zenkaku

• Constants.FV_FN_NUM_ZENKAKU_UC (0x08) - Zenkaku uppercase

• Constants.FV_FN_NUM_ZENKAKU_LC (0x09) - Zenkaku lowercase

• Constants.FV_FN_NUM_KANJI_KAZU (0x0A) - Kazu

• Constants.FV_FN_NUM_DAIJI (0x0B) - Daiji

• Constants.FV_FN_NUM_CUSTOM (0x05) - Custom numbering
FnNumberingPerPage | int | readwrite
FnRefPosition int readwrite Specifies the placement of the footnote reference in the footnote. The value is one of:

• Constants.FV_FN_POS_SUPER (0x00) - Superscript

• Constants.FV_FN_POS_BASELINE (0x01) - Baseline

• Constants.FV_FN_POS_SUB (0x02) - Subscript
FnRefPrefix | string | readwrite | Indicates the prefix to appear before the number in the document text.
FnRefSuffix | string | readwrite | Indicates the suffix to appear after the number in the document text.
FontAngle | int | readwrite | Denotes the font angle (specifies an index into the array of font angles provided by the session property, FontAngleNames).
FontEncodingName | string | readonly | Specifies the font encoding.
FontFamily | int | readwrite | Denotes the font family (specifies an index into the array of font families provided by the session property, FontFamilyNames).
FontPlatformName | string | readwrite | Indicates the name that uniquely identifies a font on a specific platform.
FontPostScriptName | string | readwrite | Indicates the name given to a font when it is sent to a PostScript printer.
FontSize | int | readwrite | Specifies the font size (2 point to 400 point).
FontVariation | int | readwrite | Denotes the font variation (specifies an index into the array of font variations provided by the session property FontVariationNames).
FontWeight | int | readwrite | Denotes the font weight (specifies an index into the array of font weights provided by the session property FontWeightNames).
FormatOverride int readwrite Specifies whether there are format overrides at the current insertion point.
If the insertion point is in a text range that has a character format applied to it, the FormatOverride property is True if (and only if) the text formatting at the insertion point overrides the character format.
If the insertion point is in a text range that does not have a character format applied to it, the FormatOverride property is True if (and only if) the paragraph containing the insertion point has formatting that overrides the Paragraph Catalog format.
Functions | string | readwrite | Denotes the character format tag of the equation font to apply to Math Functions.
GenerateAcrobatInfo int readwrite Set to True if Generate Adobe Acrobat Data is on. To generate PDF data, you must set the other document print properties as follows:

• PrintToFile - True

• PrintThumbnails - False

• PrintSeps - False

• PrintBlankPages - True

• PrintLastSheetFirst - False

• PrintNumCopies - 1

• PrintOddPages - True

• PrintEvenPages - True

• PrintScale - 100%
HiddenPage | HiddenPage | readonly | Denotes a hidden page [FO_HiddenPage ID] in the document.
HypertextCommandText | string | readwrite | Denotes the hypertext command to parse. Setting this value executes the parser. If the HypertextDoValidate property is True, the command is parsed and validated.
HypertextDoValidate | bool | readwrite | Set to True if the next hypertext string sent to the HypertextCommandText property is to be validated.
HypertextParseBadParam | int | readonly | Denotes the index into the string list contained in the HypertextParsedArgs property, in case of a parser error.
HypertextParseErr int readonly Contains a non-zero value if there is a parser error.
This property is set to one of the following values if there is a parser error:

• Constants.FV_HypertextSyntaxOK (0) - No parse errors.

• Constants.FV_HypertextEmptyCommand (1) - Hypertext string is empty.

• Constants.FV_HypertextUnrecognizedCommand (2) - Cannot map the first keyword to an existing HypertextParsedCmdCode value.

• Constants.FV_HypertextMissingArguments (3) - One or more arguments required for the command is missing.

• Constants.FV_HypertextExtraArguments (4) - More than the required number of arguments for the command; extra arguments were ignored.

• Constants.FV_HypertextBadSyntaxPathSpec (10) - File reference expected for this command, but no valid filepath found.

• Constants.FV_HypertextUnanchoredPartialPath (11) - File reference is relative to the current document, but the current document has not been saved; file location could not be calculated.

• Constants.FV_HypertextHelpDirNotFound (20) - Default help directory either does not exist (help was not installed) or cannot be found.

• Constants.FV_HypertextExpectedANumberParam (30) - Command expected a number but got text; check the value of the HypertextParseBadParam parameter.
HypertextParseErrMsg | string | readonly | Denotes the message that FrameMaker generates for a parser error.
HypertextParsedClientName | string | readonly | Indicates the name of the API client to receive the message, for message commands.
HypertextParsedCmdCode int readonly Denotes the FrameMaker hypertext command in the HypertextCommandText property, as determined by the parser.
The possible value for the HypertextParsedCmdCode property is one of:

• Constants.FV_CmdError (1) -Parser is in an error state

• Constants.FV_CmdUnknown (2) - Unknown command

• Constants.FV_CmdNoop (3) - Command causes no event.

• Constants.FV_CmdAlert (8) - alert command

• Constants.FV_CmdAlertTitle (9) - alerttitle command

• Constants.FV_CmdExit (10) - exit command

• Constants.FV_CmdGoToLink (11) - gotolink command

• Constants.FV_CmdGoToLinkFitWin (12) - gotolinkfitwin command

• Constants.FV_CmdGoToNew (13) - gotonew command

• Constants.FV_CmdGoToPage (14) - gotopage command

• Constants.FV_CmdGoToObjectId (15) - gotoObjectId command

• Constants.FV_CmdGoToObjectIdFitWin (16) - gotoObjectIdfitwin command

• Constants.FV_CmdMatrix (17) - matrix command

• Constants.FV_CmdMessage (18) - message command

• Constants.FV_CmdNewLink (19) - newlink command

• Constants.FV_CmdNextPage (20) - nextpage command

• Constants.FV_CmdPreviousPage (21) - previouspage command

• Constants.FV_CmdOpenLink (22) - openlink command

• Constants.FV_CmdOpenLinkFitWin (23) - openlinkfitwin command

• Constants.FV_CmdOpenNew (24) - opennew command

• Constants.FV_CmdOpenObjectId (25) - openObjectId command

• Constants.FV_CmdOpenObjectIdFitWin (26) - openObjectIdfitwin command

• Constants.FV_CmdOpenPage (27) - openpage command

• Constants.FV_CmdPopup (28) - popup command

• Constants.FV_CmdPreviousLink (29) - previouslink command

• Constants.FV_CmdPreviousLinkFitWin (30) - previouslinkfitwin command

• Constants.FV_CmdQuit (31) - quit command

• Constants.FV_CmdQuitAll (32) - quitall command
HypertextParsedCmdDest int readonly Denotes the destination type for link commands in the HypertextCommandText property, as determined by the parser.
The possible value for the HypertextParsedCmdDest property is one of:

• Constants.FV_DestNowhere (0) - No destination found

• Constants.FV_DestMarkerNewLink (1) - Destination is a newlink

• Constants.FV_DestFirstPage (2) - Destination is the first page of a file

• Constants.FV_DestLastPage (3) - Destination is the last page of a file

• Constants.FV_DestPageNum (4) - Destination is a named page (usually a page number)

• Constants.FV_DestFluidFlow (5) - Destination is to a fluid flow document

• Constants.FV_DestMarker (6) - Destination is a marker

• Constants.FV_DestObjectId (7) - Destination is an object ID (usually for generated hypertext commands)

• Constants.FV_DestXRef (8) - Destination is a cross-reference
HypertextParsedCmdDestObjID | int | readonly | Denotes the object in the target document for links to objects.
HypertextParsedCmdDestObjType int readonly Denotes the type of the object in the target document, for links to objects.
The possible value is one of:

• Constants.FV_ObjectUnknown (0) - Unknown or invalid object

• Constants.FV_ObjectMarker (1) - Object is a marker

• Constants.FV_ObjectPgf (2) - Object is a paragraph

• Constants.FV_ObjectXref (3) - Object is a cross-reference

• Constants.FV_ObjectGraphic (4) - Object is a graphic

• Constants.FV_ObjectElement (5) - Object is an element

• Constants.FV_ObjectTextInset (6) - Object is a text inset

• Constants.FV_ObjectDataLink (7) - Object is subscribed data
HypertextParsedCmdMatrixColumns | int | readonly | Denotes the number of columns in the matrix, if the value of the HypertextParsedCmdCode property is set to Constants.FV_CmdMatrix (17)
HypertextParsedCmdMatrixRows | int | readonly | Denotes the number of rows in the matrix, if the value of the HypertextParsedCmdCode property is set to Constants.FV_CmdMatrix (17)
HypertextParsedDIFileName | string | readonly | Denotes the absolute path to the target file, expressed in platform independent syntax, for links to external files.
HypertextParsedFlowName | string | readonly | Denotes the name of the flow (on a reference page) that contains the popup or matrix list of commands, for popup and matrix commands.
HypertextParsedLinkName | string | readonly | Indicates either the value of a newlink command, or a keyword such as FirstPage or LastPage, for links to new targets.
HypertextParsedMessage | string | readonly | Denotes the specified message for the hypertext command, if the value of the HypertextParsedCmdCode command is set to Constants.FV_CmdAlert (8), Constants.FV_CmdAlertTitle (9) or Constants.FV_CmdMessage (18).
HypertextParsedPageName | string | readonly | Denotes the pagenumber, for links to pages.
HypertextParsedTitle | string | readonly | Indicates the specified title for the alert box, if the value of the HypertextParsedCmdCode property is set to Constants.FV_CmdAlertTitle (9)
HypertextValidateErr int readonly Set to a non-zero value if the HypertextDoValidate property is set to True and there is a validation error.
The HypertextValidateErr property is set to one of the following values if there is a validation error:

• Constants.FV_HypertextValid (0) - No validation errors

• Constants.FV_HypertextUsesDefaultText (200) - Default text was found as an argument; are you sure the default text is what you want?

• Constants.FV_HypertextFileNotRegular (210) - The referenced file could not be found, or is not a regular file; for example, it could be a directory name.

• Constants.FV_HypertextFileNotMakerDoc (211) - The referenced file is not created by FrameMaker.

• Constants.FV_HypertextCantOpenDestFile (212) - Cannot open the file; perhaps you do not have permission, or the file is locked.

• Constants.FV_HypertextDestinationLinkNotFound (220) - The referenced file is valid, but cannot find the named link within it.

• Constants.FV_HypertextPageNameNotFound (230) - The referenced file is valid, but the specified page is not found.

• Constants.FV_HypertextUnrecognizedObjectType (240) - The referenced file is valid, but the link is to an object with an unrecognized object type.

• Constants.FV_HypertextObjectIDNotFound (241) - The file is a link to an object, but cannot find the linked object.

• Constants.FV_HypertextBadMatrixSize (250) - One or both of the matrix dimensions are illegal; The values must be between 1 and 99.

• Constants.FV_HypertextMatrixCommandInvalid (251)- One of the commands in the reference page flow for a matrix command has a parse or validation error.

• Constants.FV_HypertextFlowMissingLines (252) - The reference flow for a matrix or popup command is missing one or more lines.

• Constants.FV_HypertextNoNamedFlow (260) - Cannot find the named reference flow for a matrix or popup command.

• Constants.FV_HypertextRecursiveFlow (261) - The reference flow for a matrix or popup command contains nested popup or matrix commands that name a parent reference flow.

• Constants.FV_HypertextMissingPopupMarker (270) - At least one entry in the popup command's reference flow has no hypertext marker in it.

• Constants.FV_HypertextMissingPopupLabelItem (271) - One entry in the popup command's reference flow has no text in it.

• Constants.FV_HypertextEmptyLineInMiddleOfPopup (272) - One entry in the popup command's reference flow has no text in it.

• Constants.FV_HypertextCommandIllegalWithinPopup (273) - Invalid command in the popup command's reference flow; for example, matrix or newlink.

• Constants.FV_HypertextFcodeInvalid (280)- Invalid FCode in the hypertext command.
InCond | Objects | readwrite | Indicates the condition tags that apply to the text (an array of FO_CondFmt IDs).
IsIconified | int | readwrite | Returns True if the document window is iconified. Else, returns False.
IsInFront | int | readwrite | Set to True if the document window is in front of other windows in the FrameMaker product session. Else, set to False.
IsOnScreen | int | readwrite | Returns True if the document is visible on the screen, otherwise returns False.
KernX | int | readwrite | Specifies the horizontal kern value for manual kerning expressed as a percentage of an em (metric – 100% to 1000%). A positive value moves a character right and a negative value moves a character left.
KernY | int | readwrite | Specifies the vertical kern value for manual kerning expressed as a percentage of an em (metric – 100% to 1000%). A positive value moves characters up and a negative value moves characters down.
Label | string | readwrite | Denotes the title in the document window title bar.
LastBodyPageInDoc | BodyPage | readonly | Indicates the last body page [FO_BodyPage ID] in the document.
LastMasterPageInDoc | MasterPage | readonly | Indicates the last master page [FO_MasterPage ID] in the document.
LastRefPageInDoc | RefPage | readonly | Specifies the last reference page [FO_RefPage ID] in the document.
LeftMargin | int | readwrite | Denotes the left page margin.
LeftMasterPage | MasterPage | readonly | Denotes the left master page [FO_MasterPage ID] in the document.
LineBreakAfter | string | readwrite | Indicates the characters at which it is permissible to break lines.
MainFlowInDoc | Flow | readonly | Specifies the main flow [FO_Flow ID] in the document.
MarkerTypeNames | Strings | readonly | Indicates the list of marker type names.
MaxBottomMargin | int | readwrite | Specifies the maximum bottom margin allowed in the document.
MaxFirstIndent | int | readwrite | Specifies the maximum first indent allowed in the document.
MaxFontSize | int | readwrite | Denotes the maximum font size allowed in the document.
MaxLeading | int | readwrite | Denotes the maximum leading allowed in the document.
MaxLeftIndent | int | readwrite | Specifies the maximum left indent allowed in the document.
MaxLeftMargin | int | readwrite | Specifies the maximum left margin allowed in the document.
MaxRightIndent | int | readwrite | Specifies the maximum right indent allowed in the document.
MaxRightMargin | int | readwrite | Specifies the maximum right margin allowed in the document.
MaxSpaceAbove | int | readwrite | Denotes the maximum space above paragraph allowed in the document.
MaxSpaceBelow | int | readwrite | Denotes the maximum space below paragraph allowed in the document.
MaxSpread | int | readwrite
MaxStretch | int | readwrite | Denotes the maximum character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
MaxTabPosition | int | readwrite | Specifies the maximum tab position allowed in the document.
MaxTopMargin | int | readwrite | Specifies the maximum top margin allowed in the document.
MenuBar | Menu | readwrite | Denotes the identifier of the document's menu bar (FO_Menu ID).
MinBottomMargin | int | readwrite | Specifies the minimum bottom margin allowed in the document.
MinFirstIndent | int | readwrite | Specifies the minimum first indent allowed in the document.
MinFontSize | int | readwrite | Denotes the minimum font size allowed in the document.
MinLeading | int | readwrite | Denotes the minimum leading allowed in the document.
MinLeftIndent | int | readwrite | Denotes the minimum left indent allowed in the document.
MinLeftMargin | int | readwrite | Denotes the minimum left margin allowed in the document.
MinRightIndent | int | readwrite | Denotes the minimum right indent allowed in the document.
MinRightMargin | int | readwrite | Denotes the minimum right margin allowed in the document.
MinSpaceAbove | int | readwrite | Denotes the minimum space above the paragraph allowed in the document.
MinSpaceBelow | int | readwrite | Denotes the minimum space below the paragraph allowed in the document.
MinSpread | int | readwrite
MinStretch | int | readwrite | Indicates the minimum character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%)
MinTabPosition | int | readwrite | Indicates the minimum tab position allowed in the document.
MinTopMargin | int | readwrite | Indicates the minimum top margin allowed in the document.
Name | string | readonly | Denotes the filename of the document.
NarrowRubiSpaceForOther int readwrite Denotes the value for a composite ruby object. The value is one of:

• Constants.FV_Wide (0)

• Constants.FV_Narrow (1)

• Constants.FV_Proportional (2)
NewElemAttrDisplay int readwrite Specifies the attribute display properties for new elements. The value is one of:

• Constants.FV_ATTR_DISP_NONE (1) - Do not display attributes

• Constants.FV_ATTR_DISP_REQSPEC (2) - Display required and specified attributes

• Constants.FV_ATTR_DISP_ALL (3) - Display all attributes
NewElemAttrEditing int readwrite Specifies when the Edit Attributes dialog box appears for new elements. The value is one of:

• Constants.FV_ATTR_EDIT_NONE (0)

• Constants.FV_ATTR_EDIT_REQUIRED (1)

• Constants.FV_ATTR_EDIT_ALWAYS (2)
NextOpenDocInSession | Doc | readonly | Denotes the next open document [(FO_Doc ID] in the list of open documents in the session.
NumCols | int | readonly | Indicates the number of columns on the page.
Numbers | string | readwrite | Denotes the character format tag of the equation font to apply to Math Numbers.
Overline | int | readwrite | Returns True if Overline style is enabled, else returns False.
PDFAllNamedDestinations | int | readwrite | Set to True to create named destinations for all paragraphs and elements in the PDF file generated from this document.
PDFBookmark | bool | readwrite | Set to True if FrameMaker is to generate bookmarks when saving as PDF; set to False otherwise.
PDFBookmarksOpenLevel int readwrite Denote the level of bookmarks to have expanded when Acrobat opens the generated PDF document. The value can be any integer, or one of the following defined values:

• Constants.FV_PDFBookmarksOpenDefaultLevel (-1)

• Constants.FV_PDFBookmarksOpenAllLevels (-2)

• Constant.FV_PDFBookmarksOpenNoneLevel (-3)

If you specify an integer greater than the number of levels in the Bookmarks Settings, Constants.FV_PDFBookmarksOpenAllLevels (-1) takes effect.
PDFConvertCMYKtoRGB | int | readwrite | When True, the PDFConvertCMYKtoRGB setting corresponds with setting Convert CMYK colors to RGB in the Save As PDF dialog box.
PDFDestsMarked int readwrite Set to True if the document has paragraphs or elements marked via the MarkedForNamed Destination property.
One of two things must happen in order for the PDFDestsMarked property to be True:

• The document must be created in version 6.0 or later; the document must be opened in version 6.0 or later

• The PDF FileSize Optimization client must be run over it to mark all paragraphs or elements that are targets of hypertext links.

Normally, your client should not set this value.
PDFDistillerAbsent | int | readonly | A value of 1 indicates that Acrobat Distiller is not available. Any other value indicates that Acrobat Distiller is available.
PDFDocInfo Strings readwrite Contains a list of strings expressing values to be set in the PDF Document Info dictionary when you save the book as PDF.
Each dictionary entry is expressed as a pair of strings; the first string expresses the field name, and the second string expresses the field value.
PDFEndPage | string | readwrite | Indicates then last page of the printing page range, in the FrameMaker numbering style.
PDFGenerateForReview | int | readwrite | This flag is used to generate a PDF for review workflow that is getting review comments in PDF and importing them back to FrameMaker document. It helps in importing back the comments correctly. When this flag is turned ON, the behavior is same as if the "Generate for review only" checkbox is ON in the PDF setup dialog.
PDFJobOption | string | readwrite | Denotes the name of the Distiller Job Option. If the specified name does not exist in the Distiller Job Options list, then the first Distiller Job Option in the list is used.
PDFJobOptionsAbsent | int | readonly | A value of 1 indicates that PDF Job Options are not available.
PDFOpenPage | string | readwrite | Denote the PDF page number, in the FrameMaker numbering style, at which Acrobat opens the generated PDF document.
PDFPageHeight | int | readwrite | Indicates the page height for the generated PDF.
PDFPageWidth | int | readwrite | Indicates the page width for the generated PDF.
PDFPrintPageRange | int | readwrite | Set to True to generate PDF for the specified page range; if set to False, FrameMaker generates PDF for the entire document or book.
PDFRegistrationMarks int readwrite Specifies the registration marks for the generated PDF. May be one of:

• Constants.FV_PDFRegistrationMarksNone(0)

• Constants.FV_PDFRegistrationMarksWestern (1)

• Constants.FV_PDFRegistrationMarksTombo (2)
PDFSeparateFiles | int | readwrite | Set to True, if a separate PDF file should be generated for each document in a book. This property can be set for single document, but is ignored in that case.
PDFStartPage | string | readwrite | Denotes the first page of the printing page range, in the FrameMaker numbering style.
PDFStructure | int | readwrite | Set to True to generate tagged or structured PDF.
PDFViewPDF | int | readwrite | Set to True to open the PDF after creating it with the Save aS PDF command.
PDFZoomFactor int readwrite When the PDFZoomType property is set to Constants.FV_PDFZoomNone (0), the PDFZoomFactor property denotes the zoom percentage of the PDF document (metric 25% to 1600%).
If the value of this property is negative or zero, Constants.FV_PDFZoomDefault (1) takes effect.
PDFZoomType int readwrite Indicates the PDF zoom setting with which Acrobat opens the generated PDF document. The value can be one of:

• Constants.FV_PDFZoomDefault (1)

• Constants.FV_PDFZoomPage (2)

• Constants.FV_PDFZoomWidth (3)

• Constants.FV_PDFZoomHeight (4)

• Constants.FV_PDFZoomNone (0)

If a different value is specified, Constants.FV_PDFZoomDefault (1) takes effect.
PageHeight int readwrite Specifies the height of the document's pages.
Setting this property, automatically sets the page height for all the body pages of the document.
PageNumComputeMethod int readwrite Denotes the component document's page numbering type. The possible value is one of:

• Constants.FV_NUM_CONTINUE (0x01): Continue the numbering from the previous file.

• Constants.FV_NUM_RESTART (0x02): Restart numbering at the value specified by the FirstPageNum property.
PageNumStyle int readwrite Denotes the page numbering style. The value is one of:

• Constants.FV_PAGE_NUM_NUMERIC (0x01) - Arabic

• Constants.FV_PAGE_NUM_ROMAN_UC (0x01) - Roman uppercase

• Constants.FV_PAGE_NUM_ROMAN_LC (0x02) - Roman lowercase

• Constants.FV_PAGE_NUM_ALPHA_UC (0x03) - Alphabetic uppercase

• Constants.FV_PAGE_NUM_ALPHA_LC (0x04) - Alphabetic lowercase

• Constants.FV_PAGE_NUM_KANJI (0x05) - Kanji characters

• Constants.FV_PAGE_NUM_ZENKAKU (0x06) - Zenkaku

• Constants.FV_PAGE_NUM_ZENKAKU_UC (0x07) - Zenkaku uppercase

• Constants.FV_PAGE_NUM_ZENKAKU_LC (0x08) - Zenkaku lowercase

• Constants.FV_PAGE_NUM_KANJI_KAZU (0x09) - Kazu

• Constants.FV_PAGE_NUM_DAIJI (0x0a) - Daiji
PageRounding int readwrite Indicates how to round pages. The value is one of:

• Constants.FV_PR_DEL_EMPTY (0x01) - Delete Empty Pages

• Constants.FV_PR_KEEP_NUM_EVEN (0x02) - Make Page Count Even

• Constants.FV_PR_KEEP_NUM_ODD (0x03) - Make Page Count Odd

• FV_PR_DONT_CHANGE (0x04) - Do Not Change Page Count
PageWidth int readwrite Specifies the width of the document's pages.
Setting this property, automatically sets the page width for all the body pages of the document.
PairKern | int | readwrite | Returns True if Pair Kern is enabled, else returns False.
PgfNumComputeMethod int readwrite Denotes the document's paragraph numbering type. The possible value is one of:

• Constants.FV_NUM_CONTINUE (0x01): Continue the numbering from the previous file.

• Constants.FV_NUM_RESTART (0x02): Restart the numbering at 1.
PointPageNumStyle int readwrite Denotes the point page numbering style. The value is one of:

• Constants.FV_PAGE_NUM_NUMERIC (0x01) - Arabic

• Constants.FV_PAGE_NUM_ROMAN_UC (0x01) - Roman uppercase

• Constants.FV_PAGE_NUM_ROMAN_LC (0x02) - Roman lowercase

• Constants.FV_PAGE_NUM_ALPHA_UC (0x03) - Alphabetic uppercase

• Constants.FV_PAGE_NUM_ALPHA_LC (0x04) - Alphabetic lowercase

• Constants.FV_PAGE_NUM_KANJI (0x05) - Kanji characters

• Constants.FV_PAGE_NUM_ZENKAKU (0x06) - Zenkaku

• Constants.FV_PAGE_NUM_ZENKAKU_UC (0x07) - Zenkaku uppercase

• Constants.FV_PAGE_NUM_ZENKAKU_LC (0x08) - Zenkaku lowercase

• Constants.FV_PAGE_NUM_KANJI_KAZU (0x09) - Kazu

• Constants.FV_PAGE_NUM_DAIJI (0x0a) - Daiji
Position int readwrite Denotes the text position relative to the baseline of text. The value is one of:

• Constants.FV_POS_NORM (0) - Normal

• Constants.FV_POS_SUPER (1) - Superscript

• Constants.FV_POS_SUB (2) - Subscript
PreviewState int readwrite Sets/retrieves the state of Track Text Edits of the document. The value is one of:

• Constants.FV_PREVIEW_OFF_TRACK_CHANGE (0) - Displays text edits using the defined styles.

• Constants.FV_PREVIEW_ON_ORIGINAL (1)- Preview of the document as if no text edits were done.

• Constants.FV_PREVIEW_ON_FINAL (2) - Preview of the document as if all the text edits were incorporated.
PrintBlankPages | int | readwrite | Returns True if the PageRounding property allows an empty page at end of a document. Returns False, otherwise.
PrintCollated | int | readwrite | Returns True if Collate is enabled. Returns False, otherwise.
PrintCols | int | readwrite | Indicates the number of columns to print, if the PrintThumbnails property is set to True.
PrintDitavalFileName | string | readwrite
PrintEmulsion int readwrite Specifies the direction of the print emulsion. The value is one of:

• Constants.FV_EMUL_UP (0) - Emulsion side up

• Constants.FV_EMUL_DOWN (1) - Emulsion side down
PrintEndPage int readwrite Specifies the number of the last page to print.
The value of the DocFluidFlow property must be 0, when you use the PrintEndPage property. You cannot print a range of pages when a document is in fluid view.
PrintEndPageName int readwrite Denotes the page number string for the last page to be printed. Use this property when the pages are numbered with a style other than Constants.FV_PAGE_NUM_NUMERIC (0x01).
The value of the DocFluidFlow property must be 0, when you use the PrintEndPageName property. You cannot print a range of pages when a document is in fluid view.
PrintEndPoint | int | readwrite | Denotes the number of the last point page to print.
PrintEvenPages | int | readwrite | Set to True if Print Even-Numbered Pages is enabled. Set to False, otherwise.
PrintFileName | string | readwrite | Name of the file to which to print. You can set the filename to the default filename by specifying the value of the PrintFileName property as null.
PrintImaging int readwrite Specifies the type of print imaging. The value is one of:

• Constants.FV_IMG_POSITIVE (0)

• Constants.FV_IMG_NEGATIVE (1)
PrintLastSheetFirst | int | readwrite | Set to True to print the last sheet first. Else, set to False.
PrintLowRes | int | readwrite | Set to True to print in low resolution. Else, set to False.
PrintManualFeed | int | readwrite | Set to True if Manual feed is enabled. Else, set to False.
PrintNumCopies | int | readwrite | Denotes the number of copies to print.
PrintOddPages | int | readwrite | Set to True if Print Odd-Numbered Pages is enabled. Else, set to False.
PrintPaperHeight | int | readwrite | Specifies the height of the printing paper.
PrintPaperWidth | int | readwrite | Indicates the width of the printing paper.
PrintRegistrationMarks | int | readwrite | Set to True if Registration Marks is enabled; Set to False otherwise.
PrintRows | int | readwrite | Indicates the number of rows to print if the PrintThumbnails property is set to True.
PrintScale | int | readwrite | Denotes the Print scale factor expressed as a percentage metric (0% to 100%).For print scale percentages, the value <<16 or 0x10000 specifies 100%.
PrintScope int readwrite Denotes the pages to print. The value is one of:

• Constants.FV_PR_ALL (1) - Print all pages

• Constants.FV_PR_RANGE (2) - Print a range of pages

The value of the DocFluidFlow property must be set to 0 when you set the PrintScope property. You cannot print a range of pages when a document is in the fluid view.
PrintSeps | int | readwrite | Returns True if Print Separations is enabled. Else, returns False.
PrintStartPage int readwrite Denotes the number of the first page to print.
The value of the DocFluidFlow property must be set to 0 when you set the PrintStartPage property. You cannot print a range of pages when a document is in the fluid view.
PrintStartPageName int readwrite Indicates the page number string for the first page to print.This property is valid only when the pages are numbered with a style other than Constants.FV_PAGE_NUM_NUMERIC (0x00)
The value of the DocFluidFlow property must be set to 0 when you set the PrintStartPage property. You cannot print a range of pages when a document is in the fluid view.
PrintStartPoint | int | readwrite | Indicates the number of the first point page to print.
PrintThumbnails | int | readwrite | Returns True if Print Thumbnails is enabled. Returns False, otherwise.
PrintToFile | int | readwrite | Returns True if Print Only to File is enabled. Else, returns False.
PrinterName string readwrite Specifies the name of the printer.
Setting the PrinterName property on Windows has no effect.
You can set the printer to the default printer by specifying the PrinterName as null.
ReviewerName | string | readwrite
ReviewerNameList | Strings | readonly | Retrieves the list of reviewers of a document.
RightMargin | int | readwrite | Denotes the Right page margin.
RightMasterPage | MasterPage | readonly | Denotes the right master page [FO_MasterPage ID] in the document.
RubiFixedSize int readwrite Specifies the fixed size for all rubi text (metric 2 points to 400 points).
If the RubiFixedSize property and the RubiSize property are both set, the most recently set property value is used.
RubiOverhang | int | readwrite | Set to True if Rubi is allowed to overhang, else set to False.
RubiSize int readwrite Specifies the scaling factor for rubi text expressed as percentage of the current font size (metric 1% to 1000%).
If the RubiSize property and the RubiFixedSize property are both set, the most recently set property value is used.
ScreenHeight | int | readwrite | Denotes the height of the document window in pixels.
ScreenWidth | int | readwrite | Denotes the width of the document window in pixels.
ScreenX int readwrite Indicates the offset of the document window in pixels from the left side of the screen (or the left of the FrameMaker application window).
If you set a value that results in the document window being off the screen, that value is ignored and the old value is retained.
ScreenY int readwrite Indicates the offset of the document window in pixels from the top of the screen (or the top of the FrameMaker application window).
If you set a value that results in the document window being off the screen, that value is ignored and the old value is retained.
SecNumComputeMethod int readwrite Denotes the type of numbering applied on a particular section of a document. The value is one of:

• Constants.FV_NUM_CONTINUE (0x01)

• Constants.FV_NUM_RESTART (0x02)

• Constants.FV_NUM_SAME (0x03)
SectionNumStyle int readwrite Denotes the section numbering style. The value is one of:

• Constants.FV_PAGE_NUM_NUMERIC(0x00) - Arabic

• Constants.FV_PAGE_NUM_ROMAN_UC(0x01) - Roman uppercase

• Constants.FV_PAGE_NUM_ROMAN_LC(0x02) - Roman lowercase

• Constants.FV_PAGE_NUM_ALPHA_UC(0x03) - Alphabetic uppercase

• Constants.FV_PAGE_NUM_ALPHA_LC(0x04) - Alphabetic lowercase

• Constants.FV_PAGE_NUM_KANJI(0x05) - Kanji characters

• Constants.FV_PAGE_NUM_ZENKAKU(0x06) - Zenkaku

• Constants.FV_PAGE_NUM_ZENKAKU_UC(0x07) - Zenkaku uppercase

• Constants.FV_PAGE_NUM_ZENKAKU_LC(0x08) - Zenkaku lowercase

• Constants.FV_PAGE_NUM_KANJI_KAZU(0x09) - Kazu

• Constants.FV_PAGE_NUM_DAIJI(0x0a) - Daiji
SectionNumText | string | readwrite | Indicates the text to use for the SectionNumber parameter.
SectionNumber | int | readwrite | Denotes the section number in the document.
SelectedTbl | Tbl | readonly | Denotes the table [FO_Tbl ID] containing the selected table cells.
SepOverride | Color | readwrite | Specifies the custom color separation override (FO_Color ID).
SeparateInclusions | int | readwrite | Returns True if inclusions are listed separately in the Element Catalog. Else, returns False.
ShowAll | int | readwrite | Set to True to display all document conditions, else set to False.
ShowCondIndicators | int | readwrite | Set to True to display all condition indicators (Format Overrides). Else, set to False.
ShowElementDescriptiveNames | bool | readwrite | Set to True to show element descriptive names in the element catalog, as specified in element definition.
SkipBlankSeps | int | readwrite | Returns True if Skip Blank Separations (do not print blank color separations) is enabled. Else, returns False.
SmallCapsSize | int | readwrite | Indicates the scaling factor for small caps expressed as a percentage of current font size (metric 1% to 1000%).
SmallCapsStretch | int | readwrite | Denotes the character stretch (set width) for small caps expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
SmartQuotes | int | readwrite | Returns True if Smart Quotes is enabled; returns False otherwise.
SmartSpaces | int | readwrite | Returns True if Smart Spaces is enabled; returns False otherwise.
SnapAngle | int | readwrite | Specifies the angle of rotation for Snap Rotate.
SnapGridUnits | int | readwrite | Denotes the units for Snap Grid spacing. The permissible range of values is from 0 to 32768 points.
SpotColorView | int | readwrite | Denotes the spot color separation view. The values range from 0 to 6.0 specifies View 1, 1 specifies View 2, and so on.
Spread | int | readwrite
StatusLine string readwrite Indicates the string that appears in the document status bar.
This property always returns an empty string when queried; it is effectively write-only.
If you set the StatusLine property to a string other than an empty string (""), the string will remain in the status bar until you reset it.
To reset the StatusLine property and enable FrameMaker to automatically update the status line with normal status information, set it to an empty string ("").
Stretch | int | readwrite | Denotes the character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
Strikethrough | int | readwrite | Returns True if Strikethrough style is enabled. Else, returns False.
Strings | string | readwrite | Denotes the character format tag of the equation font to apply to Math Strings.
StructuredApplication | string | readwrite | The name of the structure application that is associated with the document. If the document has no associated structure application, the GetString() method returns an empty string.
StructuredApplicationForOpen | string | readwrite | Specifies the application that has been used to open the document.
StyleOverrides int readonly Specifies the style condition indicators for conditional text. The value is one of:

• Constants.FV_CN_NO_OVERRIDE (0)

• Constants.FV_CN_OVERLINE (1)

• Constants.FV_CN_STRIKETHROUGH (2)

• Constants.FV_CN_SINGLE_UNDERLINE (3)

• Constants.FV_CN_DOUBLE_UNDERLINE (4)
SubScriptShift | int | readwrite | Denotes the baseline offset of subscripts expressed as a percentage of current font size (metric 1% to 1000%).
SubScriptSize | int | readwrite | Indicates the scaling factor for subscripts expressed as a percentage of current font size (metric 1% to 1000%).
SubScriptStretch | int | readwrite | Indicates the character stretch (set width) for subscripts expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
SubsecNumComputeMethod int readwrite Denotes the type of numbering applied on a particular subsection of a document. The value is one of:

• Constants.FV_NUM_CONTINUE (0x01)

• Constants.FV_NUM_RESTART (0x02)

• Constants.FV_NUM_SAME (0x03)
SubsectionNumStyle int readwrite Denotes the subsection numbering style. The value is one of:

• Constants.FV_PAGE_NUM_NUMERIC(0x00) - Arabic

• Constants.FV_PAGE_NUM_ROMAN_UC(0x01) - Roman uppercase

• Constants.FV_PAGE_NUM_ROMAN_LC(0x02) - Roman lowercase

• Constants.FV_PAGE_NUM_ALPHA_UC(0x03) - Alphabetic uppercase

• Constants.FV_PAGE_NUM_ALPHA_LC(0x04) - Alphabetic lowercase

• Constants.FV_PAGE_NUM_KANJI(0x05) - Kanji characters

• Constants.FV_PAGE_NUM_ZENKAKU(0x06) - Zenkaku

• Constants.FV_PAGE_NUM_ZENKAKU_UC(0x07) - Zenkaku uppercase

• Constants.FV_PAGE_NUM_ZENKAKU_LC(0x08) - Zenkaku lowercase

• Constants.FV_PAGE_NUM_KANJI_KAZU(0x09) - Kazu

• Constants.FV_PAGE_NUM_DAIJI(0x0a) - Daiji
SubsectionNumText | string | readwrite | Indicates the text to use for the SubsectionNumber parameter.
SubsectionNumber | int | readwrite | Denotes the subsection number in the document
SuperScriptShift | int | readwrite | Denotes the baseline offset of superscripts expressed as percentage of current font size (metric 1% to 1000%).
SuperScriptSize | int | readwrite | Specifies the scaling factor for superscripts expressed as percentage of the current font size (metric 1% to 1000%)
SuperScriptStretch | int | readwrite | Specifies the character stretch (set width) for superscripts expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
Symbols | string | readwrite | Denotes the character format tag of the equation font to apply to Math Symbols.
SymbolsList | Strings | readonly | List of math symbol fonts used in the Equation Fonts dialog box.
TblFnCellPosition int readwrite Denotes the placement of footnote number in footnote text. The value is one of:

• Constants.FV_FN_POS_SUPER (0x00) - Superscript

• Constants.FV_FN_POS_BASELINE (0x01) - Baseline

• Constants.FV_FN_POS_SUB (0x02) - Subscript
TblFnCellPrefix | string | readwrite | Specifies the prefix to appear before the table footnote number in table cell.
TblFnCellSuffix | string | readwrite | Specifies the suffix to appear after the table footnote number in table cell.
TblFnCustNumString | string | readwrite | Specifies the characters for custom table footnote numbers.
TblFnFmt | string | readwrite | Represents the paragraph tag of the table footnote.
TblFnNumStyle int readwrite Denotes the footnote numbering style for tables in the document. The value is one of:
• Constants.FV_FN_NUM_NUMERIC (0x00) - Arabic

• Constants.FV_FN_NUM_ROMAN_UC (0x01) - Roman uppercase

• Constants.FV_FN_NUM_ROMAN_LC (0x02) - Roman lowercase

• Constants.FV_FN_NUM_ALPHA_UC (0x03) - Alphabetic uppercase

• Constants.FV_FN_NUM_ALPHA_LC (0x04) - Alphabetic lowercase

• Constants.FV_FN_NUM_KANJI (0x06) - Kanji characters

• Constants.FV_FN_NUM_ZENKAKU (0x07) - Zenkaku

• Constants.FV_FN_NUM_ZENKAKU_UC (0x08) - Zenkaku uppercase

• Constants.FV_FN_NUM_ZENKAKU_LC (0x09) - Zenkaku lowercase

• Constants.FV_FN_NUM_KANJI_KAZU (0x0A) - Kazu

• Constants.FV_FN_NUM_DAIJI (0x0B) - Daiji

• Constants.FV_FN_NUM_CUSTOM (0x05) - Custom numbering.
TblFnPosition int readwrite Denotes the placement of the footnote number in the text. The value is one of:

• Constants.FV_FN_POS_SUPER (0x00) - Superscript

• Constants.FV_FN_POS_BASELINE (0x01) - Baseline

• Constants.FV_FN_POS_SUB (0x02) - Subscript
TblFnPrefix | string | readwrite | Indicates the prefix to appear before the number in the table footnote.
TblFnSuffix | string | readwrite | Indicates the suffix to appear after the number in the table footnote.
TextSelection | TextRange | readwrite | Specifies the currently selected text range or insertion point in the document.
TopMargin | int | readwrite | Denotes the Top Page Margin.
TrackChangesAddedColor | Color | readwrite | Sets/retrieves the color in which tracked additions are displayed.
TrackChangesDeletedColor | Color | readwrite | Sets/retrieves the color in which tracked deletions are displayed.
TrackChangesOn | bool | readwrite | Set to True if Track Changes are on in the document. Else, set to False.
TrapwiseCompatibility bool readwrite Set to True if Trapwise Compatibility is enabled. Else, set to False.
Setting the TrapwiseCompatibility parameter to True automatically sets the PrintToFile parameter to True and the PrintSeps parameter to False.
Underlining int readwrite Denotes the style of underlining. The value is one of:

• Constants.FV_CB_NO_UNDERLINE (0)

• Constants.FV_CB_SINGLE_UNDERLINE (1)

• Constants.FV_CB_DOUBLE_UNDERLINE (2)

• Constants.FV_CB_NUMERIC_UNDERLINE (3)
Untouchable | int | readwrite | Set to False by default. Setting this to True allows your client to modify a document without setting the DocIsModified property to True.
UseInitialStructure | int | readwrite | Returns True if FrameMaker inserts the initial structure for new elements. Else, returns False.
UseInitialStructureOfAutoInsertedElements | bool | readwrite | If set to True, auto-insertion rules will be processed recursively. For example: If an element is inserted automatically, and if auto-insertion rules exist for this element in the element definition , then those rules are also processed.
UseSepOverride | int | readwrite | Returns True if the value of the SepOverride property overrides the default color separation. Else, returns False.
Variables | string | readwrite | List of math symbol fonts used in the Equation Fonts dialog box.
ViewBorders | int | readwrite | Returns True if Borders is enabled, else returns False.
ViewDisplayUnits | int | readwrite | Denotes the MetricT equivalent of one unit in the current Display Units. For example, if Display Units is points, this parameter returns 65536.
ViewFontSizeUnits | int | readwrite | Denotes the MetricT equivalent of one unit in the current Font Size Unit. Font size units can be either Points or Q. If Points, this returns 65536. If Q, this returns 47098.
ViewGrid | int | readwrite | Returns True if View Grid is enabled. Else, returns False.
ViewGridUnits | int | readwrite | Denotes the units for Grid Lines.
ViewNoGraphics | int | readwrite | Returns True if Graphics is not enabled. Else, set to False.
ViewOnlyDeadCodes | UInts | readwrite | Indicates the F-codes that cannot be executed in the document.
ViewOnlyMenuBar | Menu | readwrite | Denotes the identifier of the document's menu bar when the document is locked (FO_Menu ID).
ViewOnlySelect int readwrite Specifies whether user can select text or graphics in the document. The value is one of:

• Constants.FV_VOS_USER_ONLY (1) - the user can select text when pressing modifier keys, and link targets (cross-reference sources and newliniks) do not highlight.

• Constants.FV_VOS_NONE (2) - the user cannot select text, and links targets do not highlight.

• Constants.FV_VOS_YES(3) - the user can select text (using modifier keys) and link targets are highlighted.
ViewOnlyWinBorders | int | readwrite | Returns True if the document has normal document borders; returns False if the document scroll bars and border buttons are suppressed.
ViewOnlyWinMenubar | int | readwrite | Returns True if the document has a document window menu bar. Else, returns False.
ViewOnlyWinPalette | int | readwrite | Returns True if the document is a palette. Else, returns False.
ViewOnlyWinPopup | int | readwrite | Returns True if the document window pop-up menu is available. Else, returns False.
ViewOnlyXRef int readwrite Specifies the behavior of cross-references in the document. The value is one of:

• Constants.FV_VOX_NOT_ACTIVE(0) - Cross references are not active.

• Constants.FV_VOX_GOTO_BEHAVIOR(1) - Internal cross-references are active.

• Constants.FV_VOX_OPEN_BEHAVIOR(2) - External cross-references are active.

• Constants.FV_VOX_ALERT(3) - Alert appears when cross-reference is clicked.
ViewPageScrolling int readwrite Denotes the Page scrolling technique. The value is one of:

• Constants.FV_SCROLL_VARIABLE (0)

• Constants.FV_SCROLL_HORIZONTAL (1)

• Constants.FV_SCROLL_VERTICAL (2)

• Constants.FV_SCROLL_FACING (3)
ViewRulerUnits | int | readwrite | Denotes the units to display rulers.
ViewRulers | int | readwrite | Returns True if Rulers is enabled. Else, returns False.
ViewTextSymbols | int | readwrite | Returns True if Text Symbols is enabled. Else, returns False.
VolNumComputeMethod int readwrite Denotes the document's volume numbering type. The value is one of:

• Constants.FV_NUM_CONTINUE (0x01): Continue the numbering from the previous volume.

• Constants.FV_NUM_RESTART (0x02): Use the value specified for the VolumeNumber property.

• Constants.FV_NUM_SAME (0x03): Use the same volume number as for the previous file
VolumeNumStyle int readwrite Denotes the volume numbering style. The value is one of:

• Constants.FV_NUMSTYLE_NUMERIC (0x00): Arabic

• Constants.FV_NUMSTYLE_ROMAN_UC (0x01): Roman numerals, uppercase.

• Constants.FV_NUMSTYLE_ROMAN_LC (0x02): Roman numerals,lowercase.

• Constants.FV_NUMSTYLE_ALPHA_UC (0x03): Alphabetic, uppercase.

• Constants.FV_NUMSTYLE_ALPHA_LC (0x04): Alphabetic, lowercase.

• Constants.FV_NUMSTYLE_KANJI (0x05): Kanji

• Constants.FV_NUMSTYLE_ZENKAKU (0x06): Zenkaku

• Constants.FV_NUMSTYLE_ZENKAKU_UC (0x07): Zenkaku, uppercase.

• Constants.FV_NUMSTYLE_ZENKAKU_LC (0x08): Zenkaku, lowercase.

• Constants.FV_NUMSTYLE_KANJI_KAZU (0x09): Kazu

• Constants.FV_NUMSTYLE_DAIJI (0x0a): Daiji

• Constants.FV_NUMSTYLE_TEXT (0x0b): Text
VolumeNumText | string | readwrite | Use the value of the VolumeNumText property, if the VolNumStyle property is set to Constants.FV_NUMSTYLE_TEXT (0x0b).
VolumeNumber | int | readwrite | Use the value of the VolumeNumber property as the volume number, if the VolNumComputeMethod property is set to Constants.FV_NUM_RESTART (0x02).
WideRubiSpaceForOther int readwrite Denotes the value for a composite ruby object. The value is one of:

• Constants.FV_Wide (0)

• Constants.FV_Narrow (1)

• Constants.FV_Proportional (2)
XmlDocType | string | readwrite | Contains the DOCTYPE parameter. from the source XML.
XmlEncoding string readwrite Contains the encoding parameter of the XML Declaration for the source XML document.
The string is empty if no encoding is specified.
If the XmlEncoding property is set, the XML Declaration contains the encoding parameter with the set value on Save As XML operation.
XmlFileEncoding string readwrite Specifies the encoding that is detected for the source XML book. If no encoding is specified for the source XML, the value of the XmlEncoding property will be an empty string. In that case, if this string is set, it determines the encoding to use when saving as XML.
If the XmlEncoding property has a value, the value of the XmlFileEncoding property may be null.
XmlPublicId | string | readwrite | Indicates the DOCTYPE public identifier for the source XML document.
XmlStandAlone int readwrite An integer that specifies the XML standalone parameter for the XML document that is the source of the current document. The value is one of:

• Constants.FV_XML_STANDALONE_YES (1)

• Constants.FV_XML_STANDALONE_NO (2)

• Constants.FV_XML_STANDALONE_NODEC (3)

• Constants.FV_XML_STANDALONE_NONE (4)

The standalone parameter is declared in the XML Declaration.
For a file with no XML Declaration, the value is Constants.FV_XML_STANDALONE_NODEC (3).
For an XML Declaration with no standalone parameter, this value is Constants.FV_XML_STANDALONE_NONE (4).
XmlStyleSheet string readwrite Specifies the XML stylesheet processing instruction to write out to XML when saving the document as XML. The ESTK does not verify that you use correct syntax in this string.The value you set should not include the PI delimiters, <? and ?>. For example, the string you supply for my.css may be:"type=\"text\\css\" href=\"my.css\""
Only use this string to set a specific stylesheet specification.
The GetString() method always returns null for this property. To get the list of stylesheet specifications associated with a document, use the XmlStyleSheetList property.
XmlStyleSheetList Strings readwrite Contains a list of stylesheet processing instructions for the current document.A document can have more than one stylesheet specification associated with it. The ESTK does not verify that you use the correct syntax in these strings. The value you set should not include the PI delimiters, <? and ?>. For example, the string you supply for my.css may be:"type=\"text\\css\" href=\"my.css\""
Setting a list to the XmlStyleSheetList property completely overwrites the preceding list.
XmlSystemId | string | readwrite | Specifies the DOCTYPE system identifier for the source XML document.
XmlUseBOM int readwrite Indicates whether a byte order mark was detected when opening the source XML. The value is one of:

• Constants.FV_XML_USEBOM_YES (1)

• Constants.FV_XML_USEBOM_NO (2)

If this value is set to Constants.FV_XML_USEBOM_YES (1), FrameMaker writes a byte order mark in the resulting XML, when saving as XML.
XmlVersion string readwrite Indicates the XML Version that was specified in the XML Declaration when the file was opened.
If no XML version was specified, the GetString() method returns an empty string. If this string contains an invalid XML declaration, a parsing error occurs when the document is saved as XML.
XmlWellFormed int readwrite Indicates whether the source XML qualified as well formed. The value is one of:

• Constants.FV_XML_WELLFORMED_YES (1)

• Constants.FV_XML_WELLFORMED_NO (2)
Zoom | int | readwrite | Specifies the zoom percentage of document (metric 25% to 1600%).

Methods

Instances

int AddNewBuildExpr ([exprName: string][, exprCondition: string]) Adds a Boolean conditional expression to the document.
The method returns FE_Success, on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_ReadOnly (-6)
Document is read-only.
Constants.FE_BadName (-33)
Boolean conditional expression string is invalid.

Parameter | Type | Description
exprName | string | The name of the Boolean conditional expression. (Optional)
exprCondition | string | The Boolean conditional expression string. (Optional)

TextLoc AddText ([textLoc: TextLoc][, text: string]) Inserts text into a paragraph or a text line.
The text you specify for text must use the FrameMaker character set. To add special characters, you must specify octal (\) or hexadecimal (\x) sequences. The following table lists some of these sequences.
Special Character
Hexadecimal Representation
Octal Representation
>
\x3e
\76
“ (straight double quotation mark)
\x22
\42
“ (left double quotation mark)
\xd2
\322
” (right double quotation mark)
\xd3
323

The method returns the location of the text that was added, on success. On failure, it sets one of the following error numbers to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object.
Constants.FE_NotTextObject (-41)
The object that textLoc specifies is not a paragraph (FO_Pgf) or a text line (FO_TextLine).
Constants.FE_OffsetNotFound (-21)
The offset specified for the text location could not be found in the specified text object.
Constants.FE_ReadOnly (-6)
The document is read only.
Constants.FE_BadSelectionForOperation (-59)
The location that textLoc specifies is invalid. For example, it is inside a variable or outside the highest level element in a structured FrameMaker document.

Parameter | Type | Description
textLoc | TextLoc | The text location at which to add the text. (Optional)
text | string | The text to add. (Optional)

int CenterOnText ([textRange: TextRange]) Centers a range of text such that the middle of the text appears in the middle of the document window.
The method returns FE_Success if it succeeds. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadRange (-36)
The specified text range is invalid.
Constants.FE_NotTextObject (-41)
The object that textRange specifies is not a paragraph (FO_Pgf) or a text line (FO_TextLine).
Constants.FE_OffsetNotFound (-21)
The offset specified for the text location could not be found in the specified paragraph or text line.

Parameter | Type | Description
textRange | TextRange | The range of text to center. (Optional)

int Clear ([flags: int]) Deletes the current selection from a document.
If you specify 0 for flags, the method suppresses any interactive alerts or warnings that arise, leaves the selected table cells empty, and deletes hidden text.
You can OR the following values into flags:
Flags
Meaning
Constants.FF_INTERACTIVE (0x0001)
Prompt the user with dialog or alert boxes that arise.
Constants.FF_CUT_TBL_CELLS (0x0002)
Remove cleared table cells.
Constants.FF_VISIBLE_ONLY (0x0010)
Clear only the visible portion of the selection.
Constants.FF_DONT_DELETE_HIDDEN_TEXT (0x0004)
Do not delete hidden text.

The Constants.FF_INTERACTIVE flag takes precedence over other flags. If you specify Constants.FF_INTERACTIVE | Constants.FF_DONT_DELETE_HIDDEN_TEXT and the selection contains hidden text, then FrameMaker allows you to select whether to delete the hidden text or to retain it.
The method returns FE_Success if it succeeds. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current selection is invalid for this operation.
Constants.FE_Canceled (-44)
The User or parameters canceled the operation.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation.

Parameter | Type | Description
flags | int | Bit field that specifies how to clear the text and how to handle interactive alerts. For default settings, specify 0. (Optional)

int ClearAllChangebars () Clears all change bars from a specified document.
The method performs the same function as clicking the Clear All Change Bars box in the Change Bars dialog box.
The method returns FE_Success if it succeeds. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation.
Constants.FE_SystemError (-42)
A system error occurred.

int Close ([flags: int]) Closes a document or a book.
If there are unsaved changes in a document and you set Constants.FF_CLOSE_MODIFIED (1) for the flags parameter,then the Close() method abandons the changes and closes the file anyway. If you set the flags parameter to 0, the Close() method aborts the Close operation and returns Constants.FE_DocModified (-8).
The method returns FE_Success, on success.
On failure, the method returns the following value to FA_errno:
Error
Reason
Constants.FE_DocModified (-8)
The document was modified and the flags parameter was set to 0

Parameter | Type | Description
flags | int | Specifies whether to abort or close open documents or books if they have unsaved changes. Set the Constants.FF_CLOSE_MODIFIED (1) flag to close open documents and books regardless of their state. (Optional)

CompareRet Compare ([newerDoc: Doc][, flags: int][, insertCondTag: string][, deleteCondTag: string][, replaceText: string][, compareThreshold: int]) Compares two documents or two books.
You can OR the values shown in the following table into the flags argument.
Flags
Meaning
Constants.FF_CMP_SUMMARY_ONLY (0x01)
Generate a summary document, but not a composite document.
Constants.FF_CMP_CHANGE_BARS (0x02)
Turn on change bars in the composite document.
Constants.FF_CMP_HYPERLINKS (0x04)
Put hypertext links in the summary document.
Constants.FF_CMP_SUMKIT (0x08)
Open the summary document.
Constants.FF_CMP_COMPKIT (0x10)
Open the composite document.

On success, the method returns a CompareRet structure containing the summary and composite documents detailing the changes found, if any.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadCompare (-35)
Documents to be compared are not of the same type.
Constants.FE_CompareTypes (-34)
One of the files is not a FrameMaker document or book, or one file is a book and the other is a document.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation.

Parameter | Type | Description
newerDoc | Doc | The newer version of the document to be compared. (Optional)
flags | int | Bit flags that specify how to generate the summary and composite documents. Specify 0 for the default flags. (Optional)
insertCondTag | string | The condition tag to apply to insertions shown in the composite document. For no insert condition tag, specify null. (Optional)
deleteCondTag | string | The condition tag to apply to deletions shown in the composite document. For no delete condition tag, specify null. (Optional)
replaceText | string | Text to appear in place of the deleted text. For no replacement text, specify null. (Optional)
compareThreshold | int | Threshold expresses the percentage of words that can change before paragraphs are considered not equal. If two paragraphs are equal, word differences between them are shown within a paragraph in the composite document. If this value is set to zero, the compare function uses the default value of 75.If not zero, the function uses the setting in the FrameMaker configuration files. (Optional)

int Copy ([flags: int]) Copies the current selection to the FrameMaker Clipboard.
If the value of the flags parameter is 0, the method suppresses any interactive alerts or warnings that arise.
You can also OR the following values into flags:
Flags
Meaning
Constants.FF_INTERACTIVE (0x0001)
Prompt user with dialog or alert boxes that arise.
Constants.FF_STRIP_HYPERTEXT (0x0080)
Do not copy any hypertext markers in the selection.
Constants.FF_VISIBLE_ONLY (0x0010)
Copy only the visible portion of the selection.

The Constants.FF_INTERACTIVE (0x0001) flag takes precedence over other flags. If you specify Constants.FF_INTERACTIVE (0x0001)| Constants.FF_VISIBLE_ONLY (0x0010) and the selection is not visible, then FrameMaker allows the user to choose whether to copy the selection or not.
The method returns FE_Success if it succeeds. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation
Constants.FE_BadSelectionForOperation (-59)
The Selection doesn’t support the requested operation.
Constants.FE_Canceled (-44)
The User or parameters canceled the operation.
Constants.FE_BadOperation (-27)
The parameters specified an invalid operation.

Parameter | Type | Description
flags | int | Bit field that specifies how to copy the text and how to handle interactive alerts. For default settings, specify 0. (Optional)

int Cut ([flags: int]) Cuts the current selection to the FrameMaker Clipboard.
If the value of the flags parameter is 0, the method suppresses any interactive alerts or warnings that arise.
You can OR the following values into flags:
Flags
Meaning
Constants.FF_INTERACTIVE (0x0001)
Prompt user with dialog or alert boxes that arise.
Constants.FF_CUT_TBL_CELLS (0x0002)
Remove cut table cells.
Constants.FF_VISIBLE_ONLY (0x0010)
Cut only the visible portion of the selection.
Constants.FF_DONT_DELETE_HIDDEN_TEXT (0x0004)
Do not cut hidden text.

The Constants.FF_INTERACTIVE (0x0001) flag takes precedence over other flags. If you specify Constants.FF_INTERACTIVE (0x0001)| Constants.FF_DONT_DELETE_HIDDEN_TEXT (0x0004) and the selection contains hidden text, then FrameMaker allows the user to choose whether to delete the hidden text or retain it.
The method returns FE_Success if it succeeds. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation
Constants.FE_BadSelectionForOperation (-59)
The Selection doesn’t support the requested operation.
Constants.FE_Canceled (-44)
The User or parameters canceled the operation.
Constants.FE_BadOperation (-27)
The parameters specified an invalid operation.

Parameter | Type | Description
flags | int | Bit field that specifies how to cut the text and how to handle interactive alerts. For default settings, specify 0. (Optional)

int DeleteBuildExpr ([exprName: string]) Deletes a Boolean conditional expression from the document.
The method returns FE_Success, on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_ReadOnly (-6)
Document is read-only.
Constants.FE_BadName (-33)
Boolean conditional expression string is invalid.

Parameter | Type | Description
exprName | string | The name of the Boolean conditional expression to delete. (Optional)

int DeleteText ([textRange: TextRange]) Deletes a specified text range from a document.
The method returns FE_Success if it succeeds. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDelete (-17)
Specified text could not be deleted.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_NotTextObject (-41)
Object specified for the text range is not an object that contains text, for example, a text frame (FO_TextFrame), a paragraph (FO_Pgf) or a text line (FO_TextLine).
Constants.FE_BadSelectionForOperation (-59)
Selection is within a locked text range.

Parameter | Type | Description
textRange | TextRange | The text range to delete. (Optional)

int DeleteUnusedCharFmt () Deletes the unused Character Formats.
See DeleteUnusedFmts under the Doc class for more information.

int DeleteUnusedFmts ([objType: int]) Deletes unused formats (character, paragraph or table) from the document.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadDelete (-17)
The format to be deleted is not one of character, paragraph or table.

Parameter | Type | Description
objType | int | The type of format to be deleted. (Optional)

int DeleteUnusedPgfFmt () Deletes the unused Paragraph Formats.
See DeleteUnusedFmts under the Doc class for more information.

int DeleteUnusedTblFmt () Deletes the unused Table Formats.
See DeleteUnusedFmts under the Doc class for more information.

Void DemoteElement () Demotes the selected structural element or elements. The element becomes a child of the sibling element before it.
At least one structural element must be selected in the document, before calling DemoteElement().
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.

TextLoc ElementLocToTextLoc ([eloc: ElementLoc]) Returns the text location structure that corresponds with the current element location.
The method returns the text location structure containing the element location, on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_Badparameter (-43)
The eloc parameter was empty or incorrectly specified.
Constants.FE_WrongProduct (-60)
Current product interface is not Structured FrameMaker.

Parameter | Type | Description
eloc | ElementLoc | The element location structure to convert. (Optional)

int Export (fileName: string, exportParams: PropVals, exportReturnParams: PropVals)

Parameter | Type | Description
fileName | string |
exportParams | PropVals |
exportReturnParams | PropVals |

TextRange Find ([textLoc: TextLoc][, findParams: PropVals]) Performs the same actions as using the Find dialog box to search a document for text or other types of content.
The properties you can assign to findParamsp are as follows:
Property
Meaning and Possible Values
Constants.FS_FindText (1)
The text to search for.
Constants.FS_FindElementTag (2)
Strings as follows:propVal.u.ssval.len = FV_NumFindElementItems; propVal.u.ssval.val[FV_FindElemTag] = [an_element_tag]; propVal.u.ssval.val[FV_FindAttrName]= [an_attribute_name]; propVal.u.ssval.val[FV_FindAttrValue] = [an_attribute_value];
All of the strings must be present, but any or all may be empty.
Constants.FS_FindCharFmt (3)
No associated property. One or more of the following additional properties should be specified to tailor the search.

• FontFamily

• CombinedFont

• FontSize

• FontAngle

• FontWeight

• FontVariation

• Color

• Spread

• Stretch

• Language

• Underline

• Overline

• Strikethrough

• ChangeBar

• Capitalization

• Position

• Tsume

Constants.FS_FindPgfTag (4)
Paragraph tag.
Constants.FS_FindCharTag (5)
Character tag.
Constants.FS_FindTableTag (6)
Table tag.
Constants.FS_FindObject (8)
Value is one of:

• Constants.FV_FindAnyMarker (0)

• Constants.FV_FindAnyXRef (1)

• Constants.FV_FindUnresolvedXRef (2)

• Constants.FV_FindAnyTextInset (3)

• Constants.FV_FindUnresolvedTextInset (4)

• Constants.FV_FindAnyPub (5)

• Constants.FV_FindAnyVariable (6)

• Constants.FV_FindAnchoredFrame (7)

• Constants.FV_FindFootnote (8)

• Constants.FV_FindAnyTable (9)

• Constants.FV_FindAutomaticHyphen (10)

• Constants.FV_FindAnyRubi (11)

Constants.FS_FindMarkerOfType (9)
Marker type.
Constants.FS_FindMarkerText (10)
Marker text.
Constants.FS_FindXRefWithFormat (11)
Format string.
Constants.FS_FindNamedVariable (12)
Variable name.
Constants.FS_FindCondTextInCondTags (13)
Condition tags.
Constants.FS_FindCondTextNotInCondTags (14)
Condition tag.
Constant.FS_FindCustomizationFlags (15)
An optional parameter of type FT_Integer that may be any of the following bit flags OR’ed together:

• Constants.FF_FIND_CONSIDER_CASE (0x01)

• Constants.FF_FIND_WHOLE_WORD (0x02)

• Constants.FF_FIND_USE_WILDCARDS (0x04)

• Constants.FF_FIND_BACKWARDS (0x08)

If no customization flags are specified, the default is to search forward, to not use wildcards, to not consider case, and to not use whole words.
Constants.FS_FindWrap (16)
A flag that determines whether the find operation wraps when it reaches the location where the search began. Default is True; the find operations wraps.If False, after reaching the location where the search began, the find operation returns an empty TextRange and FA_errno is set to Constants.FE_NotFound (-95).

Whenever the Find() method finds something that corresponds to a text range (a word, object anchor, marker, etc.), it returns a TextRange structure for that range. However, when searching for structure elements, you can find elements that have no corresponding text range.Structure elements for the following table parts have no corresponding text range:

• Table title

• Table head

• Table foot

• Table body

• Table row

• Table cell

When the Find() method finds a structure element for one of these objects, it returns an empty TextRange structure and sets FA_errno to FE_Success. In this case, you can get the document’s ElementSelection property to return a corresponding ElementRange structure for the table part structure element.
On failure, an empty text range is returned and FA_errno is set to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadParameter (-43)
findParams was empty or a parameter was improperly specified.
Constants.FE_BadInsertPos (-65)
The value of the textLoc parameter is invalid.
Constants.FE_NotTextObject (-41)
textLoc parameter is not a text location.

Parameter | Type | Description
textLoc | TextLoc | The text location to begin searching from. (Optional)
findParams | PropVals | A property list that specifies what to search for. (Optional)

string GetActiveBuildExpr () Returns the name of the active expression in the document or null if none is active.
On failure, the method returns the following value to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.

string GetBuildExpr ([exprName: string]) Returns the Boolean conditional expression in the document with the given name or null if none is found.
On failure, the method returns the following value to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadName ()
The parameter specified by exprName is invalid.

Parameter | Type | Description
exprName | string | The name of Boolean conditional expression. (Optional)

Strings GetBuildExprCatalog () Returns an array of all Boolean conditional expression names in the document.
On failure, the method returns the following value to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.

AttrCondExpr GetNamedAttrCondExpr ([name: string]) Gets an attribute conditional expression object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the AttrCondExpr object you want to get. (Optional)

CharFmt GetNamedCharFmt ([name: string]) Gets a Character Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the CharFmt object you want to get. (Optional)

Color GetNamedColor ([name: string]) Gets a Color object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the Color object you want to get. (Optional)

CombinedFontDefn GetNamedCombinedFontDefn ([name: string]) Gets a Combined Font Definition object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the CombinedFontDefn object you want to get. (Optional)

CondFmt GetNamedCondFmt ([name: string]) Gets a Conditional Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the CondFmt object you want to get. (Optional)

ElementDef GetNamedElementDef ([name: string]) Gets an Element Definition object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the ElementDef object you want to get. (Optional)

FmtChangeList GetNamedFmtChangeList ([name: string]) Gets a Format Change List object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the FmtChangeList object you want to get. (Optional)

MarkerType GetNamedMarkerType ([name: string]) Gets a Marker Type object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the Marker Type object you want to get. (Optional)

MasterPage GetNamedMasterPage ([name: string]) Gets a MasterPage object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the MasterPage object you want to get. (Optional)

Object GetNamedObject ([objType: int][, name: string]) Gets the object with the specified name and type. The method works with the following objects:

• AttrCondExpr

• CharFmt

• Color

• CombinedFontDefn

• Command

• CondFmt

• ElementDef

• FmtChangeList

• Menu

• MenuItemSeparator

• MasterPage

• PgfFmt

• RefPage

• RulingFmt

• TblFmt

• UnanchoredFrame (reference frame)

• VarFmt

• XRefFmt

• MarkerType

The method returns the object, on success.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_TypeUnNamed (-19)
Objects of the specified type do not have names.
Constants.NameNotFound (-20)
Object with the specified name and type does not exist in the specified document.

Parameter | Type | Description
objType | int | The type of object (for example FO_TblFmt). (Optional)
name | string | The name of the object you want to get. (Optional)

PgfFmt GetNamedPgfFmt ([name: string]) Gets a Paragraph Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the PgfFmt object you want to get. (Optional)

RefPage GetNamedRefPage ([name: string]) Gets a Reference Page object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the RefPage object you want to get. (Optional)

RulingFmt GetNamedRulingFmt ([name: string]) Gets a Ruling Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the RulingFmt object you want to get. (Optional)

TblFmt GetNamedTblFmt ([name: string]) Gets a Table Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the TblFmt object you want to get. (Optional)

UnanchoredFrame GetNamedUnanchoredFrame ([name: string]) Gets an Unanchored Frame object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the Unanchored Frame object you want to get. (Optional)

VarFmt GetNamedVarFmt ([name: string]) Gets a Variable Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the Variable Format object you want to get. (Optional)

XRefFmt GetNamedXRefFmt ([name: string]) Gets a Cross Reference Format object.
See GetNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name of the Cross Reference Format object you want to get. (Optional)

PropVals GetProps () The GetProps() method retrieves the properties of the Doc object.
See GetProps under the AFrame class for more information.

TextItems GetTextForRange ([tr: TextRange][, flags: int]) Gets the text for a specified text range.
Call the method on the document as follows:
document.GetTextForRange()
You can OR the following constants into the flags parameter, to retrieve various text items:
Text Item Type
Text Item Represents
Text Item Data
Constants.FTI_CharPropsChange (0x00200000)
A change in the text properties
Flags indicating which properties have changed (see the following table).
Constants.FTI_ElementBegin (0x00080000)
The beginning of a container structural element
FO_Element
Constants.FTI_ElementEnd (0x00100000)
The end of a container structural element
FO_Element
Constants.FTI_ElemPrefixBegin (0x08000000)
The beginning of an element’s prefix
FO_Element
Constants.FTI_ElemPrefixEnd (0x10000000)
The end of an element’s prefix
FO_Element
Constants.FTI_ElemSuffixBegin (0x20000000)
The beginning of an element’s suffix
FO_Element
Constants.FTI_ElemSuffixEnd (0x40000000)
The end of an element’s suffix
FO_Element
Constants.FTI_FlowBegin (0x00000020)
The beginning of a flow
FO_Flow
Constants.FTI_FlowEnd (0x00000040)
The end of a flow
FO_Flow
Constants.FTI_FnAnchor (0x00001000)
A footnote
FO_Fn
Constants.FTI_FrameAnchor (0x00000800)
An anchored frame
FO_AFrame
Constants.FTI_LineBegin (0x00000002)
The beginning of a line
-
Constants.FTI_LineEnd (0x00000004)
The end of a line and the line end type
If the line end is a normal line end, the value is 0;
if it is a forced line end, the FTI_HardLineEnd flag is set;
if it is a hyphen line end, the FTI_HyphenLineEnd flag is set
Constants.FTI_MarkerAnchor (0x00004000)
A Marker
FO_Marker
Constants.FTI_PageBegin (0x00000080)
The beginning of a page
FO_Page
Constants.FTI_PageEnd (0x00000100)
The end of a page
FO_Page
Constants.FTI_PgfBegin (0x00000008)
The beginning of a paragraph
FO_Pgf
Constants.FTI_PgfEnd (0x00000010)
The end of a paragraph
FO_Pgf
Constants.FTI_String (0x00000001)
A string of characters with the same condition and character format.
A character string
Constants.FTI_SubColBegin (0x00000200)
The beginning of a column
FO_SubCol
Constants.FTI_SubColEnd (0x00000400)
The end of a column
FO_SubCol
Constants.FTI_TblAnchor (0x00002000)
A Table
FO_Tbl
Constants.FTI_TextFrameBegin (0x00400000)
The beginning of a text frame
FO_TextFrame
Constants.FTI_TextFrameEnd (0x00800000)
The end of a text frame
FO_TextFrame
Constants.FTI_TextInsetBegin (0x02000000)
The beginning of a text inset
FO_TiApiClient, FO_TiFlow, FO_TiText, or FO_TiTextTable
Constants.FTI_TextInsetEnd (0x04000000)
The end of a text inset
FO_TiApiClient, FO_TiFlow, FO_TiText, or FO_TiTextTable
Constants.FTI_TextObjId (0x01000000)
The object to which the offsets of all the text items are relative
FO_Pgf or FO_TextLine
Constants.FTI_VarBegin (0x00020000)
The beginning of a variable
FO_Var
Constants.FTI_VarEnd (0x00040000)
The end of a variable
FO_Var
Constants.FTI_XRefBegin (0x00008000)
The beginning of a cross-reference
FO_XRef
Constants.FTI_XRefEnd (0x00010000)
The end of a cross-reference
FO_XRef

The following table lists the flags for FTI_CharPropsChange. These flags indicate which properties have changed.
Flags
Meaning
Constants.FTF_ALL (0xFFFFFE03)
OR of all the flags
Constants.FTF_ANGLE (0x10000000)
The font angle has changed.
Constants.FTF_CAPITALIZATION (0x000040000)
The capitalization has changed.
Constants.FTF_CHANGEBAR (0x01000000)
The change bars have changed.
Constants.FTF_CHARTAG (0x00008000)
The Character Catalog format has changed.
Constants.FTF_COLOR (0x00010000)
The color has changed.
Constants.FTF_CONDITIONTAG (0x00000001)
The condition tag has changed.
Constants.FTF_ENCODING (0x00000200)
The text encoding has changed,
Constants.FTF_FAMILY (0x80000000)
The font family has changed.
Constants.FTF_IIF (0x00000002)
An internal flag having to do with Asian text. input. If there is a non-zero value for this flag, a front-end processor is controlling that text and you should not modify the associated text item.
Constants.FTF_KERNX (0x00080000)
The kern-x characteristic has changed.
Constants.FTF_KERNY (0x00040000)
The kern-x characteristic has changed.
Constants.FTF_LANGUAGE (0x00000800)
Character language has changed.
Constants.FTF_OUTLINE (0x00800000)
The outline characteristic has changed.
Constants.FTF_OVERLINE (0x02000000)
The overline characteristic has changed.
Constants.FTF_PAIRKERN (0x00200000)
The pair kerning has changed.
Constants.FTF_POSITION (0x00002000)
The character position has changed.
Constants.FTF_SHADOW (0x00400000)
The shadow characteristic has changed.
Constants.FTF_SIZE (0x00100000)
The font size has changed.
Constants.FTF_SPREAD (0x00020000)
The font spread has changed.
Constants.FTF_STRETCH (0x00001000)
The font stretch value has changed.
Constants.FTF_STRIKETHROUGH (0x04000000)
The strikethrough characteristic has changed.
Constants.FTF_TSUME (0x00000400)
The Tsume setting has changed.
Constants.FTF_UNDERLINING (0x08000000)
The underlining has changed.
Constants.FTF_VARIATION (0x40000000)
The font variation has changed.
Constants.FTF_WEIGHT (0x20000000)
The font weight has changed.

On success, the method returns a TextItems structure containing the array of text items of the requested types.
On failure, the method sets the len field of the returned TextItems structure to 0, and returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_NotTextObject (-41)
Object specified for the text range is not an object that contains text.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
The returned TextItems structure references memory that is allocated by the method. Use the DeallocateTextItems() method to free this memory when you are done with using it.

Parameter | Type | Description
tr | TextRange | The text range containing the text you want to get. (Optional)
flags | int | Bit flags that specify the type of text items to retrieve. To get specific types of text items, OR the constants that represent them (for example, FTI_FlowBegin and FTI_String) into flags. To get all types of text items, specify -1. (Optional)

TextItems GetTextForRange2 ([tr: TextRange][, flags: int][, flags2: int]) Gets the text for a specified text range.
You can OR the same flags as in the GetTextForRange() method, for the flags parameter.
On success, the method returns a TextItems structure containing the array of text items of the requested types.
On failure, the method sets the len field of the returned TextItems structure to 0, and returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_NotTextObject (-41)
Object specified for the text range is not an object that contains text.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
The returned TextItems structure references memory that is allocated by the method. Use the DeallocateTextItems() method to free this memory when you are done with using it.

Parameter | Type | Description
tr | TextRange | The text range containing the text you want to get. (Optional)
flags | int | Bit flags for the base set text item types that of text items to retrieve. (Optional)
flags2 | int | Bit flags for the extended set of text item types that specify the type of text items to retrieve. To get specific types of text items from the extended set, OR the constants that represent them (for example, use a bitwise OR to combine FTI2_RubiTextBegin and FTI2_RubiTextEnd) into flags2. To get all types of the extended set of text items, specify -1. (Optional)

PropVal GetTextPropVal ([textLoc: TextLoc][, propNum: int]) Gets a text property (such as the format tag, font family and size, or conditions) for a location in text.
As a text property can be different for each character, you can get the property for only one location in text at a time.
On success, the method returns a PropVal structure with the details of the specified property.On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation

Parameter | Type | Description
textLoc | TextLoc | The text location of the character for which you want to get the the text property. The returned property applies to the character to the right of this location. (Optional)
propNum | int | The property to query. Specify a constant, such as FontFamily. (Optional)

PropVals GetTextProps ([textLoc: TextLoc]) Gets the text properties (such as the format tag, font family and size, and conditions) for a location in text.
As the text properties can be different for each character, you can only get the text properties for an individual location in the text.
On success, the method returns a PropVals structure with the text property list for the specified location.
On failure, the method sets the len field of the returned PropVals structure to 0, and returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_NotTextObject (-41)
Object specified for the text range is not an object that contains text.
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation

Parameter | Type | Description
textLoc | TextLoc | The text location of the character that you want to get text properties for. The returned properties are the properties that apply to the character to the right of the specified location. (Optional)

TypedVal GetTextVal ([textLoc: TextLoc][, propNum: int]) Gets the value of a specified text property, which can be of any type.
On success, the method returns a TypedVal structure containing the value of the specified property.On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_NotTextObject (-41)
Object specified for the text location is not an object that contains text.
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation

Parameter | Type | Description
textLoc | TextLoc | The text location of the character for which you want to get the text property. The returned property applies to the character to the right of this location. (Optional)
propNum | int | The property to query. Specify a constant, such as FontFamily. (Optional)

Object GetUniqueObject ([objType: int][, unique: int]) Gets the object from its persistent unique identifier (UID).
FrameMaker assigns a UID to each object in a document or book that is not identified by a name. The UID, unlike the object’s ID, does not change from one session to another.
When you copy an object to the clipboard and paste it, FrameMaker changes the UID. This also happens when you hide and show conditional text.
The method returns the object, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document
Constants.FE_TypeUnNamed (-19)
Objects of the specifies type are not identified by UIDs
Constants.FE_NameNotFound (-20)
Objects with the specified UID could not be found

Parameter | Type | Description
objType | int | The type of object (for example, FO_Pgf) (Optional)
unique | int | UID of the object (Optional)

int HypertextCommand ([hypertext: string]) Simulates a user-invoked hypertext command.
Calling the HypertextCommand() method has the same effect as a user clicking on a hypertext marker containing the specified text.
The method returns FE_Success on success.
On failure, the method returns the following value to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.

Parameter | Type | Description
hypertext | string | A hypertext command to execute, such as gotolink or previouslink.You can specify any command that is valid in a hypertext marker in the document. (Optional)

Object Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals]) Imports text or graphics into a document.
See Import under the Book class for more information.

Parameter | Type | Description
textLocP | TextLoc | The text location at which to import the file. (Optional)
filename | string | The full path of the file to import. (Optional)
importParams | PropVals | A property list specifying how to import the file and how to respond to errors and other conditions. To use the default list, specify null. (Optional)
importReturnParams | PropVals | A property list that provides information about how FrameMaker imported the file. This parameter must be initialized before you call Import(). (Optional)

Void MergeIntoFirst () Merges the selected structural elements into the first element in the selection.
At least two structural elements must be selected in the document before calling the MergeIntoFirst() method.
On success, the method does not return any value.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.

Void MergeIntoLast () Merges the selected structural elements into the last element in the selection.
At least two structural elements must be selected in the document before calling the MergeIntoLast() method.
On success, the method does not return any value.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.

AFrame NewAnchoredAFrame ([textloc: TextLoc]) Creates an anchored AFrame object.
See NewAnchoredObject under the Doc class for more information.

Parameter | Type | Description
textloc | TextLoc | The text location at which to insert the anchored AFrame. (Optional)

Fn NewAnchoredFn ([textloc: TextLoc]) Creates an anchored Fn object.
See NewAnchoredObject under the Doc class for more information.

Parameter | Type | Description
textloc | TextLoc | The text location at which to insert the anchored Fn object. (Optional)

Object NewAnchoredFormattedObject ([objType: int][, format: string][, textLoc: TextLoc]) Creates the following types of anchored objects:

• Var

• XRef

• Tbl

NewAnchoredFormattedObject() inserts the object at the specified location in text. It uses arbitrary default properties for the new object.
After you have created the object, you can use the SetPropertyType() methods to change its properties.If you call NewAnchoredFormattedObject() to create a table, it uses the default numbers of rows and columns from the specified Table Catalog format. To use the default Table Catalog format for a new table, set the format to Null. To specify the number of rows and columns when you create a table, use NewTable().
NewAnchoredFormattedObject() returns the created anchor object, on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadObjId(-3)
Invalid object.
Constants.FE_NotTextObject (-41)
Object specified for text location is not a paragraph (FO_Pgf).
Constants.FE_OffsetNotFound(-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_BadNew(-23)
Object cannot be created; the format specified by format may not exist.

Parameter | Type | Description
objType | int | The type of object to create (for example, FO_XRef). (Optional)
format | string | The string that specifies the object’s format (for example, Heading & Page for a cross-reference, Format A for a table, or Current Date (Long) for a variable). (Optional)
textLoc | TextLoc | The text location at which to insert the anchored object. (Optional)

Tbl NewAnchoredFormattedTbl ([format: string][, textLoc: TextLoc]) Creates an AnchoredFormattedTbl object.
See NewAnchoredFormattedObject under the Doc class for more information.

Parameter | Type | Description
format | string | The string that specifies the object’s format (for example, Heading & Page for a cross-reference, Format A for a table, or Current Date (Long) for a variable). (Optional)
textLoc | TextLoc | The text location at which to insert the AnchoredFormattedTbl object. (Optional)

Var NewAnchoredFormattedVar ([format: string][, textLoc: TextLoc]) Creates an AnchoredFormattedVar object.
See NewAnchoredFormattedObject under the Doc class for more information.

Parameter | Type | Description
format | string | The string that specifies the object’s format (for example, Heading & Page for a cross-reference, Format A for a table, or Current Date (Long) for a variable). (Optional)
textLoc | TextLoc | The text location at which to insert the AnchoredFormattedVar object. (Optional)

XRef NewAnchoredFormattedXRef ([format: string][, textLoc: TextLoc]) Creates an AnchoredFormattedXRef object.
See NewAnchoredFormattedObject under the Doc class for more information.

Parameter | Type | Description
format | string | The string that specifies the object’s format (for example, Heading & Page for a cross-reference, Format A for a table, or Current Date (Long) for a variable). (Optional)
textLoc | TextLoc | The text location at which to insert the AnchoredFormattedXRef object. (Optional)

Marker NewAnchoredMarker ([textloc: TextLoc]) Creates an anchored Marker object.
See NewAnchoredObject under the Doc class for more information.

Parameter | Type | Description
textloc | TextLoc | The text location at which to insert the anchored Marker. (Optional)

Object NewAnchoredObject ([objType: int][, textloc: TextLoc]) Creates any of the following anchored objects:

• AFrame

• Fn

• Marker

• TiApiClient

• Table

NewAnchoredObject() inserts the object at the specified location in text. It uses arbitrary default properties for the new object. After you have created the object, you can use the SetPropertyType() methods to change its properties.Tables created by NewAnchoredObject() have a single column and a single body row. It is usually easier to use NewTable() to create tables.
The method returns the created anchored object on success.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadNew(-23)
Object cannot be created.
Constants.FE_BadObjId(-3)
Invalid object.
Constants.FE_BadOperation (-27)
Method call specified a bad operation.
Constants.FE_NotTextObject (-41)
Object specified for text location is not a paragraph (FO_Pgf).
Constants.FE_OffsetNotFound(-21)
Offset specified for the text location could not be found in the specified paragraph or text line.

Parameter | Type | Description
objType | int | The type of object to create (for example, FO_Marker or FO_Fn). (Optional)
textloc | TextLoc | The text location at which to insert the anchored object. (Optional)

Tbl NewAnchoredTbl ([textloc: TextLoc]) Creates an anchored table object.
See NewAnchoredObject under the Doc class for more information.

Parameter | Type | Description
textloc | TextLoc | The text location at which to insert the anchored Table. (Optional)

TiApiClient NewAnchoredTiApiClient ([textloc: TextLoc]) Creates an anchored TiApiClient object.
See NewAnchoredObject under the Doc class for more information.

Parameter | Type | Description
textloc | TextLoc | The text location at which to insert the anchored TiApiClient object. (Optional)

Arc NewArc ([parent: Any FrameMaker Graphic Object]) Creates an arc object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the arc. (Optional)

Ellipse NewEllipse ([parent: Any FrameMaker Graphic Object]) Creates an ellipse object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the ellipse. (Optional)

Flow NewFlow ([parent: Any FrameMaker Graphic Object]) Creates a flow object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the flow. (Optional)

Object NewGraphicObject ([objType: int][, parent: Any FrameMaker Graphic Object]) Creates the following types of graphic objects:

• Arc

• Ellipse

• Flow

• Group

• Inset

• Line

• Math

• Polyline

• Polygon

• Rectangle

• RoundRect

• TextFrame

• TextLine

• UnanchoredFrame

To create an anchored frame, use NewAnchoredObject().
If there is more than one object within the parent frame, the NewGraphicObject() method adds the new ESTK graphic object to the end of the linked list of child objects. That is, it puts it in the front of the back-to-front draw order. The method automatically takes care of updating the object’s PrevGraphicInFrame and NextGraphicInFrame properties. The NewGraphicObject() method gives the new API graphic object a set of arbitrary default properties. After you create the graphics object, you can use the SetPropertyType() methods to change its properties.
The method returns the newly created graphic object, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_NotFrame (-12)
Specified parent object is not a frame.
Constants.FE_BadNew (-23)
Object cannot be created.

Parameter | Type | Description
objType | int | The type of ESTK graphic object to create (for example, FO_Rectangle or FO_Line). (Optional)
parent | Any FrameMaker Graphic Object | The parent frame in which to create the object. (Optional)

Group NewGroup ([parent: Any FrameMaker Graphic Object]) Creates a group object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the group. (Optional)

Inset NewInset ([parent: Any FrameMaker Graphic Object]) Creates an inset object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the inset. (Optional)

Line NewLine ([parent: Any FrameMaker Graphic Object]) Creates a line object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the line. (Optional)

Math NewMath ([parent: Any FrameMaker Graphic Object]) Creates a math object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the math object. (Optional)

AttrCondExpr NewNamedAttrCondExpr ([name: string]) Creates a named Attribute Conditional Expression.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Attribute Conditional Expression. (Optional)

CharFmt NewNamedCharFmt ([name: string]) Creates a named Character Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Character Format. (Optional)

Color NewNamedColor ([name: string]) Creates a named Color.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Color. (Optional)

CombinedFontDefn NewNamedCombinedFontDefn ([name: string]) Creates a named Combined Font Definition.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Combined Font Definition. (Optional)

CondFmt NewNamedCondFmt ([name: string]) Creates a named Conditional Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Conditional Format. (Optional)

ElementDef NewNamedElementDef ([name: string]) Creates a named Element Definition.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Element Definition. (Optional)

FmtChangeList NewNamedFmtChangeList ([name: string]) Creates a named Format Change List.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Format Change List. (Optional)

MarkerType NewNamedMarkerType ([name: string]) Creates a named Marker Type.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Marker Type. (Optional)

MasterPage NewNamedMasterPage ([name: string]) Creates a named Master Page.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Master Page. (Optional)

Object NewNamedObject ([objType: int][, name: string]) Creates the following named objects:

• AttrCondExpr

• CharFmt

• CombinedFontDefn

• Color

• Command

• CondFmt

• ElementDef

• FmtChangeList

• MasterPage

• Menu

• MenuItemSeparator

• PgfFmt

• RefPage

• RulingFmt

• TblFmt

• VarFmt

• XRefFmt

• MarkerType
This method uses arbitrary default properties for the objects it creates. After you have created the object, you can use the ApiSetPropertyType() functions to change its properties.
When you create a new element definition, it does not appear in the Element Catalog unless you set ElementInCatalog to True. When you create a new book and specify a pathname, you must specify an absolute pathname for the name argument. To create an untitled book, pass an empty string for the name argument.
NewNamedObject() returns the created named object on success.
If this method fails, the API assigns one of the following values to FA_errno.
FA_errno value
Meaning
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadName(-33)
Specified name for the new object is invalid.
Constants.FE_BadNew (-23)
Object cannot be created.
Constants.FE_DupName(-32)
Specified name for the new object belongs to an existing object.

Parameter | Type | Description
objType | int | The type of object to create (for example, FO_MasterPage or FO_PgfFmt). (Optional)
name | string | The name to be assigned to the created object. (Optional)

PgfFmt NewNamedPgfFmt ([name: string]) Creates a named Paragraph Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Paragraph Format. (Optional)

RefPage NewNamedRefPage ([name: string]) Creates a named Reference Page.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Reference Page. (Optional)

RulingFmt NewNamedRulingFmt ([name: string]) Creates a named Ruling Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Ruling Format. (Optional)

TblFmt NewNamedTblFmt ([name: string]) Creates a named Table Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Table Format. (Optional)

VarFmt NewNamedVarFmt ([name: string]) Creates a named Variable Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Variable Format. (Optional)

XRefFmt NewNamedXRefFmt ([name: string]) Creates a named Cross Reference Format.
See NewNamedObject under the Doc class for more information.

Parameter | Type | Description
name | string | The name to be assigned to the created Cross Reference Format. (Optional)

Polygon NewPolygon ([parent: Any FrameMaker Graphic Object]) Creates a polygon object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the polygon. (Optional)

Polyline NewPolyline ([parent: Any FrameMaker Graphic Object]) Creates a polyline object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the polyline. (Optional)

Rectangle NewRectangle ([parent: Any FrameMaker Graphic Object]) Creates a rectangle object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the rectangle. (Optional)

RoundRect NewRoundRect ([parent: Any FrameMaker Graphic Object]) Creates a round rectangle object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the round rectangle. (Optional)

BodyPage NewSeriesBodyPage ([previous: BodyPage]) Creates a body page.
See NewSeriesObject under the Doc class for more information.

Parameter | Type | Description
previous | BodyPage | The object in the series after which to add the new body page. To add a paragraph at the start of a flow, specify the flow. To add a body page at the beginning of any other series, specify 0. (Optional)

One of the following objects: Body page, Pgf and Book Component NewSeriesObject ([objType: int][, previous: One of: Body page, Pgf and Book Component]) Creates the following series objects:

• BodyPage

• BookComponent

• Pgf

The method allows you to specify the position in the series at which to add the new object.
The method returns the created series object, on success.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadNew (-23)
Object cannot be created.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_NotBodyPage (-24)
The prevId parameter must specify a body page.
Constants.FE_NotBodyPgf (-25)
The prevId parameter must specify a paragraph..
Constants.FE_NotBookComponent (-26)
The prevId parameter must specify a book component..

Parameter | Type | Description
objType | int | The type of object to create (for example, FO_BodyPage or FO_Pgf). (Optional)
previous | One of: Body page, Pgf and Book Component | The object in the series after which to add the new object. To add a paragraph at the start of a flow, specify the flow. To add an object at the beginning of any other series, specify 0. (Optional)

Pgf NewSeriesPgf ([previous: Pgf]) Creates a paragraph.
See NewSeriesObject under the Doc class for more information.

Parameter | Type | Description
previous | Pgf | The object in the series after which to add the new paragraph. To add a paragraph at the start of a flow, specify the flow. To add a paragraph at the beginning of any other series, specify 0. (Optional)

Tbl NewTable ([format: string][, numCols: int][, numBodyRows: int][, numHeaderRows: int][, numFooterRows: int][, textLoc: TextLoc]) Inserts a table (FO_Tbl object).
When you create a table in the user interface, you can specify a Table Catalog format for the table. FrameMaker uses the following properties of the Table Catalog format as the defaults for the new table:

• Number of body rows (TblInitNumBodyRows)

• Number of columns (TblInitNumCols)

• Number of footer rows (TblInitNumFRows)

• Number of header rows (TblInitNumHRows)

• Paragraph formats for header, body, and footer cells

For example, if the Table Catalog format’s TblInitNumCols property is set to 8, the NumCols property of the new table is set to 8.With the NewTable() method, you can use the Table Catalog format properties as defaults for the number of rows and columns in a new table, or you can provide your own defaults. After you have create a table, you can add or remove rows with the AddRows() and DeleteRows() methods. You can add or remove columns with the AddCols() and DeleteCols() methods. You can also use the SetPropertyType() functions to change the other properties of the table. If you use the NewTable() method to create a table in a structured FrameMaker document, FrameMaker applies default element tags, such as Table, Row, and Cell, to the table element and its child elements. To make these elements valid, you must add code to change their tags. In most cases it is easier to add tables to structured documents by calling the NewElementInHierarchy() or NewElement() methods to add a table element.
On success, the method returns the newly added table.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_NotTextObject (-41)
Object specified for the text location is not a paragraph (FO_Pgf).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadNew (-23)
Table cannot be created; the format specified by format may not exist or the text location specified by textLoc is in a table or a footnote.

Parameter | Type | Description
format | string | The table format tag (for example, FormatA or Wide Table). To use the default format, specify NULL. (Optional)
numCols | int | The number of columns in the table. To use the default number of columns from the Table Catalog format, specify -1. (Optional)
numBodyRows | int | The number of rows in the table. To use the default number of body rows from the Table Catalog format, specify -1. (Optional)
numHeaderRows | int | The number of heading rows in the table. To use the default number of header rows from the Table Catalog format, specify -1. (Optional)
numFooterRows | int | The number of footing rows in the table. To use the default number of footer rows from the Table Catalog format, specify -1. (Optional)
textLoc | TextLoc | The location at which to insert the new table. The location cannot be within a footnote or a table. (Optional)

TextFrame NewTextFrame ([parent: Any FrameMaker Graphic Object]) Creates a text frame object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the text frame. (Optional)

TextLine NewTextLine ([parent: Any FrameMaker Graphic Object]) Creates a text line object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the text line. (Optional)

UnanchoredFrame NewUnanchoredFrame ([parent: Any FrameMaker Graphic Object]) Creates an unanchored frame object.
See NewGraphicObject for more information.

Parameter | Type | Description
parent | Any FrameMaker Graphic Object | The parent frame in which to create the unanchored frame. (Optional)

int ObjectValid () Returns True if the Doc object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

int Paste ([flags: int]) Pastes the contents of the FrameMaker Clipboard into a specified document at the insertion point. Cutting and Pasting objects causes FrameMaker to create an ID for the pasted object.
Specifying a value of 0 for the flags parameter, causes the Paste() method to suppress any interactive alerts or warnings that arise. In addition, the method inserts columns to the left of the current columns and rows above the current row.
You can OR the following values into flags:
Flags
Meaning
Constants.FF_INTERACTIVE (0x0001)
Prompt the user with dialog or alert boxes that arise.
Constants.FF_VISIBLE_ONLY (0x0010)
Cut only the visible portion of the selection.
Constants.FF_DONT_DELETE_HIDDEN_TEXT (0x0004)
Do not replace hidden text.
Constants.FF_DONT_APPLY_ALL_ROWS (0x0040)
Do no’t apply condition setting on the Clipboard to all rows. If whole table is selected and the Clipboard contains condition setting, cancel the paste operation.
Constants.FF_REPLACE_CELLS (0x0020)
Replace selected cells with cells on the Clipboard.
Constants.FF_INSERT_BELOW_RIGHT (0x0008)
Add columns to the right of the current column or below the current row.

When you use the Paste() method to paste table cells into a table, it does not work exactly like the interactive Paste command.
The interactive Paste command automatically overwrites cells if the Clipboard contains less than an entire row or column. For example, if the insertion point is in a three-column table and the Clipboard contains a single cell, the interactive Paste command overwrites the cell containing the insertion point with the cell on the Clipboard.
If two cells in the table are selected, the interactive Paste command overwrites both of them with the cell on the Clipboard.
By default, the Paste() method does not overwrite any cells. If the Clipboard contains less than an entire row or column when you call Paste(), or if the current selection is less than an entire row, the Paste() method does nothing and returns Constants.FE_BadSelectionForOperation (-59).The method ensures that you do not inadvertently overwrite any cells.
To make the Paste() method replace cells with the Clipboard contents, you must call it with the Constants.FF_REPLACE_CELLS (0x0020) flag set. The Constants.FF_INTERACTIVE (0x0001) flag takes precedence over other flags.
If you specify Constants.FF_INTERACTIVE (0x0001)|Constants. FF_DONT_DELETE_HIDDEN_TEXT (0x0004) and the selection contains hidden text, FrameMaker prompts the user, and allows the user to choose whether to delete the hidden text or retain it.
It is illegal to specify Constants.FF_REPLACE_CELLS (0x0020)| Constants.FF_INSERT_BELOW_RIGHT (0x0008).
The method returns FE_Success on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.
Constants.FE_Canceled (-44)
User canceled the operation.

Parameter | Type | Description
flags | int | Bit field that specifies how to paste the text and how to handle interactive alerts. For default settings, specify 0. (Optional)

Void PromoteElement () Promotes the selected structural element. The selected element becomes a sibling of its former parent and appears immediately after its former parent. The siblings that follow it become the element’s children.
One structural element must be selected when the PromoteElement() method is called. The selected element cannot be the root element or a child of the root element.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support the requested operation
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.

int QuickSelect ([prompt: string][, stringlist: Strings]) Implements a quick-key interface that allows the user to choose a string from a list of strings in the document Tag area.
The QuickSelect() method highlights the document Tag area and displays a prompt and the first string in a specified list of strings.
The user can display a string in the Tag area by typing the first few letters of the string. The user can also scroll through the strings by pressing the up and down arrow keys.
To choose a string, the user presses Return when the string appears in the Tag area. To cancel the choice, the user clicks in the document without pressing Return.
On success, the method returns an index into the array of strings specified by stringlist or -1 if the user cancels the quick selection.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.
Constants.FE_BadDocId (-2)
Invalid document.

Parameter | Type | Description
prompt | string | The prompt that appears in the Tag area (Optional)
stringlist | Strings | The list of strings from which the user can choose (Optional)

int Redisplay () Updates the display for a specified document to reflect any changes that occurred when the Displaying property was set to False. If you have set the Displaying property to False and subsequently reset it to True, you should call the Redisplay() method to redisplay each document you modified.
The method returns FE_Success on success. On failure, the method returns the following value to FA_errno:Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.

int Reformat () Reformats the specified document. If you have disabled and subsequently re-enabled reformatting by setting the session property, Reformatting to True, you should call the Reformat() method to reformat each changed document in the session.
The method returns FE_Success on success. On failure, the method returns the following value to FA_errno:Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.

int Rehyphenate () Rehyphenates a specified document based on changes the user has made to words’ hyphenation points.
The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.
Constants.FE_SystemError (-42)
Could not allocate memory.

int ResetEqnSettings () Resets the document equation settings to the default settings.
The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.
Constants.FE_SystemError (-42)
Could not allocate memory.

int ResetReferenceFrames () Resets the reference frames in the specified document. This method is useful for updating a document after you have programmatically changed a reference frame that is referenced by paragraphs in the document.
The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.
Constants.FE_SystemError (-42)
Could not allocate memory.

int RestartPgfNumbering () Restarts the paragraph numbering for a specified document.
The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.
Constants.FE_SystemError (-42)
Could not allocate memory.

Object Save ([saveAsName: string][, saveParams: PropVals][, saveReturnParams: PropVals]) Saves a document.
See Save under the Book class for more information.

Parameter | Type | Description
saveAsName | string | The path for saving the document or book. (Optional)
saveParams | PropVals | A property list that tells FrameMaker how to save the file and how to respond to errors and other conditions. Use GetSaveDefaultParams() or AllocatePropVals() to create and allocate memory for this property list. To use the default list, specify null. (Optional)
saveReturnParams | PropVals | A property list that returns information about how the FrameMaker product saved the file. (Optional)

int ScrollToText ([textRange: TextRange]) Scrolls the document window to a specified text range. The method scrolls the document to the end of the range that is closest to the current display position.
The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid Object
Constants.FE_NotTextObject (-41)
Object specified for the text location is not a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text range could not be found in the specified paragraph or text line.
Constants.FE_BadRange (-36)
The specified text range is invalid.

Parameter | Type | Description
textRange | TextRange | The text range to which to scroll. (Optional)

int SetActiveBuildExpr ([exprName: string]) Applies the Boolean conditional expression to the document.
The method returns FE_Success, on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_ReadOnly (-6)
Document is read-only.
Constants.FE_BadName (-33)
Boolean conditional expression string is invalid.

Parameter | Type | Description
exprName | string | The name of the Boolean conditional expression to be applied. (Optional)

Void SetElementRange ([propNum: int][, setVal: ElementRange]) Sets an element range property.
To specify a selection that includes the root element, set beg.parentId to 0, beg.childId to the root element, and end.childId to 0.
The method does not return anything on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
invalid object.
Constants.FE_WrongProduct (-60)
Current product interface is not Structured FrameMaker.

Parameter | Type | Description
propNum | int | The property to set. Specify an ESTK defined property, such as ElementSelection. (Optional)
setVal | ElementRange | The element range to which the property must be set. (Optional)

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the Doc object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Void SetTextPropVal ([textRange: TextRange][, setVal: PropVal]) Sets a text property for a specified text range. The property can be of any type.
On success, the method does not return anything.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError(-56)
General rule in structured document has a syntax error.
Constants.FE_NotTextObject (-41)
Object specified for the text range is not a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text range could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_ReadOnly (-6)
Property is read-only and cannot be set.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.

Parameter | Type | Description
textRange | TextRange | The text range to which the property is to be applied. (Optional)
setVal | PropVal | The property to apply to the text range. (Optional)

Void SetTextProps ([textRange: TextRange][, setVal: PropVals]) Sets the text properties (such as the format tag, font family, and size) for a text range.
On success, the method does not return anything.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError(-56)
General rule in structured document has a syntax error.
Constants.FE_NotTextObject (-41)
Object specified for the text range is not a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text range could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_ReadOnly (-6)
Property is read-only and cannot be set.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.

Parameter | Type | Description
textRange | TextRange | The text range to which to apply the property list. (Optional)
setVal | PropVals | The property list to apply to the text range. (Optional)

Void SetTextVal ([textRange: TextRange][, propNum: int][, setVal: TypedVal]) Sets a specified text property for a text range.
On success, the method does not return anything.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError(-56)
General rule in structured document has a syntax error.
Constants.FE_NotTextObject (-41)
Object specified for the text range is not a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text range could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_ReadOnly (-6)
Property is read-only and cannot be set.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.

Parameter | Type | Description
textRange | TextRange | The text range to which the property is to be applied. (Optional)
propNum | int | The number of the property to set. (Optional)
setVal | TypedVal | The value of the property to set. (Optional)

int SilentPrintDoc () Prints a document or a book using the default print settings. Default print settings are the settings that appear in the Print dialog box when the user attempts to print a document.
The SilentPrintDoc() method initializes the print page size and printer name if they do not have values.
To change a document’s default print settings, set the document’s print properties. [To be linked to the print properties]
For example, to change the turn registration marks on when you print a document, use the SetInt() method to set the document’s RegistrationMarks property.
If you save the document or attempt to print it again within the same session, any changes you make to a document’s print settings (except PrintStartPage and PrintEndPage) appears the next time the user displays the Print dialog box for the document.
The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_SystemError (-42)
Could not open or close the printer file.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.

int SimpleImportElementDefs ([fromDocOrBook: Doc|Book][, importFlags: int]) Imports element definitions and the format change list catalog from an EDD or FrameMaker document or book to a FrameMaker document or book.
If you import element definitions to a book,the SimpleImportElementDefs() method imports element definitions to each book component for which the ImportFmtInclude property is set to True.
You can OR the following flags into the importFlags parameter:
Flag
Meaning
Constants.FF_IED_REMOVE_OVERRIDES (0x0001)
Clear format overrides
Constants.FF_IED_REMOVE_BOOK_INFO (0x0002)
Clear formatting inherited from a parent book, if the method is called on a document
Constants.FF_IED_DO_NOT_IMPORT_EDD (0x0004)
Do not treat the target document as an EDD but just import its element catalog, if the target document is an EDD
Constants.FF_IED_NO_NOTIFY (0x0008)
Do not issue the Constants.FA_Note_PreImportElemDefs (64) or Constants.FA_Note_PostImportElemDefs (65) notifications.

The method returns FE_Success on success.On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the requested operation
Constants.FE_BadDocId (-2)
Invalid document

Parameter | Type | Description
fromDocOrBook | Doc|Book | The document or book from which the element definitions are to be imported (Optional)
importFlags | int | Specifies how to import formats (Optional)

int SimpleImportFormats ([fromDoc: Doc][, formatFlags: int][, Constants.FF_UFF_COLOR (0x100): Import colors.][, Constants.FF_UFF_COMBINED_FONTS (0x800): Import combined fonts.][, Constants.FF_UFF_COND (0x0010): Import conditions.][, Constants.FF_UFF_DOCUMENT_PROPS (0x0400): Import document properties.][, Constants.FF_UFF_FONT (0x0002): Import Character Catalog formats.][, Constants.FF_UFF_MATH (0x200): Import equation settings.][, Constants.FF_UFF_PAGE (0x0004): Import page layouts.][, Constants.FF_UFF_PGF (0x0001): Import Paragraph Catalog formats.][, Constants.FF_UFF_REFPAGE (0x0020): Import reference pages.][, Constants.FF_UFF_REMOVE_EXCEPTIONS (0x8000): Remove exception formats from target documents.][, Constants.FF_UFF_REMOVE_PAGE_BREAKS (0x4000): Remove all forced page breaks from target documents.][, Constants.FF_UFF_TABLE (0x0008): Import Table Catalog formats.][, Constants.FF_UFF_VAR (0x0040): Import variable formats.][, Constants.FF_UFF_XREF (0x0080): Import cross reference formats.]) Imports formats from a document to a document or a book. If you import formats to a book, the method imports formats to each book component for which the ImportFmtInclude property is set to True.
You can OR the following values into the formatFlags parameter to specify which formats to import.
Value
Format to Import
Constants.FF_UFF_COLOR (0x0100)
Colors
Constants.FF_UFF_COMBINED_FONTS (0x0800)
Combined Fonts
Constants.FF_UFF_COND (0x0010)
Conditions
Constants.FF_UFF_DOCUMENT_PROPS (0x0400)
Document Properties
Constants.FF_UFF_FONT (0x0002)
Character Catalog Formats
Constants.FF_UFF_MATH (0x0200)
Equation Settings
Constants.FF_UFF_PAGE (0x0004)
Page Layouts
Constants.FF_UFF_PGF (0x0001)
Paragraph Catalog Formats
Constants.FF_UFF_REFPAGE (0x0020)
Reference Pages
Constants.FF_UFF_REMOVE_EXCEPTIONS (0x8000)
Remove exception formats from target documents
Constants.FF_UFF_REMOVE_PAGE_BREAKS (0x4000)
Remove all forced page breaks from target documents
Constants.FF_UFF_TABLE (0x0008)
Table Catalog Formats
Constants.FF_UFF_VAR (0x0040)
Variable Formats
Constants.FF_UFF_XREF (0x0080)
Cross Reference Formats

The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support this operation.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_Canceled (-44)
User canceled the operation.
Constants.FE_FailedState (-45)
The FrameMaker product failed to open one or more of the book’s document files during the import operation.

Parameter | Type | Description
fromDoc | Doc | The document or book from which to import formats. (Optional)
formatFlags | int | Bit field specifying which formats to import. Specify 0 for the default flags. (Optional)
Constants.FF_UFF_COLOR (0x100) | Import colors. | (Optional)
Constants.FF_UFF_COMBINED_FONTS (0x800) | Import combined fonts. | (Optional)
Constants.FF_UFF_COND (0x0010) | Import conditions. | (Optional)
Constants.FF_UFF_DOCUMENT_PROPS (0x0400) | Import document properties. | (Optional)
Constants.FF_UFF_FONT (0x0002) | Import Character Catalog formats. | (Optional)
Constants.FF_UFF_MATH (0x200) | Import equation settings. | (Optional)
Constants.FF_UFF_PAGE (0x0004) | Import page layouts. | (Optional)
Constants.FF_UFF_PGF (0x0001) | Import Paragraph Catalog formats. | (Optional)
Constants.FF_UFF_REFPAGE (0x0020) | Import reference pages. | (Optional)
Constants.FF_UFF_REMOVE_EXCEPTIONS (0x8000) | Remove exception formats from target documents. | (Optional)
Constants.FF_UFF_REMOVE_PAGE_BREAKS (0x4000) | Remove all forced page breaks from target documents. | (Optional)
Constants.FF_UFF_TABLE (0x0008) | Import Table Catalog formats. | (Optional)
Constants.FF_UFF_VAR (0x0040) | Import variable formats. | (Optional)
Constants.FF_UFF_XREF (0x0080) | Import cross reference formats. | (Optional)

Doc SimpleSave ([saveAsName: string][, interactive: int]) Saves a document or book.
If you set the interactive parameter to False and specify the document or book’s current name for saveAsName, FrameMaker saves the document or book under its current name.
If you specify another filename for saveAsName, FrameMaker saves the document or book to that filename.
If you specify an empty string (""), FrameMaker does not save the file. Instead it sets FA_errno to Constants.FE_BadParameter (-43).If you set the interactive parameter to True, FrameMaker displays the Save dialog box and allows the user to choose a filename. The document or book’s current name appears as the default name.
The method returns the document it saved, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason

• Constants.FE_Canceled (-44)

• Constants.FE_CanceledByClient (-86)

• Constants.FV_FileNotWritable (33): File was not writable.

• Constants.FV_BadSaveFileName (34): The specified file name is not allowed by the operating system.

• Constants.FV_BadFileId (35): The file’s operating system ID was bad.

• Constants.FV_CancelSaveFileIsInUse (50): The file is in use and the user did not or could not reset the lock. Or the file is in use, and the Constants.FS_FileIsInUse (17) parameter is set to Constants.FV_DoCancel (0), or it is set to Constants.FV_ResetLockAndContinue (7) but FrameMaker could not reset the lock.

• Constants.FV_CancelSaveModDateChanged (52): The file has changed since the last time it was opened or saved in the current session.

• Constants.FV_LockCouldntBeReset (2): File lock could not be reset.

• Constants.FV_LockWasReset (0): File lock was reset.

• Constants.FV_LockNotReset (1): File lock was not reset.

• Constants.FV_FileIsViewOnly (4): File was View Only.

• Constants.FV_NonPortableSaveName (37): File had a name that is not portable (Macintosh only).

• Constants.FV_NonPortableFileRefs (38): Referenced graphics files had filenames that are not portable (Macintosh only).

Constants.FE_WrongProduct (-60)
The specified file contains structure and the current product interface is not Structured FrameMaker.
Constants.FE_FailedState (-45)
Constants.FE_BadParameter (-43)
The filename was invalid.
Constants.FE_FilterFailed (-89)
Constants.FV_InvalidSaveFilter (42): The filter specified by Constants.FS_SaveFileTypeHint (16) is not installed, or the syntax for Constants.FS_SaveFileTypeHint (16) is invalid.

Parameter | Type | Description
saveAsName | string | The absolute path in which to save the document or book. (Optional)
interactive | int | Specifies whether the FrameMaker product displays messages and warnings to the user. Setting this to True displays messages and warnings. (Optional)

Void SplitElement () Splits the structural element containing the insertion point into two elements at the insertion point. The insertion point must be inside the element you want to split.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.
Constants.FE_WrongProduct (-60)
Current FrameMaker interface is not Structured FrameMaker.

ElementLoc TextLocToElementLoc ([tloc: TextLoc]) Returns the element location structure that corresponds to the current text location.
On success, the method returns an ElementLoc structure containing the element location.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadParameter ()
tloc parameter was empty or was improperly specified
Constants.FE_WrongProduct (-60)
Current FrameMaker interface is not Structured FrameMaker.

Parameter | Type | Description
tloc | TextLoc | The text location structure to convert. (Optional)

int TrackChangesAcceptAll () Accepts all the track changes in the specified document.
The method returns FE_Success on success and returns a non-zero integer on failure.
Returns Constants.FE_AcceptRejectCalledOnWrongPreviewState (-110) if the document is not in Preview Off state.

int TrackChangesRejectAll () Rejects all the track changes in the specified document.
The method returns FE_Success on success and returns a non-zero integer on failure.
Returns Constants.FE_AcceptRejectCalledOnWrongPreviewState (-110) if the document is not in Preview Off state.

Void UnWrapElement () Removes the selected structural elements, but leaves their contents and child elements intact in the document.
The UnWrapElement() method does not remove all the elements in the selection but only removes the top-level elements.
At least one structural element must be selected before calling the UnWrapElement() method.The UnWrapElement() method has no effect on object elements.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.
Constants.FE_WrongProduct (-60)
Current FrameMaker interface is not Structured FrameMaker.

Void UndoCancel ()

Void UndoEndCheckPoint ()

Void UndoStartCheckPoint (description: string)

Parameter | Type | Description
description | string |

int UpdateVariables () Updates all the variables in a document. The method performs the same operation as clicking Update in the Variable dialog box.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Product does not support the operation.
Constants.FE_SystemError (-42)
Could not allocate memory.

int UpdateXRef ([srcDoc: Doc][, xref: XRef]) Updates the cross-references in a document. It performs the same operation as clicking Update in the Cross-Reference window.
You can OR the values listed in the following tables into the updateXRefFlags argument.
Value
What to update
Constants.FF_XRUI_INTERNAL (0x01)
Updates only internal cross-references.
Constants.FF_XRUI_OPEN_DOCS (0x02)
Updates only cross-references whose sources are in open documents.
Constants.FF_XRUI_CLOSED_DOCS (0x04)
Updates only cross-references whose sources are in closed documents.
Constants.FF_XRUI_FORCE_UPDATE (0x08)
Updates all cross-references, regardless of whether the source document has changed.
Constants.FF_XRUI_EVERYTHING (0x01|0x02|0x04|0x08)
Updates all cross references.

The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Product does not support the operation.
Constants.FE_SomeUnresolved (-42)
There are some unresolved references after the update.

Parameter | Type | Description
srcDoc | Doc | The document in which to update cross-references. (Optional)
xref | XRef | Flags to indicate which cross-references to update. . (Optional)

int UpdateXRefs ([updateXRefFlags: int]) Updates the cross-references in a document. The method performs the same operation as clicking Update in the Cross-Reference window.
You can OR the following values into the updateXRefFlags parameter:
Flags
Meaning
Constants.FF_XRUI_FORCE_UPDATE (0x08)
Updates all cross-references, regardless of whether the source document has changed
Constants.FF_XRUI_INTERNAL (0x01)
Only update internal cross-references
Constants.FF_XRUI_OPEN_DOCS (0x02)
Only update cross-references whose sources are in open documents
Constants.FF_XRUI_CLOSED_DOCS (0x04)
Only update cross-references whose sources are in closed documents
Constants.FF_XRUI_EVERYTHING (0x01|0x02|0x03)
Update all cross references.

The method returns FE_Success on success. On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the requested operation
Constants.FE_BadDocId (-2)
Invalid document
Constants.FE_SomeUnresolved (-22)
There are some unresolved references after the update

Parameter | Type | Description
updateXRefFlags | int | Flags that indicate which cross-references to update. (Optional)

Element of

CompareRet.comp

CompareRet.sum

Doc.NextOpenDocInSession

app.ActiveDoc

app.FirstOpenDoc

Used in:

CompareRet Book.Compare ([newerDoc: Doc][, flags: int][, insertCondTag: string][, deleteCondTag: string][, replaceText: string][, compareThreshold: int])

int Book.SimpleImportFormats ([fromDoc: Doc][, formatFlags: int])

CompareRet CompareRet.CompareRet ([sum: Doc][, comp: Doc])

CompareRet Doc.Compare ([newerDoc: Doc][, flags: int][, insertCondTag: string][, deleteCondTag: string][, replaceText: string][, compareThreshold: int])

int Doc.SimpleImportFormats ([fromDoc: Doc][, formatFlags: int][, Constants.FF_UFF_COLOR (0x100): Import colors.][, Constants.FF_UFF_COMBINED_FONTS (0x800): Import combined fonts.][, Constants.FF_UFF_COND (0x0010): Import conditions.][, Constants.FF_UFF_DOCUMENT_PROPS (0x0400): Import document properties.][, Constants.FF_UFF_FONT (0x0002): Import Character Catalog formats.][, Constants.FF_UFF_MATH (0x200): Import equation settings.][, Constants.FF_UFF_PAGE (0x0004): Import page layouts.][, Constants.FF_UFF_PGF (0x0001): Import Paragraph Catalog formats.][, Constants.FF_UFF_REFPAGE (0x0020): Import reference pages.][, Constants.FF_UFF_REMOVE_EXCEPTIONS (0x8000): Remove exception formats from target documents.][, Constants.FF_UFF_REMOVE_PAGE_BREAKS (0x4000): Remove all forced page breaks from target documents.][, Constants.FF_UFF_TABLE (0x0008): Import Table Catalog formats.][, Constants.FF_UFF_VAR (0x0040): Import variable formats.][, Constants.FF_UFF_XREF (0x0080): Import cross reference formats.])

int Doc.UpdateXRef ([srcDoc: Doc][, xref: XRef])

Return

Doc Doc.SimpleSave ([saveAsName: string][, interactive: int])

Doc global.CustomDoc ([width: int][, height: int][, numCols: int][, columnGap: int][, topMargin: int][, botMargin: int][, leftinsideMargin: int][, rightoutsideMargin: int][, sidedness: int][, makeVisible: bool])

Doc global.SimpleNewDoc ([templateName: string][, interactive: int])


Adobe FrameMaker-10 Object Model JS: Element

Class

Element

QuickLinks

 Delete, GetAttributes, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
AllowAsSpecialCase | int | readwrite | True if the element is treated as a special case.
AttrDisplay int readwrite Specifies element’s attribute display properties. The value is one of:

• Constants.FV_ATTR_DISP_NONE (1) - Do not display attributes

• Constants.FV_ATTR_DISP_REQSPEC (2) - Display required and specified attributes

• Constants.FV_ATTR_DISP_ALL (3) - Display all attributes
AttributeValueInvalid | int | readwrite | True if the element contains an attribute value that is invalid.
Attributes | Attributes | readwrite | The element’s attributes.
AttributesEx | AttributesEx | readwrite
BookComponent | BookComponent | readonly | Component file in book (FO_BookComponent ID).
BookComponentMissing | int | readonly | True if a component file is missing from a book.
ContentIsLooselyValid | int | readonly | True if the content is loosely valid (it has some missing elements).
ContentIsStrictlyValid | int | readonly | True if the content of the element is strictly valid.
ContentMustBeEmpty | int | readonly | True if the element cannot have any content.
ContentNeededAtBegin | int | readonly | True if content is needed at the beginning of the element.
ContentNeededAtEnd | int | readonly | True if content is needed at end of the element. ContentNeededAtEnd is obsolete, but is supported for backward compatibility.
ContextLabel | string | readonly | The context label (if any) that is applied to the element.
ElementDef | ElementDef | readwrite | Element’s element definition (FO_ElementDef ID).
ElementIsCollapsed | int | readwrite | Returns True if the element is collapsed in Structure View. Returns False otherwise.
ElementIsExcludedInContext | int | readonly | True if the element is excluded.
ElementIsInvalidInParent | int | readonly | True if the element cannot occur anywhere in its current parent.
ElementIsInvalidInPosition | int | readonly | True if the element is invalid in its current position.
ElementIsUndefined | int | readonly | True if the element is undefined.
ElementMarkedForNamedDestination | int | readwrite | Used for generatig PDF. If True, this element will have a corresponding Named Destination in the generated PDF.
ElementType int readonly The type of element. The value is one of:

• Constants.FV_FO_CONTAINER (1)

• Constants.FV_FO_SYS_VAR (2)

• Constants.FV_FO_XREF (3)

• Constants.FV_FO_MARKER (4)

• Constants.FV_FO_FOOTNOTE (5)

• Constants.FV_FO_GRAPHIC (6)

• Constants.FV_FO_EQN (7)

• Constants.FV_FO_TBL (8)

• Constants.FV_FO_TBL_TITLE (9)

• Constants.FV_FO_TBL_HEADING (10)

• Constants.FV_FO_TBL_BODY (11)

• Constants.FV_FO_TBL_FOOTING (12)

• Constants.FV_FO_TBL_ROW (13)

• Constants.FV_FO_TBL_CELL (14)

• Constants.FV_FO_RUBIGROUP (15)

• Constants.FV_FO_RUBI (16)
ErrorInBookComponent | int | readonly | True if there is a validation error for a component in a book.
FirstChildElement | Element | readonly | Denote the element’s first child element (FO_Element ID) if the element is a container, .
FormatOverride | int | readonly | Returns True if the element has a format override. Else, returns False.
HoleBeforeElement | int | readonly | True if there are one or more missing elements before the element within the same parent.
InvalidHighestLevel | int | readonly | True if the element cannot be the highest-level element in the flow.
LastChildElement | Element | readonly | Denotes the element’s last child element (FO_Element ID) if the element is a container.
MatchingFirstPgfClauses | Objects | readonly | IDs of the first paragraph clauses (FO_FmtRuleClause IDs) in the element’s definition that apply to the element.
MatchingLastPgfClauses | Objects | readonly | IDs of the last paragraph clauses (FO_FmtRuleClause IDs) in the element’s definition that apply to the element.
MatchingObjectClauses | Objects | readonly | IDs of the object clauses (FO_FmtRuleClause IDs) in the element’s definition that apply to the element.
MatchingPrefixClauses | Objects | readonly | IDs of the prefix clauses (FO_FmtRuleClause IDs) in the element’s definition that apply to the element.
MatchingSuffixClauses | Objects | readonly | IDs of the suffix clauses (FO_FmtRuleClause IDs) in the element’s definition that apply to the element.
MatchingTextClauses | Objects | readonly | IDs of the text clauses (FO_FmtRuleClause IDs) in the element’s definition that apply to the element.
Namespace Strings readwrite Prefix/path pairs defining namespaces for the element. This list must contain an even number of strings. For example:
prefix1, path1prefix2, path2
NamespaceScope | Element | readonly | The ID of element which declares the namespace that is used to define the current element.
NextInvalidElement | Element | readonly | Next invalid element in the document (FO_Element ID).
NextSiblingElement | Element | readonly | Element’s next sibling element (FO_Element ID).
NumNamespaces | int | readonly | The number of namespaces declared in the current element. This property is Readonly.
Object FMObject readonly ID of the object that an element contains. The type of object the ID specifies depends on the element definition as follows:

• Constants.FV_FO_SYS_VAR (2): FO_Var

• Constants.FV_FO_XREF (3): FO_XRef

• Constants.FV_FO_MARKER (4): FO_Marker

• Constants.FV_FO_FOOTNOTE (5): FO_Fn

• Constants.FV_FO_GRAPHIC (6): FO_AFrame (containing the graphic)

• Constants.FV_FO_EQN (7): FO_AFrame (containing the equation)

• Constants.FV_FO_TBL (8): FO_Tbl

• Constants.FV_FO_TBL_TITLE (9): FO_Tbl

• Constants.FV_FO_TBL_HEADING (10): FO_Tbl

• Constants.FV_FO_TBL_BODY (11): FO_Tbl

• Constants.FV_FO_TBL_FOOTING (12): FO_Tbl

• Constants.FV_FO_TBL_ROW (13): FO_Row

• Constants.FV_FO_TBL_CELL (14): FO_Cell

• Constants.FV_FO_RUBIGROUP (15): FO_Rubi

• Constants.FV_FO_RUBI (16): FO_Rubi
ParentElement | Element | readonly | Element’s parent element (FO_Element ID).
PrevSiblingElement | Element | readonly | Element’s previous sibling element (FO_Element ID).
TextIsInvalidInElement int readonly True if the element contains only text and the element definition disallows it.
TextIsInvalidInElement is obsolete and is no longer supported.
TextRange | TextRange | readonly | Denotes the Text range that the element encompasses (see the explanation below).
Unique | int | readonly | Unique ID of the element.
UserString | string | readwrite | A string to which clients can store private data.
ValidationFlags int readonly Bit flags specifying the element’s validity.
To determine all the ways in which an element is invalid without querying all the validation properties, query the ValidationFalgs property.
Each bit flag in the returned value represents the value of the validation property with the corresponding name.
For example, if the ElementTypeMismatch property is True, the Constants.FV_ELEM_TYPE_MISMATCH (0x0002) flag is set.
The various bit flags are as follows:

• Constants.FV_ELEM_UNDEFINED (0x0001)

• Constants.FV_ELEM_TYPE_MISMATCH (0x0002)

• Constants.FV_ELEM_EXCLUDED (0x0004)

• Constants.FV_ELEM_INVALID_IN_PARENT (0x0008)

• Constants.FV_ELEM_INVALID_AT_POSITION (0x0010)

• Constants.FV_ELEM_HAS_TEXT_INVALID (0x0020)

• Constants.FV_ELEM_CONTENT_MUST_BE_EMPTY (0x0040)

• Constants.FV_ELEM_MISSING_CONTENT_BEFORE (0x0080)

• Constants.FV_ELEM_MISSING_CONTENT_AT_BEG (0x0100)

• Constants.FV_ELEM_MISSING_CONTENT_AT_END (0x0200)

• Constants.FV_ELEM_NOT_VALID_AS_ROOT (0x0400)

• Constants.FV_ELEM_BOOK_COMP_MISSING (0x0800)

• Constants.FV_ELEM_BOOK_COMP_INVALID (0x1000)

• Constants.FV_ELEM_ATTRVAL_REQUIRED (0x2000)

• Constants.FV_ELEM_ATTRVAL_INVALID (0x4000)

• Constants.FV_ELEM_CONTENT_STRICTLY_VALID (0x10000)

• Constants.FV_ELEM_CONTENT_LOOSELY_VALID (0x20000)

Methods

Instances

int Delete () Deletes an element.
See Delete under the AFrame class for more information.

Attributes GetAttributes () Gets an elements attributes.
The Attributes structure returned by GetAttributes() includes the attributes in the following order:

• Attributes defined in the element definition in the same order in which they are defined in the element definition.

• Undefined attributes in random order.

If an element does not have attributes, the len field of the Attributes structure is set to 0 and the val field is set to NULL.
Query the valflags field of the Attributes structure to determine whether the attribute is valid, or if there are any validation errors . The validation error flags are as follows:
Error
Reason
Constants.FV_AV_REQUIRED (1)
This attribute is required, but it has no value assigned to it.
Constants.FV_AV_INVALID_CHOICE (2)
At least one value for the attribute is not one of the allowed choices.
Constants.FV_AV_INVALID_FORMAT (3)
The attribute value is of the wrong type for the attribute.
Constants.FV_AV_IDREF_UNRESOLVED (4)
The attribute refers to an undefined ID value.
Constants.FV_AV_ID_DUPLICATE_IN_DOC (5)
The attribute value should be unique, but is not unique within the document.
Constants.FV_AV_TOO_MANY_TOKENS (7)
The attribute value has more than one token, but the attribute definition only allows one token.
Constants.FV_AV_UNDEFINED (8)
The attribute is not defined for the containing element.
Constants.FV_AV_OUT_OF_RANGE (9)
The attribute value is out of the range specified in the attribute definition.

On failure, GetAttributes() assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Current product interface is not structured FrameMaker.
Constants.FE_BadObjId (-3)
Invalid object.

PropVals GetProps () Retrieves the properties of the element object.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the element.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the element object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the element object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

AFrame.Element

Book.HighestLevelElement

BookComponent.ComponentElement

Cell.Element

Cell.HighestLevelElement

Element.FirstChildElement

Element.LastChildElement

Element.NamespaceScope

Element.NextInvalidElement

Element.NextSiblingElement

Element.ParentElement

Element.PrevSiblingElement

ElementLoc.child

ElementLoc.parent

Flow.HighestLevelElement

Fn.Element

Marker.Element

Row.Element

Rubi.Element

Rubi.RubiElement

Tbl.Element

Tbl.HighestLevelElement

Tbl.TblBodyElement

Tbl.TblElement

Tbl.TblFooterElement

Tbl.TblHeaderElement

Tbl.TblTitleElement

Var.Element

XRef.Element

Used in:

ElementLoc ElementLoc.ElementLoc ([parent: Element][, child: Element][, offset: int])

Return

Element Book.NewBookComponentInHierarchy ([compName: string][, elemLoc: ElementLoc])

Element ElementDef.NewElement ([textLoc: TextLoc])

Element ElementDef.NewElementInHierarchy ([elemLoc: ElementLoc])


Adobe FrameMaker-10 Object Model JS: ElementCatalogEntries

Class

ElementCatalogEntries

An Array of ElementCatalogEntry objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

ElementCatalogEntries concat ([value: ElementCatalogEntries]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | ElementCatalogEntries | Can also be arrays. (Optional)

ElementCatalogEntry pop () Removes the last element from the array.

number push ([value: ElementCatalogEntry]) Returns the new length of the array.

Parameter | Type | Description
value | ElementCatalogEntry | The value to be pushed. (Optional)

Element of

Book.ElementCatalog

Doc.ElementCatalog

TypedVal.csval

Used in:

ElementCatalogEntries ElementCatalogEntries.concat ([value: ElementCatalogEntries])

Return

ElementCatalogEntries ElementCatalogEntries.concat ([value: ElementCatalogEntries])


Adobe FrameMaker-10 Object Model JS: ElementCatalogEntry

Class

ElementCatalogEntry

QuickLinks

 ElementCatalogEntry

Properties

Property | Type | Access | Description
flags | uint | readwrite | The type of validation returned. The value is one of the following: • Constants.FV_STRICTLY_VALID (0x01) - Catalog entry is strictly valid. • Constants.FV_LOOSELY_VALID (0x02) - Catalog entry is loosely valid. • Constants.FV_ALTERNATIVE (0x04) - Catalog entry is an alternative. • Constants.FV_INCLUSION (0x08) - Catalog entry is valid because it is an inclusion. If none of the flags are set, then the element is invalid at the current position.
obj | ElementDef | readwrite | Denotes the ID of the element definition.

Methods

Constructor

ElementCatalogEntry ElementCatalogEntry ([obj: ElementDef][, flags: uint][, Constants.FV_STRICTLY_VALID (0x01): Catalog entry is strictly valid.][, Constants.FV_LOOSELY_VALID (0x02): Catalog entry is loosely valid.][, Constants.FV_ALTERNATIVE (0x04): Catalog entry is an alternative.][, Constants.FV_INCLUSION (0x08): Catalog entry is valid because it is an inclusion.]) Describes a catalog entry in an Element Catalog in FrameMaker.

Parameter | Type | Description
obj | ElementDef | Element definition. (Optional)
flags | uint | Validation type. (Optional)
Constants.FV_STRICTLY_VALID (0x01) | Catalog entry is strictly valid. | (Optional)
Constants.FV_LOOSELY_VALID (0x02) | Catalog entry is loosely valid. | (Optional)
Constants.FV_ALTERNATIVE (0x04) | Catalog entry is an alternative. | (Optional)
Constants.FV_INCLUSION (0x08) | Catalog entry is valid because it is an inclusion. | (Optional)

Used in:

number ElementCatalogEntries.push ([value: ElementCatalogEntry])

Return

ElementCatalogEntry ElementCatalogEntries.pop ()

ElementCatalogEntry ElementCatalogEntry.ElementCatalogEntry ([obj: ElementDef][, flags: uint][, Constants.FV_STRICTLY_VALID (0x01): Catalog entry is strictly valid.][, Constants.FV_LOOSELY_VALID (0x02): Catalog entry is loosely valid.][, Constants.FV_ALTERNATIVE (0x04): Catalog entry is an alternative.][, Constants.FV_INCLUSION (0x08): Catalog entry is valid because it is an inclusion.])


Adobe FrameMaker-10 Object Model JS: ElementDef

Class

ElementDef

QuickLinks

 Delete, ElementDefIsText, GetAttributeDefs, GetProps, NewElement, NewElementInHierarchy, ObjectValid, SetProps, WrapElement

Properties

Property | Type | Access | Description
AlsoInsert | Strings | readwrite | The list of the tags of child elements that are automatically inserted when an element is initially added.
AlsoInserts TypedVal readwrite The list of list of the tags of child elements that are automatically inserted when an element is initially added.
For example: Setting the AlsoInserts property of element definition of A to [[a1, a11],[a2, a21]], will automatically insert all child elements of A [a1, a2, a11 and a21] when A is inserted.
AttributeDefs | AttributeDefs | readwrite | The element definition’s attribute definitions.
Comment | string | readwrite | Text string of the comment.
DescriptiveTag | string | readwrite | A small description about the element. If the user specifies this in the EDD, then the element description can be viewed in the Element Catalog of the structured document.
ElementDataType int readwrite Retrieves/sets the data type of Element. The possible values are one of:

• Constants.FV_DT_UNSPECIFIED(0)

• Constants.FV_DT_INTEGER(1)

• Constants.FV_DT_FLOAT(2)
ElementDefType int readwrite Type of formatter object represented by the element with element definition.Constants.FV_FO_CONTAINER (1) identifies a container element. Other values identify object (non-container) elements.
The value is one of:

• Constants.FV_FO_UNSPECIFIED (0)

• Constants.FV_FO_CONTAINER (1)

• Constants.FV_FO_SYS_VAR (2)

• Constants.FV_FO_XREF (3)

• Constants.FV_FO_MARKER (4)

• Constants.FV_FO_FOOTNOTE (5)

• Constants.FV_FO_GRAPHIC (6)

• Constants.FV_FO_EQN (7)

• Constants.FV_FO_TBL (8)

• Constants.FV_FO_TBL_TITLE (9)

• Constants.FV_FO_TBL_HEADING (10)

• Constants.FV_FO_TBL_BODY (11)

• Constants.FV_FO_TBL_FOOTING (12)

• Constants.FV_FO_TBL_ROW (13)

• Constants.FV_FO_TBL_CELL (14)
ElementDescription | string | readwrite | Reserved for future use.
ElementInCatalog | int | readwrite | True if the element is in the Element Catalog.
ElementPgfFormat | string | readwrite | The name of the paragraph format applied to the element.
Exclusions | Strings | readwrite | List of excluded elements.
FirstPgfRules Objects readonly The IDs of the first paragraph format rules (FO_FmtRule IDs).
To set the format rules for an element definition, use NewFmtRuleObject().
GeneralRule | string | readwrite | Text of the element’s general rule.
GeneralRuleErrorOffsets | Ints | readonly | Contains the error offsets (two positions are specified only if the content rule is ambiguous).
Inclusions | Strings | readwrite | List of included elements.
InitStructurePattern | string | readwrite | The initial structure pattern; for table elements, a comma delimited string that specifies the necessary child elements to automatically insert.
LastPgfRules | Objects | readonly | The IDs of the last paragraph format rules (FO_FmtRule IDs).
Name | string | readonly | Name of the element definition.
NextElementDefInDoc | ElementDef | readonly | Next element definition in the document’s list of element definitions (FO_ElementDef ID).
ObjectFmtRules | Objects | readonly | The IDs of the object format rules (FO_FmtRule IDs).
PrefixRules | Objects | readonly | The IDs of the prefix format rules (FO_FmtRule IDs).
SuffixRules | Objects | readonly | The IDs of the suffix format rules (FO_FmtRule IDs).
TextFmtRules | Objects | readonly | The IDs of the text format rules (FO_FmtRule IDs).
ValidHighestLevel | int | readwrite | True if the element can be used as the highest-level element for a flow.

Methods

Instances

int Delete () Deletes an element definition.
See Delete under the AFrame class for more information.

int ElementDefIsText () Some structural elements in FrameMaker documents are placeholders for text. For example, when a Para element contains text with a cross-reference element embedded in it, the ranges of text that surround the cross-reference element are treated as elements themselves. These elements are called text nodes.
The ElementDefIsText() method checks the value of an element definition to determine whether the element it is applied to is a text node.
The method returns True if the element definition corresponds to that of a text node, or False if it does not correspond to a text node.

AttributeDefs GetAttributeDefs () Gets the attribute definitions of an element definition.
On success, the method returns an AttributeDefs structure containing the attribute definitions.
The attrType field of the returned AttributeDefs structure identifies the attribute value’s type. It can specify one of the following constants:
Constant
Value
Constant.FV_AT_STRING (0)
Any arbitrary text string.
Constant.FV_AT_STRINGS (1)
One or more arbitrary text strings.
Constants.FV_AT_CHOICES (2)
A value from a list of choices.
Constants.FV_AT_INTEGER (3)
A signed whole number (optionally restricted to a range of values).
Constants.FV_AT_INTEGERS (4)
One or more integers (optionally restricted to a range of values).
Constants.FV_AT_REAL (5)
A real number (optionally restricted to a range of values).
Constants.FV_AT_REALS (6)
One or more real numbers (optionally restricted to a range of values).
Constants.FV_AT_UNIQUE_ID (7)
A string that uniquely identifies the element.
Constants.FV_AT_UNIQUE_IDREF (8)
A reference to a UniqueID attribute.
Constants.FV_AT_UNIQUE_IDREFS (9)
One or more references to UniqueID attributes.

On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_WrongProduct (-60)
Current product interface is not Structured FrameMaker.
Constants.FE_BadObjId(-3)
Invalid object.

PropVals GetProps () The GetProps() method retrieves the properties of an element definition.
See GetProps under the AFrame class for more information.

Element NewElement ([textLoc: TextLoc]) Creates a structural element (FO_Element) in a FrameMaker document.
NewElement() inserts the new element at the specified location in text, using the specified element definition.
For object (noncontainer) elements, NewElement() inserts the appropriate type of object for the element. If there is a matching format rule, NewElement() uses it to format the object. Otherwise, the method uses one of the following default formats:
Object Type
Object Inserted
Format Used By Default
Constants.FV_FO_XREF (3)
Cross Reference
Undefined XRef
Constants.FV_FO_EQN (7)
Equation
Medium
Constants.FV_FO_MARKER (4)
Marker
Type 11
Constants.FV_FO_TBL (8)
Table with the format specified by the table format.
Format A if it exists; otherwise, a table with a heading row, 8 body rows, a footing row, and 5 columns.
Constants.FV_FO_SYS_VAR (2)
Variable
Filename (Long)
Constants.FV_FO_GRAPHIC (6)
A centered 1.0-inch by 1.0-inch anchored frame below the current position; cropped is off, and floating is on.
-

The method returns the created element, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadNew (-23)
Object cannot be created.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_NotTextObject(-41)
Object specified for the text location is not a paragraph (FO_Pgf) or a text line (FO_TextLine).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.

Parameter | Type | Description
textLoc | TextLoc | The text location at which to insert the new element. (Optional)

Element NewElementInHierarchy ([elemLoc: ElementLoc]) Creates a structural element (FO_Element) at a specified location in the element hierarchy of a structured FrameMaker document or book.
To create the root element for a book, you must use NewElementInHierarchy(). However, you cannot use NewElementInHierarchy() to add elements to an unstructured document. You must structure the document first by adding a root element with NewElement().
For object (noncontainer) elements, NewElementInHierarchy() inserts the appropriate type of object for the element. If there is a matching format rule, NewElementInHierarchy() uses it to format the object. Otherwise, the method uses one of the following default formats:
Object Type
Object Inserted
Format Used By Default
Constants.FV_FO_XREF (3)
Cross Reference
Undefined XRef
Constants.FV_FO_EQN (7)
Equation
Medium
Constants.FV_FO_MARKER (4)
Marker
Type 11
Constants.FV_FO_TBL (8)
Table with the format and number of rows and columns specified by the table format.
Format A if it exists; otherwise, a table with a heading row, 8 body rows, a footing row, and 5 columns.
Constants.FV_FO_SYS_VAR (2)
Variable
Filename (Long)
Constants.FV_FO_GRAPHIC (6)
A centered 1.0-inch by 1.0-inch anchored frame below the current position; cropped is off, and floating is on.
-

The method returns the created element, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadBookId (-66)
Invalid book.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadInsertPos (-65)
elemLoc specifies an invalid place to insert the element; for example, it specifies a position before the highest element in the flow.

Parameter | Type | Description
elemLoc | ElementLoc | The location at which the element is to be inserted. (Optional)

int ObjectValid () Returns True if the element definition is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of an element definition.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Void WrapElement () Inserts a structural element around the selected text and structural elements in a document.
If the flow that contains the selection is unstructured and the selection does not include the entire flow contents, WrapElement() wraps the flow contents into a NoName element before wrapping the selection into the specified element definition.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current product interface is not Structured FrameMaker.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadElementDefId(-28)
Specified element definition is invalid.
Constants.FE_BadSelectionForOperation (-59)
Current text selection is invalid for this operation.

Element of

Book.FirstElementDefInDoc

Doc.FirstElementDefInDoc

Element.ElementDef

ElementCatalogEntry.obj

ElementDef.NextElementDefInDoc

FmtRule.ElementDef

Used in:

ElementCatalogEntry ElementCatalogEntry.ElementCatalogEntry ([obj: ElementDef][, flags: uint][, Constants.FV_STRICTLY_VALID (0x01): Catalog entry is strictly valid.][, Constants.FV_LOOSELY_VALID (0x02): Catalog entry is loosely valid.][, Constants.FV_ALTERNATIVE (0x04): Catalog entry is an alternative.][, Constants.FV_INCLUSION (0x08): Catalog entry is valid because it is an inclusion.])

Return

ElementDef Doc.GetNamedElementDef ([name: string])

ElementDef Doc.NewNamedElementDef ([name: string])


Adobe FrameMaker-10 Object Model JS: ElementLoc

Class

ElementLoc

QuickLinks

 ElementLoc

Properties

Property | Type | Access | Description
child | Element | readwrite | ID of the child element.
offset | int | readwrite | Offset within the parent or child element.
parent | Element | readwrite | ID of the parent element.

Methods

Constructor

ElementLoc ElementLoc ([parent: Element][, child: Element][, offset: int]) Contains a structure specifying an element location. The ElementLoc structure contains the returned parent element, child element and the offset within the child or parent element.

Parameter | Type | Description
parent | Element | Parent element. (Optional)
child | Element | Child element. (Optional)
offset | int | Offset within the child or parent element. (Optional)

Element of

ElementRange.beg

ElementRange.end

Used in:

Element Book.NewBookComponentInHierarchy ([compName: string][, elemLoc: ElementLoc])

BookComponent Book.NewBookComponentOfTypeInHierarchy ([compName: string][, compType: int][, elemLoc: ElementLoc])

TextLoc Doc.ElementLocToTextLoc ([eloc: ElementLoc])

Element ElementDef.NewElementInHierarchy ([elemLoc: ElementLoc])

ElementRange ElementRange.ElementRange ([beg: ElementLoc][, end: ElementLoc])

Return

ElementLoc Doc.TextLocToElementLoc ([tloc: TextLoc])

ElementLoc ElementLoc.ElementLoc ([parent: Element][, child: Element][, offset: int])


Adobe FrameMaker-10 Object Model JS: ElementRange

Class

ElementRange

QuickLinks

 ElementRange

Properties

Property | Type | Access | Description
beg | ElementLoc | readwrite | Beginning of the element range.
end | ElementLoc | readwrite | End of the element range.

Methods

Constructor

ElementRange ElementRange ([beg: ElementLoc][, end: ElementLoc]) A structure specifying an element’s range.

Parameter | Type | Description
beg | ElementLoc | Beginning of the element’s range. (Optional)
end | ElementLoc | End of the element’s range. (Optional)

Element of

Book.ElementSelection

Doc.ElementSelection

Used in:

Void Doc.SetElementRange ([propNum: int][, setVal: ElementRange])

Return

ElementRange ElementRange.ElementRange ([beg: ElementLoc][, end: ElementLoc])


Adobe FrameMaker-10 Object Model JS: Ellipse

Class

Ellipse

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Angle of rotation of the ellipse.
ArrowBaseAngle | int | readwrite | Arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Specifies the factor by which arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is set to False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Arrowhead tip angle in degrees.
ArrowType | int | readwrite | Arrowhead style. The value is one of the following: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Denotes the border width. The permissible range is from 0.015 points to 360 points.
Color | Color | readwrite | The spot color.
Dash | Metrics | readwrite | The dash style. The Dash property specifies a dash pattern that is repeated for the length of an object’s border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | The fill pattern (numbers between 0 and 15). The ESTK provides constants for the following fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object (AFrame or UnAnchoredFrame).
GraphicCantBeSelected | int | readwrite | True if the graphic object cannot be selected;False otherwise.
GraphicIsSelected | int | readwrite | True if the graphic object is selected; False, otherwise.
GroupParent | Group | readwrite | Group that the object is in (FO_Group ID). Anchored and unanchored frames do not have this property.
HeadArrow | int | readwrite | True if the line has an arrow head; otherwise, False.
Height | int | readwrite | Denotes the height of the object. The permissible range is from 0.125 points to 3600 points.
LineCap | int | readwrite | Type of line end. The value is one of: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Distance from the left side of the parent frame (–216 inches to 216 inches). For anchored frames, the distance is automatically calculated from the left side of the page frame. You cannot manually set this property for anchored frames.
LocY | int | readwrite | Distance from the top of the parent frame (–216 inches to 216 inches). For anchored frames, the distance is automatically calculated from the topof the page frame. You cannot manually set this property for anchored frames.
NextGraphicInDoc | FMObject | readonly | Next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Next selected graphic object in document.
ObjectAttributes | Strings | readwrite | A list of strings, each string expressing an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box.Each string is in the form of <tag>string_text</tag>. You can use the backslash to escape characters such as \n, \r, or \t for newline, carraige return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the objec. The value is one of: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | The fill pattern (numbers between 0 and 15). The ESTK provides constants for the following fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Previous graphic object in the group.
RectangleIsSmoothed | int | readonly | True if smoothing is enabled. This property is always True for Ellipse objects.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The value is one of: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap if the object is a runaround object.
TailArrow | int | readwrite | True if arrowhead is enabled at the beginning of the line. False, otherwise.
TintPercent | int | readwrite | Denotes the tint percentage.
Unique | int | readonly | The graphic object’s UID.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes an ellipse.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of an ellipse.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the ellipse is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of an ellipse.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Ellipse Doc.NewEllipse ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: FCodes

Enumeration

FCodes

Value

Name | Description | Value
FCodes.ALT_GFX_INSET |  | int 0xB12
FCodes.ALT_TXT_INSET |  | int 0xB11
FCodes.AMT_DEACTIVATION |  | int 0x967
FCodes.AMT_REGISRATION |  | int 0x965
FCodes.AMT_UPDATES |  | int 0x968
FCodes.CHAR_APPLY_CAT_TO_SEL |  | int 0xF3E
FCodes.CHAR_APPLY_TAG |  | int 0xC11
FCodes.CHAR_DESIGNKIT_APPLY |  | int 0xAAB
FCodes.CHAR_DESIGNKIT_NEWFORMAT |  | int 0xB01
FCodes.CHAR_DESIGNKIT_RESET |  | int 0xABB
FCodes.CHAR_DESIGNKIT_UPDATEALL |  | int 0xAAE
FCodes.CHAR_DESIGNKIT_UPDATEOPTIONS |  | int 0xB04
FCodes.CHAR_DESIGN_CAT |  | int 0xF4F
FCodes.CMD_OPEN_DITAMAP_COMPONENT |  | int 0xF14
FCodes.CONDTEXT_KIT_APPLY |  | int 0xB09
FCodes.CSR_BEFORE_ELEMENT |  | int 0x14B
FCodes.CSR_BOE |  | int 0x149
FCodes.CSR_BOL |  | int 0x105
FCodes.CSR_BOP |  | int 0x10B
FCodes.CSR_BOS |  | int 0x109
FCodes.CSR_BOT |  | int 0x110
FCodes.CSR_BOTR |  | int 0x10E
FCodes.CSR_BOW |  | int 0x107
FCodes.CSR_DOWN |  | int 0x102
FCodes.CSR_EOE |  | int 0x14A
FCodes.CSR_EOL |  | int 0x106
FCodes.CSR_EOP |  | int 0x10C
FCodes.CSR_EOS |  | int 0x10A
FCodes.CSR_EOW |  | int 0x108
FCodes.CSR_FIRST_COL |  | int 0x143
FCodes.CSR_HOME |  | int 0x100
FCodes.CSR_INTO_CHILD |  | int 0x14D
FCodes.CSR_LEFT |  | int 0x104
FCodes.CSR_NEXT_BOP |  | int 0x142
FCodes.CSR_NEXT_BOS |  | int 0x141
FCodes.CSR_NEXT_BOW |  | int 0x140
FCodes.CSR_NEXT_COL |  | int 0x144
FCodes.CSR_NEXT_ELEMENT |  | int 0x145
FCodes.CSR_PREV_ELEMENT |  | int 0x146
FCodes.CSR_PREV_EOS |  | int 0x937
FCodes.CSR_PREV_EOW |  | int 0x938
FCodes.CSR_RIGHT |  | int 0x103
FCodes.CSR_TOP |  | int 0x10F
FCodes.CSR_TOTR |  | int 0x10D
FCodes.CSR_UP |  | int 0x101
FCodes.DEL_BOL |  | int 0x119
FCodes.DEL_BOS |  | int 0x163
FCodes.DEL_BOW |  | int 0x114
FCodes.DEL_CHARBWD |  | int 0x112
FCodes.DEL_CHARFWD |  | int 0x113
FCodes.DEL_EOL |  | int 0x116
FCodes.DEL_EOS |  | int 0x117
FCodes.DEL_EOW |  | int 0x115
FCodes.DEL_NEXT_SS |  | int 0x162
FCodes.DEL_SEL |  | int 0x118
FCodes.DEL_WORD_END |  | int 0x161
FCodes.DEL_WORD_START |  | int 0x160
FCodes.ELEM_BAM |  | int 0xFDC
FCodes.ELEM_CHANGE_CAT_AT_SEL |  | int 0xA12
FCodes.ELEM_INSERT_CUSTOM_1 |  | int 0xA21
FCodes.ELEM_INSERT_CUSTOM_10 |  | int 0xA2A
FCodes.ELEM_INSERT_CUSTOM_2 |  | int 0xA22
FCodes.ELEM_INSERT_CUSTOM_3 |  | int 0xA23
FCodes.ELEM_INSERT_CUSTOM_4 |  | int 0xA24
FCodes.ELEM_INSERT_CUSTOM_5 |  | int 0xA25
FCodes.ELEM_INSERT_CUSTOM_6 |  | int 0xA26
FCodes.ELEM_INSERT_CUSTOM_7 |  | int 0xA27
FCodes.ELEM_INSERT_CUSTOM_8 |  | int 0xA28
FCodes.ELEM_INSERT_CUSTOM_9 |  | int 0xA29
FCodes.ELEM_INS_CAT_AT_SEL |  | int 0xA10
FCodes.ELEM_WRAP_CAT_AT_SEL |  | int 0xA11
FCodes.END_DIALOG |  | int 0xC200
FCodes.END_WINDOW |  | int 0xC500
FCodes.EXTEND_SEL |  | int (0x0002|0x0004|0x0008|0x0010|0x0800)
FCodes.FM_RPT_CMDS_BY_SHORTCUT |  | int 0xD01
FCodes.FM_RPT_CMDS_BY_TAG |  | int 0xD00
FCodes.FM_SEPARATOR |  | int 0xF12
FCodes.FM_TERMINATE |  | int 0xFFF
FCodes.FOCUS_INPUT_ATTREDITOR |  | int 0x62F
FCodes.FOCUS_INPUT_CELLFMT |  | int 0x62A
FCodes.FOCUS_INPUT_COND |  | int 0x629
FCodes.FOCUS_INPUT_CUSTRS |  | int 0x62B
FCodes.FOCUS_INPUT_DOC |  | int 0x620
FCodes.FOCUS_INPUT_ELEM_CTX |  | int 0xA32
FCodes.FOCUS_INPUT_FONTFMT |  | int 0x627
FCodes.FOCUS_INPUT_HYPERTEXT |  | int 0x624
FCodes.FOCUS_INPUT_MARKER |  | int 0x622
FCodes.FOCUS_INPUT_PGFFMT |  | int 0x626
FCodes.FOCUS_INPUT_SEARCH |  | int 0x621
FCodes.FOCUS_INPUT_SPELL |  | int 0x623
FCodes.FOCUS_INPUT_STRWIN |  | int 0x62D
FCodes.FOCUS_INPUT_TBLFMT |  | int 0x62C
FCodes.FOCUS_INPUT_VALIDATION |  | int 0x62E
FCodes.HIGH_CHAR |  | int 0x240
FCodes.HIGH_CHAR_NEXT |  | int 0x510
FCodes.HIGH_CHAR_PREV |  | int 0x410
FCodes.HIGH_CLEAR |  | int 0x247
FCodes.HIGH_COL_BOT |  | int 0x418
FCodes.HIGH_COL_TOP |  | int 0x417
FCodes.HIGH_ELEMENT |  | int 0x249
FCodes.HIGH_ELEMENT_NEXT |  | int 0x421
FCodes.HIGH_ELEMENT_PREV |  | int 0x420
FCodes.HIGH_FLOW |  | int 0x248
FCodes.HIGH_FLOW_BEG |  | int 0x419
FCodes.HIGH_FLOW_END |  | int 0x41A
FCodes.HIGH_HYPERTEXT |  | int 0x517
FCodes.HIGH_LINE |  | int 0x242
FCodes.HIGH_LINE_BEG |  | int 0x41B
FCodes.HIGH_LINE_DOWN |  | int 0x416
FCodes.HIGH_LINE_END |  | int 0x41C
FCodes.HIGH_LINE_NEXT |  | int 0x512
FCodes.HIGH_LINE_PREV |  | int 0x412
FCodes.HIGH_LINE_UP |  | int 0x415
FCodes.HIGH_PARENT |  | int 0x423
FCodes.HIGH_PGF |  | int 0x244
FCodes.HIGH_PGF_NEXT |  | int 0x514
FCodes.HIGH_PGF_PREV |  | int 0x414
FCodes.HIGH_SAMECB |  | int 0x515
FCodes.HIGH_SAMECOND |  | int 0x516
FCodes.HIGH_SENT |  | int 0x243
FCodes.HIGH_SENT_NEXT |  | int 0x513
FCodes.HIGH_SENT_PREV |  | int 0x413
FCodes.HIGH_SHL |  | int 0x245
FCodes.HIGH_SHR |  | int 0x246
FCodes.HIGH_SIBLINGS |  | int 0x422
FCodes.HIGH_WORD |  | int 0x241
FCodes.HIGH_WORD_NEXT |  | int 0x511
FCodes.HIGH_WORD_PREV |  | int 0x411
FCodes.INIT_DIALOG |  | int 0xD80
FCodes.INLINE_TYPEIN |  | int 0xDF3
FCodes.KBD_ABORT |  | int 0x250
FCodes.KBD_ABORT_DLGS |  | int 0x254
FCodes.KBD_ABOUTPRODUCT |  | int 0x305
FCodes.KBD_ACCEPTALLCHANGE |  | int 0x960
FCodes.KBD_ACCEPTCHANGE |  | int 0x958
FCodes.KBD_ACROBAT_SETUP |  | int 0x36C
FCodes.KBD_ADDAUTOCORR |  | int 0x3C5
FCodes.KBD_ADDDOCDICT |  | int 0x3C4
FCodes.KBD_ADDMARKERTYPE |  | int 0x41D
FCodes.KBD_ADDPAGE |  | int 0x346
FCodes.KBD_ADDUSRDICT |  | int 0x3C3
FCodes.KBD_ALIGN |  | int 0x384
FCodes.KBD_ALIGN_BOTTOM |  | int 0x292
FCodes.KBD_ALIGN_MIDDLE |  | int 0x291
FCodes.KBD_ALIGN_TOP |  | int 0x290
FCodes.KBD_ALLCAP |  | int 0x33A
FCodes.KBD_ALLCAPH |  | int 0x369
FCodes.KBD_ALLLOWER |  | int 0x33B
FCodes.KBD_ALLLOWERH |  | int 0x36A
FCodes.KBD_ALLSELECT |  | int 0xF20
FCodes.KBD_ANCHOR |  | int 0x350
FCodes.KBD_ANTIPUTINLINE |  | int 0xF54
FCodes.KBD_API |  | int 0xDF0
FCodes.KBD_API_SHORTCUT |  | int 0xDF1
FCodes.KBD_ARCTOOL |  | int 0x3A4
FCodes.KBD_ASC_ADDDOCDICT |  | int 0x997
FCodes.KBD_ASC_ADDUSRDICT |  | int 0x996
FCodes.KBD_ASC_CORRECT |  | int 0x995
FCodes.KBD_ASC_ENABLE_AUTO_SPELL_CHECK |  | int 0x999
FCodes.KBD_ATOMIZE_INSET |  | int 0xFAA
FCodes.KBD_ATTRCOND |  | int 0x954
FCodes.KBD_ATTREDITQUICK |  | int 0xF4D
FCodes.KBD_ATTRIBUTE_EDIT |  | int 0xFEC
FCodes.KBD_ATTR_CONFIG_FILE_MAKER |  | int 0xFFA
FCodes.KBD_ATTR_DISP_OPTS |  | int 0xFEE
FCodes.KBD_BACK |  | int 0x381
FCodes.KBD_BACKSTACK |  | int 0xEF0
FCodes.KBD_BACKTAB |  | int 0x220
FCodes.KBD_BODYPAGE |  | int 0x342
FCodes.KBD_BOOKADDFILE |  | int 0x30A
FCodes.KBD_BOOKADDFOLDER |  | int 0x601
FCodes.KBD_BOOKADDGROUP |  | int 0x609
FCodes.KBD_BOOKCOMP_EXCLUDE |  | int 0x4E0
FCodes.KBD_BOOKCOMP_FILENAME |  | int 0x607
FCodes.KBD_BOOKCOMP_TEXT |  | int 0x608
FCodes.KBD_BOOKDISPLAYFILENAME |  | int 0x30D
FCodes.KBD_BOOKDISPLAYTEXT |  | int 0x30E
FCodes.KBD_BOOKEDITDEFINE |  | int 0x30B
FCodes.KBD_BOOKRENAMEFILE |  | int 0x30C
FCodes.KBD_BORDERS |  | int 0x361
FCodes.KBD_BROWSE_URL |  | int 0x9A0
FCodes.KBD_CACHE_STATS |  | int 0xF05
FCodes.KBD_CAPITAL |  | int 0x32B
FCodes.KBD_CAPTURE |  | int 0x251
FCodes.KBD_CAPTURE_LIVE_DIALOG |  | int 0xF78
FCodes.KBD_CBARPRO |  | int 0x334
FCodes.KBD_CELLFMTQUICK |  | int 0xF43
FCodes.KBD_CHANGEDICT |  | int 0x3C9
FCodes.KBD_CHANGEQUICK |  | int 0xF4C
FCodes.KBD_CHARFMT_DELETE |  | int 0xB07
FCodes.KBD_CHARFMT_DELETE_UNUSED |  | int 0xB14
FCodes.KBD_CHECKBATCH |  | int 0x3CE
FCodes.KBD_CHECKDOC |  | int 0x3C1
FCodes.KBD_CHECKPAGE |  | int 0x3CB
FCodes.KBD_CHECKSEL |  | int 0x3C0
FCodes.KBD_CLEAR |  | int 0x324
FCodes.KBD_CLEARAUTO |  | int 0x3C8
FCodes.KBD_CLOPWIN |  | int 0x392
FCodes.KBD_CLOSEWIN |  | int 0x390
FCodes.KBD_CLOSE_ATTREDITOR |  | int 0x68B
FCodes.KBD_CLOSE_CHARACTER_CATALOG |  | int 0xD22
FCodes.KBD_CLOSE_CHARACTER_DESIGNER |  | int 0xD29
FCodes.KBD_CLOSE_COMPONENTS |  | int 0x3EB
FCodes.KBD_CLOSE_COND |  | int 0x686
FCodes.KBD_CLOSE_CUSTRS |  | int 0x687
FCodes.KBD_CLOSE_ELEMENT_CATALOG |  | int 0xD26
FCodes.KBD_CLOSE_ELEM_CTX |  | int 0x68C
FCodes.KBD_CLOSE_EQUATIONS_PALETTE |  | int 0xD24
FCodes.KBD_CLOSE_FONTFMT |  | int 0x685
FCodes.KBD_CLOSE_HYPERTEXT |  | int 0x68D
FCodes.KBD_CLOSE_MARKER |  | int 0x682
FCodes.KBD_CLOSE_PARAGRAPH_CATALOG |  | int 0xD21
FCodes.KBD_CLOSE_PARAGRAPH_DESIGNER |  | int 0xD28
FCodes.KBD_CLOSE_PGFFMT |  | int 0x684
FCodes.KBD_CLOSE_SEARCH |  | int 0x681
FCodes.KBD_CLOSE_SPELL |  | int 0x683
FCodes.KBD_CLOSE_STRWIN |  | int 0x689
FCodes.KBD_CLOSE_TABLE_CATALOG |  | int 0xFBD
FCodes.KBD_CLOSE_TABLE_DESIGNER |  | int 0xD2A
FCodes.KBD_CLOSE_TBLFMT |  | int 0x688
FCodes.KBD_CLOSE_TOOLS_PALETTE |  | int 0xD23
FCodes.KBD_CLOSE_TOP_PALETTE |  | int 0xD20
FCodes.KBD_CLOSE_VALIDATION |  | int 0x68A
FCodes.KBD_CMS_CONNECTION_MGR |  | int 0x802
FCodes.KBD_CMS_PREFERENCE |  | int 0x804
FCodes.KBD_CMS_UPLOAD_DOC_OR_BOOK |  | int 0x805
FCodes.KBD_COLLAPSE_ALL |  | int 0x3FA
FCodes.KBD_COLLAYOUT |  | int 0x348
FCodes.KBD_COLOR |  | int 0x39F
FCodes.KBD_COMBINED_FONTS |  | int 0x338
FCodes.KBD_COMPARE |  | int 0x31F
FCodes.KBD_COMPONENT_PROPERTIES |  | int 0x3EE
FCodes.KBD_CONDINDICATOR |  | int 0x953
FCodes.KBD_CONDINQUICK |  | int 0xF44
FCodes.KBD_CONDNOTINQUICK |  | int 0xF45
FCodes.KBD_CONDTEXT |  | int 0x357
FCodes.KBD_CONDTOGGLEOVERR |  | int 0x368
FCodes.KBD_CONDVISIBILITY |  | int 0x367
FCodes.KBD_CONDVISONLYQUICK |  | int 0xF47
FCodes.KBD_CONFIGURE_TC_COLOR |  | int 0x990
FCodes.KBD_CONNECT_TEXT_FRAME |  | int 0x35B
FCodes.KBD_CONSTRAIN |  | int 0x379
FCodes.KBD_CONTEXTMENU |  | int 0x914
FCodes.KBD_COPY |  | int 0x322
FCodes.KBD_COPYATTRS |  | int 0xF9F
FCodes.KBD_COPYCELLFMT |  | int 0xF9B
FCodes.KBD_COPYCOLW |  | int 0xF9C
FCodes.KBD_COPYCOND |  | int 0xF9D
FCodes.KBD_COPYFONT |  | int 0x325
FCodes.KBD_COPYPGF |  | int 0x326
FCodes.KBD_COPYRIGHT |  | int 0x504
FCodes.KBD_CORRECT |  | int 0x3C2
FCodes.KBD_COUNT_SBLOCKS |  | int 0x653
FCodes.KBD_CREATE_PUBLISHER |  | int 0x3D5
FCodes.KBD_CSHELPMODE |  | int 0x304
FCodes.KBD_CURTAIL |  | int 0x35D
FCodes.KBD_CUSTOMNEW |  | int 0x2FF
FCodes.KBD_CUST_TEXT_FRAME |  | int 0xA01
FCodes.KBD_CUT |  | int 0x321
FCodes.KBD_CUTBOTH |  | int 0xA04
FCodes.KBD_CUTHEAD |  | int 0x35C
FCodes.KBD_DASH0 |  | int 0x404
FCodes.KBD_DASH1 |  | int 0x405
FCodes.KBD_DASHOPTION |  | int 0x408
FCodes.KBD_DECDASH |  | int 0x407
FCodes.KBD_DECFILL |  | int 0x3B7
FCodes.KBD_DECPEN |  | int 0x3B3
FCodes.KBD_DECWIDTH |  | int 0x3AF
FCodes.KBD_DELDOCDICT |  | int 0x3C7
FCodes.KBD_DELETEMARKER |  | int 0x969
FCodes.KBD_DELETEPAGE |  | int 0x347
FCodes.KBD_DELETE_FILE |  | int 0x30F
FCodes.KBD_DELMARKERTYPE |  | int 0x358
FCodes.KBD_DELUSRDICT |  | int 0x3C6
FCodes.KBD_DEREFREF |  | int 0xF08
FCodes.KBD_DFN_LIB_obsolete |  | int 0x501
FCodes.KBD_DFN_WEB_obsolete |  | int 0x500
FCodes.KBD_DISTRIBUTE |  | int 0x385
FCodes.KBD_DOCINFO |  | int 0x3DA
FCodes.KBD_DOC_REPORT |  | int 0xF10
FCodes.KBD_DONTHYPHEN |  | int 0x226
FCodes.KBD_DOUBLE_QUOTE |  | int 0x401
FCodes.KBD_DRE_MODE_M |  | int 0xF7C
FCodes.KBD_DRE_MODE_W |  | int 0xF7B
FCodes.KBD_DRE_MODE_X |  | int 0xF7A
FCodes.KBD_DSEXIT |  | int 0xF01
FCodes.KBD_DUMPHYPERTEXT |  | int 0xC20
FCodes.KBD_ECAPTURE |  | int 0x256
FCodes.KBD_EDITLINKS |  | int 0x912
FCodes.KBD_EDITMARKERTYPE |  | int 0x409
FCodes.KBD_EDITVARIABLE |  | int 0xA0C
FCodes.KBD_ELEMENTWIN |  | int 0xF28
FCodes.KBD_ELEM_BORDER |  | int 0xFD2
FCodes.KBD_ELEM_CAT_OPTS |  | int 0xFD7
FCodes.KBD_ELEM_DEMOTE |  | int 0xFDF
FCodes.KBD_ELEM_MERGE_1ST |  | int 0xFD3
FCodes.KBD_ELEM_MERGE_LAST |  | int 0xFD4
FCodes.KBD_ELEM_PROMOTE |  | int 0xFDE
FCodes.KBD_ELEM_SPLIT |  | int 0xFD5
FCodes.KBD_ELEM_TAGS |  | int 0xFDD
FCodes.KBD_ELEM_TRANSPOSE_NEXT |  | int 0xFF5
FCodes.KBD_ELEM_TRANSPOSE_PREV |  | int 0xFF4
FCodes.KBD_ELEM_UNWRAP |  | int 0xFD6
FCodes.KBD_EMBEDDED00 |  | int 0x920
FCodes.KBD_EMBEDDED01 |  | int 0x921
FCodes.KBD_EMBEDDED02 |  | int 0x922
FCodes.KBD_EMBEDDED03 |  | int 0x923
FCodes.KBD_EMBEDDED04 |  | int 0x924
FCodes.KBD_EMBEDDED05 |  | int 0x925
FCodes.KBD_EMBEDDED06 |  | int 0x926
FCodes.KBD_EMBEDDED07 |  | int 0x927
FCodes.KBD_EMBEDDED08 |  | int 0x928
FCodes.KBD_EMBEDDED09 |  | int 0x92A
FCodes.KBD_EMBEDDED10 |  | int 0x92B
FCodes.KBD_EMBEDDED11 |  | int 0x92C
FCodes.KBD_EMBEDDED12 |  | int 0x92D
FCodes.KBD_EMBEDDED13 |  | int 0x92E
FCodes.KBD_EMBEDDED14 |  | int 0x92F
FCodes.KBD_EMBEDDED15 |  | int 0x930
FCodes.KBD_EMBEDDED16 |  | int 0x931
FCodes.KBD_EMBEDDED17 |  | int 0x932
FCodes.KBD_EMBEDDED18 |  | int 0x933
FCodes.KBD_EMBEDDED19 |  | int 0x934
FCodes.KBD_EMBEDDEDMAX |  | int 0x94F
FCodes.KBD_EMSPACE |  | int 0x22C
FCodes.KBD_ENSPACE |  | int 0x22D
FCodes.KBD_EQUATION |  | int 0x336
FCodes.KBD_EVACUATE |  | int 0xF60
FCodes.KBD_EXPAND_ALL |  | int 0x3FB
FCodes.KBD_EXPORT_DOCUMENT |  | int 0xC16
FCodes.KBD_EXPORT_GRAPHIC |  | int 0xC15
FCodes.KBD_EXPOSEWIN |  | int 0x395
FCodes.KBD_FB_EDIT_PREFS |  | int 0xFEF
FCodes.KBD_FILL0 |  | int 0x3B4
FCodes.KBD_FILL1 |  | int 0x3B5
FCodes.KBD_FINDNEXT |  | int 0x955
FCodes.KBD_FINDPREV |  | int 0x956
FCodes.KBD_FIRSTPAGE |  | int 0x340
FCodes.KBD_FIRSTTAB |  | int 0x222
FCodes.KBD_FLIPLR |  | int 0x371
FCodes.KBD_FLIPUD |  | int 0x370
FCodes.KBD_FMPIP |  | int 0x806
FCodes.KBD_FNEXT |  | int 0x231
FCodes.KBD_FONTDESIGN |  | int 0x330
FCodes.KBD_FONTPOD |  | int 0x966
FCodes.KBD_FONTQUICK |  | int 0xF40
FCodes.KBD_FONTREPLACEPOD |  | int 0x95C
FCodes.KBD_FONTWIN |  | int 0xF24
FCodes.KBD_FOOTNOTE |  | int 0x351
FCodes.KBD_FOOTNOTEPRO |  | int 0x335
FCodes.KBD_FPREV |  | int 0x230
FCodes.KBD_FRAMETOOL |  | int 0x3AA
FCodes.KBD_FREETOOL |  | int 0x3A9
FCodes.KBD_FREEZE |  | int 0x34B
FCodes.KBD_FRONT |  | int 0x380
FCodes.KBD_FULLRULERS |  | int 0x3BD
FCodes.KBD_GBL_END |  | int 0x1FF
FCodes.KBD_GBL_START |  | int 0x100
FCodes.KBD_GENERATE |  | int 0x3E1
FCodes.KBD_GETTRIGGER |  | int 0x253
FCodes.KBD_GOTOIP |  | int 0x96F
FCodes.KBD_GOTOLINEN |  | int 0x970
FCodes.KBD_GOTOPAGE |  | int 0x345
FCodes.KBD_GOTOPAGEN |  | int 0x96E
FCodes.KBD_GRAVITY |  | int 0x37B
FCodes.KBD_GRAVITY_0 |  | int 0x482
FCodes.KBD_GRAVITY_1 |  | int 0x483
FCodes.KBD_GRID |  | int 0x364
FCodes.KBD_GROUP |  | int 0x382
FCodes.KBD_HARDHYPHEN |  | int 0x227
FCodes.KBD_HARDRETURN |  | int 0x229
FCodes.KBD_HARDSPACE |  | int 0x228
FCodes.KBD_HEATREF |  | int 0xF09
FCodes.KBD_HELP |  | int 0x302
FCodes.KBD_HELP_INDEX |  | int 0x2A0
FCodes.KBD_HELP_KEYS |  | int 0x2A1
FCodes.KBD_HELP_ONLINEMANUALS |  | int 0x2A4
FCodes.KBD_HELP_OVERVIEW |  | int 0x2A3
FCodes.KBD_HELP_SAMPLES |  | int 0x2A2
FCodes.KBD_HELP_WEBWORKS |  | int 0x2A6
FCodes.KBD_HEROIC_OPEN |  | int 0x306
FCodes.KBD_HIDEWIN |  | int 0x396
FCodes.KBD_HIDE_BORDERS |  | int 0x4F1
FCodes.KBD_HIDE_COND_IND |  | int 0x4F9
FCodes.KBD_HIDE_ELEM_BORDER |  | int 0x4F6
FCodes.KBD_HIDE_GRAPHICS |  | int 0x4F8
FCodes.KBD_HIDE_GRID |  | int 0x4F4
FCodes.KBD_HIDE_LINK_BOUNDARIES |  | int 0x4F5
FCodes.KBD_HIDE_RULERS |  | int 0x4F3
FCodes.KBD_HIDE_SYMBOLS |  | int 0x4F2
FCodes.KBD_HISHWIN |  | int 0x397
FCodes.KBD_HIST |  | int 0x936
FCodes.KBD_HSCROLL |  | int 0xF38
FCodes.KBD_HYPERTEXT |  | int 0x359
FCodes.KBD_HYPHENATE |  | int 0x3CD
FCodes.KBD_HYPRTXT_SHTCUT |  | int 0x41E
FCodes.KBD_IMPORT |  | int 0x314
FCodes.KBD_INCDASH |  | int 0x406
FCodes.KBD_INCFILL |  | int 0x3B6
FCodes.KBD_INCPEN |  | int 0x3B2
FCodes.KBD_INCWIDTH |  | int 0x3AE
FCodes.KBD_INDEX_AUTHOR |  | int 0x2C1
FCodes.KBD_INDEX_MARKER |  | int 0x2C3
FCodes.KBD_INDEX_REFERENCES |  | int 0x2C4
FCodes.KBD_INDEX_STANDARD |  | int 0x2C0
FCodes.KBD_INDEX_SUBJECT |  | int 0x2C2
FCodes.KBD_INFO |  | int 0x303
FCodes.KBD_INITCAP |  | int 0x33C
FCodes.KBD_INITCAPH |  | int 0x36B
FCodes.KBD_INPUT |  | int 1
FCodes.KBD_INSERTOBJECT |  | int 0x913
FCodes.KBD_INSERTQUICK |  | int 0xF48
FCodes.KBD_INSET |  | int 0x354
FCodes.KBD_INSETPOD |  | int 0x994
FCodes.KBD_Item1stLogical |  | int 0xD60
FCodes.KBD_ItemDown |  | int 0xD68
FCodes.KBD_ItemFirstFocus |  | int 0xD6A
FCodes.KBD_ItemLeft |  | int 0xD65
FCodes.KBD_ItemNextLogical |  | int 0xD61
FCodes.KBD_ItemNextPhysical |  | int 0xD63
FCodes.KBD_ItemPrevLogical |  | int 0xD62
FCodes.KBD_ItemPrevPhysical |  | int 0xD64
FCodes.KBD_ItemRight |  | int 0xD66
FCodes.KBD_ItemSelect |  | int 0xD69
FCodes.KBD_ItemUp |  | int 0xD67
FCodes.KBD_JOINCURVES |  | int 0x377
FCodes.KBD_KBMACRO |  | int 0x317
FCodes.KBD_KEEPTOOL |  | int 0x37C
FCodes.KBD_KERNDOWN |  | int 0x11B
FCodes.KBD_KERNDOWN6 |  | int 0x122
FCodes.KBD_KERNHOME |  | int 0x11E
FCodes.KBD_KERNLEFT |  | int 0x11C
FCodes.KBD_KERNLEFT6 |  | int 0x123
FCodes.KBD_KERNRIGHT |  | int 0x11D
FCodes.KBD_KERNRIGHT6 |  | int 0x124
FCodes.KBD_KERNUP |  | int 0x11A
FCodes.KBD_KERNUP6 |  | int 0x121
FCodes.KBD_LASTPAGE |  | int 0x341
FCodes.KBD_LASTTOOL |  | int 0x3AB
FCodes.KBD_LGEQN |  | int 0xF52
FCodes.KBD_LINELAYOUT |  | int 0x332
FCodes.KBD_LINETOOL |  | int 0x3A0
FCodes.KBD_LINK_BOUNDARIES |  | int 0x3D7
FCodes.KBD_LIST_FIGURE |  | int 0x2B1
FCodes.KBD_LIST_MARKER |  | int 0x2B5
FCodes.KBD_LIST_MARKER_ALPHA |  | int 0x2B6
FCodes.KBD_LIST_PGF |  | int 0x2B3
FCodes.KBD_LIST_PGF_ALPHA |  | int 0x2B4
FCodes.KBD_LIST_REFERENCES |  | int 0x2B7
FCodes.KBD_LIST_TABLE |  | int 0x2B2
FCodes.KBD_MANCOND |  | int 0x952
FCodes.KBD_MARKERS |  | int 0x355
FCodes.KBD_MARKERSPOD |  | int 0x96A
FCodes.KBD_MASTERPAGE |  | int 0x343
FCodes.KBD_MATHWIN |  | int 0xF26
FCodes.KBD_MATH_BASE |  | int 0x1000
FCodes.KBD_MAXIMIZE |  | int 0x910
FCodes.KBD_MEDEQN |  | int 0xF51
FCodes.KBD_MEMFAIL |  | int 0xF02
FCodes.KBD_MEM_STATS |  | int 0xF04
FCodes.KBD_MENUBARFOCUS |  | int 0x3F0
FCodes.KBD_MENUCOMPLETE |  | int 0x33D
FCodes.KBD_MENUCUSTOM |  | int 0x33F
FCodes.KBD_MENUMODIFY |  | int 0x3D9
FCodes.KBD_MENUQUICK |  | int 0x33E
FCodes.KBD_MENURESET |  | int 0x3D8
FCodes.KBD_MINIMIZE |  | int 0x90F
FCodes.KBD_MODE_ROTATE_TOOL |  | int 0xFAD
FCodes.KBD_MOVEWIN |  | int 0x393
FCodes.KBD_MOVE_DOWN |  | int 0x70B
FCodes.KBD_MOVE_LEFT |  | int 0x70C
FCodes.KBD_MOVE_RIGHT |  | int 0x70D
FCodes.KBD_MOVE_UP |  | int 0x70A
FCodes.KBD_MUTATE |  | int 0x37F
FCodes.KBD_NAMESPACES |  | int 0xFF8
FCodes.KBD_NEW |  | int 0x300
FCodes.KBD_NEWAFRAME |  | int 0x96D
FCodes.KBD_NEWBOOK |  | int 0x308
FCodes.KBD_NEWHYPERTEXT |  | int 0x35E
FCodes.KBD_NEWMARKER |  | int 0x356
FCodes.KBD_NEWMASTER |  | int 0xA0A
FCodes.KBD_NEWVAR |  | int 0xF06
FCodes.KBD_NEW_XML |  | int 0x803
FCodes.KBD_NEXTPAGE |  | int 0x34D
FCodes.KBD_NOCHANGEDB |  | int 0xF4A
FCodes.KBD_NORMALIZE_TAGS |  | int 0xA33
FCodes.KBD_NUMBERING |  | int 0x333
FCodes.KBD_NUMLOCK |  | int 0x170
FCodes.KBD_NUMSPACE |  | int 0x22A
FCodes.KBD_OBALIGN_BOTTOM |  | int 0x12B
FCodes.KBD_OBALIGN_CENTER |  | int 0x12C
FCodes.KBD_OBALIGN_LEFT |  | int 0x12D
FCodes.KBD_OBALIGN_MIDDLE |  | int 0x12A
FCodes.KBD_OBALIGN_RIGHT |  | int 0x12E
FCodes.KBD_OBALIGN_TOP |  | int 0x129
FCodes.KBD_OBJDOWN |  | int 0x126
FCodes.KBD_OBJLEFT |  | int 0x127
FCodes.KBD_OBJPROPS |  | int 0x387
FCodes.KBD_OBJRIGHT |  | int 0x128
FCodes.KBD_OBJSELECT |  | int 0xF21
FCodes.KBD_OBJSELECT_NOPREF |  | int 0xF2A
FCodes.KBD_OBJUP |  | int 0x125
FCodes.KBD_OPEN |  | int 0x301
FCodes.KBD_OPENALL |  | int 0x31A
FCodes.KBD_OPENLINE |  | int 0x22E
FCodes.KBD_OPENWIN |  | int 0x391
FCodes.KBD_OPEN_COMPONENTS |  | int 0x3EA
FCodes.KBD_OPEN_REPOSITORY |  | int 0x801
FCodes.KBD_OPTIONS |  | int 0x360
FCodes.KBD_OVALTOOL |  | int 0x3A6
FCodes.KBD_OVERPRINT |  | int 0x3D2
FCodes.KBD_OVERPRINT_NONE |  | int 0x3D4
FCodes.KBD_PAGEBACK |  | int 0x34A
FCodes.KBD_PAGEBREAK |  | int 0x32F
FCodes.KBD_PAGELAYOUT |  | int 0x503
FCodes.KBD_PAGESETUP |  | int 0x319
FCodes.KBD_PAGESIZE |  | int 0x349
FCodes.KBD_PAGESTATUS |  | int 0xF37
FCodes.KBD_PAGEUPDATE |  | int 0xA00
FCodes.KBD_PAGINATION |  | int 0xA40
FCodes.KBD_PASTE |  | int 0x323
FCodes.KBD_PASTESPECIAL |  | int 0xD10
FCodes.KBD_PASTE_RTF |  | int 0x502
FCodes.KBD_PAUSE_0x01 |  | int 0x632
FCodes.KBD_PAUSE_0x10 |  | int 0x631
FCodes.KBD_PAUSE_1x00 |  | int 0x630
FCodes.KBD_PEN0 |  | int 0x3B0
FCodes.KBD_PEN1 |  | int 0x3B1
FCodes.KBD_PGFDESIGN |  | int 0x331
FCodes.KBD_PGFFMT_DELETE |  | int 0xB06
FCodes.KBD_PGFFMT_DELETE_UNUSED |  | int 0xB13
FCodes.KBD_PGFQUICK |  | int 0xF41
FCodes.KBD_PGFWIN |  | int 0xF23
FCodes.KBD_PICKOBJPROPS |  | int 0x388
FCodes.KBD_PODLOCATION |  | int 0x31E
FCodes.KBD_POLYGTOOL |  | int 0x3A2
FCodes.KBD_POLYLTOOL |  | int 0x3A3
FCodes.KBD_POPUP_MENU |  | int 0x39D
FCodes.KBD_PREVIEWFBA |  | int 0xB16
FCodes.KBD_PREVIEW_ACCEPTALL |  | int 0x962
FCodes.KBD_PREVIEW_OFF |  | int 0x964
FCodes.KBD_PREVIEW_REJECTALL |  | int 0x963
FCodes.KBD_PREVPAGE |  | int 0x34C
FCodes.KBD_PRINT |  | int 0x313
FCodes.KBD_PRINTSETUP |  | int 0x90A
FCodes.KBD_PRINT_COMPONENTS |  | int 0x3EC
FCodes.KBD_PURIFY_ALL_LEAKS |  | int 0x651
FCodes.KBD_PURIFY_CLEAR_LEAKS |  | int 0x652
FCodes.KBD_PURIFY_NEW_LEAKS |  | int 0x650
FCodes.KBD_PUTINLINE |  | int 0xF53
FCodes.KBD_QUIETCLOSEWIN |  | int 0x39C
FCodes.KBD_QUITALL |  | int 0x31B
FCodes.KBD_QUITWIN |  | int 0x399
FCodes.KBD_RANDF |  | int 0x234
FCodes.KBD_RECORD |  | int 0x252
FCodes.KBD_RECTTOOL |  | int 0x3A1
FCodes.KBD_REDO |  | int 0x935
FCodes.KBD_REFERENCE |  | int 0x352
FCodes.KBD_REFORMATDOC |  | int 0x3CF
FCodes.KBD_REFPAGE |  | int 0x344
FCodes.KBD_REFRESHWIN |  | int 0x398
FCodes.KBD_REFRESH_DITAMAP_RMVIEW |  | int 0x807
FCodes.KBD_REJECTALLCHANGE |  | int 0x961
FCodes.KBD_REJECTCHANGE |  | int 0x959
FCodes.KBD_REMOVEPOSTER |  | int 0x3DE
FCodes.KBD_REMOVE_STRUCT |  | int 0xFF0
FCodes.KBD_RENAMEFRAME |  | int 0xF3B
FCodes.KBD_RENAMEMARKERTYPE |  | int 0x35F
FCodes.KBD_RENAMEORPLAIN |  | int 0x900
FCodes.KBD_RENAMEPAGE |  | int 0xF3A
FCodes.KBD_REORDERMASTER |  | int 0xA0B
FCodes.KBD_REPEAT |  | int 0x939
FCodes.KBD_REPEATNEW |  | int 0x31D
FCodes.KBD_REROTATE |  | int 0x38E
FCodes.KBD_RESETDB |  | int 0xF4B
FCodes.KBD_RESHAPE |  | int 0x376
FCodes.KBD_RESIZEBOX |  | int 0xF25
FCodes.KBD_RESIZEBOXM |  | int 0xF27
FCodes.KBD_RESIZELOCK |  | int 0x39A
FCodes.KBD_RESIZEUNLOCK |  | int 0x39B
FCodes.KBD_RESTORE |  | int 0x911
FCodes.KBD_RESTOREFONT |  | int 0x505
FCodes.KBD_RETURN |  | int 0x22F
FCodes.KBD_REVERT |  | int 0x312
FCodes.KBD_REWRAP_INLINE_MATH |  | int 0xFAC
FCodes.KBD_RGLOBAL |  | int 0x233
FCodes.KBD_RM_MODE |  | int 0xF79
FCodes.KBD_RONCE |  | int 0x232
FCodes.KBD_ROTATE |  | int 0x38B
FCodes.KBD_ROTATE_AGAIN |  | int 0x38C
FCodes.KBD_ROTATE_CCW |  | int 0x372
FCodes.KBD_ROTATE_CCW_SMALL |  | int 0x38A
FCodes.KBD_ROTATE_CW |  | int 0x386
FCodes.KBD_ROTATE_CW_SMALL |  | int 0x389
FCodes.KBD_ROTATE_NATURAL |  | int 0x38D
FCodes.KBD_ROTATE_RESET0 |  | int 0x38F
FCodes.KBD_ROTPAGE_MINUS |  | int 0x34F
FCodes.KBD_ROTPAGE_NORM |  | int 0xA05
FCodes.KBD_ROTPAGE_PLUS |  | int 0x34E
FCodes.KBD_ROT_MINUS |  | int 0x386
FCodes.KBD_ROT_PLUS |  | int 0x372
FCodes.KBD_ROUNDRECT |  | int 0x3A5
FCodes.KBD_RUBIPROPS |  | int 0x3DD
FCodes.KBD_RULERS |  | int 0x363
FCodes.KBD_RUN_BBOX |  | int 0x669
FCodes.KBD_RUN_CONTOUR |  | int 0x668
FCodes.KBD_RUN_GAP |  | int 0x671
FCodes.KBD_RUN_OFF |  | int 0x670
FCodes.KBD_RUN_PROPS |  | int 0x667
FCodes.KBD_SAVE |  | int 0x310
FCodes.KBD_SAVEALL |  | int 0x31C
FCodes.KBD_SAVEAS |  | int 0x311
FCodes.KBD_SAVEASDBRE |  | int 0xF70
FCodes.KBD_SAVEASPDF |  | int 0x950
FCodes.KBD_SAVEASPDFREVIEW |  | int 0x95A
FCodes.KBD_SAVEASPDFREVIEW2 |  | int 0x95B
FCodes.KBD_SAVEASPDFSHARE |  | int 0x95F
FCodes.KBD_SAVEASPDFUBIQ |  | int 0x95E
FCodes.KBD_SAVEASXML |  | int 0x951
FCodes.KBD_SAVEDBRE |  | int 0xF77
FCodes.KBD_SAVEFMX |  | int 0xF76
FCodes.KBD_SAVEMETA |  | int 0xF03
FCodes.KBD_SAVESAS |  | int 0xF74
FCodes.KBD_SAVE_COMPONENTS |  | int 0x3ED
FCodes.KBD_SCALE |  | int 0x373
FCodes.KBD_SCREENMODE_FULLSCREEN |  | int 0x97B
FCodes.KBD_SCREENMODE_FULLSCREEN_UI |  | int 0x97A
FCodes.KBD_SCREENMODE_STANDARD |  | int 0x979
FCodes.KBD_SCREENMODE_TOGGLE |  | int 0x978
FCodes.KBD_SEARCH |  | int 0x329
FCodes.KBD_SEARCHREFS |  | int 0xB17
FCodes.KBD_SELECTALL |  | int 0x327
FCodes.KBD_SELECT_CHAPTER_COMPONENTS |  | int 0x9D3
FCodes.KBD_SELECT_EXCLUDED_FILE |  | int 0x9D1
FCodes.KBD_SELECT_FM_FILES |  | int 0x315
FCodes.KBD_SELECT_GENERATED_FILES |  | int 0x32D
FCodes.KBD_SELECT_NONEXCLUDED_FILE |  | int 0x9D2
FCodes.KBD_SELECT_NON_GENERATED_FILES |  | int 0x32E
FCodes.KBD_SELECT_PRINTABLE_FILES |  | int 0x9E2
FCodes.KBD_SELECT_SECTION_COMPONENTS |  | int 0x9D4
FCodes.KBD_SELECT_SUBSECTION_COMPONENTS |  | int 0x9D5
FCodes.KBD_SEPARATIONS |  | int 0x365
FCodes.KBD_SESSION |  | int 0x318
FCodes.KBD_SETALIGN_PROPS |  | int 0x992
FCodes.KBD_SETCAP |  | int 0x3BB
FCodes.KBD_SETCAP_0 |  | int 0x460
FCodes.KBD_SETCAP_1 |  | int 0x461
FCodes.KBD_SETCAP_2 |  | int 0x462
FCodes.KBD_SETCAP_3 |  | int 0x463
FCodes.KBD_SETCAP_OPTION |  | int 0x46F
FCodes.KBD_SETDASH |  | int 0x403
FCodes.KBD_SETDASH_0 |  | int 0x470
FCodes.KBD_SETDASH_1 |  | int 0x471
FCodes.KBD_SETDASH_2 |  | int 0x472
FCodes.KBD_SETDASH_3 |  | int 0x473
FCodes.KBD_SETDASH_4 |  | int 0x474
FCodes.KBD_SETDASH_5 |  | int 0x475
FCodes.KBD_SETDASH_6 |  | int 0x476
FCodes.KBD_SETDASH_7 |  | int 0x477
FCodes.KBD_SETDASH_8 |  | int 0x478
FCodes.KBD_SETDASH_OPTION |  | int 0x47F
FCodes.KBD_SETDISTRIBUTE_PROPS |  | int 0x993
FCodes.KBD_SETELCATALL |  | int 0xFDB
FCodes.KBD_SETELCATCHILD |  | int 0xFDA
FCodes.KBD_SETELCATFREQ |  | int 0xFF7
FCodes.KBD_SETELCATLOOSE |  | int 0xFD9
FCodes.KBD_SETELCATSTRICT |  | int 0xFD8
FCodes.KBD_SETFILL |  | int 0x3B8
FCodes.KBD_SETFILL_0 |  | int 0x430
FCodes.KBD_SETFILL_1 |  | int 0x431
FCodes.KBD_SETFILL_2 |  | int 0x432
FCodes.KBD_SETFILL_3 |  | int 0x433
FCodes.KBD_SETFILL_4 |  | int 0x434
FCodes.KBD_SETFILL_5 |  | int 0x435
FCodes.KBD_SETFILL_6 |  | int 0x436
FCodes.KBD_SETFILL_7 |  | int 0x437
FCodes.KBD_SETFILL_8 |  | int 0x438
FCodes.KBD_SETFILL_9 |  | int 0x439
FCodes.KBD_SETFILL_A |  | int 0x43A
FCodes.KBD_SETFILL_B |  | int 0x43B
FCodes.KBD_SETFILL_C |  | int 0x43C
FCodes.KBD_SETFILL_D |  | int 0x43D
FCodes.KBD_SETFILL_E |  | int 0x43E
FCodes.KBD_SETFILL_F |  | int 0x43F
FCodes.KBD_SETFROMCOLOR |  | int 0x48C
FCodes.KBD_SETKNOCKOUT |  | int 0x48A
FCodes.KBD_SETOVERPRINT |  | int 0x48B
FCodes.KBD_SETPEN |  | int 0x3B9
FCodes.KBD_SETPEN_0 |  | int 0x440
FCodes.KBD_SETPEN_1 |  | int 0x441
FCodes.KBD_SETPEN_2 |  | int 0x442
FCodes.KBD_SETPEN_3 |  | int 0x443
FCodes.KBD_SETPEN_4 |  | int 0x444
FCodes.KBD_SETPEN_5 |  | int 0x445
FCodes.KBD_SETPEN_6 |  | int 0x446
FCodes.KBD_SETPEN_7 |  | int 0x447
FCodes.KBD_SETPEN_8 |  | int 0x448
FCodes.KBD_SETPEN_9 |  | int 0x449
FCodes.KBD_SETPEN_A |  | int 0x44A
FCodes.KBD_SETPEN_B |  | int 0x44B
FCodes.KBD_SETPEN_C |  | int 0x44C
FCodes.KBD_SETPEN_D |  | int 0x44D
FCodes.KBD_SETPEN_E |  | int 0x44E
FCodes.KBD_SETPEN_F |  | int 0x44F
FCodes.KBD_SETPOSTER |  | int 0x3DB
FCodes.KBD_SETRUN_PROPS |  | int 0x96C
FCodes.KBD_SETSEARCH |  | int 0x235
FCodes.KBD_SETSEP |  | int 0x3BC
FCodes.KBD_SETSEP_ALL |  | int 0x3BF
FCodes.KBD_SETSEP_KEEP |  | int 0x3BE
FCodes.KBD_SETSEP_RESET_TINT_OVERPRINT |  | int 0x3D1
FCodes.KBD_SETSIDES |  | int 0x378
FCodes.KBD_SETSOLID |  | int 0x402
FCodes.KBD_SETTINT |  | int 0x48D
FCodes.KBD_SETWIDTH |  | int 0x3BA
FCodes.KBD_SETWIDTH_0 |  | int 0x450
FCodes.KBD_SETWIDTH_1 |  | int 0x451
FCodes.KBD_SETWIDTH_2 |  | int 0x452
FCodes.KBD_SETWIDTH_3 |  | int 0x453
FCodes.KBD_SETWIDTH_OPTION |  | int 0x45F
FCodes.KBD_SETWIDTH_SLIDE |  | int 0x45E
FCodes.KBD_SET_TEXTFRAME_GRID |  | int 0x666
FCodes.KBD_SHFTSPACE |  | int 0x221
FCodes.KBD_SHOWNEXT |  | int 0x971
FCodes.KBD_SHOWPREV |  | int 0x972
FCodes.KBD_SHOW_BORDERS |  | int 0x3F1
FCodes.KBD_SHOW_COND_IND |  | int 0x3F9
FCodes.KBD_SHOW_ELEM_BORDER |  | int 0x3F6
FCodes.KBD_SHOW_ELEM_CTX |  | int 0xA31
FCodes.KBD_SHOW_ELEM_TAGS |  | int 0x3F7
FCodes.KBD_SHOW_GRAPHICS |  | int 0x3F8
FCodes.KBD_SHOW_GRID |  | int 0x3F4
FCodes.KBD_SHOW_LINK_BOUNDARIES |  | int 0x3F5
FCodes.KBD_SHOW_RULERS |  | int 0x3F3
FCodes.KBD_SHOW_SYMBOLS |  | int 0x3F2
FCodes.KBD_SILENT_OPEN |  | int 0x307
FCodes.KBD_SINGLE_QUOTE |  | int 0x400
FCodes.KBD_SLOW_0x00 |  | int 0x633
FCodes.KBD_SLOW_0x01 |  | int 0x636
FCodes.KBD_SLOW_0x10 |  | int 0x635
FCodes.KBD_SLOW_1x00 |  | int 0x634
FCodes.KBD_SMALLTOOLWIN |  | int 0xF29
FCodes.KBD_SMEQN |  | int 0xF50
FCodes.KBD_SMOOTH |  | int 0x374
FCodes.KBD_SNAP |  | int 0x37A
FCodes.KBD_SNAP_0 |  | int 0x480
FCodes.KBD_SNAP_1 |  | int 0x481
FCodes.KBD_SOFTHYPHEN |  | int 0x225
FCodes.KBD_SPELLING |  | int 0x32A
FCodes.KBD_SPELLRESET |  | int 0x3CA
FCodes.KBD_SPLIT |  | int 0x35A
FCodes.KBD_SPLITL |  | int 0xA03
FCodes.KBD_SPLITR |  | int 0xA02
FCodes.KBD_SPOPTIONS |  | int 0x3CC
FCodes.KBD_STRIP_FLOWSTRUCTURE |  | int 0xA30
FCodes.KBD_STRWIN |  | int 0xFD1
FCodes.KBD_STRWIN_LEFTANCHOR |  | int 0x3DF
FCodes.KBD_STUFF |  | int 0x328
FCodes.KBD_STUFF_ITEM |  | int 0xF73
FCodes.KBD_SUBSCRIBE_TO |  | int 0x3D6
FCodes.KBD_SWAP_RED_BLUE |  | int 0xFAB
FCodes.KBD_SYMBOLS |  | int 0x362
FCodes.KBD_SYMFONT |  | int 0x506
FCodes.KBD_TAB |  | int 0x219
FCodes.KBD_TABLEWIN |  | int 0xFBB
FCodes.KBD_TABLE_ADDRC |  | int 0xF87
FCodes.KBD_TABLE_CELLFMT |  | int 0xF84
FCodes.KBD_TABLE_CONVERT |  | int 0xF8A
FCodes.KBD_TABLE_CUSTRS |  | int 0xF86
FCodes.KBD_TABLE_DEBUG |  | int 0xF8B
FCodes.KBD_TABLE_EXIT_IP |  | int 0xFC0
FCodes.KBD_TABLE_FORMAT |  | int 0xF81
FCodes.KBD_TABLE_INS |  | int 0xF80
FCodes.KBD_TABLE_RESIZECOL |  | int 0xF88
FCodes.KBD_TABLE_ROWFMT |  | int 0xF85
FCodes.KBD_TABLE_RULES |  | int 0xF8C
FCodes.KBD_TABLE_STRADDLE |  | int 0xF89
FCodes.KBD_TABLE_TAB |  | int 0x223
FCodes.KBD_TAB_CENTER |  | int 0x907
FCodes.KBD_TAB_DECIMAL |  | int 0x909
FCodes.KBD_TAB_LEFT |  | int 0x906
FCodes.KBD_TAB_RIGHT |  | int 0x908
FCodes.KBD_TAGSTATUS |  | int 0xF36
FCodes.KBD_TBLFMT_DELETE |  | int 0xB08
FCodes.KBD_TBLFMT_DELETE_UNUSED |  | int 0xB15
FCodes.KBD_TBLIP_ABOVE |  | int 0xFB3
FCodes.KBD_TBLIP_BELOW |  | int 0xFB4
FCodes.KBD_TBLIP_BOTTOM |  | int 0xFBA
FCodes.KBD_TBLIP_LEFT |  | int 0xFB2
FCodes.KBD_TBLIP_LEFTMOST |  | int 0xFB5
FCodes.KBD_TBLIP_NEXT |  | int 0xFB7
FCodes.KBD_TBLIP_PREV |  | int 0xFB8
FCodes.KBD_TBLIP_RIGHT |  | int 0xFB1
FCodes.KBD_TBLIP_RIGHTMOST |  | int 0xFB6
FCodes.KBD_TBLIP_TOP |  | int 0xFB9
FCodes.KBD_TBLIP_TOPLEFT |  | int 0xFB0
FCodes.KBD_TBLSEL_CELL |  | int 0xFA0
FCodes.KBD_TBLSEL_CELLTEXT |  | int 0xFA4
FCodes.KBD_TBLSEL_COL |  | int 0xFA2
FCodes.KBD_TBLSEL_COLBODY |  | int 0xFA5
FCodes.KBD_TBLSEL_ROW |  | int 0xFA1
FCodes.KBD_TBLSEL_TABLE |  | int 0xFA3
FCodes.KBD_TBL_DLG_ADD_ABOVE |  | int 0xF92
FCodes.KBD_TBL_DLG_ADD_BELOW |  | int 0xF93
FCodes.KBD_TBL_DLG_ADD_LEFT |  | int 0xF94
FCodes.KBD_TBL_DLG_ADD_RIGHT |  | int 0xF95
FCodes.KBD_TBL_DLG_CLEAR_EMPTY |  | int 0xF96
FCodes.KBD_TBL_DLG_CLEAR_X |  | int 0xF97
FCodes.KBD_TBL_DLG_PASTE_AFTER |  | int 0xF9A
FCodes.KBD_TBL_DLG_PASTE_BEFORE |  | int 0xF99
FCodes.KBD_TBL_DLG_PASTE_REPL |  | int 0xF98
FCodes.KBD_TBL_DLG_SHRINKWRAP |  | int 0xFD0
FCodes.KBD_TBL_DLG_UNIFY_CF |  | int 0xF91
FCodes.KBD_TBL_DLG_UNIFY_TF |  | int 0xF90
FCodes.KBD_TC_SEARCH_BOOK |  | int 0x134
FCodes.KBD_TC_SEARCH_DITAMAP |  | int 0x135
FCodes.KBD_TC_SEARCH_DOC |  | int 0x133
FCodes.KBD_TC_SEARCH_SEL |  | int 0x136
FCodes.KBD_TC_USER_NAME |  | int 0x991
FCodes.KBD_TEST_MODAL |  | int 0xF71
FCodes.KBD_TEST_MODELESS |  | int 0xF72
FCodes.KBD_TEST_PRINTDBRE |  | int 0xF75
FCodes.KBD_TEXTCOLPRO |  | int 0x339
FCodes.KBD_TEXTLTOOL |  | int 0x3A7
FCodes.KBD_TEXTRTOOL |  | int 0x3A8
FCodes.KBD_TEXT_OPTIONS |  | int 0x337
FCodes.KBD_THESAURUS |  | int 0x3D0
FCodes.KBD_THESAURUS_REPLACE |  | int 0x3D3
FCodes.KBD_THINSPACE |  | int 0x22B
FCodes.KBD_TOC |  | int 0x2B0
FCodes.KBD_TOGGLEDRAW |  | int 0x366
FCodes.KBD_TOGGLE_COLLAPSE |  | int 0xFF2
FCodes.KBD_TOGGLE_COLLAPSE_ALL |  | int 0xFF3
FCodes.KBD_TOGGLE_COLLAPSE_CHILDREN |  | int 0xA0D
FCodes.KBD_TOGGLE_INCLUSION |  | int 0xFF1
FCodes.KBD_TOGGLE_STRUCT_AND_DOCWIN |  | int 0xFF9
FCodes.KBD_TOOLBAR_BASE |  | int 0x98F
FCodes.KBD_TOOLBAR_HIDEALL |  | int 0x98A
FCodes.KBD_TOOLBAR_SHOWALL |  | int 0x989
FCodes.KBD_TOOLWIN |  | int 0xF22
FCodes.KBD_TRACKCHANGE |  | int 0x957
FCodes.KBD_TRACKCHANGEDISABLE |  | int 0x95D
FCodes.KBD_UIALERTSTRINGS_PREF |  | int 0x981
FCodes.KBD_UI_PREFERENCE |  | int 0x980
FCodes.KBD_UNCOND |  | int 0xF46
FCodes.KBD_UNDO |  | int 0x320
FCodes.KBD_UNGROUP |  | int 0x383
FCodes.KBD_UNSMOOTH |  | int 0x375
FCodes.KBD_UPDATEREF |  | int 0xF07
FCodes.KBD_UPSTACK |  | int 0xEF1
FCodes.KBD_USEELTDEFSFROM |  | int 0xF9E
FCodes.KBD_USEFMTFROM |  | int 0x316
FCodes.KBD_VALIDATE_HYPERTEXT |  | int 0xF13
FCodes.KBD_VALIDATION |  | int 0xFE0
FCodes.KBD_VAL_ALLOW |  | int 0xFE6
FCodes.KBD_VAL_CLEAR |  | int 0xFE7
FCodes.KBD_VAL_DOC |  | int 0xFE3
FCodes.KBD_VAL_ELEM |  | int 0xFE1
FCodes.KBD_VAL_FLOW |  | int 0xFE2
FCodes.KBD_VAL_IGNORE |  | int 0xFE4
FCodes.KBD_VAL_IGNORE_ATTR |  | int 0xFF6
FCodes.KBD_VAL_START |  | int 0xFE5
FCodes.KBD_VARCURDATE |  | int 0xA08
FCodes.KBD_VARCURPG |  | int 0xA06
FCodes.KBD_VARIABLE |  | int 0x353
FCodes.KBD_VAROTHER |  | int 0xA09
FCodes.KBD_VARPGCOUNT |  | int 0xA07
FCodes.KBD_VARQUICK |  | int 0xF42
FCodes.KBD_VERIFYCONTEXT |  | int 0xF61
FCodes.KBD_VIEWER |  | int 0xF00
FCodes.KBD_VIEWER_MAKE_DOCUMENT |  | int 0xD50
FCodes.KBD_VIEWER_MAKE_MODELESSDIALOG |  | int 0xD52
FCodes.KBD_VIEWER_MAKE_PALETTE |  | int 0xD51
FCodes.KBD_VIEWSEP1 |  | int 0x36D
FCodes.KBD_VIEWSEP2 |  | int 0x36E
FCodes.KBD_VIEWSEP3 |  | int 0x36F
FCodes.KBD_VIEWSEP4 |  | int 0x37D
FCodes.KBD_VIEWSEP5 |  | int 0x37E
FCodes.KBD_VIEWSEP6 |  | int 0x39E
FCodes.KBD_VSCROLL |  | int 0xF39
FCodes.KBD_WAIT_DLGS |  | int 0x255
FCodes.KBD_WIDTH0 |  | int 0x3AC
FCodes.KBD_WIDTH1 |  | int 0x3AD
FCodes.KBD_WINDOWFULL_DOWN |  | int 0xD41
FCodes.KBD_WINDOWFULL_UP |  | int 0xD40
FCodes.KBD_WIN_CASCADE |  | int 0x903
FCodes.KBD_WIN_TILE |  | int 0x904
FCodes.KBD_WRAPQUICK |  | int 0xF49
FCodes.KBD_XCHARS |  | int 0x224
FCodes.KBD_XREFSPOD |  | int 0x96B
FCodes.KBD_XYZZQ |  | int 0xEE1
FCodes.KBD_XYZZY |  | int 0xFED
FCodes.KBD_XYZZZ |  | int 0xEE0
FCodes.KBD_YANK |  | int 0x32C
FCodes.KBD_ZOOM |  | int 0xF34
FCodes.KBD_ZOOM100 |  | int 0xF35
FCodes.KBD_ZOOMIN |  | int 0xF30
FCodes.KBD_ZOOMOUT |  | int 0xF31
FCodes.KBD_ZOOM_AUTOFIT_AFTER_ZOOM |  | int 0xF1A
FCodes.KBD_ZOOM_FIT_PAGE |  | int 0xF32
FCodes.KBD_ZOOM_FIT_TEXTFRAME |  | int 0xF3F
FCodes.KBD_ZOOM_FIT_WINDOW |  | int 0xF33
FCodes.KBD_ZOOM_SET |  | int 0xF3C
FCodes.LEAVE_DOC |  | int 0xC600
FCodes.MENU_BARSTART |  | int 0xC301
FCodes.MENU_DONE |  | int 0xC30F
FCodes.MENU_DOWN |  | int 0xC304
FCodes.MENU_DOWNWAIT |  | int 0xC312
FCodes.MENU_EXPOSE_WIN |  | int 0xC12
FCodes.MENU_HYPERTEXT |  | int 0xC18
FCodes.MENU_IMPORT_FILE |  | int 0xC14
FCodes.MENU_RIGHT |  | int 0xC305
FCodes.MENU_RIGHTWAIT |  | int 0xC313
FCodes.MENU_WAITBIT |  | int 0x0010
FCodes.MIF_SAVE_AFMS |  | int 0x000020
FCodes.MIF_SAVE_CCAT |  | int 0x000400
FCodes.MIF_SAVE_COLORCAT |  | int 0x040000
FCodes.MIF_SAVE_DATALINKS |  | int 0x100000
FCodes.MIF_SAVE_DICT |  | int 0x001000
FCodes.MIF_SAVE_ECAT |  | int 0x010000
FCodes.MIF_SAVE_ELEMENTS |  | int 0x020000
FCodes.MIF_SAVE_FCAT |  | int 0x000100
FCodes.MIF_SAVE_FMTS |  | int 0x000004
FCodes.MIF_SAVE_FONTS |  | int 0x000008
FCodes.MIF_SAVE_FPLCAT |  | int 0x200000
FCodes.MIF_SAVE_LAYT |  | int 0x000040
FCodes.MIF_SAVE_MKRS |  | int 0x000010
FCodes.MIF_SAVE_MPAGE |  | int 0x000080
FCodes.MIF_SAVE_PCAT |  | int 0x000200
FCodes.MIF_SAVE_RUBIS |  | int 0x800000
FCodes.MIF_SAVE_TABLECATS |  | int 0x004000
FCodes.MIF_SAVE_TABLES |  | int 0x008000
FCodes.MIF_SAVE_TAGS |  | int 0x000002
FCodes.MIF_SAVE_TEXT |  | int 0x000001
FCodes.MIF_SAVE_TEXTINSETS |  | int 0x400000
FCodes.MIF_SAVE_TMPLT |  | int 0x000800
FCodes.MIF_SAVE_VARS |  | int 0x002000
FCodes.MIF_SAVE_VIEWSET |  | int 0x080000
FCodes.MRU_SELECT_FILE |  | int 0xC13
FCodes.NULLINPUT |  | int -1
FCodes.OBJ_SEL_EXTEND_NEXT |  | int 0x602
FCodes.OBJ_SEL_FIRST |  | int 0x600
FCodes.OBJ_SEL_LAST |  | int 0x606
FCodes.OBJ_SEL_NEXT |  | int 0x601
FCodes.OBJ_SEL_NEXT_WRAP |  | int 0x604
FCodes.OBJ_SEL_PREV |  | int 0x603
FCodes.OBJ_SEL_PREV_WRAP |  | int 0x605
FCodes.PGF_ANYPLACE |  | int 0x28E
FCodes.PGF_APPLY_CAT_TO_SEL |  | int 0xF3D
FCodes.PGF_APPLY_TAG |  | int 0xC10
FCodes.PGF_BAM |  | int 0x286
FCodes.PGF_CENTER |  | int 0x282
FCodes.PGF_COLTOP |  | int 0x28B
FCodes.PGF_DECLINE |  | int 0x281
FCodes.PGF_DESIGNKIT_APPLY |  | int 0xAAA
FCodes.PGF_DESIGNKIT_NEWFORMAT |  | int 0xB00
FCodes.PGF_DESIGNKIT_RESET |  | int 0xABA
FCodes.PGF_DESIGNKIT_UPDATEALL |  | int 0xAAD
FCodes.PGF_DESIGNKIT_UPDATEOPTIONS |  | int 0xB03
FCodes.PGF_DESIGN_CAT |  | int 0xF4E
FCodes.PGF_DOUBLE_SPACE |  | int 0x295
FCodes.PGF_FULL |  | int 0x285
FCodes.PGF_HYPHENOFF |  | int 0x27F
FCodes.PGF_HYPHENON |  | int 0x27E
FCodes.PGF_INCLINE |  | int 0x280
FCodes.PGF_KBD_BODYSTRADDLE |  | int 0xFCF
FCodes.PGF_KBD_FULLSTRADDLE |  | int 0xFCE
FCodes.PGF_KBD_RUN_IN |  | int 0xFCD
FCodes.PGF_KBD_SIDEBODY |  | int 0xFC9
FCodes.PGF_KBD_SIDEHEAD_FIRST_BASELINE |  | int 0xFCA
FCodes.PGF_KBD_SIDEHEAD_LAST_BASELINE |  | int 0xFCB
FCodes.PGF_KBD_SIDEHEAD_TOP |  | int 0xFCC
FCodes.PGF_LEFT |  | int 0x283
FCodes.PGF_LEFTTOP |  | int 0x28C
FCodes.PGF_LINEFIX |  | int 0x287
FCodes.PGF_LINEFLOAT |  | int 0x288
FCodes.PGF_LINE_SPACE |  | int 0x297
FCodes.PGF_NEW_FORMAT |  | int 0x299
FCodes.PGF_ONEANDAHALF_SPACE |  | int 0x294
FCodes.PGF_PAGETOP |  | int 0x28A
FCodes.PGF_RIGHT |  | int 0x284
FCodes.PGF_RIGHTTOP |  | int 0x28D
FCodes.PGF_SINGLE_SPACE |  | int 0x293
FCodes.PGF_SPACE_BETWEEN |  | int 0x296
FCodes.PGF_UNIFY |  | int 0x289
FCodes.PGF_UPDATE_ALL |  | int 0x298
FCodes.SEARCH_CB |  | int 0x518
FCodes.SEARCH_CBOVERRIDE |  | int 0x51B
FCodes.SEARCH_CBTAG |  | int 0x519
FCodes.SEARCH_COND |  | int 0x51A
FCodes.SERVER_CANCEL |  | int 0xC001
FCodes.SERVER_QUERY |  | int 0xC002
FCodes.START_DIALOG |  | int 0xC100
FCodes.START_WINDOW |  | int 0xC400
FCodes.SUPPRESS_INSETS |  | int 0x3E2
FCodes.SWITCH_TO_DOCUMENTVIEW |  | int 0x9EB
FCodes.SWITCH_TO_RESOURCEMANAGER |  | int 0x9EA
FCodes.SW_CSR_DOWN |  | int 0xFE9
FCodes.SW_CSR_LEFT |  | int 0xFEB
FCodes.SW_CSR_RIGHT |  | int 0xFEA
FCodes.SW_CSR_UP |  | int 0xFE8
FCodes.TBL_APPLY_CAT_TO_SEL |  | int 0xFBC
FCodes.TBL_APPLY_TAG |  | int 0xFBE
FCodes.TBL_DESIGNKIT_APPLY |  | int 0xAAC
FCodes.TBL_DESIGNKIT_NEWFORMAT |  | int 0xB02
FCodes.TBL_DESIGNKIT_RESET |  | int 0xABC
FCodes.TBL_DESIGNKIT_UPDATEALL |  | int 0xAAF
FCodes.TBL_DESIGNKIT_UPDATEOPTIONS |  | int 0xB05
FCodes.TBL_DESIGN_CAT |  | int 0xF5F
FCodes.TEXTSEL_DRAGGING |  | int 0x2000
FCodes.TEXTSEL_ELEMENT |  | int 0x1000
FCodes.TEXTSEL_EXTEND |  | int 0x0002
FCodes.TEXTSEL_EXTEND_ELEMENT |  | int 0x0800
FCodes.TEXTSEL_EXTEND_LINE |  | int 0x0008
FCodes.TEXTSEL_EXTEND_PGF |  | int 0x0010
FCodes.TEXTSEL_EXTEND_SENT |  | int 0x0200
FCodes.TEXTSEL_EXTEND_WORD |  | int 0x0004
FCodes.TEXTSEL_LINE |  | int 0x0040
FCodes.TEXTSEL_PGF |  | int 0x0080
FCodes.TEXTSEL_QUICK_COPY |  | int 0x0001
FCodes.TEXTSEL_SELECT_ONLY |  | int 0x0100
FCodes.TEXTSEL_SENT |  | int 0x0400
FCodes.TEXTSEL_WORD |  | int 0x0020
FCodes.TEXT_INSET_PROPS |  | int 0x3E0
FCodes.TOGGLE_FLUID_VIEW |  | int 0x500
FCodes.TXT_10 |  | int 0xC02
FCodes.TXT_12 |  | int 0xC03
FCodes.TXT_14 |  | int 0xC04
FCodes.TXT_18 |  | int 0xC05
FCodes.TXT_24 |  | int 0xC06
FCodes.TXT_7 |  | int 0xC00
FCodes.TXT_9 |  | int 0xC01
FCodes.TXT_BAM |  | int 0x26B
FCodes.TXT_BOLD |  | int 0x260
FCodes.TXT_CHANGEBAR |  | int 0x26F
FCodes.TXT_DBLUNDERLINE |  | int 0x278
FCodes.TXT_DECSIZE |  | int 0x268
FCodes.TXT_DEFAULT |  | int 0x26D
FCodes.TXT_FAMILY_AND_VARIATION |  | int 0xC09
FCodes.TXT_FAMILY_AND_VARIATION_PLATFORM |  | int 0xC0A
FCodes.TXT_FONT |  | int 0xC17
FCodes.TXT_INCSIZE |  | int 0x267
FCodes.TXT_INITCAPS |  | int 0x274
FCodes.TXT_ITALIC |  | int 0x261
FCodes.TXT_KERN |  | int 0x270
FCodes.TXT_LESSSTRETCH |  | int 0x131
FCodes.TXT_LOWERCASE |  | int 0x276
FCodes.TXT_MINICAPS |  | int 0x273
FCodes.TXT_MORESTRETCH |  | int 0x132
FCodes.TXT_NORMAL |  | int 0x266
FCodes.TXT_NORMALCASE |  | int 0x277
FCodes.TXT_NOSTRETCH |  | int 0x130
FCodes.TXT_NUMUNDERLINE |  | int 0x279
FCodes.TXT_OTHERSIZE |  | int 0xC08
FCodes.TXT_OUTLINE |  | int 0x271
FCodes.TXT_OVERLINE |  | int 0x26E
FCodes.TXT_PLAIN |  | int 0x263
FCodes.TXT_SELBOLD |  | int 0x27A
FCodes.TXT_SELDECSIZE |  | int 0x120
FCodes.TXT_SELINCSIZE |  | int 0x11F
FCodes.TXT_SELITALIC |  | int 0x27B
FCodes.TXT_SELPLAIN |  | int 0x27D
FCodes.TXT_SELUNDERLINE |  | int 0x27C
FCodes.TXT_SHADOW |  | int 0x272
FCodes.TXT_SPREAD |  | int 0x26A
FCodes.TXT_SQUEEZE |  | int 0x269
FCodes.TXT_STRIKEOUT |  | int 0x26C
FCodes.TXT_SUB |  | int 0x265
FCodes.TXT_SUPER |  | int 0x264
FCodes.TXT_TSUME |  | int 0x2A5
FCodes.TXT_UNDERLINE |  | int 0x262
FCodes.TXT_UPPERCASE |  | int 0x275
FCodes.TXT_USIZE |  | int 0xC07
FCodes.TYPEIN |  | int 0xDF2
FCodes.UPDATE_INSETS |  | int 0x3E1
FCodes.WEB_ADOBEHELP |  | int 0xC22
FCodes.WEB_ADOBE_BOOKMARKS |  | int 0xC21
FCodes.WEB_COMPLETEHELP |  | int 0xD1F
FCodes.WEB_CORPORATENEWS |  | int 0xC1D
FCodes.WEB_FRAME_BOOKMARKS |  | int 0xC1F
FCodes.WEB_GOTOADOBE |  | int 0xC19
FCodes.WEB_PREFERENCES |  | int 0xC1A
FCodes.WEB_REGISTRATION |  | int 0xC1E
FCodes.WEB_TOPISSUES |  | int 0xC1B

Usage
Jongware, 5-Nov-2011 v3.0.3g Contents :: Index


Adobe FrameMaker-10 Object Model JS: FilterArgs

Class

FilterArgs

QuickLinks

 FilterArgs

Properties

Property | Type | Access | Description
args | Strings | readwrite | Currently NULL.
binname | string | readwrite | The name of the filter client file.
clname | string | readwrite | The registered name of the filter
infile | string | readwrite | The file to filter.
informat | string | readwrite | The registered incoming format.
outfile | string | readwrite | The filter output file.
outformat | string | readwrite | The registered output format

Methods

Constructor

FilterArgs FilterArgs ([infile: string][, outfile: string][, clname: string][, informat: string][, outformat: string][, binname: string][, args: Strings]) FilterArgs stores information that is used in the notification for a file-to-file filter (FA_Note_FilterFileToFile). The notification handler receives a pointer to this structure.

Parameter | Type | Description
infile | string | The file to filter. (Optional)
outfile | string | The filter output file. (Optional)
clname | string | The registered name of the filter. (Optional)
informat | string | The registered incoming format. (Optional)
outformat | string | The registered output format. (Optional)
binname | string | The name of the filter client file. (Optional)
args | Strings | Reserved for future use. Currently NULL. (Optional)

Return

FilterArgs FilterArgs.FilterArgs ([infile: string][, outfile: string][, clname: string][, informat: string][, outformat: string][, binname: string][, args: Strings])


Adobe FrameMaker-10 Object Model JS: Flow

Class

Flow

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
FirstTextFrameInFlow | TextFrame | readonly | First text frame in flow (FO_TextFrame ID).
FlowIsAutoConnect | int | readwrite | True if Autoconnect is enabled; False otherwise.
FlowIsFeathered | int | readwrite | True if Feather is enabled; False otherwise
FlowIsPostScript | int | readwrite | True if flow is PostScript code; False otherwise
FlowIsSynchronized | int | readwrite | True if Baseline Synchronization is enabled; False otherwise.
HighestLevelElement | Element | readonly | Highest-level element in flow (FO_Element ID)
LastTextFrameInFlow | TextFrame | readonly | Last text frame in flow (FO_TextFrame ID).
MaxInterPgfPadding | int | readwrite | Maximum interparagraph spacing.
MaxInterlinePadding | int | readwrite | Maximum interline spacing.
MinHang | int | readwrite | Maximum character height for synchronization of first line in column. If characters exceed this height, FrameMaker does not synchronize the first line.
Name | string | readwrite | Name of flow tag.
NextFlowInDoc | Flow | readonly | Next flow in document (FO_Flow ID).
SideHeadRoomInFlow | int | readwrite | True if Leave Room for Sideheads in Flow is enabled; False otherwise.
Spacing | int | readwrite | Line spacing for synchronized baselines.

Methods

Instances

int Delete () Deletes a flow.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the flow.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the flow.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the flow is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the flow.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.DocFluidFlow

Doc.FirstFlowInDoc

Doc.MainFlowInDoc

Flow.NextFlowInDoc

TextFrame.Flow

Return

Flow Doc.NewFlow ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: FmtChangeList

Class

FmtChangeList

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
AdjHyphens | int | readwrite | Number of allowable adjacent hyphens
AutoNumChar | string | readwrite | Character format for the automatic numbering string specified by AutoNumString; “ “ if the default character format is used.
AutoNumString | string | readwrite | Autonumber format string (for example, <n>.<n+>)
BlockLines | int | readwrite | The number of Widow/Orphan lines.
BottomSepAtIndent | int | readwrite | True if the position of the frame specified by BottomSeparator is at the current left indent;False otherwise.
BottomSeparator | string | readwrite | Name of frame to put below paragraph.
Capitalization | int | readwrite | Type of capitalization to use. The value is one of: • Constants.FV_CAPITAL_CASE_NORM () • Constants.FV_CAPITAL_CASE_SMALL () • Constants.FV_CAPITAL_CASE_LOWER () • Constants.FV_CAPITAL_CASE_UPPER ()
CellBottomMargin | int | readwrite | Amount added to default bottom margin of table cell.
CellBottomMarginChange | int | readwrite | Amount by which to increase or decrease the cell bottom margin.
CellBottomMarginFixed | int | readwrite | True if the cell bottom margin is fixed. False otherwise.
CellLeftMargin | int | readwrite | Amount added to default left margin of table cell.
CellLeftMarginChange | int | readwrite | Amount by which to increase or decrease the cell left margin.
CellLeftMarginFixed | int | readwrite | True if the cell left margin is fixed. False otherwise.
CellRightMargin | int | readwrite | Amount added to default right margin of table cell.
CellRightMarginFixed | int | readwrite | True if the cell right margin is fixed. False, otherwise.
CellTopMargin | int | readwrite | Amount added to default top margin of table cell.
CellTopMarginChange | int | readwrite | Amount by which to increase or decrease the cell top margin.
CellTopMarginFixed | int | readwrite | True if the cell top margin is fixed. False, otherwise.
CellVAlignment | int | readwrite | Denotes the vertical alignment of a paragraph when it is the first one in a cell. The value is one of: • Constants.FV_PGF_V_ALIGN_TOP (0) • Constants.FV_PGF_V_ALIGN_MIDDLE (1) • Constants.FV_PGF_V_ALIGN_BOTTOM (2)
ChangeBar | int | readwrite | True if Change Bars are on;False otherwise.
Color | Color | readwrite | The spot color (FO_Color ID).
CombinedFontFamily | CombinedFontDefn | readwrite | The combined font definition (FO_CombinedFontDefn)
FirstIndent | int | readwrite | The paragraph’s first-line left margin, measured from the left side of the current text column (0 cm to 100 cm ).
FirstIndentChange | int | readwrite | Amount by which to increase or decrease the first-line left margin.
FirstIndentIsRelative | int | readwrite | True if the first indent is relative to the left indent.
FirstIndentRelPos | int | readwrite | Position relative to left indent if FirstIndentIsRelative is True.
FmtChangeListInCatalog | int | readwrite | True if the format change list is in the Format Change List Catalog. False if it is in an element definition, as part of the text format rules.
FontAngle | int | readwrite | Denotes the font angle (specifies an index into the array of font angles provided by the session property FontAngleNames).
FontFamily | int | readwrite | Denotes the font family (specifies an index into the array of font families provided by the session property FontFamilyNames).
FontSize | int | readwrite | The font size (2 pt to 400 pt).
FontSizeChange | int | readwrite | Amount by which to increase or decrease the font size.
FontVariation | int | readwrite | Font variation (specifies an index into the array of font variations provided by the session property FontVariationNames).
FontWeight | int | readwrite | Font weight (specifies an index into the array of font weights provided by the session property FontWeightNames).
HyphMinPrefix | int | readwrite | Minimum number of letters that must precede the hyphen.
HyphMinSuffix | int | readwrite | Minimum number of letters that must follow a hyphen.
HyphMinWord | int | readwrite | Minimum length of a hyphenated word.
Hyphenate | int | readwrite | True if Automatic Hyphenation is enabled;False, otherwise.
KeepWithNext | int | readwrite | True if Keep With Next Paragraph is enabled. False otherwise.
KeepWithPrev | int | readwrite | True if Keep With Previous Paragraph is enabled. False otherwise.
KernX | int | readwrite | Horizontal kern value for manual kerning expressed as a percentage of an em (metric – 100% to 1000%).b A positive value moves a character right and a negative value moves a character left.
KernY | int | readwrite | Vertical kern value for manual kerning expressed as a percentage of an em (metric – 100% to 1000%). A positive value moves characters up and a negative value moves characters down.
Language | int | readwrite | The hyphenation and spell-checking language to use. The value is one of: • Constants.FV_LANG_BRAZILIAN (0x0B) • Constants.FV_LANG_BRITISH (0x02) • Constants.FV_LANG_CANADIAN_FRENCH (0x06) • Constants.FV_LANG_CATALAN (0x08) • Constants.FV_LANG_DANISH (0x0C) • Constants.FV_LANG_DUTCH (0x0D) • Constants.FV_LANG_ENGLISH (0x01) • Constants.FV_LANG_FINNISH (0x10) • Constants.FV_LANG_FRENCH (0x05) • Constants.FV_LANG_GERMAN (0x03) • Constants.FV_LANG_ITALIAN (0x09) • Constants.FV_LANG_NOLANGUAGE (0x00) • Constants.FV_LANG_NORWEGIAN (0x0E) • Constants.FV_LANG_NYNORSK (0x0F) • Constants.FV_LANG_PORTUGUESE (0x0A) • Constants.FV_LANG_SPANISH (0x07) • Constants.FV_LANG_SWEDISH (0x11) • Constants.FV_LANG_SWISS_GERMAN (0x04) • Constants.FV_LANG_JAPANESE (0x12) • Constants.FV_LANG_TRADITIONAL_CHINESE (0x13) • Constants.FV_LANG_SIMPLIFIED_CHINESE (0x14) • Constants.FV_LANG_KOREAN (0x15)
Leading | int | readwrite | Denotes the space below each line in the paragraph.
LeadingChange | int | readwrite | Amount by which to increase or decrease the leading.
LeftIndent | int | readwrite | The paragraph’s left margin, measured from the left side of the current text column (0 cm to 100 cm).
LeftIndentChange | int | readwrite | Amount by which to increase or decrease the left margin.
LetterSpace | int | readwrite | True if Word Spacing is enabled.
LineSpacingFixed | int | readwrite | True if the line spacing is fixed.
MaxJLetSpace | int | readwrite | Maximum Asian letter space.
MaxJRomSpace | int | readwrite | Maximum Asian-Roman space.
MaxSpace | int | readwrite | Maximum word spacing (percentage of an em space in current font).
MinJLetSpace | int | readwrite | Minimum Asian letter space.
MinJRomSpace | int | readwrite | Minimum Asian-Roman space.
MinSpace | int | readwrite | Minimum word spacing (percentage of an em space in current font).
MoveTabs | int | readwrite | Amount by which to move all tab positions in the paragraph.
Name | string | readwrite | The name of the format change list if it is in the Format Change List Catalog.
NextFmtChangeListInDoc | FmtChangeList | readwrite | The next format change list in the document (FO_FmtChangeList ID).
NumAtEnd | int | readwrite | True if the numbering position is at the End of the Paragraph; False if it is at the Beginning of the Paragraph.
NumTabs | int | readwrite | The number of tabs in the paragraph. To clear all the tabs in the paragraph, set NumTabs to 0.
OptJLetSpace | int | readwrite | Optimum Asian letter space.
OptJRomSpace | int | readwrite | Optimum Asian-Roman space.
OptSpace | int | readwrite | Optimum word spacing.
Overline | int | readwrite | True if Overline is enabled. False, otherwise.
PairKern | int | readwrite | True if Pair Kern is enabled. False, otherwise.
PgfAlignment | int | readwrite | Horizontal alignment of the paragraph. The value is one of: • Constants.FV_PGF_LEFT (0x01) • Constants.FV_PGF_RIGHT (0x02) • Constants.FV_PGF_CENTER (0x03) • Constants.FV_PGF_JUSTIFIED (0x04)
PgfCatalogReference | string | readwrite | A paragraph format tag if the format change list specifies one. If this property is set, you cannot change any of the other format change list properties, except Name.
PgfIsAutoNum | int | readwrite | True if autonumbering is enabled; False otherwise.
Placement | int | readwrite | Denotes the Paragraph placement. The value is one of: • Constants.FV_PGF_SIDEBODY (0) • Constants.FV_PGF_SIDEHEAD_TOP (1) • Constants.FV_PGF_SIDEHEAD_FIRST_BASELINE (2) • Constants.FV_PGF_SIDEHEAD_LAST_BASELINE (3) • Constants.FV_PGF_RUN_IN (4) • Constants.FV_PGF_STRADDLE (5) • Constants.FV_PGF_STRADDLE_NORMAL_ONLY (6)
Position | int | readwrite | Specifies position relative to baseline of text. The value is one of: • Constants.FV_POS_NORM (0): Normal • Constants.FV_POS_SUPER (1): Superscript • Constants.FV_POS_SUB (2): Subscript
RightIndent | int | readwrite | The paragraph’s right margin, measured from the right side of the current text column.
RightIndentChange | int | readwrite | Amount by which to increase or decrease the right margin.
RunInSeparator | string | readwrite | Denotes the string for Run-In Head Default Punctuation.
SpaceAbove | int | readwrite | Indicates the space above the paragraph.
SpaceAboveChange | int | readwrite | Amount by which to increase or decrease the space above.
SpaceBelow | int | readwrite | Indicates the space below the paragraph.
SpaceBelowChange | int | readwrite | Amount by which to increase or decrease the space below.
Spread | int | readwrite |
SpreadChange | int | readwrite |
Start | int | readwrite | Denotes the Vertical placement of a paragraph. The value is one of: • Constants.FV_PGF_ANYWHERE () • Constants.FV_PGF_TOP_OF_COL () • Constants.FV_PGF_TOP_OF_PAGE () • Constants.FV_PGF_TOP_OF_LEFT_PAGE () • Constants.FV_PGF_TOP_OF_RIGHT_PAGE ()
Stretch | int | readwrite | Character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
StretchChange | int | readwrite | Amount expressed as a percentage (metric – 10% to 1000%) by which to increase or decrease the character stretch.
Strikethrough | int | readwrite | True if Strikethrough is enabled. False, otherwise.
Tabs | Tabs | readwrite | An array of tab descriptions that specify the positions and types of tab stops in the paragraph.
TopSepAtIndent | int | readwrite | True if the position of the frame specified by TopSeparator is at the current left indent; False otherwise.
TopSeparator | string | readwrite | Name of frame to put above paragraph.
Underlining | int | readwrite | Type of underlining. The value is one of: • Constants.FV_CB_NO_UNDERLINE (0) • Constants.FV_CB_SINGLE_UNDERLINE (1) • Constants.FV_CB_DOUBLE_UNDERLINE (2) • Constants.FV_CB_NUMERIC_UNDERLINE (3)
YakumonoType | int | readwrite | Denotes the The Yakumono rules to handle punctuation characters. The value can be one of: • Constants.FV_FLOATING_YAKUMONO (0x00) • Constants.FV_MONOSPACE_YAKUMONO (0x01) • Constants.FV_FIXED_YAKUMONO (0x02)

Methods

Instances

int Delete () Deletes a format change list.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the format change list.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the format change list is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of a format change list.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Book.FirstFmtChangeListInDoc

Doc.FirstFmtChangeListInDoc

FmtChangeList.NextFmtChangeListInDoc

FmtRuleClause.FmtChangeList

Return

FmtChangeList Doc.GetNamedFmtChangeList ([name: string])

FmtChangeList Doc.NewNamedFmtChangeList ([name: string])


Adobe FrameMaker-10 Object Model JS: FmtRule

Class

FmtRule

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
CountElements | Strings | readwrite | The list of element tags to count among the element’s ancestors, if the format rule is a level rule. The tags are specified by the Count ancestors named element of the format rule.
ElementDef | ElementDef | readwrite | Denotes the ID of the element definition that contains the format rule (FO_ElementDef ID), if the format rule is not nested.
FmtRuleClause | FmtRuleClause | readwrite | Denotes the ID of the rule clause that contains the format rule (FO_ElementDef ID), if the format rule is nested.
FmtRuleClauses | Objects | readonly | IDs of the format rule’s format rule clause objects (FO_FmtRuleClause IDs).
FmtRuleType | int | readwrite | The format rule’s type. The value is one of: • Constants.FV_CONTEXT_RULE (0) • Constants.FV_LEVEL_RULE (1)
StopCountingAt | string | readwrite | Denotes the the tag of the element at which to stop counting elements, if the the format rule is a level rule. The tag is specified by the Stop counting at first ancestor named element.

Methods

Instances

int Delete () Deletes a format rule.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of a format rule.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the format rule is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of a format rule.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

FmtRuleClause.FmtRule

FmtRuleClause.SubFmtRule


Adobe FrameMaker-10 Object Model JS: FmtRuleClause

Class

FmtRuleClause

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
ContextLabel | string | readwrite | The context label for generated files. The label cannot contain white-space characters or any of these special characters:( ) & | , * + ? < > % [ ] = ! ;: { } " When a user displays the Set Up dialog box to set up a generated file, the label appears next to elements to which the rule clause applies.
ElemPrefixSuffix | string | readwrite | The text of the prefix or suffix. ElemPrefixSuffix specifies NULL if there is no prefix or suffix.
FmtChangeList | FmtChangeList | readonly | If the format rule clause specifies a format change list (RuleClauseType specifies Constants.FV_RC_CHANGELIST ()), FmtChangeList specifies the ID of the format change list (FO_FmtChangeList ID).To change the FmtChangeList property, use the NewFmtRuleObject() property.
FmtChangeListTag | string | readwrite | Denotes the change list’s tag, if If the format rule clause specifies a change list (RuleClauseType specifies Constants.FV_RC_CHANGELIST_TAG (3)).
FmtRule | FmtRule | readonly | The ID of the format rule containing the format rule clause (FO_FmtRule ID).
FormatTag | string | readwrite | The format tag if the format rule clause specifies one (RuleClauseType specifies Constants.FV_RC_TAG (0)). If IsTextRange is True, FormatTag specifies a character format tag; otherwise it specifies a paragraph tag, table tag, marker type, cross-reference format, or equation size.
IsTextRange | int | readwrite | True if the container element is formatted as a text range instead of a paragraph;False. otherwise.
RuleClauseType | int | readonly | The type of rule clause. The value is one of: • Constants.FV_RC_TAG (0) • Constants.FV_RC_SUB_FMTRUL (1) • Constants.FV_RC_CHANGELIST (2) • Constants.FV_RC_CHANGELIST_TAG (3)
Specification | string | readwrite | The format clause’s context or level specification.
SpecificationForCSS | Strings | readonly | A list of CSS specifications that match the Specification for the current clause.For example, assume an element has a specification of F < (G | H).This property returns the following strings: G > F > E and H > F > E.
SubFmtRule | FmtRule | readonly | Denotes the the format rule’s ID (FO_FmtRule ID), if the format rule clause contains a nested format rule (if RuleClauseType specifies Constants.FV_RC_SUB_FMTRULE (1)),

Methods

Instances

int Delete () Deletes a format rule clause.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of a format rule clause.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the format rule clause is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of a format rule clause.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

FmtRule.FmtRuleClause


Adobe FrameMaker-10 Object Model JS: Fn

Class

Fn

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
ContentHeight | int | readonly | The distance between the top of the footnote and the baseline of the last line in the footnote.
Element | Element | readonly | Specifies the the ID of the element containing the footnote, if the footnote is in a FrameMaker document.
FirstPgf | Pgf | readonly | First paragraph in the footnote (FO_Pgf ID).
FnAnchorString | string | readonly | This is the display string for a footnote anchor (generally a number string). This is a read-only property of a footnote and cannot be set by the user.
FnNum | int | readonly | Footnote number.
InTextFrame | TextFrame | readonly | Text frame containing the footnote (FO_TextFrame ID).
InTextObj | SubCol | readonly | Sub column that contains the footnote (FO_SubCol).
LastPgf | Pgf | readonly | Last paragraph in the footnote (FO_Pgf ID).
NextFn | Fn | readonly | Next footnote in the text frame (FO_Fn ID).
NextFnInDoc | Fn | readonly | Next footnote (FO_Fn ID) in the document.
Overflowed | int | readonly | True if the text in the footnote overflows; False, otherwise.
PrevFn | Fn | readonly | Previous footnote in the text frame (FO_Fn ID).
TextLoc | TextLoc | readonly | Text location of the footnote symbol.
Unique | int | readonly | Footnote’s unique ID.

Methods

Instances

int Delete () Deletes a footnote.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of a footnote.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the footnote.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the footnote is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of a footnote.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstFnInDoc

Fn.NextFn

Fn.NextFnInDoc

Fn.PrevFn

SubCol.FirstFn

SubCol.LastFn

TextFrame.FirstFn

TextFrame.LastFn

Return

Fn Doc.NewAnchoredFn ([textloc: TextLoc])


Adobe FrameMaker-10 Object Model JS: Font

Class

Font

QuickLinks

 Font

Properties

Property | Type | Access | Description
angle | uint | readwrite | Index of the font angle.
family | uint | readwrite | Index of the font family.
variation | uint | readwrite | Index of the font variation.
weight | uint | readwrite | Index of the font weight.

Methods

Constructor

Font Font ([family: uint][, variation: uint][, weight: uint][, angle: uint]) Font specifies a combination of font characteristics. Each field specifies an index into a list of names in the FrameMaker product session. For example, the family field specifies the index of a name in the list of names specified by the session property FontFamilyNames.
The weight field specifies the index of a name in the list of names specified by the session property FontWeightNames.

Parameter | Type | Description
family | uint | Index of the font family. (Optional)
variation | uint | Index of the font variation. (Optional)
weight | uint | Index of the font weight. (Optional)
angle | uint | Index of the font angle. (Optional)

Used in:

number Fonts.push ([value: Font])

string global.GetEncodingForFont ([font: Font])

Return

Font Font.Font ([family: uint][, variation: uint][, weight: uint][, angle: uint])

Font Fonts.pop ()


Adobe FrameMaker-10 Object Model JS: FontEnc

Class

FontEnc

Jongware, 5-Nov-2011 v3.0.3g Contents :: Index


Adobe FrameMaker-10 Object Model JS: Fonts

Class

Fonts

An Array of Font objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

Fonts concat ([value: Fonts]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array as the result of concatenation, with the given values to the end of the original array.

Parameter | Type | Description
value | Fonts | Can also be arrays. (Optional)

Font pop () Removes the last element from the array.

number push ([value: Font]) Pushes the font on the array and the returns the new length of the array.

Parameter | Type | Description
value | Font | TBD (Optional)

Used in:

Fonts Fonts.concat ([value: Fonts])

Return

Fonts Fonts.concat ([value: Fonts])

Fonts global.FamilyFonts ([family: int])


Adobe FrameMaker-10 Object Model JS: global

Class

global

QuickLinks

 AddMenu, Alert, Alive, AllocatePropVals, AppendIntProp, AppendMetricProp, AppendStringProp, AppendStringsProp, AppendVal, CMSLogin, CallClient, CheckStatus, ChooseFile, ClientDir, ClientName, ClientNumber, CustomDoc, DefineMenu, DisconnectFromSession, Emergency, Err, ErrorName, FamilyFonts, FileScrollBox, GetEncodingForFamily, GetEncodingForFont, GetExportDefaultParams, GetFontAngleValue, GetFontFamilyValue, GetFontVariationValue, GetFontWeightValue, GetImportDefaultParams, GetOpenDefaultParams, GetPropIndex, GetSaveDefaultParams, GetSupportedEncodings, GetUpdateBookDefaultParams, InitializationName, IsDRL, IsEncodingSupported, LoadMenuCustomizationFile, LogFMPIPEvent, MenuExists, Notification, NotificationName, Open, PopClipboard, PrintErrno, PrintExportStatus, PrintFAErrno, PrintImportStatus, PrintInitialization, PrintNotification, PrintOpenStatus, PrintPropVal, PrintPropVals, PrintSaveStatus, PrintTextItem, PrintTextItems, PrintUpdateBookStatus, PromptInt, PromptMetric, PromptString, PushClipboard, RemoveMenu, ReturnValue, Run, ScrollBox, Service, SetDdeInstance, ShortcutExists, ShutDown, SimpleNewDoc, SimpleOpen, Sleep, StringLen, USleep, UpdateMenus, UserCancel, WinInstallDefaultMessageFilter

Methods

Instances

int AddMenu ([toMenu: string][, menu: string][, label: string]) Adds a menu to a specified menu.
The method returns FE_Success on success.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Invalid product.
Constants.FE_BadOperation (-27)
One of:

• menu is null or empty

• tomenu is null or empty

• value of menu is already defined as a command

Constants.FE_BadParameter (-43)
One of:

• tomenu and menu have the same values

• tomenu is not previously defined

• tomenu is not a menu

Parameter | Type | Description
toMenu | string | The menu tag to which the menu is to be added. (Optional)
menu | string | The new menu which is being added to the existing menu. (Optional)
label | string | The name by which the newly added menu is visible. (Optional)

int Alert ([message: string][, type: int]) Displays an alert box with a message. Depending on the constant you specify for the type parameter, the alert displays either the OK and Cancel buttons, Yes and No buttons, or a Continue button.
The type parameter takes one of the following values:
Constant
Value
Constants.FF_ALERT_OK_DEFAULT (0)
Displays the OK and Cancel buttons; OK is the default.
Constants.FF_ALERT_CANCEL_DEFAULT (1)
Displays the OK and Cancel buttons; Cancel is the default.
Constants.FF_ALERT_CONTINUE_NOTE (2)
Displays the OK button.
Constants.FF_ALERT_CONTINUE_WARN (3)
Displays the OK button with a warning indicator.
Constants.FF_ALERT_YES_DEFAULT (4)
Displays the Yes and No buttons; Yes is the default.
Constants.FF_ALERT_NO_DEFAULT (5)
Displays the Yes and No buttons; No is the default.

The method returns 0 if the user clicked OK, Continue, or Yes.
The method returns -1 if the user clicked Cancel or No.

Parameter | Type | Description
message | string | The message that appears in the dialog box. Messages longer than 255 characters, are truncated. (Optional)
type | int | The dialog box type. (Optional)

int Alive () Checks whether the current asynchronous client has a connection with a FrameMaker process. Call this method after registering the asynchronous client using WinConnectSession().
The method returns a positive integer if there is a current connection to a FrameMaker process. Otherwise it returns 0.

PropVals AllocatePropVals ([numProps: int]) Allocates memory for a property list.
On success, the method returns a property list (a PropVals data structure).The returned PropVals structure references memory that is allocated by the API. If AllocatePropVals() fails, the method sets the len field of the returned structure to 0.

Parameter | Type | Description
numProps | int | The number of properties in the property list. (Optional)

Void AppendIntProp (pv: PropVals, prop: int, val: int)

Parameter | Type | Description
pv | PropVals |
prop | int |
val | int |

Void AppendMetricProp (pv: PropVals, prop: int, val: int)

Parameter | Type | Description
pv | PropVals |
prop | int |
val | int |

Void AppendStringProp (pv: PropVals, prop: int, val: string)

Parameter | Type | Description
pv | PropVals |
prop | int |
val | string |

Void AppendStringsProp (pv: PropVals, prop: int, val: Strings)

Parameter | Type | Description
pv | PropVals |
prop | int |
val | Strings |

Void AppendVal (pv: PropVals, prop: int, val: TypedVal)

Parameter | Type | Description
pv | PropVals |
prop | int |
val | TypedVal |

CMSConnection CMSLogin (setVal: TypedVal)

Parameter | Type | Description
setVal | TypedVal |

int CallClient ([clname: string][, arg: string]) Allows a client to call another client. The method is useful for calling FrameMaker clients, such as the structure generator and the element catalog manager.
On success, the method returns FE_Success or the value specified by the target client’s last call to ReturnValue().
Calls to the structure generator always return FE_Success no matter what string is passed to it as an argument.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_NameNotFound (-20)
There is no client with the specified name in the current FrameMaker productsession.
Constants.FE_BadParameter (-43)
For the TableSort client only: One of the arguments is invalid. For example, you gave a value for the sort key that is greater than the number of columns or rows in the current table selection, or you have no table cells selected.

Parameter | Type | Description
clname | string | The registered name of the target client. (Optional)
arg | string | A string that is passed to the target client. (Optional)

int CheckStatus ([p: PropVals][, statusBit: int]) Checks the scripts returned by Open(), Import(), Save(), and UpdateBook() to determine if a specified status bit is set.
Returns True if the bit is set, else returns False.

Parameter | Type | Description
p | PropVals | The property list returned by Open(), Save(), Import(), or UpdateBook(). (Optional)
statusBit | int | The status bit to test. (Optional)

int ChooseFile ([title: string][, directory: string][, stuffVal: string][, mode: int]) Displays dialog boxes similar to a FrameMaker’s Open and Save dialog boxes. The method displays directories and files in a scroll list and allows the user to choose a file or directory.
You can set the following values for mode:
Mode Constant
Dialog Box Type
Constants.FV_ChooseSelect (0)
Dialog box that allows the user to choose a file by clicking Select.It provides an input field into which the user can type a filename.
Constants.FV_ChooseOpen (1)
Dialog box that allows the user to choose a file by clicking Open.It provides an input field into which the user can type a filename.
Constants.FV_ChooseSave (2)
Dialog box that allows the user to save a file. It provides Save and Cancel buttons and an input field.
Constants.FV_ChooseOpenDir (3)
Dialog box that allows the user to choose a directory.

The method returns 0 if the user clicked Open, Select, Use, or Save; a nonzero value if the user clicked Cancel or an error occurred.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
title | string | The message that appears in the dialog box. (Optional)
directory | string | The default directory when the dialog box is first displayed. If you specify an empty string, the last directory used by an ESTK client is used. If no ESTK client has used a directory, the directory specified by the session property, OpenDir, is used. (Optional)
stuffVal | string | The default value that appears in the input field when the dialog box first appears. If the dialog box type specified by mode does not have an input field, this string is ignored. (Optional)
mode | int | A constant specifying the type of dialog box. (Optional)

string ClientDir () Returns the name of the current ESTK client’s directory.
Use Free() to free the string returned by ClientDir() when you are done with it.
The method assigns the following value to FA_errno, on failure:
Error
Reason
Constants.FE_Transport (-1)
A transport error occured.

string ClientName () Returns the registered name of the current client (the client that calls ClientName()).
Use Free() to free the string returned by ClientDir() when you are done with it.
The method assigns the following value to FA_errno, on failure:
Error
Reason
Constants.FE_Transport (-1)
A transport error occured.

int ClientNumber (_: Void)

Parameter | Type | Description
_ | Void |

Doc CustomDoc ([width: int][, height: int][, numCols: int][, columnGap: int][, topMargin: int][, botMargin: int][, leftinsideMargin: int][, rightoutsideMargin: int][, sidedness: int][, makeVisible: bool]) Creates a new custom document using the FrameMaker product’s default new document template.
The sidedness parameter can have one of the following values:
Vaule
Page Characterstics
Constants.FF_Custom_SingleSided (0)
Single sided.
Constants.FF_Custom_FirstPageRight (1)
Double-sided, starting with a right page.
Constants.FF_Custom_FirstPageLeft (2)
Double-sided, starting with a left page.

The method returns the new document on success.
The method assigns the following value to FA_errno, on failure:
Error
Reason
Constants.FE_WrongProduct (-60)
The product version does not support this operation.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.

Parameter | Type | Description
width | int | The document page width. (Optional)
height | int | The document page height. (Optional)
numCols | int | The default number of columns. (Optional)
columnGap | int | The default column spacing. (Optional)
topMargin | int | The document page top margin. (Optional)
botMargin | int | The document page bottom margin. (Optional)
leftinsideMargin | int | The left margin for single-sided documents, or the inside margin for double-sided documents. (Optional)
rightoutsideMargin | int | The right margin for single-sided documents, or the outside margin for double-sided documents. (Optional)
sidedness | int | A constant that specifies whether the document is single-sided or doublesided and on which side the document starts. (Optional)
makeVisible | bool | Specifies whether the document is visible after it is created. Set to True to make the document visible. (Optional)

Menu DefineMenu ([name: string][, label: string]) Defines a menu (FO_Menu object). After you define a menu, you can add it to a menu or a menu bar with AddMenuToMenu().
If you call DefineMenu() and specify the name of a menu that is already defined in the user’s menu configuration files, the FrameMaker product gives precedence to the definition in the configuration files. If the configuration files assign a label to the menu, the FrameMaker product uses it instead of the one you specify.If the user has already defined a menu with the name specified by name, DefineMenu() ignores the label parameter and uses the label specified by the user.
The method returns the new menu on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support this operation or fmbatch is running
Constants.FE_BadParameter (-43)
Parameter has an invalid value.
Constants.FE_BadOperation (-27)
Parameters specify an invalid operation.
Constants.FE_NotMenu (-72)
name specifies a command; cannot redefine a command as a menu.
Constants.FE_SystemError (-42)
System error.

Parameter | Type | Description
name | string | A unique name for the menu. If the user or an ESTK client has already defined a command or menu with this name, the new menu replaces it. (Optional)
label | string | The title of the menu as it appears on the menu bar or menu. (Optional)

int DisconnectFromSession () Ends communication with a FrameMaker product process.
The method returns FE_Success if it succeeds, or a system error code if an error occurs.

Void Emergency (: Void)

Parameter | Type | Description
 | Void |

Void Err ([message: string]) Prints the client’s name and a message to the console.

Parameter | Type | Description
message | string | The message to print. (Optional)

string ErrorName ([i: int]) Returns the string corresponding to the value of FA_errno.

Parameter | Type | Description
i | int | TBD (Optional)

Fonts FamilyFonts ([family: int]) Returns a Fonts object with the permutations of angles, variations, and weights available for a specified font family.

Parameter | Type | Description
family | int | The index of the font family (in the list of fonts in the session). (Optional)

int FileScrollBox ([title: string][, directory: string]) Displays a file scrollbox using the given title and the given directory as the path.

Parameter | Type | Description
title | string | The title to display on the scroll box. (Optional)
directory | string | The directory path to display. (Optional)

string GetEncodingForFamily ([family: int]) Returns the encoding that FrameMaker uses for the font family.
Returns one of the following strings indicating the encoding for the font:
Value
Meaning
FrameRoman
Roman Text.
JISX0208.ShiftJIS
Japanese Text.
BIG5
Traditional Chinese Text.
GB2312-80.EUC
Simplified Chinese Text.
KSC5601-1992
Korean Text.
Multiple
More than one encoding for the font family.

If the returned string is Multiple, the font family includes variations that are represented by different encodings. You should use ApiFamilyFonts() to get a list of the variations for the family. Then you can use GetEncodingForFont() to get the encoding for a specific variation.

Parameter | Type | Description
family | int | The font family for whichthe encoding is to be retrieved. (Optional)

string GetEncodingForFont ([font: Font]) Returns the encoding that FrameMaker uses for a specific font with a specific combination of weight, angle, and variation.
Returns one of the following strings indicating the encoding for the font:
Value
Meaning
FrameRoman
Roman Text.
JISX0208.ShiftJIS
Japanese Text.
BIG5
Traditional Chinese Text.
GB2312-80.EUC
Simplified Chinese Text.
KSC5601-1992
Korean Text.

Parameter | Type | Description
font | Font | (Optional)

PropVals GetExportDefaultParams ([: Void]) Returns the PropVals structure containing the default export parameters.

Parameter | Type | Description
 | Void | Null (Optional)

int GetFontAngleValue (angleName: string)

Parameter | Type | Description
angleName | string |

int GetFontFamilyValue (familyName: string)

Parameter | Type | Description
familyName | string |

int GetFontVariationValue (variationName: string)

Parameter | Type | Description
variationName | string |

int GetFontWeightValue (weightName: string)

Parameter | Type | Description
weightName | string |

PropVals GetImportDefaultParams () TBD

PropVals GetOpenDefaultParams () TBD

int GetPropIndex ([propVals: PropVals][, propNum: int]) Gets the index of a property-value pair (PropVal structure) within a property list. GetPropIndex() is a convenience routine that makes it easier to manipulate the properties in a property list.
The method returns the index (in the property list) of the property’s PropVal structure, or Constants.FE_BadPropNum (-4) if an error occurs.

Parameter | Type | Description
propVals | PropVals | The property list. (Optional)
propNum | int | The property for which the index is to be retrieved. (Optional)

PropVals GetSaveDefaultParams () Gets a default property list that you can use to call Save().
TBD

Strings GetSupportedEncodings () Returns the font encodings supported for the current session.
The following strings indicate the encoding for fonts:
Value
Meaning
FrameRoman
Roman Text.
JISX0208.ShiftJIS
Japanese Text.
BIG5
Traditional Chinese Text.
GB2312-80.EUC
Simplified Chinese Text.
KSC5601-1992
Korean Text.

PropVals GetUpdateBookDefaultParams () TBD

string InitializationName (i: int)

Parameter | Type | Description
i | int |

bool IsDRL (drl: string)

Parameter | Type | Description
drl | string |

bool IsEncodingSupported ([encodingName: string]) Checks whether the specified encoding is supported for the current session. For example, unless FrameMaker is running on a system that supports Japanese text, Japanese encoding is not supported.
The encodingName parameter can be set to one of the following values:
Value
Meaning
FrameRoman
Roman Text.
JISX0208.ShiftJIS
Japanese Text.
BIG5
Traditional Chinese Text.
GB2312-80.EUC
Simplified Chinese Text.
KSC5601-1992
Korean Text.

Returns True if the specified encoding is supported for the current session, else returns False.

Parameter | Type | Description
encodingName | string | The encoding that you want to test. (Optional)

Void LoadMenuCustomizationFile ([pathname: string][, silent: bool]) Loads a menu customization file.
A menu customization file is a text file containing statements that change the menus and commands the user sees in FrameMaker. For example, a menu customization file can change the name of a command or move a command from one menu to another.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_WrongProduct (-60)
The product version does not support this operation.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.
Constants.FE_BadOperation (-27)
Parameters specify an invalid operation.
Constants.FE_SystemError (-42)
System error.

Parameter | Type | Description
pathname | string | The pathname of the menu customization file to load. If you specify only a filename, the function looks in the client directory. If silent is set to False, the pathname specified by pathname is used as the default in the Menu Customization File dialog box. (Optional)
silent | bool | Specifies whether to display the Menu Customization File dialog box and allow the user to choose the file. To display the dialog box and allow the user to choose the file, specify False. To use the file specified by pathname without asking the user, specify True. (Optional)

int LogFMPIPEvent (category: string, subcategory: string, eventName: string)

Parameter | Type | Description
category | string |
subcategory | string |
eventName | string |

int MenuExists ([menu: string]) Indicates whether a specified menu exists.
The method returns True if the menu exists or False if the menu does not exist.

Parameter | Type | Description
menu | string | The menu to be checked for existence. (Optional)

int Notification ([notification: int][, state: int]) Requests that the FrameMaker product notify your client whenever a specified event, or stage of an event, occurs.
If FrameMaker encounters an internal error and exits, it does not send any notification to your client about operations performed after the error occured. For example, after an error, FrameMaker allows the user to save changes in open documents, but it does not notify any clients of the save operations.
Many events have several notification points or stages for which you can request notification.The following table lists the notification points and the constants that specify them:
Event
Notification Point
Notification Constant
Frame binary document opened

• Before checking the type of file to be opened

• After checking the type of file to be opened

• Before opening the file

• After opening the file

• Constants.FA_Note_PreFileType (9)

• Constants.FA_Note_PostFileType (10)

• Constants.FA_Note_PreOpenDoc (1)

• Constants.FA_Note_PostOpenDoc (2)

MIF document opened

• Before checking the type of file to be opened

• After checking the type of file to be opened

• Before opening the file

• After opening the file

• Constants.FA_Note_PreFileType (9)

• Constants.FA_Note_PostFileType (10)

• Constants.FA_Note_PreOpenMIF (3)

• Constants.FA_Note_PostOpenMIF (4)

SGML document opened

• Before checking the type of file to be opened

• After checking the type of file to be opened

• Before opening the file

• After opening the file

• Constants.FA_Note_PreFileType (9)

• Constants.FA_Note_PostFileType (10)

• Constants.FA_Note_PreOpenSGML (82)

• Constants.FA_Note_PostOpenSGML (83)

XML document opened

• Before checking the type of file to be opened

• After checking the type of file to be opened

• Before opening the file

• After opening the file

• Constants.FA_Note_PreFileType (9)

• Constants.FA_Note_PostFileType (10)

• Constants.FA_Note_PreOpenXML (95)

• Constants.FA_Note_PostOpenXML (96)

Filterable document opened
Before checking the type of the file to be opened
Constants.FA_Note_FilterIn (14)
Frame binary book opened

• Before checking the type of file to be opened

• After checking the type of file to be opened

• Before opening the file

• After opening the file

• Constants.FA_Note_PreFileType (9)

• Constants.FA_Note_PostFileType (10)

• Constants.FA_Note_PreOpenBook (16)

• Constants.FA_Note_PostOpenBook (17)

MIF book opened

• Before checking the type of file to be opened

• After checking the type of file to be opened

• Before opening the file

• After opening the file

• Constants.FA_Note_PreFileType (9)

• Constants.FA_Note_PostFileType (10)

• Constants.FA_Note_PreOpenBookMIF (18)

• Constants.FA_Note_PostOpenBookMIF (19)

User double-clicked to open a document in a book window

• Before opening the file

• After opening the file

• Constants.FA_Note_PreBookComponentOpen (76)

• Constants.FA_Note_PostBookComponentOpen (77)

Generating a list or TOC for a document or a book

• Before generating the file

• After generating the file

• Constants.FA_Note_PreGenerate (78)

• Constants.FA_Note_PostGenerate (79)

Document saved in Frame binary format

• Before saving the document

• After saving the document

• Constants.FA_Note_PreSaveDoc (5)

• Constants.FA_Note_PostSaveDoc (6)

Document saved as MIF

• Before saving the file as MIF

• After saving the file as MIF

• Constants.FA_Note_PreSaveMIF (7)

• Constants.FA_Note_PostSaveMIF (8)

Document saved as SGML

• Before saving the file as SGML

• After saving the file as SGML

• Constants.FA_Note_PreSaveSGML (99)

• Constants.FA_Note_PostSaveSGML (100)

Document saved as XML

• Before saving the file as XML

• After saving the file as XML

• Constants.FA_Note_PreSaveXML (97)

• Constants.FA_Note_PostSaveXML (98)

Document saved as PDF

• Before specifying Acrobat settings and generating PostScript

• After specifying Acrobat settings and generating PostScript

• Before distilling the postscript

• After distilling the postscript

• Constants.FA_Note_PreSaveAsPDFDialog (71)

• Constants.FA_Note_PostSaveAsPDFDialog (72)

• Constants.FA_Note_PreDistill (73)

• Constants.FA_Note_PostDistill (74)

Document saved as filterable type
Before the document is saved
Constants.FA_Note_FilterOut (15)
Document exited

• Before exiting the document

• After exiting the document

• Constants.FA_Note_PreQuitDoc (11)

• Constants.FA_Note_PostQuitDoc (40)

Book exited

• Before exiting the book

• After exiting the book

• Constants.FA_Note_PreQuitBook (24)

• Constants.FA_Note_PostQuitBook (41)

First change made to a document since it was opened or saved
After the document is changed
Constants.FA_Note_DirtyDoc (12)
First change made to a book since it was opened or saved
After the book is changed
Constants.FA_Note_DirtyBook (25)
Book saved in Frame binary format

• Before saving the book

• After saving the book

• Constants.FA_Note_PreSaveBook (20)

• Constants.FA_Note_PostSaveBook (21)

Book saved in MIF format

• Before saving the MIF file

• After saving the MIF file

• Constants.FA_Note_PreSaveBookMIF (22)

• Constants.FA_Note_PostSaveBookMIF (23)

Document saved with Autosave

• Before saving the document

• After saving the document

• Constants.FA_Note_PreAutoSaveDoc (32)

• Constants.FA_Note_PostAutoSaveDoc (33)

Document reverted

• Before reverting the document

• After reverting the document

• Constants.FA_Note_PreRevertDoc (28)

• Constants.FA_Note_PostRevertDoc (29)

Book reverted

• Before reverting the book

• After reverting the book

• Constants.FA_Note_PreRevertBook (30)

• Constants.FA_Note_PostRevertBook (31)

FrameMaker product exited

• Before the OK to Exit dialog box appears

• Immediately before exiting the session

• Constants.FA_Note_PreQuitSession (26)

• Constants.FA_Note_PostQuitSession (27)

Another client calls CallClient() with clname set to the current client’s name
After the call has been made to CallClient()
Constants.FA_Note_ClientCall (13)
Any user action, such as a command choice or text entry
After the FrameMaker product finishes processing the user action
Constants.FA_Note_BackToUser (34)
User clicks on Text inset owned by the current client
After the user clicked the inset
Constants.FA_Note_DisplayClientTiDialog (35)
FrameMaker product updates all text insets
When the client needs to update insets that belong to it
Constants.FA_Note_UpdateAllClientTi (36)
FrameMaker product updates a specific text inset
When the client needs to update a specified inset
Constants.FA_Note_UpdateClientTi (37)
Text or graphic imported

• Before importing the text or graphic

• After importing the text or graphic

• Constants.FA_Note_PreImport (38)

• Constants.FA_Note_PostImport (39)

FrameMaker product command invoked or text entered in a document r

• Before the FrameMaker product executes a command or adds text to the document

• After the FrameMaker product executes a command or adds text to the document

• Constants.FA_Note_PreFunction (42)

• Constants.FA_Note_PostFunction (43)

Mouse button clicked

• Before the FrameMaker product responds to the mouse click

• After the FrameMaker product responds to the mouse click

• Constants.FA_Note_PreMouseCommand (44)

• Constants.FA_Note_PostMouseCommand (45)

Hypertext command invoked

• Before the FrameMaker product executes a hypertext command

• After the FrameMaker product executes a hypertext command

• Constants.FA_Note_PreHypertext (46)

• Constants.FA_Note_PostHypertext (47)

The user clicked Go To Source in the cross reference dialog box

• Before the FrameMaker product goes to the cross reference source

• After the FrameMaker product goes to the cross reference source

• Constants.FA_Note_PreGoToXrefSrc (80)

• Constants.FA_Note_PostGoToXrefSrc (81)

Document or book printed

• After the user clicks OK in the Print dialog box, but before the FrameMaker product prints the document or book

• After the FrameMaker product prints the document or book

• Constants.FA_Note_PrePrint (48)

• Constants.FA_Note_PostPrint (49)

Body page added to a document
After the FrameMaker product adds the body page
Constants.FA_Note_BodyPageAdded (50)
Body page deleted from a document
After the FrameMaker product deletes the body page
Constants.FA_Note_BodyPageDeleted (51)
Structural element inserted

• Before the element is inserted

• After the element is inserted

• Constants.FA_Note_PreInsertElement (52)

• Constants.FA_Note_PostInsertElement (53)

Structural element copied

• Before the element is copied

• After the element is copied

• Constants.FA_Note_PreCopyElement (60)

• Constants.FA_Note_PostCopyElement (61)

Structural element changed

• Before the element is changed

• After the element is changed

• Constants.FA_Note_PreChangeElement (54)

• Constants.FA_Note_PostChangeElement (55)

Structural element wrapped

• Before the element is wrapped

• After the element is wrapped

• Constants.FA_Note_PreWrapElement (56)

• Constants.FA_Note_PostWrapElement (57)

Structural element dragged

• Before the element is dragged

• After the element is dragged

• Constants.FA_Note_PreDragElement (58)

• Constants.FA_Note_PostDragElement (59)

An attribute value is set

• Before the attribute value is set

• After the attribute value is set

• Constants.FA_Note_PreSetAttrValue (62)

• Constants.FA_Note_PreSetAttrValue (63)

Element definitions are imported

• Before the element definitions are imported

• After the element definitions are imported

• Constants.FA_Note_PreImportElemDefs (64)

• Constants.FA_Note_PostImportElemDefs (65)

Inline input of double-byte text

• Before the text entry

• After the text entry

• Constants.FA_Note_PreInlineTypeIn (69)

• Constants.FA_Note_PostInlineTypeIn (70)

Filter a file on import or export via a filter to file filter
A file to file filter has been invoked—this notification occurs before the file is imported
Constants.FA_Note_FilterFileToFile (75)

The notification constants are numbered sequentially, starting with 0. The method provides a constant, Constants.FA_Note_Num (128), that specifies the total number of notifications. This makes it easy to request notification for all notification points.
The method returns FE_Success on success. On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.
Constants.FE_BadNotificationNum (-30)
The specified notification number was invalid.

Parameter | Type | Description
notification | int | Constant that specifies the notification point. (Optional)
state | int | Specifies whether to turn notification on or off. True turns it on, and False turns it off (Optional)

string NotificationName ([i: int]) TBD

Parameter | Type | Description
i | int | TBD (Optional)

Object Open ([fileName: string][, openParams: PropVals][, openReturnParams: PropVals]) Opens a document or book. It can also create a new document.
Open() allows you to specify a property list telling FrameMaker how to open or create the file and how to deal with error and warning conditions.
For example, you can specify whether to abort or to continue opening a document if it contains fonts that are not available. If the file is already open and invisible, it will make the file visible.
To get a property list to specify for the openParams parameter, use GetOpenDefaultParams() or create the list from scratch.
To create a new document with Open(), set the Constants.FS_NewDoc (29) property in the openParams property list to True.
When creating a new document (Constants.FS_NewDoc (29) is True) and you display the New dialog box (Constants.FS_ShowBrowser (1) is True) and if the user clicks etiher Portrait, Custom, or Landscape in the New dialog box, Open() does not create a document. Intead, it returns 0 and sets FA_errno to either Constants.FE_WantsPortrait (-48), Constants.FE_WantsCustom (-46), or Constants.FE_WantsLandscape (-47), respectively. It is up to your client to create a portrait, custom, or landscape document.For more information on creating custom documents, see CustomDoc.
The method returns the document or book if it opens it successfully, or 0 if an error occurs.
The property list to which openReturnParams is set has the properties shown in the following table:
Property
Meaning and possible values
Constants.FS_OpenedFileName (1)
A string that specifies the opened file’s pathname. If you scripted Constants.FS_ShowBrowser (1), or the file was filtered, or you did not specify the pathname, this pathname can be different from the one you specified in the Open script.
Constants.FS_OpenNativeError (2)
The error condition; normally the same value as FA_errno. If the file is opened successfully, it is set to FE_Success.
Constants.FS_OpenStatus (3)
A bit field indicating what happened when the file was opened.

Both the Constants.FS_OpenNativeError(2) property and the FA_errno global variable indicate the result of a call to Open(). The following table lists the possible status flags and the FA_errno and Constants.FS_OpenNativeError(2) values associated with them.
FS_OpenNativeError and FA_errno values
Possible FS_OpenStatus flags
Constants.FE_Success (0) (file was opened)

• Constants.FV_FileHasNewName (32) - Filename was changed from the name specified in the Open() call.

• Constants.FV_RecoverFileUsed (33) - Recover file was present, and it was used.

• Constants.FV_AutoSaveFileUsed (34) - Autosave file was present, and the user or the Open() script chose to use it.

• Constants.FV_FileWasFiltered (35) - File was filterable and it was filtered.

• Constants.FV_FontsWereMapped (36) - The document contained unavailable fonts, which were mapped to substitute fonts.

• Constants.FV_FontMetricsChanged (37) - The file contained fonts with changed metrics, but it was opened anyway.

• Constants.FV_FontsMappedInCatalog (38) - The Paragraph or Character Catalog used unavailable fonts, which were mapped to substitute fonts.

• Constants.FV_LanguagesWerentFound (39) - The document used some unavailable languages, but it was opened anyway.

• Constants.FV_BeefyDoc (40) - The document file was extremely large, but it was opened anyway.

• Constants.FV_FileIsOldVersion (41) - The file was from an old FrameMaker product version, but the user or the Open() script chose to open it anyway.

• Constants.FV_FileStructureStripped (42) - The file had FrameMaker features, which the user or the Open() script chose to strip.

• Constants.FV_FileIsText (43) - The file was a Text Only file, but the user or the Open() script chose to open it anyway.

• Constants.FV_OpenedViewOnly (44) - The user or the Open() script chose to open the file as a View Only file.

• Constants.FV_EditableCopyOpened(45) - The file was in use and the user or the Open() script opened an editable copy.

• Constants.FV_BadFileRefsWereMapped (46) - File reference contained illegal characters; the illegal characters were converted to something safe.

• Constants.FV_ReferencedFilesWerentFound (47) - Imported graphics files could not be found, but the file was opened anyway.

Constants.FE_Success (0) (file was opened)

• Constants.FV_FileAlreadyOpen (48) - The file was in use and the user or the Open() script opened another copy.

• Constants.FV_UnresolvedXRefs (49) - There were unresolved cross-references, but the file was opened anyway.

• Constants.FV_UnresolvedTextInsets(50) - There were unresolved text insets, but the file was opened anyway.

Constants.FE_SystemError (-42) (file was not opened)

• Constants.FV_TooManyWindows(128) - Too many windows were open.

• Constants.FV_BadTemplate (129) - A bad template was specified.

• Constants.FV_FileNotReadable (130) - Do not have read permission for the file.

Constants.FE_BadParameter (-43) (file was not opened)

• Constants.FV_FileHadStructure(64) - File had FrameMaker features, but current FrameMaker product is not FrameMaker.

• Constants.FV_FileAlreadyOpenThisSession (65) - File is already open and script disallowed opening another copy.

• Constants.FV_BadFileType (66) - File was an executable file or other unreadable type.

• Constants.FV_BadFileName (67) - Specified filename was invalid.

• Constants.FV_CantNewBooks (68) - Script specified a book that did not exist (the Open operation cannot create a new book).

• Constants.FV_BadScriptValue (70) - Open() script contained an invalid property value.

• Constants.FV_MissingScript (71) - Open() was called without a script.

• Constants.FV_CantForceOpenAsText (72) - Open() script attempted to open the file as text, but file was of the wrong type.

• Constants.FV_DisallowedType (73) - File was a Frame binary document and the Open() script disallowed it.

• Constants.FV_DocDamagedByTextFilter (74) - File was a text document and was damaged when it was filtered.

• Constants.FV_DocHeadersDamaged (75) - The document headers were damaged (probably because of a file system problem).

• Constants.FV_DocWrongSize (76) - File is the wrong size (probably because of a file system problem).

• Constants.FV_ChecksumDamage (77) - Bad checksum.

Constants.FE_Canceled (-44) (file was not opened)

• Constants.FV_CancelUseRecoverFile (96) - A recover file was present, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelUseAutoSaveFile (97) - An Autosave file was present, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFileIsText (98) - The file was text, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFileIsInUse (99) - The file was in use, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFileHasStructure (100) - The file had structure, so the user or the script canceled the Open operation.

• Constants.FV_CancelReferencedFilesNotFound (101) - The file contained referenced files that were not available, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelLanguagesNotFound (102) - The file contained languages that were not available, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFontsMapped (103) - The document contained fonts that needed to be mapped to other fonts, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFontMetricsChanged (104) - The file contained fonts with changed metrics, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFontsMappedInCatalog (105) - The document’s Character Catalog or Paragraph Catalog contained fonts that needed to be mapped to other fonts, so the user or the Open() script canceled the Open operation.

• Constants.FV_CancelFileIsDoc (106) - The file was a document and the Open() script disallowed it.

• Constants.FV_CancelFileIsMIF (107) - The file was a MIF file and the Open() script disallowed it.

• Constants.FV_CancelBook (108) - The file was a book and the Open() script disallowed it.

• Constants.FV_CancelBookMIF (109) - The file was a MIF file and the Open() script disallowed it.

• Constants.FV_CancelFileIsFilterable (110) - The file was a filterable file and the Open() script disallowed it.

• Constants.FV_CancelFileIsOldVersion (111) - The file was from an old version of a FrameMaker product, so the user or the Open() script canceled the Open operation.

• Constants.FV_UserCanceled (112) - The user canceled the Open operation.

• Constants.FV_CancelFileBrowser (113) - The user canceled the Open operation from the file browser.

• Constants.FV_CancelBeefyDoc (114) - The document was very large and the user or the script disallowed it.

• Constants.FV_CancelFileIsSgml (115) - The file was an SGML document and the Open() script disallowed it.

• Constants.FV_CancelTempDiskFull (118) - There was insufficient room on the disk to cache data while opening the file.

• Constants.FV_CancelFileIsXml (119) - The file was an XML document and the Open() script disallowed it.

• Constants.FE_Success (0)

• Constants.FE_Canceled (-44)

• Constants.FE_FailedState (-45)

• Constants.FE_CanceledByClient (-86)

• Constants.FV_LockWasReset (0) - File lock was reset.

• Constants.FV_LockNotReset (1) - File had a lock that was not reset.

• Constants.FV_LockCouldntBeReset (2) - File had a lock that could not be reset.

• Constants.FV_FileWasInUse (3) - File was in use.

• Constants.FV_FileIsViewOnly (4) - File is a View Only file.

• Constants.FV_LockWasInvalid (5) - File had an invalid lock.

• Constants.FV_FileIsNotWritable (6) - The file was not writable, and the user canceled the open through the alert.

• Constants.FV_FileModDateChanged (7) - The file has changed since the last time it was opened or saved in the current session.

To determine if a particular FS_OpenStatus bit is set, use CheckStatus.
After you are done with the property lists you use to call Open(), use DeallocatePropVals() to deallocate the memory they use.

Parameter | Type | Description
fileName | string | The full pathname of the file to open. If you are using Open() to create a document, specify the name of the template to use. (Optional)
openParams | PropVals | A property list telling the FrameMaker product how to open the file and how to respond to errors and other conditions. To use the default list, specify NULL. (Optional)
openReturnParams | PropVals | A property list that returns the filename and provides information about how FrameMaker opened the file. It must be initialized before you call Open(). (Optional)

int PopClipboard ([_: Void]) Pops the Clipboard stack, moving the entry on the top of the stack to the Clipboard.
The method returns FE_Success on success. On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.
Constants.FE_BadOperation (-27)
Clipboard stack is empty.

Parameter | Type | Description
_ | Void | NULL (Optional)

Void PrintErrno ([i: int]) Prints the value of FA_errno to the console.

Parameter | Type | Description
i | int | TBD (Optional)

Void PrintExportStatus ([p: PropVals]) TBD

Parameter | Type | Description
p | PropVals | TBD (Optional)

Void PrintFAErrno ([_: Void]) Prints the current error status, represented by the global variable, FA_errno. The method is useful for debugging clients.
When a method fails, it stores an error code in the global variable, FA_errno.
FA_errno retains the error code until another function fails and sets it or until your code explicitly sets it.
To determine whether a method call has failed, initialize FA_errno to FE_Success once before calling the method and check it once after the method call is completed.For example, if you call the Notification()method and specify an invalid notification constant, the method sets FA_errno to Constants.FE_BadNotificationNum (-30). If you subsequently call PrintFAErrno(), it prints the string FE_BadNotificationNum.
On failure, PrintFAErrno() assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
_ | Void | NULL (Optional)

Void PrintImportStatus ([p: PropVals]) Prints status flags returned by Import(). It is useful for debugging your clients.

Parameter | Type | Description
p | PropVals | The property list that Import() returns in importReturnParamspp. (Optional)

Void PrintInitialization (i: int)

Parameter | Type | Description
i | int |

Void PrintNotification (i: int)

Parameter | Type | Description
i | int |

Void PrintOpenStatus ([p: PropVals]) Prints status flags returned by Open(). It is useful for debugging your clients.

Parameter | Type | Description
p | PropVals | The property list that Open() returns in openReturnParamspp. (Optional)

Void PrintPropVal ([p: PropVal]) Prints the value of a specified property. It is useful for debugging your clients.

Parameter | Type | Description
p | PropVal | The property to print. (Optional)

Void PrintPropVals ([p: PropVals]) Prints the values in a specified property list. It is useful for debugging your clients.

Parameter | Type | Description
p | PropVals | The property to print. (Optional)

Void PrintSaveStatus ([p: PropVals]) Prints errors returned by Save(). It is useful for debugging your clients.

Parameter | Type | Description
p | PropVals | The property list that Save() returns in saveReturnParamspp. (Optional)

Void PrintTextItem ([textItem: TextItem]) Prints the text in a specified text item. It is useful for debugging clients.

Parameter | Type | Description
textItem | TextItem | The text item to print. (Optional)

Void PrintTextItems ([textItems: TextItems]) Prints the text in a specified set of text items (TextItems structure). It is useful for debugging clients.

Parameter | Type | Description
textItems | TextItems | The set of text items to print. (Optional)

Void PrintUpdateBookStatus ([p: PropVals]) Prints errors returned by UpdateBook(). It is useful for debugging your clients.

Parameter | Type | Description
p | PropVals | The property list that UpdateBook() returns in updateReturnParamspp. (Optional)

int PromptInt ([message: string][, stuffVal: string]) Displays a dialog box that prompts the user for a single integer value. It allows you to provide a default value, which appears in the entry field when the dialog box appears. The dialog box has OK and Cancel buttons.
PromptInt() does not assign a value to *intp if the user clicks Cancel. If the user types alphabetic text after a number, the method ignores the text and just returns the value of the number.
The method returns 0 if the user clicked OK; a nonzero value if the user clicked Cancel or an error occurred.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
message | string | The message that appears in the dialog box. It must be 255 characters or less. (Optional)
stuffVal | string | The default value that appears in the input field when the dialog box is first displayed. (Optional)

int PromptMetric ([message: string][, stuffVal: string][, defaultunit: int]) Displays a dialog box that prompts the user for a single metric value. It allows you to provide a default value, which appears in the entry field when the dialog box appears. The dialog box has OK and Cancel buttons.
PromptMetric() does not assign a value to *metricp if the user clicks Cancel.
PromptMetric() dialog boxes behave like metric dialog boxes in the user interface.If the user types a number followed by a string that represents a unit (for example 10pts or 5"), the method converts the number into the equivalent number of metric units. If the user does not specify a unit, the method uses points (metric 65536).
The method returns 0 if the user clicked OK; a nonzero value if the user clicked Cancel or an error occurred.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
message | string | The message that appears in the dialog box. It must be 255 characters or less. (Optional)
stuffVal | string | The default value that appears in the input field when the dialog box is first displayed. (Optional)
defaultunit | int | The metric unit to use if the user does not specify one. (Optional)

int PromptString ([message: string][, stuffVal: string]) Displays a dialog box that prompts the user for a single string value. It allows you to provide a default string, which appears in the entry field when the dialog box appears. The dialog box has OK and Cancel buttons.
PromptString() does not assign a value to *stringp if the user clicks Cancel.
Do not call PromptString() to prompt the user for a pathname. If the user enters a pathname as a string, the backslash character (\) is interpreted as a special escape character. For example, the characters \s represent a space. If the user enters the pathname c:\sample, this string is interpreted as c: ample. To prompt the user for a pathname, use ChooseFile to display a file selection dialog box.
PromptString() allocates memory for the string it returns. Use Free() to free the string when you are done with it.
The method returns 0 if the user clicked OK; a nonzero value if the user clicked Cancel or an error occurred.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
message | string | The message that appears in the dialog box. It must be 255 characters or less.Newline and linefeed characters are ignored. (Optional)
stuffVal | string | The default value that appears in the input field when the dialog box is first displayed. (Optional)

Void PushClipboard ([: Void]) Pushes the current Clipboard contents onto the Clipboard stack.The method is useful if you want to use Clipboard functions, such as Copy() or Cut(), without losing the Clipboard’s original contents.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
 | Void | NULL (Optional)

int RemoveMenu ([fromMenu: string][, label: string]) Deletes the specified menu.
The method returns FE_Success on success.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Invalid product.

Parameter | Type | Description
fromMenu | string | The parent menu from which the menu is to be deleted. (Optional)
label | string | The menu to delete. (Optional)

int ReturnValue ([retvalue: int]) Sets a return value for a client-defined callback. The method allows a client to provide status information to the FrameMaker product or client that called the callback.You can call this method in the following callbacks:

• DialogEvent()

• Notify()

ReturnValue() is useful for canceling FrameMaker product operations. When your client receives a Constants.FA_PreNotificationPoint notification for an operation, it can cancel the operation by calling ReturnValue() with retvalue set to Constants.FR_CancelOperation (-10001).
For example, if your client’s Notify() callback responds to all Constants.FA_Note_PrePrint (48) notifications by calling ReturnValue() with retvalue set to Constants.FR_CancelOperation (-10001), FrameMaker cancels all print operations.
Your client can also call ReturnValue() in a DialogEvent() callback to prevent FrameMaker from closing a modal dialog box.
You can set retvalue to any integer. If you client sets retval in response to one of the following notifications, it can use the following listed constants:
Notification
Values that client can pass to ReturnValue()
Meaning
Constants.FA_NOTE_PreNotificationPoint
Constants.FR_CancelOperation (-10001)
Cancel the operation for which the notification was issued
Constants.FA_Note_ClientCall (13)
Any value recognized by the client that called CallClient().
Client-defined.
Constants.FA_Note_FilterIn (14)

• The document into which the file was filtered.

• 0

• The document was filtered successfully.

• The document was not filtered successfully.

Constants.FA_Note_DisplayClientTiDialog (35)
Constants.FR_DisplayedTiDialog (-10002)
The client has displayed its version of the Text Inset Properties dialog box.
Constants.FA_Note_PreSaveAsPDFDialog (71)

• Constants.FR_CancelOperation (-10001)

• Constants.FR_SkipStep (-10004)

• Cancel the Save As PDF operation.

• Do not display the Acrobat Settings dialog box

Constants.FA_Note_PostSaveAsPDFDialog (72)
Constants.FR_CancelOperation (-10001)
Cancel the Save as PDF operation.
This event occurs before the distilling operation begins. You can now cancel the peration after the user closes Save As PDF dialog box.
Constants.FA_Note_PreDistill (73)
Constants.FR_CancelOperation (-10001)
Cancel the Save as PDF operation.

Calling ReturnValue() for notifications other than those listed above, has no effect.
A client can also call ReturnValue() in a DialogEvent() callback that responds to actions in a client-defined modal dialog box.
Normally, when the user clicks a button in a client-defined modal dialog box, FrameMaker calls the client’s DialogEvent() callback and then closes the dialog box. However, if the client’s DialogEvent() callback calls ReturnValue() with retvalue set to Constants.FR_DialogStayUp (-10000) , FrameMaker does not close the dialog box.
The following table lists the values that a client can pass to ReturnValue() in a DialogEvent() callback:
Value
Meaning
Constants.FR_DialogStayUp (-10000)
Do not close the modal dialog box in which the event occurred.
Any other value
Close the modal dialog box.

On success, ReturnValue() returns the value of the retvalue parameter that was set, the previous time ReturnValue() was called in the current callback function.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transport error occurred.

Parameter | Type | Description
retvalue | int | The value to return. (Optional)

int Run (: Void)

Parameter | Type | Description
 | Void |

int ScrollBox ([title: string][, stringslist: Strings][, _default: int]) Displays an array of items and allows the user to choose one.
If you set default to -1, always check to make sure the value returned in selected_item is 0 or greater before you use it as an array index. If you set default to -1 and the user clicks OK without choosing an item, the value returned in selected_item will be -1.
Returns 0 if the user clicked OK, or a nonzero value if the user clicked Cancel or an error occurred.
On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
The user clicked Cancel, or a transport error occurred.

Parameter | Type | Description
title | string | The title that appears on the dialog box. (Optional)
stringslist | Strings | The list of items to appear in the scroll list. (Optional)
_default | int | The index of the item that is selected when the dialog box first appears. For no default, specify -1. (Optional)

int Service () Services calls from FrameMaker to the ESTK API.
Service() waits for and dispatches a single Windows message. If your application contains its own message processing loop you need not call this routine.
It is not feasible for console applications to receive ESTK notifications since there is no way for them to both wait for user input and call Service(). Consequently, console applications should not register for notifications.
The method returns the number of bits the call to select() selected, if any.

int SetDdeInstance (ddeInstance: int)

Parameter | Type | Description
ddeInstance | int |

int ShortcutExists ([shortcut: string]) Indicates whether a specified command exists.
The method returns True if the command exists or False if the command does not exist.

Parameter | Type | Description
shortcut | string | The command to be checked for existence. (Optional)

Void ShutDown ([_: Void]) Closes an ESTK client’s connection.

Parameter | Type | Description
_ | Void | NULL (Optional)

Doc SimpleNewDoc ([templateName: string][, interactive: int]) Creates a new document from a specified template.
If you call SimpleNewDoc() with interactive set to True and the user clicks etiher Portrait, Custom, or Landscape in the New dialog box, SimpleNewDoc() does not create a document. Intead, it returns 0 and sets FA_errno to either Constants.FE_WantsPortrait (-48), Constants.FE_WantsCustom (-46), or Constants.FE_WantsLandscape (-47), respectively. It is up to your client to create a portrait, custom, or landscape document.For more information on creating custom documents, see CustomDoc.
If SimpleNewDoc() fails, the API assigns an error code to FA_errno. The error codes for SimpleNewDoc() are the same as those for Open(). For a list of these error codes, see Open.

Parameter | Type | Description
templateName | string | The absolute pathname of the template to use. (Optional)
interactive | int | Specifies whether FrameMaker displays messages and warnings to the user. (Optional)

Object SimpleOpen ([fileName: string][, interactive: int]) Opens a document or book.
If you call SimpleOpen() with interactive set to True, FrameMaker displays the Open dialog box. It uses the path specified by the session property, OpenDir, as the default path.
If a warning or error condition arises, FrameMaker notifies the user. For example, if a document uses fonts that are not available, FrameMaker displays a dialog box that allows the user to cancel the operation or to continue and remap the fonts.If you set interactive to False, FrameMaker does not display the Open dialog box or other messages and warnings. If it is necessary to modify a file to continue opening it, SimpleOpen() aborts the operation without notifying the user, and returns 0.
You cannot use SimpleOpen() to open filterable files. To open filterable files, use Open
The method returns the document opened, on success.
If SimpleOpen() fails, the method assigns an error code to FA_errno. The error codes for SimpleOpen() are the same as those for Open.

Parameter | Type | Description
fileName | string | The absolute pathname of the file to open. (Optional)
interactive | int | Specifies whether the FrameMaker product displays messages and warnings to the user. True instructs the FrameMaker product to display messages and warnings. (Optional)

int Sleep (seconds: int)

Parameter | Type | Description
seconds | int |

int StringLen (s: string)

Parameter | Type | Description
s | string |

int USleep (microseconds: int)

Parameter | Type | Description
microseconds | int |

Void UpdateMenus ([: Void]) Updates the top order menu set. For example, when a new menu file is read, or when a view only, book menu, quick menu or similar is loaded, this updates the newly read menus (in case of menu file) or different top menu bar (in case of view only, book and quick menus).

Parameter | Type | Description
 | Void | NULL (Optional)

int UserCancel ([: Void]) Determines whether the user has chosen the Cancel command (ESC) since the current callback function was called.
UserCancel() is useful for clients that conduct extensive processing that the user may want to cancel. For example, if your client processes all the documents in a book, it can call UserCancel() after it processes each document.
If UserCancel() returns True, your client can abort the processing.
Returns True if the user has executed the Cancel gesture, or False if the user has not executed the Cancel gesture.

Parameter | Type | Description
 | Void | NULL (Optional)

Void WinInstallDefaultMessageFilter (: Void)

Parameter | Type | Description
 | Void |


Adobe FrameMaker-10 Object Model JS: Group

Class

Group

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Angle of the object’s rotation.
ArrowBaseAngle | int | readwrite | Arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Specifies the factor by which arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is set to False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Arrowhead tip angle in degrees.
ArrowType | int | readwrite | Arrowhead style. The value is one of: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Denotes the border width (0.015 points to 360 points).
Color | Color | readwrite | The spot color (FO_Color ID).
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object’s border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | The fill pattern (numbers between 0 and 15). The ESTK provides constants for the following fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR(15)
FirstGraphicInGroup | FMObject | readonly | First object in the group.
FrameParent | FMObject | readwrite | Frame containing the graphic object (FO_AFrame or FO_UnanchoredFrame ID).
GraphicCantBeSelected | int | readwrite | True if the graphic object cannot be selected; False, otherwise.
GraphicIsSelected | int | readwrite | True if the graphic object is selected; False, otherwise.
GroupParent | Group | readwrite | Group that the object is in (FO_Group ID). Anchored and unanchored frames do not have this property.
HeadArrow | int | readwrite | True if the line has an arrowhead; False, otherwise.
Height | int | readwrite | Height of the object (0.125 points to 3600 points).
LastGraphicInGroup | FMObject | readonly | Last object in the group.
LineCap | int | readwrite | Type of line end. The value is one of: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Distance from the left side of the parent frame (–216 inches to 216 inches).If the graphic object is an anchored frame, the distance is calculated from the left side of the page frame. You cannot set LocX for anchored frames.
LocY | int | readwrite | Distance from the top of the parent frame (–216 inches to 216 inches).If the graphic object is an anchored frame, the distance is calculated from the top of the page frame. You cannot set LocY for anchored frames.
NextGraphicInDoc | FMObject | readonly | Next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Next selected graphic object in document.
ObjectAttributes | Strings | readwrite | A list of strings, each string expressing an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box.Each string is in the form of <tag>string_text</tag>. You can use the backslash to escape characters such as \n, \r, or \t for newline, carraige return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The value is one of: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | The pen pattern (numbers between 0 and 7). The ESTK provides constants for the following values: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Previous graphic object in the group
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The value is one of: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the the width of the runaround gapfor a runaround object.
TailArrow | int | readwrite | True if arrowhead is present at the beginning of the line. False, otherwise.
TintPercent | int | readwrite | The tint percentage.
Unique | int | readonly | Unique ID of the object.
Width | int | readwrite | Width of the object (0.125 points to 3600 points).

Methods

Instances

int Delete () Deletes a group.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the group.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the group is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the group.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

AFrame.GroupParent

Arc.GroupParent

Ellipse.GroupParent

Group.GroupParent

Inset.GroupParent

Line.GroupParent

Math.GroupParent

Polygon.GroupParent

Polyline.GroupParent

Rectangle.GroupParent

RoundRect.GroupParent

TextFrame.GroupParent

TextLine.GroupParent

UnanchoredFrame.GroupParent

Return

Group Doc.NewGroup ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: HiddenPage

Class

HiddenPage

QuickLinks

 ApplyPageLayout, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Name | string | readonly | Name of the hidden page.
PageFrame | UnanchoredFrame | readonly | Denotes the page frame (FO_UnanchoredFrame ID)
PageHeight | int | readonly | Height of the hidden page.
PageWidth | int | readonly | Width of the hidden page.

Methods

Instances

int ApplyPageLayout ([srcPage: PageObject]) Applies the layout of a page to another page.
PageObject is any Page object i.e., BodyPage, MasterPage, HiddenPage.
The method returns FE_Success on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support this operation or fmbatch is running.
Constants.FE_BadOperation (-27)
Parameter specified an invalid operation.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.
Constants.FE_SystemError (-42)
System Error.

Parameter | Type | Description
srcPage | PageObject | The page to which the layout must be applied. (Optional)

PropVals GetProps () Retrieves the properties of the hidden page.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the hidden page is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the hidden page.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.HiddenPage


Adobe FrameMaker-10 Object Model JS: Inset

Class

Inset

QuickLinks

 Delete, DeletePropByName, GetIntByName, GetMetricByName, GetProps, GetUBytesByName, ObjectValid, SetIntByName, SetMetricByName, SetProps, SetUBytesByName

Properties

Property | Type | Access | Description
Angle | int | readwrite | Angle of the object’s rotation.
ArrowBaseAngle | int | readwrite | Arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Specifies the factor by which arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is set to False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Arrowhead tip angle in degrees.
ArrowType | int | readwrite | Arrowhead style. The value is one of: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Denotes the border width (0.015 points to 360 points).
Color | Color | readwrite | The spot color (FO_Color ID)
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object’s border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements
Fill | int | readwrite | The fill pattern (numbers between 0 and 15). The ESTK provides constants for the following fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR(15)
FrameParent | FMObject | readwrite | Frame containing the graphic object (FO_AFrame or FO_UnanchoredFrame ID).
GraphicCantBeSelected | int | readwrite | True if the graphic object cannot be selected; False, otherwise.
GraphicIsSelected | int | readwrite | True if the graphic object is selected; False, otherwise.
GroupParent | Group | readwrite | Group that the object is in (FO_Group ID). Anchored and unanchored frames do not have this property.
HeadArrow | int | readwrite | True if the line has an arrowhead; False, otherwise.
Height | int | readwrite | Height of the object (0.125 points to 3600 points).
ImportHint | string | readwrite | Record identifying the filter used to import the graphic. FrameMaker uses this record to find the filter to use when updating the inset. The ImportHint property does not apply to graphics imported by copy. FrameMaker uses the facet name stored with the graphic to identify the filter that filtered a graphic imported by copy.
InsetDpi | int | readwrite | Specifies the scaling information for bitmap file (corresponds to the value specified in the Image File Scaling Options dialog box when the graphics file is imported).
InsetEditor | string | readwrite | Name of the application to call to edit inset or imported object.
InsetFile | string | readwrite | Platform-specific pathname if the inset is an external inset, or a null string (" ") if it is internal.The pathname can be document-relative.
InsetIsFixedSize | int | readwrite | True if scaling of bitmap file is inhibited. False, otherwise.
InsetIsFlippedSideways | int | readwrite | True if inset is flipped about the vertical axis. False, otherwise.
InsetPosterFile | string | readwrite | Sets thespecified file as a poster on the Inset. This property is not supported for all the inset objects but supported only for multimedia objects and u3d object. The property takes the poster file path as the value.
InsetUpdater | string | readwrite | Not currently implemented.
LineCap | int | readwrite | Type of line end. The value is one of: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Distance from the left side of the parent frame (–216 inches to 216 inches).If the graphic object is an anchored frame, the distance is calculated from the left side of the page frame. You cannot set LocX for anchored frames.
LocY | int | readwrite | Distance from the top of the parent frame (–216 inches to 216 inches).If the graphic object is an anchored frame, the distance is calculated from the top of the page frame. You cannot set LocY for anchored frames.
NextGraphicInDoc | FMObject | readonly | Next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Next selected graphic object in document.
ObjectAttributes | Strings | readwrite | A list of strings, each string expressing an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box.Each string is in the form of <tag>string_text</tag>. You can use the backslash to escape characters such as \n, \r, or \t for newline, carraige return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The value is one of: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
PageNum | int | readwrite | The page number of the PDF file to display in the inset, when importing a PDF file. PDF page numbering begins with 0.
Pen | int | readwrite | The pen pattern (numbers between 0 and 7). The ESTK provides constants for the following values: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Previous graphic object in the group
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The value is one of: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the the width of the runaround gapfor a runaround object.
TailArrow | int | readwrite | True if arrowhead is present at the beginning of the line. False, otherwise.
TintPercent | int | readwrite | The tint percentage.
Unique | int | readonly | Unique ID of the object.
Width | int | readwrite | Width of the object (0.125 points to 3600 points).

Methods

Instances

int Delete () Deletes an inset.
See Delete under the AFrame class for more information.

Void DeletePropByName ([propName: string]) Deletes an inset facet. Except for inset facets, all properties are identified by integer constants. Facets are the only properties identified by name.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.

Parameter | Type | Description
propName | string | The name of the facet to be deleted. (Optional)

int GetIntByName ([propName: string]) Queries an integer facet.
GetIntByName() uses a transaction model to query facets. After you have finished a series of queries, you must commit the transaction by calling GetIntByName() to query a facet named “ “.
If GetIntByName() returns 0, it may not indicate an error, because some facet values can be 0. To determine if a returned 0 is a property value or an error, check FA_errno.
Returns the specified facet value, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property name is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type.
Constants.FE_WrongProduct (-60)
Current FrameMaker does not support this operation.

Parameter | Type | Description
propName | string | The name of the facet to query. (Optional)

int GetMetricByName ([propName: string]) Queries a metric facet.
GetMetricByName() uses a transaction model to query facets. After you have finished a series of queries, you must commit the transaction by calling GetIntByName() to query a facet named “ “.
If GetMetricByName() returns 0, it may not indicate an error, because some facet values can be 0. To determine if a returned 0 is a property value or an error, check FA_errno.
Returns the specified facet value, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property name is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type.
Constants.FE_WrongProduct (-60)
Current FrameMaker does not support this operation.

Parameter | Type | Description
propName | string | The name of the facet to query. (Optional)

PropVals GetProps () Retrieves the properties of the inset.
See GetProps under the AFrame class for more information.

UBytes GetUBytesByName ([propName: string]) Queries an unsigned bytes inset facet. The standard facets, EPSI and FrameImage, are examples of unsigned bytes facets.
If a facet contains a large amount of data, GetUBytesByName() only gets a portion of the data each time you call it.
To query a facet that contains a large amount of data, call GetUBytesByName() repeatedly until you have retrieved all the data (that is, until UBytes.len is 0).
GetUBytesByName() uses a transaction model to query facets. After you have finished a series of queries, you must commit the transaction by calling GetIntByName() to query a facet named “ “.
On success, the method returns a UBytes object containing a portion of the facet’s data.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property name is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type.
Constants.FE_WrongProduct (-60)
Current FrameMaker does not support this operation.

The returned UBytes object references memory that is allocated by the API. Use DeallocateUBytes() to free this memory when you are done using it.

Parameter | Type | Description
propName | string | The name of the facet to query. (Optional)

int ObjectValid () Returns True if the inset is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetIntByName ([propName: string][, setVal: int]) Sets an integer inset facet.
SetIntByName() uses a transaction model to set facets. After you have finished setting facets, you must commit the transaction by calling SetIntByName() to set a facet named “ “ to 0.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property name is invalid.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_WrongProduct (-60)
Current FrameMaker does not support this operation.

Parameter | Type | Description
propName | string | The name of the facet to set. (Optional)
setVal | int | The value to which the facet must be set. (Optional)

Void SetMetricByName ([propName: string][, setVal: int]) Sets a metric facet.
SetMetricByName() uses a transaction model to set facets. After you have finished setting facets, you must commit the transaction by calling SetIntByName() to set a facet named “ “ to 0.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified .property.
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WrongProduct (-60)
Current FrameMaker does not support this operation.

Parameter | Type | Description
propName | string | The name of the facet to set. (Optional)
setVal | int | The value to which the facet must be set. (Optional)

Void SetProps ([setVal: PropVals]) Sets the properties of the inset.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Void SetUBytesByName ([propName: string][, setVal: UBytes]) Sets an unsigned bytes inset facet. The standard facets, EPSI and FrameImage, are examples of unsigned bytes facets.
To set a UBytes facet:

• Call SetUBytesByName() to set the facet data.
If you are setting a facet with less than 10K of data, you need to call SetUBytesByName() only once.
If you are setting the facet with more than 10K of data, you should call SetUBytesByName() multiple times, setting a chunk of the data each time. You can size the chunks between 0 and 10K.
If you use larger chunks, the set operation goes faster. However, if the chunks are too large, you may overload your platform’s interapplication communication mechanism.

• Call SetUBytesByName() with propName set to an empty string (“ “).
This lets the ESTK know that you have finshed setting up the facet.

The method does not return anything on success.
On failure, the method returns one of the following value to FA_errno:
Error
Reason
Constants.FE_Transport (-1)
A transportation error occured.

Parameter | Type | Description
propName | string | The name of the facet to set. (Optional)
setVal | UBytes | The value to which the facet must be set. (Optional)

Return

Inset Doc.NewInset ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: Ints

Class

Ints

An Array of int objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

Ints concat ([value: Ints]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | Ints | Can also be arrays. (Optional)

int pop () Removes the last element from the array.

number push ([value: int]) Returns the new length of the array.

Parameter | Type | Description
value | int | TBD (Optional)

Element of

ElementDef.GeneralRuleErrorOffsets

TypedVal.isval

app.FontFamilyAttributes

Used in:

Ints Ints.concat ([value: Ints])

Return

Ints Ints.concat ([value: Ints])


Adobe FrameMaker-10 Object Model JS: Line

Class

Line

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Angle of the line’s rotation.
ArrowBaseAngle | int | readwrite | Arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Specifies the factor by which arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is set to False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Arrowhead tip angle in degrees.
ArrowType | int | readwrite | Arrowhead style. The value is one of: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Denotes the border width (0.015 points to 360 points).
Color | Color | readwrite | The spot color (FO_Color ID)
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object’s border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements
Fill | int | readwrite | The fill pattern (numbers between 0 and 15). The ESTK provides constants for the following fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR(15)
FrameParent | FMObject | readwrite | Frame containing the graphic object (FO_AFrame or FO_UnanchoredFrame ID).
GraphicCantBeSelected | int | readwrite | True if the graphic object cannot be selected; False, otherwise.
GraphicIsSelected | int | readwrite | True if the graphic object is selected; False, otherwise.
GroupParent | Group | readwrite | Group that the line is in (FO_Group ID).
HeadArrow | int | readwrite | True if the line has an arrowhead; False, otherwise.
Height | int | readwrite | Height of the object (0.125 points to 3600 points).
LineCap | int | readwrite | Type of line end. The value is one of: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Distance from the left side of the parent frame (–216 inches to 216 inches).If the graphic object is an anchored frame, the distance is calculated from the left side of the page frame. You cannot set LocX for anchored frames.
LocY | int | readwrite | Distance from the top of the parent frame (–216 inches to 216 inches).If the graphic object is an anchored frame, the distance is calculated from the top of the page frame. You cannot set LocY for anchored frames.
NextGraphicInDoc | FMObject | readonly | Next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Next selected graphic object in document.
NumPoints | int | readonly | Specifies the number of vertices. The default is 2 (the line’s start point and end point).
ObjectAttributes | Strings | readwrite | A list of strings, each string expressing an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box.Each string is in the form of <tag>string_text</tag>. You can use the backslash to escape characters such as \n, \r, or \t for newline, carraige return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The value is one of: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | The pen pattern (numbers between 0 and 7). The ESTK provides constants for the following values: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
Points | Points | readwrite | Array of x-y coordinate pairs that specify the line’s vertices. The default coordinate pairs are for the line’s start point and end point.
PrevGraphicInFrame | FMObject | readwrite | Previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Previous graphic object in the group
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The value is one of: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the the width of the runaround gapfor a runaround object.
TailArrow | int | readwrite | True if arrowhead is present at the beginning of the line. False, otherwise.
TintPercent | int | readwrite | The tint percentage.
Unique | int | readonly | Unique ID of the object.
Width | int | readwrite | Width of the object (0.125 points to 3600 points).

Methods

Instances

int Delete () Deletes a line.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the line.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the line is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the line.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Line Doc.NewLine ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: Marker

Class

Marker

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Element | Element | readonly | Denotes the the element containing the marker, if the marker is a structured marker in a FrameMaker document,.
MarkerText | string | readwrite | The marker’s text string.
MarkerTypeId | MarkerType | readwrite | The ID of the current marker’s type (FO_MarkerType).
NextMarkerInDoc | Marker | readonly | Denotes the next marker (FO_Marker ID).
OldTypeNum | int | readwrite | A number to map markers from documents earlier than version 5.5 to this marker type.
TextLoc | TextLoc | readonly | Text location of the marker’s symbol.
Unique | int | readonly | The marker’s unique ID.

Methods

Instances

int Delete () Deletes a marker.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the marker.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the marker is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the marker.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The properties list. (Optional)

Element of

Doc.FirstMarkerInDoc

Marker.NextMarkerInDoc

Return

Marker Doc.NewAnchoredMarker ([textloc: TextLoc])


Adobe FrameMaker-10 Object Model JS: MarkerType

Class

MarkerType

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
InvariantName | string | readwrite | An internal name for the marker type. By default, this is the same as Name. However, this can differ from Name if the user interface is in another language.
Name | string | readwrite | The name of this marker type, as it appears in the user interface.
NextMarkerTypeInDoc | MarkerType | readwrite | Denotes the next marker type (FO_MarkerType ID).
Public | bool | readwrite | True if the marker type should appear in the user interface. The default is True.
Required | bool | readonly | True if the marker type is required by FrameMaker. The default is False.
Transient | bool | readwrite | True if markers of this type shoud not be saved to files. The default is False.

Methods

Instances

int Delete () Deletes a marker type.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the marker type.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the marker type is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the marker type.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstMarkerTypeInDoc

Marker.MarkerTypeId

MarkerType.NextMarkerTypeInDoc

Return

MarkerType Doc.GetNamedMarkerType ([name: string])

MarkerType Doc.NewNamedMarkerType ([name: string])


Adobe FrameMaker-10 Object Model JS: MasterPage

Class

MasterPage

QuickLinks

 ApplyPageLayout, Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Name | string | readwrite | Name of master page (for example, Right or Left).
PageFrame | UnanchoredFrame | readonly | Page frame (FO_UnanchoredFrame ID).
PageHeight | int | readonly | Height of the page.
PageNext | MasterPage | readonly | Next master page (FO_MasterPage ID) in the document.
PageNum | int | readonly | Page number.
PagePrev | MasterPage | readonly | Previous master page (FO_MasterPage ID) in the document.
PageWidth | int | readonly | Width of the page.

Methods

Instances

int ApplyPageLayout ([srcPage: PageObject]) Copies the layout of one master page to another.
PageObject is any Page object i.e., BodyPage, MasterPage, HiddenPage.
See ApplyPageLayout under the Body Page class for more information.

Parameter | Type | Description
srcPage | PageObject | The page to which the layout is to be applied. (Optional)

int Delete () Deletes a master page.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the master page.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the master page is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the master page.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstMasterPageInDoc

Doc.LastMasterPageInDoc

Doc.LeftMasterPage

Doc.RightMasterPage

MasterPage.PageNext

MasterPage.PagePrev

Return

MasterPage Doc.GetNamedMasterPage ([name: string])

MasterPage Doc.NewNamedMasterPage ([name: string])


Adobe FrameMaker-10 Object Model JS: Math

Class

Math

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Specifies the angle of the object's rotation.
ArrowBaseAngle | int | readwrite | Indicates the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Specifies the factor by which arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is set to False.
ArrowScaleHead | int | readwrite | Set to True if the arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Specifies the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the Arrowhead style. Possible values are: • Constants.FV_ARROW_STICK (0x01) • Constants.FV_ARROW_HOLLOW (0x02) • Constants.FV_ARROW_FILLED (0x03)
BasePointX | int | readwrite | Horizontal placement of text line base point relative to the left side of the frame.
BasePointY | int | readwrite | Vertical placement of text line base point relative to top of the frame.
BorderWidth | int | readwrite | Specifies the border width in points. The permissible range is 0.015 point to 360 point.
Color | Color | readwrite | Indicates the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a Metrics object. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern. The patterns are denoted by numbers between 0 and 15. The following constants are provided for the fill patterns 0, 7 and 15: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Specifies the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Else, set to False.
GraphicIsSelected | int | readwrite | Set to True if the graphic object is selected, else set to False.
GroupParent | Group | readwrite | Indicates the group to which the object belongs. Anchored and unanchored frames do not have this property.
HeadArrow | int | readwrite | Set to True if line has an arrowhead, set to False otherwise.
Height | int | readwrite | Specifies the height of the object in points. The permissible range is from 0.125 pt to 3600 pt.
LineCap | int | readwrite | Indicates the type of line end. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent, in inches. The permissible range is from –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set the LocX property for anchored frames.
LocY | int | readwrite | Specifies the distance of the object from the top of the parent frame, in inches. The permissible range is from –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You CANNOT set the LocY property for anchored frames.
MathFullForm | string | readwrite | String representing the mathematical expression.
MathSize | int | readwrite | The equation size. The value is one of : • Constants.FV_MATH_MEDIUM (0) • Constants.FV_MATH_SMALL (1) • Constants.FV_MATH_LARGE (2)
NextGraphicInDoc | FMObject | readonly | Indicates the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Indicates the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Specifies the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | Contains a list of strings, each string expressing an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text .You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Indicates the pen pattern, denoted by numbers between 0 and 7. Constants are provided for some of the fill patterns: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Specifies the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Indicate the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. Possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the beginning of the line. Set to False, otherwise.
TextLineType | int | readwrite | Type of text line. The value is one of: • Constants.FV_TEXTLINE_LEFT (0) • Constants.FV_TEXTLINE_RIGHT (1) • Constants.FV_TEXTLINE_CENTER (2) • Constants.FV_TEXTLINE_MATH (3)
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Denotes the internal identifier of the graphic object.
Width | int | readwrite | Specifies the width of the object in points. The permissible range is 0.125 point to 3600 point.

Methods

Instances

int Delete () Deletes a math object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the math object.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the math object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the math object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Math Doc.NewMath ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: Menu

Class

Menu

QuickLinks

 AddMenuToMenu, AnimateMenu, DefineAndAddMenu, Delete, Delete, GetProps, MenuItemInMenu, ObjectValid, SetProps

Properties

Property | Type | Access | Description
FirstMenuItemInMenu | FMObject | readwrite | The first menu item in the menu.
Label | string | readwrite | The label the user sees on a menu. The label for menu item separators is read-only; it is always ---.
MenuItemIsEnabled | int | readonly | True if the menu item is enabled. False, if it is disabled.
MenuType | int | readonly | Type of menu. The value is one of: • Constants.FV_MENU_MENUBAR (1) - Amenu bar defined by the FrameMaker product. • Constants.FV_MENU_POPUP (2) - A pop-up menu. • Constants.FV_MENU_DEFAULT (4) - A pull-down or pull-right menu.
Name | string | readonly | The command, menu, or menu item separator name. The names for the default, predefined separators are !Separator, !Separator1, !Separator2, !Separator3, !Separator4, and !Separator5.
NextMenuItemInMenu | FMObject | readwrite | The next menu item, menu, or separator in the menu.
NextMenuItemInSession | FMObject | readonly | The next menu item, menu, or separator in the list of menu items, menus, and separators in the session.
PrevMenuItemInMenu | FMObject | readwrite | The previous menu item, menu, or separator in the list of menu items, menus, and separators in the session.

Methods

Instances

int AddMenuToMenu ([menu: Menu]) Adds a FrameMaker product menu or a menu that you have created to another menu or menu bar.
To add a menu to one of FrameMaker menus or menu bars, you must get the menu or menu bar’s object. To get its object, call GetNamedObject() with the objectName parameter set to its name.
Your menu appears only on the menu bar you specify. For example, if you only add a menu to the !MakerMainMenu menu bar, the menu will not appear if the user switches to quick menus. For your menu to appear after the user has switched to quick menus, you must also add it to !QuickMakerMainMenu.
The following table lists the types of menus you can add a menu to and how FrameMaker implements the added menu.
Type of menu or menu bar you are adding a menu to
How FrameMaker implements the added menu
FrameMaker product adds the menu
Menu bar
Pull-down menu
At the right of the menu bar.
Pull-down menu
Pull-right menu
At the bottom of the pull-down menu.
Pop-up menu
Pull-right menu
At the bottom of the pop-up menu.
Pull-right menu
Pull-right menu
At the bottom of the pull-right menu.

To change a menu’s position on a menu or menu bar after you add it, set its PrevMenuItemInMenu and NextMenuItemInMenu properties.
The method returns the command, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support this operation or fmbatch is running.
Constants.FE_NotMenu (-72)
The specified menu does not exist.
Constants.FE_BadOperation (-27)
Parameters specified an invalid operation.
Constants.FE_BadParameter (-43)
The specified parameter has an invalid value.
Constants.FE_SystemError (-42)
System Error

Parameter | Type | Description
menu | Menu | The new menu to be added. (Optional)

int AnimateMenu (menuitem: Object, sleep: int, realLabel: string, docOrBook: Object, action: bool)

Parameter | Type | Description
menuitem | Object |
sleep | int |
realLabel | string |
docOrBook | Object |
action | bool |

Menu DefineAndAddMenu ([name: string][, label: string]) Defines a menu (FO_Menu object) and adds it to another menu.
To add a menu to one of FrameMaker’s menus or menu bars, you must get the menu or menu bar’s object. To get its object, call GetNamedObject() with the objectName parameter set to its name.
The following table lists some of the menu bars that you can add menus to and the strings that specify them. Menu bar names preceded by an exclamation mark (!) cannot be removed by the user.
FrameMaker menubar
Menubar string
Menu bar for documents (complete menus)
!MakerMainMenu
Menu bar for documents (quick menus)
!QuickMakerMainMenu
Menu bar for documents (custom menus)
!CustomMakerMainMenu
Menu bar for books (complete menus)
!BookMainMenu
Menu bar for books (quick menus)
!QuickBookMainMenu
Structure menu bar (structured product interface only)
!StructureViewMainMenu
Pop-up menu for documents (complete menus; UNIX only)
!MakerPopup
Pop-up menu for documents (quick menus; UNIX only)
!QuickMakerPopup
View-only menu bar
!ViewOnlyMainMenu
View-only pop-up menu (UNIX only)
!ViewerPopup

Your menu appears only on the menu bar you specify. For example, if you only add a menu to the !MakerMainMenu menu bar, the menu will not appear if the user switches to quick menus. For your menu to appear after the user has switched to quick menus, you must also add it to !QuickMakerMainMenu.
If you call DefineAndAddMenu() and specify the name of a menu that is already defined in the user’s menu configuration files, FrameMaker gives precedence to the definition in the configuration files.
If the configuration files assign a label to the menu, FrameMaker uses it instead of the one you specify. If the menu is already on a menu or menu bar, FrameMaker ignores the menu that you specify and leaves the menu where it is.
The following table lists the types of menus you can add a menu to and how FrameMaker implements the added menu.
Type of menu or menu bar you are adding a menu to
How FrameMaker implements the added menu
FrameMaker product adds the menu
Menu bar
Pull-down menu
At the right of the menu bar.
Pull-down menu
Pull-right menu
At the bottom of the pull-down menu.
Pop-up menu
Pull-right menu
At the bottom of the pop-up menu.
Pull-right menu
Pull-right menu
At the bottom of the pull-right menu.

The method returns the menu, on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support this operation or fmbatch is running.
Constants.FE_NotMenu (-72)
The specified menu does not exist.
Constants.FE_BadOperation (-27)
Parameters specified an invalid operation.
Constants.FE_BadParameter (-43)
The specified parameter has an invalid value.
Constants.FE_SystemError (-42)
System Error

Parameter | Type | Description
name | string | A unique name for the new menu. If the user or an ESTK client has already defined a command or menu with this name, the new menu replaces it. (Optional)
label | string | The title of the menu as it appears on the menu bar or menu. (Optional)

int Delete () Deletes a menu or menu item.
See Delete under the AFrame class for more information.

int Delete () Deletes a menu or menu item.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the menu or menu item.
See GetProps under the AFrame class for more information.

Menu MenuItemInMenu ([menuitem: MenuItemComponent][, recursive: bool]) Determines if a menu item or menu is on a menu or menu bar.
On success, the method returns the menu on which the menu item is found.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support this operation or fmbatch is running.
Constants.FE_BadOperation (-27)
Parameters specified an invalid operation.
Constants.FE_BadParameter (-43)
The specified parameter has an invalid value.

Parameter | Type | Description
menuitem | MenuItemComponent | The menu item or menu to find. (Optional)
recursive | bool | Specifies whether to search the submenus of the menu or menu bar specified by menuitem. Specify True to search them. (Optional)

int ObjectValid () Returns True if the menu or menu item is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the menu or menu item.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.MenuBar

Doc.ViewOnlyMenuBar

Used in:

int Menu.AddMenuToMenu ([menu: Menu])

Return

Menu Menu.DefineAndAddMenu ([name: string][, label: string])

Menu Menu.MenuItemInMenu ([menuitem: MenuItemComponent][, recursive: bool])

Menu app.GetNamedMenu ([name: string])

Menu app.NewNamedMenu ([name: string])

Menu global.DefineMenu ([name: string][, label: string])


Adobe FrameMaker-10 Object Model JS: MenuItemSeparator

Class

MenuItemSeparator

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Label | string | readwrite | The label for menu item separators is read-only; it is always ---.
MenuItemIsEnabled | int | readonly | True if the menu item separator is enabled. False, if it is disabled.
Name | string | readonly | The menu item separator name. The names for the default, predefined separators are !Separator, !Separator1, !Separator2, !Separator3, !Separator4, and !Separator5.
NextMenuItemInMenu | FMObject | readwrite | The next menu item separator in the menu.
NextMenuItemInSession | FMObject | readonly | The next menu item separator in the list of menu items, menus, and separators in the session.
PrevMenuItemInMenu | FMObject | readwrite | The previous menu item separator in the list of menu items, menus, and separators in the session.

Methods

Instances

int Delete () Deletes a menu item separator.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the menu item separator.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the menu item spearator is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the menu item separator.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

MenuItemSeparator app.GetNamedMenuItemSeparator ([name: string])

MenuItemSeparator app.NewNamedMenuItemSeparator ([name: string])


Adobe FrameMaker-10 Object Model JS: Metrics

Class

Metrics

An Array of int objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

Metrics concat ([value: Metrics]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | Metrics | Can also be arrays. (Optional)

int pop () Removes the last element from the array.

number push ([value: int]) Returns the new length of the array.

Parameter | Type | Description
value | int | The value to push into the array. (Optional)

Element of

AFrame.Dash

Arc.Dash

Ellipse.Dash

Group.Dash

Inset.Dash

Line.Dash

Math.Dash

Polygon.Dash

Polyline.Dash

Rectangle.Dash

RoundRect.Dash

Tbl.TblColWidths

TextFrame.Dash

TextLine.Dash

TypedVal.msval

UnanchoredFrame.Dash

Used in:

Metrics Metrics.concat ([value: Metrics])

Return

Metrics Metrics.concat ([value: Metrics])


Adobe FrameMaker-10 Object Model JS: Pgf

Class

Pgf

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
AdjHyphens | int | readwrite | Number of allowable adjacent hyphens.
AutoNumChar | string | readwrite | Character format for the automatic numbering string specified by AutoNumString; "" if the default character format is used
AutoNumString | string | readwrite | Autonumber format string (for example, <n>.<n+>)
BkColor | Color | readwrite | Denotes the text background color. If this property is applied on a paragraph format, it denotes the background color of the whole paragraph; if it is applied on a character format, it denotes the background color of the text over which the character format is applied.
BlockLines | int | readwrite | The number of Widow/Orphan lines.
BottomSeparator | string | readwrite | Name of frame to put below paragraph.
Capitalization | int | readwrite | Type of capitalization to use. The value is one of: • Constants.FV_CAPITAL_CASE_NORM (0) • Constants.FV_CAPITAL_CASE_SMALL (1) • Constants.FV_CAPITAL_CASE_LOWER (2) • Constants.FV_CAPITAL_CASE_UPPER (3)
CellBottomMargin | int | readwrite | Amount added to default bottom margin of table cell.
CellLeftMargin | int | readwrite | Amount added to default left margin of table cell.
CellMarginsFixed | int | readwrite | Specifies which cell margins are fixed. The following values can be ORed into it: • Constants.FV_PGF_FIXED_L_MARGIN (0x01): the left margin is fixed. • Constants.FV_PGF_FIXED_B_MARGIN (0x02): the bottom margin is fixed. • Constants.FV_PGF_FIXED_R_MARGIN (0x04): the right margin is fixed. • Constants.FV_PGF_FIXED_T_MARGIN (0x08): the top margin is fixed. If the margin for a cell is fixed, the margin property specifies the absolute value of the cell margin. For example, if Constants.FV_PGF_FIXED_B_MARGIN (0x02) is set, CellBottomMargin specifies the absolute value of the cell’s bottom margin, overriding the cell margin specified by the table format. If Constants.FV_PGF_FIXED_B_MARGIN (0x02) is not set, CellBottomMargin is added to the margin specified by the table format.
CellRightMargin | int | readwrite | Amount added to default right margin of table cell.
CellTopMargin | int | readwrite | Amount added to default top margin of table cell.
CellVAlignment | int | readwrite | Vertical alignment of a paragraph when it is the first one in a cell. The value is one of: • Constants.FV_PGF_V_ALIGN_TOP (0) • Constants.FV_PGF_V_ALIGN_MIDDLE (1) • Constants.FV_PGF_V_ALIGN_BOTTOM (2)
ChangeBar | int | readwrite | True if Change Bars are on.
Color | Color | readwrite | Spot color (FO_Color ID).
CombinedFontFamily | CombinedFontDefn | readwrite | Combined font definition (FO_CombinedFontDefn).
FirstIndent | int | readwrite | First-line left margin, measured from left side of current text column (0 cm to 100 cm).
FontAngle | int | readwrite | Font angle (specifies an index into the array of font angles provided by the session property FontAngleNames).
FontEncodingName | string | readonly | The font’s encoding.
FontFamily | int | readwrite | Font family (specifies an index into the array of font families provided by the session property FontFamilyNames).
FontPlatformName | string | readwrite | Name that uniquely identifies a font on a specific platform.
FontPostScriptName | string | readwrite | Name given to a font when it is sent to a PostScript printer.
FontSize | int | readwrite | Font size (2 pt to 400 pt).
FontVariation | int | readwrite | Font variation (specifies an index into the array of font variations provided by the session property FontVariationNames).
FontWeight | int | readwrite | Font weight (specifies an index into the array of font weights provided by the session property FontWeightNames).
FormatOverride | int | readwrite | True if the paragraph contains a paragraph format override.
HyphMinPrefix | int | readwrite | Minimum number of letters that must precede hyphen.
HyphMinSuffix | int | readwrite | Minimum number of letters that must follow a hyphen.
HyphMinWord | int | readwrite | Minimum length of a hyphenated word.
Hyphenate | int | readwrite | True if Automatic Hyphenation is enabled.
InTextFrame | TextFrame | readonly | Text frame containing the paragraph (FO_TextFrame ID).
InTextObj | FMObject | readonly | Subcolumn, footnote, or table cell the paragraph begins in (FO_SubCol, FO_Fn, or FO_Cell ID).
KeepWithNext | int | readwrite | True if Keep With Next Paragraph is enabled.
KeepWithPrev | int | readwrite | True if Keep With Previous Paragraph is enabled.
KernX | int | readwrite | Horizontal kern value for manual kerning expressed as a percentage of an em (metric –100% to 1000%). A positive value moves a character right and a negative value moves a character left.
KernY | int | readwrite | Vertical kern value for manual kerning expressed as a percentage of an em (metric –100% to 1000%). A positive value moves characters up and a negative value moves characters down.
Language | int | readwrite | Hyphenation and spell-checking language to use. The value is one of: • Constants.FV_LANG_NOLANGUAGE (0x00) • Constants.FV_LANG_ENGLISH (0x01) • Constants.FV_LANG_BRITISH (0x02) • Constants.FV_LANG_GERMAN (0x03) • Constants.FV_LANG_SWISS_GERMAN (0x04) • Constants.FV_LANG_FRENCH (0x05) • Constants.FV_LANG_CANADIAN_FRENCH (0x06) • Constants.FV_LANG_SPANISH (0x07) • Constants.FV_LANG_CATALAN (0x08) • Constants.FV_LANG_ITALIAN (0x09) • Constants.FV_LANG_FINNISH (0x10) • Constants.FV_LANG_SWEDISH (0x11) • Constants.FV_LANG_JAPANESE (0x12) • Constants.FV_LANG_TRADITIONAL_CHINESE (0x13) • Constants.FV_LANG_SIMPLIFIED_CHINESE (0x14) • Constants.FV_LANG_KOREAN (0x15) • Constants.FV_LANG_PORTUGUESE (0x0A) • Constants.FV_LANG_BRAZILIAN (0x0B) • Constants.FV_LANG_DANISH (0x0C) • Constants.FV_LANG_DUTCH (0x0D) • Constants.FV_LANG_NORWEGIAN (0x0E) • Constants.FV_LANG_NYNORSK (0x0F)
Leading | int | readwrite | Space below each line in a paragraph.
LeftIndent | int | readwrite | Left margin, measured from left side of current text column (0 cm to 100 cm).
LetterSpace | int | readwrite | True if Word Spacing is enabled.
LineSpacing | int | readwrite | Space between lines in a paragraph measured from baseline to baseline. The value is one of: • Constants.FV_PGF_FIXED (0x00): default font size • Constants.FV_PGF_PROPORTIONAL (0x01): largest font in line • Constants.FV_PGF_FLOATING (0x02): largest ascender in line
Locked | int | readwrite | True if the paragraph is part of a text inset that retains formatting information from the source document. The paragraph is not affected by global formatting performed on the document.
MaxJLetSpace | int | readwrite | Maximum Asian letter space.
MaxJRomSpace | int | readwrite | Maximum Asian-Roman space.
MaxSpace | int | readwrite | Maximum word spacing (percentage of an em space in current font).
MinJLetSpace | int | readwrite | Minimum Asian letter space.
MinJRomSpace | int | readwrite | Minimum Asian-Roman space.
MinSpace | int | readwrite | Minimum word spacing (percentage of an em space in current font).
Name | string | readwrite | Name of paragraph format.
NextPgfInDoc | Pgf | readonly | Next paragraph in the document (FO_Pgf ID).
NextPgfInFlow | Pgf | readonly | Next paragraph in the flow (FO_Pgf ID).
NextTag | string | readwrite | Tag for new next paragraph.
NumAtEnd | int | readwrite | True if numbering position is End of Paragraph; False if it is Beginning of Paragraph.
NumTabs | int | readonly | Number of tabs in the paragraph..
OptJLetSpace | int | readwrite | Optimum Asian letter space.
OptJRomSpace | int | readwrite | Optimum Asian-Roman space.
OptSpace | int | readwrite | Optimum word spacing.
Overline | int | readwrite | True if Overline is enabled.
PairKern | int | readwrite | True if Pair Kern is enabled.
PgfAlignment | int | readwrite | Horizontal alignment of paragraph. The value is one of: • Constants.FV_PGF_LEFT (0x01) • Constants.FV_PGF_RIGHT (0x02) • Constants.FV_PGF_CENTER (0x03) • Constants.FV_PGF_JUSTIFIED (0x04)
PgfIsAutoNum | int | readwrite | True if autonumbering is enabled.
PgfNumber | string | readonly | The formatted string representation of the paragraph number; for example, 1.2 for a paragraph whose AutoNumString property is set to <n>.<n+>
PgfSpellChecked | int | readwrite | True if paragraph has been spell-checked
Placement | int | readwrite | Paragraph placement. The value is one of: • Constants.FV_PGF_SIDEBODY (0) • Constants.FV_PGF_SIDEHEAD_TOP (1) • Constants.FV_PGF_SIDEHEAD_FIRST_BASELINE (2) • Constants.FV_PGF_SIDEHEAD_LAST_BASELINE (3) • Constants.FV_PGF_RUN_IN (4) • Constants.FV_PGF_STRADDLE (5) • Constants.FV_PGF_STRADDLE_NORMAL_ONLY (6)
Position | int | readwrite | Specifies position relative to baseline of text. The value is one of: • Constants.FV_POS_NORM (0): Normal • Constants.FV_POS_SUPER (1): Superscript • Constants.FV_POS_SUB (2): Subscript
PrevPgfInFlow | Pgf | readonly | Previous paragraph in the flow (FO_Pgf ID).
RightIndent | int | readwrite | Right margin, measured from right side of current text column.
RunInSeparator | string | readwrite | String for Run-In Head Default Punctuation.
SpaceAbove | int | readwrite | Space above paragraph.
SpaceBelow | int | readwrite | Space below paragraph.
Spread | int | readwrite |
Start | int | readwrite | Vertical placement of paragraph. The value is one of: • Constants.FV_PGF_ANYWHERE (0x00) • Constants.FV_PGF_TOP_OF_COL (0x01) • Constants.FV_PGF_TOP_OF_PAGE (0x02) • Constants.FV_PGF_TOP_OF_LEFT_PAGE (0x03) • Constants.FV_PGF_TOP_OF_RIGHT_PAGE (0x04)
Stretch | int | readwrite | Character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
Strikethrough | int | readwrite | True if Strikethrough is enabled.
Tabs | Tabs | readwrite | Array of tab descriptions that specify the positions and types of tab stops.
TopSeparator | string | readwrite | Name of frame to put above paragraph.
Underlining | int | readwrite | Type of underlining. The value is one of: • Constants.FV_CB_NO_UNDERLINE (0) • Constants.FV_CB_SINGLE_UNDERLINE (1) • Constants.FV_CB_DOUBLE_UNDERLINE (2) • Constants.FV_CB_NUMERIC_UNDERLINE (3)
Unique | int | readonly | The paragraph’s user ID.
UseNextTag | int | readwrite | True if Next Paragraph Tag is enabled.
YakumonoType | int | readwrite | The Yakumono rules to handle punctuation characters. The value is one of: • Constants.FV_FLOATING_YAKUMONO (0x00) • Constants.FV_MONOSPACE_YAKUMONO (0x01) • Constants.FV_FIXED_YAKUMONO (0x02)

Methods

Instances

int Delete () Deletes a paragraph.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the paragraph.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the paragraph.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the paragraph is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the paragraph.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Cell.FirstPgf

Cell.LastPgf

Doc.FirstPgfInDoc

Fn.FirstPgf

Fn.LastPgf

Pgf.NextPgfInDoc

Pgf.NextPgfInFlow

Pgf.PrevPgfInFlow

SubCol.FirstPgf

SubCol.LastPgf

Tbl.FirstPgf

Tbl.LastPgf

TextFrame.FirstPgf

TextFrame.LastPgf

Used in:

Pgf Doc.NewSeriesPgf ([previous: Pgf])

Return

Pgf Doc.NewSeriesPgf ([previous: Pgf])


Adobe FrameMaker-10 Object Model JS: PgfFmt

Class

PgfFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
AcrobatLevel | int | readwrite | Retained in Version 6.0 or later for backward compatibility. Use PDFStructureLevel instead.
AdjHyphens | int | readwrite | Number of allowable adjacent hyphens
AutoNumChar | string | readwrite | Character format for the automatic numbering string specified by AutoNumString; "" if the default character format is used
AutoNumString | string | readwrite | Autonumber format string (for example, <n>.<n+>)
BkColor | Color | readwrite | Denotes the text background color. If this property is applied on a paragraph format, it denotes the background color of the whole paragraph; if it is applied on a character format, it denotes the background color of the text over which the character format is applied.
BlockLines | int | readwrite | The number of Widow/Orphan lines.
BottomSeparator | string | readwrite | Name of frame to put below paragraph.
Capitalization | int | readwrite | Type of capitalization to use. The value is one of: • Constants.FV_CAPITAL_CASE_NORM (0) • Constants.FV_CAPITAL_CASE_SMALL (1) • Constants.FV_CAPITAL_CASE_LOWER (2) • Constants.FV_CAPITAL_CASE_UPPER (3)
CellBottomMargin | int | readwrite | Amount added to default bottom margin of table cell.
CellLeftMargin | int | readwrite | Amount added to default left margin of table cell.
CellMarginsFixed | int | readwrite | Specifies which cell margins are fixed. The following values can be ORed into it: • Constants.FV_PGF_FIXED_L_MARGIN (0x01): the left margin is fixed. • Constants.FV_PGF_FIXED_B_MARGIN (0x02): the bottom margin is fixed. • Constants.FV_PGF_FIXED_R_MARGIN (0x04): the right margin is fixed. • Constants.FV_PGF_FIXED_T_MARGIN (0x08): the top margin is fixed. If the margin for a cell is fixed, the margin property specifies the absolute value of the cell margin. For example, if Constants.FV_PGF_FIXED_B_MARGIN (0x02) is set, CellBottomMargin specifies the absolute value of the cell’s bottom margin, overriding the cell margin specified by the table format. If Constants.FV_PGF_FIXED_B_MARGIN (0x02) is not set, CellBottomMargin is added to the margin specified by the table format.
CellRightMargin | int | readwrite | Amount added to default right margin of table cell.
CellTopMargin | int | readwrite | Amount added to default top margin of table cell.
CellVAlignment | int | readwrite | Vertical alignment of a paragraph when it is the first one in a cell. The value is one of: • Constants.FV_PGF_V_ALIGN_TOP (0) • Constants.FV_PGF_V_ALIGN_MIDDLE (1) • Constants.FV_PGF_V_ALIGN_BOTTOM (2)
ChangeBar | int | readwrite | True if Change Bars are on.
Color | Color | readwrite | Spot color (FO_Color ID).
CombinedFontFamily | CombinedFontDefn | readwrite | Combined font definition (FO_CombinedFontDefn).
FirstIndent | int | readwrite | First-line left margin, measured from left side of current text column (0 cm to 100 cm).
FontAngle | int | readwrite | Font angle (specifies an index into the array of font angles provided by the session property FontAngleNames).
FontEncodingName | string | readonly | The font’s encoding.
FontFamily | int | readwrite | Font family (specifies an index into the array of font families provided by the session property FontFamilyNames).
FontPlatformName | string | readwrite | Name that uniquely identifies a font on a specific platform.
FontPostScriptName | string | readwrite | Name given to a font when it is sent to a PostScript printer.
FontSize | int | readwrite | Font size (2 pt to 400 pt).
FontVariation | int | readwrite | Font variation (specifies an index into the array of font variations provided by the session property FontVariationNames).
FontWeight | int | readwrite | Font weight (specifies an index into the array of font weights provided by the session property FontWeightNames).
HyphMinPrefix | int | readwrite | Minimum number of letters that must precede hyphen.
HyphMinSuffix | int | readwrite | Minimum number of letters that must follow a hyphen.
HyphMinWord | int | readwrite | Minimum length of a hyphenated word.
Hyphenate | int | readwrite | True if Automatic Hyphenation is enabled.
KeepWithNext | int | readwrite | True if Keep With Next Paragraph is enabled.
KeepWithPrev | int | readwrite | True if Keep With Previous Paragraph is enabled.
KernX | int | readwrite | Horizontal kern value for manual kerning expressed as a percentage of an em (metric –100% to 1000%). A positive value moves a character right and a negative value moves a character left.
KernY | int | readwrite | Vertical kern value for manual kerning expressed as a percentage of an em (metric –100% to 1000%). A positive value moves characters up and a negative value moves characters down.
Language | int | readwrite | Hyphenation and spell-checking language to use. The value is one of: • Constants.FV_LANG_NOLANGUAGE (0x00) • Constants.FV_LANG_ENGLISH (0x01) • Constants.FV_LANG_BRITISH (0x02) • Constants.FV_LANG_GERMAN (0x03) • Constants.FV_LANG_SWISS_GERMAN (0x04) • Constants.FV_LANG_FRENCH (0x05) • Constants.FV_LANG_CANADIAN_FRENCH (0x06) • Constants.FV_LANG_SPANISH (0x07) • Constants.FV_LANG_CATALAN (0x08) • Constants.FV_LANG_ITALIAN (0x09) • Constants.FV_LANG_FINNISH (0x10) • Constants.FV_LANG_SWEDISH (0x11) • Constants.FV_LANG_JAPANESE (0x12) • Constants.FV_LANG_TRADITIONAL_CHINESE (0x13) • Constants.FV_LANG_SIMPLIFIED_CHINESE (0x14) • Constants.FV_LANG_KOREAN (0x15) • Constants.FV_LANG_PORTUGUESE (0x0A) • Constants.FV_LANG_BRAZILIAN (0x0B) • Constants.FV_LANG_DANISH (0x0C) • Constants.FV_LANG_DUTCH (0x0D) • Constants.FV_LANG_NORWEGIAN (0x0E) • Constants.FV_LANG_NYNORSK (0x0F)
Leading | int | readwrite | Space below each line in a paragraph.
LeftIndent | int | readwrite | Left margin, measured from left side of current text column (0 cm to 100 cm).
LetterSpace | int | readwrite | True if Word Spacing is enabled.
LineSpacing | int | readwrite | Space between lines in a paragraph measured from baseline to baseline. The value is one of: • Constants.FV_PGF_FIXED (0x00): default font size • Constants.FV_PGF_PROPORTIONAL (0x01): largest font in line • Constants.FV_PGF_FLOATING (0x02): largest ascender in line
MaxJLetSpace | int | readwrite | Maximum Asian letter space.
MaxJRomSpace | int | readwrite | Maximum Asian-Roman space.
MaxSpace | int | readwrite | Maximum word spacing (percentage of an em space in current font).
MinJLetSpace | int | readwrite | Minimum Asian letter space.
MinJRomSpace | int | readwrite | Minimum Asian-Roman space.
MinSpace | int | readwrite | Minimum word spacing (percentage of an em space in current font).
Name | string | readwrite | Name of paragraph format.
NextPgfFmtInDoc | PgfFmt | readonly |
NextTag | string | readwrite | Tag for new next paragraph.
NumAtEnd | int | readwrite | True if numbering position is End of Paragraph; False if it is Beginning of Paragraph.
NumTabs | int | readonly | Number of tabs in the paragraph..
OptJLetSpace | int | readwrite | Optimum Asian letter space.
OptJRomSpace | int | readwrite | Optimum Asian-Roman space.
OptSpace | int | readwrite | Optimum word spacing.
Overline | int | readwrite | True if Overline is enabled.
PDFStructureLevel | int | readwrite | The PDF structure level of paragraphs with the current format. This property is used when the PDFStructure property is True for the document, and FrameMaker generates PDF data.The value for this property can be between 0 and 100, where greater values are deeper in the hierarchy. If PDFStructureLevel is 0, FrameMaker does not include paragraphs of this format in the PDF structure.
PairKern | int | readwrite | True if Pair Kern is enabled.
PgfAlignment | int | readwrite | Horizontal alignment of paragraph. The value is one of: • Constants.FV_PGF_LEFT (0x01) • Constants.FV_PGF_RIGHT (0x02) • Constants.FV_PGF_CENTER (0x03) • Constants.FV_PGF_JUSTIFIED (0x04)
PgfIsAutoNum | int | readwrite | True if autonumbering is enabled.
PgfMarkedForNamedDestination | int | readwrite | If True, this paragraph will have a corresponding Named Destination in the generated PDF.
Placement | int | readwrite | Paragraph placement. The value is one of: • Constants.FV_PGF_SIDEBODY (0) • Constants.FV_PGF_SIDEHEAD_TOP (1) • Constants.FV_PGF_SIDEHEAD_FIRST_BASELINE (2) • Constants.FV_PGF_SIDEHEAD_LAST_BASELINE (3) • Constants.FV_PGF_RUN_IN (4) • Constants.FV_PGF_STRADDLE (5) • Constants.FV_PGF_STRADDLE_NORMAL_ONLY (6)
Position | int | readwrite | Specifies position relative to baseline of text. The value is one of: • Constants.FV_POS_NORM (0): Normal • Constants.FV_POS_SUPER (1): Superscript • Constants.FV_POS_SUB (2): Subscript
RightIndent | int | readwrite | Right margin, measured from right side of current text column.
RunInSeparator | string | readwrite | String for Run-In Head Default Punctuation.
SpaceAbove | int | readwrite | Space above paragraph.
SpaceBelow | int | readwrite | Space below paragraph.
Spread | int | readwrite |
Start | int | readwrite | Vertical placement of paragraph. The value is one of: • Constants.FV_PGF_ANYWHERE (0x00) • Constants.FV_PGF_TOP_OF_COL (0x01) • Constants.FV_PGF_TOP_OF_PAGE (0x02) • Constants.FV_PGF_TOP_OF_LEFT_PAGE (0x03) • Constants.FV_PGF_TOP_OF_RIGHT_PAGE (0x04)
Stretch | int | readwrite | Character stretch (set width) expressed as a percentage of normal stretch for the font (metric –10% to 1000%).
Strikethrough | int | readwrite | True if Strikethrough is enabled.
Tabs | Tabs | readwrite | Array of tab descriptions that specify the positions and types of tab stops.
TopSeparator | string | readwrite | Name of frame to put above paragraph.
Underlining | int | readwrite | Type of underlining. The value is one of: • Constants.FV_CB_NO_UNDERLINE (0) • Constants.FV_CB_SINGLE_UNDERLINE (1) • Constants.FV_CB_DOUBLE_UNDERLINE (2) • Constants.FV_CB_NUMERIC_UNDERLINE (3)
UseBkColor | bool | readwrite | The UseBkColor is a Boolean flag which indicates whether the BkColor property is set or not. A value of 1 indicates the text has some background color. A value of 0 indicates a transparent background. When the UseBkColor property is set to 0, the BkColor value is not used.
UseNextTag | int | readwrite | True if Next Paragraph Tag is enabled.
YakumonoType | int | readwrite | The Yakumono rules to handle punctuation characters. The value is one of: • Constants.FV_FLOATING_YAKUMONO (0x00) • Constants.FV_MONOSPACE_YAKUMONO (0x01) • Constants.FV_FIXED_YAKUMONO (0x02)

Methods

Instances

int Delete () Deletes a paragraph format.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the paragraph format.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the paragraph format is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the paragraph format.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstPgfFmtInDoc

PgfFmt.NextPgfFmtInDoc

Return

PgfFmt Doc.GetNamedPgfFmt ([name: string])

PgfFmt Doc.NewNamedPgfFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: Point

Class

Point

QuickLinks

 Point

Properties

Property | Type | Access | Description
x | int | readwrite | X coordinate
y | int | readwrite | Y cooridnate

Methods

Constructor

Point Point ([x: int][, y: int]) Point describes an individual coordinate pair. FrameMaker measures coordinates from the upper-left corner of the parent frame

Parameter | Type | Description
x | int | X coordinate (Optional)
y | int | Y coordinate (Optional)

Element of

Button.location

Checkbox.location

DropDownList.location

EditText.location

FlashPlayer.location

Group.location

IconButton.location

ListBox.location

Panel.location

Progressbar.location

RadioButton.location

ScriptUIGraphics.currentPoint

Scrollbar.location

Slider.location

StaticText.location

TreeView.location

Window.frameLocation

Window.location

Used in:

number Points.push ([value: Point])

Return

Point Point.Point ([x: int][, y: int])

Point Points.pop ()

Point ScriptUIGraphics.ellipsePath (left: Number, top: Number, width: Number, height: Number)

Point ScriptUIGraphics.lineTo (x: Number, y: Number)

Point ScriptUIGraphics.moveTo (x: Number, y: Number)

Point ScriptUIGraphics.rectPath (left: Number, top: Number, width: Number, height: Number)


Adobe FrameMaker-10 Object Model JS: Points

Class

Points

An Array of Point objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

Points concat ([value: Points]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | Points | Can also be arrays. (Optional)

Point pop () Removes the last element from the array.

number push ([value: Point]) Returns the new length of the array.

Parameter | Type | Description
value | Point | The value to push into the array. (Optional)

Element of

Line.Points

Polygon.Points

Polyline.Points

TypedVal.psval

Used in:

Points Points.concat ([value: Points])

Return

Points Points.concat ([value: Points])


Adobe FrameMaker-10 Object Model JS: Polygon

Class

Polygon

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
NumPoints | int | readwrite | Number of polygon vertices.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
Points | Points | readwrite | Array of x-y coordinate pairs that specify the polygon’s vertices.
PolyIsBezier | int | readwrite | True if polygon is smoothed.
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes a polygon.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the polygon.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the polygon is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the polygon.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Polygon Doc.NewPolygon ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: Polyline

Class

Polyline

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
NumPoints | int | readwrite | Number of polygon vertices.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
Points | Points | readonly | Array of x-y coordinate pairs that specify the polygon’s vertices.
PolyIsBezier | int | readwrite | True if polygon is smoothed.
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes a polyline.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the polyline.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the polyline is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the polyline.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Polyline Doc.NewPolyline ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: PropIdent

Class

PropIdent

QuickLinks

 PropIdent

Properties

Property | Type | Access | Description
name | string | readwrite | The property name.
num | int | readwrite | The property number.

Methods

Constructor

PropIdent PropIdent ([num: int][, name: string]) PropIdent provides a property identifier. Properties can be identified by either a name or a number (integer constant). ESTK provides defined constants for property numbers (for example, Fill and Height). Only inset properties (facets) are identified by names.If a property is identified by a name, PropIdent.num is set to 0.If a property is identified by a number, PropIdent.name is set to a null string.

Parameter | Type | Description
num | int | Property number. (Optional)
name | string | Property name. (Optional)

Element of

PropVal.propIdent

Used in:

PropVal PropVal.PropVal ([propIdent: PropIdent][, propVal: TypedVal])

Return

PropIdent PropIdent.PropIdent ([num: int][, name: string])


Adobe FrameMaker-10 Object Model JS: PropVal

Class

PropVal

QuickLinks

 PropVal

Properties

Property | Type | Access | Description
propIdent | PropIdent | readwrite | The property identifier.
propVal | TypedVal | readwrite | The property value.

Methods

Constructor

PropVal PropVal ([propIdent: PropIdent][, propVal: TypedVal]) Describes a property-value pair.

Parameter | Type | Description
propIdent | PropIdent | Property identifier. (Optional)
propVal | TypedVal | Property value. (Optional)

Used in:

Void Doc.SetTextPropVal ([textRange: TextRange][, setVal: PropVal])

number PropVals.push ([value: PropVal])

Void global.PrintPropVal ([p: PropVal])

Return

PropVal Doc.GetTextPropVal ([textLoc: TextLoc][, propNum: int])

PropVal PropVal.PropVal ([propIdent: PropIdent][, propVal: TypedVal])

PropVal PropVals.pop ()


Adobe FrameMaker-10 Object Model JS: PropVals

Class

PropVals

An Array of PropVal objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

PropVals concat ([value: PropVals]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | PropVals | Can also be arrays. (Optional)

PropVal pop () Removes the last element from the array.

number push ([value: PropVal]) Returns the new length of the array.

Parameter | Type | Description
value | PropVal | The value to push into the array. (Optional)

Used in:

Void AFrame.SetProps ([setVal: PropVals])

Void Arc.SetProps ([setVal: PropVals])

Void AttrCondExpr.SetProps ([setVal: PropVals])

Void BodyPage.SetProps ([setVal: PropVals])

int Book.Export (fileName: string, exportParams: PropVals, exportReturnParams: PropVals)

Object Book.Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals])

Object Book.Save ([saveAsName: string][, saveParams: PropVals][, saveReturnParams: PropVals])

Void Book.SetProps ([setVal: PropVals])

int Book.UpdateBook ([updateParams: PropVals][, updateReturnParams: PropVals])

Void BookComponent.SetProps ([setVal: PropVals])

Void CMSConnection.SetProps (setVal: PropVals)

Void CMSObject.SetProps (setVal: PropVals)

Void Cell.SetProps ([setVal: PropVals])

Void CharFmt.SetProps ([setVal: PropVals])

Void Color.SetProps ([setVal: PropVals])

Void CombinedFontDefn.SetProps ([setVal: PropVals])

Void Command.SetProps ([setVal: PropVals])

Void CondFmt.SetProps ([setVal: PropVals])

int Doc.Export (fileName: string, exportParams: PropVals, exportReturnParams: PropVals)

TextRange Doc.Find ([textLoc: TextLoc][, findParams: PropVals])

Object Doc.Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals])

Object Doc.Save ([saveAsName: string][, saveParams: PropVals][, saveReturnParams: PropVals])

Void Doc.SetProps ([setVal: PropVals])

Void Doc.SetTextProps ([textRange: TextRange][, setVal: PropVals])

Void Element.SetProps ([setVal: PropVals])

Void ElementDef.SetProps ([setVal: PropVals])

Void Ellipse.SetProps ([setVal: PropVals])

Void Flow.SetProps ([setVal: PropVals])

Void FmtChangeList.SetProps ([setVal: PropVals])

Void FmtRule.SetProps ([setVal: PropVals])

Void FmtRuleClause.SetProps ([setVal: PropVals])

Void Fn.SetProps ([setVal: PropVals])

Void Group.SetProps ([setVal: PropVals])

Void HiddenPage.SetProps ([setVal: PropVals])

Void Inset.SetProps ([setVal: PropVals])

Void Line.SetProps ([setVal: PropVals])

Void Marker.SetProps ([setVal: PropVals])

Void MarkerType.SetProps ([setVal: PropVals])

Void MasterPage.SetProps ([setVal: PropVals])

Void Math.SetProps ([setVal: PropVals])

Void Menu.SetProps ([setVal: PropVals])

Void MenuItemSeparator.SetProps ([setVal: PropVals])

Void Pgf.SetProps ([setVal: PropVals])

Void PgfFmt.SetProps ([setVal: PropVals])

Void Polygon.SetProps ([setVal: PropVals])

Void Polyline.SetProps ([setVal: PropVals])

PropVals PropVals.concat ([value: PropVals])

Void Rectangle.SetProps ([setVal: PropVals])

Void RefPage.SetProps ([setVal: PropVals])

Void RoundRect.SetProps ([setVal: PropVals])

Void Row.SetProps ([setVal: PropVals])

Void Rubi.SetProps ([setVal: PropVals])

Void RulingFmt.SetProps ([setVal: PropVals])

Void SubCol.SetProps ([setVal: PropVals])

Void Tbl.SetProps ([setVal: PropVals])

Void TblFmt.SetProps ([setVal: PropVals])

Void TextFrame.SetProps ([setVal: PropVals])

Void TextLine.SetProps ([setVal: PropVals])

Void TiApiClient.SetProps ([setVal: PropVals])

Void TiFlow.SetProps ([setVal: PropVals])

Void TiText.SetProps ([setVal: PropVals])

Void TiTextTable.SetProps ([setVal: PropVals])

Void UnanchoredFrame.SetProps ([setVal: PropVals])

Void Var.SetProps ([setVal: PropVals])

Void VarFmt.SetProps ([setVal: PropVals])

Void XRef.SetProps ([setVal: PropVals])

Void XRefFmt.SetProps ([setVal: PropVals])

Void app.SetProps ([setVal: PropVals])

Void global.AppendIntProp (pv: PropVals, prop: int, val: int)

Void global.AppendMetricProp (pv: PropVals, prop: int, val: int)

Void global.AppendStringProp (pv: PropVals, prop: int, val: string)

Void global.AppendStringsProp (pv: PropVals, prop: int, val: Strings)

Void global.AppendVal (pv: PropVals, prop: int, val: TypedVal)

int global.CheckStatus ([p: PropVals][, statusBit: int])

int global.GetPropIndex ([propVals: PropVals][, propNum: int])

Object global.Open ([fileName: string][, openParams: PropVals][, openReturnParams: PropVals])

Void global.PrintExportStatus ([p: PropVals])

Void global.PrintImportStatus ([p: PropVals])

Void global.PrintOpenStatus ([p: PropVals])

Void global.PrintPropVals ([p: PropVals])

Void global.PrintSaveStatus ([p: PropVals])

Void global.PrintUpdateBookStatus ([p: PropVals])

Return

PropVals AFrame.GetProps ()

PropVals Arc.GetProps ()

PropVals AttrCondExpr.GetProps ()

PropVals BodyPage.GetProps ()

PropVals Book.GetProps ()

PropVals BookComponent.GetProps ()

PropVals CMSConnection.GetProps ()

PropVals CMSObject.GetProps ()

PropVals Cell.GetProps ()

PropVals CharFmt.GetProps ()

PropVals Color.GetProps ()

PropVals CombinedFontDefn.GetProps ()

PropVals Command.GetProps ()

PropVals CondFmt.GetProps ()

PropVals Doc.GetProps ()

PropVals Doc.GetTextProps ([textLoc: TextLoc])

PropVals Element.GetProps ()

PropVals ElementDef.GetProps ()

PropVals Ellipse.GetProps ()

PropVals Flow.GetProps ()

PropVals FmtChangeList.GetProps ()

PropVals FmtRule.GetProps ()

PropVals FmtRuleClause.GetProps ()

PropVals Fn.GetProps ()

PropVals Group.GetProps ()

PropVals HiddenPage.GetProps ()

PropVals Inset.GetProps ()

PropVals Line.GetProps ()

PropVals Marker.GetProps ()

PropVals MarkerType.GetProps ()

PropVals MasterPage.GetProps ()

PropVals Math.GetProps ()

PropVals Menu.GetProps ()

PropVals MenuItemSeparator.GetProps ()

PropVals Pgf.GetProps ()

PropVals PgfFmt.GetProps ()

PropVals Polygon.GetProps ()

PropVals Polyline.GetProps ()

PropVals PropVals.concat ([value: PropVals])

PropVals Rectangle.GetProps ()

PropVals RefPage.GetProps ()

PropVals RoundRect.GetProps ()

PropVals Row.GetProps ()

PropVals Rubi.GetProps ()

PropVals RulingFmt.GetProps ()

PropVals SubCol.GetProps ()

PropVals Tbl.GetProps ()

PropVals TblFmt.GetProps ()

PropVals TextFrame.GetProps ()

PropVals TextLine.GetProps ()

PropVals TiApiClient.GetProps ()

PropVals TiFlow.GetProps ()

PropVals TiText.GetProps ()

PropVals TiTextTable.GetProps ()

PropVals UnanchoredFrame.GetProps ()

PropVals Var.GetProps ()

PropVals VarFmt.GetProps ()

PropVals XRef.GetProps ()

PropVals XRefFmt.GetProps ()

PropVals app.GetProps ()

PropVals global.AllocatePropVals ([numProps: int])

PropVals global.GetExportDefaultParams ([: Void])

PropVals global.GetImportDefaultParams ()

PropVals global.GetOpenDefaultParams ()

PropVals global.GetSaveDefaultParams ()

PropVals global.GetUpdateBookDefaultParams ()


Adobe FrameMaker-10 Object Model JS: Rectangle

Class

Rectangle

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
RectangleIsSmoothed | int | readwrite | True if smoothing is enabled. This property is always True for Ellipse objects.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes a rectangle.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the rectangle.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the rectangle is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the rectangle.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

Rectangle Doc.NewRectangle ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: RefPage

Class

RefPage

QuickLinks

 ApplyPageLayout, Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Name | string | readwrite | Name of the reference page.
PageFrame | UnanchoredFrame | readonly | Page frame (FO_UnanchoredFrame ID)
PageHeight | int | readonly | Height of the page.
PageNext | RefPage | readonly | Next reference page (FO_RefPage ID) in the document.
PageNum | int | readonly | Page number.
PagePrev | RefPage | readonly | Previous reference page (FO_RefPage ID) in the document.
PageWidth | int | readonly | Width of the page.

Methods

Instances

int ApplyPageLayout ([srcPage: PageObject]) PageObject is any Page object i.e., BodyPage, MasterPage, HiddenPage.
See ApplyPageLayout under the BodyPage class for more information.

Parameter | Type | Description
srcPage | PageObject | The page to which the layout is to be applied. (Optional)

int Delete () Deletes a reference page.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the reference page.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the reference page is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the reference page.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstRefPageInDoc

Doc.LastRefPageInDoc

RefPage.PageNext

RefPage.PagePrev

Return

RefPage Doc.GetNamedRefPage ([name: string])

RefPage Doc.NewNamedRefPage ([name: string])


Adobe FrameMaker-10 Object Model JS: RoundRect

Class

RoundRect

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
Radius | int | readwrite | Radius of corner; 0 for a square corner.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes a round rectangle.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the round rectangle.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the rounded rectangle is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the rounded rectangle.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

RoundRect Doc.NewRoundRect ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: Row

Class

Row

QuickLinks

 AddRows, Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
CondFmtIsShown | int | readwrite | True if the condition is shown.
Element | Element | readonly | The ID of the element containing the row in a FrameMaker document.
FirstCellInRow | Cell | readonly | First cell in row (FO_Cell ID).
Height | int | readonly | Height of the row.
InCond | Objects | readwrite | Condition tags for row (array of FO_CondFmt IDs).
LocX | int | readonly | Offset from the left side of the text frame containing the row.
LocY | int | readonly | Offset from the top of the page frame containing the row.
NextRowInTbl | Row | readonly | Next row (FO_Row ID) in the table.
PrevRowInTbl | Row | readonly | Previous row (FO_Row ID) in the table.
RowIsShown | int | readonly | True if the conditional row is shown.
RowKeepWithNext | int | readwrite | True if Keep With Next Row is enabled.
RowKeepWithPrev | int | readwrite | True if Keep With Previous Row is enabled.
RowMaxHeight | int | readwrite | Maximum row height.
RowMinHeight | int | readwrite | Minimum row height.
RowStart | int | readwrite | Denotes the row placement. The value is one of: • Constants.FV_ROW_ANYWHERE (0) • Constants.FV_ROW_TOP_OF_COL (1) • Constants.FV_ROW_TOP_OF_PAGE (2) • Constants.FV_ROW_TOP_OF_LEFT_PAGE (3) • Constants.FV_ROW_TOP_OF_RIGHT_PAGE (4)
RowTbl | Tbl | readonly | Table containing the row (FO_Tbl ID).
RowType | int | readonly | Type of row. The value is one of: • Constants.FV_ROW_HEADING (0) • Constants.FV_ROW_BODY (1) • Constants.FV_ROW_FOOTING (2)
SepOverride | Color | readwrite | Color separation format override (FO_Color ID).
StyleOverrides | int | readwrite | Style condition indicators for conditional text: • Constants.FV_CS_NO_OVERRIDE (0x00) • Constants.FV_CS_OVERLINE (0x01) • Constants.FV_CS_STRIKETHROUGH (0x02) • Constants.FV_CS_SINGLE_UNDERLINE (0x04) • Constants.FV_CS_DOUBLE_UNDERLINE (0x08) All style condition indicators are represented as hatched lines for the table rows.
UseSepOverride | int | readwrite | True if the SepOverride property overrides default from the table.
Width | int | readonly | Width of the row.

Methods

Instances

int AddRows ([direction: int][, numNewRows: int]) Adds one or more rows to a table.
The following table lists the constants you can specify for the direction parameter:
Direction
Meaning
Constants.FV_Above (1240)
Add rows above the current reference row.
Constants.FV_Below (1241)
Add rows below the current reference row
Constants.FV_Body (1237)
Add rows at the bottom of the existing body rows.
Constants.FV_Footing (1239)
Add rows at the bottom of the existing footer rows.
Constants.FV_Heading (1238)
Add rows at the bottom of the existing heading rows

The method returns FE_Success on success.
On failure, the method assigns one of the following values to FA_errno:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker product does not support this operation.
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid row number.
Constants.FE_BadOperation (-27)
Parameters specified an invalid operation.
Constants.FE_BadParameter (-43)
Parameter has an invalid value.

Parameter | Type | Description
direction | int | The direction from the reference row in which to add rows. (Optional)
numNewRows | int | The number of rows to add. (Optional)

int Delete () Deletes a row.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the row.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the row is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the row.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Cell.CellRow

Row.NextRowInTbl

Row.PrevRowInTbl

Tbl.BottomRowSelection

Tbl.FirstRowInTbl

Tbl.LastRowInTbl

Tbl.TopRowSelection

Used in:

int Tbl.DeleteRows ([refRow: Row][, numDelRows: int])


Adobe FrameMaker-10 Object Model JS: Rubi

Class

Rubi

QuickLinks

 Delete, GetProps, GetText2, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Element | Element | readonly | The object handle of the associated FO_Element for the rubi group element, if the rubi group is in a structured document.
NextRubiInDoc | Rubi | readonly | The next instance of a rubi composite (FO_Rubi ID) in the document..
OyamojiTextRange | TextRange | readonly | The text range that the oyamoji text encompasses.
RubiElement | Element | readonly | The object handle of the associated FO_Element for the rubi element, if the rubi group is in a structured document.
RubiTextRange | TextRange | readonly | The text range that the rubi text encompasses.
Unique | int | readonly | The rubi composite’s unique ID.

Methods

Instances

int Delete () Deletes a rubi object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the rubi object.
See GetProps under the AFrame class for more information.

TextItems GetText2 ([flags: int][, flags2: int]) Gets the text from all the objects available to GetText(), as well as an extended set of document objects that includes the rubi object.
TextItems.dataType can be one of the following constants (in addition to the constants returned by GetText ()):
Value
Representation
Data
Constants.FTI2_RubiTextBegin (0x80000001)
The beginning of rubi text.
The FO_Rubi object for the rubi composite that contains the rubi text.
Constants.FTI2_RubiTextEnd (0x80000002)
The end of rubi text.
The FO_Rubi object for the rubi composite that contains the rubi text.
Constants.FTI2_RubiCompositeBegin (0x80000004)
The beginning of a rubi composite.
FO_Rubi object.
Constants.FTI2_RubiCompositeEnd (0x80000008)
The end of a rubi composite.
FO_Rubi object.

See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)
flags2 | int | Bit flags for the extended set of text item types that specify the type of text items to retrieve. To get specific types of text items from the extended set, OR the constants that represent them (for example, use a bitwise OR to combine Constants.FTI2_RubiTextBegin (0x80000001) and Constants. FTI2_RubiTextEnd (0x80000002)) into flags2. To get all types of the extended set of text items, specify -1. (Optional)

int ObjectValid () Returns True if the rubi object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the rubi object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstRubiInDoc

Rubi.NextRubiInDoc


Adobe FrameMaker-10 Object Model JS: RulingFmt

Class

RulingFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Name | string | readwrite | Ruling format name.
NextRulingFmtInDoc | RulingFmt | readonly | Next ruling format in document (FO_RulingFmt ID).
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
RulingGap | int | readwrite | Gap between double ruling lines (0.015 pt to 360 pt).
RulingLines | int | readwrite | Number of ruling lines (0 to 2 lines).
RulingPenWidth | int | readwrite | Ruling line thickness (0.015 pt to 360 pt).
RulingSep | Color | readwrite | Spot color of ruling format (FO_Color ID).

Methods

Instances

int Delete () Deletes a ruling format.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the ruling format.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the ruling format is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the ruling format.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Cell.CellDefaultBottomRuling

Cell.CellDefaultLeftRuling

Cell.CellDefaultRightRuling

Cell.CellDefaultTopRuling

Cell.CellOverrideBottomRuling

Cell.CellOverrideLeftRuling

Cell.CellOverrideRightRuling

Cell.CellOverrideTopRuling

Doc.FirstRulingFmtInDoc

RulingFmt.NextRulingFmtInDoc

Tbl.TblBodyRowRuling

Tbl.TblColRuling

Tbl.TblHFRowRuling

Tbl.TblHFSeparatorRuling

Tbl.TblLeftRuling

Tbl.TblOtherBodyRowRuling

Tbl.TblOtherColRuling

Tbl.TblRightRuling

Tbl.TblTopRuling

TblFmt.TblBodyRowRuling

TblFmt.TblBottomRuling

TblFmt.TblColRuling

TblFmt.TblHFRowRuling

TblFmt.TblHFSeparatorRuling

TblFmt.TblLeftRuling

TblFmt.TblOtherBodyRowRuling

TblFmt.TblOtherColRuling

TblFmt.TblRightRuling

TblFmt.TblTopRuling

Return

RulingFmt Doc.GetNamedRulingFmt ([name: string])

RulingFmt Doc.NewNamedRulingFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: Strings

Class

Strings

An Array of string objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

Strings concat ([value: Strings]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | Strings | Can also be arrays. (Optional)

string pop () Removes the last element from the array.

number push ([value: string]) Returns the new length of the array.

Parameter | Type | Description
value | string | The value to push into the array. (Optional)

Element of

AFrame.ObjectAttributes

Arc.ObjectAttributes

Attribute.values

AttributeDef.choices

AttributeDef.defValues

Book.CustomElementList

Book.DocAcrobatElementList

Book.PDFDocInfo

Book.XmlStyleSheetList

BookComponent.ExtractElementTags

BookComponent.ExtractTags

Command.KeyboardShortcuts

Command.Labels

Doc.CustomElementList

Doc.DefaultExclusions

Doc.DefaultInclusions

Doc.Dictionary

Doc.DocAcrobatElementList

Doc.MarkerTypeNames

Doc.PDFDocInfo

Doc.ReviewerNameList

Doc.SymbolsList

Doc.XmlStyleSheetList

Element.Namespace

ElementDef.AlsoInsert

ElementDef.Exclusions

ElementDef.Inclusions

Ellipse.ObjectAttributes

FilterArgs.args

FmtRule.CountElements

FmtRuleClause.SpecificationForCSS

Group.ObjectAttributes

Inset.ObjectAttributes

Line.ObjectAttributes

Math.ObjectAttributes

Polygon.ObjectAttributes

Polyline.ObjectAttributes

Rectangle.ObjectAttributes

RoundRect.ObjectAttributes

TextFrame.ObjectAttributes

TextLine.ObjectAttributes

TypedVal.ssval

UnanchoredFrame.ObjectAttributes

app.FontAngleNames

app.FontFamilyNames

app.FontVariationNames

app.FontWeightNames

app.MarkerNames

Used in:

Attribute Attribute.Attribute ([name: string][, values: Strings][, valflags: uint][, allow: uint])

AttributeDef AttributeDef.AttributeDef ([name: string][, required: int][, flags: uint][, attrType: int][, choices: Strings][, defValues: Strings][, rangeMin: string][, rangeMax: string][, Constants.FV_AF_READ_ONLY(0x0001): The attribute value is read-only.][, Constants.FV_AF_HIDDEN(0x0002): The attribute value is hidden.][, NULL: The attribute value is neither read-only nor hidden.][, Constants.FV_AT_STRING(0): Any arbitrary text string.][, Constants.FV_AT_STRINGS(1): One or more arbitrary text strings.][, Constants.FV_AT_CHOICES(2): A value from a list of choices.][, Constants.FV_AT_INTEGER(3): A signed whole number (optionally restricted to a range of values).][, Constants.FV_AT_INTEGERS(4): One or more integers (optionally restricted to a range of values).][, Constants.FV_AT_REAL(5): A real number (optionally restricted to a range of values).][, Constants.FV_AT_REALS(6): One or more real numbers (optionally restricted to a range of values).][, Constants.FV_AT_UNIQUE_ID(7): A string that uniquely identifies the element.][, Constants.FV_AT_UNIQUE_IDREF(8): A reference to a UniqueID attribute.][, Constants.FV_AT_UNIQUE_IDREFS(9): One or more references to a UniqueID attribute.])

int Doc.QuickSelect ([prompt: string][, stringlist: Strings])

FilterArgs FilterArgs.FilterArgs ([infile: string][, outfile: string][, clname: string][, informat: string][, outformat: string][, binname: string][, args: Strings])

Strings Strings.concat ([value: Strings])

Void global.AppendStringsProp (pv: PropVals, prop: int, val: Strings)

int global.ScrollBox ([title: string][, stringslist: Strings][, _default: int])

Return

Strings Doc.GetBuildExprCatalog ()

Strings Strings.concat ([value: Strings])

Strings global.GetSupportedEncodings ()


Adobe FrameMaker-10 Object Model JS: SubCol

Class

SubCol

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
ContentHeight | int | readonly | The distance between the top of the column and the baseline of the last line in the column.
FirstAFrame | AFrame | readonly | First anchored frame in the column (FO_AFrame ID).
FirstCell | Cell | readonly | First table cell in the column (FO_Cell ID).
FirstFn | Fn | readonly | First footnote in the column (FO_Fn ID).
FirstPgf | Pgf | readonly | First paragraph in the column (FO_Pgf ID).
FrameParent | TextFrame | readonly | ID of text frame that contains the column (FO_TextFrame ID).
Height | int | readonly | Column Height.
LastAFrame | AFrame | readonly | Last anchored frame in the column (FO_AFrame ID).
LastCell | Cell | readonly | Last table cell in the column (FO_Cell ID).
LastFn | Fn | readonly | Last footnote in the column (FO_Fn ID).
LastPgf | Pgf | readonly | Last paragraph in the column (FO_Pgf ID).
LocX | int | readonly | Offset from left side of the text frame that contains the column.
LocY | int | readonly | Offset from top of text frame that contains the column.
NextSubCol | SubCol | readonly | Next column in the flow.
Overflowed | int | readonly | True if the text frame containing the column has Autoconnect turned off and text overflows the column.
ParentTextFrame | TextFrame | readonly | ID of text frame that contains the column (FO_TextFrame ID).
PrevSubCol | SubCol | readonly | Previous column in the flow.
Unique | int | readonly | Text column’s unique ID.
Width | int | readonly | Column width.

Methods

Instances

int Delete () Deletes a subcol object.
See Delete under the AFrame class for more information.

PropVals GetProps () Retrieves the properties of the subcol object.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the subcol object.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the subcol object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) Sets the properties of the subcol object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Cell.InTextObj

Fn.InTextObj

SubCol.NextSubCol

SubCol.PrevSubCol

TextFrame.FirstSubCol

TextFrame.LastSubCol


Adobe FrameMaker-10 Object Model JS: Tab

Class

Tab

QuickLinks

 Tab

Properties

Property | Type | Access | Description
decimal | uint | readwrite | Character to align the tab around (For example “,”).
leader | string | readwrite | String that appears before the tab.
type | uint | readwrite | Type of tab. The value is one of: • Constants.FV_TAB_LEFT (0x1) - Left tab. • Constants.FV_TAB_CENTER (0x2) - Center tab. • Constants.FV_TAB_RIGHT (0x3) - Right tab. • Constants.FV_TAB_DECIMAL (0x4) - Decimal tab. • Constants.FV_TAB_RELATIVE_LEFT (0x5) - Relative left tab (allowed only for format change lists). • Constants.FV_TAB_RELATIVE_CENTER (0x6) - Relative center tab (allowed only for format change lists). • Constants.FV_TAB_RELATIVE_RIGHT (0x7) - Relative right tab (allowed only for format change lists). • Constants.FV_TAB_RELATIVE_DECIMAL (0x8) - Relative decimal tab (allowed only for format change lists).
x | int | readwrite | Offset from the left margin.

Methods

Constructor

Tab Tab ([x: int][, type: uint][, leader: string][, decimal: uint]) Describes an individual tab. Note that the character specified by decimal must be a single byte character.
The type field can contain one of the following constants:
Constant
Tab Type
Constants.FV_TAB_LEFT (0x1)
Left tab.
Constants.FV_TAB_CENTER (0x2)
Center tab.
Constants.FV_TAB_RIGHT (0x3)
Right tab.
Constants.FV_TAB_DECIMAL (0x4).
Decimal tab.
Constants.FV_TAB_RELATIVE_LEFT (0x5)
Relative left tab (allowed only for format change lists).
Constants.FV_TAB_RELATIVE_CENTER (0x6)
elative center tab (allowed only for format change lists).
Constants.FV_TAB_RELATIVE_RIGHT (0x7)
Relative right tab (allowed only for format change lists).
Constants.FV_TAB_RELATIVE_DECIMAL (0x8)
Relative decimal tab (allowed only for format change lists).

Parameter | Type | Description
x | int | Offset from the left margin. (Optional)
type | uint | Type of tab. (Optional)
leader | string | String that appears before the tab. (Optional)
decimal | uint | Character to align tab around - For example ",". (Optional)

Used in:

number Tabs.push ([value: Tab])

Return

Tab Tab.Tab ([x: int][, type: uint][, leader: string][, decimal: uint])

Tab Tabs.pop ()


Adobe FrameMaker-10 Object Model JS: Tabs

Class

Tabs

An Array of Tab objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

Tabs concat ([value: Tabs]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | Tabs | Can also be arrays. (Optional)

Tab pop () Removes the last element from the array.

number push ([value: Tab]) Returns the new length of the array.

Parameter | Type | Description
value | Tab | (Optional)

Element of

FmtChangeList.Tabs

Pgf.Tabs

PgfFmt.Tabs

TypedVal.tsval

Used in:

Tabs Tabs.concat ([value: Tabs])

Return

Tabs Tabs.concat ([value: Tabs])


Adobe FrameMaker-10 Object Model JS: Tbl

Class

Tbl

QuickLinks

 AddCols, Delete, DeleteCols, DeleteRows, GetProps, MakeTblSelection, ObjectValid, SetProps

Properties

Property | Type | Access | Description
BottomRowSelection | Row | readonly | Bottom body row in selection, if table is selected (FO_Row ID).
ContentHeight | int | readonly | The height of the table title.
Element | Element | readonly | Denotes the element associated with the table.
FirstPgf | Pgf | readonly | The first paragraph in the title, if the table has a title.
FirstRowInTbl | Row | readonly | First row in the table (FO_Row ID).
HighestLevelElement | Element | readonly | Specifies the title’s highest-level element if the table is in a structured document and has a title. HighestLevelElement is obsolete but is supported for backward compatibility.
LastPgf | Pgf | readonly | The last paragraph in the title, if the table has a title.
LastRowInTbl | Row | readonly | Last row in the table (FO_Row ID).
LeftColNum | int | readonly | Number of the leftmost selected column, if a table is selected (columns are numbered from left to right, starting with 0).
Locked | int | readwrite | True if the table is part of a text inset that retains formatting information from the source document. The table is not affected by global formatting performed on the document.
NextTblInDoc | Tbl | readonly | Next table (FO_Tbl ID) in the document.
OrphanRows | int | readwrite | Number of orphan rows.
Overflowed | int | readonly | True if the table has cells that are not shown because they extend beyond the text frame boundaries.
RightColNum | int | readonly | Number of rightmost selected column, if a table is selected (columns are numbered from left to right, starting with 0).
TblAlignment | int | readwrite | Horizontal placement of table. The value is one of: • Constants.FV_ALIGN_TBL_LEFT (0) • Constants.FV_ALIGN_TBL_CENTER (1) • Constants.FV_ALIGN_TBL_RIGHT (2)
TblBodyElement | Element | readonly | Specifies the element containing the table’s body rows.
TblBodyFirstColor | Color | readwrite | First spot color for table body (FO_Color ID).
TblBodyFirstFill | int | readwrite | First fill pattern for table body.
TblBodyFirstPeriod | int | readwrite | Number of columns or body rows to which the first fill pattern (specified by TblBodyFirstFill) is applied.
TblBodyNextColor | Color | readwrite | Exception color for columns or body rows (FO_Color ID).
TblBodyNextFill | int | readwrite | Exception fill pattern for table body.
TblBodyNextPeriod | int | readwrite | Number of columns or body rows to which the exception fill pattern (specified by TblBodyNextFill) is applied.
TblBodyRowRuling | RulingFmt | readwrite | Ruling applied to body rows specified by TblBodyRowRulingPeriod (FO_RulingFmt ID).
TblBodyRowRulingPeriod | int | readwrite | The periodicity of the ruling specified by TblBodyRowRuling.For example, if TblBodyRowRulingPeriod is set to 3, the ruling specified by TblBodyRowRuling is applied to every third row.
TblBodyShadeBy | int | readwrite | True if Shade By is set to Columns; False if Shade By is set to Rows.
TblBottomRuling | int | readwrite | Ruling applied to the bottom of the table (FO_RulingFmt ID).
TblCatalogEntry | int | readonly | True if the table’s format is in the Table Catalog.
TblCellBottomMargin | int | readwrite | Default bottom cell margin for the table.
TblCellLeftMargin | int | readwrite | Default left cell margin for the table.
TblCellRightMargin | int | readwrite | Default right cell margin for the table.
TblCellTopMargin | int | readwrite | Default top cell margin for the table.
TblColRuling | RulingFmt | readwrite | Ruling applied to table columns specified by TblColRulingPeriod (FO_RulingFmt ID).
TblColRulingPeriod | int | readwrite | The periodicity of the ruling specified by TblColRuling. For example, if TblColRulingPeriod is set to 2, the ruling specified by TblColRuling is applied to every other column.
TblColWidths | Metrics | readwrite | List of column widths.
TblElement | Element | readonly | Specifies the element containing the table.
TblFooterElement | Element | readonly | Denotes the element containing the table’s footer rows.
TblHFColor | Color | readwrite | Color for table heading and footing.
TblHFFill | int | readwrite | Fill pattern for table heading and footing (integer percentage).
TblHFRowRuling | RulingFmt | readwrite | Ruling for table heading and footing rows (FO_RulingFmt ID).
TblHFSeparatorRuling | RulingFmt | readwrite | Separator ruling for table heading and footing rows (FO_RulingFmt ID).
TblHeaderElement | Element | readonly | Denotes the element containing the table’s header rows.
TblInLockedTi | bool | readwrite | True if the table is in a locket text inset. You should not use the ESTK to delete table elements when the table is in a locket text inset.
TblLastBodyRuling | int | readwrite | True if Draw Bottom Ruling on Last Sheet Only is enabled (FO_RulingFmt ID).
TblLeftIndent | int | readwrite | Left indent for the table.
TblLeftRuling | RulingFmt | readwrite | Ruling for the left side of the table (FO_RulingFmt ID).
TblNumCols | int | readonly | Number of colums in the table.
TblNumRows | int | readonly | Number of rows in the table.
TblNumbering | int | readwrite | Direction of autonumbering for the table. The value is one of: • Constants.FV_TBL_NUM_BY_ROW (0) • Constants.FV_TBL_NUM_BY_COL (1)
TblOtherBodyRowRuling | RulingFmt | readwrite | Ruling for body rows that are not specified by TblBodyRowRulingPeriod (FO_RulingFmt ID).
TblOtherColRuling | RulingFmt | readwrite | Ruling for columns that are not specified by TblColRulingPeriod (FO_RulingFmt ID).
TblPlacement | int | readwrite | Vertical placement of table on page. The value is one of: • Constants.FV_TBL_ANYWHERE (0) • Constants.FV_TBL_TOP_OF_COL (1) • Constants.FV_TBL_TOP_OF_PAGE (2) • Constants.FV_TBL_TOP_OF_LEFT_PAGE (3) • Constants.FV_TBL_TOP_OF_RIGHT_PAGE (4) • Constants.FV_TBL_FLOAT (5)
TblRightIndent | int | readwrite | Right indent for the table.
TblRightRuling | RulingFmt | readwrite | Ruling for the right side of the table (FO_RulingFmt ID).
TblSpaceAbove | int | readwrite | Vertical space above the table.
TblSpaceBelow | int | readwrite | Vertical space below the table.
TblTag | string | readwrite | Name of the table format.
TblTitleElement | Element | readonly | Indicates the element containing the table title.
TblTitleGap | int | readwrite | Gap between the title and top or bottom row of the table.
TblTitlePosition | int | readwrite | The placement of the table title. The value is one of: • Constants.FV_TBL_NO_TITLE (0) - Table has no title • Constants.FV_TBL_TITLE_ABOVE (1) - The title appears above the table • Constants.FV_TBL_TITLE_BELOW (2) - The title appears below the table
TblTitleSelected | int | readonly | True if table title is selected.
TblTopRuling | RulingFmt | readwrite | Ruling for the top of the table (FO_RulingFmt ID).
TblWidth | int | readonly | Horizontal width of the table.
TextLoc | TextLoc | readwrite | The text location of the table’s anchor.
TopRowSelection | Row | readonly | Top row in selection, if table is selected (FO_Row ID).
Unique | int | readonly | The table’s unique ID.

Methods

Instances

int AddCols ([refColNum: int][, direction: int][, numNewCols: int]) Adds columns to a table.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
invalid document.
Constants.FE_BadParameter (-43)
A parameter specified is invalid.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadOperation (-27)
The method specified an invalid operation.

Parameter | Type | Description
refColNum | int | The column at which to start adding columns. The columns are numbered from left to right starting with column 0. (Optional)
direction | int | The direction from the reference column in which to add columns. To add columns to the left of the reference column, specify FV_Left. To add them to the right, specify FV_Right. (Optional)
numNewCols | int | The number of columns to add. (Optional)

int Delete () Deletes the specified table.
See Delete under the AFrame class for more information.

int DeleteCols ([delColNum: int][, numDelCols: int]) Deletes columns from a table. To delete an entire table, use Delete().
The method deletes the column specified by delColNum and (numDelCols-1) columns to the right of it.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the requested operation.
Constants.FE_BadOperation (-27)
The method specified an invalid operation.
Constants.FE_BadDocId (-2)
invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_TableInLockedTi (-101)
The table is in a locked text inset.

Parameter | Type | Description
delColNum | int | The first column to delete. Columns are numbered from left to right, starting with 0. (Optional)
numDelCols | int | The number of columns to delete. (Optional)

int DeleteRows ([refRow: Row][, numDelRows: int]) Deletes rows from a table. Like the Delete command in the FrameMaker product user interface, DeleteRows() does not allow you to delete more than one type of row at time.
The range of rows you specify must be all body rows, all header rows, or all footer rows.
The method deletes refRow and (numDelRows - 1) rows below it.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the requested operation.
Constants.FE_BadOperation (-27)
The method specified an invalid operation.
Constants.FE_BadDocId (-2)
invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_OutOfRange (-7)
The refRow parameter does not specify a row in the table, or the specified range includes more than one type of row (for example, header rows and body rows).

Parameter | Type | Description
refRow | Row | The first row to delete. (Optional)
numDelRows | int | The number of rows to delete, including the value passed in refRow. (Optional)

PropVals GetProps () The GetProps() method retrieves the properties of the specified table.
See GetProps under the AFrame class for more information.

int MakeTblSelection ([topRow: int][, bottomRow: int][, leftCol: int][, rightCol: int]) Selects a range of cells in a table.
To select an entire table, including the table title, set the topRow parameter to Constants.FF_SELECT_WHOLE_TABLE (0x80000000). MakeTblSelection() ignores the values for the other parameters.
MakeTblSelection() cannot select different types of rows at the same time, unless you set topRow to Constants.FF_SELECT_WHOLE_TABLE (0x80000000) or you set topRow and bottomRow to select one or more entire columns.
The method returns FE_Success on success.
On failure, the method sets FA_errno to one of the following values:
Error
Reason
Constants.FE_BadDocId (-2)
invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadOperation (-27)
The method specified an invalid operation.
Constants.FE_OutOfRange (-7)
The specified row or column is invalid.
Constants.FE_BadParameter (-43)
The parameter specified is invalid.

Parameter | Type | Description
topRow | int | The number of the first row in the selection. The rows are numbered from top to bottom, starting with 0 (including heading rows). To select the entire table, specify Constants.FF_SELECT_WHOLE_TABLE (0x80000000). (Optional)
bottomRow | int | The number of the last row in the selection. (Optional)
leftCol | int | The number of the leftmost column in the selection. The columns are numbered from left to right, starting with 0. (Optional)
rightCol | int | The number of the rightmost column in the selection. (Optional)

int ObjectValid () Returns True if the table is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified table.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstTblInDoc

Doc.SelectedTbl

Row.RowTbl

Tbl.NextTblInDoc

Return

Tbl Doc.NewAnchoredFormattedTbl ([format: string][, textLoc: TextLoc])

Tbl Doc.NewAnchoredTbl ([textloc: TextLoc])

Tbl Doc.NewTable ([format: string][, numCols: int][, numBodyRows: int][, numHeaderRows: int][, numFooterRows: int][, textLoc: TextLoc])


Adobe FrameMaker-10 Object Model JS: TblFmt

Class

TblFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Name | string | readwrite | Name of the paragraph format of the table title.
NextTblFmtInDoc | TblFmt | readonly | Next table format in the document (FO_TblFmt ID).
OrphanRows | int | readwrite | Number of orphan rows.
TblAlignment | int | readwrite | Horizontal placement of table. The value is one of: • Constants.FV_ALIGN_TBL_LEFT (0) • Constants.FV_ALIGN_TBL_CENTER (1) • Constants.FV_ALIGN_TBL_RIGHT (2)
TblBodyFirstColor | Color | readwrite | First spot color for table body (FO_Color ID)
TblBodyFirstFill | int | readwrite | First fill pattern for table body
TblBodyFirstPeriod | int | readwrite | Number of columns or body rows to which the first fill pattern (specified by TblBodyFirstFill) is applied
TblBodyNextColor | Color | readwrite | Exception color for columns or body rows (FO_Color ID)
TblBodyNextFill | int | readwrite | Exception fill pattern for table body
TblBodyNextPeriod | int | readwrite | Number of columns or body rows to which the exception fill pattern (specified by TblBodyNextFill) is applied
TblBodyRowRuling | RulingFmt | readwrite | Ruling for body rows that are not specified by TblBodyRowRulingPeriod (FO_RulingFmt ID).
TblBodyRowRulingPeriod | int | readwrite | The periodicity of the ruling specified by TblOtherBodyRowRuling. For example, if TblBodyRowRulingPeriod is set to 3, the ruling specified by TblOtherBodyRowRuling is applied to every third row.
TblBodyShadeBy | int | readwrite | True if Shade By is set to Columns; False if Shade By is set to Rows
TblBottomRuling | RulingFmt | readwrite | Ruling for the bottom of the table (FO_RulingFmt ID).
TblCatalogEntry | int | readwrite | True if format is in the Table Catalog.
TblCellBottomMargin | int | readwrite | Bottom margin of table cell.
TblCellLeftMargin | int | readwrite | Left margin of the table cell.
TblCellRightMargin | int | readwrite | Right margin of the table cell.
TblCellTopMargin | int | readwrite | Top margin of the table cell.
TblColRuling | RulingFmt | readwrite | Ruling for columns that are not specified by TblColRulingPeriod (FO_RulingFmt ID).
TblColRulingPeriod | int | readwrite | The periodicity of the ruling specified by TblOtherColRuling. For example, if TblColRulingPeriod is set to 2, the ruling specified by TblOtherColRuling is applied to every other column.
TblHFColor | Color | readwrite | Color for table heading and footing
TblHFFill | int | readwrite | Fill pattern for table heading and footing (integer percentage)
TblHFRowRuling | RulingFmt | readwrite | Ruling for the heading and footing rows (FO_RulingFmt ID).
TblHFSeparatorRuling | RulingFmt | readwrite | Separator ruling for the table heading and footing rows (FO_RulingFmtID).
TblInitNumBodyRows | int | readwrite | Number of body rows for new table
TblInitNumCols | int | readwrite | Number of columns for new table
TblInitNumFRows | int | readwrite | Number of footing rows for new table
TblInitNumHRows | int | readwrite | Number of heading rows for new table
TblLastBodyRuling | int | readwrite | True if Draw Bottom Ruling on Last Sheet Only is enabled (FO_RulingFmt ID).
TblLeftIndent | int | readwrite | Left indent of the table cell.
TblLeftRuling | RulingFmt | readwrite | Ruling for the left side of the table (FO_RulingFmt ID).
TblNumbering | int | readwrite | Direction of autonumbering for the table. The value is one of: • Constants.FV_TBL_NUM_BY_ROW (0) • Constants.FV_TBL_NUM_BY_COL (1)
TblOtherBodyRowRuling | RulingFmt | readwrite | Ruling applied to body rows specified by TblBodyRowRulingPeriod (FO_RulingFmt ID).
TblOtherColRuling | RulingFmt | readwrite | Ruling applied to table columns specified by TblColRulingPeriod (FO_RulingFmt ID).
TblPlacement | int | readwrite | Vertical placement of table on page. The value is one of: • Constants.FV_TBL_ANYWHERE (0) • Constants.FV_TBL_TOP_OF_COL (1) • Constants.FV_TBL_TOP_OF_PAGE (2) • Constants.FV_TBL_TOP_OF_LEFT_PAGE (3) • Constants.FV_TBL_TOP_OF_RIGHT_PAGE (4) • Constants.FV_TBL_FLOAT (5)
TblRightIndent | int | readwrite | Right indent of the table.
TblRightRuling | RulingFmt | readwrite | Ruling for the right side of the table (FO_RulingFmt ID).
TblSpaceAbove | int | readwrite | Vertical space above the table.
TblSpaceBelow | int | readwrite | Vertical space below the table.
TblTag | string | readwrite | Name of the table format
TblTitleGap | int | readwrite | Gap between title and top or bottom row.
TblTitlePosition | int | readwrite | The placement of the table title. The value is one of: • Constants.FV_TBL_NO_TITLE (0) - Table has no title • Constants.FV_TBL_TITLE_ABOVE (1) - The title appears above the table • Constants.FV_TBL_TITLE_BELOW (2) - The title appears below the table
TblTopRuling | RulingFmt | readwrite | Ruling for the top of the table (FO_RulingFmt ID).

Methods

Instances

Void Delete ()

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)

Element of

Doc.FirstTblFmtInDoc

TblFmt.NextTblFmtInDoc

Return

TblFmt Doc.GetNamedTblFmt ([name: string])

TblFmt Doc.NewNamedTblFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: TextFrame

Class

TextFrame

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
ColGapWidth | int | readwrite | Gap between columns (0 to 50 inches).
Color | Color | readwrite | Denotes the spot color.
ColumnsAreBalanced | int | readwrite | True if terminal and underfilled columns in the flow are balanced.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FirstAFrame | AFrame | readonly | First anchored frame in the text frame (FO_AFrame ID).
FirstCell | Cell | readonly | First table cell in the text frame (FO_Cell ID).
FirstFn | Fn | readonly | First footnote in the text frame (FO_Fn ID).
FirstPgf | Pgf | readonly | First paragraph in the text frame (FO_Pgf ID).
FirstSubCol | SubCol | readonly | First column in the text frame (FO_SubCol ID).
Flow | Flow | readonly | Flow containing the text frame (FO_Flow ID).
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsButton | int | readwrite | True if the text frame is a hypertext button.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
LastAFrame | AFrame | readonly | Last anchored frame in the text frame (FO_AFrame ID).
LastCell | Cell | readonly | Last table cell in the text frame (FO_Cell ID).
LastFn | Fn | readonly | Last footnote in the text frame (FO_Fn ID).
LastPgf | Pgf | readonly | Last paragraph in the text frame (FO_Pgf ID).
LastSubCol | SubCol | readonly | Last column in the text frame (FO_SubCol ID).
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
NextTextFrameInFlow | TextFrame | readwrite | Next text frame in the flow (FO_TextFrame ID).
NumColumns | int | readwrite | The number of columns in the underlying column grid (1–10).
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
PrevTextFrameInFlow | TextFrame | readwrite | Previous text frame in the flow (FO_TextFrame ID).
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
SideHeadGap | int | readwrite | Gap between side head area and body text area (0 to 50 inches).
SideHeadPlacement | int | readwrite | Placement of side heads relative to columns in the text frame: • Constants.FV_SH_LEFT (0x00) • Constants.FV_SH_RIGHT (0x01) • Constants.FV_SH_INSIDE (0x02) • Constants.FV_SH_OUTSIDE (0x03)
SideHeadWidth | int | readwrite | Width of side head area for the text frame (0 to 50 inches).
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes the specified text frame.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified text frame.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the text frame.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the text frame is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified text frame.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

AFrame.InTextFrame

Cell.InTextFrame

Flow.FirstTextFrameInFlow

Flow.LastTextFrameInFlow

Fn.InTextFrame

Pgf.InTextFrame

SubCol.FrameParent

SubCol.ParentTextFrame

TextFrame.NextTextFrameInFlow

TextFrame.PrevTextFrameInFlow

Return

TextFrame Doc.NewTextFrame ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: TextItem

Class

TextItem

Properties

Property | Type | Access | Description
dataType | int | readwrite | Type of the text item.
obj | any | readwrite | Denotes the text item if the text item is an object.
offset | int | readwrite | Offset from the beginning of the paragraph or the text line.
sdata | string | readwrite | Denotes the text item if the text item is a string.

Used in:

number TextItems.push ([value: TextItem])

Void global.PrintTextItem ([textItem: TextItem])

Return

TextItem TextItems.pop ()


Adobe FrameMaker-10 Object Model JS: TextItems

Class

TextItems

An Array of TextItem objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

TextItems concat ([value: TextItems]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | TextItems | Can also be arrays. (Optional)

TextItem pop () Removes the last element from the array.

number push ([value: TextItem]) Returns the new length of the array.

Parameter | Type | Description
value | TextItem | The value to push into the array. (Optional)

Used in:

TextItems TextItems.concat ([value: TextItems])

Void global.PrintTextItems ([textItems: TextItems])

Return

TextItems Cell.GetText ([flags: int])

TextItems Doc.GetTextForRange ([tr: TextRange][, flags: int])

TextItems Doc.GetTextForRange2 ([tr: TextRange][, flags: int][, flags2: int])

TextItems Element.GetText ([flags: int])

TextItems Flow.GetText ([flags: int])

TextItems Fn.GetText ([flags: int])

TextItems Pgf.GetText ([flags: int])

TextItems Rubi.GetText2 ([flags: int][, flags2: int])

TextItems SubCol.GetText ([flags: int])

TextItems TextFrame.GetText ([flags: int])

TextItems TextItems.concat ([value: TextItems])

TextItems TextLine.GetText ([flags: int])

TextItems Var.GetText ([flags: int])

TextItems XRef.GetText ([flags: int])


Adobe FrameMaker-10 Object Model JS: TextLine

Class

TextLine

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearemichael.and.st 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BasePointX | int | readwrite | Horizontal placement of text line base point relative to left side of the frame.
BasePointY | int | readwrite | Vertical placement of text line base point relative to top of the frame.
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
Language | int | readwrite | Hyphenation and Spell Checking language to use. • Constants.FV_LANG_NOLANGUAGE (0x00) • Constants.FV_LANG_ENGLISH (0x01) • Constants.FV_LANG_BRITISH (0x02) • Constants.FV_LANG_GERMAN (0x03) • Constants.FV_LANG_SWISS_GERMAN (0x04) • Constants.FV_LANG_FRENCH (0x05) • Constants.FV_LANG_CANADIAN_FRENCH (0x06) • Constants.FV_LANG_SPANISH (0x07) • Constants.FV_LANG_CATALAN (0x08) • Constants.FV_LANG_ITALIAN (0x09) • Constants.FV_LANG_FINNISH (0x10) • Constants.FV_LANG_SWEDISH (0x11) • Constants.FV_LANG_JAPANESE (0x12) • Constants.FV_LANG_TRADITIONAL_CHINESE (0x13) • Constants.FV_LANG_SIMPLIFIED_CHINESE (0x14) • Constants.FV_LANG_KOREAN (0x15) • Constants.FV_LANG_PORTUGUESE (0x0A) • Constants.FV_LANG_BRAZILIAN (0x0B) • Constants.FV_LANG_DANISH (0x0C) • Constants.FV_LANG_DUTCH (0x0D) • Constants.FV_LANG_NORWEGIAN (0x0E) • Constants.FV_LANG_NYNORSK (0x0F)
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TextLineType | int | readwrite | Type of text line. The value is one of: • Constants.FV_TEXTLINE_LEFT (0) • Constants.FV_TEXTLINE_RIGHT (1) • Constants.FV_TEXTLINE_CENTER (2) • Constants.FV_TEXTLINE_MATH (3)
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes the specified text line.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified text line.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the text line.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the text line is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified text line.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Return

TextLine Doc.NewTextLine ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: TextLoc

Class

TextLoc

QuickLinks

 TextLoc

Properties

Property | Type | Access | Description
obj | any | readwrite | The object containing text.
offset | int | readwrite | Characters from the start of the object.

Methods

Constructor

TextLoc TextLoc ([obj: any][, offset: int]) TextLoc specifies a location within the text of a paragraph or a graphic text line.

Parameter | Type | Description
obj | any | FO_Pgf or FO_TextLine object. (Optional)
offset | int | Characters from the beginning of the object. (Optional)

Element of

AFrame.TextLoc

Fn.TextLoc

Marker.TextLoc

Tbl.TextLoc

TextRange.beg

TextRange.end

TypedVal.tlval

Used in:

Object Book.Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals])

TextLoc Doc.AddText ([textLoc: TextLoc][, text: string])

TextRange Doc.Find ([textLoc: TextLoc][, findParams: PropVals])

PropVal Doc.GetTextPropVal ([textLoc: TextLoc][, propNum: int])

PropVals Doc.GetTextProps ([textLoc: TextLoc])

TypedVal Doc.GetTextVal ([textLoc: TextLoc][, propNum: int])

Object Doc.Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals])

AFrame Doc.NewAnchoredAFrame ([textloc: TextLoc])

Fn Doc.NewAnchoredFn ([textloc: TextLoc])

Object Doc.NewAnchoredFormattedObject ([objType: int][, format: string][, textLoc: TextLoc])

Tbl Doc.NewAnchoredFormattedTbl ([format: string][, textLoc: TextLoc])

Var Doc.NewAnchoredFormattedVar ([format: string][, textLoc: TextLoc])

XRef Doc.NewAnchoredFormattedXRef ([format: string][, textLoc: TextLoc])

Marker Doc.NewAnchoredMarker ([textloc: TextLoc])

Object Doc.NewAnchoredObject ([objType: int][, textloc: TextLoc])

Tbl Doc.NewAnchoredTbl ([textloc: TextLoc])

TiApiClient Doc.NewAnchoredTiApiClient ([textloc: TextLoc])

Tbl Doc.NewTable ([format: string][, numCols: int][, numBodyRows: int][, numHeaderRows: int][, numFooterRows: int][, textLoc: TextLoc])

ElementLoc Doc.TextLocToElementLoc ([tloc: TextLoc])

Element ElementDef.NewElement ([textLoc: TextLoc])

TextRange TextRange.TextRange ([beg: TextLoc][, end: TextLoc])

Return

TextLoc Doc.AddText ([textLoc: TextLoc][, text: string])

TextLoc Doc.ElementLocToTextLoc ([eloc: ElementLoc])

TextLoc TextLoc.TextLoc ([obj: any][, offset: int])


Adobe FrameMaker-10 Object Model JS: TextRange

Class

TextRange

QuickLinks

 TextRange

Properties

Property | Type | Access | Description
beg | TextLoc | readwrite | The beginning of the text range.
end | TextLoc | readwrite | The end of the text range.

Methods

Constructor

TextRange TextRange ([beg: TextLoc][, end: TextLoc]) TextRange specifies a text range. A text range can span paragraphs. However, it cannot span graphic text lines or flows.
beg.offset and end.offset fields of aTextRange object can specify offsets relative to the beginning and end of an object. In addition, they can use the special value Constants.FV_OBJ_END_OFFSET (0x50000000). Constants.FV_OBJ_END_OFFSET (0x50000000) specifies the offset of the last character in the object containing the text range.

Parameter | Type | Description
beg | TextLoc | The beginning of the range. (Optional)
end | TextLoc | The end of the range. (Optional)

Element of

Doc.TextSelection

Element.TextRange

Rubi.OyamojiTextRange

Rubi.RubiTextRange

TiApiClient.TextRange

TiFlow.TextRange

TiText.TextRange

TiTextTable.TextRange

TypedVal.trval

Var.TextRange

XRef.TextRange

Used in:

int Doc.CenterOnText ([textRange: TextRange])

int Doc.DeleteText ([textRange: TextRange])

TextItems Doc.GetTextForRange ([tr: TextRange][, flags: int])

TextItems Doc.GetTextForRange2 ([tr: TextRange][, flags: int][, flags2: int])

int Doc.ScrollToText ([textRange: TextRange])

Void Doc.SetTextPropVal ([textRange: TextRange][, setVal: PropVal])

Void Doc.SetTextProps ([textRange: TextRange][, setVal: PropVals])

Void Doc.SetTextVal ([textRange: TextRange][, propNum: int][, setVal: TypedVal])

Return

TextRange Doc.Find ([textLoc: TextLoc][, findParams: PropVals])

TextRange TextRange.TextRange ([beg: TextLoc][, end: TextLoc])


Adobe FrameMaker-10 Object Model JS: TiApiClient

Class

TiApiClient

QuickLinks

 ConvertToText, Delete, DeletePropByName, DeleteTextInsetContents, GetProps, GetText, ObjectValid, SetProps, UpdateTextInset

Properties

Property | Type | Access | Description
ImportHint | string | readwrite | Record identifying the filter used to import the text. The FrameMaker product uses this record to find the filter to use when updating the inset.
LastUpdate | int | readwrite | Time when the inset was last updated, expressed in seconds since 1 January, 1970.
Name | string | readwrite | A name assigned to the inset by an FDK client. It is not automatically assigned by the FrameMaker product.
NextTiInDoc | FMObject | readonly | The ID of the next text inset in the list of text insets in the document (Constants.FO_TiApiClient, Constants.FO_TiText, Constants.FO_TiTextTable, or Constants.FO_TiFlow ID).
TextRange | TextRange | readonly | The text range, in the document containing the text inset, occupied by the text inset.
TiAutomaticUpdate | int | readwrite | True if the inset is updated automatically. TiAutomaticUpdate has no effect if the document’s DontUpdateTextInsets property is set to True.
TiClientData | string | readwrite | Data used by the client (for example, an SQL query).
TiClientName | string | readwrite | The registered name of the client that created the inset.
TiClientSource | string | readwrite | The name that appears as the source in the Text Inset Properties dialog box.
TiClientType | string | readwrite | The name that appears as the source type in the Text Inset Properties dialog box.
TiFile | string | readwrite | Path of the source file.
TiFileModDate | string | readwrite | The modification date of the text inset’s source file.
TiIsUnresolved | int | readwrite | True if the inset is unresolved. A client should set this property to True if it is unable to resolve the inset.
TiLocked | int | readwrite | True if the inset is locked. To change an inset’s contents, you must unlock it. Always relock an inset after you have finished changing its contents.
TiMacEdition | int | readonly |
Unique | int | readonly | The text inset’s UID.

Methods

Instances

Void ConvertToText () This method is called upon a text inset (Examples: TiApiClient(), TiFlow(), TiText(), TiTextTable()) object and converts it to a text. This method deletes the text inset and removes the locked text range around it without modifying the content.

int Delete () The Delete() method is used to delete an object from a document. When you delete an object that contains another object, all child objects are also deleted with the parent object. For example, if you delete a frame, all objects within the frame are also deleted.
The Delete() method does not take any arguments.
The method returns FE_SUCCESS on success, else returns one of the following values in FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadDelete (-17)
Specified object could not be deleted.
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadParameter (-43)
Function call specified an invalid parameter.
Constants.FE_NotMenu (72)
Object is a menu item but the document to delete does not belong to the menu.

Void DeletePropByName ([propName: string]) Deletes an inset facet. Except for inset facets, all properties are identified by integer constants. Facets are the only properties identified by name.
If DeletePropByName() fails, the API assigns one of the following values to FA_errno:
Error
Meaning
Constants.FE_BadPropNum (-4)
Specified property number is invalid
Constants.FE_BadDocId (-2)
Invalid document ID
Constants.FE_BadObjId(-3)
Invalid object ID
Constants.FE_BadPropType (-5)
Incorrect property type for this function

Parameter | Type | Description
propName | string | The name of the property to delete (Optional)

int DeleteTextInsetContents () This method deletes the text in a text inset. You must unlock a text inset before you call this function to delete its contents. After you are done, you must relock the text inset.
Call this method on the text inset for which you want to delete the contents.
If this method fails, the API assigns one of the following values to FA_errno.
Error
Meaning
Constants.FE_BadDelete (-17)
Specified text couldn’t be deleted
Constants.FE_BadDocId (-2)
Invalid document ID
Constants.FE_BadObjId (-3)
Invalid object ID
Constants.FE_BadSelectionForOperation (-59)
The specified text inset is locked

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

string GetText ()

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)

int UpdateTextInset () Updates the contents of a stale text inset. It determines whether an inset is stale by comparing the inset’s LastUpdate property with the modification date of the inset’s source file. UpdateTextInset() does not update a text inset unless it is stale. To make a text inset stale, set its LastUpdate property to 0. UpdateTextInset() does not update graphic insets (FO_Inset objects).
Call this method on the text inset to be updated.
This method returns FE_Success if it succeeds or FE_SomeUnresolved if some text insets were unresolved. If UpdateTextInset() fails, it assigns one of the following values to FA_errno.
Error
Meaning
Constants.FE_BadDocId (-2)
Invalid document ID
Constants.FE_BadFileType (-83)
The inset specifies a file that does not match the import type (for example, the inset imports a binary document but the file is a text file or doesn’t exist)
Constants.FE_SomeUnresolved (-22)
Some text insets were unresolved
Constants.FE_WrongProduct (-60)
Product doesn’t support the specified operation
Constants.FE_SystemError (-42)
Couldn’t allocate memory

Return

TiApiClient Doc.NewAnchoredTiApiClient ([textloc: TextLoc])


Adobe FrameMaker-10 Object Model JS: TiFlow

Class

TiFlow

QuickLinks

 ConvertToText, Delete, DeletePropByName, DeleteTextInsetContents, GetProps, GetText, ObjectValid, SetProps, UpdateTextInset

Properties

Property | Type | Access | Description
ImportHint | string | readwrite | Record identifying the filter used to import the text. The FrameMaker product uses this record to find the filter to use when updating the inset.
LastUpdate | int | readwrite | Time when the inset was last updated, expressed in seconds since 1 January, 1970.
Name | string | readwrite | A name assigned to the inset by an FDK client. It is not automatically assigned by the FrameMaker product.
NextTiInDoc | FMObject | readonly | The ID of the next text inset in the list of text insets in the document (Constants.FO_TiApiClient (64), Constants.FO_TiText (62), Constants.FO_TiTextTable (63), or Constants.FO_TiFlow (61) ID ).
TextRange | TextRange | readonly | The text range, in the document containing the text inset, occupied by the text inset.
TiAutomaticUpdate | int | readwrite | True if the inset is updated automatically. TiAutomaticUpdate has no effect if the document’s DontUpdateTextInsets property is set to True.
TiFile | string | readwrite | Path of the source file.
TiFileModDate | string | readwrite | The modification date of the text inset’s source file.
TiFlowName | string | readwrite | The name of the imported flow if TiMainFlow is False.
TiFlowPageSpace | int | readwrite | The type of pages the imported flow is on: • Constants.FV_BODY_PAGE(0x00) • Constants.FV_REFERENCE_PAGE (0x02)
TiFormat | int | readwrite | Source of the imported text’s format: • Constants.FV_SourceDoc (0) - The text is formatted with formats from the source document. • Constants.FV_EnclosingDoc (1) - The text is formatted with formats from the document into which it is imported. • Constants.FV_PlainText (2) - The text is formatted as plain text.
TiLocked | int | readwrite | True if the inset is locked. To change an inset’s contents, you must unlock it. Always relock an inset after you have finished changing its contents.
TiMacEdition | int | readonly |
TiMainFlow | int | readwrite | True if the inset text is imported from the main flow of the source document.
TiRemoveOverrides | int | readwrite | True if format overrides are removed from the text when TiFormat is set to Constants.FV_EnclosingDoc(1).
TiRemovePageBreaks | int | readwrite | True if page breaks are removed from the text when TiFormat is set to Constants.FV_EnclosingDoc(1).
Unique | int | readonly | The text inset’s UID.

Methods

Instances

Void ConvertToText () This method is called upon a text inset (Examples: TiApiClient, TiFlow, TiText, TiTextTable) object and converts it to a text. This method deletes the text inset and removes the locked text range around it without modifying the content.

int Delete () The Delete() method is used to delete an object from a document. When you delete an object that contains another object, all child objects are also deleted with the parent object. For example, if you delete a frame, all objects within the frame are also deleted.
The Delete() method does not take any arguments.
The method returns FE_SUCCESS on success, else returns one of the following values in FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadDelete (-17)
Specified object could not be deleted.
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadParameter (-43)
Function call specified an invalid parameter.
Constants.FE_NotMenu (72)
Object is a menu item but the document to delete does not belong to the menu.

Void DeletePropByName ([propName: string]) Deletes an inset facet. Except for inset facets, all properties are identified by integer constants. Facets are the only properties identified by name.
If DeletePropByName() fails, the API assigns one of the following values to FA_errno:
Error
Meaning
Constants.FE_BadPropNum (-4)
Specified property number is invalid
Constants.FE_BadDocId (-2)
Invalid document ID
Constants.FE_BadObjId(-3)
Invalid object ID
Constants.FE_BadPropType (-5)
Incorrect property type for this function

Parameter | Type | Description
propName | string | The name of the property to delete (Optional)

Void DeleteTextInsetContents ()

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

string GetText ()

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)

Void UpdateTextInset ()


Adobe FrameMaker-10 Object Model JS: TiText

Class

TiText

QuickLinks

 ConvertToText, Delete, DeletePropByName, DeleteTextInsetContents, GetProps, GetText, ObjectValid, SetProps, UpdateTextInset

Properties

Property | Type | Access | Description
ImportHint | string | readwrite | Record identifying the filter used to import the text. The FrameMaker product uses this record to find the filter to use when updating the inset.
LastUpdate | int | readwrite | Time when the inset was last updated, expressed in seconds since 1 January, 1970.
Name | string | readwrite | A name assigned to the inset by an ESTK client. It is not automatically assigned by the FrameMaker product.
NextTiInDoc | FMObject | readonly | The ID of the next text inset in the list of text insets in the document (Constants.FO_TiApiClient (64), Constants.FO_TiText (62), Constants.FO_TiTextTable (63), or Constants.FO_TiFlow (61) ID ).
TextRange | TextRange | readonly | The text range, in the document containing the text inset, occupied by the text inset.
TiAutomaticUpdate | int | readwrite | True if the inset is updated automatically. TiAutomaticUpdate has no effect if the document’s DontUpdateTextInsets property is set to True.
TiEOLisEOP | int | readwrite | True if line ends in the imported text file are treated as paragraph ends.
TiFile | string | readwrite | Path of the source file.
TiFileModDate | string | readwrite | The modification date of the text inset’s source file.
TiLocked | int | readwrite | True if the inset is locked. To change an inset’s contents, you must unlock it. Always relock an inset after you have finished changing its contents.
TiMacEdition | int | readonly |
TiTextEncoding | string | readonly | The ImportHintString for the text inset. If this property is not set to Constants.FO_TiText (62) or Constants.FO_TiTextTable (63), the string is null.
Unique | int | readonly | The text inset’s UID.

Methods

Instances

Void ConvertToText () This method is called upon a text inset (Examples: TiApiClient, TiFlow, TiText, TiTextTable) object and converts it to a text. This method deletes the text inset and removes the locked text range around it without modifying the content.

int Delete () The Delete() method is used to delete an object from a document. When you delete an object that contains another object, all child objects are also deleted with the parent object. For example, if you delete a frame, all objects within the frame are also deleted.
The Delete() method does not take any arguments.
The method returns FE_SUCCESS on success, else returns one of the following values in FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadDelete (-17)
Specified object could not be deleted.
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadParameter (-43)
Function call specified an invalid parameter.
Constants.FE_NotMenu (72)
Object is a menu item but the document to delete does not belong to the menu.

Void DeletePropByName ([propName: string]) Deletes an inset facet. Except for inset facets, all properties are identified by integer constants. Facets are the only properties identified by name.
If DeletePropByName() fails, the API assigns one of the following values to FA_errno:
Error
Meaning
Constants.FE_BadPropNum (-4)
Specified property number is invalid
Constants.FE_BadDocId (-2)
Invalid document ID
Constants.FE_BadObjId(-3)
Invalid object ID
Constants.FE_BadPropType (-5)
Incorrect property type for this function

Parameter | Type | Description
propName | string | The name of the property to delete (Optional)

Void DeleteTextInsetContents ()

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

string GetText ()

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)

Void UpdateTextInset ()


Adobe FrameMaker-10 Object Model JS: TiTextTable

Class

TiTextTable

QuickLinks

 ConvertToText, Delete, DeletePropByName, DeleteTextInsetContents, GetProps, GetText, ObjectValid, SetProps, UpdateTextInset

Properties

Property | Type | Access | Description
ImportHint | string | readwrite | Record identifying the filter used to import the text. The FrameMaker product uses this record to find the filter to use when updating the inset.
LastUpdate | int | readwrite | Time when the inset was last updated, expressed in seconds since 1 January, 1970.
Name | string | readwrite | A name assigned to the inset by an FDK client. It is not automatically assigned by the FrameMaker product.
NextTiInDoc | FMObject | readonly | The ID of the next text inset in the list of text insets in the document (Constants.FO_TiApiClient (64), Constants.FO_TiText (62), Constants.FO_TiTextTable (63), or Constants.FO_TiFlow (61) ID ).
TextRange | TextRange | readonly | The text range, in the document containing the text inset, occupied by the text inset.
TiAutomaticUpdate | int | readwrite | True if the inset is updated automatically. TiAutomaticUpdate has no effect if the document’s DontUpdateTextInsets property is set to True.
TiByRows | int | readwrite | True if each paragraph in the imported text is converted to a row of table cells; False if each paragraph in the imported text is converted to a table cell.
TiFile | string | readwrite | Path of the source file.
TiFileModDate | string | readwrite | The modification date of the text inset’s source file.
TiHeadersEmpty | int | readwrite | True if the imported text is not used to fill the heading rows.
TiLocked | int | readwrite | True if the inset is locked. To change an inset’s contents, you must unlock it. Always relock an inset after you have finished changing its contents.
TiMacEdition | int | readonly |
TiNumCols | int | readwrite | If TiByRows is False, the number of columns in the table.
TiNumHeaderRows | int | readwrite | The number of heading rows in the table.
TiNumSeparators | int | readwrite | If TiSeparator specifies a space, the number of spaces used as a separator to parse the text into table cells.
TiSeparator | string | readwrite | If TiByRows is True, a string specifying a separator, such as a tab, used to parse the text into table cells.
TiTblTag | string | readwrite | The table format tag of the imported table
TiTextEncoding | string | readonly | The ImportHintString for the text inset. If this property is not set to Constants.FO_TiText (62) or Constants.FO_TiTextTable (63), the string is null.
Unique | int | readonly | The text inset’s UID.

Methods

Instances

Void ConvertToText () This method is called upon a text inset (Examples: TiApiClient, TiFlow, TiText, TiTextTable) object and converts it to a text. This method deletes the text inset and removes the locked text range around it without modifying the content.

int Delete () The Delete() method is used to delete an object from a document. When you delete an object that contains another object, all child objects are also deleted with the parent object. For example, if you delete a frame, all objects within the frame are also deleted.
The Delete() method does not take any arguments.
The method returns FE_SUCCESS on success, else returns one of the following values in FA_errno:
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadDelete (-17)
Specified object could not be deleted.
Constants.FE_BadOperation (-27)
Function call specified an illegal operation.
Constants.FE_BadParameter (-43)
Function call specified an invalid parameter.
Constants.FE_NotMenu (72)
Object is a menu item but the document to delete does not belong to the menu.

Void DeletePropByName ([propName: string]) Deletes an inset facet. Except for inset facets, all properties are identified by integer constants. Facets are the only properties identified by name.
If DeletePropByName() fails, the API assigns one of the following values to FA_errno:
Error
Meaning
Constants.FE_BadPropNum (-4)
Specified property number is invalid
Constants.FE_BadDocId (-2)
Invalid document ID
Constants.FE_BadObjId(-3)
Invalid object ID
Constants.FE_BadPropType (-5)
Incorrect property type for this function

Parameter | Type | Description
propName | string | The name of the property to delete (Optional)

Void DeleteTextInsetContents ()

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

string GetText ()

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)

Void UpdateTextInset ()


Adobe FrameMaker-10 Object Model JS: TypedVal

Class

TypedVal

Properties

Property | Type | Access | Description
adsval | AttributeDefs | readwrite | TBD
asval | Attribute | readwrite | TBD
csval | ElementCatalogEntries | readwrite | Element Catalog values.
isval | Ints | readwrite | Set of integers.
ival | int | readwrite | An integer.
msval | Metrics | readwrite | Set of metrics.
obj | any | readwrite | Set of objects.
psval | Points | readwrite | Set of points.
ssval | Strings | readwrite | Set of strings.
sval | string | readwrite | String value.
tlval | TextLoc | readwrite | Text location.
trval | TextRange | readwrite | Text range.
tsval | Tabs | readwrite | Set of tabs.
uisval | UInts | readwrite | Set of unsigned integers.
valType | int | readwrite | The type of value. See the following table.
valsval | TypedVals | readwrite | Set of TypedVal entries.

Element of

ElementDef.AlsoInserts

PropVal.propVal

Used in:

int CMSObject.CMSCheckin (checkinParam: TypedVal)

int CMSObject.CMSDelete (deleteParams: TypedVal)

Object CMSObject.CMSOpenFile (openParams: TypedVal)

Void Doc.SetTextVal ([textRange: TextRange][, propNum: int][, setVal: TypedVal])

PropVal PropVal.PropVal ([propIdent: PropIdent][, propVal: TypedVal])

number TypedVals.push ([value: TypedVal])

Void global.AppendVal (pv: PropVals, prop: int, val: TypedVal)

CMSConnection global.CMSLogin (setVal: TypedVal)

Return

TypedVal Doc.GetTextVal ([textLoc: TextLoc][, propNum: int])

TypedVal TypedVals.pop ()


Adobe FrameMaker-10 Object Model JS: TypedVals

Class

TypedVals

An Array of TypedVal objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

TypedVals concat ([value: TypedVals]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | TypedVals | Can also be arrays. (Optional)

TypedVal pop () Removes the last element from the array.

number push ([value: TypedVal]) Returns the new length of the array.

Parameter | Type | Description
value | TypedVal | The value to push into the array. (Optional)

Element of

TypedVal.valsval

Used in:

TypedVals TypedVals.concat ([value: TypedVals])

Return

TypedVals TypedVals.concat ([value: TypedVals])


Adobe FrameMaker-10 Object Model JS: UBytes

Class

UBytes

An Array of uint objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

UBytes concat ([value: UBytes]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | UBytes | Can also be arrays. (Optional)

uint pop () Removes the last element from the array.

number push ([value: uint]) Returns the new length of the array.

Parameter | Type | Description
value | uint | The value to push into the array. (Optional)

Used in:

Void Inset.SetUBytesByName ([propName: string][, setVal: UBytes])

UBytes UBytes.concat ([value: UBytes])

Return

UBytes Inset.GetUBytesByName ([propName: string])

UBytes UBytes.concat ([value: UBytes])


Adobe FrameMaker-10 Object Model JS: UInts

Class

UInts

An Array of uint objects with integer indexing and a length property.

QuickLinks

 concat, pop, push

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Instances

UInts concat ([value: UInts]) The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | UInts | Can also be arrays. (Optional)

uint pop () Removes the last element from the array.

number push ([value: uint]) Returns the new length of the array.

Parameter | Type | Description
value | uint | The value to push into the array. (Optional)

Element of

Book.ViewOnlyDeadCodes

Command.Fcodes

Doc.ViewOnlyDeadCodes

TypedVal.uisval

Used in:

UInts UInts.concat ([value: UInts])

Return

UInts UInts.concat ([value: UInts])


Adobe FrameMaker-10 Object Model JS: UnanchoredFrame

Class

UnanchoredFrame

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Angle | int | readwrite | Indicates the angle of rotation of the graphic object.
ArrowBaseAngle | int | readwrite | Denotes the arrowhead base angle in degrees.
ArrowLength | int | readwrite | Denotes the arrowhead length (always rounded down to the nearest 1/256 point).
ArrowScaleFactor | int | readwrite | Indicates the factor by which the arrowhead is scaled as line width changes (always rounded down to nearest 1/16 point). It is not used if the ArrowScaleHead property is False.
ArrowScaleHead | int | readwrite | Set to True if arrowhead is scaled as the line width changes. Set to False, otherwise.
ArrowTipAngle | int | readwrite | Denotes the arrowhead tip angle in degrees.
ArrowType | int | readwrite | Denotes the style of the arrowhead. Possible values are: • Constants.FV_ARROW_STICK (0x1) • Constants.FV_ARROW_HOLLOW (0x2) • Constants.FV_ARROW_FILLED (0x3)
BorderWidth | int | readwrite | Indicates the border width specified in points. The permissible range is 0.015 pt to 360 points.
Color | Color | readwrite | Denotes the spot color.
Dash | Metrics | readwrite | Specifies a dash pattern that is repeated for the length of an object's border. The pattern is stored in a MetricsT structure. The 0th element of the MetricsT.MetricsT_val array stores the length of the first dash; the 1st element stores the following space; the 2nd element stores the next dash; and so on for an even number of elements.
Fill | int | readwrite | Denotes the fill pattern (numbers between 0 and 15). Constants are provided for fill patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants.FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
FirstGraphicInFrame | FMObject | readonly | First object in the frame (backmost object).
FirstGraphicInFrame | FMObject | readonly | First object in the frame (backmost object).
FrameParent | FMObject | readwrite | Denotes the frame containing the graphic object.
GraphicCantBeSelected | int | readwrite | Set to True if the graphic object cannot be selected. Set to False, otherwise.
GraphicIsSelected | int | readwrite | Set to True, if the graphic object is selected. Else, set to False.
GroupParent | Group | readwrite | Specifies the group to which the object belongs. Note: Anchored frames do NOT have this property.
HeadArrow | int | readwrite | Set to True if the line has an arrow head. Set to False, otherwise.
Height | int | readwrite | Denotes the height of the object denoted in points. The permissible range is from 0.125 points to 3600 points.
LastGraphicInFrame | FMObject | readonly | Last object in the frame (frontmost object).
LastGraphicInFrame | FMObject | readonly | Last object in the frame (frontmost object).
LineCap | int | readwrite | Specifies the type of the end of the line. The possible values are: • Constants.FV_CAP_BUTT (0x00) • Constants.FV_CAP_ROUND (0x01) • Constants.FV_CAP_SQUARE (0x02)
LocX | int | readwrite | Specifies the distance of the object from the left side of the parent frame (in inches). The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the left side of the page frame. You cannot set this value manually for anchored frames.
LocY | int | readwrite | Distance of the object from the top of the parent frame (in inches) The permissible range is –216 inches to 216 inches. If the graphic object is an anchored frame, the distance is automatically calculated from the top of the page frame. You cannot set this value manually for anchored frames.
Name | string | readwrite | The name of the frame.
NextGraphicInDoc | FMObject | readonly | Denotes the next graphic object in the document.
NextGraphicInFrame | FMObject | readwrite | Denotes the next graphic object in the frame.
NextGraphicInGroup | FMObject | readonly | Denotes the next graphic object in the group.
NextSelectedGraphicInDoc | FMObject | readonly | Denotes the next selected graphic object in the document.
ObjectAttributes | Strings | readwrite | A list of strings. Each string expresses an attribute that is specified for an anchored frame in the Object Properties > Object Attributes dialog box. Each string is in the form of string_text.You can use the backslash to escape characters such as \n, \r, or \t for newline, carriage return, and tab, respectively. For a backslash character in the string text, type \\.
Overprint | int | readwrite | Specifies the overprint settings for the object. The possible values are: • Constants.FV_KNOCKOUT (0x00) • Constants.FV_OVERPRINT (0x01) • Constants.FV_FROMCOLOR (0x02)
PageFramePage | FMObject | readonly | The page that the unanchored frame belongs to, if the unanchored frame is a page frame. The page can be one of:FO_HiddenPage, FO_BodyPage, FO_MasterPage, or FO_RefPage ID.
Pen | int | readwrite | Specifies the pen pattern (numbers between 0 and 7). Constants are provided for pen patterns 0, 7 and 15, as follows: • Constants.FV_FILL_BLACK (0) • Constants. FV_FILL_WHITE (7) • Constants.FV_FILL_CLEAR (15)
PrevGraphicInFrame | FMObject | readwrite | Denotes the previous graphic object in the frame.
PrevGraphicInGroup | FMObject | readonly | Denotes the previous graphic object in the group.
Runaround | int | readwrite | Specifies whether text can flow around the object and, if so, whether the text follows the contour of the object or a box shape surrounding the object. The possible values are: • Constants.FV_TR_NONE (0x01) • Constants.FV_TR_CONTOUR (0x02) • Constants.FV_TR_BBOX (0x03)
RunaroundGap | int | readwrite | Denotes the width of the runaround gap, if the object is a runaround object.
TailArrow | int | readwrite | Set to True if the arrowhead is enabled at the begining of the line; Set to False otherwise.
TintPercent | int | readwrite | Specifies the tint percentage.
Unique | int | readonly | Indicates the graphic object's internal unique number.
Width | int | readwrite | Denotes the width of the object. The permissible range is from 0.125 points to 3600 points.

Methods

Instances

int Delete () Deletes the specified unanchored frame.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified unanchored frame.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the unanchored frame is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified unanchored frame.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

BodyPage.PageFrame

HiddenPage.PageFrame

MasterPage.PageFrame

RefPage.PageFrame

Return

UnanchoredFrame Doc.GetNamedUnanchoredFrame ([name: string])

UnanchoredFrame Doc.NewUnanchoredFrame ([parent: Any FrameMaker Graphic Object])


Adobe FrameMaker-10 Object Model JS: Var

Class

Var

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Element | Element | readonly | The element associated with the variable, if the variable is in a FrameMaker document.
Locked | int | readwrite | True if the variable is included in a text inset that gets its formatting from the source document. The variable is not affected by global formatting performed on the document.
NextVarInDoc | Var | readonly | Next variable instance (FO_Var ID) in the document.
TextRange | TextRange | readonly | The text range the variable instance encompasses.
Unique | int | readonly | The variable’s unique ID.
VarFmt | VarFmt | readwrite | The variable instance’s format (FO_VarFmt ID).

Methods

Instances

int Delete () Deletes the specified var object.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified var object.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the var object.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the var object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified var object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstVarInDoc

Var.NextVarInDoc

Return

Var Doc.NewAnchoredFormattedVar ([format: string][, textLoc: TextLoc])


Adobe FrameMaker-10 Object Model JS: VarFmt

Class

VarFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Fmt | string | readwrite | The variable format definition; the building blocks and text strings used to create a variable instance with the variable format.
Name | string | readwrite | The variable format’s name.
NextVarFmtInDoc | VarFmt | readonly | Next variable format (FO_VarFmt ID) in the document’s list of variable formats.
SystemVar | int | readonly | The variable format’s type. The following types specify system variable formats: • Constants.FV_VAR_CURRENT_PAGE_NUM (1) • Constants.FV_VAR_PAGE_COUNT (2) • Constants.FV_VAR_CURRENT_DATE_LONG (3) • Constants.FV_VAR_CURRENT_DATE_SHORT (4) • Constants.FV_VAR_MODIFICATION_DATE_LONG (5) • Constants.FV_VAR_MODIFICATION_DATE_SHORT (6) • Constants.FV_VAR_CREATION_DATE_LONG (7) • Constants.FV_VAR_CREATION_DATE_SHORT (8) • Constants.FV_VAR_FILE_NAME_LONG (9) • Constants.FV_VAR_FILE_NAME_SHORT (10) • Constants.FV_VAR_HEADER_FOOTER_1 (11) through Constants.FV_VAR_HEADER_FOOTER_4 (14) • Constants.FV_VAR_TABLE_CONTINUATION (15) • Constants.FV_VAR_TABLE_SHEET (16) • Constants.FV_VAR_HEADER_FOOTER_5 (19) through Constants.FV_VAR_HEADER_FOOTER_12 (26) The following type specifies user defined formats: Constants.FV_VAR_USER_VARIABLE (0) - A user defined variable format.

Methods

Instances

int Delete () Deletes the specified varfmt object.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified varfmt object.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the varfmt object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified var object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstVarFmtInDoc

Var.VarFmt

VarFmt.NextVarFmtInDoc

Return

VarFmt Doc.GetNamedVarFmt ([name: string])

VarFmt Doc.NewNamedVarFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: XRef

Class

XRef

QuickLinks

 Delete, GetProps, GetText, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Element | Element | readonly | The associated element, if the cross reference is in a FrameMaker document.
Locked | int | readwrite | True if the cross-reference is part of a text inset that retains formatting information from the source document. The cross-reference is not affected by global formatting performed on the document.
NextXRefInDoc | XRef | readonly | Next cross-reference instance in document (FO_XRef ID).
TextRange | TextRange | readonly | Text range that the cross-reference instance encompasses.
Unique | int | readonly | The cross-reference’s unique ID.
XRefAltText | string | readwrite | Alternate text for display as the cross-reference link text. This is given preference, if present, over the earlier behavior of getting text from the source.
XRefClientName | string | readwrite | The registered name of the client that created the cross-reference.
XRefClientType | string | readwrite | The identifier for specifying the source type for thecross-reference.
XRefFile | string | readwrite | The filename of the file containing the cross-reference source. If the cross-reference source is in the same document as the cross reference, the filename is an empty string ("").
XRefFmt | XRefFmt | readwrite | ID of the cross-reference’s format (FO_XrefFmt ID).
XRefIsUnresolved | int | readonly | True if FrameMaker was unable to resolve the cross-reference the last time it updated crossreferences. This property is set only when FrameMaker updates cross-references. Changes to the document, in and of themselves, do not affect this property.
XRefSrcElemNonUniqueId | string | readwrite | If XRefSrcIsElem is True, this is a string specifying the value of @id of the source element inside the element identified by the Unique ID in XRefSrcText. This is required in cases where the Id of the source element is not a Unique ID.
XRefSrcIsElem | int | readwrite | True if the cross-reference source is a FrameMaker structural element.
XRefSrcText | string | readwrite | If XRefSrcIsElem is False, the XRefSrcTex property is a string specifying UID:pgf_tag:text, where UID represents the unique ID for the paragraph, pgf_tag is the name of the paragraph format, and text is the text content of the paragraph.If XRefSrcIsElem is True, the XRefSrcTex property is a string specifying UID:src_name:text, where UID is the value of the ID attribute of the source element, name is the element tag, and text is text content of the source element.

Methods

Instances

int Delete () Deletes the specified XRef object.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified XRef object.
See GetProps under the AFrame class for more information.

TextItems GetText ([flags: int]) Gets the text from the XRef object.
See GetText under the Cell class for more information.

Parameter | Type | Description
flags | int | Denotes the various bit flags that specify the items to be retrieved. (Optional)

int ObjectValid () Returns True if the xref object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified XRef object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstXRefInDoc

XRef.NextXRefInDoc

Used in:

int Doc.UpdateXRef ([srcDoc: Doc][, xref: XRef])

Return

XRef Doc.NewAnchoredFormattedXRef ([format: string][, textLoc: TextLoc])


Adobe FrameMaker-10 Object Model JS: XRefFmt

Class

XRefFmt

QuickLinks

 Delete, GetProps, ObjectValid, SetProps

Properties

Property | Type | Access | Description
Fmt | string | readwrite | The cross-reference format (a string that specifies text and building blocks).
Name | string | readwrite | The cross-reference format’s name.
NextXRefFmtInDoc | XRefFmt | readonly | Denotes the next cross-reference format (FO_XRefFmt ID).

Methods

Instances

int Delete () Deletes the specified XRefFmt object.
See Delete under the AFrame class for more information.

PropVals GetProps () The GetProps() method retrieves the properties of the specified XRefFmt object.
See GetProps under the AFrame class for more information.

int ObjectValid () Returns True if the XRefFmt object is valid, else returns False.
See ObjectValid under the AFrame class for more information.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of the specified XRefFmt object.
See SetProps under the AFrame class for more information.

Parameter | Type | Description
setVal | PropVals | The property list. (Optional)

Element of

Doc.FirstXRefFmtInDoc

XRef.XRefFmt

XRefFmt.NextXRefFmtInDoc

Return

XRefFmt Doc.GetNamedXRefFmt ([name: string])

XRefFmt Doc.NewNamedXRefFmt ([name: string])


Adobe FrameMaker-10 Object Model JS: app

Class

app

QuickLinks

 Close, GetNamedBook, GetNamedCommand, GetNamedMenu, GetNamedMenuItemSeparator, GetNamedObject, GetProps, NewNamedBook, NewNamedCommand, NewNamedMenu, NewNamedMenuItemSeparator, NewNamedObject, ObjectValid, SetProps

Properties

Property | Type | Access | Description
ActiveBook | Book | readwrite | The book with input focus (FO_Book ID).
ActiveDoc | Doc | readwrite | The document with input focus (FO_Doc ID).
AddMarkerTypeToStandardMarkers | string | readwrite | The name of a marker type to add to the standard list of marker types. Use SetString() to set a marker type name to this property of the Constants.FV_SessionId(0).
AllowNewFileURL | bool | readwrite | When True, allows usage of file:/ and file: URLs for referring to a file.
ApplyFormatRules | int | readwrite | True if element reformatting is enabled.
AutoBackup | int | readwrite | True if Automatic Backup is enabled.
AutoSave | int | readwrite | True if Automatic Save is enabled.
AutoSaveSeconds | int | readwrite | Time between automatic saves in seconds (60 seconds to 10800 seconds).
BinDir | string | readonly | Directory path of $FMHOME/bin.
CurrentDir | string | readonly | Name of the directory from which the FrameMaker product was started
CurrentMenuSet | int | readwrite | Type of menu set. The value is one of: • Constants.FV_MENU_QUICK (1) • Constants.FV_MENU_COMPLETE (2) • Constants.FV_MENU_CUSTOM (3)
DisplayName | string | readonly | The name of the display on which the FrameMaker product session is running.
Displaying | int | readwrite | False if screen refresh is completely turned off.
DoNotExportInvalidXML | bool | readwrite | When True, FrameMaker does not save the XML on disk if there are validation errors during XML export.
DoNotGenerateErrorLog | int | readwrite | When True, the FrameMaker error log is not generated.
DoPostXSLTValidationOnExport | bool | readwrite | When True, during the XML Save, FrameMaker carries out validation of the XML created after Post-processing XSLT.
DocOpenClientEncounteredErrors | int | readwrite |
DontShowWelcomeScreen | bool | readwrite | True when FrameMaker is set not to show the Welcome screen.
EnableAutoSpellCheck | bool | readwrite | When True, Auto Spell Check is enabled.
FirstCommandInSession | Command | readwrite | First command in the list of commands in the session (FO_Command ID).
FirstMenuItemInSession | FMObject | readonly | First menu item or menu in the list of menus, menu items, and menu item separators in the session (Constants.FO_Command (56), Constants.FO_Menu (55), Constants.FO_MenuItemSeparator (57) ID).
FirstOpenBook | Book | readonly | First open book (FO_Book ID) in session.
FirstOpenDoc | Doc | readonly | First open document (FO_Doc ID) in session.
FontAngleNames | Strings | readonly | List of font angles available in the current session.
FontFamilyAttributes | Ints | readonly | An array of flags that indicate attributes for each font family listed by FontFamilyNames. This array of integers is indexed the same as the list of font family names, and corresponds directly to that list. Each Int is a packed field; the high order 16 bits indicate a surrogate font, and the low order bits indicate attributes for the font family. The flags, their mask values, and their meaning follow: • Constants.FV_FAMILY_VISIBLE (0x00000001) - Family is visible in menu. • Constants.FV_FAMILY_SELECTABLE (0x00000002) - Family can be selected in menu. • Constants.FV_FAMILY_MAPPED (0x00000004) - Family is always mapped to another family. • Constants.FV_FAMILY_SURROGATE (0xFFFF0000): The family mapped to, if Constants.FV_FAMILY_MAPPED (0x00000004) is True.
FontFamilyNames | Strings | readonly | List of font family names available in the current session. This list does not include combined fonts.
FontVariationNames | Strings | readonly | List of font variations available in the current session.
FontWeightNames | Strings | readonly | List of font weights available in the current session.
Gravity | int | readwrite | True if Gravity is turned on for the session.
GreekSize | int | readwrite | Size at which to greek text.
HelpDir | string | readonly | Path of the FrameMaker product help directory
HomeDir | string | readonly | Path of $FMHOME
HostName | string | readonly | Name of the host computer.
IconBarOn | int | readwrite | True if the four icons that appear on the upper-right side of the document window are on. Changing this property affects only the documents that are opened subsequently; it does not affect documents that are already open.
InitDir | string | readonly | Directory path of $FMHOME/fminit
InsetURL | bool | readwrite |
IsFMRunningInTrialPeriod | bool | readwrite |
IsIconified | int | readwrite | True if the FrameMaker product window is iconified.
IsInFront | int | readwrite | True if the FrameMaker product window is in front of other application windows. You can use this property to bring the FrameMaker product to the front or back.
IsOnScreen | int | readwrite | True if the FrameMaker product window is visible on the screen.
IsTechnicalSuiteLicensed | int | readonly |
Label | string | readwrite | The title in the FrameMaker product window title bar.
Language | int | readonly | Product language. The value is one of: • Constants.FV_LANG_NOLANGUAGE (0x00) • Constants.FV_LANG_ENGLISH (0x01) • Constants.FV_LANG_BRITISH (0x02) • Constants.FV_LANG_GERMAN (0x03) • Constants.FV_LANG_FRENCH (0x05) • Constants.FV_LANG_SPANISH (0x07) • Constants.FV_LANG_ITALIAN (0x09) • Constants.FV_LANG_SWEDISH (0x11) • Constants.FV_LANG_JAPANESE (0x12) • Constants.FV_LANG_TRADITIONAL_CHINESE (0x13) • Constants.FV_LANG_SIMPLIFIED_CHINESE (0x14) • Constants.FV_LANG_KOREAN (0x15)
MarkerNames | Strings | readonly | List of standard marker types for the current session. For versions prior to 5.5, this property returned the list of all marker types for the current session. In version 5.5, marker types are assigned to the document; use the MarkerTypeNames property of Constants.FO_Doc (4) to get the full list of marker types.
No3DInPDF | bool | readwrite | When True, the 3D objects in the generated PDF become 2-dimensional. When False, 3D objects get embedded in the PDF and do not become 2 dimensional. Default is False.
NoFlashInPDF | bool | readwrite | When True, the Flash content in the PDF becomes static. When False, Flash objects get embedded in the PDF and are playable. Default is False.
NoMultiMediaInPDF | bool | readwrite | When True, the Rich Media (audio and video) objects in the PDF become static. When False, Rich Media objects get embedded in the PDF and are playable. Default is False.
OpenAndSaveXmlBookComponentDoc | bool | readwrite |
OpenDir | string | readwrite | Directory in which FrameMaker is installed.
OperatingSystem | string | readonly |
Path | string | readonly | Path to search to start the FrameMaker product.
Platform | string | readonly | Name of the platform on which the current session is running.
ProcessNumber | int | readwrite |
ProductIsDemo | bool | readwrite | True if the current session is for a demo version of FrameMaker.
ProductIsStructured | bool | readwrite | True if FrameMaker is running in structured mode for the current session.
ProductName | string | readonly | The FrameMaker product name. The names for FrameMaker+SGML indicate FrameMaker running under the structured product interface. FrameViewer is retained for backward compatibility. Can be one of: • FrameMaker • FrameMaker+SGML • FrameViewer • DemoMaker • DemoMaker+SGML
Reformatting | int | readwrite | True if reformatting is enabled.
RememberMissingFontNames | int | readwrite | True if Remember Missing Font Names is activated.
RemoveExtraWhiteSpacesOnXMLImport | bool | readwrite | When True, the extra while spaces are removed while importing XML.
RpcProgramNumber | int | readwrite |
RpcPropertyName | string | readwrite |
ScreenHeight | int | readwrite | Height of the FrameMaker product window in pixels.
ScreenWidth | int | readwrite | Width of the FrameMaker product window in pixels.
ScreenX | int | readwrite | The offset of the FrameMaker product window in pixels from the left side of the screen. If you set a value that would result in the product window being off the screen, that value is ignored and the old value is retained.
ScreenY | int | readwrite | The offset of the FrameMaker product window in pixels from the top of the screen. If you set a value that would result in the product window being off the screen, that value is ignored and the old value is retained.
SgmlDir | string | readonly | Directory path of $FMHOME/structure/sgml.
Snap | int | readwrite | True if Snap is turned on for the session.
StackWarningLevel | int | readwrite |
StructureDir | string | readonly | Directory path of $FMHOME/structure.
SuppressXMLParserWarnings | bool | readwrite | When True, the warning messages about duplicate declarations in DTD/Schema do not appear in the FrameMaker log.
TechSuiteInternal | int | readwrite |
TmpDir | string | readonly | Path of the temporary directory for internal FrameMaker product processes; the directory specified by the DOS $TEMP environment variable.
UndoFDKRecording | bool | readwrite |
UserHomeDir | string | readonly |
UserLogin | string | readonly | User login name.
UserName | string | readonly | User name.
Validating | int | readwrite | True if validation is enabled (FrameMaker only).
VersionMajor | int | readonly | Frame version number (before the decimal).
VersionMinor | int | readonly | Frame version number (after the decimal).
VersionRevision | int | readonly |
WindowSystem | string | readonly | Name of window system that the FrameMaker product is running under.
XmlDir | string | readonly | Directory path of $FMHOME/structure/xml.
XmlIsBook | bool | readwrite |

Methods

Instances

int Close ([flags: int]) Closes a document, book, dialog box, or Frame session.
The flags parameter specifies whether to abort or to close open documents or books if they have unsaved changes. Set the Constants.FF_CLOSE_MODIFIED flag to True (1) to close open documents and books regardless of their state.
The method sets FE_Success on success. On failure, the method assigns the following value to FA_errno:
Error
Reason
Constants.FE_DocModified (-8)
The document was modified and the flags parameter was set to 0.

Parameter | Type | Description
flags | int | The Close() method closes the document or book. Flags specify whether to abort or to close open documents or books if they have unsaved changes. Set the FF_CLOSE_MODIFIED flag to True (1) to close open documents and books regardless of their state. (Optional)

Book GetNamedBook ([name: string]) Gets the book object with a specified name.
If this method fails, the API assigns the following value to FA_errno.
Error
Meaning
Constants.FE_NameNotFound (-20)
The book with the specified name does not exist.

Parameter | Type | Description
name | string | The name of the book object you want to get. (Optional)

Command GetNamedCommand ([name: string]) Gets a FO_command object with the specified command string.
If this method fails, the API assigns the following value to FA_errno.
Error
Meaning
Constants.FE_NameNotFound (-20)
The object with the specified name does not exist.

Parameter | Type | Description
name | string | The name of the command object you want to get. (Optional)

Menu GetNamedMenu ([name: string]) Gets a menu object with the specified menu string.
If this method fails, the API assigns the following value to FA_errno.
Error
Meaning
Constants.FE_NameNotFound (-20)
A menu with the specified name does not exist.

Parameter | Type | Description
name | string | The name of the menu object you want to get. (Optional)

MenuItemSeparator GetNamedMenuItemSeparator ([name: string]) Gets a menu item separator object with the specified menu item separator string.
If this method fails, the API assigns the following value to FA_errno.
Error
Meaning
Constants.FE_NameNotFound (-20)
A menu item separator with the specified name does not exist.

Parameter | Type | Description
name | string | The name of the menu item separator you want to get. (Optional)

Object GetNamedObject ([objType: int][, name: string]) Gets the object with a specified name (Name property) and object type.
If an error occurs, this method returns the the object, or 0. If this method fails, the API assigns one of the following values to FA_errno:Error
Meaning
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_TypeUnNamed (-19)
Objects of the specified type do not have names.
Constants.FE_NameNotFound (-20)
Object with the specified name and type does not exist in the specified document.

Parameter | Type | Description
objType | int | Type of the object to get. (Optional)
name | string | Name of the object to get. (Optional)

PropVals GetProps () The GetProps() method retrieves the complete property list for a specified object.
The GetProps() method takes no arguments.
The method returns a PropVals object that contains an array of property-value pairs, on success.
The returned PropVals object references memory that is allocated by the API. Use the DeallocatePropVals() method to free this memory when you are done with it
If the GetProps() method fails, it sets the len field of the returned structure to 0 and assigns one of the following values to FA_errno.
Error
Reason
Constants.FE_BadDocId (-2)
Invalid document.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_WrongProduct (-60)
Current FrameMaker version does not support the specified operation.

Book NewNamedBook ([name: string]) Creates a new book objects and returns it.
If this method fails, the API assigns one of the following values to FA_errno.
Error
Meaning
FE_BadName(-33)
Specified name is invalid.
FE_BadNew (-23)
Object cannot be created.
FE_DupName(-32)
Specified name for the new object belongs to an existing object.

Parameter | Type | Description
name | string | The name of the book object to create. (Optional)

Command NewNamedCommand ([name: string]) Creates a new command object and returns it
If this method fails, the API assigns one of the following values to FA_errno.
Error
Meaning
FE_BadName(-33)
Specified name is invalid.
FE_BadNew (-23)
Command cannot be created.
FE_DupName(-32)
Specified name for the new command belongs to an existing command.

Parameter | Type | Description
name | string | Name of the new command object to create. (Optional)

Menu NewNamedMenu ([name: string]) Creates a menu object with the specified name and returns it
If this method fails, the API assigns one of the following values to FA_errno.
Error
Meaning
FE_BadName(-33)
Specified name is invalid.
FE_BadNew (-23)
Menu cannot be created.
FE_DupName(-32)
Specified name for the new menu belongs to an existing menu.

Parameter | Type | Description
name | string | Name of the menu object to create. (Optional)

MenuItemSeparator NewNamedMenuItemSeparator ([name: string]) Creates a new menu item separator with the specified name and returns it
If this method fails, the API assigns one of the following values to FA_errno.
Error
Meaning
FE_BadName(-33)
Specified name is invalid.
FE_BadNew (-23)
Menu item separator cannot be created.
FE_DupName(-32)
Specified name for the new menu item separator belongs to an existing menu item separator.

Parameter | Type | Description
name | string | Name of the new menu item separator object. (Optional)

Object NewNamedObject ([objType: int][, name: string]) Creates a new objects and returns it.
If this method fails, the API assigns one of the following values to FA_errno.
Error
Meaning
FE_BadName(-33)
Specified name for the new object is invalid.
FE_BadNew (-23)
Object cannot be created.
FE_DupName(-32)
Specified name for the new object belongs to an existing object.

Parameter | Type | Description
objType | int | The type of the object you want to create. (Optional)
name | string | The name of the object you want to create. (Optional)

int ObjectValid () Indicates whether an object is valid or not.
The method does not take any arguments.
The method returns True if the object is valid, else returns False.

Void SetProps ([setVal: PropVals]) The SetProps() method sets the properties of a specified object.
The method takes one argument - An array containing the values of the object to be set.
The method does not return anything on success.
On failure, the method returns one of the following values to FA_errno:
Error
Reason
Constants.FE_BadDocId(-2)
Invalid document.
Constants.FE_BadName (-33)
Specified name is illegal.
Constants.FE_BadNewFrame (-14)
The method cannot move the specified object to this frame.
Constants.FE_BadNewGroup (-15)
The API cannot move the specified object to this graphic object group (FO_Group).
Constants.FE_BadNewSibling (-16)
Object cannot be made a sibling of the specified object.
Constants.FE_BadObjId (-3)
Invalid object.
Constants.FE_BadPropNum (-4)
Specified property number is invalid.
Constants.FE_BadPropType (-5)
Incorrect property type for this function.
Constants.FE_BadRange (-36)
Specified text range is invalid.
Constants.FE_CantSmooth (-38)
Object cannot be smoothed.
Constants.FE_DupName (-32)
Property cannot be set to this name because it is already used by another object.
Constants.FE_GenRuleAmbiguous (-55)
General rule in structured document is ambiguous.
Constants.FE_GenRuleConnectorExpected (-57)
General rule in structured document is missing a connector.
Constants.FE_GenRuleItemExpected (-51)
General rule in structured document is missing a rule item.
Constants.FE_GenRuleLeftBracketExpected (-53)
General rule in structured document is missing a left bracket.
Constants.FE_GenRuleMixedConnectors (-52)
General rule in structured document has mixed connectors.
Constants.FE_GenRuleRightBracketExpected (-54)
General rule in structured document is missing a right bracket.
Constants.FE_GenRuleSyntaxError (-56)
General rule in structured document has a syntax error.
Constants.FE_GroupSelect (-9)
The API cannot select or deselect an object in the specified group.
Constants.FE_HiddenPage (-40)
The specified value must be a hidden page (FO_HiddenPage).
Constants.FE_InvContextSpec ()
The API encountered an invalid context specification in a FrameMaker document.
Constants.FE_NotBookComponent (-26)
The specified value must be a book component (FO_BookComponent).
Constants.FE_NotFrame (-12)
The specified value must be a frame.
Constants.FE_NotGraphic (-11)
The specified value must be a graphic object.
Constants.FE_NotGroup (-13)
The specified value must be a graphic object group (FO_Group).
Constants.FE_NotTextFrame (-39)
The specified value must be a text column (FO_TextFrame).
Constants.FE_NotTextObject (-41)
The specified object must be a text object, such as a paragraph (FO_Pgf) or a flow (FO_Flow).
Constants.FE_OffsetNotFound (-21)
Offset specified for the text location could not be found in the specified paragraph or text line.
Constants.FE_OutOfRange (-7)
Specified property value is out of the legal range for the specified property.
Constants.FE_PageFrame (-37)
The specified value must be a page frame object (FO_UnanchoredFrame).
Constants.FE_ReadOnly (-6)
Property is read-only.
Constants.FE_WithinFrame (-10)
The specified object must first be moved to a different frame.
Constants.FE_WrongProduct (-60)
The current FrameMaker version does not support this operation.

Parameter | Type | Description
setVal | PropVals | The property list (Optional)


Adobe FrameMaker-10 Object Model JS: Table of Contents, JavaScript Base Classes

Adobe FrameMaker-10 Object Model

Contents

JavaScript Base Classes

Basic JavaScript programming starts here.

Adobe FrameMaker-10.0

JavaScript Base Classes

ScriptUI Classes

$

Array

Boolean

Date

Error

File

Folder

Function

Global Elements

Math (Base)

Namespace

Number

Object

QName

Reflection

ReflectionInfo

RegExp

Socket

String

UnitValue

XML

XMLList


Adobe FrameMaker-10 Object Model JS: $

Class

$

The $ object provides a number of debugging facilities and informational methods.

QuickLinks

 about, bp, colorPicker, evalFile, gc, getenv, setenv, sleep, toString, write, writeln

Class

Property | Type | Access | Description
build | string | readonly | The ExtendScript build information.
buildDate | Date | readonly | The ExtendScript build date.
decimalPoint | string | r/w | The character used as the decimal point character in formatted numeric output.
engineName | string | readonly | The name of the current ExtendScript engine, if set.
error Error r/w The most recent run-time error information.
Assigning error text to this property generates a run-time error; however, the preferred way to generate a run-time error is to throw an Error object.
fileName | string | readonly | The file name of the current script.
flags number r/w Gets or sets low-level debug output flags.
A logical AND of bit flag values:
• 0x0002 (2): Displays each line with its line number as it is executed.
• 0x0040 (64): Enables excessive garbage collection. Usually, garbage collection starts when the number of objects has increased by a certain amount since the last garbage collection. This flag causes ExtendScript to garbage collect after almost every statement. This impairs performance severely, but is useful when you suspect that an object gets released too soon.
• 0x0080 (128): Displays all calls with their arguments and the return value.
• 0x0100 (256): Enables extended error handling (see strict).
• 0x0200 (512): Enables the localization feature of the toString method. Equivalent to the localize property.
global | Object | readonly | A reference to the global object, which contains the JavaScript global namespace.
hiresTimer | number | readonly | A high-resolution timer, measuring the time in microseconds. The timer starts when ExtendScript is initialized during the application startup sequence. Every read access resets the timer to Zero.
includePath | string | readonly | The path for include files for the current script.
level number r/w The current debugging level, which enables or disables the JavaScript debugger.
One of 0 (no debugging), 1 (break on runtime errors), or 2 (full debug mode).
line | number | readonly | The current line number of the currently executing script.
locale string r/w Gets or sets the current locale.
The string contains five characters in the form LL_RR, where LL is an ISO 639 language specifier, and RR is an ISO 3166 region specifier.
Initially, this is the value that the application or the platform returns for the current user. You can set it to temporarily change the locale for testing. To return to the application or platform setting, set to undefined, null, or the empty string.
localize | bool | r/w | Set to true to enable the extended localization features of the built-in toString() method.
memCache | number | r/w | The ExtendScript memory cache size, in bytes.
os string readonly The current operating system version information.
Example $.os
Result: Windows XP 5.1 Service Pack 2
screens Array of Object readonly An array of objects containing information about the display screens attached to your computer.
Each object has the properties left, top, right, bottom, which contain the four corners of each screen in global coordinates.
A property primary is true if that object describes the primary display.
stack | string | readonly | The current stack trace.
strict any r/w Sets or clears strict mode for object modification.
When true, any attempt to write to a read-only property causes a runtime error. Some objects do not permit the creation of new properties when true.
version string readonly The version number of the ExtendScript engine.
Formatted as a three-part number and description; for example: "3.92.95 (debug)".

Methods

string about ()
Shows an About box for the ExtendScript component, and returns the text for the box.

void bp ([condition: any])
Breaks execution at the current position.

Parameter | Type | Description
condition | any | A string containing a JavaScript statement to be used as a condition. If the statement evaluates to true or nonzero when this point is reached, execution stops. (Optional)

number colorPicker (color: number)
Invokes the platform-specific color selection dialog, and returns the selected color.

Parameter | Type | Description
color | number | The color to be preselected in the dialog, as 0xRRGGBB, or -1 for the platform default.

any evalFile (file: File[, timeout: number=10000])
Loads and evaluates a file.

Parameter | Type | Description
file | File | The file to load.
timeout | number | An optional timeout in milliseconds. (default: 10000) (Optional)

void gc ()
Initiates garbage collection in the ExtendScript engine.

string getenv (name: string)
Retrieves the value of an environment variable.

Parameter | Type | Description
name | string | The name of the variable.

void setenv (name: string, value: string)
Sets the value of an environment variable.

Parameter | Type | Description
name | string | The name of the variable.
value | string | The value of the variable.

void sleep (msecs: number)
Suspends the calling thread for a number of milliseconds.
During a sleep period, checks at 100 millisecond intervals to see whether the sleep should be terminated. This can happen if there is a break request, or if the script timeout has expired.

Parameter | Type | Description
msecs | number | Number of milliseconds to sleep.

string toString ()
Converts this object to a string.

void write (text: any)
Prints text to the Console.

Parameter | Type | Description
text | any | The text to print. All arguments are concatenated.

void writeln (text: any)
Prints text to the Console, and adds a newline character.

Parameter | Type | Description
text | any | The text to print. All arguments are concatenated.


Adobe FrameMaker-10 Object Model JS: Array

Class

Array

An array with integer indexing and a length property.

QuickLinks

 Array, concat, join, pop, push, reverse, shift, slice, sort, splice, toLocaleString, toSource, toString, unshift

Properties

Property | Type | Access | Description
length | number | r/w | The length of the array

Methods

Constructor

Array Array (length: number[, element: any])
Creates and returns a new array.
Takes any number of parameters, which become the elements of the array, or a single value which becomes the length of an empty array. Note that you cannot create a one-element array, as the single parameter value is interpreted as the length. Returns the new array.

Parameter | Type | Description
length | number | If no other parameters are passed, the initial length of the empty array. Otherwise, the first element.
element | any | If there is more than one parameter, the array is initialized with the given parameters. (Optional)

Example new Array()
new Array (length)
new Array (11, 22, 33, 44)

Instances

Array concat (value: any)
Returns a new array created by concatenating the given values to the end of the original array.
The original array is unchanged. If an array is provided as a parameter to concat(), each of its elements are appended as separate array elements at the end of the new array. Returns a new array, the result of concatenation the given values to the end of the original array.

Parameter | Type | Description
value | any | Any number of values to be added to the end of the array. Can also be arrays.

Example array.concat(value1,...valueN)

string join ([delimiter: string])
Joins all elements of the array into a string; optionally, each element is separated by delimiter.
Returns the string containing the joined elements and delimiters.

Parameter | Type | Description
delimiter | string | A string used to separate each element of the array. If omitted, the array elements are separated with a comma. (Optional)

Example array.join(delimiter)

any pop ()
Removes the last element from the array, decreases the length by 1, and returns the value of the element.
Returns the value of the deleted array element.

Example array.pop()

number push (value: number)
Places one or more values onto the end of the array and increases length by n.
Returns the new length of the array.

Parameter | Type | Description
value | number | Any number of values to be pushed onto the end of the array.

Example array.push(value1,...valueN)

Array reverse ()
Reverses the order of the elements in the array.
Returns the reversed array.

Example array.reverse()

any shift ()
Removes the first element from the array, decreases the length by 1, and returns the value of the element.
Returns the value of the deleted array element.

Example array.shift()

Array slice ()
Creates a new array, which contains a subset of the original array's elements.
The slice begins with the index start, and continues up to, but not including the index, end. If start or end is a negative number, the indexed is resolved counting backwards from the end of the array resulting in the element array[array. length + negativeIndex]. Returns a new array containing elements array[start] through array[end-1].

Example array.slice(start, end)

void sort (userFunction: Function)
Sorts the elements of the array in place, using the given function to compare to elements.
If no function is provided, the elements are sorted alphabetically. Returns no return value.

Parameter | Type | Description
userFunction | Function | A user-supplied function of the form userFunction(a, b) which returns less than 0 if a is greater than b, 0 if a and b are equal, and greater than 0 if b is greater than a.

Example array.sort(userFunction)

Array splice (start: number[, num: number][, value: any])
Removes num elements from the array beginning with index, start.
Optionally insert new elements beginning at index start. To ensure contiguity, elements are moved up to fill in any gaps. Returns a new array containing any elements deleted from the original array.

Parameter | Type | Description
start | number | The index of the first element to remove. Negative values are relative to the end of the array.
num | number | The number of array elements to remove, including start. If omitted, all elements from array index start to the end of the array are removed. (Optional)
value | any | A list of one or more values to be added to the array starting at index start. Must specify a value for num, to use this argument. (Optional)

Example array.splice(start, num, value1, ...valuen)

string toLocaleString ()
Converts an array to a string and returns the string (localized).

string toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with built-in classes.

string toString ()
Converts an array to a string and returns the string.
Yields the same result as array. join() when called without a parameter. Returns a comma-separated list of all the elements of the array.

Example array.toString()

number unshift (value: any)
Adds one or more elements to the beginning of the array.
Returns the new array length.

Parameter | Type | Description
value | any | The values of one or more elements to be added to the beginning of the array.

Example array.unshift(value1,...valuen)

Element of

ListItem.subItems

Used in:

any Function.apply (thisObj: Object, args: Array)

Return

Array Array.Array (length: number[, element: any])

Array Array.concat (value: any)

Array Array.reverse ()

Array Array.slice ()

Array Array.splice (start: number[, num: number][, value: any])

Array Folder.getFiles (mask: any)

Array RegExp.exec (text: string)

Array String.match (regexp: RegExp)

Array XML.inScopeNamespaces ()

Array XML.namespaceDeclarations ()


Adobe FrameMaker-10 Object Model JS: Boolean

Class

Boolean

Wraps a Boolean value.

QuickLinks

 Boolean, toSource, toString, valueOf

Methods

Constructor

bool Boolean (value: any)
Creates and returns a new Boolean object set to the value of the argument converted to a boolean.

Parameter | Type | Description
value | any | The value to be converted to a Boolean.

Example new Boolean(value)

Instances

string toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with built-in classes.

string toString ()
Returns the string representation of the value of bool.
The method returns the string true if the primitive value of bool is true; otherwise it returns the string false.

Example bool.toString()

bool valueOf ()
Returns the primitive value of bool.
The method returns true if the primitive value of bool is true; otherwise it returns false.

Example bool.valueOf()

Element of

Button.active

Button.enabled

Button.visible

Checkbox.active

Checkbox.enabled

Checkbox.value

Checkbox.visible

DrawState.altKeyPressed

DrawState.capsLockKeyPressed

DrawState.cmdKeyPressed

DrawState.ctrlKeyPressed

DrawState.hasFocus

DrawState.leftButtonPressed

DrawState.middleButtonPressed

DrawState.mouseOver

DrawState.numLockKeyPressed

DrawState.optKeyPressed

DrawState.rightButtonPressed

DrawState.shiftKeyPressed

DropDownList.active

DropDownList.enabled

DropDownList.visible

EditText.active

EditText.enabled

EditText.visible

Event.bubbles

Event.cancelable

Event.captures

Event.currentTarget

FlashPlayer.active

FlashPlayer.enabled

FlashPlayer.visible

Group.enabled

Group.visible

IconButton.active

IconButton.enabled

IconButton.visible

KeyboardState.altKey

KeyboardState.ctrlKey

KeyboardState.metaKey

KeyboardState.shiftKey

ListBox.active

ListBox.enabled

ListBox.visible

ListItem.checked

ListItem.expanded

ListItem.selected

Panel.enabled

Panel.visible

Progressbar.enabled

Progressbar.visible

RadioButton.active

RadioButton.enabled

RadioButton.value

RadioButton.visible

Scrollbar.active

Scrollbar.enabled

Scrollbar.visible

Slider.active

Slider.enabled

Slider.visible

StaticText.active

StaticText.enabled

StaticText.visible

TreeView.active

TreeView.enabled

TreeView.visible

UIEvent.bubbles

UIEvent.cancelable

UIEvent.captures

UIEvent.currentTarget

Window.active

Window.enabled

Window.maximized

Window.minimized

Window.visible

Used in:

Boolean Button.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Button.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean DropDownList.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean DropDownList.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean FlashPlayer.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void FlashPlayer.playMovie ([rewind: Boolean=false])

Boolean FlashPlayer.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean ListBox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean ListBox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Panel.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Panel.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Scrollbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Scrollbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean TreeView.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean TreeView.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

UIEvent UIEvent.UIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

void UIEvent.initEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, cancelable: Boolean=false])

void UIEvent.initUIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

Boolean Window.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Window.alert (message: String[, title: String][, errorIcon: Boolean=false])

Boolean Window.confirm (message: String[, noAsDefault: Boolean=false][, title: String])

Boolean Window.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Return

Boolean Button (SUI).addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Button (SUI).removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean DropDownList.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean DropDownList.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean FlashPlayer.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean FlashPlayer.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group (SUI).addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group (SUI).removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean ListBox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean ListBox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Panel (SUI).addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Panel (SUI).removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Scrollbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Scrollbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText (SUI).addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText (SUI).removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean TreeView.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean TreeView.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Window (SUI).addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Window (SUI).confirm (message: String[, noAsDefault: Boolean=false][, title: String])

Boolean Window (SUI).onClose ()

Boolean Window (SUI).removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])


Adobe FrameMaker-10 Object Model JS: Date

Class

Date

A date/time object.

QuickLinks

 Date, UTC, getDate, getDay, getFullYear, getHours, getMilliseconds, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getUTCDate, getUTCDay, getUTCFullYear, getUTCHours, getUTCMilliseconds, getUTCMinutes, getUTCMonth, getUTCSeconds, getYear, parse, setDate, setFullYear, setHours, setMilliseconds, setMinutes, setMonth, setSeconds, setTime, setUTCDate, setUTCFullYear, setUTCHours, setUTCMilliseconds, setUTCMinutes, setUTCMonth, setUTCSeconds, setYear, toDateString, toGMTString, toLocaleDateString, toLocaleString, toLocaleTimeString, toSource, toString, toTimeString, toUTCString, valueOf

Methods

Constructor

Date Date (year:
number[, month:
number=0][, day:
number=0][, hours:
number=0][, min:
number=0][, sec:
number=0][, ms:
number=0])
Returns a new Date object holding the current date and time.
If parameters are supplied, returns a new Date object holding the supplied date and time.

Parameter | Type | Description
year | number | The year expressed in four digits.
month | number (range: 0 - 11) | An integer value from 0 (Jan) to 11 (Dec). (default: 0) (Optional)
day | number (range: 1 - 31) | An integer value from 1 to 31, If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
hours | number (range: 0 - 23) | An integer value from 0 (midnight) to 23 (11 PM). If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
min | number (range: 0 - 59) | An integer value from 0 to 59. If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
sec | number (range: 0 - 59) | An Integer value from 0 to 59. If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
ms | number (range: 0 - 999) | An integer value from 0 to 999. If this argument is not supplied, its value is set to 0. (default: 0) (Optional)

Example new Date()
new Date (2006, 9, 25, 15, 30)

Class

Date UTC (year:
number[, month:
number=0][, day:
number=0][, hours:
number=0][, min:
number=0][, sec:
number=0][, ms:
number=0])
Returns the number of milliseconds between midnight January 1, 1970, UTC, and the specified time.

Parameter | Type | Description
year | number | The year expressed in four digits, for example, 2001. To indicate for a year from 1900 to 1999, you can specify a value from 0 to 99.
month | number (range: 0 - 11) | An integer value from 0 (Jan) to 11 (Dec). (default: 0) (Optional)
day | number (range: 1 - 31) | An integer value from 1 to 31, If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
hours | number (range: 0 - 23) | An integer value from 0 (midnight) to 23 (11 PM). If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
min | number (range: 0 - 59) | An integer value from 0 to 59. If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
sec | number (range: 0 - 59) | An Integer value from 0 to 59. If this argument is not supplied, its value is set to 0. (default: 0) (Optional)
ms | number (range: 0 - 999) | An integer value from 0 to 999. If this argument is not supplied, its value is set to 0. (default: 0) (Optional)

Example Date.UTC(year , month, date, hour, min, sec, ms)

Date parse (text: string)
Parses a string, returning a new Date object. The string should be similar to the string returned bt toString().

Parameter | Type | Description
text | string | The string to parse.

Instances

number getDate ()
Returns the day of the month of the specified Date object in local time. Range: 1 - 31

Example date.getDate()

number getDay ()
Returns the day of the week for the specified Date object in local time.
This is an integer from 0 (Sunday) to 6 (Saturday). Returns the day of the week for date. Range: 0 - 6

Example date.getDay()

number getFullYear ()
Returns the four digit year of the specified Date object in local time.

Example date.getFullYear()

number getHours ()
Returns the hour of the specified Date object in local time. Range: 0 - 23

Example date.getHours()

number getMilliseconds ()
Returns the milliseconds of the specified Date object in local time. Range: 0 - 999

Example date.getMilliseconds()

number getMinutes ()
Returns the minutes of the specified Date object in local time. Range: 0 - 59

Example date.getMinutes()

number getMonth ()
Returns the month of the specified Date object in local time. Range: 0 - 11

Example date.getMonth()

number getSeconds ()
Returns the seconds of the specified Date object in local time. Range: 0 - 59

Example date.getSeconds()

number getTime ()
Returns the number of milliseconds since midnight January 1,1970 UTC for the specified Date object.

Example date.getTime()

number getTimezoneOffset ()
Returns the difference in minutes between the computer's local time and UTC.

Example date.getTimezoneOffset()

number getUTCDate ()
Returns the day of the month of the specified Date object according to UTC. Range: 1 - 31

Example date.getUTCDate()

number getUTCDay ()
Returns the day of the week for the specified Date object according to UTC. Range: 0 - 6

Example date.getUTCDay()

number getUTCFullYear ()
Returns the four digit year of the specified Date object according to UTC.

Example date.getUTCFullYear()

number getUTCHours ()
Returns the hour of the specified Date object according to UTC. Range: 0 - 23

Example date.getUTCHours()

number getUTCMilliseconds ()
Returns the milliseconds of the specified Date object according to UTC. Range: 0 - 999

Example date.getUTCMilliseconds()

number getUTCMinutes ()
Returns the minutes of the specified Date object according to UTC. Range: 0 - 59

Example date.getUTCMinutes()

number getUTCMonth ()
Returns the month of the specified Date object according to UTC. Range: 0 - 11

Example date.getUTCMonth()

number getUTCSeconds ()
Returns the seconds of the specified Date object according to UTC. Range: 0 - 59

Example date.getUTCSeconds()

number getYear ()
Returns the year of the specified Date object, as a difference from 1900, in local time.

Example date.getYear()

number setDate (date: number)
Sets the day of the month of a specified Date object according to local time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
date | number (range: 1 - 31) | An integer from 1 to 31 indicating the day of the month.

Example date.setDate(date)

number setFullYear (year: number)
Sets the year of a specified Date object according to local time.
This method can also set month and date if those arguments are specified. Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
year | number | A four-digit integer value indicating the year to set.

Example date.setFullYear(year, month, date)

number setHours (hour: number)
Sets the hours of a specified Date object according to local time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
hour | number (range: 0 - 23) | An integer value from 0 (midnight) to 23 (11 PM).

Example date.setHours(hour)

number setMilliseconds (ms: number)
Sets the milliseconds of a specified Date object according to local time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
ms | number (range: 0 - 999) | An integer value from 0 to 999.

Example date.setMilliseconds(ms)

number setMinutes (minutes: number)
Sets the minutes of a specified Date object according to local time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
minutes | number (range: 0 - 59) | An integer value from 0 to 59.

Example date.setMinutes(minutes)

number setMonth (month: number)
Sets the month of a specified Date object according to local time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
month | number (range: 0 - 11) | An integer value from 0 (Jan) to 11 (Dec).

Example date.setMonth(month)

number setSeconds (seconds: number)
Sets the seconds of a specified Date object according to local time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970.

Parameter | Type | Description
seconds | number (range: 0 - 59) | An integer value from 0 to 59.

Example date.setSeconds(seconds)

number setTime (ms: number)
Sets the date of a specified Date object in milliseconds since midnight, January 1, 1970.
Returns the value of ms.

Parameter | Type | Description
ms | number | An integer indicating the number of milliseconds between the date set and midnight, January 1, 1970.

Example date.setTime(ms)

number setUTCDate (date: number)
Sets the date of a specified Date object according to universal time.
Returns the number of milliseconds between the new date and midnight, January 1, 1970 in UTC time.

Parameter | Type | Description
date | number (range: 1 - 31) | An integer from 1 to 31 indicating the day of the month.

Example date.setUTCDate(date)

number setUTCFullYear (year: number)
Sets the year of a specified Date object according to UTC, can also set the month and date.
Returns the number of milliseconds between the date set and midnight, January 1, 1970, in UTC.

Parameter | Type | Description
year | number | The year expressed in four digits.

Example date.setUTCFullYear(year, month, date)

number setUTCHours (hours: number)
Sets the hours of a specified Date object according to UTC.
Returns the number of milliseconds between the date set and midnight, January 1, 1970, in UTC.

Parameter | Type | Description
hours | number (range: 0 - 23) | An integer value from 0 (midnight) to 23 (11 PM) indicating the hour to be set.

Example date.setUTCHours(hours)

number setUTCMilliseconds (ms: number)
Sets the milliseconds of a specified Date object according to UTC.
Returns the number of milliseconds between the date set and midnight, January 1, 1970, in UTC.

Parameter | Type | Description
ms | number (range: 0 - 999) | An integer value in the range of 0 to 999 indicating the number of milliseconds to set.

Example date.setUTCMilliseconds(ms)

number setUTCMinutes (min: number)
Sets the minutes of a specified Date object according to UTC.
Returns the number of milliseconds between the date set and midnight, January 1, 1970, in UTC.

Parameter | Type | Description
min | number (range: 0 - 59) | An integer value in the range 0 to 59 indicating the number of minutes to be set.

Example date.setUTCMinutes(min)

number setUTCMonth (month: number)
Sets the month of a specified Date object according to UTC.
Returns the number of milliseconds between the date set and midnight, January 1, 1970, in UTC.

Parameter | Type | Description
month | number (range: 0 - 11) | An integer value in the range 0 (Jan.) to 11 (Dec.) indicating the month to set.

Example date.setUTCMonth(month)

number setUTCSeconds (sec: number)
Sets the seconds of a specified Date object according to UTC.
Returns the number of milliseconds between the date set and midnight, January 1, 1970, in UTC.

Parameter | Type | Description
sec | number (range: 0 - 59) | An integer value in the range 0 to 59 indicating the number of seconds to set.

Example date.setUTCSeconds(sec)

number setYear (year: number)
Sets the year of a specified Date object according to local time, as a difference between the current year and 1900.
Returns the number of milliseconds between the date set and midnight, January 1, 1970.

Parameter | Type | Description
year | number | An integer value indicating the year to set. The method interprets a 1- or 2- digit value to mean the 1900s; for example, 13 is interpreted to mean 1913.

Example date.setYear(year, month, date)

string toDateString () Returns the date as a string.

string toGMTString () Returns the date and time adjusted to GMT (UTC) as a string.

string toLocaleDateString () Returns the date as a localized string.

string toLocaleString () Returns a string value representing the date and time stored in the Date object in human readable format (localized).

string toLocaleTimeString () Returns the time as a localized string.

string toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with built-in classes.

string toString ()
Returns a string value representing the date and time stored in the Date object in human readable format.
Returns the following string is an example of the format returned by this method: Mon Aug 13, 10:54:21 GMT-0700 2001.

Example date.toString()

string toTimeString () Returns the time as a string.

string toUTCString () Returns the date and time adjusted to UTC as a string.

number valueOf ()
The valueOf() method returns the number of milliseconds that have passed since midnight, Returns an integer.

Element of

$.buildDate

Event.timeStamp

File.created

File.modified

Folder.created

Folder.modified

UIEvent.timeStamp

Return

Date Date.Date (year:
number[, month:
number=0][, day:
number=0][, hours:
number=0][, min:
number=0][, sec:
number=0][, ms:
number=0])

Date Date.UTC (year:
number[, month:
number=0][, day:
number=0][, hours:
number=0][, min:
number=0][, sec:
number=0][, ms:
number=0])

Date Date.parse (text: string)


Adobe FrameMaker-10 Object Model JS: Error

Class

Error

Wraps a runtime error.

QuickLinks

 Error, toSource, toString

Properties

Property | Type | Access | Description
description | string | r/w | The error message.

Methods

Constructor

Error Error (msg: string[, file: string][, line: number])
Creates a new Error object.

Parameter | Type | Description
msg | string | The error message.
file | string | The name of the file. (Optional)
line | number | The line number. (Optional)

Instances

string toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with built-in classes.

string toString ()
Convert this object to a string.

Element of

$.error

Return

Error Error.Error (msg: string[, file: string][, line: number])


Adobe FrameMaker-10 Object Model JS: File

Class

File

Represents a file in the local file system in a platform-independent manner.

QuickLinks

 File, changePath, close, copy, createAlias, decode, encode, execute, getRelativeURI, isEncodingAvailable, open, openDialog, openDlg, read, readch, readln, remove, rename, resolve, saveDialog, saveDlg, seek, tell, toSource, toString, write, writeln

Hierarchy

Folder
File

Properties

Property | Type | Access | Description
absoluteURI | string | readonly | The full path name for the referenced file in URI notation.
alias | bool | readonly | If true, the object refers to a file system alias or shortcut.
created | Date | readonly | The creation date of the referenced file, or null if the object does not refer to a file on disk.
creator | string | readonly | In Mac OS, the file creator as a four-character string. In Windows or UNIX, value is "????".
displayName | string | readonly | The localized name of the referenced file, without the path specification.
encoding | string | r/w | Gets or sets the encoding for subsequent read/write operations. One of the encoding constants listed in the JavaScript Tools Guide. If the value is not recognized, uses the system default encoding. A special encoder, BINARY, is used to read binary files. It stores each byte of the file as one Unicode character regardless of any encoding. When writing, the lower byte of each Unicode character is treated as a single byte to write.
eof | bool | readonly | When true, a read attempt caused the current position to be at the end of the file, or the file is not open.
error | string | r/w | A string containing a message describing the most recent file system error. Typically set by the file system, but a script can set it. Setting this value clears any error message and resets the error bit for opened files. Contains the empty string if there is no error.
exists | bool | readonly | If true, this object refers to a file or file-system alias that actually exists in the file system.
fsName | string | readonly | The platform-specific full path name for the referenced file.
fullName | string | readonly | The full path name for the referenced file in URI notation.
hidden | bool | r/w | When true, the file is not shown in the platform-specific file browser. If the object references a file-system alias or shortcut, the flag is altered on the alias, not on the original file.
length | number | r/w | The size of the file in bytes. Can be set only for a file that is not open, in which case it truncates or pads the file with 0-bytes to the new length.
lineFeed | string | r/w | How line feed characters are written in the file system. One of the values "Windows", "Macintosh", or "Unix".
modified | Date | readonly | The date of the referenced file's last modification, or null if the object does not refer to a file on the disk.
name | string | readonly | The file name portion of the absolute URI for the referenced file, without the path specification.
parent | Folder | readonly | The Folder object for the folder that contains this file.
path | string | readonly | The path portion of the absolute URI for the referenced file, without the file name.
readonly | bool | r/w | When true, prevents the file from being altered or deleted. If the referenced file is a file-system alias or shortcut, the flag is altered on the alias, not on the original file.
relativeURI | string | readonly | The path name for the object in URI notation, relative to the current folder.
type | string | readonly | The file type as a four-character string. • In Mac OS, the Mac OS file type. • In Windows, "appl" for .EXE files, "shlb" for .DLL files and "TEXT" for any other file.

Class

Property | Type | Access | Description
fs | string | readonly | The name of the file system. This is a class property accessed through the File constructor. Valid values are "Windows", "Macintosh", and "Unix".

Methods

Constructor

File File ([path: string])
Creates and returns a new File object referring to a given file system location.

Parameter | Type | Description
path | string | The full or partial path name of the file, in platform-specific or URI format. The value stored in the object is the absolute path. The file that the path refers to does not need to exist.If the path refers to an existing folder: • The File function returns a Folder object instead of a File object. • The new operator returns a File object for a nonexisting file with the same name. (Optional)

Example new File(path)

Class

string decode (uri: string)
Decodes a UTF-8 encoded string as required by RFC 2396, and returns the decoded string.
See also String.decodeURI().

Parameter | Type | Description
uri | string | The UTF-8 encoded string to decode.

string encode (name: string)
Encodes a string as required by RFC 2396, and returns the encoded string.
All special characters are encoded in UTF-8 and stored as escaped characters starting with the percent sign followed by two hexadecimal digits. For example, the string "my file" is encoded as "my%20file".
Special characters are those with a numeric value greater than 127, except the following: / - _ . ! ~ * ' ( )
See also encodeURI().

Parameter | Type | Description
name | string | The string to encode.

bool isEncodingAvailable (name: string)
Reports whether a given encoding is available.

Parameter | Type | Description
name | string | The encoding name. Typical values are "ASCII", "binary", or "UTF-8". For a complete list of supported encodings, see the JavaScript Tools Guide.

File openDialog (prompt: string[, filter: any=null][, multiSelect: bool=false])
Opens a dialog so the user can select one or more files to open.
Opens the built-in platform-specific file-browsing dialog in which a user can select an existing file or multiple files, and creates new File objects to represent the selected files.
• If the user clicks OK, returns a File object for the selected file, or an array of objects if multiple files are selected.
• If the user cancels, returns null.

Parameter | Type | Description
prompt | string | The prompt text, displayed if the dialog allows a prompt.
filter | any | A filter that limits the types of files displayed in the dialog. (default: null) • In Windows, a filter expression such as "Javascript files:*.jsx;All files:*.*". • In Mac OS, a filter function that takes a File instance and returns true if the file should be included in the display, false if it should not. (Optional)
multiSelect | bool | When true, the user can select multiple files and the return value is an array. (default: false) (Optional)

File saveDialog (prompt: string[, filter: any=null])
Opens a dialog so the user can select a file name to save to.
Opens the built-in platform-specific file-browsing dialog in which a user can select an existing file location to which to save information, and creates a new File object to represent the selected file location.
• If the user clicks OK, returns a File object for the selected file location.
• If the user cancels, returns null.

Parameter | Type | Description
prompt | string | The prompt text, displayed if the dialog allows a prompt.
filter | any | In Windows only, a filter that limits the types of files displayed in the dialog. (default: null) In Windows only, a filter expression such as "Javascript files:*.jsx;All files:*.*". Not used In Mac OS. (Optional)

Instances

bool changePath (path: string)
Changes the path specification of the referenced file.

Parameter | Type | Description
path | string | A string containing the new path, absolute or relative to the current folder.

Example file.changePath ("..");

bool close ()
Closes this open file.
Returns true if the file was closed successfully, false if an I/O error occurred.

Example aFile.close()

bool copy (target: string | File)
Copies this object‚Äôs referenced file to the specified target location.
Resolves any aliases to find the source file. If a file exists at the target location, it is overwritten. Returns true if the copy was successful.

Parameter | Type | Description
target | string | File | A string with the URI path to the target location, or a File object that references the target location.

Example aFile.copy(target)

void createAlias (path: string)
Makes this file a file-system alias or shortcut to the specified file.
The referenced file for this object must not yet exist on disk. Returns true if the operation was successful.

Parameter | Type | Description
path | string | A string containing the path of the target file.

bool execute ()
Executes or opens this file using the appropriate application, as if it had been double-clicked in a file browser.
You can use this method to run scripts, launch applications, and so on.
Returns true immediately if the application launch was successful.

string getRelativeURI (basePath: string)
Retrieves and returns the path for this file, relative to the specified base path, in URI notation.
If no base path is supplied, the URI is relative to the path of the current folder. Returns a string containing the relative URI.

Parameter | Type | Description
basePath | string | A base path in URI notation.

Example aFile.getRelativeURI(basePath)

bool open (mode: string[, type: string][, creator: string])
Opens the referenced file for subsequent read/write operations. The method resolves any aliases to find the file.
Returns true if the file was opened successfully.
The method attempts to detect the encoding of the open file. It reads a few bytes at the current location and tries to detect the Byte Order Mark character 0xFFFE. If found, the current position is advanced behind the detected character and the encoding property is set to one of the strings UCS-2BE, UCS-2LE, UCS4-BE, UCS-4LE, or UTF-8. If the marker character is not found, it checks for zero bytes at the current location and makes an assumption about one of the above formats (except UTF-8). If everything fails, the encoding property is set to the system encoding.
IMPORTANT: Be careful about opening a file more than once. The operating system usually permits you to do so, but if you start writing to the file using two different File objects, you can destroy your data.

Parameter | Type | Description
mode | string | The read-write mode, a single-character string. One of these characters: • r (read) Opens for reading. If the file does not exist or cannot be found, the call fails. • w (write) Opens a file for writing. If the file exists, its contents are destroyed. If the file does not exist, creates a new, empty file. • e (edit) Opens an existing file for reading and writing. • a (append) Opens an existing file for reading and writing, and moves the current position to the end of the file.
type | string | In Mac OS, the type of a newly created file, a 4-character string. Ignored in Windows and UNIX. (Optional)
creator | string | In Mac OS, the creator of a newly created file, a 4-character string. Ignored in Windows and UNIX. (Optional)

Example aFile.open(mode, type, creator)

File openDlg (prompt: string[, filter: any=null][, multiSelect: bool=false])
Opens the built-in platform-specific file-browsing dialog, in which the user can select an existing file or files, and creates new File objects to represent the selected files.
Differs from the class method openDialog() in that it presets the current folder to this File object‚Äôs parent folder and the current file to this object‚Äôs associated file.
• If the user clicks OK, returns a File or Folder object for the selected file or folder, or an array of objects.
• If the user cancels, returns null.

Parameter | Type | Description
prompt | string | A string containing the prompt text, if the dialog allows a prompt.
filter | any | A filter that limits the types of files displayed in the dialog. (default: null) • In Windows, a filter expression such as "Javascript files:*.jsx;All files:*.*". • In Mac OS, a filter function that takes a File instance and returns true if the file should be included in the display, false if it should not. (Optional)
multiSelect | bool | When true, the user can select multiple files and the return value is an array. (default: false) (Optional)

string read ([chars: number])
Reads the contents of the file, starting at the current position.
Returns a string that contains up to the specified number of characters. If a number of characters is not supplied, reads from the current position to the end of the file. If the file is encoded, multiple bytes might be read to create single Unicode characters.

Parameter | Type | Description
chars | number | An integer specifying the number of characters to read. (Optional)

Example aFile.read(chars)

string readch ()
Reads a single text character from the file at the current position.
Line feeds are recognized as CR, LF, CRLF or LFCR pairs. If the file is encoded, multiple bytes might be read to create a single Unicode character. Returns a string that contains the character.

Example aFile.readch()

string readln ()
Reads a single line of text from the file at the current position.
Line feeds are recognized as CR, LF, CRLF or LFCR pairs.. If the file is encoded, multiple bytes might be read to create single Unicode characters. Returns a string that contains the text.

Example aFile.readln()

bool remove ()
Deletes the file associated with this object from disk immediately, without moving it to the system trash.
Does not resolve aliases; instead, deletes the referenced alias or shortcut file itself. Returns true if the file was successfully removed.
• IMPORTANT: Cannot be undone. It is recommended that you prompt the user for permission before deleting.

bool rename (newName: string)
Renames the associated file.
Does not resolve aliases, but renames the referenced alias or shortcut file itself. Returns true if the file was successfully renamed.

Parameter | Type | Description
newName | string | The new file name, with no path information.

Example aFile.rename(newName)

File resolve ()
Attempts to resolve the file-system alias or shortcut that this object refers to.
If successful, creates and returns a new File object that points to the resolved file system element. Returns null if this object does not refer to an alias, or if the alias could not be resolved.

File saveDlg (prompt: string[, filter: any=null])
Opens the built-in platform-specific file-browsing dialog, in which the user can select an existing file location to which to save information, and creates a new File object to represent the selected file.
Differs from the class method saveDialog() in that it presets the current folder to this File object‚Äôs parent folder and the file to this object‚Äôs associated file.
• If the user clicks OK, returns a File object for the selected file.
• If the user cancels, returns null.

Parameter | Type | Description
prompt | string | A string containing the prompt text, if the dialog allows a prompt.
filter | any | In Windows only, a filter that limits the types of files displayed in the dialog. (default: null) In Windows only, a filter expression such as "Javascript files:*.jsx;All files:*.*". Not used In Mac OS. (Optional)

bool seek (pos: number[, mode: number=0])
Seeks to a given position in the file.
The new position cannot be less than 0 or greater than the current file size. Returns true if the position was changed.

Parameter | Type | Description
pos | number | The new current position in the file as an offset in bytes from the start, current position, or end, depending on the mode.
mode | number (range: 0 - 2) | The seek mode. (default: 0) One of: • 0: Seek to absolute position, where pos=0 is the first byte of the file. This is the default. • 1: Seek relative to the current position. • 2. Seek backward from the end of the file. (Optional)

Example aFile.seek(pos, mode)

number tell ()
Retrieves the current position as a byte offset from the start of the file.
Returns a number, the position index.

Example aFile.tell()

string toSource ()
Creates and returns a serialized string representation of this object.
Pass the resulting string to eval() to recreate the object.

string toString ()
Converts this object to a string.

bool write (text: string)
Writes the specified text to the file at the current position.
You can supply multiple text values; the strings are concatenated to form a single string.
For encoded files, writing a single Unicode character may write multiple bytes. Returns true if the write was successful.
IMPORTANT: Be careful not to write to a file that is open in another application or object, as this can overwrite existing data.

Parameter | Type | Description
text | string | A text string to be written.

Example aFile.write(text, ...)

bool writeln (text: string)
Writes a string to the file at the current position and appends a line-feed sequence.
You can supply multiple text values. The strings are concatenated into a single string, which is written in the file followed by one line-feed sequence, of the style specified by this object's linefeed property.
For encoded files, writing a single Unicode character may write multiple bytes. Returns true if the write was successful.
IMPORTANT: Be careful not to write to a file that is open in another application or object, as this can overwrite existing data.

Parameter | Type | Description
text | string | A text string to be written.

Example aFile.writeln(text, ...)

Element of

Reflection.sampleFile

ReflectionInfo.sampleFile

Used in:

any $.evalFile (file: File[, timeout: number=10000])

bool File.copy (target: string | File)

void FlashPlayer.loadMovie (file: File)

Return

File File.File ([path: string])

File File.openDialog (prompt: string[, filter: any=null][, multiSelect: bool=false])

File File.openDlg (prompt: string[, filter: any=null][, multiSelect: bool=false])

File File.resolve ()

File File.saveDialog (prompt: string[, filter: any=null])

File File.saveDlg (prompt: string[, filter: any=null])


Adobe FrameMaker-10 Object Model JS: Folder

Class

Folder

Represents a file-system folder or directory in a platform-independent manner.

QuickLinks

 Folder, changePath, create, decode, encode, execute, getFiles, getRelativeURI, isEncodingAvailable, remove, rename, resolve, selectDialog, selectDlg, toSource, toString

Hierarchy

Folder
Folder
File | Folder

Properties

Property | Type | Access | Description
absoluteURI | string | readonly | The full path name for the referenced folder in URI notation.
alias | bool | readonly | When true, the object refers to a file system alias or shortcut.
created | Date | readonly | The creation date of the referenced folder, or null if the object does not refer to a folder on disk.
displayName | string | readonly | The localized name portion of the absolute URI for the referenced folder, without the path specification.
error | string | r/w | A message describing the most recent file system error. Typically set by the file system, but a script can set it. Setting this value clears any error message and resets the error bit for opened files. Contains the empty string if there is no error.
exists | bool | readonly | When true, this object refers to a folder that currently exists in the file system.
fsName | string | readonly | The platform-specific name of the referenced folder as a full path name.
fullName | string | readonly | The full path name for the referenced folder in URI notation. .
modified | Date | readonly | The date of the referenced folder's last modification, or null if the object does not refer to a folder on disk.
name | string | readonly | The folder name portion of the absolute URI for the referenced file, without the path specification.
parent | Folder | readonly | TThe Folder object for the folder that contains this folder, or null if this object refers to the root folder of a volume.
path | string | readonly | The path portion of the object absolute URI for the referenced file, without the folder name.
relativeURI | string | readonly | The path name for the referenced folder in URI notation, relative to the current folder.

Class

Property | Type | Access | Description
appData | Folder | readonly | The folder containing the application data for all users. • In Windows, the value of %APPDATA% (by default, C:\\Documents and Settings\\All Users\\Application Data) • In Mac OS, /Library/Application Support
appPackage | Folder | readonly | In Mac OS, a Folder object for the folder containing the bundle of the running application.
commonFiles | Folder | readonly | A Folder object for the folder containing common files for all programs installed by the user. • In Windows, the value of %CommonProgramFiles% (by default, C:\\Program Files\\Common Files) • In Mac OS, /Library/Application Support
current | Folder | r/w | A Folder object for the current folder. Assign a Folder object or a string containing the new path name to set the current folder. This is a class property accessed through the Folder constructor.
desktop | Folder | readonly | A Folder object for the folder that contains the user‚Äôs desktop. • In Windows, C:\\Documents and Settings\\username\\Desktop • In Mac OS, ~/Desktop
fs | string | readonly | The name of the current file system. One of "Windows", "Macintosh", or "Unix".
myDocuments | Folder | readonly | A folder pointing to the user's My Documents folder. • In Windows, C:\\Documents and Settings\\username\\My Documents • In Mac OS, ~/Documents
startup | Folder | readonly | A Folder object for the folder containing the executable image of the running application.
system | Folder | readonly | A Folder object for the folder containing the operating system files. • In Windows, the value of %windir% (by default, C:\\Windows) • In Mac OS, /System
temp | Folder | readonly | A Folder object for the default folder for temporary files.
trash | Folder | readonly | A Folder object for the folder containing deleted items. On Windows, the trash folder is a virtual folder containing a database; therefore, the property value is null on Windows.
userData | Folder | readonly | A Folder object for the folder containing the user's application data. • In Windows, the value of %USERDATA% (by default, C:\\Documents and Settings\\username\\Application Data) • In Mac OS, ~/Library/Application Support.

Methods

Constructor

Folder Folder ([path: string])
Creates and returns a new Folder object referring to a given file-system location.
If the path name refers to an already existing disk file, a File object is returned instead. Returns the new Folder object.

Parameter | Type | Description
path | string | The absolute or relative path to the folder associated with this object, specified in URI format. The value stored in the object is the absolute path.The path need not refer to an existing folder. If the path refers to an existing file, rather than a folder: • The Folder() function returns a File object instead of a Folder object. • The new operator returns a Folder object for a nonexisting folder with the same name. (Optional)

Example new Folder(path)

Class

string decode (uri: string)
Decodes a UTF-8 encoded string as required by RFC 2396, and returns the decoded string.
See also String.decodeURI().

Parameter | Type | Description
uri | string | The UTF-8 string to decode.

string encode (name: string)
Encodes a string as required by RFC 2396, and returns the encoded string.
All special characters are encoded in UTF-8 and stored as escaped characters starting with the percent sign followed by two hexadecimal digits. For example, the string "my file" is encoded as "my%20file".
Special characters are those with a numeric value greater than 127, except the following: / - _ . ! ~ * ' ( )
See also encodeURI().

Parameter | Type | Description
name | string | The string to encode.

bool isEncodingAvailable (name: string)
Reports whether a given encoding is available.

Parameter | Type | Description
name | string | The encoding name. Typical values are "ASCII", "binary", or "UTF-8". For a complete list of supported encodings, see the JavaScript Tools Guide.

Folder selectDialog (prompt: string)
Opens the built-in platform-specific file-browsing dialog, and creates a new File or Folder object for the selected file or folder.
Differs from the object method selectDlg() in that it does not preselect a folder.
• If the user clicks OK, returns a File or Folder object for the selected file or folder.
• If the user cancels, returns null.

Parameter | Type | Description
prompt | string | The prompt text, if the dialog allows a prompt.

Instances

bool changePath (path: string)
Changes the path specification of the referenced folder.

Parameter | Type | Description
path | string | A string containing the new path, absolute or relative to the current folder.

Example folder.changePath ("..");

bool create ()
Creates a folder at the location given by this object's path property.
Returns true if the folder was created.

Example aFolder.create()

bool execute ()
Opens this folder in the platform-specific file browser (as if it had been double-clicked in the file browser).
Returns true immediately if the folder was opened successfully.

Array getFiles (mask: any)
Retrieves the contents of this folder, filtered by the supplied mask.
Returns an array of File and Folder objects, or null if this object's referenced folder does not exist.

Parameter | Type | Description
mask | any | A search mask for file names, specified as a string or a function. A mask string can contain question mark (?) and asterisk (*) wild cards. Default is "*", which matches all file names. Can also be the name of a function that takes a File or Folder object as its argument. It is called for each file or folder found in the search; if it returns true, the object is added to the return array. • NOTE: In Windows, all aliases end with the extension .lnk. ExtendScript strips this from the file name when found, in order to preserve compatibility with other operating systems. You can search for all aliases by supplying the search mask "*.lnk", but note that such code is not portable.

string getRelativeURI ([basePath: string=.])
Retrieves and returns the path for this file, relative to the specified base path, in URI notation.
If no base path is supplied, the URI is relative to the path of the current folder. Returns a string containing the relative URI.

Parameter | Type | Description
basePath | string | A base path in URI notation. (default: .) (Optional)

Example aFile.getRelativeURI(basePath)

bool remove ()
Deletes the folder associated with this object from disk immediately, without moving it to the system trash.
Folders must be empty before they can be deleted. Does not resolve aliases; instead, deletes the referenced alias or shortcut file itself. Returns true if the file was successfully removed.
• IMPORTANT: Cannot be undone. It is recommended that you prompt the user for permission before deleting.

bool rename (newName: string)
Renames the associated folder.
Does not resolve aliases, but renames the referenced alias or shortcut file itself. Returns true if the folder was successfully renamed.

Parameter | Type | Description
newName | string | The new folder name, with no path information.

Example aFolder.rename(newName)

Folder resolve ()
Attempts to resolve the file-system alias or shortcut that this object refers to.
If successful, creates and returns a new Folder object that points to the resolved file system element. Returns null if this object does not refer to an alias, or if the alias could not be resolved.

Example aFolder.resolve()

Folder selectDlg (prompt: string)
Opens the built-in platform-specific file-browsing dialog, and creates a new File or Folder object for the selected file or folder.
Differs from the class method selectDialog() in that it preselects this folder.
• If the user clicks OK, returns a File or Folder object for the selected file or folder.
• If the user cancels, returns null.

Parameter | Type | Description
prompt | string | The prompt text, if the dialog allows a prompt.

string toSource ()
Creates and returns a serialized string representation of this object.
Pass the resulting string to eval() to recreate the object.

string toString ()
Converts this object to a string.

Element of

File.parent

Folder.appData

Folder.appPackage

Folder.commonFiles

Folder.current

Folder.desktop

Folder.myDocuments

Folder.parent

Folder.startup

Folder.system

Folder.temp

Folder.trash

Folder.userData

Return

Folder Folder.Folder ([path: string])

Folder Folder.resolve ()

Folder Folder.selectDialog (prompt: string)

Folder Folder.selectDlg (prompt: string)


Adobe FrameMaker-10 Object Model JS: Function

Class

Function

Wraps a built-in or JavaScript function.

QuickLinks

 Function, apply, call, toSource, toString

Properties

Property | Type | Access | Description
arguments | Object | r/w | The function arguments, packed into an array. This property is deprecated; use the arguments property within the function body.
arity | number | readonly | The number of formal arguments. This property is deprecated; use the length property instead.
length | number | readonly | The number of formal arguments.
name | string | readonly | The function name.

Methods

Constructor

Function Function (arguments: string, body: string) The Function constructor parses the argument list and creates a Function object.

Parameter | Type | Description
arguments | string | The list of formal arguments, separated by commas. The formal arguments can also be supplied one by one; in this case, the last argument to the Function constructor is considered to be the function body.
body | string | The body of the function to create.

Instances

any apply (thisObj: Object, args: Array)
Apply a this object and an argument list to a function.
This function is different from call(); here, the arguments are suppliedas an Array object.

Parameter | Type | Description
thisObj | Object | The object to be used as this.
args | Array | An array of arguments.

any call (thisObj: Object, argument: any)
Apply a this object and arguments to a function.
This function is different from apply(); here, the arguments are supplied one by one.

Parameter | Type | Description
thisObj | Object | The object to be used as this.
argument | any | The first agument to the function. Add as many as needed.

string toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with JavaScript functions.

string toString ()
Returns the function definition as a string.

Element of

Object.constructor

Used in:

void Array.sort (userFunction: Function)

Boolean Button.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Button.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean DropDownList.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean DropDownList.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean FlashPlayer.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean FlashPlayer.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean ListBox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean ListBox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Object.watch (name: string, func: Function)

Boolean Panel.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Panel.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Scrollbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Scrollbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean TreeView.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean TreeView.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Window.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Window.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Return

Function Function.Function (arguments: string, body: string)


Adobe FrameMaker-10 Object Model JS: global (Base)

Class

global (Base)

The global methods and properties for ExtendScript.

QuickLinks

 alert, confirm, decodeURI, decodeURIComponent, encodeURI, encodeURIComponent, escape, eval, isFinite, isNaN, isXMLName, localize, parseFloat, parseInt, prompt, setDefaultXMLNamespace, unescape, uneval

Properties

Property | Type | Access | Description
Infinity | number | r/w | The Infinity global property is a predefined variable with the value for infinity. (default: +Infinity)
NaN | number | r/w | The NaN global property is a predefined variable with the value NaN (Not-a-Number), as specified by the IEEE-754 standard. (default: NaN)
undefined | Undefined | r/w | This global property is a predefined variable with the value for an undefined value. (default: undefined)

Methods

Instances

void alert (message: string[, title: string][, errorIcon: bool=false])
Displays an alert box

Parameter | Type | Description
message | string | The text to display
title | string | The title of the alert; ignored on the Macintosh (Optional)
errorIcon | bool | Display an Error icon; ignored on the Macintosh (default: false)

bool confirm (message: string[, noAsDefault: bool=false][, title: string])
Displays an alert box with Yes and No buttons; returns true for Yes

Parameter | Type | Description
message | string | The text to display
noAsDefault | bool | Set to true to set the No button as the default button (default: false)
title | string | The title of the alert; ignored on the Macintosh (Optional)

string decodeURI (uri: string)
Decodes a string created with encodeURI().

Parameter | Type | Description
uri | string | The text to decode.

string decodeURIComponent (uri: string)
Decodes a string created with encodeURIComponent().

Parameter | Type | Description
uri | string | The text to decode.

string encodeURI (text: string)
Encodes a string after RFC2396.
Create an UTF-8 ASCII encoded version of this string. The string is converted into UTF-8. Every non-alphanumeric character is encoded as a percent escape character of the form %xx, where xx is the hex value of the character. After the conversion to UTF-8 encoding and escaping, it is guaranteed that the string does not contain characters codes greater than 127. The list of characters not to be encoded is -_.!~*'();/?:@&=+$,#. The method returns false on errors.

Parameter | Type | Description
text | string | The text to encode.

string encodeURIComponent (text: string)
Encodes a string after RFC2396.
Create an UTF-8 ASCII encoded version of this string. The string is converted into UTF-8. Every non-alphanumeric character is encoded as a percent escape character of the form %xx, where xx is the hex value of the character. After the conversion to UTF-8 encoding and escaping, it is guaranteed that the string does not contain characters codes greater than 127. The list of characters not to be encoded is -_.!~*'(). The method returns false on errors.

Parameter | Type | Description
text | string | The text to encode.

string escape (aString: string)
Creates a URL-encoded string from aString.
In the new string, characters of aString that require URL encoding are replaced with the format %xx, where xx is the hexadecimal value of the character code in the Unicode character set. This format is used to transmit information appended to a URL during, for example, execution of the GET method. Use the unescape() global function to translate the string back into its original format. Returns a string which is aString URL-encoded.

Parameter | Type | Description
aString | string | The string to be encoded.

Example escape(aString)

any eval (stringExpression: string)
Evaluates its argument as a JavaScript script, and returns the result of evaluation.
You can pass the result of an object's toSource() method to reconstruct that object.

Parameter | Type | Description
stringExpression | string | The string to evaluate.

Example eval(stringExpression)

bool isFinite (expression: number)
Evaluates an expression and reports whether the result is a finite number.
Returns true if the expression is a finite number, false otherwise. False if the value is infinity or negative infinity.

Parameter | Type | Description
expression | number | Any valid JavaScript expression.

Example isFinite(expression)

bool isNaN (expression: number)
Evaluates an expression and reports whether the result is "Not-a-Number" (NaN).
Returns true if the result of evaluation is not a number (NaN), false if the value is a number.

Parameter | Type | Description
expression | number | Any valid JavaScript expression.

Example isNaN(expression)

bool isXMLName (name: string)
Returns true if the supplied string is a valid XML name.

Parameter | Type | Description
name | string | The XML name to test.

string localize (what: string[, argument: any])
Localizes a ZString-encoded string and merges additional arguments into the string.

Parameter | Type | Description
what | string | The string to localize. A ZString-encoded string that can contain placeholder for additional arguments in the form %1 to %n.
argument | any | Optional argument(s) to be merged into the string. There may be more than one argument. (Optional)

number parseFloat (text: string)
Extracts a floating-point number from a string.
Parses a string to find the first set of characters that can be converted to a floating point number, and returns that number, or NaN if it does not encounter characters that it can converted to a number. The function supports exponential notation.

Parameter | Type | Description
text | string | The string from which to extract a floating point number.

Example parseFloat(aString)

number parseInt (text: string[, base: number])
Extracts an integer from a string.
Parses a string to find the first set of characters, in a specified base, that can be converted to an integer, and returns that integer, or NaN if it does not encounter characters that it can convert to a number.

Parameter | Type | Description
text | string | The string from which to extract an integer.
base | number (range: 2 - 36) | The base of the string to parse (from base 2 to base 36). If not supplied, base is determined by the format of string. (Optional)

Example parseInt(aString, base)

string prompt (prompt: string[, default: string][, title: string])
Displays a dialog allowing the user to enter text
Returns null if the user cancelled the dialog, the text otherwise

Parameter | Type | Description
prompt | string | The text to display
default | string | The default text to preset the edit field with (Optional)
title | string | The title of the dialog; (Optional)

void setDefaultXMLNamespace (namespace: Namespace)
Defines the default XML namespace.
This is a replacement function for the standard JavaScript statement set default xml namespace.

Parameter | Type | Description
namespace | Namespace | The namespace to use. Omit this parameter to return to the empty namespace. This is either a Namespace object or a string.

string unescape (stringExpression: string)
Translates URL-encoded string into a regular string, and returns that string.
Use the escape() global function to URL-encode strings.

Parameter | Type | Description
stringExpression | string | The URL-encoded string to convert.

Example unescape(stringExpression)

string uneval (what: any)
Creates a source code representation of the supplied argument, and returns it as a string.

Parameter | Type | Description
what | any | The object to uneval.


Adobe FrameMaker-10 Object Model JS: Math (Base)

Class

Math (Base)

A global object containing a set of math functions and constants.

QuickLinks

 abs, acos, asin, atan, atan2, ceil, cos, exp, floor, log, max, min, pow, random, round, sin, sqrt, tan

Class

Property | Type | Access | Description
E | number | readonly | Euler's constant and the base of natural logarithms. (default: 2.7182818284590452354)
LN10 | number | readonly | The natural logarithm of 10. (default: 2.302585092994046)
LN2 | number | readonly | The natural logarithm of 2. (default: 0.6931471805599453)
LOG10E | number | readonly | The base 10 logarithm of e. (default: 0.4342944819032518)
LOG2E | number | readonly | The base 2 logarithm of e. (default: 1.4426950408886934)
PI | number | readonly | The ratio of the circumference of a circle to its diameter. (default: 3.14159265358979323846)
SQRT1_2 | number | readonly | The reciprocal of the square root of 1/2. (default: 0.7071067811865476)
SQRT2 | number | readonly | The square root of 2. (default: 1.4142135623730951)

Methods

number abs (x: number)
Returns the absolute value of a number.

Parameter | Type | Description
x | number | A number.

Example Math.abs(x)

number acos (x: number)
Returns the arc cosine(in radians) of a number.

Parameter | Type | Description
x | number | A number.

Example Math.acos(x)

number asin (x: number)
Returns the arc sin(in radians) of a number.

Parameter | Type | Description
x | number | A number.

Example Math.asin(x)

number atan (x: number)
Returns the arc tangent(in radians) of a number.

Parameter | Type | Description
x | number | A number.

Example Math.atan(x)

number atan2 (y: number, x: number)
Returns the arc tangent of the quotient of its arguments (y/x).

Parameter | Type | Description
y | number | A number.
x | number | A number.

Example Math.atan2(y,x)

number ceil (x: number)
Rounds the number up to the nearest integer.

Parameter | Type | Description
x | number | A number.

Example Math.ceil(x)

number cos (x: number)
Returns the cosine of an angle provided in radians.

Parameter | Type | Description
x | number | An angle, in radians.

Example Math.cos(x)

number exp (x: number)
Returns Math.E raised to the power of a number.

Parameter | Type | Description
x | number | A number.

Example Math.exp(x)

number floor (x: number)
Rounds a number down to the nearest integer.

Parameter | Type | Description
x | number | A number.

Example Math.floor(x)

number log (x: number)
Returns the natural logarithm of a number.

Parameter | Type | Description
x | number | A number.

Example Math.log(x)

number max (x: number, y: number)
Returns the maximum of two numbers.

Parameter | Type | Description
x | number |
y | number |

Example Math.max(x,y)

number min (x: number, y: number)
Returns the minimum of two numbers.

Parameter | Type | Description
x | number | Numbers.
y | number |

Example Math.min(x,y)

number pow (x: number, y: number)
Returns x raised to the power of y.

Parameter | Type | Description
x | number | Numbers.
y | number |

Example Math.pow(x,y)

number random ()
Returns a pseudo-random number from 0.0 up to but not including 1.0. Range: 0.0 - 0.999999999999999

Example Math.random()

number round (x: number)
Rounds a number to the nearest integer.

Parameter | Type | Description
x | number | A number.

Example Math.round(x)

number sin (x: number)
Returns the sine of an angle provided in radians.

Parameter | Type | Description
x | number | An angle, in radians.

Example Math.sin(x)

number sqrt (x: number)
Returns the square root of a number.

Parameter | Type | Description
x | number | A number.

Example Math.sqrt(x)

number tan (x: number)
Returns the tangent of an angle provided in radians.

Parameter | Type | Description
x | number | An angle, in radians.

Example Math.tan(x)


Adobe FrameMaker-10 Object Model JS: Namespace

Class

Namespace

A XML namespace object.

QuickLinks

 Namespace

Properties

Property | Type | Access | Description
prefix | string | readonly | The named prefix.
uri | string | readonly | The URI.

Methods

Constructor

Namespace Namespace (prefix: any[, uri: string])
Creates a Namespace object.

Parameter | Type | Description
prefix | any | The URI prefix, specified as an existing Namespace object, QName object, or string. • If this is a Namespace or a QName object, the URI and prefix are set to that of the object. • If this is a string, the prefix is set to that string, and the URI must be specified.
uri | string | The URI if the prefix is specified as a string. (Optional)

Example new Namespace ("adobe", "http:/www.adobe.com")

Used in:

XML XML.addNamespace (namespace: Namespace)

XML XML.removeNamespace (namespace: Namespace)

void XML.setNamespace (namespace: Namespace)

void global (Base).setDefaultXMLNamespace (namespace: Namespace)

Return

Namespace Namespace.Namespace (prefix: any[, uri: string])

Namespace XML.namespace ()


Adobe FrameMaker-10 Object Model JS: Number

Class

Number

Wraps a numeric value.

QuickLinks

 Number, toExponential, toFixed, toLocaleString, toPrecision, toSource, toString, valueOf

Class

Property | Type | Access | Description
MAX_VALUE | number | readonly | A constant representing the largest representable number. (default: 1.7976931348623158e+308)
MIN_VALUE | number | readonly | A constant representing the smallest representable number. (default: 2.2250738585072014e-308)
NEGATIVE_INFINITY | number | readonly | A constant representing negative infinity.
NaN | number | readonly | A constant representing the special "Not a Number" value. (default: NaN)
POSITIVE_INFINITY | number | readonly | A constant representing positive infinity.

Methods

Constructor

Number Number (value: any)
Returns a new Number object set to the value of the argument converted to a number.

Parameter | Type | Description
value | any | The value of the object being created.

Example new Number(value)

Instances

number toExponential (decimals: number)
Converts the Number object to a string in scientific notation.

Parameter | Type | Description
decimals | number | The number of decimals.

number toFixed (decimals: number)
Converts the Number object to a string with fixed decimals.

Parameter | Type | Description
decimals | number | The number of decimals.

number toLocaleString ()
Returns the value of a Number object converted to a string, using localized conventions.

number toPrecision (decimals: number)
Converts the Number object to a string in either scientific or fixed notation, epending on its value.

Parameter | Type | Description
decimals | number | The number of decimals.

number toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with built-in classes.

number toString ([radix: number])
Returns the value of a Number object converted to a string.

Parameter | Type | Description
radix | number | The optional conversion radix. (Optional)

Example num.toString(16)

number valueOf ()
Returns the value of a Number object as a primitive number.

Example num.valueOf()

Element of

Bounds.bottom

Bounds.height

Bounds.left

Bounds.length

Bounds.right

Bounds.top

Bounds.width

Bounds.x

Bounds.y

Button.characters

Button.indent

Checkbox.characters

Checkbox.indent

Dimension.height

Dimension.length

Dimension.width

DropDownList.indent

EditText.characters

EditText.indent

FlashPlayer.indent

Group.indent

Group.margins

Group.spacing

IconButton.indent

ListBox.indent

ListItem.index

Panel.characters

Panel.indent

Panel.margins

Panel.spacing

Point.left

Point.length

Point.top

Point.x

Point.y

Progressbar.indent

Progressbar.maxvalue

Progressbar.minvalue

Progressbar.value

RadioButton.characters

RadioButton.indent

ScriptUIBrush.color

ScriptUIBrush.type

ScriptUIFont.size

ScriptUIPen.color

ScriptUIPen.lineWidth

Scrollbar.indent

Scrollbar.jumpdelta

Scrollbar.maxvalue

Scrollbar.minvalue

Scrollbar.stepdelta

Scrollbar.value

Slider.indent

Slider.maxvalue

Slider.minvalue

Slider.value

StaticText.characters

StaticText.indent

TreeView.indent

Window.characters

Window.indent

Window.margins

Window.opacity

Window.spacing

Used in:

ScriptUIFont ScriptUI.newFont (name: String, style: String | Number, size: Number)

void ScriptUIGraphics.drawFocusRing (left: Number, top: Number, width: Number, height: Number)

void ScriptUIGraphics.drawImage (image: ScriptUIImage, left: Number, top: Number[, width: Number][, height: Number])

void ScriptUIGraphics.drawString (text: String, pen: ScriptUIPen, x: Number, y: Number[, font: ScriptUIFont])

Point ScriptUIGraphics.ellipsePath (left: Number, top: Number, width: Number, height: Number)

Point ScriptUIGraphics.lineTo (x: Number, y: Number)

Dimension ScriptUIGraphics.measureString (text: String[, font: ScriptUIFont][, boundingWidth: Number])

Point ScriptUIGraphics.moveTo (x: Number, y: Number)

ScriptUIBrush ScriptUIGraphics.newBrush (type: Number, color: Array of Number | String)

ScriptUIPen ScriptUIGraphics.newPen (type: Number, color: Array of Number | String, width: Number)

Point ScriptUIGraphics.rectPath (left: Number, top: Number, width: Number, height: Number)

UIEvent UIEvent.UIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

void UIEvent.initUIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

Return

Number Number.Number (value: any)


Adobe FrameMaker-10 Object Model JS: Object

Class

Object

The base class of all JavaScript objects.

QuickLinks

 Object, hasOwnProperty, isPrototypeOf, isValid, propertyIsEnumerable, toLocaleString, toSource, toString, unwatch, valueOf, watch

Properties

Property | Type | Access | Description
constructor | Function | readonly | Points to the constructor function that created this object. Note that this property is treated as an XML element in the XML class.
prototype | Object | readonly | Points to the prototype object for this object. Note that this property is treated as an XML element in the XML class.
reflect | Reflection | readonly | Retrieves and returns the Reflection object associated with this method or a property. Note that this property is treated as an XML element in the XML class.

Methods

Constructor

Object Object (what: any)
Creates and returns a new object of a given type.

Parameter | Type | Description
what | any | The object type.

Example new Object()

Class

bool isValid (what: Object)
Reports whether an object is still valid.

Parameter | Type | Description
what | Object | The object to check.

Instances

bool hasOwnProperty (name: string)
Reports whether a given property is defined with an instance or within the prototype chain.

Parameter | Type | Description
name | string | The name of the property to check.

bool isPrototypeOf (what: Object)
Checks whether the given object is a prototype of this object.

Parameter | Type | Description
what | Object | The object to check.

bool propertyIsEnumerable (name: string)
Reports whether a given property is enumerable.

Parameter | Type | Description
name | string | The name of the property to check.

string toLocaleString ()
Creates and returns a string representing this object, localized for the current locale. See toString().

string toSource ()
Creates and returns a string representation of this object.
This function serializes the object, so that it can, for example, be passed between engines. Pass the returned string back to eval() to recreate the object. Works only with built-in classes.

string toString ()
Creates and returns a string representing this object.
Many objects (such as Date) override this method in favor of their own implementation. If an object has no string value and no user-defined toString() method, the default method returns [object type], where type is the object type or the name of the constructor function that created the object.

Example obj.toString()

void unwatch (name: string)
Removes the watch function of a property.

Parameter | Type | Description
name | string | The name of the property to unwatch.

Object valueOf ()
Retrieves and returns the primitive value of this object.
If the object has no primitive value, returns the object itself. Note that you rarely need to call this method yourself. The JavaScript interpreter automatically invokes it when encountering an object where a primitive value is expected.

Example obj.valueOf()

void watch (name: string, func: Function)
Adds a watch function to a property, which is called when the value changes.
This function can accept, modify, or reject a new value that the user, application, or a script has attempted to place in a property.

Parameter | Type | Description
name | string | The name of the property to watch.
func | Function | The function to be called when the value of this property changes. This function must three arguments, and return as its result the value to be stored in the property. The arguments are: • name: the name of the property that changes. • oldValue: The old property value. • newValue: The new property value that was specified.

Element of

$.global

$.screens

Button.children

Button.parent

Button.properties

Checkbox.children

Checkbox.parent

Checkbox.properties

DropDownList.children

DropDownList.parent

DropDownList.properties

EditText.children

EditText.parent

EditText.properties

Event.target

FlashPlayer.parent

FlashPlayer.properties

Function.arguments

Group.children

Group.parent

Group.properties

IconButton.children

IconButton.parent

IconButton.properties

ListBox.children

ListBox.columns

ListBox.parent

ListBox.properties

ListItem.parent

ListItem.properties

Object.prototype

Panel.children

Panel.parent

Panel.properties

Progressbar.children

Progressbar.parent

Progressbar.properties

RadioButton.children

RadioButton.parent

RadioButton.properties

ScriptUI.FontStyle

ScriptUI.applicationFonts

ScriptUI.compatibility

ScriptUIFont.style

ScriptUIGraphics.BrushType

ScriptUIGraphics.PenType

Scrollbar.children

Scrollbar.parent

Scrollbar.properties

Slider.children

Slider.parent

Slider.properties

StaticText.children

StaticText.parent

StaticText.properties

TreeView.children

TreeView.parent

TreeView.properties

UIEvent.target

Window.cancelElement

Window.children

Window.defaultElement

Window.parent

Window.properties

Used in:

BookComponent Book.NewSeriesBookComponent ([previous: Object])

Object Book.NewSeriesObject ([objType: int][, previous: Object])

any Function.apply (thisObj: Object, args: Array)

any Function.call (thisObj: Object, argument: any)

Object Group.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

int Menu.AnimateMenu (menuitem: Object, sleep: int, realLabel: string, docOrBook: Object, action: bool)

bool Object.isPrototypeOf (what: Object)

bool Object.isValid (what: Object)

Object Panel.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

UIEvent UIEvent.UIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

void UIEvent.initUIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

void Window.Window (type: String[, title: String][, bounds: Bounds][, properties: Object])

Object Window.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

void XML.setSettings (obj: Object)

Return

Object Book.GetUniqueObject ([objType: int][, unique: int])

Object Book.Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals])

Object Book.NewSeriesObject ([objType: int][, previous: Object])

Object Book.Save ([saveAsName: string][, saveParams: PropVals][, saveReturnParams: PropVals])

Object CMSObject.CMSOpenFile (openParams: TypedVal)

Object Doc.GetNamedObject ([objType: int][, name: string])

Object Doc.GetUniqueObject ([objType: int][, unique: int])

Object Doc.Import ([textLocP: TextLoc][, filename: string][, importParams: PropVals][, importReturnParams: PropVals])

Object Doc.NewAnchoredFormattedObject ([objType: int][, format: string][, textLoc: TextLoc])

Object Doc.NewAnchoredObject ([objType: int][, textloc: TextLoc])

Object Doc.NewGraphicObject ([objType: int][, parent: Any FrameMaker Graphic Object])

Object Doc.NewNamedObject ([objType: int][, name: string])

Object Doc.Save ([saveAsName: string][, saveParams: PropVals][, saveReturnParams: PropVals])

Object Group (SUI).add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Object Object.Object (what: any)

Object Object.valueOf ()

Object Panel (SUI).add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Object Window (SUI).add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Object XML.defaultSettings ()

Object XML.settings ()

Object app.GetNamedObject ([objType: int][, name: string])

Object app.NewNamedObject ([objType: int][, name: string])

Object global.Open ([fileName: string][, openParams: PropVals][, openReturnParams: PropVals])

Object global.SimpleOpen ([fileName: string][, interactive: int])


Adobe FrameMaker-10 Object Model JS: QName

Class

QName

A qualified XML name, containing the URI and the local name.

QuickLinks

 QName

Properties

Property | Type | Access | Description
localName | string | readonly | The local name part of the qualified name.
uri | string | readonly | The URI part of the qualified name.

Methods

Constructor

QName QName (uri: any[, name: string])
Creates a QName object.

Parameter | Type | Description
uri | any | The URI, specified as a Namespace object, an existing QName object, or string. • If this is a Namespace object, the URI is set to the namespace URI, and there is no local name. • If this is a QName object, the URI and localName is set to those of that object. • If this is a string, the URI is set to that string.
name | string | The local name. Used only if URI is given as a string. (Optional)

Example new QName ("http:/www.adobe.com", "name")

Used in:

void XML.setName (name: QName)

Return

QName QName.QName (uri: any[, name: string])

QName XML.name ()


Adobe FrameMaker-10 Object Model JS: Reflection

Class

Reflection

Provides information about a class.

QuickLinks

 find, toXML

Properties

Property | Type | Access | Description
description | string | readonly | The long description text.
help | string | readonly | The short description text.
methods | Array of ReflectionInfo | readonly | An array of method descriptions.
name | string | readonly | The class name.
properties | Array of ReflectionInfo | readonly | An array of property descriptions.
sampleCode | string | readonly | Sample code, if present.
sampleFile | File | readonly | A file containing sample code. May be null.
staticMethods | Array of ReflectionInfo | readonly | An array of class method descriptions.
staticProperties | Array of ReflectionInfo | readonly | An array of class property descriptions.

Methods

Instances

ReflectionInfo find (name: string)
Finds an element description by name.

Parameter | Type | Description
name | string | The name of the element to find.

XML toXML ()
Returns this class information as XML in OMV format.

Element of

Object.reflect

ReflectionInfo.parent


Adobe FrameMaker-10 Object Model JS: ReflectionInfo

Class

ReflectionInfo

Provides information about a method, a property or a method parameters.

Hierarchy

Reflection
ReflectionInfo

Properties

Property | Type | Access | Description
arguments | Array of ReflectionInfo | readonly | The description of method or function arguments.
dataType | string | readonly | The data type.
defaultValue | any | readonly | The default value.
description | string | readonly | The long description text.
help | string | readonly | The short description text.
isCollection | bool | readonly | Contains true if the class describes a collection class.
max | number | readonly | The maximum value.
min | number | readonly | The minimum value.
name | string | readonly | The element name.
parent | Reflection | readonly | The class object that this element belongs to.
sampleCode | string | readonly | Sample code, if present.
sampleFile | File | readonly | A file containing sample code. May be null.
type | string | readonly | The element type. One of unknown, readonly, readwrite, createonly, method or parameter.

Element of

Reflection.methods

Reflection.properties

Reflection.staticMethods

Reflection.staticProperties

ReflectionInfo.arguments

Return

ReflectionInfo Reflection.find (name: string)


Adobe FrameMaker-10 Object Model JS: RegExp

Class

RegExp

Wraps a regular expression.

QuickLinks

 RegExp, compile, exec, test, toString

Class

Property | Type | Access | Description
$1 | string | readonly | The matched subexpression #1.
$2 | string | readonly | The matched subexpression #2.
$3 | string | readonly | The matched subexpression #3.
$4 | string | readonly | The matched subexpression #4.
$5 | string | readonly | The matched subexpression #5.
$6 | string | readonly | The matched subexpression #6.
$7 | string | readonly | The matched subexpression #7.
$8 | string | readonly | The matched subexpression #8.
$9 | string | readonly | The matched subexpression #9.
global | bool | r/w | Indicates whether the match is a global match.
ignoreCase | bool | r/w | Indicates whether the match is not case sensitive.
input | string | r/w | The original input string.
lastMatch | string | readonly | The last match.
lastParen | string | readonly | The value of the last matched subexpression.
leftContext | string | readonly | The string before the match.
multiline | bool | r/w | Indicates whether the match matches multiple lines.
rightContext | string | readonly | The string after the match.

Methods

Constructor

RegExp RegExp (pattern: string[, flags: string])
Creates and returns a new RegExp object set to the value of the argument converted to a regular expression.

Parameter | Type | Description
pattern | string | The pattern to convert.
flags | string | Flags that control how the conversion is performed. A string containing any combination of the letters i, m, g: • "i" -- ignore case in pattern matching • "m" -- treat the string as multiple lines • "g" -- do global pattern matching (Optional)

Instances

bool compile (pattern: string)
Compiles a string to a regular expression. Returns true if the compilation was successful.

Parameter | Type | Description
pattern | string | The pattern to compile.

Array exec (text: string)
Execute a regular expression.
The return value is an array of matches, with the first element containing the match, and successive elements containing the results of any matching subexpression in their order of appearance. If there is no match, the result is null.

Parameter | Type | Description
text | string | The string to match.

bool test (text: string)
Execute a regular expression, and return true if there is a match.

Parameter | Type | Description
text | string | The string to match.

string toString ()
Converts this RegExp object to a string.

Used in:

Array String.match (regexp: RegExp)

number String.search (search: RegExp)

Return

RegExp RegExp.RegExp (pattern: string[, flags: string])


Adobe FrameMaker-10 Object Model JS: Socket

Class

Socket

Creates a TCP/IP connection, or establishes a TCP/IP server.

QuickLinks

 Socket, close, listen, open, poll, read, readln, write, writeln

Properties

Property | Type | Access | Description
connected | bool | readonly | When true, the connection is active.
encoding | string | r/w | Sets or retrieves the name of the encoding used to transmit data. Typical values are "ASCII", "BINARY", or "UTF-8".
eof | bool | readonly | When true, the receive buffer is empty.
error | string | r/w | A message describing the most recent error. Setting this value clears any error message.
host | string | readonly | The name of the remote computer when a connection is established. If the connection is shut down or does not exist, the property contains the empty string.
timeout | number | r/w | The timeout in seconds to be applied to read or write operations. (default: 10)

Methods

Constructor

Socket Socket ()
Creates a new Socket object.

Instances

bool close ()
Terminates the open connection.
Returns true if the connection was closed, false on I/O errors.
Deleting the object also closes the connection, but not until JavaScript garbage-collects the object. The connection might stay open longer than you wish if you do not close it explicitly.

bool listen (port: number[, encoding: string=ASCII])
Instructs the object to start listening for an incoming connection.
The call to open() and the call to listen()are mutually exclusive. Call one function or the other, not both.

Parameter | Type | Description
port | number (range: 1 - 65535) | The TCP/IP port number to listen on. Valid port numbers are 1 to 65535. Typical values are 80 for a Web server, 23 for a Telnet server and so on.
encoding | string | The encoding to be used for the connection (default: ASCII) Typical values are "ASCII", "BINARY", or "UTF-8". (Optional)

bool open (host: string[, encoding: string=ASCII])
Opens the connection for subsequent read/write operations.
The call to open() and the call to listen() are mutually exclusive. Call one function or the other, not both.

Parameter | Type | Description
host | string | The server to connect to. This can be a DNS name, an IPv4 address, or an IPv6 address, followed by a colon and a port number.
encoding | string | The encoding to be used for the connection (default: ASCII) Typical values are "ASCII", "binary", or "UTF-8". (Optional)

Socket poll ()
Checks a listening object for a new incoming connection.
If a connection request was detected, the method returns a new Socket object that wraps the new connection. Use this connection object to communicate with the remote computer. After use, close the connection and delete the JavaScript object. If no new connection request was detected, the method returns null.

string read ([count: number])
Reads up to the specified number of characters from the connection. CR characters are ignored unless the encoding is set to "BINARY".
Returns a string that contains up to the number of characters that were supposed to be read, or the number of characters read before the connection closed or timed out.

Parameter | Type | Description
count | number | The number of characters to read. If not supplied, the connection attempts to read as many characters it can get and returns immediately. (Optional)

string readln ()
Reads one line of text up to the next line feed.
Line feeds are recognized as LF or CRLF pairs. CR characters are ignored. Returns a string containing the characters.

bool write (text: string)
Concatenates all arguments into a single string and writes that string to the connection.

Parameter | Type | Description
text | string | Any number of string values. All arguments are concatenated to form the string to be written. CRLF sequences are converted to LFs unless the encoding is set to "BINARY".

bool writeln (text: string)
Concatenates all arguments into a single string, appends a LF character, and writes that string to the connection.

Parameter | Type | Description
text | string | Any number of string values. All arguments are concatenated to form the string to be written. CRLF sequences are converted to LFs unless the encoding is set to "BINARY".

Example
See file Socket.jsx

Return

Socket Socket.Socket ()

Socket Socket.poll ()


Adobe FrameMaker-10 Object Model JS: String

Class

String

A character string. Each character is adressable by index.

QuickLinks

 String, anchor, big, blink, bold, charAt, charCodeAt, concat, fixed, fontcolor, fontsize, fromCharCode, indexOf, italics, lastIndexOf, link, localeCompare, match, replace, search, slice, small, split, strike, sub, substr, substring, sup, toLocaleLowerCase, toLocaleUpperCase, toLowerCase, toSource, toString, toUpperCase, valueOf

Properties

Property | Type | Access | Description
length | number | readonly | The length of the string.

Methods

Constructor

String String (value: any)
Returns a string representation of the value given as an argument.

Parameter | Type | Description
value | any | A number, variable, or object to convert to a string.

Example new String(value)

Class

String fromCharCode (value1: number)
Returns a string created by concatenation one or more characters specified as ASCII values.

Parameter | Type | Description
value1 | number | One or more ASCII values.

Example String.fromCharCode(value1,...valueN)

Instances

string anchor (name: string)
Returns a string consisting of this string enclosed in a <a> tag.

Parameter | Type | Description
name | string | The text to be stored in the anchors' name attribute.

string big ()
Returns a string consisting of this string enclosed in a <big> tag.

string blink ()
Returns a string consisting of this string enclosed in a <blink> tag.

string bold ()
Returns a string consisting of this string enclosed in a <b> tag.

string charAt (index: number)
Returns the character at the specified index.

Parameter | Type | Description
index | number | An integer between 0 and string.length -1, specifying the character to return.

Example string.charAt(index)

number charCodeAt (index: number)
Returns the Unicode value of the character at the given index.

Parameter | Type | Description
index | number | An integer between 0 and string.length -1, specifying the character.

Example string.charCodeAt(index)

string concat (value: string)
If necessary, converts the one or more given values to strings.
Those values are concatenated with the original string, the result is returned. The original string is not effected. Returns the concatenated string.

Parameter | Type | Description
value | string | The values to be concatenated with the given string.

Example string.concat(value1,...valueN)

string fixed ()
Returns a string consisting of this string enclosed in a <tt> tag.

string fontcolor (color: string)
Returns a string consisting of this string enclosed in a <font> tag.

Parameter | Type | Description
color | string | The value to be stored in the tag's color attribute.

string fontsize (size: number)
Returns a string consisting of this string enclosed in a <font> tag.

Parameter | Type | Description
size | number | The value to be stored in the tag's size attribute.

number indexOf (searchValue: string[, offset: number])
Returns the index within the string of the first occurrence of the specified string, starting the search at fromIndex if provided.

Parameter | Type | Description
searchValue | string | The string for which to search.
offset | number | The starting offset of the search. (Optional)

Example string.indexOf(searchValue, fromIndex)

string italics ()
Returns a string consisting of this string enclosed in a <i> tag.

number lastIndexOf (searchValue: string[, offset: number])
Returns the index within the string of the last occurrence of the specified value.
The string is searched backward, starting at fromIndex. Returns the index within the string where the last occurrence of searchValue was found, or -1 if it was not found.

Parameter | Type | Description
searchValue | string | The string for which to search.
offset | number | The starting offset of the search. (Optional)

Example string.lastIndexOf(searchValue, fromIndex)

string link (href: string)
Returns a string consisting of this string enclosed in a <a> tag.

Parameter | Type | Description
href | string | The value to be stored in the tag's href attribute.

number localeCompare (what: string)
Performs a localized comparison of two strings.

Parameter | Type | Description
what | string | The string to compare with.

Array match (regexp: RegExp)
Matches a string against a regular expression.

Parameter | Type | Description
regexp | RegExp | The regular expression to use.

string replace (what: any, with: string)

Parameter | Type | Description
what | any |
with | string |

number search (search: RegExp)

Parameter | Type | Description
search | RegExp |

string slice (startSlice: number[, endSlice: number])
Extracts a substring of the given string and returns it as a new string.
The substring begins at startSlice, and includes all characters up to, but not including the character at the index endSlice. A negative value indexes from the end of the string. For example, a negative value for startSlice is resolved as: string. length + startSlice. The original string is unchanged. Returns a substring of characters from the given string, starting at startSlice and ending with endSlice-1.

Parameter | Type | Description
startSlice | number | The index at which to begin extraction.
endSlice | number | The index at which to end extraction. If omitted, slice extracts to the end of the string. (Optional)

Example string.slice(startSlice, endSlice)

string small ()
Returns a string consisting of this string enclosed in a <small> tag.

string split (delimiter: string, limit: number)
Splits a string into a group of substrings, places those strings in an array, and returns the array.
The substrings are created by breaking the original string at places that match delimiter, the delimiter characters are removed. Returns an array whose elements are the substrings.

Parameter | Type | Description
delimiter | string | Specifies the string to use for delimiting. If delimiter is omitted, the array returned contains one element, consisting of the entire string.
limit | number |

Example string.split(delimiter)

string strike ()
Returns a string consisting of this string enclosed in a <strike> tag.

string sub ()
Returns a string consisting of this string enclosed in a <sub> tag.

string substr (start: number, length: number)
Returns a string containing the characters beginning at the specified index, start, through the specified number of characters.
The original string is unchanged. Returns a string containing the extracted characters.

Parameter | Type | Description
start | number | Location at which to begin extracting characters.
length | number | (OptIonal) The number of characters to extract.

Example string.substr(start, length)

string substring (indexA: number[, indexB: number])
Returns a substring of the given string by extracting characters from indexA up to but not including indexB.
The original string is unchanged. Returns a substring of characters from the given string, starting at indexA and ending with indexB-1.

Parameter | Type | Description
indexA | number | The index to begin extracting.
indexB | number | (Optional) The index at which to end extraction. If omitted, slice extracts to the end of the string.

Example string.substring(indexA, indexB)

string sup ()
Returns a string consisting of this string enclosed in a <sup> tag.

string toLocaleLowerCase ()
Returns a new string which contains all the characters of the original string converted to lowercase (localized).
The original string is unchanged.

string toLocaleUpperCase ()
Returns a new string which contains all the characters of the original string converted to uppercase (localized).
The original string is unchanged.

string toLowerCase ()
Returns a new string which contains all the characters of the original string converted to lowercase.
The original string is unchanged.

Example string.toLowerCase()

string toSource ()
Creates a string representation of this object that can be fed back to eval() to re-create an object. Works only with built-in classes.

string toString ()
Returns itself.

string toUpperCase ()
Returns a new string which contains all the characters of the original string converted to uppercase.
The original string is unchanged.

Example string.toUpperCase()

string valueOf ()
Returns itself.

Element of

Button.alignment

Button.helpTip

Button.justify

Button.shortcutKey

Button.text

Button.type

Checkbox.alignment

Checkbox.helpTip

Checkbox.justify

Checkbox.shortcutKey

Checkbox.text

Checkbox.type

DropDownList.alignment

DropDownList.helpTip

DropDownList.shortcutKey

DropDownList.type

EditText.alignment

EditText.helpTip

EditText.justify

EditText.shortcutKey

EditText.text

EditText.textselection

EditText.type

Event.eventPhase

Event.type

FlashPlayer.alignment

FlashPlayer.helpTip

FlashPlayer.type

Group.alignChildren

Group.alignment

Group.helpTip

Group.orientation

Group.type

IconButton.alignment

IconButton.helpTip

IconButton.shortcutKey

IconButton.type

KeyboardState.keyName

ListBox.alignment

ListBox.helpTip

ListBox.shortcutKey

ListBox.type

ListItem.text

ListItem.type

Panel.alignChildren

Panel.alignment

Panel.helpTip

Panel.justify

Panel.orientation

Panel.text

Panel.type

Progressbar.alignment

Progressbar.helpTip

Progressbar.type

RadioButton.alignment

RadioButton.helpTip

RadioButton.justify

RadioButton.shortcutKey

RadioButton.text

RadioButton.type

ScriptUI.Alignment

ScriptUI.coreVersion

ScriptUI.frameworkName

ScriptUIBrush.theme

ScriptUIFont.family

ScriptUIFont.name

ScriptUIFont.substitute

ScriptUIImage.format

ScriptUIImage.name

ScriptUIImage.pathname

ScriptUIPen.theme

ScriptUIPen.type

Scrollbar.alignment

Scrollbar.helpTip

Scrollbar.shortcutKey

Scrollbar.type

Slider.alignment

Slider.helpTip

Slider.shortcutKey

Slider.type

StaticText.alignment

StaticText.helpTip

StaticText.justify

StaticText.shortcutKey

StaticText.text

StaticText.type

TreeView.alignment

TreeView.helpTip

TreeView.shortcutKey

TreeView.type

UIEvent.eventPhase

UIEvent.type

Window.alignChildren

Window.alignment

Window.frameworkName

Window.helpTip

Window.justify

Window.orientation

Window.shortcutKey

Window.text

Window.type

Used in:

Boolean Button.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Button.notify ([eventName: String])

Boolean Button.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Checkbox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Checkbox.notify ([eventName: String])

Boolean Checkbox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

ListItem DropDownList.add (type: String[, text: String])

Boolean DropDownList.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

ListItem DropDownList.find (text: String)

void DropDownList.notify ([eventName: String])

Boolean DropDownList.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean EditText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void EditText.notify ([eventName: String])

Boolean EditText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Event (SUI) Events.createEvent (eventType: String)

Boolean FlashPlayer.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Any FlashPlayer.invokePlayerFunction (name: String[, argument: Any])

void FlashPlayer.notify ([eventName: String])

Boolean FlashPlayer.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Object Group.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Boolean Group.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Group.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean IconButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void IconButton.notify ([eventName: String])

Boolean IconButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

ListItem ListBox.add (type: String[, text: String])

Boolean ListBox.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

ListItem ListBox.find (text: String)

void ListBox.notify ([eventName: String])

Boolean ListBox.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Object Panel.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Boolean Panel.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Panel.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Progressbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean RadioButton.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void RadioButton.notify ([eventName: String])

Boolean RadioButton.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

String ScriptUI.getResourceText (text: String)

ScriptUIFont ScriptUI.newFont (name: String, style: String | Number, size: Number)

ScriptUIImage ScriptUI.newImage (normal: String[, disabled: String][, pressed: String][, rollover: String])

void ScriptUIGraphics.drawString (text: String, pen: ScriptUIPen, x: Number, y: Number[, font: ScriptUIFont])

Dimension ScriptUIGraphics.measureString (text: String[, font: ScriptUIFont][, boundingWidth: Number])

ScriptUIBrush ScriptUIGraphics.newBrush (type: Number, color: Array of Number | String)

ScriptUIPen ScriptUIGraphics.newPen (type: Number, color: Array of Number | String, width: Number)

Boolean Scrollbar.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Scrollbar.notify ([eventName: String])

Boolean Scrollbar.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean Slider.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Slider.notify ([eventName: String])

Boolean Slider.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Boolean StaticText.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void StaticText.notify ([eventName: String])

Boolean StaticText.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

ListItem TreeView.add (type: String[, text: String])

Boolean TreeView.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

ListItem TreeView.find (text: String)

void TreeView.notify ([eventName: String])

Boolean TreeView.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

UIEvent UIEvent.UIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

void UIEvent.initEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, cancelable: Boolean=false])

void UIEvent.initUIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

void Window.Window (type: String[, title: String][, bounds: Bounds][, properties: Object])

Object Window.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Boolean Window.addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

void Window.alert (message: String[, title: String][, errorIcon: Boolean=false])

Boolean Window.confirm (message: String[, noAsDefault: Boolean=false][, title: String])

Window Window.find (type: String, title: String)

void Window.notify ([eventName: String])

String Window.prompt (prompt: String[, default: String][, title: String])

Boolean Window.removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])

Return

String ScriptUI.getResourceText (text: String)

String String.String (value: any)

String String.fromCharCode (value1: number)

String Window (SUI).prompt (prompt: String[, default: String][, title: String])


Adobe FrameMaker-10 Object Model JS: UnitValue

Class

UnitValue

Represents a measurement as a combination of values and unit.

Note that this object is not available in all applications.

QuickLinks

 as, convert

Properties

Property | Type | Access | Description
baseUnit | UnitValue | r/w | The base unit.
type | string | readonly | The unit name.
value | number | r/w | The numeric value.

Class

Property | Type | Access | Description
baseUnit | UnitValue | r/w | The base unit for all conversions.

Methods

Instances

UnitValue as (unitName: string)
Returns this instance as a different unit.

Parameter | Type | Description
unitName | string | The unit name.

any convert (unitName: string)
Converts this instance to a different unit.

Parameter | Type | Description
unitName | string | The unit name.

Element of

UnitValue.baseUnit

UnitValue.baseUnit

Return

UnitValue UnitValue.as (unitName: string)


Adobe FrameMaker-10 Object Model JS: XML

Class

XML

Wraps XML into an object.

QuickLinks

 XML, addNamespace, appendChild, attribute, attributes, child, childIndex, children, comments, contains, copy, defaultSettings, descendants, elements, hasComplexContent, hasSimpleContent, inScopeNamespaces, insertChildAfter, insertChildBefore, length, localName, name, namespace, namespaceDeclarations, nodeKind, normalize, parent, prependChild, processingInstructions, removeNamespace, replace, setChildren, setLocalName, setName, setNamespace, setSettings, settings, text, toString, toXMLString, xpath

Class

Property | Type | Access | Description
ignoreComments | bool | r/w | Controls whether XML comments should be parsed (false) or ignored (true). (default: true)
ignoreProcessingInstructions | bool | r/w | Controls whether XML preprocessing instructions should be parsed (false) or ignored (true). (default: true)
ignoreWhitespace | bool | r/w | Controls whether whitespace should be parsed (false) or ignored (true). (default: true)
prettyIndent | number | r/w | The number of spaces used to indent pretty-printed XML. (default: 2)
prettyPrinting | bool | r/w | When true, XML is pretty-printed when converting to a string. (default: true)

Methods

Constructor

XML XML (text: string)
Parses an XML string. Throws an error if the XML is incorrect.

Parameter | Type | Description
text | string | The text to parse.

Class

Object defaultSettings ()
Returns an object containing the default parsing and print settings for XML.

void setSettings (obj: Object)
Sets the parsing and print setting for XML using an object returned by the settings() method.

Parameter | Type | Description
obj | Object | The object containing the settings to set.

Object settings ()
Returns an object containing the current parsing and print settings for XML.

Instances

XML addNamespace (namespace: Namespace)
Adds a namespace declaration to the node. Returns the XML object itself.

Parameter | Type | Description
namespace | Namespace | The namespace to add.

XML appendChild (child: XML)
Appends the given XML to this XML as a child. Returns the XML object itself.
If the argument is not XML, creates a new XML element containing the argument as text. The element name of that new XML is the same as the last element in the original XML.

Parameter | Type | Description
child | XML | The child XML to add.

XML attribute (name: string)
Returns a list containing all attribute elements matching the given name.

Parameter | Type | Description
name | string | The attribute name to look for.

XML attributes ()
Returns a list containing all attribute elements.

XML child (name: string)
Returns a list containing all children of this XML matching the given element name.
If the argument is a number, uses the number as index into the array of children.

Parameter | Type | Description
name | string | The name or the index of the child element.

number childIndex ()
Returns a number representing the ordinal position of this XML object within the context of its parent.

XML children ()
Returns an XML object containing all the properties of this XML object in order.

XML comments ()
Returns an XML object containing the properties of this XML object that represent XML comments.

bool contains (xml: XML)
Checks if this XML object contains the given XML object.

Parameter | Type | Description
xml | XML | The XML to search for.

XML copy ()
Creates a copy of this XML object.

XML descendants ([name: string])
Returns all the XML-valued descendants of this XML object with the given name.
If the name parameter is omitted, returns all descendants of this XML object.

Parameter | Type | Description
name | string | The name of the descendant to find. (Optional)

XML elements ([name: string])
Returns a list of XML children that are elements with a given name, or all children that are XML elements.

Parameter | Type | Description
name | string | The element name. If not supplied, gets all children that are XML elements. (Optional)

bool hasComplexContent ()
Reports whether this XML object contains complex content.
An XML object is considered to contain complex content if it represents an XML element that has child elements. XML objects representing attributes, comments, processing instructions and text nodes do not have complex content. The existence of attributes, comments, processing instructions and text nodes within an XML object is not significant in determining if it has complex content.

bool hasSimpleContent ()
Reports whether this XML object contains simple content.
An XML object is considered to contain simple content if it represents a text node, represents an attribute node or if it represents an XML element that has no child elements. XML objects representing comments and processing instructions do not have simple content. The existence of attributes, comments, processing instructions and text nodes within an XML object is not significant in determining if it has simple content.

Array inScopeNamespaces ()
Returns an array of Namespace objects mirroring the current list of valid namespaces at this element.
The last element of the returned array is the default namespace.

void insertChildAfter (child1: XML, child2: XML)
Inserts the given child2 after the given child1 in this XML object and returns this XML object.
If child1 is null, the method inserts child2 before all children of this XML object (that is, after none of them). If child1 does not exist in this XML object, the method returns without modifying this XML object.

Parameter | Type | Description
child1 | XML | The child to insert the other child after. If null, the method inserts child2 before all children of this XML object.
child2 | XML | The XML to insert.

void insertChildBefore (child1: XML, child2: XML)
Inserts the given child2 before the given child1 in this XML object and returns this XML object.
If child1 is null, the method inserts child2 after all children of this XML object (that is, before none of them). If child1 does not exist in this XML object, the method returns without modifying this XML object.

Parameter | Type | Description
child1 | XML | The child to search for. If null, the method inserts child2 after all children of this XML object.
child2 | XML | The XML to insert.

number length ()
Returns the number of elements contained in an XML list. If this XML object is not a list, returns 1.

string localName ()
Returns the local name of this XML object.
This value corresponds to the element name unless the name has a namespace prefix. For example, if the element has the name "ns:tag", the return value is "tag".

QName name ()
Returns a QName object containing the URI and the local name of the element.

Namespace namespace ()
Returns a Namespace object containing the namespace URI of the current element.

Array namespaceDeclarations ()
Returns an array containing all namespace declarations of this XML object.

string nodeKind ()
Returns the type of this XML object as one of the strings "element", "attribute", "comment", "processing-instruction", or "text".

XML normalize ()
Puts all text nodes in this and all descendant XML objects into a normal form by merging adjacent text nodes and eliminating empty text nodes. Returns this XML object.

XML parent ()
Returns the parent object of this XML object.
The root object, as returned by the XML constructor, does not have a parent and returns null. Note that the E4X standard does not define what happens if this XML object is a list containing elements with multiple parents.

XML prependChild (child: XML)
Inserts a given child into this object before its existing XML properties, and returns this XML object.

Parameter | Type | Description
child | XML | The XML to insert.

XML processingInstructions ([name: string])
Returns a list of preprocessing instructions.
Collects processing-instructions with the given name, if supplied. Otherwise, returns an XML list containing all the children of this XML object that are processing-instructions regardless of their name.

Parameter | Type | Description
name | string | The name of the preprocessing instruction to return. (Optional)

XML removeNamespace (namespace: Namespace)
Removes the given namespace from this XML, and returns this XML.

Parameter | Type | Description
namespace | Namespace | The namespace to remove.

XML replace (name: string, value: XML)
Replaces the value of specified XML properties of this XML object returns this XML object.
This method acts like the assignment operator.

Parameter | Type | Description
name | string | The property name. Can be a numeric property name, a name for a set of XML elements, or the properties wildcard ‚Äú*‚Äù. If this XML object contains no properties that match the name, the method returns without modifying this XML object.
value | XML | The XML with which to replace the value of the matching property. Can be an XML object, XML list or any value that can be converted to a String with toString().

XML setChildren (value: XML)
Replaces all of the XML-valued properties in this object with a new value, and returns this XML object.

Parameter | Type | Description
value | XML | The new value, which can be a single XML object or an XML list.

void setLocalName (name: string)
Replaces the local name of this XML object with a string constructed from the given name
The local name is any part behind a colon character. If there is no colon, it is the entire name.

Parameter | Type | Description
name | string | The name to set.

void setName (name: QName)
Replaces the name of this XML object with the given QName object.

Parameter | Type | Description
name | QName | The fully qualified name.

void setNamespace (namespace: Namespace)
Sets the namespace for this XML element.
If the namespace has not been declared in the tree above this element, adds a namespace declaration.

Parameter | Type | Description
namespace | Namespace | The namespace to set.

XML text ()
Returns an XML list containing all XML properties of this XML object that represent XML text nodes.

string toString ()
Returns the string representation of this object.
For text and attribute nodes, this is the textual value of the node; for other elements, this is the result of calling the toXMLString() method. If this XML object is a list, concatenates the result of calling toString() on each element.

string toXMLString ()
Returns an XML-encoded string representation of this XML object.
Always includes the start tag, attributes and end tag of the XML object regardless of its content. It is provided for cases when the default XML to string conversion rules are not desired. Interprets the global settings XML.prettyPrint and XML.prettyIndent.

XML xpath (expr: string)
Evaluates the given XPath expression in accordance with the W3C XPath recommendation, using this XML object as the context node.

Parameter | Type | Description
expr | string | The XPath expression to use.

Used in:

XML XML.appendChild (child: XML)

bool XML.contains (xml: XML)

void XML.insertChildAfter (child1: XML, child2: XML)

void XML.insertChildBefore (child1: XML, child2: XML)

XML XML.prependChild (child: XML)

XML XML.replace (name: string, value: XML)

XML XML.setChildren (value: XML)

Return

XML Reflection.toXML ()

XML XML.XML (text: string)

XML XML.addNamespace (namespace: Namespace)

XML XML.appendChild (child: XML)

XML XML.attribute (name: string)

XML XML.attributes ()

XML XML.child (name: string)

XML XML.children ()

XML XML.comments ()

XML XML.copy ()

XML XML.descendants ([name: string])

XML XML.elements ([name: string])

XML XML.normalize ()

XML XML.parent ()

XML XML.prependChild (child: XML)

XML XML.processingInstructions ([name: string])

XML XML.removeNamespace (namespace: Namespace)

XML XML.replace (name: string, value: XML)

XML XML.setChildren (value: XML)

XML XML.text ()

XML XML.xpath (expr: string)


Adobe FrameMaker-10 Object Model JS: XMLList

Class

XMLList

An XML list object.

In this implementation, an XMLList object is synonymous to the XML object. The constructor accepts an XML list, but everything else works like the XML object.


Adobe FrameMaker-10 Object Model JS: Table of Contents, ScriptUI Classes

Adobe FrameMaker-10 Object Model

Contents

ScriptUI Classes

Don't like the panels and dialogs Adobe came up with? Create your own and see if you can do better.

Adobe FrameMaker-10.0

JavaScript Base Classes

ScriptUI Classes

Bounds

Button (SUI)

Checkbox

Dimension

DrawState

DropDownList

EditText

Environment

Event (SUI)

Events (SUI)

FlashPlayer

Group (SUI)

IconButton

KeyboardState

LayoutManager

ListBox

ListItem

Panel (SUI)

Point (SUI)

Progressbar

RadioButton

ScriptUI

ScriptUIBrush

ScriptUIFont

ScriptUIGraphics

ScriptUIImage

ScriptUIPath

ScriptUIPen

Scrollbar

Slider

StaticText (SUI)

TreeView

UIEvent

Window (SUI)


Adobe FrameMaker-10 Object Model JS: Bounds

Class

Bounds

Defines the boundaries of a window within the screenís coordinate space, or of a UI element within the containerís coordinate space.

A Bounds object is created when you set an elementís bounds property. You can set the property using a JavaScript object with properties named left, top, right, bottom or x, y, width, height, or an array with 4 values in the order [x, y, wd, ht].

Properties

Property | Type | Access | Description
bottom | Number | r/w | The vertical coordinate, a pixel offset from the origin of the element's coordinate space.
height | Number | r/w | The height in pixels.
left | Number | r/w | The horizontal coordinate, a pixel offset from the origin of the element's coordinate space.
length | Number | readonly | The array length. (default: 4)
right | Number | r/w | The width in pixels.
top | Number | r/w | The height in pixels.
width | Number | r/w | The width in pixels.
x | Number | r/w | The horizontal coordinate, a pixel offset from the origin of the element's coordinate space.
y | Number | r/w | The vertical coordinate, a pixel offset from the origin of the element's coordinate space.

Element of

Button.bounds

Button.windowBounds

Checkbox.bounds

Checkbox.windowBounds

DropDownList.bounds

DropDownList.windowBounds

EditText.bounds

EditText.windowBounds

FlashPlayer.bounds

FlashPlayer.windowBounds

Group.bounds

Group.windowBounds

IconButton.bounds

IconButton.windowBounds

ListBox.bounds

ListBox.windowBounds

Panel.bounds

Panel.windowBounds

Progressbar.bounds

Progressbar.windowBounds

RadioButton.bounds

RadioButton.windowBounds

Scrollbar.bounds

Scrollbar.windowBounds

Slider.bounds

Slider.windowBounds

StaticText.bounds

StaticText.windowBounds

TreeView.bounds

TreeView.windowBounds

Window.bounds

Window.frameBounds

Window.windowBounds

Used in:

Object Group.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

Object Panel.add (type: String[, bounds: Bounds][, text: String][, properties: Object])

void Window.Window (type: String[, title: String][, bounds: Bounds][, properties: Object])

Object Window.add (type: String[, bounds: Bounds][, text: String][, properties: Object])


Adobe FrameMaker-10 Object Model JS: Button (SUI)

Class

Button (SUI)

A pushbutton element containing a mouse-sensitive text string.

Calls the onClick() callback if the control is clicked or if its notify() method is called.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onClick, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
Button (SUI)

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
characters | Number (min: 0) | r/w | A number of characters for which to reserve space when calculating the preferred size of the element.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help string that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
justify | String | r/w | The text justification style. (default: left) One of left, center, or right. Justification only works if this value is set on creation of the element.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). A Button object has no creation properties, but the third argument to the add() method that creates it can be the initial text value.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
text | String | r/w | The text to display, a localizable string.
type | String | readonly | The element type; "button".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onClick ()
An event-handler callback function, called when the element has been clicked

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: Checkbox

Class

Checkbox

A dual-state control showing a box that has a checkmark when the value is true, and is empty when the value is false.

Calls the onClick() callback if the control is clicked or if its notify() method is called.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onClick, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
Checkbox

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
characters | Number (min: 0) | r/w | A number of characters for which to reserve space when calculating the preferred size of the element.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
justify | String | r/w | The default text justification style for child text elements. (default: left) One of left, center, or right. Justification only works if this value is set on creation of the element.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the item (properties used only when the element is created). A CheckBox object has no creation properties. The third argument to the add() method that creates it is the text to be displayed.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
text | String | r/w | The text to display, a localizable string.
type | String | readonly | The element type; "checkbox".
value | Boolean | r/w | The selection state of the control. When true, the control is in the selected or set state and displays the check mark. When false, shows an empty box.
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onClick ()
An event-handler callback function, called when the element has been clicked.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: Dimension

Class

Dimension

Defines the size of a window or UI element. Contains a 2-element array.

Specifies the height and width of an element in pixels. A Dimension object is created when you set an elementís size property. You can set the property using a JavaScript object with named properties {width: wd, height: ht}, or an array with 2 values in the order [wd, ht].

Properties

Property | Type | Access | Description
height | Number | r/w | The height in pixels.
length | Number | readonly | The array length. (default: 2)
width | Number | r/w | The width in pixels.

Element of

Button.maximumSize

Button.minimumSize

Button.preferredSize

Button.size

Checkbox.maximumSize

Checkbox.minimumSize

Checkbox.preferredSize

Checkbox.size

DropDownList.itemSize

DropDownList.maximumSize

DropDownList.minimumSize

DropDownList.preferredSize

DropDownList.size

EditText.maximumSize

EditText.minimumSize

EditText.preferredSize

EditText.size

FlashPlayer.maximumSize

FlashPlayer.minimumSize

FlashPlayer.preferredSize

FlashPlayer.size

Group.maximumSize

Group.minimumSize

Group.preferredSize

Group.size

IconButton.maximumSize

IconButton.minimumSize

IconButton.preferredSize

IconButton.size

ListBox.itemSize

ListBox.maximumSize

ListBox.minimumSize

ListBox.preferredSize

ListBox.size

Panel.maximumSize

Panel.minimumSize

Panel.preferredSize

Panel.size

Progressbar.maximumSize

Progressbar.minimumSize

Progressbar.preferredSize

Progressbar.size

RadioButton.maximumSize

RadioButton.minimumSize

RadioButton.preferredSize

RadioButton.size

ScriptUIImage.size

Scrollbar.maximumSize

Scrollbar.minimumSize

Scrollbar.preferredSize

Scrollbar.size

Slider.maximumSize

Slider.minimumSize

Slider.preferredSize

Slider.size

StaticText.maximumSize

StaticText.minimumSize

StaticText.preferredSize

StaticText.size

TreeView.itemSize

TreeView.maximumSize

TreeView.minimumSize

TreeView.preferredSize

TreeView.size

Window.frameSize

Window.maximumSize

Window.minimumSize

Window.preferredSize

Window.size

Return

Dimension ScriptUIGraphics.measureString (text: String[, font: ScriptUIFont][, boundingWidth: Number])


Adobe FrameMaker-10 Object Model JS: DrawState

Class

DrawState

Describes an input state at the time of the triggering ScriptUIGraphics.onDraw() event.

Contains properties that report whether the current control has the input focus, and the particular mouse button and keypress state. Passed in as argument to ScriptUIGraphics.onDraw().

Properties

Property | Type | Access | Description
altKeyPressed | Boolean | readonly | True if the Alt key is being pressed (in Windows only).
capsLockKeyPressed | Boolean | readonly | True if the Caps Lock key is being pressed.
cmdKeyPressed | Boolean | readonly | True if the Command key is being pressed (in Mac OS only).
ctrlKeyPressed | Boolean | readonly | True if the Ctrl key is being pressed.
hasFocus | Boolean | readonly | True if the element has the input focus.
leftButtonPressed | Boolean | readonly | True if the left mouse button is being pressed.
middleButtonPressed | Boolean | readonly | True if the middle mouse button is being pressed.
mouseOver | Boolean | readonly | True if the cursor is hovering over this element.
numLockKeyPressed | Boolean | readonly | True if the Num Lock key is being pressed.
optKeyPressed | Boolean | readonly | True if the Option key is being pressed (in Mac OS only).
rightButtonPressed | Boolean | readonly | True if the right mouse button is being pressed.
shiftKeyPressed | Boolean | readonly | True if the Shift key is being pressed.


Adobe FrameMaker-10 Object Model JS: DropDownList

Class

DropDownList

Displays a single visible item. When you click the control, a list drops down or pops up, and allows you to select one of the other items in the list.

Drop-down lists can have nonselectable separator items for visually separating groups of related items, as in a menu. You can specify the items on creation of the list object, or afterward using the list objectís add() method. You can remove items programmatically with the list objectís remove() and removeAll() methods. Calls the onChange() callback if the item selection is changed or if its notify() method is called.

QuickLinks

 add, addEventListener, dispatchEvent, find, hide, notify, onActivate, onChange, onDeactivate, onDraw, onShortcutKey, remove, removeAll, removeEventListener, show

Hierarchy

Object
DropDownList

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
itemSize | Dimension | r/w | The width and height in pixels of each item in the list. Used by auto-layout to determine the preferredSize of the list, if not otherwise specified. If not set explicitly, the size of each item is set to match the largest height and width among all items in the list
items | Array of ListItem | readonly | The array of choice items displayed in the drop-down or pop-up list. Access this array with a 0-based index. To obtain the number of items in the list, use .The objects are created when items are specified on creation of the parent list object, or afterward using the list controlís add() method. Items in a drop-down list can be of type separator, in which case they cannot be selected, and are shown as a horizontal line. Each item has a selected property that is true when it is in the selected state.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). Creation properties of a DropDownList object can include: • items: An array of strings for the text of each list item. An item object is created for each item. An item with the text string "-" creates a separator item. Supply this property, or the items argument to the add() method, not both. This form is most useful for elements defined using Resource Specifications.
selection | ListItem | r/w | The currently selected list item. Setting this value causes the selected item to be highlighted and to be scrolled into view if necessary. If no items are selected, the value is null. Set to null to deselect all items.You can set the value using the index of an item, rather than an object reference. If set to an index value that is out of range, the operation is ignored. When set with an index value, the property still returns an object reference.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type; "dropdownlist".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onChange ()
An event-handler callback function, called when the content of the element has been changed

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

ListItem add (type: String[, text: String])
Adds an item or separator to the choices in this list.
Returns the item control object for type="item", or null for type="separator".

Parameter | Type | Description
type | String | The type of the child element. Either item (a basic, selectable item with a text label) or separator
text | String | The localizable text label for the item. (Optional)

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

ListItem find (text: String)
Retrieves an item object from the list that has a given text label.

Parameter | Type | Description
text | String | The text string to match.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

void remove (what: Any)
Removes a child item from the list.

Parameter | Type | Description
what | Any | The item or child to remove, specified by 0-based index, text value, or as a ListItem object.

void removeAll ()
Removes all child items from the list.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: EditText

Class

EditText

An editable text field that the user can select and change.

Calls the onChange() callback if the text is changed and the user types Enter or the control loses focus, or if its notify() method is called. Calls the onChanging() callback when any change is made to the text. The textselection property contains currently selected text.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onChange, onChanging, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
EditText

Properties

Property | Type | Access | Description
active Boolean r/w True if this element is active.
An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment String r/w The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container.
This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive.
• For orientation=row:top, bottom, fill
• For orientation=column: left, right, fill
• For orientation=stack:top, bottom, left, right, fill
bounds Bounds r/w The boundaries of the element, in parent-relative coordinates.
Setting an element's size or location changes its bounds property, and vice-versa.
characters | Number (min: 0) | r/w | A number of characters for which to reserve space when calculating the preferred size of the element.
children | Array of Object | readonly | An array of child elements.
enabled Boolean r/w True if this element is enabled.
An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent Number (min: 0) r/w The number of pixels to indent the element during automatic layout.
Applies for column orientation and left alignment, or row orientation and top alignment.
justify String r/w The text justification style. (default: left)
One of left, center, or right. Justification only works if this value is set on creation of the element.
location Point r/w The upper left corner of this element relative to its parent.
The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize Dimension r/w The preferred size, used by layout managers to determine the best size for each element.
If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties Object r/w An object that contains one or more creation properties of the container (properties used only when the element is created).
Creation properties of an EditText object can include:
• multiline: When false (the default), the control displays a single line of text. When true, the control displays multiple lines, in which case the text wraps within the width of the control.
• readonly: When false (the default), the control accepts text input. When true, the control does not accept input but only displays the contents of the text property.
• noecho: When false (the default), the control displays input text. When true, the control does not display input text (used for password input fields).
• enterKeySignalsOnChange: When false (the default), the control signals an
event when the editable text is changed and the control loses the keyboard focus (that is, the user tabs to another control, clicks outside the control, or types Enter). When true, the control only signals an onChange() event when the editable text is changed and the user types Enter; other changes to the keyboard focus do not signal the event.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size Dimension r/w The current dimensions of this element.
Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
text | String | r/w | The current text displayed in the field, a localizable string.
textselection String r/w The currently selected text, or the empty string if there is no text selected.
Setting the value replaces the current text selection and modifies the value of the text property. If there is no current selection, inserts the new value into the text string at the current insertion point. The textselection value is reset to an empty string after it modifies the text value. Note that setting the textselection property before the elementís parent Window exists is an undefined operation.
type | String | readonly | The element type; "edittext".
visible Boolean r/w True if this element is shown, false if it is hidden.
When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onChange ()
An event-handler callback function, called when the content of the element has been changed
The handler is called only when the change is completeóthat is, when focus moves to another control, or the user types Enter. The exact behavior depends on the creation parameter enterKeySignalsOnChange;see the
property.

void onChanging ()
An event-handler callback function, called when the content of the element is in the process of changing
The handler is called for each keypress while this control has the input focus.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: Environment

Class

Environment

Defines attributes of the ScriptUI environment.

Access through the ScriptUI.environment property.

Properties

Property | Type | Access | Description
keyboardState | KeyboardState | readonly | An object that reports the active state of the keyboard at any time. Provides access to the key state independent of the event-handling framework.

Element of

ScriptUI.environment


Adobe FrameMaker-10 Object Model JS: Event (SUI)

Class

Event (SUI)

Base class for UIEvent.

Encapsulates input event information for an event that propagates through a container and control hierarchy. Implements W3C standard event handling.

QuickLinks

 preventDefault, stopPropagation

Properties

Property | Type | Access | Description
bubbles | Boolean | readonly | True if the event is of a type that bubbles.
cancelable | Boolean | readonly | True if the default action associated with the event can be canceled with preventDefault().
captures | Boolean | readonly | True if this event can be captured.
currentTarget | Boolean | readonly | The event target object which is currently handling the event. During capturing and bubbling, this is different from the property target.
eventPhase | String | readonly | The current phase of event propagation; one of none, target, capture, bubble.
target | Object | readonly | The event target object for this event.
timeStamp | Date | readonly | The date and time at which the event occurred.
type | String | readonly | The name of the event that this object represents. Event types are listed in the JavaScript Tools Guide.

Class

Property | Type | Access | Description
AT_TARGET | any | readonly |
BUBBLING_PHASE | any | readonly |
CAPTURING_PHASE | any | readonly |
NOT_DISPATCHING | any | readonly |

Methods

Instances

void preventDefault ()
Prevents the default action associated with this event from being called.

void stopPropagation ()
Stops the propagation of this event.

Return

Event Events (SUI).createEvent (eventType: String)


Adobe FrameMaker-10 Object Model JS: Events (SUI)

Class

Events (SUI)

Provides access to objects used in the ScriptUI event system.

Access through the ScriptUI.events property.

QuickLinks

 createEvent

Methods

Instances

Event (SUI) createEvent (eventType: String)
Creates an instance of the specified Event subclass.
The Event returned is a UIEvent, KeyboardEvent or MouseEvent object, depending on the requested type. This object can be passed as a parameter to an element's dispatchEvent function in order to simulate a user-interaction event.

Parameter | Type | Description
eventType | String | The name of an event type: one of "UIEvent", "KeyboardEvent", or "MouseEvent".


Adobe FrameMaker-10 Object Model JS: FlashPlayer

Class

FlashPlayer

A control that contains a Flash Player, which can load and play Flash movies stored in SWF files.

The ScriptUI FlashPlayer element runs the Flash application within an Adobe application. The Flash application runs ActionScript, a different implementation of JavaScript from the ExtendScript version of JavaScript that Adobe applications run. A control object of this type contains functions that allow your script to load SWF files, control movie playback, and communicate with the ActionScript environment.

QuickLinks

 addEventListener, callback, dispatchEvent, hide, invokePlayerFunction, loadMovie, notify, playMovie, removeEventListener, show, stopMovie

Hierarchy

Object
FlashPlayer

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). A FlashPlayer object has no creation properties.
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type, "flashplayer".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void callback ()
A function definition for a callback from the Flash ActionScript environment.
The Flash ActionScript code can call any callback function defined on the ExtendScript side of the FlashPlayer object, invoking it by name as a property of the control object. The function can take any arguments of a supported data types, and can return any value of a supported data type. data types:Number, String, Boolean, null, undefined, Object, Array.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

Any invokePlayerFunction (name: String[, argument: Any])
Invokes an ActionScript function defined in the Flash application.
Returns the result of the invoked function, which must be one of the allowed types. The ActionScript class and date objects are not supported as return values.

Parameter | Type | Description
name | String | The name of a Flash ActionScript function that has been registered with the ExternalInterface object by the currently loaded SWF file.
argument | Any | An argument to pass through to the function. There can be any number of arguments. An argument must be one of these data types:Number, String, Boolean, null, undefined, Object, Array. No other data types are supported. (Optional)

void loadMovie (file: File)
Loads a movie into the Flash Player, and begins playing it.

Parameter | Type | Description
file | File | The File object for the SWF file to load.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

void playMovie ([rewind: Boolean=false])
Restarts a movie that has been stopped.
Do not use on a movie that is currently playing.
The stopMovie()-playMovie() sequence does not work for SWF files produced by Flex, or for some files produced by Flash Authoring (depending on how they were implemented).

Parameter | Type | Description
rewind | Boolean | When true, restarts the movie from the beginning; otherwise, starts playing from the point where it was stopped. (default: false)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.

void stopMovie ()
Halts playback of the current movie.
The stopMovie()-playMovie() sequence does not work for SWF files produced by Flex, or for some files produced by Flash Authoring (depending on how they were implemented).
Using stopMovie() from the player's hosting environment has no effect on an SWF file playing in a ScriptUI Flash Player element. It is, however, possible to produce an SWF using Flash Authoring that can stop itself in response to user interaction.


Adobe FrameMaker-10 Object Model JS: Group (SUI)

Class

Group (SUI)

A container for other controls within a window.

A group can specify layout options for its child elements. Hiding a group hides all its children. Making it visible makes visible those children that are not individually hidden.

QuickLinks

 add, addEventListener, dispatchEvent, hide, onDraw, remove, removeEventListener, show

Hierarchy

Object
Group (SUI)

Properties

Property | Type | Access | Description
alignChildren | String | r/w | Tells the layout manager how unlike-sized children of this container should be aligned within a column or row. Order of creation determines which children are at the top of a column or the left of a row; the earlier a child is created, the closer it is to the top or left of its column or row. If defined, alignment for a child element overrides the alignChildren setting for the parent container. See alignment property for values.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
layout | LayoutManager | r/w | The layout manager for this container. The first time a container object is made visible, ScriptUI invokes this layout manager by calling its layout() function. Default is an instance of the LayoutManager class that is automatically created when the container element is created.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
margins | Number | r/w | The number of pixels between the edges of a container and the outermost child elements. You can specify different margins for each edge of the container. The default value is based on the type of container, and is chosen to match the standard Adobe UI guidelines.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
orientation | String | r/w | The layout orientation of children in a container. Interpreted by the layout manager for the container. The default LayoutManager Object accepts the (case-insensitive) values row, column, or stack. For window and panel, the default is column, and for group the default is row. The allowed values for the containerís alignChildren and its childrenís alignment properties depend on the orientation.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the control (properties used only when the element is created). A Group object has no creation properties.
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
spacing | Number | r/w | The number of pixels separating one child element from its adjacent sibling element. Because each container holds only a single row or column of children, only a single spacing value is needed for a container. The default value is based on the type of container, and is chosen to match standard Adobe UI guidelines.
type | String | readonly | The element type; "group".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onDraw ()
An event-handler callback function, called when the group is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

Instances

Object add (type: String[, bounds: Bounds][, text: String][, properties: Object])
Adds a child element to this container.
Creates and returns a new control or container object and adds it to the children of this group.

Parameter | Type | Description
type | String | The type of the child element, as specified for the type property. Control types are listed in the JavaScript Tools Guide.
bounds | Bounds | A bounds specification that describes the size and position of the new control or container, relative to its parent. If supplied, this value creates a new Bounds object which is assigned to the new objectís bounds property. (Optional)
text | String | The text or label, a localizable string. Initial text to be displayed in the control as the title, label, or contents, depending on the control type. If supplied, this value is assigned to the new objectís text property. (Optional)
properties | Object | An object that contains one or more creation properties of the new child (properties used only when the element is created). The creation properties depend on the element type. See property of each control type. (Optional)

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void remove (what: Any)
Removes the specified child control from this group's children array.
No error results if the child does not exist.

Parameter | Type | Description
what | Any | The child control to remove, specified by 0-based index, text property value, or as a control object.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: IconButton

Class

IconButton

A mouse-sensitive pushbutton that displays an image instead of text.

Calls the onClick() callback if the control is clicked or if its notify() method is called.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onClick, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
IconButton

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
image | ScriptUIImage | r/w | The image object that defines the image to be drawn.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). Creation properties of an IconButton object can include: • style: A string for the visual style, either "button", which has a visible border with a raised or 3D appearance, or "toolbutton", which has a flat appearance, appropriate for inclusion in a toolbar.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type; "iconbutton".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onClick ()
An event-handler callback function, called when the element has been clicked.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: KeyboardState

Class

KeyboardState

Reports the active state of the keyboard.

Access through the ScriptUI.environment.keyboardState property. Query the properties of this object at any time to determine the current key that is down and any modifiers that are pressed.

Properties

Property | Type | Access | Description
altKey | Boolean | readonly | True if the Alt or Option key is pressed.
ctrlKey | Boolean | readonly | True if the Ctrl key is pressed.
keyName | String | readonly | A string containing the name of the currently pressed key, such as "a", or an empty string.
metaKey | Boolean | readonly | True if the Cmd key (in Mac OS) or Windows key (in Windows) is pressed.
shiftKey | Boolean | readonly | True if the Shift key is pressed.

Element of

Environment.keyboardState


Adobe FrameMaker-10 Object Model JS: LayoutManager

Class

LayoutManager

Controls the automatic layout behavior for a window or container.

The subclass AutoLayoutManager implements the default automatic layout behavior.

QuickLinks

 layout, resize

Methods

Instances

void layout ()
Invokes the automatic layout behavior for the managed container.
Adjusts sizes and positions of the child elements of this window or container according to the placement and alignment property values in the parent and children. Invoked automatically the first time the window is displayed. Thereafter, the script must invoke it explicitly to change the layout in case of changes in the size or position of the parent or children.

void resize ()
Performs a layout after a Window is resized, based on the new size.
Resizes the child elements of the managed container with a given alignment type, after the window has been resized by the user.

Element of

Group.layout

Panel.layout

Window.layout


Adobe FrameMaker-10 Object Model JS: ListBox

Class

ListBox

Displays a list of choices, represented by ListItem objects.

When you create the object, you specify whether it allows the user to select only one or multiple items. If a list contains more items than can be displayed in the available area, a scrollbar may appear that allows the user to scroll through all the list items.
You can specify the items on creation of the list object, or afterward using the list objectís add() method. You can remove items programmatically with the list objectís remove() and removeAll() methods. You can create a list box with multiple columns; in this case, each row is a selectable choice, and each ListItem represents one row.

QuickLinks

 add, addEventListener, dispatchEvent, find, hide, notify, onActivate, onChange, onDeactivate, onDoubleClick, onDraw, onShortcutKey, remove, removeAll, removeEventListener, show

Hierarchy

Object
ListBox

Properties

Property | Type | Access | Description
active Boolean r/w True if this element is active.
An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment String r/w The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container.
This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive.
• For orientation=row:top, bottom, fill
• For orientation=column: left, right, fill
• For orientation=stack:top, bottom, left, right, fill
bounds Bounds r/w The boundaries of the element, in parent-relative coordinates.
Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child ListItem elements.
columns Object readonly For a multi-column list box, the column properties.
A JavaScript object with two read-only properties whose values are set by the creation parameters:
• titles: An array of column title strings, whose length matches the number of columns specified at creation.
• preferredWidths: An array of column widths, whose length matches the number of columns specified at creation.
enabled Boolean r/w True if this element is enabled.
An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent Number (min: 0) r/w The number of pixels to indent the element during automatic layout.
Applies for column orientation and left alignment, or row orientation and top alignment.
itemSize Dimension r/w The width and height in pixels of each item in the list.
Used by auto-layout to determine the preferredSize of the list, if not otherwise specified. If not set explicitly, the size of each item is set to match the largest height and width among all items in the list
items Array of ListItem readonly The array of choice items displayed in the list.
Access this array with a 0-based index. To obtain the number of items in the list, use items.length.The objects are created when items are specified on creation of the parent list object, or afterward using the list controlís add() method. Each item has a selected property that is true when it is in the selected state.
location Point r/w The upper left corner of this element relative to its parent.
The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize Dimension r/w The preferred size, used by layout managers to determine the best size for each element.
If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties Object r/w An object that contains one or more creation properties of the control (properties used only when the element is created).
Creation properties of a ListBox object can include:
• multiselect: When false (the default), only one item can be selected. When true, multiple items can be selected.
• items: An array of strings for the text of each list item. An item object is created for each item. An item with the text string "-" creates a separator item. Supply this property, or the items argument to the add() method, not both. This form is most useful for elements defined using Resource Specifications.
• numberOfColumns: A number of columns in which to display the items; default is 1. When there are multiple columns, each ListItem object represents a selectable row. Its text and image values specify the label in the first column, and the subitems property specifies the labels in the additional columns.
• showHeaders: True to display column titles.
• columnWidths: An array of numbers for the preferred width in pixels of each column.
• columnTitles: A corresponding array of strings for the title of each column, to be shown if showHeaders is true.
selection ListItem r/w The currently selected item for a single-selection list, or an array of items for current selection in a multi-selection list.
Setting this value causes the selected item to be highlighted and to be scrolled into view if necessary. If no items are selected, the value is null. Set to null to deselect all items. You can set the value using the index of an item or an array of indices, rather than object references. If set to an index value that is out of range, the operation is ignored. When set with index values, the property still returns object references.
• If you set the value to an array for a single-selection list, only the first item in the array is selected.
• If you set the value to a single item for a multi-selection list, that item is added to the current selection.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size Dimension r/w The current dimensions of this element.
Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type; "listbox".
visible Boolean r/w True if this element is shown, false if it is hidden.
When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onChange ()
An event-handler callback function, called when the content of the element has been changed

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDoubleClick ()
An event-handler callback function, called when an item in the listbox is double-clicked
Check the selection property to identify the item that was double-clicked.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

ListItem add (type: String[, text: String])
Adds an item to the choices in this list.
Returns the item control object. If this is a multi-column list box, each added ListItem represents one selectable row. Its text and image values specify the label in the first column, and the subitems property specifies the labels in the additional columns.

Parameter | Type | Description
type | String | The type of the child element, the string "item".
text | String | The localizable text label for the item. (Optional)

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

ListItem find (text: String)
Retrieves an item object from the list that has a given text label.

Parameter | Type | Description
text | String | The text string to match.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

void remove (what: Any)
Removes a child item from the list.

Parameter | Type | Description
what | Any | The item or child to remove, specified by 0-based index, text value, or as a ListItem object.

void removeAll ()
Removes all child items from the list.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: ListItem

Class

ListItem

An item in a list box, drop-down list, or tree view.

You can specify initial items in the creation parameters when creating the parent list. Create new items using the add() method (ListBox.add(), DropDownList.add(), TreeView.add()) in the parent list with control type="item", or, for DropDownList controls, type="separator".
For a multi-column list box, the object represents one selectable row. Its text and image values specify the label in the first column, and the subitems property specifies the labels in the additional columns.

Hierarchy

Object
ListItem

Properties

Property | Type | Access | Description
checked | Boolean | r/w | The checked state of an item in a list. When true, the item is marked with the platform-appropriate checkmark. When false, no checkmark is drawn, but space is reserved for it in the left margin, so that the item lines up with other checkable items. When undefined, no space is reserved for a checkmark.
expanded | Boolean | r/w | The expansion state of an item of type node that is a child of a TreeView list control. When true, the item is in the expanded state and its children are shown, when false, it is collapsed and children are hidden.
image | ScriptUIImage | r/w | An image object for an icon to display in the item. When specified, the image appropriate to the selections state is drawn to the left of the text label. If the parent is a multi-column list box, this describes the label in the first column. Labels in additional columns are described by the subitems property.
index | Number | readonly | The 0-based index of this item in the items collection of its parent list control.
parent | Object | readonly | The parent element, a list control.
properties | Object | r/w | An object that contains one or more creation properties of the item (properties used only when the element is created). A ListItem object has no creation properties.
selected | Boolean | r/w | The selection state of this item. When true, the item is part of the selection for its parent list. When false, the item is not selected. Set to true to select this item in a single-selection list, or to add it to the selection array for a multi-selection list.
subItems | Array | readonly | When the parent is a multi-column ListBox, this describes the labels for this selectable row in additional columns. A array of JavaScript objects whose length is one less than the number of columns. The first member describes the label in the second column. Each member object has two properties, of which you can specify one or both: • text: A display string for the corresponding label. • image: An ScriptUIImage object for the corresponding label.
text | String | r/w | The label text to display for the item, a localizable string. If the parent is a multi-column list box, this describes the label in the first column. Labels in additional columns are described by the subitems property.
type | String | readonly | The element type. Normally "item", but an item whose parent is a DropDownList control can have type "separator". A separator item is not mouse-sensitive and is drawn as a horizontal line across the drop-down or pop-up menu.

Element of

DropDownList.items

DropDownList.selection

ListBox.items

ListBox.selection

TreeView.items

TreeView.selection

Used in:

void TreeView.onCollapse (item: ListItem)

void TreeView.onExpand (item: ListItem)

Return

ListItem DropDownList.add (type: String[, text: String])

ListItem DropDownList.find (text: String)

ListItem ListBox.add (type: String[, text: String])

ListItem ListBox.find (text: String)

ListItem TreeView.add (type: String[, text: String])

ListItem TreeView.find (text: String)


Adobe FrameMaker-10 Object Model JS: Panel (SUI)

Class

Panel (SUI)

A container for other types of controls, with an optional frame.

A panel can specify layout options for its child elements. Hiding a panel hides all its children. Making it visible makes visible those children that are not individually hidden.

QuickLinks

 add, addEventListener, dispatchEvent, hide, onDraw, remove, removeEventListener, show

Hierarchy

Object
Panel (SUI)

Properties

Property | Type | Access | Description
alignChildren | String | r/w | Specifies how to align the child elements.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
characters | Number (min: 0) | r/w | Reserve space for the specified number of characters; affects calculation of preferredSize .
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
justify | String | r/w | The default text justification style for child text elements. (default: left) One of left, center, or right. Justification only works if this value is set on creation of the element.
layout | LayoutManager | r/w | The layout manager for this container. The first time a container object is made visible, ScriptUI invokes this layout manager by calling its layout() function. Default is an instance of the LayoutManager class that is automatically created when the container element is created.
location | Point | r/w | The upper left corner of this element's frame relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
margins | Number | r/w | The number of pixels between the edges of a container and the outermost child elements. You can specify different margins for each edge of the container. The default value is based on the type of container, and is chosen to match the standard Adobe UI guidelines.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
orientation | String | r/w | The layout orientation of children in a container. Interpreted by the layout manager for the container. The default LayoutManager Object accepts the (case-insensitive) values row, column, or stack. For window and panel, the default is column, and for group the default is row. The allowed values for the containerís alignChildren and its childrenís alignment properties depend on the orientation.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the control (properties used only when the element is created). Creation properties of a Panel object can include: • borderStyle: A string that specifies the appearance of the border drawn around the panel. One of black, etched, gray, raised, sunken. Default is etched. • su1PanelCoordinates: Photoshop only. When true, this panel automatically adjusts the positions of its children for compatability with Photoshop CS. Default is false, meaning that the panel does not adjust the positions of its children, even if the parent window has automatic adjustment enabled.
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
spacing | Number | r/w | The number of pixels separating one child element from its adjacent sibling element. Because each container holds only a single row or column of children, only a single spacing value is needed for a container. The default value is based on the type of container, and is chosen to match standard Adobe UI guidelines.
text | String | r/w | The title or label text, a localizable string.
type | String | readonly | The element type; "panel".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onDraw ()
An event-handler callback function, called when the panel is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

Instances

Object add (type: String[, bounds: Bounds][, text: String][, properties: Object])
Adds a child element to this container.
Creates and returns a new control or container object and adds it to the children of this group.

Parameter | Type | Description
type | String | The type of the child element, as specified for the type property. Control types are listed in the JavaScript Tools Guide.
bounds | Bounds | A bounds specification that describes the size and position of the new control or container, relative to its parent. If supplied, this value creates a new Bounds object which is assigned to the new objectís bounds property. (Optional)
text | String | The text or label, a localizable string. Initial text to be displayed in the control as the title, label, or contents, depending on the control type. If supplied, this value is assigned to the new objectís text property. (Optional)
properties | Object | An object that contains one or more creation properties of the new child (properties used only when the element is created). The creation properties depend on the element type. See property of each control type. (Optional)

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void remove (what: Any)
Removes the specified child control from this group's children array.
No error results if the child does not exist.

Parameter | Type | Description
what | Any | The child control to remove, specified by 0-based index, text property value, or as a control object.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: Point (SUI)

Class

Point (SUI)

Defines the location of a window or UI element. Contains a 2-element array.

Specifies the origin point of an element as horizontal and vertical pixel offsets from the origin of the element's coordinate space. A Point object is created when you set an elementís location property. You can set the property using a JavaScript object with properties named x and y, or an array with 2 values in the order [x, y].

Properties

Property | Type | Access | Description
left | Number | r/w | The left coordinate.
length | Number | readonly | The array length. (default: 2)
top | Number | r/w | The top coordinate.
x | Number | r/w | The horizontal coordinate, a pixel offset from the origin of the element's coordinate space.
y | Number | r/w | The vertical coordinate, a pixel offset from the origin of the element's coordinate space.


Adobe FrameMaker-10 Object Model JS: Progressbar

Class

Progressbar

A horizontal bar with an indicator that shows the progress of an operation.

All progressbar controls have a horizontal orientation. The value property contains the current position of the progress indicator; the default is 0. There is a minvalue property, but it is always 0; attempts to set it to a different value are silently ignored.

QuickLinks

 addEventListener, dispatchEvent, hide, onDraw, removeEventListener, show

Hierarchy

Object
Progressbar

Properties

Property | Type | Access | Description
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
maxvalue | Number | r/w | The maximum value in the range. Default is 100.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
minvalue | Number | r/w | The minimum value in the range; always 0. If set to a different value, it is ignored.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). A ProgressBar object has no creation properties. The third argument of the add() method that creates it is the initial value (default 0), and the fourth argument is the maximum value of the range (default 100).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type, "progessbar".
value | Number | r/w | The current position of the indicator. If set to a value outside the range specified by 0 to maxvalue, it is automatically reset to the closest boundary.
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: RadioButton

Class

RadioButton

A dual-state control, grouped with other radiobuttons, of which only one can be in the selected state.

Shows the selected state when value=true, empty when value=false. Calls the onClick() callback if the control is clicked or if its notify() method is called.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onClick, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
RadioButton

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
characters | Number (min: 0) | r/w | A number of characters for which to reserve space when calculating the preferred size of the element.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
justify | String | r/w | The default text justification style for child text elements. (default: left) One of left, center, or right. Justification only works if this value is set on creation of the element.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes. A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). A RadioButton object has no creation properties. The third argument of the add() method that creates can be the label text.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
text | String | r/w | The label text for this button, a localizable string.
type | String | readonly | The element type; "radiobutton".
value | Boolean | r/w | The selection state of this button, selected when true.
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onClick ()
An event-handler callback function, called when the element has been clicked.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: ScriptUI

Class

ScriptUI

A global class containing central information about ScriptUI. Not instantiable.

QuickLinks

 getResourceText, newFont, newImage

Class

Property | Type | Access | Description
Alignment | String | readonly | Collects the enumerated values that can be used in the alignment and alignChildren properties of controls and containers. Predefined alignment values are: TOP, BOTTOM, LEFT, RIGHT, FILL, CENTER
FontStyle | Object | readonly | Collects the enumerated values that can be used as the style argument to the ScriptUI.newFont() method. Predefined styles are REGULAR, BOLD, ITALIC, BOLDITALIC.
applicationFonts | Object | readonly | The font constants defined by the host application.
compatibility | Object | readonly | An object whose properties are the names of compatability modes supported by the host application. The presence of ScriptUI.compatability.su1PanelCoordinates means that the application allows backward compatibility with the coordinate system of Panel elements in ScriptUI version 1.
coreVersion | String | readonly | A string containing the internal version number of the ScriptUI module.
environment | Environment | readonly | An object whose properties define attributes of the environment in which ScriptUI operates.
events | Events | readonly | An object whose properties and methods provide access to objects used in the ScriptUI event system. It contains one function, createEvent(), which allows you to create event objects in order to simulate user-interaction event
frameworkName | String | readonly | A string containing the name of the UI component framework with which this version of ScriptUI is compatible.
version | Any | readonly | A string containing the version number of the ScriptUI component framework

Methods

String getResourceText (text: String)
Finds and returns the resource for a given text string from the host application's resource data.
If no string resource matches the given text, the text itself is returned.

Parameter | Type | Description
text | String | The text to match.

ScriptUIFont newFont (name: String, style: String | Number, size: Number)
Creates a new font object for use in text controls and titles.

Parameter | Type | Description
name | String | The font name, or the font family name.
style | String | Number | The font style; can be string, or one of the values of ScriptUI.FontStyle.
size | Number | The font size in points.

ScriptUIImage newImage (normal: String[, disabled: String][, pressed: String][, rollover: String])
Loads a new image from resources or disk files into an image object.
Creates a new global image object for use in controls that can display images, loading the associated images from the specified resources or image files.

Parameter | Type | Description
normal | String | The resource name or the disk file path to the image used for the normal state.
disabled | String | The resource name, or the disk file path to the image used for the disabled state. (Optional)
pressed | String | The resource name, or the file-system path to the image used for the pressed state. (Optional)
rollover | String | The resource name, or the file-system path to the image used for the rollover state. (Optional)


Adobe FrameMaker-10 Object Model JS: ScriptUIBrush

Class

ScriptUIBrush

A painting brush that encapsulates a color or pattern used to fill paths.

Create with ScriptUIGraphics.newBrush(). Use as a value of backgroundColor properties, and pass as an argument to the fillPath() method.

Properties

Property | Type | Access | Description
color | Array of Number | readonly | The brush color. The paint color to use when the type is SOLID_COLOR. An array in the form [R, B, G, A] specifying the red, green, blue values of the color and the opacity (alpha channel) value as numbers in the range [0.0..1.0]. An opacity of 0 is fully transparent, and an opacity of 1 is fully opaque.
theme | String | readonly | The theme name. The name of a color theme to use for drawing when the type is THEME_COLOR. Theme colors are defined by the host application.
type | Number | readonly | The brush type, solid or theme. One of these constants: ScriptUIGraphics.BrushType.SOLID_COLOR or ScriptUIGraphics.BrushType.THEME_COLOR

Element of

ScriptUIGraphics.backgroundColor

ScriptUIGraphics.disabledBackgroundColor

Used in:

void ScriptUIGraphics.fillPath (brush: ScriptUIBrush[, path: ScriptUIPath])

Return

ScriptUIBrush ScriptUIGraphics.newBrush (type: Number, color: Array of Number | String)


Adobe FrameMaker-10 Object Model JS: ScriptUIFont

Class

ScriptUIFont

Encapsulates the qualities of a font used to draw text into a control.

Create with the newFont() method.Used as a value of font. Passed as an argument to drawString() and measureString().

Properties

Property | Type | Access | Description
family | String | readonly | The font family name.
name | String | readonly | The complete font name, consisting of the family and style, if specified.
size | Number | readonly | The font point size.
style | Object | readonly | The font style. One of the constants in ScriptUIGraphics.FontStyle.
substitute | String | readonly | The name of a substitution font, a fallback font to substitute for this font if the requested font family or style is not available.

Element of

ScriptUIGraphics.font

Used in:

void ScriptUIGraphics.drawString (text: String, pen: ScriptUIPen, x: Number, y: Number[, font: ScriptUIFont])

Dimension ScriptUIGraphics.measureString (text: String[, font: ScriptUIFont][, boundingWidth: Number])

Return

ScriptUIFont ScriptUI.newFont (name: String, style: String | Number, size: Number)


Adobe FrameMaker-10 Object Model JS: ScriptUIGraphics

Class

ScriptUIGraphics

An object used to draw custom graphics, found in the graphics property of window, container, and control objects.

Allows a script to customize aspects of the elementís appearance, such as the color and font. Use an onDraw callback function to set these properties or call the functions.All measurements are in pixels.

QuickLinks

 closePath, drawFocusRing, drawImage, drawOSControl, drawString, ellipsePath, fillPath, lineTo, measureString, moveTo, newBrush, newPath, newPen, rectPath, strokePath

Properties

Property | Type | Access | Description
backgroundColor | ScriptUIBrush | r/w | The background color for containers; for non-containers, the parent background color. The paint color and style is defined in this brush object.
currentPath | ScriptUIPath | readonly | The current drawing path, encapsulated in a path object.
currentPoint | Point | readonly | The current position in the current drawing path.
disabledBackgroundColor | ScriptUIBrush | r/w | The background color for containers when disabled or inactive; for non-containers, the parent background color. The paint color and style is defined in this brush object.
disabledForegroundColor | ScriptUIPen | r/w | The text color when the element is disabled or inactive. The paint color and style is defined in this pen object.
font | ScriptUIFont | r/w | The default font to use for displaying text.
foregroundColor | ScriptUIPen | r/w | The text color. The paint color and style is defined in this pen object.

Class

Property | Type | Access | Description
BrushType | Object | readonly | Contains the enumerated constants for the type argument of newBrush(). Type constants are: SOLID_COLOR, THEME_COLOR.
PenType | Object | readonly | Contains the enumerated constants for the type argument of newPen(). Type constants are: SOLID_COLOR, THEME_COLOR.

Methods

Instances

void closePath ()
Closes the current path.
Defines a line from the current postion (currentPoint) to the start point of the current path (the value of currentPath).

void drawFocusRing (left: Number, top: Number, width: Number, height: Number)
Draws a focus ring within a region of this element.

Parameter | Type | Description
left | Number | The left coordinate of the region. Value is relative to the origin of this element.
top | Number | The top coordinate of the region. Value is relative to the origin of this element.
width | Number | The width of the region in pixels.
height | Number | The height of the region in pixels.

void drawImage (image: ScriptUIImage, left: Number, top: Number[, width: Number][, height: Number])
Draws an image within a given region of the element.
Uses the version of the image that is appropriate to the element's current state.

Parameter | Type | Description
image | ScriptUIImage | The image to draw. This object contains different versions of an image appropriate to various element states, such as a dimmed version for the disabled state.
left | Number | The left coordinate of the region, relative to the origin of this element.
top | Number | The top coordinate of the region, relative to the origin of this element.
width | Number | The width in pixels. If provided, the image is stretched or shrunk to fit. If omitted, uses the original image width. (Optional)
height | Number | The height in pixels. If provided, the image is stretched or shrunk to fit. If omitted, uses the original image height. (Optional)

void drawOSControl ()
Draw the platform-specific control associated with this element.

void drawString (text: String, pen: ScriptUIPen, x: Number, y: Number[, font: ScriptUIFont])
Draw a string of text starting at a given point in this element, using a given drawing pen and font.

Parameter | Type | Description
text | String | The text string.
pen | ScriptUIPen | The drawing pen to use.
x | Number | The left coordinate, relative to the origin of this element.
y | Number | The top coordinate, relative to the origin of this element.
font | ScriptUIFont | The font to use. Default is the font value in this object. (Optional)

Point ellipsePath (left: Number, top: Number, width: Number, height: Number)
Defines an elliptical path within a given rectangular area in the currentPath object, which can be filled using fillPath() or stroked using strokePath().
Returns a Point object for the upper left corner of the area, which is the new currentPoint.

Parameter | Type | Description
left | Number | The left coordinate of the region, relative to the origin of this element.
top | Number | The top coordinate of the region, relative to the origin of this element.
width | Number | The width of the region in pixels.
height | Number | The height of the region in pixels.

void fillPath (brush: ScriptUIBrush[, path: ScriptUIPath])
Fills a path using a given painting brush.

Parameter | Type | Description
brush | ScriptUIBrush | The brush object that defines the fill color.
path | ScriptUIPath | The path object. Default is the currentPath. (Optional)

Point lineTo (x: Number, y: Number)
Adds a path segment to the currentPath.
The line is defined from the currentPoint to the specified destination point. Returns the Point object for the destination point, which becomes the new value of currentPoint.

Parameter | Type | Description
x | Number | The X coordinate for the destination point, relative to the origin of this element.
y | Number | The Y coordinate for the destination point, relative to the origin of this element.

Dimension measureString (text: String[, font: ScriptUIFont][, boundingWidth: Number])
Calculates the size needed to display a string using the given font.
Returns a Dimension object that contains the height and width of the string in pixels.

Parameter | Type | Description
text | String | The text string to measure.
font | ScriptUIFont | The font to use. Default is the font value in this object. (Optional)
boundingWidth | Number | The bounding width. (Optional)

Point moveTo (x: Number, y: Number)
Adds a given point to the currentPath, and makes it the current drawing position.
Returns the Point object which is the new value of currentPoint.

Parameter | Type | Description
x | Number | The X coordinate for the new point, relative to the origin of this element.
y | Number | The Y coordinate for the new point, relative to the origin of this element.

ScriptUIBrush newBrush (type: Number, color: Array of Number | String)
Creates a new painting brush object.

Parameter | Type | Description
type | Number | The brush type, solid or theme. One of the constants ScriptUIGraphics.BrushType.SOLID_COLOR or ScriptUIGraphics.BrushType.THEME_COLOR.
color | Array of Number | String | The brush color. • If type is SOLID_COLOR, the color expressed as an array of three or four values, in the form [R, B, G, A] specifying the red, green, and blue values of the color and, optionally, the opacity (alpha channel). All values are numbers in the range [0.0..1.0]. An opacity of 0 is fully transparent, and an opacity of 1 is fully opaque. • If the type is THEME_COLOR, the name string of the theme. Theme colors are defined by the host application.

ScriptUIPath newPath ()
Creates a new, empty path object.
Replaces any existing path in currentPath.

ScriptUIPen newPen (type: Number, color: Array of Number | String, width: Number)
Creates a new drawing pen object.

Parameter | Type | Description
type | Number | The pen type, solid or theme. One of the constants ScriptUIGraphics.PenType.SOLID_COLOR or ScriptUIGraphics.PenType.THEME_COLOR.
color | Array of Number | String | The pen color. • If type is SOLID_COLOR, the color expressed as an array of three or four values, in the form [R, B, G, A] specifying the red, green, and blue values of the color and, optionally, the opacity (alpha channel). All values are numbers in the range [0.0..1.0]. An opacity of 0 is fully transparent, and an opacity of 1 is fully opaque. • If the type is THEME_COLOR, the name string of the theme. Theme colors are defined by the host application.
width | Number | The width of the pen line in pixels. The line is centered around the current point. For example, if the value is 2, drawing a line from (0, 10) to (5, 10) paints the two rows of pixels directly above and below y-position 10.

Point rectPath (left: Number, top: Number, width: Number, height: Number)
Defines a rectangular path in the currentPath object.
The rectangle can be filled using fillPath() or stroked using strokePath().
Returns the Point object for the upper left corner of the rectangle, which becomes the new value of currentPoint.

Parameter | Type | Description
left | Number | The left coordinate relative to the origin of this element.
top | Number | The top coordinate relative to the origin of this element.
width | Number | The width in pixels.
height | Number | The height in pixels.

void strokePath (pen: ScriptUIPen[, path: ScriptUIPath])
Strokes the path segments of a path with a given drawing pen.

Parameter | Type | Description
pen | ScriptUIPen | The drawing pen that defines the color and line width.
path | ScriptUIPath | The path object. Default is the currentPath. (Optional)

Element of

Button.graphics

Checkbox.graphics

DropDownList.graphics

EditText.graphics

Group.graphics

IconButton.graphics

ListBox.graphics

Panel.graphics

Progressbar.graphics

RadioButton.graphics

Scrollbar.graphics

Slider.graphics

StaticText.graphics

TreeView.graphics

Window.graphics


Adobe FrameMaker-10 Object Model JS: ScriptUIImage

Class

ScriptUIImage

Encapsulates a set of images that can be drawn into a control.

Different images can reflect the current state, such as a dimmed version for a disabled control. Create with the newImage() method. Passed as an argument to drawImage().

Properties

Property | Type | Access | Description
format | String | readonly | The image format. One of: resource, JPEG, GIF, TIFF, PNG, or PICT (Macintosh).
name | String | readonly | The image name. Either the file name, or the resource name.
pathname | String | readonly | The full path to the file that contains the image.
size | Dimension | readonly | The image size in pixels.

Element of

IconButton.image

ListItem.image

Used in:

void ScriptUIGraphics.drawImage (image: ScriptUIImage, left: Number, top: Number[, width: Number][, height: Number])

Return

ScriptUIImage ScriptUI.newImage (normal: String[, disabled: String][, pressed: String][, rollover: String])


Adobe FrameMaker-10 Object Model JS: ScriptUIPath

Class

ScriptUIPath

A helper object that encapsulates a drawing path for a figure to be drawn into a window or control.

Create with the newPath(), moveto(), lineto(), rectPath(), and ellipsePath() methods. Used as value of currentPath, where it is acted upon by methods such as closePath(). Pass as optional argument to fillPath() and strokePath(), which otherwise act upon the current path.

Element of

ScriptUIGraphics.currentPath

Used in:

void ScriptUIGraphics.fillPath (brush: ScriptUIBrush[, path: ScriptUIPath])

void ScriptUIGraphics.strokePath (pen: ScriptUIPen[, path: ScriptUIPath])

Return

ScriptUIPath ScriptUIGraphics.newPath ()


Adobe FrameMaker-10 Object Model JS: ScriptUIPen

Class

ScriptUIPen

A drawing pen that defines a color and line width used to stroke paths.

Create with ScriptUIGraphics.newPen(). Use as a value of foregroundColor properties, and pass as an argument to drawString() and strokePath() methods.

Properties

Property | Type | Access | Description
color | Array of Number | readonly | The pen color. The paint color to use when the type is SOLID_COLOR. An array in the form [R, B, G, A] specifying the red, green, blue values of the color and the opacity (alpha channel) value as numbers in the range [0.0..1.0]. An opacity of 0 is fully transparent, and an opacity of 1 is fully opaque.
lineWidth | Number (min: 1) | r/w | The pixel width of the drawing line.
theme | String | readonly | The theme name. The name of a color theme to use for drawing when the type is THEME_COLOR. Theme colors are defined by the host application.
type | String | readonly | The pen type, solid or theme. One of these constants: ScriptUIGraphics.PenType.SOLID_COLOR or ScriptUIGraphics.PenType.THEME_COLOR

Element of

ScriptUIGraphics.disabledForegroundColor

ScriptUIGraphics.foregroundColor

Used in:

void ScriptUIGraphics.drawString (text: String, pen: ScriptUIPen, x: Number, y: Number[, font: ScriptUIFont])

void ScriptUIGraphics.strokePath (pen: ScriptUIPen[, path: ScriptUIPath])

Return

ScriptUIPen ScriptUIGraphics.newPen (type: Number, color: Array of Number | String, width: Number)


Adobe FrameMaker-10 Object Model JS: Scrollbar

Class

Scrollbar

A scrollbar with a draggable scroll indicator and stepper buttons to move the indicator.

The scrollbar control has a horizontal orientation if the width is greater than the height at creation time, or vertical if its height is greater than its width. Calls the onChange() callback after the position of the indicator is changed or if its notify() method is called. Calls the onChanging() callback repeatedly while the user is moving the indicator. Scrollbars are often created with an associated EditText field to display the current value of the scrollbar, and to allow setting the scrollbar's position to a specific value.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onChange, onChanging, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
Scrollbar

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
jumpdelta | Number (min: 0) | r/w | The amount to increment or decrement a scrollbar indicator's position when the user clicks ahead or behind the moveable element. Default is 20% of the range between the maxvalue and minvalue property values.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
maxvalue | Number | r/w | The maximum value allowed in the value property. Together with minvalue, sets the scrolling range. Default is 100.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
minvalue | Number | r/w | The minimum value allowed in the value property. Together with maxvalue, sets the scrolling range.Default is 0.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). A Scrollbar object has no creation properties. The third argument of the add() method that creates it is the initial value, and the fourth and fifth arguments are the minimum and maximum values of the range.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
stepdelta | Number (min: 0) | r/w | The amount by which to increment or decrement a scrollbar element's position when the user clicks a stepper button.
type | String | readonly | The element type, "scrollbar".
value | Number | r/w | The current position of the indicator. If set to a value outside the range specified by minvalue and maxvalue, it is automatically reset to the closest boundary.
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onChange ()
An event-handler callback function, called when the user has finished dragging the position indicator, or has clicked the control.

void onChanging ()
An event-handler callback function, called when the content of the element is in the process of changing
The handler is called for any motion of the position indicator while this control has the input focus.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: Slider

Class

Slider

A slider bar that indicates a numeric value with a moveable position indicator.

All slider controls have a horizontal orientation. Calls the onChange() callback after the position of the indicator is changed or if its notify() method is called. Calls the onChanging() callback repeatedly while the user is moving the indicator. The value property contains the current position of the indicator within the range of minvalue to maxvalue.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onActivate, onChange, onChanging, onDeactivate, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
Slider

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
maxvalue | Number | r/w | The maximum value allowed in the value property. Together with minvalue, sets the range.Default is 100.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
minvalue | Number | r/w | The minimum value allowed in the value property. Together with maxvalue, sets the range.Default is 0.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). A Slider object has no creation properties. The third argument of the add() method that creates it is the initial value, and the fourth and fifth arguments are the minimum and maximum values of the range.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type, "slider".
value | Number | r/w | The current position of the indicator. If set to a value outside the range specified by minvalue and maxvalue, it is automatically reset to the closest boundary.
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onChange ()
An event-handler callback function, called when the user has finished dragging the position indicator, or has clicked the control.

void onChanging ()
An event-handler callback function, called when the content of the element is in the process of changing
The handler is called for any motion of the position indicator while this control has the input focus.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: StaticText (SUI)

Class

StaticText (SUI)

A text label that the user cannot change.

QuickLinks

 addEventListener, dispatchEvent, hide, notify, onDraw, onShortcutKey, removeEventListener, show

Hierarchy

Object
StaticText (SUI)

Properties

Property | Type | Access | Description
active | Boolean | r/w | Always false. This element cannot have input focus. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
characters | Number (min: 0) | r/w | A number of characters for which to reserve space when calculating the preferred size of the element.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
justify | String | r/w | The text justification style. (default: left) One of left, center, or right. Justification only works if this value is set on creation of the element.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the container (properties used only when the element is created). Creation properties of a StaticText object can include: • multiline: When false (the default), the control displays a single line of text. When true, the control displays multiple lines, in which case the text wraps within the width of the control. • scrolling: When false (the default), the displayed text cannot be scrolled. When true, the displayed text can be vertically scrolled using the Up Arrow and Down Arrow; this case implies multiline=true.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
text | String | r/w | The text to display, a localizable string.
type | String | readonly | The element type, "statictext".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: TreeView

Class

TreeView

A hierarchical list whose items can contain child items.

The ListItem children of this control (in the items array) can be of type node, which means that they can contain child items. An item with child items can expanded, so that the child items are displayed, or collapsed, so that the child items are hidden Individual items can be selected at any level of the tree.

QuickLinks

 add, addEventListener, dispatchEvent, find, hide, notify, onActivate, onChange, onCollapse, onDeactivate, onDraw, onExpand, onShortcutKey, remove, removeAll, removeEventListener, show

Hierarchy

Object
TreeView

Properties

Property | Type | Access | Description
active | Boolean | r/w | True if this element is active. An active control is the one with keyboard focusóthat is, the one that accepts keystrokes, or in the case of a Button, is selected when the user types Return or Enter in Windows, or the space bar in Mac OS.
alignment | String | r/w | The alignment style for this element. If defined, this value overrides the alignChildren setting for the parent container. This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive. • For orientation=row:top, bottom, fill • For orientation=column: left, right, fill • For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The boundaries of the element, in parent-relative coordinates. Setting an element's size or location changes its bounds property, and vice-versa.
children | Array of Object | readonly | An array of child elements.
enabled | Boolean | r/w | True if this element is enabled. An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the element's appearance, in response to the onDraw() event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element during automatic layout. Applies for column orientation and left alignment, or row orientation and top alignment.
itemSize | Dimension | r/w | The width and height in pixels of each item in the list. Used by auto-layout to determine the preferredSize of the list, if not otherwise specified. If not set explicitly, the size of each item is set to match the largest height and width among all items in the list
items | Array of ListItem | readonly | The array of top-level items displayed in the list. Access this array with a 0-based index. To obtain the number of items in the list, use items.length.The objects are created when items are specified on creation of the parent list object, or afterward using the list controlís add() method.
location | Point | r/w | The upper left corner of this element relative to its parent. The location is defined as [bounds.x, bounds.y]. Setting an element's location changes its bounds property, and vice-versa.
maximumSize | Dimension | r/w | The maximum height and width to which the element can be resized.
minimumSize | Dimension | r/w | The minimum height and width to which the element can be resized.
parent | Object | readonly | The parent element.
preferredSize | Dimension | r/w | The preferred size, used by layout managers to determine the best size for each element. If not explicitly set by a script, value is established by the UI framework in which ScriptUI is employed, and is based on such attributes of the element as its text, font, font size, icon size, and other UI framework-specific attributes.A script can explicitly set this value before the layout manager is invoked in order to establish an element size other than the default.
properties | Object | r/w | An object that contains one or more creation properties of the control (properties used only when the element is created). Creation properties of a ListBox object can include: • items: An array of strings for the text of each top-level list item. An item object is created for each item. An item with the text string "-" creates a separator item. Supply this property, or the items argument to the add() method, not both. This form is most useful for elements defined using Resource Specifications.
selection | ListItem | r/w | The currently selected list item. Setting this value causes the selected item to be highlighted and to be scrolled into view if necessary. If no items are selected, the value is null. Set to null to deselect all items.You can set the value using the index of an item, rather than an object reference. If set to an index value that is out of range, the operation is ignored. When set with an index value, the property still returns an object reference.
shortcutKey | String | r/w | The key sequence that invokes the onShortcutKey() callback for this element (in Windows only).
size | Dimension | r/w | The current dimensions of this element. Initially undefined, and unless explicitly set by a script, it is defined by a LayoutManager . A script can explicitly set size before the layout manager is invoked to establish an element size other than the preferredSize or the default size, but this is not recommended. Defined as [bounds.width, bounds.height]. Setting an element's size changes its bounds property, and vice-versa.
type | String | readonly | The element type, "treeview".
visible | Boolean | r/w | True if this element is shown, false if it is hidden. When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this element relative to the top-level parent window.

Methods

Events

void onActivate ()
An event-handler callback function, called when the element acquires the keyboard focus.
Called when the user gives the control the keyboard focus by clicking it or tabbing into it.

void onChange ()
An event-handler callback function, called when the content of the element has been changed

void onCollapse (item: ListItem)
An event-handler callback function, called when the user collapses (closes) an expanded node in the treeview.

Parameter | Type | Description
item | ListItem | The ListItem node that collapsed.

void onDeactivate ()
An event-handler callback function, called when the element loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active control to another control.

void onDraw ()
An event-handler callback function, called when the window is about to be drawn.
Allows the script to modify or control the appearance, using the controlís associated ScriptUIGraphics object. Handler takes one argument, a DrawState object.

void onExpand (item: ListItem)
An event-handler callback function, called when the user expands (opens) a collapsed node in the treeview.

Parameter | Type | Description
item | ListItem | The ListItem node that expanded.

void onShortcutKey ()
An event-handler callback function, called when the element's shortcutKey sequence is typed in the active window.
In Windows only.

Instances

ListItem add (type: String[, text: String])
Adds an item to the top-level choices in this list.
Returns the item control object.

Parameter | Type | Description
type | String | The type of the child element, the string "item".
text | String | The localizable text label for the item. (Optional)

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this element.

Parameter | Type | Description
eventName | String | The name of the event. Event names are listed in the JavaScript Tools Guide.
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target.

Event dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

ListItem find (text: String)
Retrieves an item object from the list that has a given text label.

Parameter | Type | Description
text | String | The text string to match.

void hide ()
Hides this element.

void notify ([eventName: String])
Sends a notification message, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The name of the control event handler to call. One of: onClick, onChange, onChanging. By default, simulates the onChange event for an edittext control, an onClick event for controls that support that event. (Optional)

void remove (what: Any)
Removes a child item from the list.

Parameter | Type | Description
what | Any | The item or child to remove, specified by 0-based index in the top-level item list, text value, or as a ListItem object.

void removeAll ()
Removes all child items from the list.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this element.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Shows this element.
When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.


Adobe FrameMaker-10 Object Model JS: UIEvent

Class

UIEvent

Encapsulates input event information for an event that propagates through a container and control hierarchy.

Implements W3C standard event handling. This object is passed to a function that you register to respond to events of a certain type that occur in a window or control. Use windowObj.addEventListener() or controlObj.addEventListener() to register a handler function.

QuickLinks

 UIEvent, initEvent, initUIEvent, preventDefault, stopPropagation

Properties

Property | Type | Access | Description
bubbles | Boolean | readonly | True if the event is of a type that bubbles.
cancelable | Boolean | readonly | True if the default action associated with the event can be canceled with preventDefault().
captures | Boolean | readonly | True if this event can be captured.
currentTarget | Boolean | readonly | The event target object which is currently handling the event. During capturing and bubbling, this is different from the property target.
detail | Any | readonly | The click count for a mouse-click event.
eventPhase | String | readonly | The current phase of event propagation; one of none, target, capture, bubble.
target | Object | readonly | The event target object for this event.
timeStamp | Date | readonly | The date and time at which the event occurred.
type | String | readonly | The name of the event that this object represents. Event types are listed in the JavaScript Tools Guide.
view | Any | readonly | The ScriptUI element that this event relates to.

Methods

Constructor

UIEvent UIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])
Creates an event.
The UIEvent object is normally created by ScriptUI and passed to your event handler. However, you can simulate a user action by constructing an event object and sending it to a target objectís dispatchEvent() function.

Parameter | Type | Description
type | String | The event type. See UIEvent.type property.
captures | Boolean | Set to true if this event can be captured. (default: false)
bubbles | Boolean | Set to true if the event bubbles. (default: false)
view | Object | The ScriptUI element that this event relates to. (Optional)
detail | Number | The click count for a mouse-click event. (Optional)

Instances

void initEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, cancelable: Boolean=false])
Initializes a UI event as a core W3C event.

Parameter | Type | Description
type | String | The event type.
captures | Boolean | Set to true if this event can be captured. (default: false)
bubbles | Boolean | Set to true if the event bubbles. (default: false)
cancelable | Boolean | Set to true if the default action is cancelable. (default: false)

void initUIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])
Initializes an event.

Parameter | Type | Description
type | String | The event type.
captures | Boolean | Set to true if this event can be captured. (default: false)
bubbles | Boolean | Set to true if the event bubbles. (default: false)
view | Object | The ScriptUI element that this event relates to. (Optional)
detail | Number | The click count for a mouse-click event. (Optional)

void preventDefault ()
Prevents the default action associated with this event from being called.

void stopPropagation ()
Stops the propagation of this event.

Return

UIEvent UIEvent.UIEvent (type: String[, captures: Boolean=false][, bubbles: Boolean=false][, view: Object][, detail: Number])

UIEvent Window (SUI).dispatchEvent ()


Adobe FrameMaker-10 Object Model JS: Window (SUI)

Class

Window (SUI)

The instance represents a top-level window or dialog box, which contains user-interface elements.

The globally available Window object provides access to predefined and script-defined windows.

QuickLinks

 Window, add, addEventListener, alert, center, close, confirm, dispatchEvent, find, hide, notify, onActivate, onClose, onDeactivate, onMove, onMoving, onResize, onResizing, onShortcutKey, onShow, prompt, remove, removeEventListener, show

Hierarchy

Object
Window (SUI)

Properties

Property | Type | Access | Description
active Boolean r/w Set to true to make this window active.

• A modal dialog that is visible is by definition the active dialog.
• An active palette is the front-most window.
• An active control is the one with focusóthat is, the one that accepts keystrokes, or in the case of a Button, be selected when the user types Return or Enter.
alignChildren String r/w Tells the layout manager how unlike-sized children of this container should be aligned within a column or row.
Order of creation determines which children are at the top of a column or the left of a row; the earlier a child is created, the closer it is to the top or left of its column or row. If defined, alignment for a child element overrides the alignChildren setting for the parent container. See alignment property for values.
alignment String r/w The alignment style for child elements of a container. If defined, this value overrides the alignChildren setting for the parent container.
This can be a single string, which indicates the alignment for the orientation specified in the parent container, or an array of two strings, indicating both the horizontal and vertical alignment (in that order). Allowed values depend on the orientation value of the parent container. They are not case sensitive.
• For orientation=row:top, bottom, fill
• For orientation=column: left, right, fill
• For orientation=stack:top, bottom, left, right, fill
bounds | Bounds | r/w | The bounds of the window's drawable area, excluding the frame, in screen coordinates.
cancelElement Object r/w For windows of type dialog, the UI element to notify when the user presses a cancellation key combination.
The cancellation key is the Esc key. By default, looks for a button whose name or text is "cancel" (case disregarded).
characters | Number (min: 0) | r/w | A number of characters for which to reserve space when calculating the preferred size of the window.
children Array of Object readonly The collection of UI elements that have been added to this container.
An array indexed by number or by a string containing an element's name. The length property of this array is the number of child elements for container elements, and is zero for controls.
defaultElement Object r/w For windows of type dialog, the UI element to notify when the user presses a Enter key.
By default, looks for a button whose name or text is "ok" (case disregarded).
enabled Boolean r/w True if this element is enabled.
An enabled element can accept input, according to its type. When false, control elements do not accept input, and all types of elements have a dimmed appearance.
frameBounds Bounds readonly The bounds of the window frame in screen coordinates.
The frame consists of the title bar and borders that enclose the content region of a window, depending on the windowing system.
frameLocation Point r/w The top left corner of the window frame in screen coordinates.
The same as [frameBounds.x, frameBounds.y]. Set this value to move the window frame to the specified location on the screen. The frameBounds value changes accordingly.
frameSize | Dimension | readonly | The size and location of the window's frame in screen coordinates.
graphics | ScriptUIGraphics | readonly | The graphics object that can be used to customize the windowís appearance, in response to the onDraw event.
helpTip | String | r/w | The help text that is displayed when the mouse hovers over the element.
indent | Number (min: 0) | r/w | The number of pixels to indent the element.
justify String r/w The default text justification style for child text elements. (default: left)
One of left, center, or right. Justification only works if this value is set on creation of the element.
layout LayoutManager r/w The layout manager for this container.
The first time a container object is made visible, ScriptUI invokes this layout manager by calling its layout() function. Default is an instance of the LayoutManager class that is automatically created when the container element is created.
location Point r/w The upper left corner of the window's drawable area.
The same as [bounds.x, bounds.y].
margins Number r/w The number of pixels between the edges of a container and the outermost child elements.
You can specify different margins for each edge of the container. The default value is based on the type of container, and is chosen to match the standard Adobe UI guidelines.
maximized | Boolean | r/w | True if the window is expanded.
maximumSize | Dimension | r/w | The largest rectangle to which the window can be resized.
minimized | Boolean | r/w | True if the window is minimized or iconified.
minimumSize | Dimension | r/w | The smallest rectangle to which the window can be resized.
opacity Number r/w The opacity of the window, in the range [0..1]. (default: 1.0)
A value of 1.0 (the default) makes the window completely opaque, a value of 0 makes it completely transparent. Intermediate values make it partially transparent to any degree.
orientation String r/w The layout orientation of children in a container.
Interpreted by the layout manager for the container. The default LayoutManager Object accepts the (case-insensitive) values row, column, or stack. For window and panel, the default is column, and for group the default is row. The allowed values for the containerís alignChildren and its childrenís alignment properties depend on the orientation.
parent | Object | readonly | The immediate parent element.
preferredSize Dimension r/w The preferred size of the window.
Used in automatic layout and resizing. To set a specific value for only one dimension, specify the other dimension as -1.
properties Object r/w An object that contains one or more creation properties of the container (properties used only when the element is created).
Creation properties of a Window object can include:
• resizeable: When true, the window can be resized by the user. Default is false.
• su1PanelCoordinates: Photoshop only. When true, the child panels of this window automatically adjust the positions of their children for compatability with Photoshop CS (in which the vertical coordinate was measured from outside the frame). Default is false. Individual panels can override the parent windowís setting.
• closeButton: Bridge only. When true, the title bar includes a button to close the window, if the platform and window type allow it. When false, it does not. Default is true. Not used for dialogs.
• maximizeButton: Bridge only. When true, the title bar includes a button to expand the window to its maximum size (typically, the entire screen), if the platform and window type allow it. When false, it does not. Default is false for type palette, true for type window. Not used for dialogs.
shortcutKey | String | r/w | The keypress combination that invokes this element's onShortcutKey() callback.
size | Dimension | r/w | The current size and location of the content area of the window in screen coordinates.
spacing Number r/w The number of pixels separating one child element from its adjacent sibling element.
Because each container holds only a single row or column of children, only a single spacing value is needed for a container. The default value is based on the type of container, and is chosen to match standard Adobe UI guidelines.
text String r/w The title, label, or displayed text, a localizeable string.
Does not apply to containers of type group.
type | String | readonly | The element type; "dialog", "palette", or "window".
visible Boolean r/w When true, the element is shown, when false it is hidden.
When a container is hidden, its children are also hidden, but they retain their own visibility values, and are shown or hidden accordingly when the parent is next shown.
window | Window (SUI) | readonly | The window that this element belongs to.
windowBounds | Bounds | readonly | The bounds of this window relative to the top-level parent window.

Class

Property | Type | Access | Description
frameworkName | String | readonly | Deprecated. Use ScriptUI.frameworkName instead.
version | Any | readonly | Deprecated. Use ScriptUI.version instead.

Methods

Constructor

Window (type: String[, title: String][, bounds: Bounds][, properties: Object])
Creates a new window.

Parameter | Type | Description
type String The window type.
One of:
• window: Creates a simple window that can be used as a main window for an application. (Not supported by Photoshop CS3.)
• palette: Creates a modeless dialog, also called a floating palette. (Not supported by Photoshop CS3.)
• dialog: Creates a modal dialog. This argument can also be a ScriptUI resource specification; in that case, all other arguments are ignored.
title | String | The window title, a localizable string. (Optional)
bounds | Bounds | The window's position and size. (Optional)
properties Object An object containing creation-only properties.
Can contain any of these properties:
• resizeable: When true, the window can be resized by the user. Default is false.
• su1PanelCoordinates: Photoshop only. When true, the child panels of this window automatically adjust the positions of their children for compatability with Photoshop CS (in which the vertical coordinate was measured from outside the frame). Default is false. Individual panels can override the parent windowís setting.
•
: When true, the title bar includes a button to close the window, if the platform and window type allow it. When false, it does not. Default is true. Not used for dialogs.
• maximizeButton: When true, the title bar includes a button to expand the window to its maximum size (typically, the entire screen), if the platform and window type allow it. When false, it does not. Default is false for type palette, true for type window. Not used for dialogs.
• minimizeButton: When true, the title bar includes a button to minimize or iconify the window, if the platform and window type allow it. When false, it does not. Default is false for type palette, true for type window. Main windows cannot have a minimize button in Mac OS. Not used for dialogs.
• independent: When true, a window of type window is independent of other application windows, and can be hidden behind them in Windows. In Mac OS, has no effect. Default is false.
• borderless: When true, the window has no title bar or borders. Properties that control those features are ignored. (Optional)

Class

void alert (message: String[, title: String][, errorIcon: Boolean=false])
Displays a platform-standard dialog containing a short message and an OK button.

Parameter | Type | Description
message | String | TThe string for the displayed message.
title | String | A string to appear as the title of the dialog, if the platform supports a title. Ignored in Mac OS, which does not support titles for alert dialogs. The default title string is "Script Alert". (Optional)
errorIcon | Boolean | When true, the platform-standard alert icon is replaced by the platform-standard error icon in the dialog. (default: false) Ignored in Mac OS, which does not support icons for alert dialogs.

Boolean confirm (message: String[, noAsDefault: Boolean=false][, title: String])
Displays a platform-standard dialog containing a short message and two buttons labeled Yes and No.
Returns true if the user clicked Yes, false if the user clicked No.

Parameter | Type | Description
message | String | The string for the displayed message.
noAsDefault | Boolean | When true, the No button is the default choice, selected when the user types Enter. (default: false) Default is false, meaning that Yes is the default choice.
title | String | A string to appear as the title of the dialog, if the platform supports a title. Ignored in Mac OS, which does not support titles for alert dialogs. The default title string is "Script Alert". (Optional)

Window find (type: String, title: String)
Use this method to find an existing window.
This includes windows defined by ScriptUI resource strings, windows already created by a script, and windows created by the application (if the application supports this case). This function is not supported by all applications. Returns a Window object found or generated from the resource, or null if no such window or resource exists.

Parameter | Type | Description
type | String | The name of a predefined resource available to JavaScript in the current application; or the window type. If a title is specified, the type is used if more than one window with that title is found. Can be null or the empty string.
title | String | The window title.

String prompt (prompt: String[, default: String][, title: String])
Displays a modal dialog that returns the userís text input.
Returns the value of the text edit field if the user clicked OK, null if the user clicked Cancel.

Parameter | Type | Description
prompt | String | The string for the displayed message.
default | String | The initial value to be displayed in the text edit field. (Optional)
title | String | A string to appear as the title of the dialog. In Windows, this appears in the windowís frame; in Mac OS it appears above the message. The default title string is "Script Prompt". (Optional)

Events

void onActivate ()
An event-handler callback function, called when the window acquires the keyboard focus.
Called when the user gives the window the keyboard focus by clicking it or otherwise making it the active window.

Boolean onClose ()
An event-handler callback function, called when the window is about to be closed.
Called when a request is made to close the window, either by an explicit call to the close() function or by a user action (clicking the OS-specific close icon in the title bar). The function is called before the window actually closes; it can return false to cancel the close operation.

void onDeactivate ()
An event-handler callback function, called when the window loses the keyboard focus.
Called when the user moves the keyboard focus from the previously active window to another window.

void onMove ()
An event-handler callback function, called when the window has been moved

void onMoving ()
An event-handler callback function, called when the window is being moved
Called while a window in being moved, each time the position changes. A handler can monitor the move operation.

void onResize ()
An event-handler callback function, called after the window has been resized

void onResizing ()
An event-handler callback function, called while a window is being resized
Called while a window is being resized, each time the height or width changes. A handler can monitor the resize operation.

void onShortcutKey ()
In Windows only, an event-handler callback function, called a shortcut-key sequence is typed that matches the shortcutKey value for this window.

void onShow ()
An event-handler callback function, called just before the window is displayed
Called when a request is made to open the window using the show() method, before the window is made visible, but after automatic layout is complete. A handler can modify the results of the automatic layout.

Instances

Object add (type: String[, bounds: Bounds][, text: String][, properties: Object])
Creates and returns a new control or container object and adds it to the children of this window.

Parameter | Type | Description
type | String | The type of the child element, as specified for the type property. Control types are listed in the JavaScript Tools Guide.
bounds | Bounds | A bounds specification that describes the size and position of the new control or container, relative to its parent. If supplied, this value creates a new Bounds object which is assigned to the new objectís bounds property. (Optional)
text | String | The text or label, a localizable string. Initial text to be displayed in the control as the title, label, or contents, depending on the control type. If supplied, this value is assigned to the new objectís text property. (Optional)
properties | Object | An object that contains one or more creation properties of the new child (properties used only when the element is created). The creation properties depend on the element type. See property of each control type. (Optional)

Boolean addEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Registers an event handler for a particular type of event occuring in this window.

Parameter | Type | Description
eventName | String | The name of the event. Predefined event names are: change, changing, move, moving, resize, resizing, show , enterKey, focus, blur, keydown, keyup, mousedown, mouseup, mousemove, mouseover, mouseout, click (detail = 1 for single, 2 for double).
handler | Function | The function that handles the event. This can be the name of a function defined in the extension, or a locally defined handler function to be executed when the event occurs. A handler function takes one argument, the UIEvent object.
capturePhase | Boolean | When true, the handler is called only in the capturing phase of the event propagation. (default: false) Default is false, meaning that the handler is called in the bubbling phase if this object is an ancestor of the target, or in the at-target phase if this object is itself the target. (Optional)

void center ([window: Window])
Centers this window on screen or with repect to another window.

Parameter | Type | Description
window | Window (SUI) | The relative window. If not specified, centers on the screen. (Optional)

void close ([return: Any])
Closes this window.
. If an onClose() callback is defined for the window, calls that function before closing the window.

Parameter | Type | Description
return | Any | A number to be returned from the show() method that invoked this window as a modal dialog. (Optional)

UIEvent dispatchEvent ()
Simulates the occurrence of an event in this target.
A script can create a UIEvent object for a specific event and pass it to this method to start the event propagation for the event.

void hide ()
Hides this windows.
When a window is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.
• For a modal dialog, closes the dialog and sets its result to 0.

void notify ([eventName: String])
Sends a notification message to all listeners, simulating the specified user interaction event.

Parameter | Type | Description
eventName | String | The event name; if omitted, the default event is sent. One of: onClose, onMove, onMoving, onResize, onResizing, onShow (Optional)

void remove (what: Any)
Removes the specified child control from this windowís children array.
No error results if the child does not exist.

Parameter | Type | Description
what | Any | The child control to remove, specified by 0-based index, text property value, or as a control object.

Boolean removeEventListener (eventName: String, handler: Function[, capturePhase: Boolean=false])
Unregisters an event handler for a particular type of event occuring in this window.
All arguments must be identical to those that were used to register the event handler.

Parameter | Type | Description
eventName | String | The name of the event.
handler | Function | The function that handles the event.
capturePhase | Boolean | Whether to call the handler only in the capturing phase of the event propagation. (default: false)

void show ()
Makes this window visible.
If an onShow() callback is defined for a window, calls that function before showing the window.When a window or container is hidden, its children are also hidden, but when it is shown again, the children retain their own visibility states.
• For a modal dialog, opens the dialog and does not return until the dialog is dismissed. If it is dismissed via the close() method, this method returns any result value passed to that method. Otherwise, returns 0.

Element of

Button.window

Checkbox.window

DropDownList.window

EditText.window

FlashPlayer.window

Group.window

IconButton.window

ListBox.window

Panel.window

Progressbar.window

RadioButton.window

Scrollbar.window

Slider.window

StaticText.window

TreeView.window

Window.window

Used in:

void Window.center ([window: Window])


Adobe FrameMaker-10 Object Model JS: Index

Class Index

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

$
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

AFrame

Arc

Array

AttrCondExpr

Attribute

AttributeDef

AttributeDefs

Attributes

AttributesEx

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

BodyPage

Book

BookComponent

Boolean

Bounds

Button (SUI)

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

CMSConnection

CMSObject

Cell

CharFmt

Checkbox

Color

CombinedFont

CombinedFontDefn

CombinedFonts

Command

CompareRet

CondFmt

Constants (enum)

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Date

Dimension

Doc

DrawState

DropDownList

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

EditText

Element

ElementCatalogEntries

ElementCatalogEntry

ElementDef

ElementLoc

ElementRange

Ellipse

Environment

Error

Event (SUI)

Events (SUI)

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

FCodes (enum)

File

FilterArgs

FlashPlayer

Flow

FmtChangeList

FmtRule

FmtRuleClause

Fn

Folder

Font

FontEnc

Fonts

Function

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Group

Group (SUI)
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

HiddenPage
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

IconButton

Inset

Ints

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

KeyboardState
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

LayoutManager

Line

ListBox

ListItem
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Marker

MarkerType

MasterPage

Math

Math (Base)

Menu

MenuItemSeparator

Metrics

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Namespace

Number
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Object
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Panel (SUI)

Pgf

PgfFmt

Point

Point (SUI)

Points

Polygon

Polyline

Progressbar

PropIdent

PropVal

PropVals

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

QName
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

RadioButton

Rectangle

RefPage

Reflection

ReflectionInfo

RegExp

RoundRect

Row

Rubi

RulingFmt

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

ScriptUI

ScriptUIBrush

ScriptUIFont

ScriptUIGraphics

ScriptUIImage

ScriptUIPath

ScriptUIPen

Scrollbar

Slider

Socket

StaticText (SUI)

String

Strings

SubCol

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Tab

Tabs

Tbl

TblFmt

TextFrame

TextItem

TextItems

TextLine

TextLoc

TextRange

TiApiClient

TiFlow

TiText

TiTextTable

TreeView

TypedVal

TypedVals

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

UBytes

UIEvent

UInts

UnanchoredFrame

UnitValue

$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Var

VarFmt
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Window (SUI)
$ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

XML

XMLList

XRef

XRefFmt